Getting Started with Light-O-Rama

Welcome to Light-O-Rama

Light-O-Rama is a computerized lighting system designed to control elaborate or simple lighting displays. The Light-O-Rama system can be applied to almost any lighting situation, from stand-alone controllers to synchronizing hundreds of controllers.

This page gives a high-level overview of how to start controlling your lights using Light-O-Rama:

· Getting Help about Light-O-Rama

· Important Terms and Information

· Connecting the Lights Using Light-O-Rama Controllers

· Creating a Show

For more detailed information, please see Light-O-Rama Concepts and the Light-O-Rama Software Package.

Experienced users may wish to see what's new in the latest version of Light-O-Rama.

Getting Help about Light-O-Rama

This help file contains a lot of information about the Light-O-Rama Software Suite. If you need more help, please visit the Light-O-Rama website. Click the word "Support" at the top of the page to find links to more resources, including tutorials, Frequently Asked Questions, our User Forum, and our Help Desk.

Important Terms and Information

Companion Unit

A companion unit is a Light-O-Rama controller that receives lighting commands from another source - either a PC running Light-O-Rama software, or from another controller known as a director unit.

Control Panel

The Light-O-Rama Control Panel is a program that can be used to manage the Light-O-Rama system on your PC. The Control Panel runs in the system tray (where the PC's clock is displayed). Light-O-Rama is made up of a number of different programs, and the Control Panel is a convenient way of accessing them. The Control Panel must be running in order to control shows from your PC.

Daisy Chain

This is the term generally used to describe the manner in which Light-O-Rama light controllers are connected. A wire goes from the source (a PC running Light-O-Rama software or a director unit) to a companion unit. Another wire goes from that companion unit to another companion unit, and so on, until all companion units are "chained" together.

Do not put "Y"s or forks in the data cable. Only connect the units in this daisy chain configuration.

4 controllers wired in a daisy chain

4 controllers wired in a daisy chain

Data Cable

Light-O-Rama controllers are connected using data cables - Cat5, Cat5e, or Cat6.

Director Unit

A director unit is a Light-O-Rama controller that sends lighting commands to other controllers (known as companion units). Controllers can run individually in standalone mode, but to synchronize multiple controllers together, they must be directed either by a PC running Light-O-Rama software, or by a director unit.

Standalone sequences may contain lighting commands for a number of different units. A director unit is a unit that is running standalone - i.e. not connected to a PC - that contains lighting commands for other units cabled to it (the companion units). The director unit can also control its own lights, simultaneously.

There is no difference in the hardware of a director unit and a companion unit - the only difference is the mode that they are in.

A PC running Light-O-Rama software can also be thought of as a director unit, in that it can send lighting commands to Light-O-Rama controllers. There must be one and only one director unit (or PC running Light-O-Rama software) on a daisy chained group of controllers.

Hardware Utility

The Light-O-Rama Hardware Utility is a program that can be used to set up and test the hardware used to control lights, as well as download sequences to standalone controllers or director units.

Preview

A preview is a representation of your light display. It defines the lighting elements, how they are arranged, and what channels they use. Creating a preview is required before you can create a sequence. One preview can be associated with multiple sequences. Update the preview once, and the next time you open any sequence associated with that preview, the update will automatically be applied. The display elements in a preview are referred to as 'props'. You must add a prop to the preview for every display element that you want to control. A prop could be a single string of lights, a wireframe, an arch, a wreath, or a tree. In fact you can model just about any lighting element in a preview.

The Sequencer program is used to create and modify previews.

Schedule

A schedule specifies when a show is to be played.

If the Light-O-Rama Control Panel is running on a PC, and its "Play Shows" section is set to Show Player, then the schedule will be monitored, and shows will be started and stopped at the appropriate times.

A show's schedule can be created or modified while a show is being edited in the "Create Shows" section of the Control Panel.

Sequence

A sequence is a file that contains a set of lighting commands to be sent to Light-O-Rama controllers. There are two types of sequences: musical sequences, which have an associated music or video file that is to be played at the same time, and animation sequences, which do not.

Before creating a sequence, you must create a preview. The lights you can control in the sequence are defined by the props in the preview.

Sequences can be grouped together into shows.

The Sequencer program is used to create and modify sequences.

Show

A show is a file that contains a number of sequences, and the order in which they should be played.

A schedule can be created to specify the times at which a show should be played.

The "Create Shows" section of the Control Panel is used to create and modify shows.

Standalone

A Light-O-Rama controller can be controlled by another controller (or a PC running Light-O-Rama software), or it can control itself and/or other controllers, in standalone mode. A sequence, created using the Sequencer, can be downloaded to a standalone controller using the Hardware Utility. The controller can then be set up to run this sequence whenever it has power, or, if the unit is a model with an internal clock, it can be instructed to run the sequence during a particular time.

A standalone controller whose sequence contains lighting commands for other controllers will transmit those commands to the other controllers. In this case, the controller is known as a director unit.

Unit

A unit is another term for a Light-O-Rama controller. Each unit has a number of circuits, each of which can be used to control lights independently of each other. Each unit is identified by a unit ID.

Unit ID

Each unit has an identifier assigned to it, known as a unit ID. When a lighting command is sent to a unit, all of the units that are daisy chained together can see that command. However, the command contains a unit ID; only the units having that unit ID will act upon that command.

For Light-O-Rama controllers, the unit ID is a two characters, each of which can have any of the values 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F. For example, "01", "25", "37", "5C", "BD", or "E2". However, not all possible combinations are allowed: "00" and "F1" through "FF" are disallowed.

Controllers other than Light-O-Rama controllers use different formats for their unit IDs.

Connecting the Lights Using Light-O-Rama Controllers

To connect lights using Light-O-Rama controllers, take the following three steps:

1. Determine the serial port and hook up a controller.

2. Select a unit ID.

3. Test the lights.

Step 1. Determine the Serial Port and Hook Up a Controller

Insert an SC485 converter into your PC's DB9 serial connector which you plan on using for the Light-O-Rama network. If you are using a USB/RS-232 converter, then make sure that it is properly installed, and that the SC485 converter is connected. If you're not sure what all this is about, simply try to find a connector on the back of your PC that has nine pins and which will accept the SC485 adaptor.

Using a cable, connect a Light-O-Rama controller to the SC485 adaptor. Make sure that the LOR controller is powered on. The LED in the controller should be blinking.

Using the Light-O-Rama Control Panel, start the Hardware Utility program. In the Hardware Utility's Setup Comm Port section, use the Auto Configure button. This will cause the Hardware Utility to look for the attached controller and determine which comm port is being used.

Step 2. Select a Unit ID

If your controller has unit ID selection switches, you can select its ID by adjusting the selectors to the desired ID. If your controller does not have these unit ID selection switches, then you will need to set its unit ID by using the Hardware Utility:

To set the unit ID using the Hardware Utility, connect one and only one unit to the PC using the SC485 adaptor and a cable. In the Set Unit IDs section, go to Set New Unit ID, select the ID that you wish to use for the controller, and click the Set Unit ID button. This button will only work on new units that have never been assigned a unit ID (to change the unit ID of a unit that already has one assigned, use the Change Existing ID section instead).

TIP: Assign unit IDs sequentially, starting at 01. This will make maintenance of the units faster.

Step 3. Test the Lights

With the unit connected to the PC, attach lights and power the unit on. In the Hardware Utility, click the Refresh button in the top center of the screen. After a short time, your unit should appear in the dropdown list to the right of the Refresh button. Select the unit, and you can then test the lights using the various controls in the Test Unit's Operation section of the Hardware Utility.

TIP: Before clicking Refresh, set the Hardware Utility's Max Unit ID to as low a value as possible. This is the maximum unit ID of controllers that you plan on using (you can always change it to a higher value if you add more controllers later). Setting it to a low value makes the Hardware Utility run faster (though it will not find any connected units with higher unit IDs).

Creating a Scheduled Lights Display

To create a lights display and have it run at certain times, take the following steps:

1. Make your sequences.

2. Make a show.

3. Make a schedule.

4.In on the Control Panel's "Play Shows" section, set the mode to "Show Player".

Step 1. Make Your Sequences

Using the Sequencer, create the sequences that will be used in your show.

You can test how the lights will look for a sequence while in the Sequencer: Make sure Control Lights is enabled, and that you have assigned the channels in the sequence to a controller that is hooked up to your PC. Then, click the play button (which is the green arrow in the toolbar).

Step 2. Make a Show

A show is a collection of sequences. A show can be created in the "Create Shows" section of the Control Panel.

Shows have several sections, each of which can have sequences:

·Background: Sequences listed in the "background" section will be played for the entire duration of the show.

·Startup: Sequences listed in the "startup" section will be played when the show first begins.

·Animation and Main: After the "startup" sequences have completed, sequences in both of these sections will run, until it is time for the show to stop.

·Shutdown: When it is time for the show to stop, the "animation" and "musical" sequences will stop running, and the sequences in the "shutdown" section will start. Only after the "shutdown" sequences are finished will the show truly end.

When editing a show, you can add sequences to any of these sections by selecting the appropriate section, and clicking the "Add" button at the top of the playlist.

After you have created your show, you should save it using the "Save" or "Save As" button. Assign the show a meaningful name - this is the file name that you will be using in the next step.

Step 3. Make a Schedule

Reopen the show you created in step 2 by double-clicking on it while viewing the list of shows.

Go to the "Dates & Times" section.

If there isn't already a schedule entry, click the "Add" button to create one.

Select a start and end time that will allow the show to start at a convenient time for you to view it. Adjust the days of the week and date range if desired. Then click Save to save your schedule.

Step 4. Turn On the Control Panel's "Show Player"

In the "Play Shows" section of the Control Panel:

·If the mode is currently Disabled, click the Show Player button.

·If the mode is something other than Show Player, click the Disabled button, then click the Show Player button.

Doing this will cause the Control Panel to monitor your schedule, and start and stop your show at the appropriate times.


What's New?

What's New in the Latest Version

· What's New in Version 6.3.16

· What's New in Version 6.3.14

· What's New in Version 6.3.12

· What's New in Version 6.3.10

· What's New in Version 6.3.8

· What's New in Version 6.3.6

· What's New in Version 6.3.4

· What's New in Version 6.3.2

· What's New in Version 6.3.0

· What's New in Version 6.2.18

· What's New in Version 6.2.16

· What's New in Version 6.2.14

· What's New in Version 6.2.12

· What's New in Version 6.2.10

· What's New in Version 6.2.8

· What's New in Version 6.2.6

· What's New in Version 6.2.4

· What's New in Version 6.2.2

· What's New in Version 6.2.0

· What's New in Version 6.1.10

· What's New in Version 6.1.8

· What's New in Version 6.1.6

· What's New in Version 6.1.4

· What's New in Version 6.1.2

· What's New in Version 6.1.0

What's New in Version 6.3.16

Control Panel

·Regression: versions 6.3.12 & 6.3.14 did not display buttons in the test section of the mobile app.

·Fixes to time code leader and follower modes using SMPTE/LTC (audio connection).

Sequencer

·In the shapes section of Prop Definition, the word "Strings" has been changed to "Controller Ports".

·On Preview Design's Other Warnings tab, only show the "can be shrunk" warning message if the custom layout grid for the prop is 30x30 or larger.

·Whenever you are naming a palette (e.g. after pasting HTML colors), the new palette colors will be shown on the dialog where you enter the name.

·Added preference to choose whether playback calculations use all processors (default), or only a single processor. Some complex combinations of motion effects might cause the Sequencer to crash when using multiple processors - which can be avoided by turning this option off.

·When a prop is archived, the archived prop will now keep the same internal id. This helps with the import/export of grid views that contain archived props; e.g. archived props in another sequence will match up with the data in the exported grid view file (LORCHAN).

·In the Preview Mapping screen's Unmatched Props section, there is a new menu called "All Items". This allows you to mark all items as "to be archived" or "to be deleted", without having to edit each item individually.

·Read-only sequence files (files with the read-only attribute set in Windows):

oNew warning when opening a read-only sequence.

oA specific error when trying to write over an existing read-only sequence.

·Bug fix: when in the sequence grid, opening Prop or Group Definition, and then adding a default motion row and saving, didn't update the sequence grid with the new motion row.

·Bug fix: in the sequence grid, right-clicking on an item on the left side that is not a motion row might include "Delete motion row" in the pop-up menu.

·Bug fix: when importing a poly line model from an xmodel file, the shape is now centered and scaled properly. The Mattos Kraken Star is an example.

What's New in Version 6.3.14

Control Panel

·Serial DMX networks (Enttec DMX Pro and Open DMX) are now specified using their COM port instead of their serial number. This is a breaking change to network preferences and is not backward compatible. Instructions to fix existing Serial DMX entries can be found in the DMX Adapter topic.

·In the Create Shows section, the Animation section will only be shown when editing an existing show that has sequences in that section. It will no longer be possible to create a new show with an Animation section - use the Main or Background sections instead.

·When playing a show with delays between each sequence in Show Player Sync Leader mode, the timecode sent out during the delay would start at 00:00:00:00 and increment from there. Now it will be 00:00:00:00 during the entire delay.

Sequencer

·Bug fix: when importing a grid configuration (LORCHAN file), the motion rows with defaults (triangle with underline) could lose their association with the default. You will need to re-export your grid configuration in order for this fix to work (i.e. update your LORCHAN file). Using an LORCHAN file created before this release will still cause motion rows to lose their association with the default.

·Bug fix: on the Background tab in Preview Design, clicking the "Clear Image" button didn't remove the background image if "Save image with the preview" was checked.

·Bug fix: after selecting Sequence > Motion Row Cleanup from the menu, then checking the box for removing empty motion rows on pixel props, default motion rows would be removed. Similarly, you could right click on a default motion row and select "Delete Motion Effect Row" from the pop-up menu and remove the motion row default from the sequence.

What's New in Version 6.3.12

Control Panel

·"Live Player" was renamed to "Cue List Player" because users were confusing "Live Player" with "Show Player".

·Bug fix: you should no longer see this message in the Player Log after a trigger: "Error sending lighting commands: A read lock may not be acquired with the write lock held in this mode".

·Bug fix: in Test Lights > Test Preview tab, testing props with multiple strings of traditional lights did not work properly.

·Bug fix: columns in the Player Log and Network Log are now resizable.

·For the Networks badge in the main menu:

oif green: show the total number of networks (same as previous versions)

oif red: show the number of networks in error (change).

·Sunrise and sunset data entry refinement to clarify the meaning of the offset value.

·When creating a show, the duration of each sequence shown in the playlist now includes loops (if present in an animation sequence). For example, the LOR_LOOP_SAMPLE sequence included in the Samples folder is 17 seconds long in the Sequencer. However, because of the loops, it plays for 47 seconds. Show creation used to show a duration of 17 seconds for this sequence; however, it now correctly displays 47 seconds.

·Added ability to prep override sequences and display prep status. In prior versions, preparation of an override sequence happened the first time it was played. Now you can prepare them ahead of time.

· SD card creation:

oAllow animation sequences with loops when creating an SD card or loading a standalone sequence.

oAdded support for editing SD cards created in S2 or S3.

oCheck the first 3 sequences in the playlist for networks that are utilized (prior versions only checked the first sequence). This takes a little longer, but allows for an intro sequence that may not use all of the channels (e.g. a voice-over).

oSD card shows are limited to 99 sequences. Added a warning if the limit is exceeded.

oBug fix: Editing SD cards where the sequence file is not present on the computer now works correctly.

oBug fix: the progress bar is now displayed when writing edits to an SD card and the sequences are not present on the computer.

Sequencer

·Added the ability to flip images horizontally and/or vertically in Picture and PictureXY motion effects.

·Added option to treat the pixels of a prop as dumb RGB when it is a member of a group with preview arrangement.

·Bug fix: in prior versions you could create motion rows on a single dumb RGB prop. In 6.3.x versions these rows were removed as the sequence was opened, causing sequencing on those motion rows to be lost.

·Bug fix: in Windows File Explorer, if you double click on a LMS/LAS store sequence with the Sequencer closed it takes you to the generic upgrade legacy sequence dialogue. If the Sequencer is open and you double click a legacy store sequence it correctly identifies it as a store sequence to update it.

·Bug fix: when importing a preview file to update an existing preview, the wrong revision was displayed. If the update changed the name, the wrong name was also displayed.

·Bug fix: moving or scaling a group wasn't triggering calculations that needed to be done for groups its props were a member of. This could cause miscalculations for groups with arrangement of "preview". This could have an effect on playback of preview groups in the Sequencer, but no effect on shows. Closing and reopening the sequence also fixed the miscalculation.

·Bug fix: Arch Opposing Strings shape played motion effects in the wrong direction on the opposing string.

·In the Prop Definition window:

oon the shape diagram, the first pixel string of a prop is shown with a "1" in a blue square to mimic the blue square shown for the first pixel on the design canvas.

oImproved wording of the "Max Channels" setting

o Arch and Arch Opposing Strings shapes: you can now specify how many degrees your arches cover (default 180).

oAdded start locations for the top of the Cylinder Spiral shape.

·In Preview Design's Other Warnings tab:

oAdded a new warning if there is a custom prop in the preview that can be shrunk. Even though you will receive a warning, shrinking the custom prop is optional.

oProp and group names are now displayed as links. Clicking a link will open Prop/Group Definition.

·In Preview Design's String Summary:

orows are now color coded by unit id / DMX universe

osort order is now maintained after clicking on another tab in Preview Design and then returning to the String Summary

oadded a new column for the Comment field from Prop Definition

·Bug fix: Preview Design's Statistics tab was missing a description for "RGBW Pixels".

What's New in Version 6.3.10

Control Panel

·Added messages to the Test Lights and Networks sections if no networks have been defined. Added message to Create Shows if no shows have been defined.

·A new menu item in Create Shows allows for deleting old playback files, saving disk space. https://forums.lightorama.com/topic/57928-playback-files/

·You can now control how often the Show Player screen is updated at Settings > Misc. A slower update rate reduces CPU usage. A slower rate also reduces the chance of uncontrolled memory consumption. This setting has no effect on the control of the lights in your display.

·REST API call "GET /v1/player/status" now includes the media file name.

·Bug fix: E1.31 packets are now sent out as soon as the Control Panel is started, like S4 and S5. https://forums.lightorama.com/topic/58009-how-to-start-network-when-control-panel-launches/

Sequencer

·On the Grid View menu, selecting the "Delete Grid View(s)" menu item now gives you the option to delete multiple grid views at once.

·Bug fix: importing the Boscoyo 3d snowman into a preview was causing an error.

·Bug fix: when assigning a different preview to a sequence, the dialog may show that a prop is going to be archived, but the prop might not actually get archived if there is a new prop with the same name. Now if the dialog says the prop will be archived, it will.

·When Sequencer playback is paused, the label for the Pause button will now show "Resume".

·In the Sphere shape, the "Vertical Size %" parameter has been split into "Lower Latitude" and "Upper Latitude", which gives more control over the vertical range. Spheres created in prior versions will be automatically converted to the new parameters. Previews containing spheres that are saved with version 6.3.10 or higher will be displayed as a full sphere in older versions.

·Automatically detect some computers that don't support accelerated graphics. If accelerated graphics were enabled on these systems, they would crash when opening the Prop Definition screen.

·Bug fix: In the Motion Effect Generator, the play/pause button was displaying the play and pause icons opposite of what other media players and the Control Panel's Show Player do.

What's New in Version 6.3.8

Control Panel

·Added ability to set show schedule start and end times relative to sunrise or sunset.

1.added latitude and longitude fields in Settings > Misc for use in the sunrise and sunset calculation.

2.added button in Settings > Misc to retrieve latitude and longitude automatically (based on IP address)

3.added check in the Show Verifier to make sure latitude and longitude have been set if the schedule uses sunrise/sunset.

·Updated Test Pixels tab in the Hardware Utility: more colors to choose from, plus the ability to set a custom color.

·REST API call "GET /v1/player/mainSequences" now includes the media file name.

Sequencer

·When adding a second motion row to a prop, the motion row section for the prop is now automatically expanded in the sequence grid.

·Bug fix: motion rows were automatically being added to props where channel level sequencing had been enabled. And in new sequences, motion rows were added to props with multiple traditional strings.

·Bug fix: After double-clicking on a motion effect while calculations were in progress (spinning wheel in the upper left corner of the sequence tab), the entire effect would not be selected, but the Motion Effect Generator would still open and you could make changes. However, when trying to save changes you would get an error saying "No effects were changed. Effects to be changed must be completely contained within the selection box." A similar issue could occur with SuperStar effects.

·When using a license below Pro and clicking on the "Motion Effect Rows" button in Prop or Group Definition, you will now get a "not supported by your license" message.

SuperStar

·When starting SuperStar from the Windows Start menu, it will start in demo mode. When invoked from the Sequencer, SuperStar will get its license information from the Sequencer. This should eliminate problems with SuperStar not showing the correct license information

What's New in Version 6.3.6

Control Panel

·In the Test Lights > Test Preview tab, testing an RGBW pixel string did not work.

Sequencer

·When adding a second motion row to a prop, the motion row section for the prop is now automatically expanded in the sequence grid.

·When selecting props and groups to add to a view, the filter field is now focused when the dialog opens so you can start typing in the filter field without having to click in it first.

·Changed the zoom value in the Motion Effect Rows Dialog to display as a percentage.

·Bug fix: version 6.3.4 did not allow motion rows on pixel props with a single pixel.

·Bug fix: version 6.3.4 was automatically adding a motion row to traditional props with multiple strings.

·In Motion Row Edit:

oDon't display the erase cursor (shift key held down) if the "Zoom in or enlarge window" message is displayed.

oChanged the erase cursor to an eraser instead of an "X"

·Bug fix: since version 6.3.0, changes to networks in the Control Panel were not reflected on the Control Lights Window in the Sequencer (the Sequencer had to be restarted to see the updated list of networks)..

·Fixed label in Prop Definition for RGBW pixel strings (Exact # of)

·Added a new check in Prop Definition to make sure # of pixels is divisible by the [# of folds + 1]

·When a sequence is opened, the "Motion effects were found in the file but not loaded" warning message has been changed to list the props and/or groups that were impacted.

What's New in Version 6.3.4

Control Panel

·Bug fix: buttons at the top of the Control Panel's Edit Show window could not be clicked when Windows display scaling was greater than 150%.

·Improved reliability of loading firmware to a G4 mini-Director.

·Bug fix: for the OSC message "/playindex n", n should be the cue number, but was starting [cue + 1].

·When changing a unit id, the Control Panel was confusing a CTB16PC V1 with a CMB16D. The unit id on a CMB16D is set via DIP switches. The unit id on a CTB16PC V1 is set via the Hardware Utility.

Sequencer

·For every motion row in the sequence that was created from a default row in the preview, the program now tracks the specific default row it came from. If a default is updated, the corresponding row in the sequence will also be updated. Motion rows from a default will be shown with a prefix that is a triangle with a bar underneath. Motion rows that are not associated with a default will be shown with a regular triangle prefix. The same symbols are shown in the Motion Row Management dialog.
MotionRowSequenceVsPreview

·The Motion Row Subdivide screen now shows the prop or group name. Save and cancel buttons moved to the top left to be consistent with Manage Motion Rows.

·Allow motion rows on traditional lights (broken in 6.3.2). The star in "Samples\LOR 5.6.0 Motion Effects.loredit" is working again.

·Bug fix: RGBW pixel strings were not shown in the playback window when playing a sequence.

·Bug fix: bulb size now stays constant when your preview has a background image.

What's New in Version 6.3.2

Control Panel

·When a new version of the software is available, a notification will be shown at the top of the screen.

·Added support for testing RGBW pixel strings at: Control Panel > Test Lights > Test Pixels tab

·Ability to schedule shows on 1, 5, 10, or 15 minute boundaries, which can reduce the number of minutes you must scroll through when entering a schedule start/stop time. Interval is set in Settings > Misc.

·Bug fix: In the Hardware Utility, CCB100 controllers are now displayed with a unit id range if in "dual normal mode".

·Bug fix: buttons at the top of the Control Panel's window could not be clicked when Windows display scaling was greater than 150%.

·Bug fix: updating firmware for G4 mini-directors always failed, even when the screen might show "Success"

Sequencer

·Added support for RGBW pixel strings in Prop Definition

·Editing motion rows with a custom section has been improved with a new rectangular selection tool and the ability to zoom in/out. The eraser tool has been removed; instead, hold the shift key down when using the drawing or rectangle tools to erase.

·You can now add multiple beat channels at once.

·Sequence > Delete Grid Rows was renamed Motion Row Cleanup.

·Bug fix: after a sequence was opened and the audio file could not be found because it was moved or deleted, the Sequence > Convert to WAV menu item was still enabled.

·Bug fix: after clicking "Change Folder Location" in the Control Panel > Settings > Folders tab, closing the Control Panel and then opening the Sequencer repeatedly would result in the Sequencer prompting for the new folder location every time (instead of just once).

ServoDog Utility

·The ServoDog Utility should only be run while all other Light-O-Rama programs are closed.

·It is now accessed from the Windows Start menu - in the Light-O-Rama folder under all "All Apps".

·You can no longer access it from the Control Panel

·The version in the ServoDog title bar will show "6.2.18".

·The utility itself has not changed.

What's New in Version 6.3.0

Major Changes

·The Hardware Utility has been integrated into the Control Panel. It is no longer a separate program. It has new capabilities, like being able to scan multiple networks at once, and is easier to use.

·The Control Panel has new time sync player modes - allowing multiple computers running the Control Panel to synchronize with one another. You can also synchronize with third-party devices and software that support SMPTE-LTC or Art-Net time codes. Time sync is disabled by default, but can be turned on by going to the Control Panel's Settings > Integration tab.

Control Panel

·Bug fix: network status bubble on the menu would stay red after deleting the last network with a red status.

·Fixed bugs when using the write an SD card to a folder option (new in 6.2.18).

oNext button was only enabled when a card was inserted.

oa few display messages refer to a "card" instead of a "folder".

owriting a multi-card set when a folder is selected will now create subfolders for each card.

·Bug fix: when creating the playlist for an SD card, the duration shown for each line item was the sequence duration instead of the media duration. A Director always plays the full MP3 audio file - it does not take into account the length of the sequence.

·Bug fix: updating Windows shell commands in the Sequencer did not get picked up by the Show Player unless the Control Panel was restarted.

·In the Networks section, when adding an LOR network, the Port drop-down will now include the LOR network the port is assigned to (if one is assigned).

·In Settings > Misc, changed "Extended Logging" check box to "Min Log Level". This gives you more control over how much data is captured by the log files. When Min Log Level is set to Debug, the log file size limit is doubled to 10MB.

·Bug fix: Shows created using "Save As" could cause issues when the original show and the copy were scheduled to run on the same day. It could cause the Control Panel to think that a schedule line had already run for the day, when in fact it had not.

·Bug fix: If channel was on a non-enhanced LOR network and stayed at the same intensity for an entire sequence, and the show it was in had the option to leave channels on at the end of each sequence, the controller only received the command to turn on the channel one time. Now it will receive the command to turn the channel on at the beginning of each sequence.

·Bug fix: On some computers, if there are LOR or ELOR networks defined in the network section, but the USB adapter is not plugged in (red status), the output to lights could lag on the adapters that are plugged in.

·Bug fix: In Control Panel > Networks, importing networks would sometimes require a restart of the Control Panel to make the new networks visible.

·In Control Panel > Networks, networks can be added and edited without pop-up dialogs.

·Bug fix: In Control Panel > Networks, added validations to make sure a port is selected when adding a LOR or DMX serial port.

·Bug fix: When editing a playlist in the Control Panel (in Create Shows or SD Cards), the program could lose track of which sequences were selected. This could result in unexpected behavior when clicking any of the action buttons at the top of the playlist.

·When creating an SD card, the program now remembers the last state of the "Write directly to SD card" check box, as well as the last selected folder when not writing directly.

·Bug fix: In the final step of writing to an SD card, an error on 1 sequence would cause additional error messages to be generated for every sequence that followed the one with the actual error.

·Bug fix: on SD cards that contain data for a LOR network that is NOT enhanced, lights may unexpectedly come on at the very end of a sequence.

·When editing a show, the ability to double-click on a playlist entry to open the sequence in the Sequencer was removed. You can still open the sequence by using the right-click menu.

Sequencer

·Added a new selection mode in the Sequencer called "Effect Segment". It will select an entire effect, but stops at changes in intensity. You can create a key binding for it, but there is not one in the default mapping.

·Added "Last color is highlight color" check box to the Bars motion effect. This allows you to use any color to highlight the leading edge of each bar. Previously, bar highlights, if enabled, were always white.

·Added a new prop shape: Tree custom angle

·Added optional keyboard mapping to delete selected timings.

·In the Manage Motion Rows screen, when pasting custom rows, the marks will automatically be aligned to the nearest pixel (no marks will fall on a cell without a pixel). In the custom drawing area, the "Delete" menu has been renamed "Clean Up" and a new menu item added: Move Offgrid Marks To Nearest Pixel.

·Added support for FSEQ export in "V2 uncompressed" format.

·If the media player encounters an error, the user is asked whether the Sequencer should try to recover by reloading the media file.

·New "Log Level Filter" setting in the Control Panel also applies to the Sequencer.

·Bug fix: Prevent duplicate palette names from being entered in the Motion Effect Generator.

·Bug fix: When applying motion effects to a prop with a picture shape (or a group that includes such a prop), the prop was not displayed in the Motion Effect Generator, nor in the Playback window after clicking on the motion effect in the sequence grid.

·Bug fix: In Preview Design's Channel Conflicts & Bulk Changes tab, setting the LOR Network or DMX Universe on a prop with device type Undetermined could result in erroneous channel settings.

·Bug fix: Allow a sequence tab to close even if calculations are still running for an audio effect.

·Bug fix: the Manage Picture Effects screen was ignoring files with a JPEG extension.

·Bug fix: renaming a prop to a name that already exists in the preview would cause Preview Design to crash. Enhancement: you can now change the case of a prop or group name.

·Bug fix: If you open the Motion Effect Generator without a sequence open, select the Picture effect, and then select an animated GIF, it animates automatically (expected). If you then closed the Motion Effect Generator and re-opened it, the same effect would be selected but the GIF animation would be stopped (bug).

What's New in Version 6.2.18

Control Panel

·When creating an SD card, a new option allows you to write the files to a folder you specify, rather than directly to the SD card.

·Increased the maximum comm port number that can be assigned to an LOR network from COM16 to COM255.

Sequencer

·Added optional keyboard mapping to subdivide timings.

·In Preview Design, added "Create New Group" and "Create Group With Same Members" to the right-click menu for the design canvas, so that it is consistent with the right-clicking on the item list. Updated menu text when copying a group so that it is clear you will be duplicating group members.

·Bug fix: prevent creation of a motion effect where both the left and right effect are a Movie effect for the same movie. Such effects would lock up the Sequencer.

·Bug fix: When icons are used to draw motion effects in the sequence grid, the effects are drawn with an outline. The outline was being drawn 1 pixel to the left of where it should have been.

·Bug fix: when using motion effects on a group of Dumb RGBW props, the blue channel was being copied to the white channel.

·Hardware accelerated graphics was added to the Prop Definition screen in version 6.2.16 to improve performance. This caused issues with second generation Intel Core processors with onboard graphics. In this version, an option has been added to turn off accelerated graphics under Tools > Sequencer Preferences > Start Up tab.

·A few GIF files were playing faster in the Sequencer than they do in a web browser. Now they will be played at the same speed as a web browser.

What's New in Version 6.2.16

Control Panel

· Show startup triggers and interactive group triggers can now be invoked via the REST API or an OSC message.

·If the Network Log or Player Log windows have gotten lost behind other windows or minimized, clicking their respective buttons in the Control Panel will bring them to the foreground.

·Bug fix: If the startup trigger for a show was changed, the text in the list of shows did not reflect the update.

·Bug fix: Movie and SuperStar effects shrink when played from the Show Player if Windows scaling is above 100%. Did NOT affect playback from the Sequencer.

·Bug fix: in the Show Player, upcoming shows that display as scheduled for "Tomorrow" don't get updated to "Today" when the date changes.

·Bug fix: option to only display the video window when sequences with video media are playing (added in 6.2.14) didn't work for override sequences in the Show Player or cue list items in the Live Player.

Sequencer

·Props can now be a picture in your preview - useful for representing blow-molds and plywood cutouts.

·For preview groups with a custom arrangement, increased the maximum value for Left and Top from 100 to 9999.

·You now have finer-grained control over the Bulb Size setting in the Motion Effect Generator. You can also make bulbs smaller than was possible in prior versions.

·Bug fix: in the Motion Effect Generator's Palette Management screen, adding a new palette and then clicking the Select button did not save the list of palettes to disk (only clicking the Close button saved the palettes).

·Bug fix: on the Channel Conflicts & Bulk Changes tab in Preview Design, changing the LOR unit id for the selected props resulted in them showing both the old and new unit id in the String Summary tab.

·Bug fix: after right-clicking on an entry in the Previews window and selecting New Musical or New Animation sequence, the program now checks that only 1 preview is selected.

·Bug fix: on the Statistics tab in Preview Design, the section for # of channels in each LOR network is now sorted by LOR network name.

·Bug fix: Moving Shapes motion effect did not render colors correctly when there were 2 or more of these effects in a row.

·Bug fix: right after double-clicking on an effect in the sequence grid, if you moved the mouse over a different grid cell, the wrong grid cell could be modified.

·Bug fix: on pixel props with the Star shape, the starting location for a motion effect would depend on the "Starting Location" setting for the prop (top or bottom). A new parameter has been added: "Effects start at: (0=start location, 1=bottom)". Its value will default to 0 in order to maintain compatibility with existing effects. However, setting it to 1 will cause all motion effects on the star to move the same way, regardless of starting location. The Stars Nested shape had the same issue and was fixed the same way.

·Bug fix: In the Motion Effect Generator, click on the effect dropdown, then use the keyboard to highlight a different effect, then click off of the list. The dropdown reflected the new effect, but the old effect was still playing.

What's New in Version 6.2.14

Control Panel

·Added a new option to Video Settings that wil only display the video window when sequences with video media are playing. This makes video playback behave the same way as the S5 Show Player.

· Show Verifier now checks for channel conflicts between background sequences and the main sections of the show (LOEDIT files only, LMS/LAS files are not checked).

·Added new show startup option that will start the show in a paused state. This was added to support third party tools. It is not intended for normal use.

·If a show has a start trigger, the Current Show status will now display "Waiting for start trigger" until the trigger occurs.

·Bug fix: PUT operations in the Rest API did not work. Also enabled Swagger UI to make it easier to test the API.

Sequencer

·Motion effects:

oAdded Rotation, Arms, Pattern, and New Star Location parameters to the Starfield effect.

oAdded 2 Metaball options to the "Color Mode" parameter of the Moving Shapes effect. Also added a Metaball Edge parameter.

·Motion Rows

oIn the Manage Motion Effect Rows dialog, added the ability to combine 2 or more existing subsections into a new subsection.

oIncreased the maximum number of motion effect rows per prop from 600 to 1000.

·Added support for "skip node wiring" in the Icicle shape.

·Bug fixes:

oBug fix: Rendering picture effects could crash the Sequencer (rare).

oBug fix: certain GIF files were not displayed correctly.

oBug fix: in the Twinkle effect when the mode was set to "twinkle" or "pulse" and layout was set to "random", density didn't change when it was ramped.

oBug fix: the Moving Shapes effect did not correctly handle color transitions in the palette.

oRegression: you could not edit a Hold effect in the sequence grid. The Motion Effect Generator would show None instead of Hold.

oBug fix: cached copies of effects were used where the effect was actually a continuation of the previous effect (cache should not be used in this case).

oBug fix: after going into Manage Motion Effect Rows and changing a subsection, clicking an effect on the modified motion row would not reflect the updated subsection definition in the playback window.

oBug fix: it was possible to lock up the Sequencer from Manage Motion Effect Rows by deleting and adding rows during the same session.

oBug fix: deleting rows in Manage Motion Effect Rows did not delete the rows from the sequence grid.

oBug fix: motion rows that were based on a custom subsection had the bottom and left boundaries set incorrectly. This caused some motion effects to render incorrectly on such rows.

SuperStar

·Added support for Auto Sequencing of the Light-O-Rama Singing Pumpkins

What's New in Version 6.2.12

Sequencer

·New Mystify effect - like the old Microsoft screen-saver.

·In the ColorWash effect, there are 2 new modes: "Color Cycle" and "Color Cycle Return".

·In the 3 Text effects, color selection has been simplified for foreground and background colors. Also, a "More Colors" button allows selection of any color using the Windows color picker.

·Added "Width" parameter to the Meteors effect.

·Previously, if there was no sequence open when you opened the Motion Effect Generator, the effect duration would be fixed at 5 seconds. In this situation, you can now change the duration and the program will remember your selection.

·Bug fix: in the Sketch effect, the Extend menu item wasn't always enabled at the appropriate time.

·Regression: if you click on a motion effect, the playback window displays this motion effect and the brightness adjustment for the background is correctly disabled. In 6.2.10, if you then clicked play (using a play button or space bar) the brightness adjustment remains disabled. The only way to re-enable the background brightness slider was to switch sequence tabs or close the program. This has been fixed and the brightness slider is now enabled at the appropriate times.

·Bug fix: props with string type "Dumb RGBW" were not shown in the preview window when the sequence was playing. Also, the color sample in the sequence grid was incorrect.

·Bug fix: slider transitions in the mix area could have the wrong initial value. This was visible after adding a motion effect to a sequence, but would be corrected after the sequence was re-opened. See this forum post for a screen shot and explanation: https://forums.lightorama.com/topic/56849-text-reveal-problem-in-6210/

·Regression: after double-clicking on a slider in the Motion Effect Generator, the start position was not being maintained.

·Changing effect parameters in the Motion Effect Generator while it is paused or finished playing are now visible on the effect.

·Regression: Hold effects were being cached, which could result in incorrect rendering.

·Regression: unable to select a color or transition from the Effects Samples Window to apply to the sequence grid. https://forums.lightorama.com/topic/56857-color-or-transition-selection-from-effect-samples-window-isnt-working-as-before/

·Bug fix: In the Straight Lines effect, the Up Left, Up Right, Down Right, and Down Left directions didn't work when Line Count was less than the maximum (infinite).

·Regression: in the New Musical Sequence dialog, the custom interval was incorrectly displayed.

SuperStar

·Fixed a bug where Instant Sequence did not apply movement to morph themes if there was only one row or column in the sequencing grid. It also was not reversing direction of full length morphs if there was only one row or column in the sequencing grid.

What's New in Version 6.2.10

Sequencer

·Bug fix: After inserting a new movie effect, the Sequencer would hang (the calculation indicator would spin forever).

· Sketch effect:

oAdded new check box "Change multiple groups". When checked and you select multiple groups, Group Settings will remain enabled and any changes you make will be applied to all selected groups.

oBug fix: the speed setting only worked on the first group.

oBug fix: color boxes are now grayed out when the Group Setting area is disabled.

oBug fix: the Scale and Rotate dialog could open off-screen.

·Bug fix: sequence grid icons for the Audio motion effect were often empty.

·In the Motion Effect Generator:

oReinstated the loop toggle button

oYou can now hover over a color button and the RGB value of the color will pop up. The mirror check boxes also now display a tooltip.

oBug fix: After double-clicking on a motion effect in the sequence grid, the Motion Effect Generator would display the preview name in place of the prop or group name.

oBug fix: the left and right effects would sometimes not play in sync.This did not affect sequence grid playback.

·Bug fix: closing a sequence while a huge picture effect was being processed could cause the Sequencer to hang until the picture processing had finished.

·Regression: The loading of GIF images for picture motion effects in 6.2.x versions was slow, especially for GIFs with hundreds of frames. Performance has been restored to the level of 6.1.10 and earlier.

·Regression: In version 6.2.8, when controlling lights on an LOR network that was not enhanced, the Sequencer would only control lights the first time the sequence was played.

What's New in Version 6.2.8

Sequencer

·Added new Sketch motion effect. Draw your own design and animate it!

·Added a Progress parameter to the Curtain effect, which gives more control over the curtain in fit-to-duration mode.

·Sequencer performance improvements: modifying a motion effect can result in shorter recalculation times. On a prop with many existing motion effects, the time could be much shorter. Sequences with motion effects may also load faster.

·In the Motion Effect Generator:

oadded a new mix mode called Mix Alpha Left Color Right. It takes the alpha (transparency) value from the left effect and the color (RGB) information from the right side. Try it with a Twinkle effect on the left, and a static (non-moving) effect on the right.

othe Loop and Play buttons have been combined into a single Play / Pause button.

othe progress bar is now continuously displayed, and has been made thinner.

oclicking on the icon at the end of a slider no longer displays a drop down menu. Now you are taken directly to the Customize Transition window where you can adjust all aspects of the slider transition. A new transition has been added called "Linear Hold". Previously, you only had control over when a transition ended; now you have control over when it starts and when it ends. For transitions that oscillate, you now have much more control over the oscillation frequency.

oYou can now copy a comma-separated list of HTML-formatted colors from a web page (like those available at https://www.colourlovers.com/palettes) and paste that into Palette Management to create a new palette.

oto copy an effect in the favorites area, you used to right-click on a favorite and drag it to another location in the tree. To make this behavior consistent with other Windows apps like File Explorer and MS Word, holding the Control key down while dragging with the left mouse button will create a copy going forward.

·Updated xLights circle model import to conform with latest xLights format.

·In Preview Design's Design tab, you can no longer move individual pixels on props with an Advanced Shape by default. There is a new item on the Edit menu to unlock the individual pixels.

·Tweaked how the bend parameter is incorporated into the Pinwheel effect. Now the bend parameter can go through its full range of values without a discontinuity in the pinwheel shape.

·In the Previews window, the delete key is now a shortcut for the delete button.

·You can now set a default smooth to fades level that will be used when creating a new sequence. https://forums.lightorama.com/topic/56715-624-small-level-change-error/

·On the sequence grid toolbar, tabbing into the min or max intensity fields now selects the existing value so you can immediately type a new value.

·When editing the light placement for a custom prop:

othe screen now displays the range of numbers currently used, as well as any duplicate numbers, allowing you to quickly identify any errors in the numbering.

oadded the ability to renumber the layout with a specified number of pixels per string

oadded the ability to reverse the pixel order

oadded the ability to convert the numbers in the layout to all 1's so it can be used with traditional lights.

·Bug fix: the Sequencer could sometimes lock up while processing Movie and SuperStar effects. https://forums.lightorama.com/topic/56722-626-installed-testing-started/

·Bug fix: In the Sequencer's Effect Samples window, motion effect images did not reflect the mirror settings.

·Bug fix: any keys typed into the Previews, Control Lights, or Effect Samples window no longer have any effect on the currently open sequence.

·Bug fix: creating a grid view group could sometimes crash the Sequencer..

·Bug fix: In some situations, the Moving Shapes effect did not use the first selected color on the palette.

·Bug fix: GIF animations with fast moving content were not played at the correct speed since version 6.2.0. https://forums.lightorama.com/topic/56754-s6-issue-with-animated-gif-files-in-my-matrix/

·Bug fix: if you had back-to-back Snowflake effects on the same motion effect row, the second effect would not render correctly. Fire, Fireworks, Meteors, and Twinkle had the same issue.

·Bug fix: Motion effects that had parameters that varied with the music volume were displayed correctly in the Playback window, but not in the Motion Effect Generator. The sequence grid icons for such effects were also incorrect.

·Bug fix: clicking the "Save Image" button on the Prop Layout window resulted in an empty file.

·Bug fix: the "wave outline" and "wave fill" options of the Audio motion effect did not display on props that were 1 pixel high (like arches and roof lines), or props that were 1 pixel wide (like firesticks).

SuperStar

·Bug fix: after clicking on the "record voice" button in singing faces:

oif the main audio file is mono advise that it must be stereo.

oif there is no microphone connected advise that there is no microphone connected.

What's New in Version 6.2.6

Sequencer

·Bug fix: possible crash after inserting, copying, or pasting a SuperStar or Movie effect. https://forums.lightorama.com/topic/56716-s624-sequencer-superstar-insertcoppaste-error-or-bug/

·Bug fix: the Fire motion effect with style=fire2 was generating internal errors on props with a pixel height of 1.

·Bug fix: the TextPE motion effect was generating internal errors when the text field was empty

·If a motion effect or SuperStar effect was partially selected and then you right-click and select Prompt For New Effect > Modify (shift-M shortcut), you were allowed to pick/create a new effect; but after clicking OK you would get an error stating "No effects were changed. Effects to be changed must be completely contained within the selection box." Now you will get that error message up front, before wasting time selecting a new effect.

·SuperStar effects will now always be displayed with the white/gray color scheme, even when the Sequencer Preference is set to display motion effects with icons.

What's New in Version 6.2.4

Sequencer

·Added a Bell shape to Simple Shape, Moving Shapes, and Starfield effects

·Added a new style to the existing fire effect that is more realistic.

·Added a new tool-tip preference to display RGB channel values as percentages instead of 0 to 255.

·Bug fix: The Sequencer could sometimes get stuck while rendering SuperStar and/or Movie effects.

·Bug fix: Some extended characters (e.g. music notes) were not being rendered in the Text effect.

·Bug fix: The Sequencer could crash while calculating the audio spectrogram (rare).

·Bug fix: When the Sequencer starts it tries to detect the level of OpenGL (graphics) support, and if inadequate, displays a warning message. The detection logic has been adjusted -- as it was not working for some users with Intel HD 520 graphics.

·Bug fix: When files are changed by an external program in the \Light-O-Rama\CommonData folder, a warning message is displayed in the Sequencer. In prior versions, this message would be displayed even if the file that changed was not used by the Sequencer (e.g. a backup copy of the preview file). Now only files actually used by the Sequencer will generate a warning.

·Bug fix: Fixed rounding errors that caused red, green, and blue values in an RGB channel to sometimes be off by 1.

·Bug fix: In some situations, the preview list in the Motion Effect Generator could end up showing multiple copies of every preview.

·When displaying a protected sequence, the supplementary text is now wrapped to fit the Sequencer window.

Control Panel

·Added a REST API to the Control Panel so that third party tools can integrate with it. There is a new tab in Settings called Integration that has options for controlling the REST API. By default, access to the Control Panel via the REST API is disabled. The REST API is a new feature and is subject to change. It will be finalized in a subsequent release.

·OSC settings were moved to Settings > Integration.

What's New in Version 6.2.2

·Performance of some motion effects degraded in 6.2.0, but are now restored to 6.1.10 levels. Performance of these motion effects were restored: Butterfly, ColorWash, Curtain, Fire, Fireworks, Garland, Marquee, Meteors, Scanner, SingleBlock, Snowflakes, Spirals, Twinkle, Wave

·Bug fix: When registering online from the Sequencer, then clicking on the link to the store, the Sequencer would crash if there was no internet connection.

·Bug fix: In version 6.2.0, sometimes SuperStar effects would not display in the Playback window.

·When the Control Panel is in Demo Mode, the Networks page no longer hides any existing network settings. Networks that are not supported by your current license level will include an error message.

·When applying Ctrl-D (fade down existing effect) or Ctrl-U (fade up existing effect) to an RGB channel in the sequence grid, these 2 functions could increase the brightness of a color in some situations. Going forward, these functions will act as a cap on a color's brightness. There is no change in how Ctrl-D and Ctrl-U work on regular channel rows and motion effect rows.

·New Misc tab in Control Panel settings includes options for "Show separate icons for musical and animation sequences in Recent Sequences" and "Include additional detail in program log". Disabling separate icons for musical and animation sequences can significantly improve the time it takes the Control Panel to open when the Light-O-Rama folder is on a network drive.

·Bug fix: When motion row order was set to "Foreground layer on top" or "Foreground layer on bottom", props displayed as members of a group did not get displayed with the specified order.

·Bug fix: In 6.2.0, chasing across RGB channels with a color fade was broken.

What's New in Version 6.2.0

This version includes a new sample sequence located at: "\Light-O-Rama\Sequences\Samples\LOR 6.2.0 Motion Effects.loredit"

Sequencer

·You can now display motion effects in the sequence grid using icons. Each icon is specific to the unique effect - reflecting its palette and settings.

Select this option from Sequencer Preference's Motion Effect tab.

·Increased the maximum row height in the sequence grid, so motion effect icons are easier to see.

·New "?" icon in the Motion Effect Generator. Clicking on it will display help for the currently selected effect.

·Added ability to enter numeric values for sliders in the Motion Effect Generator

·In the Motion Effect Generator: added ability to change effect brightness with the volume of the music. This can be applied to any effect.

·Added new motion row order preference of "unstructured". This allows you to arrange motion rows in any order (like the S5 Sequencer). When set to unstructured, motion rows can be placed into grid view groups.

·When right-clicking on a motion row name in the sequence grid, there are 2 new menu options: "Add Motion Effect Row" and "Subdivide into Sections". This allows you to perform these functions without having to go into Manage Motion Rows first, saving a few mouse clicks.

·When creating motion rows using the subdivide tool, if the number of rows or columns is 10 or more, they now get labeled with a leading 0.

·In the Previews window, you can now select multiple previews using Ctrl-Click and Shift-Click, and then click the delete button to delete the selected previews all at once.

·Renamed "Use This Prop (or Group) For Thumbnails" to "Use This Prop (or Group) in the Effect Samples Window". This is on the menu you see after right-clicking on a prop name or motion row name in the sequence grid.

·In Preview Design, added the ability to create a new group with the same members as another group..Right-click on a group in the Design tab's item list and select "Create Group With Same Members".

· Cell size is now remembered when editing a prop with a Custom shape.

· Alternate node pixel wiring is now supported on the following shapes: Tree 90, Tree 180, Tree 270, Tree 360 Wedges, Matrix-Horizontal-Quad, Matrix-Horizontal-Rectangle, Matrix-Vertical-Quad, Matrix-Vertical-Rectangle, Cylinder, Sphere, Fan, and Spokes

·Bug fix: after right-clicking on the design canvas in Preview Design, the formatting items were missing from the pop-up menu (regression).

·Bug fix: the Sequencer could crash when editing a preview group with arrangement of "V Stack, H Fill" or "H Stack, V Fill".

·Bug fix: After copying a prop or group in Preview Design, the default motion rows for the new prop or group did not have the correct internal identifier. This in turn caused merging motion effect rows in a sequence to produce duplicate motion rows.

·Bug fix: shift/+ shortcut now invokes Repeat Last Paste (key to the left of Backspace on US keyboards). Previously only the "+" key on the numeric keypad would invoke this shortcut.

·Bug fix: When drawing a string In Preview Design, you could not add line segments that were perfectly horizontal or perfectly vertical.

Motion Effects

·Added new Plasma motion effect

·Added new Hatch Pattern effect.

·Added new Morph effect

·Added new Starfield motion effect.

·Added new Moving Shapes motion effect.

·Added new diagonal direction options to Bars, Blended Bars, and Straight Lines: up-left, up-right, down-left, down-right

·Added support for horizontal and vertical mirroring of motion effects.

·Added smooth text option to the Countdown effect.

·Wave motion effect changes:

onew square, triangle, and sawtooth wave shapes, in addition to sine waves.

onew "fit to duration" option.

onew "phase shift" option.

·SimpleShape effect changes:

orenamed "oval" shape to "circle". Also renamed "octogon" to "octagon" to fix spelling.

ousing a picture file is now enabled by a check box.

oadded "Snowflake" and "X" shapes.

oadded "Outline Smooth" color mode (existing "Outline" mode is jagged).

Control Panel

·If Windows Media Player was not installed, version 6.1.10 of the Control Panel would start up very slowly. This has been fixed. When this situation is detected, shows are disabled and there is a new message on the Play Shows screen that Windows Media Player is not installed.

·In the Create Shows list, show duration and the Active switch have swapped positions. This makes it harder to accidentally click on the Active switch when double-clicking on an entry to edit it.

What's New in Version 6.1.10

Control Panel

·Bug fix: LOR channels that are off at the beginning of a sequence did not get set to off when written to an SD card (for networks that were not enhanced).

·Bug fix: For props with traditional lights and no dimming curve, the value sent to the lights from the Show Player was 1 less than the value shown in the sequence grid. This had a big effect on CCR Macro channels. DMX intensity effects were unaffected. LMS and LAS files were also unaffected.

·Fixes for Show Player stopping due to a Media Player error.

·Added Cut, Copy, Paste to playlists (in Show Creation and SD Cards). These functions are available as buttons above the playlist, as well as on the right-click menu.

·Added automatic "Scroll to bottom" option in the Network and Player log screens.

Sequencer

·Bug fix: selecting Assign Different Preview from the menu caused the Sequencer to crash (regression). https://forums.lightorama.com/topic/56516-minor-glitch-with-618/

·The Sequencer now checks the OpenGL version before opening any OpenGL windows and displays a warning message if needed (instead of crashing because OpenGL drivers were inadequate). https://forums.lightorama.com/topic/56514-minor-bug-cant-open-sequencer-due-to-video-limitation-no-warning-message/

·Bug fix: in Palette Management, changing the palette order by clicking the move up/down buttons could cause a crash.

What's New in Version 6.1.8

Control Panel

·Bug fix: if a media player error occurred during a show, show playback would sometimes freeze until the "skip current song" button was pressed. The most common media player error was identified as "0xC00D11B1" in the Player Log. This fix does not reduce the number of times a media player error might occur, only how the error is handled.

·Bug fix: when recovering from a media player error, the video window would be recreated but the "full screen" setting would be ignored.

·Added new video settings that allow the user to specify when the video window should be displayed.

·Fixed loading and saving of Override Sequences (regression).

·Show playback is now paused if the computer goes to sleep, and is resumed when the computer wakes up. These system events are now noted in the Player Log.

·Bug fix: if playback file creation fails (e.g. the media file isn't found), the sequence is not included in the show.

·Bug fix: the Extend Show function was not working, whether invoked from the computer or from the mobile app.

·Added show shutdown option: shutdown immediately or after current song. "After current song" is the default, but "shutdown immediately" might be useful if you have a filler sequence at the end of a show.

Sequencer

·Bug fix: changing the starting location for a pixel prop wasn't updating groups where it was a member. This caused motion effects on the groups to display the wrong output after changing the prop (until the Sequencer was restarted).

·Bug fix: props with a single motion row could not be dragged to a new location in the sequence grid

·Fixed issue when rendering the Audio effect with the Waveform option to a prop that is 1 pixel wide or 1 pixel high.

·Added support for importing poly-line models from xLights.

What's New in Version 6.1.6

Control Panel

·Limited log files to a total of 3 files of 5 MB each (15 MB total)

·Added a "Refresh" button to the screen where you select your SD card. Normally this screen should automatically update the list of available cards, but in case it doesn't, you now have a way to update the list.

·If a media file cannot be found while playing a show, the log will now list the name of the sequence and the full path to the media file, instead of a generic message. https://forums.lightorama.com/topic/56155-minor-nitfeature-request/

·While playing a show, sequences that fail to play 5 times in a row will be removed from the show. Shows that have no more sequences to play due to errors will be shut down. These events will be noted in the player log. Note that the sequences are not permanently removed from a show, only from the current running of the show.

·Fixed creation of show files and SD cards for DMX networks when using an Advanced license.

Sequencer

·Bug fix: when using the mouse to select cells in the beat channel section of the sequence grid, the selection would jump between rows. This only happened when the waveform was displayed. Also, when using the mouse to select cells in the main section of the sequence grid, the grid would not auto-scroll upwards if you dragged into the beat channel section.

·Increased maximum number of spokes in the Spoke shape from 50 to 100.

·Fixed potential crash when importing online props into a preview.

·Fixed possible crash in File > Save A Copy.

SuperStar

·If the name of a Text Action or Image Action had a character that wasn't from the standard US keyboard (e.g. a degree symbol or accented letter), it prevented the Sequencer from saving the sequence.

What's New in Version 6.1.4

Control Panel

·Bug fix: in Create Shows, saving a show that has a schedule entry that ends exactly at midnight no longer generates an error.

·Bug fix: in the Show Player, a show could briefly start back up after it is finished playing.

·Bug fix: in the Settings section: clicking the "Change Light-O-Rama Folder Location" button would cause an error.

·Bug fix: when editing an SD card show, some fields on the screen were not populated correctly. Fields with incorrect data included play type and schedule type.

·Bug fix: the media player will be recreated any time there is a media error. This should allow the show to keep playing after a transient error.

·Bug fix: fixed text* motion effects so that they always render at 96 dpi. The Control Panel was creating playback files using the dpi of the primary display, which only created correct files when Windows scaling for the primary display was set to 100%.

·In Live Player, the "+" button now inserts cues after the selected row, making it easier to add cues anywhere in your list.

·Bug fix: In Live Player, if there is a cue that is currently playing, clicking the Play Next button will play the cue after the one that is currently playing, regardless of selection. Otherwise it will play the cue after the one that is selected.

·Bug fix: In Live Player, it is no longer possible to edit the cue list while a cue is playing.

·Bug fix: shows that only contain a background section or an interactive section can now be played.

·Bug fix: in Create Shows, opening a show and then clicking the Cancel button after not making any changes, would result in a "Unsaved changes" message.

·Bug fix: the list of upcoming shows now displays correctly when there is an on-demand show with start and/or end times.

·An on-demand show is now identified with a "!" in the upcoming shows list.

Sequencer

·Bug fix: When adding or editing a motion effect in the Motion Effect Generator, the music played to the end of the song instead of to the end of the selection.

·Bug fix: Fixed incorrect rendering of Curtain effect when Movement set to chase, Repeat mode set to Once fit to duration, and Speed set to 0.

·Bug fix: Spaces were sometimes removed when editing Text motion effects.

·Bug fix: In the playback window, channel effects would sometimes turn on 50 milliseconds before motion effects, even though programmed to come on at the same time.

·Increased the maximum number of motion effect rows from 100 to 600 to accommodate high density props like the GE Rosa Grande.

·Added support for keyboard shortcuts to switch tabs in the Sequencer. Ctrl+Tab forward, Ctrl+Shift+Tab backward. Same shortcuts used in most web browsers.

·Added "Motion effect start (0=back, 1=left)" parameter to Sphere and Cylinder shapes.

·Added support for tilting mouse wheel to scroll left/right in: sequence grid, preview design, wiring view, and playback windows.

SuperStar

·Fixed a bug. The progress dialog box was counting image mask actions as text actions

·Optimized image masks and text masks to only compile if they are within the time range we are compiling. Before it was compiling all of them regardless.

·Fixed a bug where 16 channel AC controllers using DMX were not working. The bug was caused by rgbOrderOffset not getting initialized properly.

·Fixed a bug where if you select an image on one row, then right click on a different image row and select "insert current image into imageAction effect" then it inserts the image on the row you first clicked on.

·Added "Unselect All Left, Unselect All Right, and Unselect All" to the "Edit" menu

Mobile App

·Added support for starting on demand shows and override sequences. This requires your computer to be running version 6.1.4 or later.

What's New in Version 6.1.2

Hardware Utility

·Fix device file not found error.

Control Panel

·Bug fix: in Create Shows, unable to reorder sequences in a playlist when the playlist contained more than one instance of the same sequence.

·Bug fix: in the Show Player, shows sometimes briefly started back up after they finished.

·Bug fix: when creating SD cards for regular LOR networks (not enhanced), fade effects on the card changed intensity much more slowly than specified by the effect.

·Bug fix: when creating SD cards for regular LOR networks (not enhanced), the last effect in the sequence was not getting written to the card.

·Bug fix: when creating SD cards, turn lights off at end was not working.

·Bug fix: when creating SD cards, animation sequences resulted in a write error when used as starter or filler sequences.

Sequencer

·Bug fix: when pasting into the text box for Text, TextPE, and TextXY motion effects, only plain text (no formatting) will be included. In earlier versions of S6, pasting from MS Word included font size information that overrode the font size slider.

·Bug fix: Text, TextPE, and TextXY motion effects with multiple spaces in a row would only show a single space on the prop.

·Bug fix: in Preview Design's Channel Conflicts tab, the Start Channel column was showing "LOR Regular, Unit 01, Circuit 1" for every conflict.

·Bug fix: in the Prop Definition dialog, the simulated prop drawing in the lower half of the Shape section didn't refresh appropriately when resizing the window.

·Spinner motion effect enhancement:

oadded new style "pinwheel_3"

oadded new color modes "fade_inner" and "fade_outer".

ocolor mode "Fade_3d" was renamed "fade_both". One difference: where "Fade_3d" always displayed a single color, "fade_both" maintains the colors displayed in "color_per_arm" mode. If only 1 color is selected, the old "Fade_3d" and the new "fade_both" will display the same thing. If more than 1 color is selected, the new "fade_both" will give you a look that was not achievable in prior versions.

What's New in Version 6.1.0

Initial production release of the S6 Light-O-Rama Software Suite.

Big Changes

·Many functions that used to be separate programs are now part of the Control Panel. This includes:

oDefining your lighting networks (previously done in Network Preferences)

oMonitoring the status of those networks (previously done in the Comm Listener)

oCreating shows (previously done in the Show Editor)

oChecking if there are any issues with the show (previously done in the Verifier)

oScheduling shows (previously done in the Schedule Editor)

oPlaying shows (previously done in the Show Player)

oCreating SD cards for Light-O-Rama Director units (previously done in the Hub)

·There is a new phone app, available for Android, iPhone, and iPad, that allows your phone to communicate with the Control Panel

Licensing

·Registering your software is done from the new Control Panel.

·The Startup and Shutdown sections of shows are now available at all license levels.

·Show On Demand is now available at all license levels.

·Using calendar dates when creating a show schedule is now available at all license levels.

·Your license is also used when logging into the phone app.

Control Panel

·Access the Hardware and ServoDog Utilities.

·Access the PixCon16 configuration tool.

·Find PixieLink controllers on the network.

·Network Preferences and network status are combined onto a single page. The network log can be displayed in a separate window if desired (similar to the Comm Listener window, but nicer)

· Test lights - test a preview, a group of channels, or a group of pixels

· Access the Sequencer - with a view similar to the Sequencer's Start Page.

· Edit, verify and schedule shows. Length of each sequence and total duration of the show are displayed.

·When playback is disabled, you can pick 1 of 2 playback modes: Show Player (traditional playback), Live Player (jukebox playback).

·The new Show Player allows the queue of upcoming sequences to be manipulated by the user.

·The new Show Player allows a set of "Override Sequences" to be defined and inserted into the queue at any time (for example "Clear out please" announcements).

·The new "Live Player" mode puts you in control of playing your show. It works like a jukebox and makes using Light-O-Rama sequences in live performances much easier.

·Create SD cards for your mini- or MP3 Director.

·Click the cloud icon in the title bar to enable or disable your cloud connection, which is used by the phone app. A cloud icon with a "!" in it means the computer is connected to the cloud, but the phone app is not connected to the cloud. When the phone app connects, the icon will show a check mark inside.

·Album art is displayed beside a musical sequence if the media file contains such an image.

·The new Control Panel behaves like a regular Windows program. It does NOT minimize to the system tray.

·Sequence playback uses a new file format. This should allow sequences to start playing more quickly and use less memory. S4/5 compressed sequences (LCS) and intensity data (LID) files are no longer used.

Hardware Utility

·The tabs for "Digital IO Boards" and "X10 CM11A" have been removed.

·The SD card creator remains, but can only use LMS and LAS files. The ability to use LOREDIT files here has been removed.

·The Light Console and Pixel Console remain, even though these functions have been recreated in the new Control Panel.

Sequencer

·The right-click menu for the waveform has been removed, although this menu is still available by right-clicking on the yellow timeline. Also, the ability to drag across the waveform to zoom in has been removed. Double-clicking on the waveform now opens the Audio Settings panel.

·Empty grid view groups are now automatically deleted.

·Added new item to the timeline's right-click menu: Zoom To Play Range.

·Added new shortcuts: Ctrl-A to set max intensity and Ctrl-I to set min intensity. These are the counterparts to Ctrl-U and Ctrl-D. Ctrl-A will no longer select all, but you can use R followed by C to accomplish that.

·The "T" shortcut key will now add a timing mark wherever the pointer is located if there is no selection in the sequence grid and playback is stopped. You can clear the selection by clicking in the waveform area.

·On the right-click menu, "Add/Modify Motion Effect Rows" is now "Manage Motion Effect Rows"

·Motion rows are now only displayed in the order in which they are rendered. You can no longer drag a motion row anywhere in the sequence grid. Row order is modified using the "Manage Motion Effect Rows" menu item.

·The first column in the Manage Motion Effect Rows dialog now identifies the foreground and background rows.

·On the Sequencer Preferences "Startup" tab there is a new option: Use default window arrangement at startup. A few users with multiple monitors had problems with the way the Sequencer remembered the position of its windows - sometimes causing a crash the next time the Sequencer started. This gives those users a reliable way to start the Sequencer every time.

·The playback marker style can now be set by right-clicking on the timeline, as well as in Sequencer Preferences. For users that change the playback marker style fairly often, this allows them to do that more quickly.

·Converted the "Carryover" column to "End Unit / End Circuit" in Prop Definition.

·Previously, setting a dimming curve in Prop Definition only applied to ELOR and DMX networks. They now also work on regular LOR networks (not enhanced).

·Added option to Preview Design's Layout View to save it as a PNG image file. You can then open the PNG image in MS Paint or similar programs and print to multiple pages. This is helpful for layouts that are wider than 1 page.

·Typing the right-arrow key after a paste will now keep you on the first row of the selection. So you can do multiple pastes with Ctrl-V, Arrow-right, Ctrl-V, Arrow-right, Ctrl-V, Arrow-right, etc.

·Updated the Statistics tab in Preview Design to include the number of channels in each LOR network. This can help you diagnose when a network is overloaded.

·On Preview Design's Design tab, added "Create Group" to the item list's right-click menu.

·Added a Snowflake shape in Prop Definition. This shape can be used to efficiently model pixel snowflakes and other props with radial symmetry. Motion effects that move left or right will spin around the snowflake.

·Added Teal and Pink to the list of traditional colors in the Prop Definition screen.

·When editing a prop with a custom shape, you can now shrink the size. This works well for coro props -- and the smaller size greatly improves performance.

·Added FSEQ export to the File menu - only available with a PRO license.

·There is now full support for dumb RGBW fixtures (4 channels). RGBW is sequenced as a regular RGB channel; but when output to lights, the white channel is set to the minimum of the red, green, and blue values, and then the red, green, and blue channels are reduced by the calculated white value. In Prop Definition, the RGB order setting affects the order of the first 3 channels; white is assumed to be the last channel.

SuperStar

·Added enhanced singing face features. Eyes will now blink every 2-4 seconds. Bow/Star will illuminate when mouth is moving. Motion row defaults for Boscoyo type faces will automatically be added into the image list.

·Added twinkle and shimmer to the smooth effects

·Added Windows Font support in Text Setup dialog box. This allows text using any of the Windows system fonts. Bold, Italic, underline, and smoothing can be done for any of the fonts at any size.

· Added "Don't Use Music" feature in the Auto Sequence dialog box.

·Added feature for image mode, double click in the green grid, or the preview and in addition to setting the current color for the pixel you clicked on, it sets all non-black to the current color. This is to make it easy to change the color of all the pixels for a face element for the Boscoyo type faces.

·Added the feature "Silhouette Mask Adjacent Effects Only." This enables you to have multiple image masks at the same place in the time ruler and have background and foreground effects that apply to the mask they are adjacent to.

·Added support for image masks with smooth effects

·Added ability to multi select images and delete them with the Image list "Delete" button

·Added feature so Ctrl + double click will select all 4 colors in the color controls

·Added support for the new 14 element LOR singing faces

·Increased the maximum dimensions from 360x360 to 400x400

·Fixed a bug in the Singing Faces Dialog box that pops up informing them about what image options the user should pick. The text for one of the cases was being truncated.

·Fixed a bug where SSEdit.exe can crash if in the Image Setup dialog box you go to Large grid and then back to Standard grid.

·Fixed a bug where if you import an image in a path that has an '&' character then when you go back to the sequencer and attempt to save the .loredit file the sequencer gets an error.

·Fixed a bug in "Change Orientation" in the "Move or Scale Selected Effects" dialog box. The source width and height were interchanged when the preview was Horizontal. They now work as expected.

·Fixed a bug where Instant Sequence would not create any effects if you double click to edit a sequence.

·Fixed a bug where if launched from the Sequencer and you do "export to sequence editor" the .lms file can have missing channels if there are props in the Preview that have duplicate channel assignments.

·Fixed a bug where if you are in horizontal orientation and you copy a portion of an image in Image mode, when you try to move the orange rectangle it doesn't move around properly.

·Fixed a bug where if you copy a portion of an image in Image mode and do not press Esc key, then select an effect that is not and image action and do paste, the paste appears to do nothing because what it did was paste the portion of the image that was copied while in image mode. Fixed it by exiting "copy a portion of an image" mode if the graphic mode changes, or if the "copy" button is pressed.

·Fixed a bug where if you have a group selected and load a .sup file then the code thinks there is still a group selected.

·Fixed a bug where you can select a smooth effect and then select a smooth effect before the currently selected effect and the selection region in the time ruler becomes .05 seconds long

·Fix some bugs in the "stop at edge" feature in the Text Setup dialog box. Large superstar fonts were going 3 pixels off the left edge.

·If a Preview is horizontal and has more than 50 pixels per row then the Sequencing Grid was being displayed too large and you could not see the Preview.

New PixieLink Firmware Version 1.04

· Firmware 1.04 has been released for the PixieLink to support a support module upgrade. It also fixes the 141 fatal error (TCPIP stack initialization failure) and fixes the 17 Mbps speed option.


Feature Comparison

The Light-O-Rama software package must be registered, with a valid license, in order to be used to its full potential. Each license contains two separate types of license levels: the main license level and the SuperStar license level.

The main license level covers all of the Light-O-Rama software package except for the Light-O-Rama SuperStar Sequencer. Several different main license levels exist, each having different features: Basic, Basic Plus, Standard, Advanced, and Pro. Additionally, there is an unlicensed Demo version (which is the same as the Basic version, except that it cannot be used to actually control lights, and has encrypted save files).

The SuperStar license level covers the Light-O-Rama SuperStar Sequencer. Its possible levels have names such as 2_CCR, 24_CCR, 60_CCR, and the like, indicating the number of Cosmic Color Ribbons you can use with SuperStar. Additionally, there is an unlicensed Demo version which does not allow export to an actual sequence.

Any reference in this help file to a "license level" or "feature level" refers to the main license level, not to the SuperStar license level, unless specifically noted otherwise.

You will be given a chance to register your Light-O-Rama software at the time that you install it. To register after that time, or to upgrade to a higher level license, please see the "Register Light-O-Rama" (or "Upgrade Light-O-Rama") menu item on the Sequencer's Help menu, or in the Control Panel's License section.

The following chart summarizes what features are available with each license level, with details on each feature listed below the chart.

If a feature is listed as "(demo mode)", it means that the feature can be used with this license to see what it's like, but it won't be fully supported. For example, if you try one of the Sequencer's demo mode features while building a sequence, you won't be able to save your changes to that sequence. Please see the details for each feature for exactly what "demo mode" means for that feature.

If a feature is listed as "Not in S5 or later", it means that the feature is supported in version 4 of the Light-O-Rama Software Suite, but support has been dropped in versions 5 and 6.

FEATURE | DEMO | BASIC | BASIC PLUS | STANDARD | ADVANCED | PRO
Number of LOR Units Supported | 0 | 2 | 4 | 8 | UNLIMITED | UNLIMITED
Number of Grid Views Supported | 2 | 2 | 2 | 4 | UNLIMITED | UNLIMITED
Full Access XML Data Storage | No | YES | YES | YES | YES | YES
Beat Wizard | (demo mode) | (demo mode) | YES | YES | YES | YES
VU Wizard | (demo mode) | (demo mode) | YES | YES | YES | YES
MIDI File Wizard | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES | YES
Video Playback | Audio Only | Audio Only | Windowed Video | Windowed Video | Full Screen Video | Full Screen Video
Play Scheduled Shows | No | YES | YES | YES | YES | YES
Play Shows On Demand | No | YES | YES | YES | YES | YES
Play Cue List Shows | No | No | No | No | No | YES
Startup Sequences in Shows | YES | YES | YES | YES | YES | YES
Shutdown Sequences in Shows | YES | YES | YES | YES | YES | YES
Background Sequences in Shows | (demo mode) | (demo mode) | (demo mode) | YES | YES | YES
Sequence in Sequence | No | No | No | No | YES | YES
Triggered Interactive Sequences | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES | YES
Show Options | No | No | No | No | YES | YES
Execute Windows Shell Commands | No | No | No | No | YES | YES
Multiple Networks | No | No | No | No | YES | YES
Create Protected Sequences | No | No | No | No | YES | YES
DMX Intensity | No | No | No | No | YES | YES
Native DMX Devices Supported | No | No | No | No | YES | YES
Motion Effects | Create Favorites | Create Favorites | Create Favorites | Create Favorites | Create Favorites | Create favorites and use in sequences
Enhanced Networks | No | No | No | No | No | YES
Audio Display | Waveform | Waveform | Waveform | Waveform | Waveform | Waveform or Spectrogram
No Longer Supported |  |  |  |  |  |
Dasher Controllers Supported | No | No | No | No | Not in S5 or later | Not in S5 or later
X10 Controllers Supported | No | No | No | No | Not in S5 or later | Not in S5 or later
Digital IO Cards Supported | No | No | No | No | Not in S5 or later | Not in S5 or later
BSOFT Digital IO Cards Supported | No | No | No | No | Not in S5 or later | Not in S5 or later

Number of LOR Units Supported

Except for the Advanced and higher license levels (which support an unlimited number of Light-O-Rama controllers), each license level will send lighting commands to a limited number of Light-O-Rama controllers: Basic supports a single controller, Basic Plus supports four, and Standard supports eight.

Whether a particular controller is supported or not depends on its unit ID. For example, the Basic license level will send lighting commands only to unit ID numbers 1 and 2, while the Standard license level will send lighting commands to any unit that has a unit ID between 1 and 8.

Regardless of whether a particular unit will be sent lighting commands, you can always use the Sequencer to build sequences using that unit; Light-O-Rama simply will not control the lights for that unit unless you upgrade to a higher license level.

The unlicensed Demo version will not send lighting commands to any controllers, so you cannot use it to actually control your lights.

Number of Grid Views Supported

A sequence may have multiple grid views; however, certain license levels will only support a limited number of grid views in any given sequence. The Demo, Basic, and Basic Plus levels support 2 grid views per sequence, Standard supports 4, and Advanced and higher support an unlimited number of grid views per sequence. The system grid view "View All Items" is not counted toward the limit.

You will not be able to add new grid views to a sequence if it already has the maximum supported number. However, you can still open sequences that have more grid views (for example, a sequence that was created by someone who has a higher license level than you do). In this case, the extra grid views can be displayed in the Sequencer, but you will not be able to modify them.

Full Access XML Data Storage

When a sequence is saved using a licensed version of Light-O-Rama, its save file uses a standard XML format, which is designed to be understandable by people. In the S5 version of the software, these files have an LOREDIT extension. Technically advanced users may feel comfortable editing these XML-based sequence files directly with a text editor, or even building their own tools that can be used with these files (although please be careful when doing so, as it is not terribly difficult to make a small mistake which may render the sequence file incomprehensible to the Light-O-Rama software package).

On the other hand, when a sequence is saved using the unlicensed Demo version, it is saved encrypted, and so the file itself cannot be easily understood or modified by anyone or anything except the Light-O-Rama software package. Additionally, data from an encrypted sequence cannot be copied and pasted, except on the computer that the sequence was originally encrypted on.

No matter whether a sequence is saved using the open XML format or using encryption, the Light-O-Rama software itself will still be able to use it.

If you create an encrypted sequence using the unlicensed Demo version, and later purchase a license, you can unencrypt the sequence by resaving it on the same computer it was originally encrypted on, using your licensed version of the software.

Beat Wizard

The Beat Wizard can be used to analyze a song to try to determine its tempo, and to automatically place timings and lighting effects into a sequence based upon that tempo. It is fully supported in license levels Basic Plus and higher.

It is not supported in license level Basic (nor in the unlicensed Demo version). However, you can still try it out in a "demo mode" to see what it is like; after trying it on a sequence, you will not be able to save your changes. You will be given a warning about this when you try it, along with a chance to back out before committing to using it. Additionally, if you do decide to use it, and your sequence already has unsaved changes, you will be given a chance to save them before you actually use this feature.

VU Wizard

The VU Wizard can be used to analyze a song to find peaks in the audio - much like a VU meter - and to automatically place timings and lighting effects into a sequence based upon those peaks. It is fully supported in license levels Basic Plus and higher.

It is not supported in license level Basic (nor in the unlicensed Demo version). However, you can still try it out in a "demo mode" to see what it is like; after trying it on a sequence, you will not be able to save your changes. You will be given a warning about this when you try it, along with a chance to back out before committing to using it. Additionally, if you do decide to use it, and your sequence already has unsaved changes, you will be given a chance to save them before you actually use this feature.

MIDI File Wizard

The MIDI File Wizard can be used to automatically insert timings and lighting effects into a musical sequence that is based upon a MIDI song. For example, it can make your lights chase each other in time to the music, or turn certain channels on or off based upon what notes are being played.

However, the MIDI File Wizard is fully supported only with the Advanced license level or higher.

Using other license levels, you will still be able to use the MIDI File Wizard in a sort of "demo mode", to see what it is like, but you will not be able to save changes to your sequence after having done so.

Video Playback

You can build musical sequences based on audio files (such as MP3) or on video files (such as WMV). When a musical sequence is played, the sound will always play, but the actual video will only be displayed for license levels Basic Plus and higher. License level Basic will not display video.

At the Advanced license level or higher, you can show the video in full screen mode. Basic Plus and Standard will show video inside a window.

Play Scheduled Shows

This feature allows you to play a show according to a schedule. Scheduled shows are enabled when the Light-O-Rama Control Panel's Show Player is open.

Play Shows On Demand

This feature allows you to play a show without having to schedule it. This is done by clicking the "!" icon in the Light-O-Rama Control Panel's Show Player.

Play Cue List Shows

This feature allows you to create a cue list of sequences and invoke the sequences interactively -- ideal for live performances. It is accessed from the Light-O-Rama Control Panel's Play Shows section. It is only available with the Pro license level.

Startup Sequences in Shows

The Light-O-Rama Control Panel's Create Shows section can be used to build shows with several different sections. Among these is the Startup Section. Sequences in the Startup Section are played immediately upon the show starting up, one at a time, in order. After all of them have been played, the main portion of the show (i.e. the Animation Section and the Main Section) begins.

Shutdown Sequences in Shows

The Light-O-Rama Control Panel's Create Shows section can be used to build shows with several different sections. Among these is the Shutdown Section. When the scheduled end time for the show is reached, the main portion of the show (the Animation Section and the Main Section) stops, and the sequences in the Shutdown Section are then played, one at a time, in order. After they have all finished, the show is truly finished.

Background Sequences in Shows

The Light-O-Rama Control Panel's Create Shows section can be used to build shows with several different sections. Among these is the Background Section. All sequences in the Background Section will play simultaneously, looping back to their starts when they reach their ends, throughout the entire course of the show.

However, this section is fully supported only with the Standard or higher license levels.

Using the Basic and Basic Plus license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play the sequences in a show's Background Section.

Sequence in Sequence

Sequences can themselves contain subsequences - a parent sequence containing a child sequence. The parent sequence can be set to start or stop the child sequence at any given point during play.

However, subsequences are only fully supported with the Advanced license level or higher.

Using other license levels, you will still be able to use subsequences in a sort of "demo mode", to see what they are like, but you will not be able to save changes to your sequence after having done so.

Execute Windows Shell Commands

Using the Advanced license level or higher, Light-O-Rama can optionally tell Windows to execute any arbitrary command that you specify when a particular sequence is started. An example of how this might be used: If you broadcast the songs playing during your show over the radio, you might set your sequences up so that they tell Windows to tell your RDS ("Radio Data System") program to also broadcast the name of the song, allowing people with RDS-enabled radios to see the name of the song currently playing in your show.

Triggered Interactive Sequences

In addition to being able to control lights, some Light-O-Rama controllers can also accept input, acting as triggers to start particular sequences on demand during a show. For example, as part of your display, you could have several buttons for people to push, each of which will play a particular song.

However, this feature is fully supported only with the Advanced license level.

Using other license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play any sequences which are triggered during your show.

Show Options

Normally, the sequences in a show will start playing immediately at the show's scheduled start time. The Advanced license level or higher allows more control over this; for example, you could hook a big red button labeled "Start the Show" up to one of your Light-O-Rama controllers, and the show will not start until that button is pushed.

For details, please see "Show Options".

Multiple Networks

The Light-O-Rama Software Package can send lighting commands to Light-O-Rama controllers over several different Comm ports simultaneously. This has several potential uses, especially for people with large numbers of controllers, or lights spread out physically far from each other.

However, this is supported only in the Advanced license level or higher. Other license levels will send lighting commands to Light-O-Rama controllers only over a single Comm port.

Create Protected Sequences

The Light-O-Rama Sequencer can be used to create protected sequences, which are sequences which cannot be modified (generally speaking) or viewed in the Sequencer, but which can still be played, control lights, scheduled in shows, and so forth.

However, this is supported only in the Advanced license level or higher. Other license levels can use protected sequences, but cannot create them.

DMX Intensity

Light-O-Rama allows the possible intensity of most lighting effects ranges from 0 to 100, i.e. a percentage of full intensity. DMX devices, however, are capable of taking 256 different intensities (from 0 to 255), rather than 101. Light-O-Rama supports this possibility via the DMX Intensity tool.

However, this is only supported in the Advanced license level or higher. Other license levels will not have access to the DMX Intensity tool.

Native DMX Devices Supported

The Advanced license level or higher can send lighting commands to DMX devices, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

Motion Effects

Motion Effects can be fully used only with the Pro license level. Lower license levels can use the Motion Effect Generator to test effects and save those effects as favorites, but they cannot be used in sequences.

Enhanced Networks

The Pro license level can use enhanced LOR networks. These can help with displays involving large numbers of independent lighting elements and are required when using Light-O-Rama Pixie controllers. Lower license levels cannot use this feature.

Audio Display

At any license level, music can be displayed as an audio waveform. At the Pro license level, you can also view the audio as a spectrogram. See the Audio Settings topic for examples.

Dasher Controllers Supported

These controllers are not supported in S5 and later versions.

X10 Controllers Supported

These controllers are not supported in S5 and later versions.

Digital IO Cards Supported

These controllers are not supported in S5 and later versions.

BSOFT Digital IO Cards Supported

These controllers are not supported in S5 and later versions.


Light-O-Rama Concepts

Light-O-Rama allows your computer to control your lights and other equipment in synchronized displays. Such a display is organized into several levels:

At the lowest level, a sequence contains commands to be sent to your Light-O-Rama hardware, which will actually control your lights. For example, a sequence might contain a command to turn on one string of lights while making another string twinkle, and two seconds later, fading the first string down while fading the second string up. A sequence can contain commands for many circuits.

A sequence contains commands to control lights

A sequence contains commands to control lights

Typically, people build a sequence per song that they want in their display (known as musical sequences), each one containing all of the lighting commands for its particular song. People also build animation sequences, not associated with any particular song, and often build one for each independent part of their display - for example, one animation sequence to control a group of snowmen having a snowball fight, and another to control a tin soldier firing a cannon.

Sequences can be grouped together into shows. A show allows several sequences to be played at the same time, or sequentially, or in random order. A show can contain different sections - for example, some sequences might be played only at the beginning of a show, others only at the end, others in between, and still others for the entire duration of the show. You can assign a schedule to a show so that the Show Player can play it at the scheduled times. Keep in mind that the Show Player can only play one show at a time, but any number of shows can be scheduled for different times, and the same show can be scheduled to play at many different times.

A show contains sequences to be played together, or in order, or randomly

A show contains sequences to be played together, or in order, or randomly


Sequences

A sequence is a set of commands to be sent to lights - for example, a sequence may command the lights to turn on when the sequence starts, turn off a second later, stay off for a tenth of a second, start twinkling for the next two seconds, and then fade up, from completely off to completely on, during the next three seconds. The Light-O-Rama Sequencer is used to create and modify sequences.

· Key Sequencing Steps

· The Sequence Grid

· More Information

Key Sequencing Steps

There are several key steps in the sequence process as shown in the flowchart below:

· Create a preview

· Create a sequence

· Save a sequence

Create a Preview

A sequence can control multiple sets of lights independently of each other. Each set of lights should be hooked up to a particular circuit on a particular controller; each such circuit is referred to as a "channel". Channels are assigned to props, and props are part of a preview. Every sequence is associated with a single preview, and that preview determines the set of channels the sequence can control. A preview can be associated with multiple sequences.

In the example above, the 3 sequences are all assigned to the "Christmas 2018" preview. Each sequence will have 4 props that can be controlled: Window, Door, Eaves, and Gutter.

Not only do you assign channels to a prop, but you also assign a shape to each prop. This lets you draw and arrange your lights in a way that resembles your actual display. When you play a sequence in the Sequencer and display its preview, the drawing will behave just like your lights will - the props in your drawing will turn on and off, fade up and down, and so forth.

A preview with Window, Door, Eaves, and Gutter props

A preview with Window, Door, Eaves, and Gutter props

Create a Sequence

There are two types of sequences: animation sequences and musical sequences. Musical sequences are associated with songs (or sound effects, videos, etc.); the lights can be made to turn off and on (and do other effects) in sync with the music. Animation sequences are not associated with songs. Many sequences can be played simultaneously, but at most one musical sequence can be playing at a time - all others must be animation sequences. This means that you can control some of your lights in sync to a song via a musical sequence, while simultaneously controlling other lights independently, via animation sequences.

You can create a new sequence:

·from the File Menu,

·by clicking links on the Start Page, or

·by right-clicking on a preview name in the Previews Window.

Save Your Sequence

It is important to save your sequence often so you don't lose any work if your computer crashes or you lose power. It is also a good idea to make backup copies of your sequences to a flash drive or to the cloud. The Sequencer's Save Copy options can be configured to make time-stamped backup copies every time you save.

Sequence files in S5 and later versions use a different file extension than older versions:

 | S5/S6 Sequences | Prior Versions
Musical Sequences | LOREDIT | LMS
Animation Sequences | LOREDIT | LAS

Sequence File Extensions

Once your sequence is complete, you can use the sequence file (LOREDIT extension) to:

·create a show for playback on the computer

·create an SD card for an LOR MP3 Director using the Control Panel

The Sequence Grid

Here is an example of a simple sequence containing 4 props, as represented in the Sequencer. The props are listed down the left side and a timeline is displayed across the top. As time passes (from left to right), you can see that the Window prop is turned on, then it is turned off and the Door prop is turned on, then that is turned off and the Eaves prop is turned on, and so forth, through the 4 channels:

A simple sequence with a fixed timing grid

A simple sequence with a fixed timing grid

Timings

The vertical lines in the sequence grid, representing distinct points in time, are known as timings. These timings do not have any direct effect on how your lights will look; instead, they allow you to select time ranges for lighting effects to happen, using various tools in the Sequencer.

Timings are grouped together into timing grids. There are 2 types of timing grids: fixed and freeform. In a fixed timing grid, all of the timings are a fixed distance apart and the timings cannot be moved, deleted, or added to. In a freeform timing grid, timings can be at any location, and can be moved, added, and deleted. A sequence can have more than one timing grid. For example, here is the same sequence, but now with a freeform timing grid displayed:

A simple sequence with a freeform timing grid

A simple sequence with a freeform timing grid

Note that the timings in this freeform grid are not the same distance from each other. Also note that the timings and the effects do not line up with each other - there is no reason that they would have to. This is so as to allow flexibility in where effects can be applied, without cluttering the display with many timings.

For example, perhaps you might want a sequence to have some effects that follow the drum beats in a song, and other effects that follow the lead guitar. You could simply add timings representing both the drum beats and the guitar to a single timing grid, but if you do, it could be difficult to remember which timing is for which instrument; also, the display might become cluttered with so many timings. So, instead, you could put the timings for the drums into one timing grid, and the timings for the guitar in another timing grid, and use the drop-down box to easily switch between the two timing grids as appropriate. The effects that you add using the timing grid for the drums will not necessarily line up with the timing grid for the guitar, nor the effects added using the timing grid for the guitar with the timing grid for the drums, but neither should they.

Grid Views

A grid view is the group of props displayed in the sequence grid. A sequence can contain multiple grid views. Each grid view can have its own props, or can share props with other grid views, or both. There is one system-generated grid view call "Show All Items" - it automatically shows all props in the preview. You can change the order of the props displayed in the "Show All Items" grid view, but you cannot remove items from it.

Grid Rows

The sequence grid can display several types of grid rows:

· Regular channel rows have a gray background and control a single output channel

· RGB channel rows have a black background and are used for props composed of RGB lights that can display any color

· Motion effect rows are only available with a Pro license. They allow you to apply color patterns to a prop made of RGB pixels. Motion effects can also be applied to groups of pixel props. Motion effects can be created using the Motion Effect Generator or the SuperStar Sequencer (SuperStar is licensed separately).

· Loop rows can be used in animation sequences (but not musical sequences). When playing a sequence that contains a loop, when the end of the loop is reached, the sequence will jump back to the beginning of the loop. It will do this a certain number of times (that you specify), and then will continue past the end of the loop. Each time that it jumps back, you can make it go through the loop faster, slower, or the same speed as before. There can be many loops in a sequence (set up for different time ranges), and loops can even contain other loops.

· Beat channels can be used in musical sequences, and are intended to hold effects related to the beat of the music. They are merely a sequencing convenience and do not control lights.

· Subsequence rows point to a separate sequence file. The subsequence can be turned on or off at different points in the main sequence, and its effects will play only when it is turned on.

· Archived prop rows contain effects for props that were once part of the preview, but have since been deleted.

· RGB aggregate rows aid in the conversion of effects from props made of traditional lights to RGB channels or motion effect rows.

A prefix symbol is added to certain types of grid rows to help identify them. Here is a master list of symbols used:

More Information

For more detailed information on sequences, please refer to the following sections:

· The Sequencer

· Previews

· Animation Sequences

· Musical Sequences

· Channels

· Timings

· Effects

· Archived Props

· RGB Aggregates

· Freeform Play Range


Previews

A 'Preview' is a representation of your light display. It defines the lighting elements, how they are arranged, and what channels they use. Creating a preview is required before you can create a sequence.

A preview can be a quick rough sketch, or a detailed, highly realistic depiction of your display. It is up to you to decide how much effort you want to put in to it. In any case, the preview must define every channel that will be controlled by your sequences.

When you play a sequence using the Sequencer, you can also watch the sequence's preview in the Playback window. The drawing will change as if it were the lights that the sequence controls - that is, parts of the drawing will turn on and off, fade up and down, twinkle, and shimmer, just as the sequence commands.

Props

The display elements in a preview are referred to as 'props'. You must add a prop to the preview for every display element that you want to control. A prop can be as simple as a single channel string of traditional lights, or as complex as a big pixel tree or matrix. When you create a prop, you define the type and color of lights that it uses, its shape, and the channels assigned to it. If one of the built-in shapes doesn't meet your needs, then you can define a custom shape.

A sample of some of the shapes that come built-in to S5

A sample of some of the shapes that come built-in to S5

Groups

Props can be grouped together.

·You might do this so that the props appear together in the sequence grid.

·You might also create a group so that you can apply an effect to the group instead of individual props. This enables things like sweeping a color across your entire display.

Background Image

A preview can be assigned a background image (for example, a photo of your house), which you can draw the lights on top of. The brightness of the background image can be adjusted from within the Sequencer.

One Preview > Many Sequences

One preview can be associated with multiple sequences. Update the preview once, and the next time you open any sequence associated with that preview, the update will automatically be applied.

Importing a Preview

You don't necessarily need to create a preview from scratch. The Sequencer can import an existing display definition from a variety of sources.

Import an S4 Visualizer file

You can perform the import from the Preview Management window, when upgrading a sequence, or from within Preview Design

VisMainScreen

Import a block-style animation defined in a legacy sequence

You can perform the import from the Previews Window, or when upgrading a sequence

S4BlockAnimation

Import an S4 Pixel Editor preview

Pixel Editor previews are automatically upgraded to S6 previews the first time you run the Sequencer

PreviewDesignTutorialGutters

Import a preview from an LOREDIT sequence file sent to you from someone else

Each LOREDIT sequence file contains a backup copy of the preview it uses. When you open a sequence file that has been sent to you, the copy of the preview inside the sequence will automatically be imported

EmailSequence

Convert any legacy sequence to an automatically generated preview. The preview won’t look like your house, but channel information will be set correctly and it will allow you to get started with your sequencing right away.

You can auto-generate a preview when upgrading a legacy sequence, or by using the Quick Preview feature when creating a new sequence.

SE2AutoPreview

The Preview Design Window

Previews are modified using the Preview Design window. It can be accessed several ways:

·To create a preview, go to the Previews window and click the "+" icon.

·To modify a preview, go to the Previews window and double-click on a preview name.

·To modify the preview for an open sequence, click the preview name on the sequence's toolbar and select Preview Design from the drop-down menu; or you can select Preview Design from the Sequence menu.

For details on how to create and modify previews, please see the Preview Design topic.

The Preview Design window with lights drawn on top of a background photo of a house

The Preview Design window with lights drawn on top of a background photo of a house


Animation Sequences

An animation sequence is a sequence that is not associated with a song (or video, or other audio file). This is as opposed to a musical sequence.

There are some other differences between animation sequences and musical sequences:

·Animation sequences can contain loops, which musical sequences cannot;

·Various song-related tools such as the Beat Wizard, MIDI File Wizard, VU Wizard and Tapper Wizard are only available for musical sequences.

·Animation sequences cannot contain beat channels.

·Generally speaking, only one musical sequence can be played at a time (although there is an exception to this, described in the help page on musical sequences), whereas many animation sequences can be played simultaneously.

You can convert an animation sequence to a musical sequence by simply setting the media file via Sequence > Media File.

In S5 and later versions, animation sequences and musical sequences have the same file extension (LOREDIT). This is different from older versions, where animation sequences had an LAS extension and musical sequences had an LMS extension.

To create an animation sequence in the Sequencer, use the New Animation dialog.

The New Animation dialog

The New Animation dialog


Musical Sequences

A musical sequence is a sequence that is associated with a song (or video, or other audio file), allowing you to synchronize the song with lighting effects. This is as opposed to an animation sequence.

There are some other differences between animation sequences and musical sequences:

·Animation sequences can contain loops, which musical sequences cannot;

·Various song-related tools such as the Beat Wizard, MIDI File Wizard, VU Wizard and Tapper Wizard are only available for musical sequences.

·Musical sequences can contain beat channels.

·Generally speaking, only one musical sequence can be played at a time (although there is an exception to this, noted below), whereas many animation sequences can be played simultaneously.

The exception to the rule that "only one musical sequence can be played at a time" is that musical sequences put into any section of a show other than the main section are, effectively, treated as animation sequences. That is, their associated songs will not be played, and more than one of them can be played simultaneously.

You can convert a musical sequence to an animation sequence with the Sequence > Convert to Animation menu item.

In S5 and later versions, animation sequences and musical sequences have the same file extension (LOREDIT). This is different from older versions, where animation sequences had an LAS extension and musical sequences had an LMS extension.

To create a new musical sequence in the Sequencer, use the New Musical Sequence dialog.

The New Musical Sequence dialog

The New Musical Sequence dialog


Channels

A channel is a particular circuit on a particular controller which can control lights (or servos in the case of the Servo Dog controller). The Sequencer can be used to assign effects to channels, to make the lights turn on and off, fade, shimmer, twinkle, and so forth.

Regular Channels

Single channels can control a string of traditional incandescent or LED lights, or a single-color flood light, or perhaps some strobe lights. We will refer to these as "Regular Channels" to distinguish them from "RGB Channels".

A single channel from an AC controller

A single channel from an AC controller

RGB Channels

An RGB channel is a group of three channels - a red channel, a green channel, and a blue channel. By varying the amount of red, green, and blue light, any color can be produced. A device may have a single RGB channel, like an RGB flood light (sometimes referred to as "dumb RGB"); or it can have many RGB channels, like a Cosmic Color Ribbon (sometimes referred to as "Smart Pixels").

Mixing red, green, and blue light

Mixing red, green, and blue light

Pixels

Pixels are just a collection of RGB channels, 1 RGB channel controls one pixel. So a string with with 50 pixels would have 50 RGB channels. Light-O-Rama Pixie Controllers, as well as the PixCon16 controller, are used to control pixels.

Device Type

When defining a channel, you first start with the Device Type. Device type specifies the type of commands the controller understands (i.e. command protocol). The Light-O-Rama Software Suite can send commands using the Light-O-Rama protocol and also the DMX protocol.

Light-O-Rama Protocol

When using the Light-O-Rama protocol, a channel has a unique combination of:

·Network, which is the COM port that this channel's controller is hooked up to;

·Unit, which is the unit ID of the controller, allowing different controllers to be distinguished from each other;

·Circuit, which represents an electrical circuit that can controlled. It could be a single output from an AC controller, DC controller, or servo controller. Or a group of circuits could be used to control a string of RGB pixels - one RGB channel per pixel.

DMX Protocol

When using the DMX protocol, a channel has a unique combination of:

·DMX Universe, and

·DMX Channel. There are 512 available channels in each DMX universe.

Assigning Channels

Channels are assigned to props in the Prop Definition screen within Preview Design. A preview is assigned to a sequence, and the sequence can only control the channels defined in its assigned preview.

Network Preferences

There are 2 variants of the Light-O-Rama protocol: there is the non-enhanced protocol for "Gen 1" devices and the enhanced protocol (ELOR) for "Gen 3" and later devices.

There are also 2 variants of the DMX protocol: there is DMX sent over a USB adapter and DMX sent over Ethernet (also known E1.31 and sACN).

Which variant to use as well as other connection properties are set using the Network Preferences program.


Effects

Lighting effects (or just "effects") turn your lights on at a particular intensity level (brightness), or to a particular color in the case of RGB, or a particular pattern in the case of motion effects for pixels. The lighting effects available depend on the type of channel:

· Regular channels

· RGB channels

· Pixels

Effects for Regular Channels

On

The "On" effect is just what it says - the light turns on. This could be the light turning on at full (100%) intensity, or at some other intensity, or fading on, or fading off.

Twinkle

The "Twinkle" effect causes your lights to quickly vary between on and off. The effect could be twinkling at full (100%) intensity, or at some other intensity, or fading on, or fading off.

The difference between "Twinkle" and "Shimmer" is that twinkle is more random: Two different strings of lights that are both told to shimmer at the same time will quickly turn off and on in sync with each other; if they are instead told to twinkle, they will still quickly turn off and on, but not in sync with each other.

Shimmer

The "Shimmer" effect causes your lights to quickly vary between on and off. The effect could be shimmering at full (100%) intensity, or at some other intensity, or fading on, or fading off.

The difference between "Shimmer" and "Twinkle" is that twinkle is more random: Two different strings of lights that are both told to shimmer at the same time will quickly turn off and on in sync with each other; if they are instead told to twinkle, they will still quickly turn off and on, but not in sync with each other.

DMX Intensity

DMX devices receive values between 0 and 255. Most of the time it is sufficient to specify that a light be turned on at 50% or 75% brightness - in which case the DMX Intensity effect is not necessary (the Light-O-Rama software will handle the conversion between percentage and DMX value for you). However, there are some DMX devices (moving head lights for example) where a precise DMX value is required. In these cases, the DMX Intensity effect can be used to specify that value.

Effects for RGB Channels (also called dumb RGB)

For RGB channels, the 4 effects for regular channels (on, twinkle, shimmer, and DMX intensity) can be applied in combination with a color or a color transition.

Effects for Pixels (also called smart pixels)

For pixels you have 3 options for creating effects. The Sequencer allows you to mix and match all 3 approaches.

·Assign colors to each pixel individually. This can be tedious work for display elements with more than a few pixels. However, sequences for sale are sometimes delivered this way.

·You can use the SuperStar sequencer (separate license required)

·You can use the Motion Effect Generator that is built in to the Sequencer. Pro license required.


Timings

Timings are the times in a sequence at which you can command the lights to do various effects - to turn on, turn off, fade up, fade down, and so forth.

Timings are represented in the Sequencer by vertical grey lines. For example, the following sequence has timings every half a second, at 0.5 seconds, 1 second, 1.5, 2, 2.5, 3, and so forth:

A sequence with timings every half a second

A sequence with timings every half a second

Timings do not have any direct effect themselves on the behavior of your lights; rather, they simply give you a way to specify a start time and an end time for effects on a grid row. You can fill the space between two timings with an effect by selecting the appropriate tool (such as the "Fade Up" tool) and clicking on a grid cell (see Adding Effects for details). For example, selecting the "Max Intensity" tool and clicking the cell between 1 second and 1.5 seconds for the "Door" prop results in:

The Door prop has been turned on, between 1 second and 1.5 seconds

The Door prop has been turned on, between 1 second and 1.5 seconds

Timings do not have to be equally spaced (as they are in the above example). For example, the following sequence has timings at 0.37 seconds, 1 second, and 3.2 seconds:

A sequence with timings at 0.37 seconds, 1 second, and 3.2 seconds

A sequence with timings at 0.37 seconds, 1 second, and 3.2 seconds

Timing Grids

A set of timings is known as a "timing grid". A sequence can have more than one timing grid, with one being shown at a time. The timing grid that is currently shown can be changed by selecting from the "Timings" drop-down box on the Toolbar. There are two types of timing grids: fixed grids and freeform grids.

Fixed Timing Grids

In a fixed timing grid, each timing is the same length of time from the next timing. For example, a fixed timing grid might have a timing every second, or every tenth of a second.

The timings in a fixed timing grid cannot be moved, deleted, or added to.

Freeform Timing Grids

In a freeform timing grid, timings do not have to be equidistant. For example, a freeform timing grid might have one timing at time 1.00 (i.e. one second), another half a second later at time 1.50, and another 2.2 seconds past that at time 3.70.

The timings in a freeform grid can be moved or deleted, and new timings can be added.

Creating, Deleting, and Modifying Timings

Timings can be automatically inserted into a sequence when it is created, in a variety of ways. For example, you can tell the Sequencer to insert timings every so often - for example every half second, or, for a musical sequence, insert timings based on the song itself using various tools like the Beat Wizard, VU Wizard, Tapper Wizard, and MIDI File Wizard. If you tell it to insert timings every so often (such as every half second), it will create them in a fixed timing grid. If you tell it to use one of the audio wizards, or not to insert timings, it will use a freeform timing grid. Please see the New Animation dialog and New Musical Sequence dialog for details. The audio wizards can also be run at any time after sequence creation.

The New Musical Sequence dialog

In a freeform timing grid:

·Timings can be added during sequence playback by using the "T" shortcut key

·When there is no grid selection and no playback, the "T" shortcut key will insert a timing where the mouse pointer is located. You can clear the grid selection by clicking anywhere on the audio waveform -- which will get you into this mode.

·Timings can be moved by clicking and dragging them. This behavior can be turned on or off by "locking" the timings.

Timings can also be added, deleted, and resized in a variety of other ways. See these topics for more information:

·The toolbar's timings section

·The Timing Mark sub-menu on the grid's right-click menu


Protected Sequences

A protected sequence is a sequence which, generally speaking, cannot be modified, and whose sequence grid cannot be viewed in the Sequencer. Protected sequences can, however, be played just like any other sequence; they can be scheduled in your shows, they can be played in the Sequencer, they can be downloaded as standalone sequences, and they will control your lights.

There are some things about a protected sequence which can be modified:

·The location of the media file (via Sequence > Media File)

·The preview (via Sequence > Assign Different Preview)

·The Windows shell command (via Sequencer > Windows Command)

To create a protected sequence, open the sequence which you wish to protect, and then select "Export as Protected" from the File menu. It will prompt you to select a file name for the protected sequence. Protected sequences have a different file extension than regular sequences: .LORPROT versus .LOREDIT

The ability to create a protected sequence is only available at the Advanced license level or higher.

A protected sequence, as displayed in the Sequencer

A protected sequence, as displayed in the Sequencer


Archived Props

What Are Archived Props?

Archived props are an inactive part of the sequence. They contain effects and can be displayed on the sequence grid (they are shown with an "@" symbol as a prefix). Each archived prop has its own prop definition that is not part of the preview. Archived props are not shown in the playback window when the sequence is played and they cannot control real lights.

Archived props are a benefit because the sequencing on old props is preserved, allowing you to decide what action to take and when.

4 archived props

4 archived props

How Are They Created?

If an existing sequence is opened and contains information for props that are no longer part of the preview, those props and their associated sequence are automatically converted to archive props. You cannot create an archive prop manually. Scenarios where this might occur:

·You are upgrading sequences from S4 and you created your preview by importing a Visualizer file. However, there are some old channels in your sequence that you don't use any more and were not in the Visualizer file - and thus won't be in your preview either. Those old channels in the sequence will get archived because they are not in the preview.

·You created a new sequence with a last year's preview (e.g. 2021 Christmas) and now you have created a new preview for this year (e.g. 2022 Christmas). Your display has changed from last year and you have retired a few props. If you assign the new 2022 Christmas preview to your 2021 sequences, then the sequencing for the retired props will be archived because they are no longer in the preview.

·You were working on this year's sequence (e.g. Sequence-A), which is currently closed. You edit the preview and remove a prop because you decide you are not going to use it this year. When you next open Sequence-A, the sequencing for the prop you removed from the preview will be archived.

If you delete a group from the preview and your sequence had motion effects on that group, then the group will be archived.

What Can You Do With Them?

You can do several things with archive props:

·You can copy sequencing from the archive prop to other areas of your sequence using copy/paste.

·If the sequence for the archived prop is no longer needed, you can delete it by right-clicking on the prop’s name and selecting "Delete Archived Prop".

Delete an archived prop directly from the sequence grid

Delete an archived prop directly from the sequence grid

·From the Manage Archived Props dialog you can perform bulk deletions, convert archived props to beat channels, or add them to your preview (making them a full-fledged members of your sequence, capable of controlling lights).


RGB Aggregates

What Are RGB Aggregates?

RGB aggregates allow you to combine any 3 existing channels (the channel colors don't need to be red, green, and blue necessarily), and the combination of the 3 is treated as an RGB channel for sequencing purposes. This can be useful for people who are converting sequences with traditional strings to RGB.

In rare circumstances the S5 sequence upgrade process may create an RGB aggregate, but generally they are manually created as needed by the user.

RGB aggregates do not need to have channels assigned to all 3 slots (red, green, and blue). You could create an RGB aggregate with just the green and blue slots assigned, for example.

In the following example, "Hoop 2" is an RGB aggregate consisting of red, white, and blue traditional channels. The white channel "Hoop Wh 2" is placed in the aggregate's green slot. "Hoop 2" can be sequenced as either an RGB channel or as 3 individual channels. Changes made to the RGB Channel row are immediately reflected on the individual channels, and vice versa.

"Hoop 2" is an RGB Aggregate

"Hoop 2" is an RGB Aggregate

How Are They Created?

RGB aggregate channels can be created:

·By selecting "RGB aggregate" from the "Add New" item on the Sequence menu or on the Grid View menu.

·By clicking the "+" icon on the Manage RGB Aggregates dialog.

Right-click on a RGB aggregate's name and select "Modify RGB aggregate" to change its name and/or its assigned channels.

Right-click on a RGB aggregate's name and select "Delete RGB aggregate" to remove it completely from the sequence.

What Can You Do With Them?

Suppose that in last year's display you used several colors of traditional lights (bundles) on your roof outline, and that this year you are replacing them with RGB pixels. You need to somehow change the sequences you used last year to control the new pixels in this year's display.

Here are the steps:

1. Copy the preview for last year's display to a new preview.

2.Add the pixels for the roof outline to the new preview, without deleting the strings used the prior year.

3. Open last year's sequence.

4. Assign the new preview to the sequence.

5.Use Save As to give the sequence a new name

6.Create an RGB aggregate for the a bundle in the roof outline

7.Copy the RGB aggregate's RGB channel to the clipboard

8.If you have a Pro license, paste onto the motion effect row for the new pixels. If you have a lower level license, select all of the RGB pixel rows and paste into the selected area.


Time Format

Whenever the Light-O-Rama Sequencer asks you for a length of time, you can generally specify hours, minutes, seconds, and hundredths of a second. You don't have to specify all of them if you don't want to.

The general format is:

HH:MM:SS.hh

Where HH is hours, MM is minutes, SS is seconds, and hh is hundredths of a second. You usually do not have to type all of that in, though; for example, if you are concerned only with seconds, you don't have to type in anything about hours, minutes, or hundredths of seconds.

The Sequencer also uses this same format whenever it displays a length of time to you.

The following examples show how to specify various lengths of time:

Length of Time | Format
Ten seconds | 10
Ten and 37/100 seconds | 10.37
Three minutes and ten seconds | 3:10
Three minutes, ten and 37/100 seconds | 3:10.37
Seven hours, three minutes, and ten seconds | 7:03:10
Seven hours, three minutes, ten and 37/100 seconds | 7:03:10.37


Shows

What is a Show?

A show is a collection of sequences, to be played as a set. After creating sequences with the Sequencer, you can build a show that incorporates them by going to the Create Shows section of the Control Panel. While building the show, you can add a schedule so that it will play at certain times. Once the show is built and has a schedule, it can played by the Show Player.

A show doesn't necessarily need a schedule, as it can be played on demand, via the Light-O-Rama Control Panel.

There are six different parts to a show, each of which consists of sequences:

· The Background Section

· The Startup Section

· The Animation Section

· The Main Section

· The Interactive Section

· The Shutdown Section

Each of these parts is optional. For example, a show can be built having only a musical section and a shutdown section.

Additionally, if your Light-O-Rama software license is for the Advanced feature level or above, you can modify exactly how your show will start up - for example, immediately at its scheduled start time, or after a certain circuit on a certain Light-O-Rama controller has been triggered (for example, by someone hitting a "start" button). See "Show Options" for details.

Note that the duration of a show is not part of the show itself; rather, it is determined by the schedule.


Schedules

What Is a Schedule?

A schedule is associated with a show and tells the Show Player the dates and times when the show should be started and shut down.

Shows are created and edited in the Light-O-Rama Control Panel's Create Shows section. When editing a show, a schedule is created by adding one or more schedule entries to it's Dates & Times section.

A schedule entry specifies 3 things:

·When the show will play. This consists of a start time and an end time of your choosing. The time range could be 5pm to 10pm; or it can cross midnight, starting at 8pm and ending at 2am for example.

·What days of the week the show will play.

·The date range for the show. In a new schedule entry, the start date will default to the current day and the end date will not be populated, meaning it will run on the specified days of the week from now to eternity.

When the Light-O-Rama Show Player looks at the list of active shows to decide whether a show should be played, there could be several schedule entries that apply to the current date and time. The Show Player resolves this by taking the schedule entry with the narrowest date range. A schedule entry for December 21st through 27th (7 days) would take precedence over one for December 1st through 31st (31 days). And a schedule entry for December 25th (1 day) would take precedence over both the 7-day and 31-day examples.

Example

Suppose you have a single show which you want to play every Friday and Saturday night in December, from 7:00 PM to 10:00 PM, except for Christmas Eve (when you want it to run from 5:00 PM to 11:00 PM) and Christmas Day (when you want it to run from 8:00 AM to 2:00 PM). This would require 4 schedule entries for the show:

Time Range | Days of the Week | Date Range
7:00 PM to 10:00 PM | Friday, Saturday | December 1st through 23rd
7:00 PM to 10:00 PM | Friday, Saturday | December 26th through 31st
5:00 PM to 11:00 PM | All days (to account for whatever day of the week Dec 24th falls on) | December 24th
8:00 AM to 2:00 PM | All days (to account for whatever day of the week Dec 25th falls on) | December 25th

Considerations

·In the Light-O-Rama Control Panel, the Play Shows section must be set to Show Player in order for scheduled shows to run.


File Locations

The first time you start the Light-O-Rama software, you will be prompted for the name of the folder where you want to store sequences and other related files. The default choice is to create a "Light-O-Rama" sub-folder below your "Documents" folder, as shown below.

Light-O-Rama Sub-folders

Regardless of where you choose to put the Light-O-Rama data folder, it will contain the following sub-folders:

Audio

The "\Light-O-Rama\Audio" folder is where you should store the media files (audio and/or video) that you will use as the music track for your sequences. The advantage of storing them here, is that Light-O-Rama programs will look for the media files here by default. If you move your sequences to a different computer, or share your sequences with another user, as long as you store the media file here, Light-O-Rama programs will always be able to find the media file without prompting.

Clipboards

The "\Light-O-Rama\Clipboards" folder is where clipboards for the Sequencer are stored when cutting, copying, or pasting effects. Clipboard files have a ".LCB" file extension. Clipboard files created by third-party programs should be placed in this folder.

CommonData

The "\Light-O-Rama\CommonData" folder contains a number of important files:

​

· ​​Previews (LORPreviews.xml)

· Motion Effect Favorites (LORFavorites.xml)

· Color Fade tool favorites (LORGradients.xml)

· Motion Effect Generator palettes (LORPalettes.xml)

· Custom Keyboard maps (CustomKeyMaps.xml)

​

Hardware

The "\Light-O-Rama\Hardware" folder stores dimming curves that can be loaded into a controller.

ImportExport

The "\Light-O-Rama\ImportExport" folder is the default location for files exported from the Sequencer, including previews, props, and motion effect favorites.

KeyMaps

The "\Light-O-Rama\KeyMaps" folder holds custom keymap files created in S4 or earlier. S6 custom keymaps are stored in CommonData.

Logs

The "\Light-O-Rama\Logs" folder stores log files for the Sequencer and Control Panel. A log file is a text file that stores events, processes, messages, and other data from an application. You may be asked to provide a copy of these files if you open a ticket with the help desk.

LORInternal

The "\Light-O-Rama\LORInternal" folder is used as temporary storage by some Light-O-Rama programs. You should not make any changes to the items stored in this folder or any of its sub-folders.

Network

Below "\Light-O-Rama\Network" folder is a sub-folder called "SavedConfigurations", where exports from the Control Panel's Networks section are saved. These files have a ".LIV" extension.

Plugins

The "\Light-O-Rama\Plugins" folder contains sub-folders where files can be added to extend the functionality of the Sequencer:

·prop shapes (not yet supported)

·motion effects (not yet supported)

·software dimming curves

Sequences

The "\Light-O-Rama\Sequences" folder is where your sequence files should be stored. S5 and S6 Sequence files have a ".LOREDIT" extension.

SuperStar

The "\Light-O-Rama\SuperStar" folder contains files used by the SuperStar Sequencer.

Moving Files To A New Computer

If you move your Light-O-Rama software to a new computer, you should copy files in all of the sub-folders noted above, with the exception of Logs and LORInternal.


Hardware

The Light-O-Rama Software Suite can send commands to Light-O-Rama controllers and Native DMX devices.

When a prop is created in a preview using the Sequencer, the kind of controller (known as "device type") is assigned in the Prop Definition window. It can also be changed on the Channel Conflicts & Bulk Changes tab of Preview Design.


Light-O-Rama Controllers

Light-O-Rama allows your computer to control your lights via a variety of hardware controllers. Primary among these are Light-O-Rama controllers.

Some Light-O-Rama controllers can also act as input triggers, allowing you to start particular sequences on demand (such as when a person pushes a button).

Unit IDs

Each Light-O-Rama controller is assigned a unit ID. A unit ID is an identifier for the controller, and is two characters long, with each character being a digit (0-9) or a letter from A to F. For example, 37, 25, 4B, C8, and DA are all valid unit IDs. Some such combinations are reserved, though, and should not be used for as a unit ID. Specifically, 00, F1 through F9, and FA through FF are not valid unit IDs. See the Unit Id Values topic for a complete list.

Controllers will only react to lighting commands that are intended for their own unit ID; if two controllers on the same network have the same unit ID, both will react simultaneously to the same commands. However, a unit set up to use input triggers must have its own unique unit ID, not shared with any other unit, and must not be on an LOR Enhanced network. Also, the Hardware Utility may react strangely with respect to a unit ID which has more than one unit - for example, detecting them as a single unit, or misdetecting them as some unknown controller type.

The unit ID of a controller is set in one of two ways, depending upon the type of controller:

·Most controllers have physical switches on them that allow you to set the unit ID by moving the switches.

·Otherwise, the Hardware Utility can be used to select a unit ID for controllers without such switches.

It is generally a good habit to assign your unit IDs sequentially starting at 01. This is not necessary, but it will speed up some maintenance such as configuring and testing your controllers in the Hardware Utility.

Circuit Numbers

Each unit id contains a set of circuits. The exact number of circuits varies by controller. An AC controller will have 1 circuit for each output. For example, an AC controller with 16 outputs will have an single unit id with 16 circuits (numbered 1 to 16). Each circuit operates independently of the others. This allows a Light-O-Rama controller to make different lights do different effects at the same time.

Pixel controllers (Pixie, PixCon16, CCB, CCR) group circuits into groups of 3: 1 circuit for red, 1 circuit for green, and 1 circuit for blue. Thus an RGB pixel uses 3 circuits for each pixel, and a string of 50 pixels uses 50 x 3 = 150 circuits.

Standalone Mode and Network Mode

Most Light-O-Rama controllers can be set up in either of 2 modes:

·Standalone Mode, in which a sequence is downloaded to them in advance via the Hardware Utility, or

·Network Mode, where the controller accepts commands from the lighting network it is attached to. The source of commands could be your computer via a USB adapter, a Light-O-Rama Director, or another controller in the network that is in Standalone Mode.

A controller in standalone mode can also send lighting commands to other controllers that are hooked up to it, similarly to the way that the Show Player or Sequencer would. Therefore, in standalone mode, a sequence only needs to be downloaded (via the Hardware Utility) to a single controller; the other controllers hooked up to it will receive their commands from it.

Only one source of lighting commands should be present in any group of controllers that are hooked up to each other - either the Show Player, the Sequencer, a Director, or a single controller with a downloaded sequence. Having more than one source of commands will cause unexpected and undesired results, as lighting commands will be missed or garbled.

Light-O-Rama Networks

The Show Player and Sequencer can control up to 16 different networks of Light-O-Rama controllers, each hooked up over a different COM port. These networks are referred to as "Regular" (which is the default), "Aux A", "Aux B", "Aux C", and so on, up to "Aux O".

One main use of multiple networks is for displays with very large numbers of controllers; they enable more lighting commands to be sent out at a single time. They also allow you to set up a sort of star network centered on your PC, rather than a single long daisy chain of controllers; both of these may make such sequences perform more smoothly.

Another use is for displays whose controllers are hooked up using wireless communications, via a Light-O-Rama Easy Light Linker. Wireless communications has a lower top speed than wired, but using multiple wireless networks allows commands to be sent over all of them simultaneously. So, depending upon how many controllers you have and how many lighting effects you send them during your show, using multiple wireless networks could make your show perform more smoothly than using a single wireless network.

It is simplest, though, to just use a single Light-O-Rama network, and in many situations, this is perfectly sufficient.

Light-O-Rama networks can be either normal or "enhanced".

The COM ports represented by each of the networks can be set via the Networks section of the Control Panel.

Enhanced Light-O-Rama Networks

A Light-O-Rama network can be an "enhanced" network (set via the Networks section of the Control Panel). An enhanced network allows for larger numbers of channels to be controlled as compared to a network that is not enhanced, and is especially good for transmitting data to RGB pixels. The recommended speed for a enhanced network is 500K. although Light-O-Rama Pixie and PixCon16 controllers can go to 1000K. Sequencer motion effects can only be sent to Enhanced LOR networks and DMX networks.

A Pro level license is required to use this feature, and the Control Panel must be running in order for the lights to be controlled. Not all controllers can be used on such a network, and some controllers may require firmware updates before they are able to be used on an enhanced network. Also, input triggers are not supported on LOR Enhanced networks.

Assigning Circuits in a Sequence

When you add a controller to your display, you add the strings of lights attached to that controller as props in your preview using the Preview Design window.


Light-O-Rama Pixel Controllers

Light-O-Rama sells several different Pixel Controllers which support multiple different Pixel ICs. The Pixie 16, Pixie 8, and Pixie 4 controllers can support up to 100 pixels per port and fully integrate into the existing Light-O-Rama network.

When you add a pixel controller to your display, you add the strings of pixels attached to that controller as props in your preview using the Preview Design window.


Light-O-Rama PixCon16 Devices

With the introduction of the PixCon 16 controller, Light-O-Rama is now selling and supporting native E1.31 devices. These devices are configured from the Control Panel's Controller Setup section. To start the configuration, click the big Configure a PixCon16 button.

When you add a PixCon 16 controller to your display, you add the strings of pixels attached to that controller as props in your preview using the Preview Design window.


Differences Between MP3 Directors

Over the years, Light-O-Rama has released several different versions of MP3 directors. Here are some pictures and descriptions to help you determine which MP3 director you have and what it's functionality:

Generation 1 LOR MP3 Directors

Generation 1 MP3 directors include the DC-MP3 and the original mDM-MP3 director.

Your DC-MP3 director may be just a plain circuit board, in a metal case that only contains the director, or as part of an LOR1602 controller:

DC-MP3 Board

DC-MP3 in Case.  Some cases were labeled DC-MP3 rather than LOR1602MP3.

DC-MP3 in Case. Some cases were labeled DC-MP3 rather than LOR1602MP3.

DC-MP3 as part of an LOR1602

DC-MP3 as part of an LOR1602

The mDM-MP3 Mini Director is in a black plastic case. The mDM-MP3 and the uMP3g3 look similar. Be sure you carefully check the front of the unit. the uMP3g3 will explicitly say it is a uMP3g3, while the older mDM-MP3 will not. The uMP3g3 also has a power input connector that the mDM-MP3 does not.

The Front and Back of an mDM-MP3 Mini Director. Carefully compare these pictures to the uMP3g3 to ensure you have identified the correct version that you have.

Generation 3 LOR MP3 Directors

Light-O-Rama did not manufacture any Generation 2 MP3 directors. Generation 3 MP3 directors include the G3-MP3 and the uMP3g3 Mini Director

The G3 MP3 director was sold in a metal case, or as part of an LOR160xMP3g3 controller.

Stand Alone G3MP3 Director

G3 MP3 Director as part of an LOR1602MP3g3. LOR1600MP3g3 similar. Note: the LOR160xg3 looks similar but does NOT have an MP3 Director

This is an LOR160xG3 that does not have an MP3 director.

The uMP3g3 was sold in a black plastic case. It looks similar to the older mDM-MP3 director but has significant differences.

The Front and Back of the uMP3g3 Mini Director. To identify if you have a uMP3g3 or a mDM-MP3: the front of the uMP3g3 identifies it as such. On the back of the uMP3g3 there is a power socket, while on the mDM-MP3 there is none.

Generation 4 LOR MP3 Directors

G4 MP3 Directors come in several variants, including the N4-G4-MP3 4-port MP3 director with Director Link in a metal case, and 1 port black plastic director without Director Link.

Summary of Differences Between Directors

Director Name | Generation | Real Time Clock (Can have schedules) | Number of Ports | Supports LOR Enhanced Protocol | Supports LOR 500K/1000K speed | Supports Director Link | Has Display
DCMP3/LOR1602MP3 | 1 | Yes | 1 | No | No | No | No
mDM-MP3 (Mini) | 1 | No | 1 | No | No | No | No
G3MP3/LOR160xMP3g3 | 3 | Yes | 2 | Yes | Yes | No | Yes
uMP3-G3 (Mini) | 3 | No | 1 | Yes | Yes | No | No
N1uMP3G4 (mini) | 4 | No | 1 | Yes | Yes | No | No
N2-G4-MP3 | 4 | Yes | 2 | Yes | Yes | Yes | Yes
N4-G4-MP3 | 4 | Yes | 4 | Yes | Yes | Yes | Yes


Native DMX Devices

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control native DMX devices, either directly through a USB adapter or over Ethernet via E1.31 or Art-Net.

When you add a DMX device to your display, you add the controller's channels as props in your preview using the Preview Design window.

Several DMX universes can be used, each having a unique universe number from 1 to 999. You assign universes to DMX USB adapters, E1.31 controllers, and Art-Net controllers in the Networks section of the Control Panel.

Note that you do not have to use the "DMX Intensity" effect on DMX channels. You can, but you can also use any other effect (such as Fade Up or Twinkle). If you use a DMX Intensity effect, it will have a natural DMX intensity range of 0 to 255. If you use any other effect, it will have a range of 0 to 100, but Light-O-Rama will automatically scale it to DMX's 0 to 255 range immediately before sending it out to the actual DMX device.


LED Pixel and Node Terminology

When discussing individually addressable bulbs, there are many terms that can be used. In an effort to standardize these terms when dealing with RGB devices, Light-O-Rama defines the following:

·'LED' (or 'Light'): A single locus (point) of light. One or more LEDs are part of a NODE. LEDs (or LIGHTs) are elemental - they can NOT be broken down further.

·'Node': A single processor for one or more LEDs. Nodes are PHYSICAL. Think of them as the processor chip on every individual LED/LIGHT.

·'Pixel': A pixel is a collection of one or more NODEs. Pixels are VIRTUAL, and controlled by a single TRIPLET. All nodes that are part of a pixel will react in the same way. Pixels are the 'bridge' between the physical world and the virtual (sequencing) world.

·'Triplet': A group of 3 CHANNELs that set the color of a PIXEL. When we speak about a triplet we do not specify the order of the CHANNELs. For example, some pixels are in RGB order, while some others could be in GRB order. Either of those orders refer to the same triplet.

·'Channel': A channel controls a single color of a TRIPLET. A TRIPLET consists of 3 channels: Red, Green, Blue in the order specified by the manufacturer of the string.

The number of TRIPLETs required will always be the same as the number of PIXELs. When we talk about something that you can physically touch we use 'Pixel'. When we are talking about it otherwise, say in reference to a sequence, we use 'Triplet'.

Here are some examples to help:

A Light-O-Rama Cosmic Color Ribbon has 150 LEDs. Every 3 LEDs are attached to a single NODE. When you set the resolution of the CCR, you control how many consecutive NODES are assigned to a single PIXEL. At a resolution of 50, each NODE is controlled by 1 PIXEL for a total of 50 PIXELs. At a resolution of 25, every two NODEs are controlled by 1 PIXEL for a total of 25. In all cases a single TRIPLET will control a single PIXEL.

You may have a string of 170 RGB LEDs. Each one of these LEDs is attached to a single NODE. If you do not group any of the NODEs together, you will have 170 PIXELs that are controlled by 170 TRIPLETs which consist of 3 CHANNELs each for a total of 510 CHANNELs.

Separating the notion of Nodes from Pixels also allows virtual addressing to make more sense. For example, say you have 30 pixels that are arranged as a 10 x 3 matrix. When you physically construct this matrix, you will most likely use a snake pattern as that minimizes the amount of wire/etc. Your NODES will look like this:

1 2 3 4 5 6 7 8 9 10

20 19 18 17 16 15 14 13 12 11

21 22 23 24 25 26 27 28 29 30

Notice how when we get to the right side, we don't start over at the left, but instead go one line lower and in reverse order. While that makes a lot of sense while building the matrix, logically the pixels are not in the correct order. Since we read left-to-right, we'd like to see all the pixels ordered from left to right. If we were to set the 'Zig-Zag' parameter on a PixCon16 to 3, the physical nodes will still be in the same order, however the pixels will be numbered:

1 2 3 4 5 6 7 8 9 10

11 12 13 14 15 16 17 18 19 20

21 22 23 24 25 26 27 28 29 30

Since NODE refers to the physical and PIXEL refers to the virtual, we now can state 'Node 18 is Pixel 13', and it makes sense.


Unit Id Values

The numbers we use in everyday life are decimals, where each digit has a value between 0 and 9. Light-O-Rama unit ids are usually represented has hexadecimal numbers (aka "hex"), meaning each digit can take on 16 values: 0 through 9, followed by A through F. The following table can be used to convert between the systems.

The last 8 columns show how to set the switches on a Pixie controller to achieve the desired unit id. A value of 1 in these columns means the switch is in the "on" position, 0 is "off".

 |  | Pixie Switches (1=on) |  |  |  |  |  |  |
Decimal | Hex | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
1 | 01 | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 1
2 | 02 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | 0
3 | 03 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | 1
4 | 04 | 0 | 0 | 0 | 0 | 0 | 1 | 0 | 0
5 | 05 | 0 | 0 | 0 | 0 | 0 | 1 | 0 | 1
6 | 06 | 0 | 0 | 0 | 0 | 0 | 1 | 1 | 0
7 | 07 | 0 | 0 | 0 | 0 | 0 | 1 | 1 | 1
8 | 08 | 0 | 0 | 0 | 0 | 1 | 0 | 0 | 0
9 | 09 | 0 | 0 | 0 | 0 | 1 | 0 | 0 | 1
10 | 0A | 0 | 0 | 0 | 0 | 1 | 0 | 1 | 0
11 | 0B | 0 | 0 | 0 | 0 | 1 | 0 | 1 | 1
12 | 0C | 0 | 0 | 0 | 0 | 1 | 1 | 0 | 0
13 | 0D | 0 | 0 | 0 | 0 | 1 | 1 | 0 | 1
14 | 0E | 0 | 0 | 0 | 0 | 1 | 1 | 1 | 0
15 | 0F | 0 | 0 | 0 | 0 | 1 | 1 | 1 | 1
16 | 10 | 0 | 0 | 0 | 1 | 0 | 0 | 0 | 0
17 | 11 | 0 | 0 | 0 | 1 | 0 | 0 | 0 | 1
18 | 12 | 0 | 0 | 0 | 1 | 0 | 0 | 1 | 0
19 | 13 | 0 | 0 | 0 | 1 | 0 | 0 | 1 | 1
20 | 14 | 0 | 0 | 0 | 1 | 0 | 1 | 0 | 0
21 | 15 | 0 | 0 | 0 | 1 | 0 | 1 | 0 | 1
22 | 16 | 0 | 0 | 0 | 1 | 0 | 1 | 1 | 0
23 | 17 | 0 | 0 | 0 | 1 | 0 | 1 | 1 | 1
24 | 18 | 0 | 0 | 0 | 1 | 1 | 0 | 0 | 0
25 | 19 | 0 | 0 | 0 | 1 | 1 | 0 | 0 | 1
26 | 1A | 0 | 0 | 0 | 1 | 1 | 0 | 1 | 0
27 | 1B | 0 | 0 | 0 | 1 | 1 | 0 | 1 | 1
28 | 1C | 0 | 0 | 0 | 1 | 1 | 1 | 0 | 0
29 | 1D | 0 | 0 | 0 | 1 | 1 | 1 | 0 | 1
30 | 1E | 0 | 0 | 0 | 1 | 1 | 1 | 1 | 0
31 | 1F | 0 | 0 | 0 | 1 | 1 | 1 | 1 | 1
32 | 20 | 0 | 0 | 1 | 0 | 0 | 0 | 0 | 0
33 | 21 | 0 | 0 | 1 | 0 | 0 | 0 | 0 | 1
34 | 22 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | 0
35 | 23 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | 1
36 | 24 | 0 | 0 | 1 | 0 | 0 | 1 | 0 | 0
37 | 25 | 0 | 0 | 1 | 0 | 0 | 1 | 0 | 1
38 | 26 | 0 | 0 | 1 | 0 | 0 | 1 | 1 | 0
39 | 27 | 0 | 0 | 1 | 0 | 0 | 1 | 1 | 1
40 | 28 | 0 | 0 | 1 | 0 | 1 | 0 | 0 | 0
41 | 29 | 0 | 0 | 1 | 0 | 1 | 0 | 0 | 1
42 | 2A | 0 | 0 | 1 | 0 | 1 | 0 | 1 | 0
43 | 2B | 0 | 0 | 1 | 0 | 1 | 0 | 1 | 1
44 | 2C | 0 | 0 | 1 | 0 | 1 | 1 | 0 | 0
45 | 2D | 0 | 0 | 1 | 0 | 1 | 1 | 0 | 1
46 | 2E | 0 | 0 | 1 | 0 | 1 | 1 | 1 | 0
47 | 2F | 0 | 0 | 1 | 0 | 1 | 1 | 1 | 1
48 | 30 | 0 | 0 | 1 | 1 | 0 | 0 | 0 | 0
49 | 31 | 0 | 0 | 1 | 1 | 0 | 0 | 0 | 1
50 | 32 | 0 | 0 | 1 | 1 | 0 | 0 | 1 | 0
51 | 33 | 0 | 0 | 1 | 1 | 0 | 0 | 1 | 1
52 | 34 | 0 | 0 | 1 | 1 | 0 | 1 | 0 | 0
53 | 35 | 0 | 0 | 1 | 1 | 0 | 1 | 0 | 1
54 | 36 | 0 | 0 | 1 | 1 | 0 | 1 | 1 | 0
55 | 37 | 0 | 0 | 1 | 1 | 0 | 1 | 1 | 1
56 | 38 | 0 | 0 | 1 | 1 | 1 | 0 | 0 | 0
57 | 39 | 0 | 0 | 1 | 1 | 1 | 0 | 0 | 1
58 | 3A | 0 | 0 | 1 | 1 | 1 | 0 | 1 | 0
59 | 3B | 0 | 0 | 1 | 1 | 1 | 0 | 1 | 1
60 | 3C | 0 | 0 | 1 | 1 | 1 | 1 | 0 | 0
61 | 3D | 0 | 0 | 1 | 1 | 1 | 1 | 0 | 1
62 | 3E | 0 | 0 | 1 | 1 | 1 | 1 | 1 | 0
63 | 3F | 0 | 0 | 1 | 1 | 1 | 1 | 1 | 1
64 | 40 | 0 | 1 | 0 | 0 | 0 | 0 | 0 | 0
65 | 41 | 0 | 1 | 0 | 0 | 0 | 0 | 0 | 1
66 | 42 | 0 | 1 | 0 | 0 | 0 | 0 | 1 | 0
67 | 43 | 0 | 1 | 0 | 0 | 0 | 0 | 1 | 1
68 | 44 | 0 | 1 | 0 | 0 | 0 | 1 | 0 | 0
69 | 45 | 0 | 1 | 0 | 0 | 0 | 1 | 0 | 1
70 | 46 | 0 | 1 | 0 | 0 | 0 | 1 | 1 | 0
71 | 47 | 0 | 1 | 0 | 0 | 0 | 1 | 1 | 1
72 | 48 | 0 | 1 | 0 | 0 | 1 | 0 | 0 | 0
73 | 49 | 0 | 1 | 0 | 0 | 1 | 0 | 0 | 1
74 | 4A | 0 | 1 | 0 | 0 | 1 | 0 | 1 | 0
75 | 4B | 0 | 1 | 0 | 0 | 1 | 0 | 1 | 1
76 | 4C | 0 | 1 | 0 | 0 | 1 | 1 | 0 | 0
77 | 4D | 0 | 1 | 0 | 0 | 1 | 1 | 0 | 1
78 | 4E | 0 | 1 | 0 | 0 | 1 | 1 | 1 | 0
79 | 4F | 0 | 1 | 0 | 0 | 1 | 1 | 1 | 1
80 | 50 | 0 | 1 | 0 | 1 | 0 | 0 | 0 | 0
81 | 51 | 0 | 1 | 0 | 1 | 0 | 0 | 0 | 1
82 | 52 | 0 | 1 | 0 | 1 | 0 | 0 | 1 | 0
83 | 53 | 0 | 1 | 0 | 1 | 0 | 0 | 1 | 1
84 | 54 | 0 | 1 | 0 | 1 | 0 | 1 | 0 | 0
85 | 55 | 0 | 1 | 0 | 1 | 0 | 1 | 0 | 1
86 | 56 | 0 | 1 | 0 | 1 | 0 | 1 | 1 | 0
87 | 57 | 0 | 1 | 0 | 1 | 0 | 1 | 1 | 1
88 | 58 | 0 | 1 | 0 | 1 | 1 | 0 | 0 | 0
89 | 59 | 0 | 1 | 0 | 1 | 1 | 0 | 0 | 1
90 | 5A | 0 | 1 | 0 | 1 | 1 | 0 | 1 | 0
91 | 5B | 0 | 1 | 0 | 1 | 1 | 0 | 1 | 1
92 | 5C | 0 | 1 | 0 | 1 | 1 | 1 | 0 | 0
93 | 5D | 0 | 1 | 0 | 1 | 1 | 1 | 0 | 1
94 | 5E | 0 | 1 | 0 | 1 | 1 | 1 | 1 | 0
95 | 5F | 0 | 1 | 0 | 1 | 1 | 1 | 1 | 1
96 | 60 | 0 | 1 | 1 | 0 | 0 | 0 | 0 | 0
97 | 61 | 0 | 1 | 1 | 0 | 0 | 0 | 0 | 1
98 | 62 | 0 | 1 | 1 | 0 | 0 | 0 | 1 | 0
99 | 63 | 0 | 1 | 1 | 0 | 0 | 0 | 1 | 1
100 | 64 | 0 | 1 | 1 | 0 | 0 | 1 | 0 | 0
101 | 65 | 0 | 1 | 1 | 0 | 0 | 1 | 0 | 1
102 | 66 | 0 | 1 | 1 | 0 | 0 | 1 | 1 | 0
103 | 67 | 0 | 1 | 1 | 0 | 0 | 1 | 1 | 1
104 | 68 | 0 | 1 | 1 | 0 | 1 | 0 | 0 | 0
105 | 69 | 0 | 1 | 1 | 0 | 1 | 0 | 0 | 1
106 | 6A | 0 | 1 | 1 | 0 | 1 | 0 | 1 | 0
107 | 6B | 0 | 1 | 1 | 0 | 1 | 0 | 1 | 1
108 | 6C | 0 | 1 | 1 | 0 | 1 | 1 | 0 | 0
109 | 6D | 0 | 1 | 1 | 0 | 1 | 1 | 0 | 1
110 | 6E | 0 | 1 | 1 | 0 | 1 | 1 | 1 | 0
111 | 6F | 0 | 1 | 1 | 0 | 1 | 1 | 1 | 1
112 | 70 | 0 | 1 | 1 | 1 | 0 | 0 | 0 | 0
113 | 71 | 0 | 1 | 1 | 1 | 0 | 0 | 0 | 1
114 | 72 | 0 | 1 | 1 | 1 | 0 | 0 | 1 | 0
115 | 73 | 0 | 1 | 1 | 1 | 0 | 0 | 1 | 1
116 | 74 | 0 | 1 | 1 | 1 | 0 | 1 | 0 | 0
117 | 75 | 0 | 1 | 1 | 1 | 0 | 1 | 0 | 1
118 | 76 | 0 | 1 | 1 | 1 | 0 | 1 | 1 | 0
119 | 77 | 0 | 1 | 1 | 1 | 0 | 1 | 1 | 1
120 | 78 | 0 | 1 | 1 | 1 | 1 | 0 | 0 | 0
121 | 79 | 0 | 1 | 1 | 1 | 1 | 0 | 0 | 1
122 | 7A | 0 | 1 | 1 | 1 | 1 | 0 | 1 | 0
123 | 7B | 0 | 1 | 1 | 1 | 1 | 0 | 1 | 1
124 | 7C | 0 | 1 | 1 | 1 | 1 | 1 | 0 | 0
125 | 7D | 0 | 1 | 1 | 1 | 1 | 1 | 0 | 1
126 | 7E | 0 | 1 | 1 | 1 | 1 | 1 | 1 | 0
127 | 7F | 0 | 1 | 1 | 1 | 1 | 1 | 1 | 1
128 | 80 | 1 | 0 | 0 | 0 | 0 | 0 | 0 | 0
129 | 81 | 1 | 0 | 0 | 0 | 0 | 0 | 0 | 1
130 | 82 | 1 | 0 | 0 | 0 | 0 | 0 | 1 | 0
131 | 83 | 1 | 0 | 0 | 0 | 0 | 0 | 1 | 1
132 | 84 | 1 | 0 | 0 | 0 | 0 | 1 | 0 | 0
133 | 85 | 1 | 0 | 0 | 0 | 0 | 1 | 0 | 1
134 | 86 | 1 | 0 | 0 | 0 | 0 | 1 | 1 | 0
135 | 87 | 1 | 0 | 0 | 0 | 0 | 1 | 1 | 1
136 | 88 | 1 | 0 | 0 | 0 | 1 | 0 | 0 | 0
137 | 89 | 1 | 0 | 0 | 0 | 1 | 0 | 0 | 1
138 | 8A | 1 | 0 | 0 | 0 | 1 | 0 | 1 | 0
139 | 8B | 1 | 0 | 0 | 0 | 1 | 0 | 1 | 1
140 | 8C | 1 | 0 | 0 | 0 | 1 | 1 | 0 | 0
141 | 8D | 1 | 0 | 0 | 0 | 1 | 1 | 0 | 1
142 | 8E | 1 | 0 | 0 | 0 | 1 | 1 | 1 | 0
143 | 8F | 1 | 0 | 0 | 0 | 1 | 1 | 1 | 1
144 | 90 | 1 | 0 | 0 | 1 | 0 | 0 | 0 | 0
145 | 91 | 1 | 0 | 0 | 1 | 0 | 0 | 0 | 1
146 | 92 | 1 | 0 | 0 | 1 | 0 | 0 | 1 | 0
147 | 93 | 1 | 0 | 0 | 1 | 0 | 0 | 1 | 1
148 | 94 | 1 | 0 | 0 | 1 | 0 | 1 | 0 | 0
149 | 95 | 1 | 0 | 0 | 1 | 0 | 1 | 0 | 1
150 | 96 | 1 | 0 | 0 | 1 | 0 | 1 | 1 | 0
151 | 97 | 1 | 0 | 0 | 1 | 0 | 1 | 1 | 1
152 | 98 | 1 | 0 | 0 | 1 | 1 | 0 | 0 | 0
153 | 99 | 1 | 0 | 0 | 1 | 1 | 0 | 0 | 1
154 | 9A | 1 | 0 | 0 | 1 | 1 | 0 | 1 | 0
155 | 9B | 1 | 0 | 0 | 1 | 1 | 0 | 1 | 1
156 | 9C | 1 | 0 | 0 | 1 | 1 | 1 | 0 | 0
157 | 9D | 1 | 0 | 0 | 1 | 1 | 1 | 0 | 1
158 | 9E | 1 | 0 | 0 | 1 | 1 | 1 | 1 | 0
159 | 9F | 1 | 0 | 0 | 1 | 1 | 1 | 1 | 1
160 | A0 | 1 | 0 | 1 | 0 | 0 | 0 | 0 | 0
161 | A1 | 1 | 0 | 1 | 0 | 0 | 0 | 0 | 1
162 | A2 | 1 | 0 | 1 | 0 | 0 | 0 | 1 | 0
163 | A3 | 1 | 0 | 1 | 0 | 0 | 0 | 1 | 1
164 | A4 | 1 | 0 | 1 | 0 | 0 | 1 | 0 | 0
165 | A5 | 1 | 0 | 1 | 0 | 0 | 1 | 0 | 1
166 | A6 | 1 | 0 | 1 | 0 | 0 | 1 | 1 | 0
167 | A7 | 1 | 0 | 1 | 0 | 0 | 1 | 1 | 1
168 | A8 | 1 | 0 | 1 | 0 | 1 | 0 | 0 | 0
169 | A9 | 1 | 0 | 1 | 0 | 1 | 0 | 0 | 1
170 | AA | 1 | 0 | 1 | 0 | 1 | 0 | 1 | 0
171 | AB | 1 | 0 | 1 | 0 | 1 | 0 | 1 | 1
172 | AC | 1 | 0 | 1 | 0 | 1 | 1 | 0 | 0
173 | AD | 1 | 0 | 1 | 0 | 1 | 1 | 0 | 1
174 | AE | 1 | 0 | 1 | 0 | 1 | 1 | 1 | 0
175 | AF | 1 | 0 | 1 | 0 | 1 | 1 | 1 | 1
176 | B0 | 1 | 0 | 1 | 1 | 0 | 0 | 0 | 0
177 | B1 | 1 | 0 | 1 | 1 | 0 | 0 | 0 | 1
178 | B2 | 1 | 0 | 1 | 1 | 0 | 0 | 1 | 0
179 | B3 | 1 | 0 | 1 | 1 | 0 | 0 | 1 | 1
180 | B4 | 1 | 0 | 1 | 1 | 0 | 1 | 0 | 0
181 | B5 | 1 | 0 | 1 | 1 | 0 | 1 | 0 | 1
182 | B6 | 1 | 0 | 1 | 1 | 0 | 1 | 1 | 0
183 | B7 | 1 | 0 | 1 | 1 | 0 | 1 | 1 | 1
184 | B8 | 1 | 0 | 1 | 1 | 1 | 0 | 0 | 0
185 | B9 | 1 | 0 | 1 | 1 | 1 | 0 | 0 | 1
186 | BA | 1 | 0 | 1 | 1 | 1 | 0 | 1 | 0
187 | BB | 1 | 0 | 1 | 1 | 1 | 0 | 1 | 1
188 | BC | 1 | 0 | 1 | 1 | 1 | 1 | 0 | 0
189 | BD | 1 | 0 | 1 | 1 | 1 | 1 | 0 | 1
190 | BE | 1 | 0 | 1 | 1 | 1 | 1 | 1 | 0
191 | BF | 1 | 0 | 1 | 1 | 1 | 1 | 1 | 1
192 | C0 | 1 | 1 | 0 | 0 | 0 | 0 | 0 | 0
193 | C1 | 1 | 1 | 0 | 0 | 0 | 0 | 0 | 1
194 | C2 | 1 | 1 | 0 | 0 | 0 | 0 | 1 | 0
195 | C3 | 1 | 1 | 0 | 0 | 0 | 0 | 1 | 1
196 | C4 | 1 | 1 | 0 | 0 | 0 | 1 | 0 | 0
197 | C5 | 1 | 1 | 0 | 0 | 0 | 1 | 0 | 1
198 | C6 | 1 | 1 | 0 | 0 | 0 | 1 | 1 | 0
199 | C7 | 1 | 1 | 0 | 0 | 0 | 1 | 1 | 1
200 | C8 | 1 | 1 | 0 | 0 | 1 | 0 | 0 | 0
201 | C9 | 1 | 1 | 0 | 0 | 1 | 0 | 0 | 1
202 | CA | 1 | 1 | 0 | 0 | 1 | 0 | 1 | 0
203 | CB | 1 | 1 | 0 | 0 | 1 | 0 | 1 | 1
204 | CC | 1 | 1 | 0 | 0 | 1 | 1 | 0 | 0
205 | CD | 1 | 1 | 0 | 0 | 1 | 1 | 0 | 1
206 | CE | 1 | 1 | 0 | 0 | 1 | 1 | 1 | 0
207 | CF | 1 | 1 | 0 | 0 | 1 | 1 | 1 | 1
208 | D0 | 1 | 1 | 0 | 1 | 0 | 0 | 0 | 0
209 | D1 | 1 | 1 | 0 | 1 | 0 | 0 | 0 | 1
210 | D2 | 1 | 1 | 0 | 1 | 0 | 0 | 1 | 0
211 | D3 | 1 | 1 | 0 | 1 | 0 | 0 | 1 | 1
212 | D4 | 1 | 1 | 0 | 1 | 0 | 1 | 0 | 0
213 | D5 | 1 | 1 | 0 | 1 | 0 | 1 | 0 | 1
214 | D6 | 1 | 1 | 0 | 1 | 0 | 1 | 1 | 0
215 | D7 | 1 | 1 | 0 | 1 | 0 | 1 | 1 | 1
216 | D8 | 1 | 1 | 0 | 1 | 1 | 0 | 0 | 0
217 | D9 | 1 | 1 | 0 | 1 | 1 | 0 | 0 | 1
218 | DA | 1 | 1 | 0 | 1 | 1 | 0 | 1 | 0
219 | DB | 1 | 1 | 0 | 1 | 1 | 0 | 1 | 1
220 | DC | 1 | 1 | 0 | 1 | 1 | 1 | 0 | 0
221 | DD | 1 | 1 | 0 | 1 | 1 | 1 | 0 | 1
222 | DE | 1 | 1 | 0 | 1 | 1 | 1 | 1 | 0
223 | DF | 1 | 1 | 0 | 1 | 1 | 1 | 1 | 1
224 | E0 | 1 | 1 | 1 | 0 | 0 | 0 | 0 | 0
225 | E1 | 1 | 1 | 1 | 0 | 0 | 0 | 0 | 1
226 | E2 | 1 | 1 | 1 | 0 | 0 | 0 | 1 | 0
227 | E3 | 1 | 1 | 1 | 0 | 0 | 0 | 1 | 1
228 | E4 | 1 | 1 | 1 | 0 | 0 | 1 | 0 | 0
229 | E5 | 1 | 1 | 1 | 0 | 0 | 1 | 0 | 1
230 | E6 | 1 | 1 | 1 | 0 | 0 | 1 | 1 | 0
231 | E7 | 1 | 1 | 1 | 0 | 0 | 1 | 1 | 1
232 | E8 | 1 | 1 | 1 | 0 | 1 | 0 | 0 | 0
233 | E9 | 1 | 1 | 1 | 0 | 1 | 0 | 0 | 1
234 | EA | 1 | 1 | 1 | 0 | 1 | 0 | 1 | 0
235 | EB | 1 | 1 | 1 | 0 | 1 | 0 | 1 | 1
236 | EC | 1 | 1 | 1 | 0 | 1 | 1 | 0 | 0
237 | ED | 1 | 1 | 1 | 0 | 1 | 1 | 0 | 1
238 | EE | 1 | 1 | 1 | 0 | 1 | 1 | 1 | 0
239 | EF | 1 | 1 | 1 | 0 | 1 | 1 | 1 | 1
240 | F0 | 1 | 1 | 1 | 1 | 0 | 0 | 0 | 0


The Light-O-Rama Software Package

The Light-O-Rama software package is a suite of programs, each helping with a different portion of computerized control of your lights to help build a dynamic display:

·The Control Panel gives you convenient access to create and control all aspects of your show.

·The Sequencer is used to create, modify, and test sequences.

·The SuperStar Sequencer can be invoked from the Sequencer and can be used to create unique effects. It also has auto-sequencing capabilities and the ability to sequence singing faces.

·The ServoDog Utility can be used to set parameters specific to the ServoDog controller

·The Diagnostic is a troubleshooting tool that displays various information about your Light-O-Rama configuration.

·The Offline Registration Utility can be used to register Light-O-Rama on a computer that does not have access to the internet.

·The Mobile App can be used to control your lights from a mobile device.

The Light-O-Rama software package must be registered with a valid license in order to use it to its full potential. There are several different possible license levels, each having different features available. Light-O-Rama can also be used unlicensed, in Demo mode, but you will not be able to actually control lights while in Demo mode.

Please note that the Light-O-Rama software package must be installed on a local drive; it is not supported when installed on a network drive.


Control Panel

What is the Light-O-Rama Control Panel?

The Light-O-Rama Control Panel is an application that allows convenient access all functions in the Light-O-Rama software package.

The Light-O-Rama control panel must be running in order to play scheduled shows from your computer. It also must be running in order to control lights from the Sequencer.

Running the Light-O-Rama Control Panel

To run the Light-O-Rama Control Panel, double-click the "CP" icon that was placed on your desktop during installation.

Alternatively, you can select it from your computer's Start menu, under All Programs (or "All apps") / Light-O-Rama / Light-O-Rama Control Panel:

Run the Light-O-Rama Control Panel from your computer's Start menu

Run the Light-O-Rama Control Panel from your computer's Start menu

Main Window

The main functions of the Control Panel are grouped into sections and listed on the left side of the screen. Clicking on a section icon or name will display the contents of that section on the right side.

MenuIcon

Normally, the icon and its description for each section are displayed on the left side. However, clicking the icon with the 3 horizontal lines will turn the text off and only display the section icons. Click the Menu icon again to turn the section text back on.

Some sections will display a "badge" on top of their icon. The badge indicates the overall status of that section, so you can know what is going on without having to actually open that section. In the picture above, the Networks and Play Shows sections are displaying a badge.

For details on each of the sections, please refer to the following:

· Controller Setup - everything related to setting up your light controllers.

· Networks - set up your lighting networks and see their status in real time.

· Test Lights - test your lights to make sure they are working

· Sequences - access to the Sequencer

· Create Shows - create and edit shows and their schedules

· Play Shows - play scheduled shows or conduct a live show

· SD Cards - create and edit SD cards for Light-O-Rama Directors

· License - register your Light-O-Rama software

· Mobile App - enable or disable the mobile app connection

· Settings - change settings that govern Control Panel operation.

Closing The Control Panel

ControlPanelClose

You close the Control Panel as you would any other Windows program -- by clicking the "X" icon in the upper right corner of the window. When you do this, the Control Panel will no longer be running and your scheduled shows will not run! If you want to keep your shows running, but no longer wish to view the Control Panel, then click the minimize "_" icon instead.

Cloud Connection

The Light-O-Rama Control Panel has a companion mobile app so that you can control your lights without being in front of your computer. This connection is made through the "cloud" so that you can connect to your Control Panel from anywhere on the planet! However, in order for it to work, your computer running the Control Panel must have an active Internet connection, and your phone running the Light-O-Rama mobile app must also have an active Internet/data connection.

Using this feature is optional, but is provided by Light-O-Rama at no extra cost - it is included with your license.

Cloud Status Icon and Button

The icon to the left of "Mobile App" changes based on the connection status:

Icon | Name | Meaning
CloudDisabled | DISABLED | Connection is disabled by the user. In other words, you don't want to allow a remote connection to your Control Panel.
CloudNoConnection | DISCONNECTED | The Control Panel was unable to connect to the cloud. Either your computer is not connected to the Internet or there is a problem with the cloud service.
CloudNotPaired | UNPAIRED | The Control Panel is connected to the cloud, but the phone app is not connected.
CloudPaired | PAIRED | The Control Panel is connected and the phone app is connected.

From the Mobile App section, you can enable or disable the cloud connection. You can also set the "Display Number" there, which is important if you are using your license to run multiple displays.

Launch At Start-up

If you wish, you can set it up so that the Control Panel will automatically be run whenever your computer starts up (and therefore you won't have to start it via the Start menu anymore). To do this, select "Launch at Startup" in the Settings section header.

Help

Clicking the "?" icon above the left side menu will open up the Light-O-Rama help file.

New Software Version Available

When a new version of the software is available, a notification will be shown at the top of the screen.

·Click the Announcement link to learn more about the release.

·Click the "X" at the far right to close the notification.


Controller Setup

The Control Panel's Controller Setup section is where you can find all of the utilities for configuring your Light-O-Rama controller. It has 4 big buttons that will take you to the following tools:

· Hardware Utility -- used to configure and test all Light-O-Rama controllers except: Aurora, PixCon16, and PixieLink

· PixCon16 Utility -- used for configuring PixCon16 controllers

· Find Web-based Controllers Tool -- useful for finding controllers that use web-based setup, like the PixieLink.

Clicking the "Hardware Manuals" button at the top right will take you a Light-O-Rama web page with links to manuals for all of hardware device we sell (past and present). If you have a question about a specific controller, you can find your answer there.


Hardware Utility

The Hardware Utility is accessed by clicking the large "Hardware Utility" button in the Controller Setup section of the Control Panel. While in the Hardware Utility, all other items on the main menu (left side) will be disabled. Click the "Back" button in the Hardware Utility title to exit the utility; the items in the main menu will then be re-enabled. You cannot enter the Hardware Utility while the Show Player or Cue List Player is actively playing.

Scheduled shows will not start while the Hardware Utility is active. Any pending show will start once you exit the utility.

What Can It Do?

The Hardware Utility is used to manage the Light-O-Rama hardware that you use to control your lights. You can use it to:

· Change the unit id assigned to a controller

· Update the controller's firmware

· Change the controller's configuration

· Test lights

· Test triggers

· Load and manage a standalone sequence

Not all controllers support every action. The product matrix at the bottom of this page lists which actions are supported by which controllers.

How Do I Use It?

When using the Hardware Utility, you usually follow these steps:

1.Make selections in the Ports to Scan and Scan For boxes

2.Click the "Scan" button

3.Wait for results to appear at the bottom of the page

4.Click the "Configure" button next to the device you want to configure. This will open a page specific to your device that will allow you to make changes and perform basic tests.

5.Click the "Back" button to return to the scan results. Now you can configure another controller, scan again, or click the "Back" button again to return to the main menu. While in the Hardware Utility, clicking "Controller Setup" on the main menu performs the same action as clicking the "Back" button".

Selecting What To Scan

Hardware Utility scan selection

Hardware Utility scan selection

There are 2 parts to the selection:

1.On the left, select 1 or more ports to scan.

2.On the right, select the type of devices to scan for.

The entire selection panel can be collapsed or expanded as desired. You might want it collapsed/hidden to allow more room to display scan results. Click anywhere on the selection bar at the top (except on the check box) to toggle display of the selection panel. The screen shot above shows where to click.

You can automatically collapse the selection panel every time you start a scan by checking the "Automatically expand results" box. Checking the box won't do anything until you click the Scan button.

Ports To Scan

The "Ports To Scan" box will list all of the built-in comm ports and attached Light-O-Rama USB adapters that were present on your system when the Control Panel was started. To update the list, click the Refresh button (circle with an arrow) in the upper right corner of the box. You will want to do this if you plugged in or removed a USB adapter after the program started

Check the boxes next to the ports you want to scan. You can check as many as you like; selecting multiple ports will not increase the scan time much. Click the "Check All" button (next to the Refresh button) to select all ports. If all ports are already checked, clicking the "Check All" button will uncheck all boxes.

Ports that are already assigned to a network (e.g. Regular, Aux A, etc) in the Networks section will include the assigned network in the port's description. If a port has not been assigned to a network, you can do so from here by clicking the "+" button to the right of the port description.

COM6 had already been assigned to the Regular network

COM6 had already been assigned to the Regular network

Scan For

In the "Scan For" box, you select the type of device you want to configure or test:

·Unit ID range: if you are searching for light controllers (e.g. AC, DC, Pixie, CCB, CCR, 50W floods), or specialized controllers like the iDMX-1000, Input Pup, or ServoDog, then this is the option you should pick. You can set the beginning and end of the scan range by moving the circles on the track bar. If you are scanning for the first time and are unsure of your controller's id, then set a wide range (01 to F0 is the widest range). If you already know the unit ids of your controllers, then you can narrow the range so the scan takes less time.

·ELL Radios: this option will only report ELL (light linker) radios found on the selected port(s).

·Directors: this option will only report Directors (mini or MP3) found on the selected port(s). Before scanning for Directors, check that:

oOnly 1 unit is attached to the USB adapter, and the cable from the adapter is plugged into Network 1 of the Director.

oThere is no SD card in the slot

oThe Director has power:

§If you are using a Light-O-Rama USB485B (adapter with booster), it will supply power to the Director.

§Otherwise, connect an external 12V DC power supply to the unit's barrel jack.

·PixieLink: this option will only report PixieLink devices found on the selected port(s). When scanning for a PixieLink, only 1 device should be attached to the USB adapter, and the cable from the adapter should be plugged into port 1 of the PixieLink. See the PixieLink manual for more information.

·Advanced: use this option to scan for a single unit with an unknown id, or a unit with corrupted firmware. When using this option, only 1 unit should be attached to the USB adapter.

Starting A Scan

A scan in progress

A scan in progress

After making selections in the Ports to Scan and Scan For boxes, you are ready to click the Scan button. Once the scan is started, a progress bar will appear to the right of the Scan button, and controllers that are found will be listed below the "Scan Results" title. The scan can take anywhere from a few seconds to more than 90 seconds depending on the range selected in the Scan For box.

The "X" button can be used to stop the scan. This can be useful if you are looking to configure a specific controller that has already been found -- no need to wait for the rest of the scan it that case.

Scan is complete

Scan is complete

Once the scan has completed (or stopped), a Configure button will be enabled in the right-most column of the results. Click the Configure button next to a controller in order to:

· Change the unit id assigned to a controller

· Update the controller's firmware

· Change the controller's configuration

· Test lights

· Configure and test triggers

· Load and manage a standalone sequence

Not all controllers support every action. The product matrix at the bottom of this page lists which actions are supported by which controllers.

You can sort the results by clicking the heading of any column. This is particularly help if you scanned multiple ports - the results are not sorted by port, but after the scan has finished, you can click on the Port column heading to arrange them that way.

When you are done, click the Back button (top left) to access the rest of the Control Panel.

Troubleshooting

If the results are not what you expected, then click the "Troubleshooting Tips" in the upper right corner for assistance, or check the list here:

·Check that you selected the correct port

·Check the physical connection on the USB adapter

·Check that the controller's power is on

·Ensure all units attached to the adapter are wired together in a daisy chain using Cat5, Cat5e, or Cat6 cables

·Ensure all Cat 5/6 cables used in the daisy chain are in good working order

ocheck that the cables are fully plugged into the controller

otry replacing the each cable one at a time to see if it is defective

·Ensure that switches or jumpers on the controller are correct

·Ensure that no units have the same unit id (attach controllers to the USB adapter one at a time to check)

·Retry the scan.

If you are still having trouble, try connecting 1 controller to the Light-O-Rama adapter at a time.

If the correct adapter is not showing up in the list of ports, please check that you have the correct USB drivers installed (available on the Light-O-Rama web site at the bottom of the Firmware page).

Product Matrix

AC and DC Controllers

Device | Change Unit ID | Update Firmware | Change Configuration | Test Lights | Test Triggers | Standalone Mode
CTB04-PC, CTB04-PC-ELL | No* | Yes | Yes | Yes | Yes | Yes
LOR800Wg3, LOR1600Wg3, LOR1602Wg3 | Yes** | Yes | Yes | Yes | Yes | Yes
CTB08Dg3, CTB16PCg3, CTB32LDg3 | Yes | Yes | Yes | Yes | Yes | Yes
DC Controller CMB16 | No* | Yes | Yes | Yes | Yes | Yes
DC Controller CMB24 | No* | Yes | Yes | Yes | Yes | Yes
Legacy Products |  |  |  |  |  |
LOR1600W, LOR1602W | No* | Yes | Yes | Yes | Yes | Yes
CTB08D, CTB16D | No* | Yes | Yes | Yes | Yes | Yes
CTB08, CTB16PC | Yes | Yes | Yes | Yes | n/a | Limited

* set the Unit ID of these boards using the onboard switches. You cannot set the Unit ID from the Hardware Utility

** you can also set the Unit ID from the front panel

Pixel Controllers & Devices

Device | Change Unit ID | Update Firmware | Change Configuration | Test Lights | Test Triggers | Standalone Mode
Pixie 2 | Yes* | Yes | Yes | Yes | n/a | Yes
Pixie 4/8/16 | Yes* | Yes | Yes | Yes | Yes | Yes
PixieLink | n/a | Yes | No* | n/a | n/a | n/a
Aurora Core | n/a | n/a | n/a | n/a | n/a | n/a
Legacy Products |  |  |  |  |  |
PixCon16 | n/a | n/a | n/a | n/a | n/a | n/a
CCR150 | Yes | Yes | Yes | Yes | Yes | Yes
CCB100 | Yes | Yes | Yes | Yes | n/a | n/a

·Pixie 2/4/8/16: you can set the starting Unit ID of these boards using the onboard switches. If all switches are set to OFF, then the Unit ID can be set with the Hardware Utility. Light-O-Rama recommends using the onboard switches.

·PixieLink: firmware updates are done via the Hardware Utility. Configuration is done through the web interface.

·Aurora Core: use the web interface to change configuration. See the manual for more information.

·PixCon16: use the PixCon16 utility

Other Controllers

Device | Change Unit ID | Update Firmware | Change Configuration | Test Lights | Test Triggers | Standalone Mode
50W Flood Light | Yes* | Yes | n/a | Yes | Yes | Yes
InputPup | Yes | Yes | Yes | n/a | Yes | n/a
ServoDog | Yes | Yes | Yes* | Yes | Yes | Yes
iDMX-1000 | Yes | Yes | n/a | First 16 | n/a | Yes
ELL Radios | n/a | Yes | Yes | n/a | n/a | n/a
Mini Director (1 port) | n/a | Yes | n/a | n/a | n/a | n/a
MP3 Director (2 or 4 port) | n/a | Yes | set time | n/a | n/a | n/a

·50W flood: you can set the Unit ID using the DIP switches inside the housing. If all switches are set to OFF (which is the configuration when shipped from the factory), then the Unit ID can be set with the Hardware Utility. Light-O-Rama recommends leaving the housing closed and using the Hardware Utility.

·ServoDog: use the ServoDog utility to set servo parameters.


Setting Unit IDs

Each Light-O-Rama controller must have a unique assigned unit ID, identifying this particular controller. The reason for this is that every Light-O-Rama controller in a network can see every lighting command message that is sent over the network, not only the lighting commands sent for that controller. So, all of the commands contain a unit ID, and a controller only acts upon a command if the unit ID of the controller matches the unit ID of the message.

A unit ID is a two-character field. Each character can have any of the values 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F. For example, a unit ID might be "03", "07", "25", "37", "6B", "C8", or "DA". However, certain values are reserved, and so not allowed (specifically, "00", and "F1" through "FF").

How you set the unit ID varies by controller. The 4 methods are covered below. Refer to the manual for your specific controller to see which method it uses, and under what conditions. You can also check the Product Matrix for the Hardware Utility - the "Change Unit ID" column shows which controllers support setting the Unit ID using the Hardware Utility.

· Set the unit ID from the front panel

· Set the unit ID with rotary switches

· Set the unit ID with DIP switches

· Set the unit ID with the Hardware Utility

Set Unit ID From Front Panel of LOR160xWg3

LOR1600Wg3 Front Panel

LOR1600Wg3 Front Panel

Some Light-O-Rama controllers have a front panel display that allows for entry of the unit ID (e.g. LOR1600Wg3 and LOR1602Wg3). Refer to the manual for your controller for steps on setting the Unit ID.

Set Unit ID With Rotary Switches

Rotary switches: this pair is set to Unit ID 01

Rotary switches: this pair is set to Unit ID 01

Before changing the switches, make sure the unit is not attached to power!

For units with rotary switches, simply use a small screwdriver to dial the 2 switches to the desired unit ID. Note that the arrow pointing to the selected number is perpendicular to the slot. Example controllers include the CMB16D, CTB08D, and CTB16D (all of these are generation 1 controllers).

Set Unit ID With DIP Switches

DIP switches - these are all off, so ID 00

DIP switches - these are all off, so ID 00

Before changing the switches, make sure the unit is not attached to power!

For units with DIP switches (8 tiny white switches), use this table to determine the correct switch settings. Use your fingernail, a small screwdriver, or a pencil to set the switches. Example controllers include the Pixie 2/4/8/16, CTB04-PC, and CMB24D. Some controllers, like the Pixie and 50W flood, can be set via the Hardware Utility if the switches are all off (as in the picture above); and otherwise use the switch settings.

Make sure you are looking at the DIP switches with the correct orientation; if you have it up-side-down, you will set your controller to the wrong unit id.

Set Unit ID From Hardware Utility

For controllers that don't have a front panel, dial switches, or DIP switches, you can use the Hardware Utility to set the unit ID. Follow these steps:

·If you haven't already done so, plug a Light-O-Rama USB adapter into an available port. Connect a Cat5 or Cat6 cable from the adapter to the controller. Plug the unit into an AC outlet, and turn the unit on.

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

oIf you do not remember the unit's current unit ID, or if the controller doesn't seem to be reacting to its current ID, you can change it to a new unit ID by selecting "Advanced (Unknown Id)" in the "Scan For" box. If you select this option, make sure that you have just one controller connected. Otherwise, all units that are connected to the PC will have their unit IDs changed.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·For the device whose ID you are going to change, click the "Configure" button

Click the "Configure" button to change the unit ID of the controller

Click the "Configure" button to change the unit ID of the controller

If "Scan For" was set to "Advanced (Unknown Id)", then the "Current Unit ID" will be shown as "FF" (this is not the unit's actual ID, but is OK); otherwise, the actual unit ID will be shown. Click the "Change" button to change it.

Current unit ID is "01"

Current unit ID is "01"

A window will open allowing you to select the new unit ID. Select the new unit ID from the drop-down, then click the "Change" button

Changing the Unit ID from 01 to 04

Changing the Unit ID from 01 to 04


Firmware Updates

Firmware is a type of software that's embedded into hardware devices to control their functionality. It's a program that provides low-level instructions for how the hardware operates. Occasionally, Light-O-Rama will distribute new firmware for it's controllers. The updated version may fix bugs, improve reliability, and/or provide enhanced capabilities. In general, unless the new version of firmware has a new feature that you need to use, you should not update the firmware.

Each version of the Light-O-Rama Software Suite is distributed with the latest firmware files for every controller (as of the time of the software's release). If you need a more current firmware file, you can download it from the Light-O-Rama web site's firmware page .

The Hardware Utility can be used to update firmware for any Light-O-Rama controller, with the exception of the E1.31 pixel controllers (Aurora Core and PixCon16). If you do wish to update the firmware of a controller, do so using the following steps:

·It is recommended that only one controller be connected to the computer when updating firmware. Units can have firmware updated when more than one is attached to the computer, but if you choose to do this, make sure you select the desired unit when clicking the Configure button.

·If you haven't already done so, plug a Light-O-Rama USB adapter into an available port. Connect a Cat5 or Cat6 cable from the adapter to the controller. Plug the unit into an AC outlet, and turn the unit on.

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

oIf you do not remember the unit's current unit ID, or if the controller doesn't seem to be reacting to its current ID, select "Advanced (Unknown Id)" in the "Scan For" box. If you select this option, make sure that you have just one controller connected. Otherwise, all units that are connected to the PC will have their firmware updated.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·For the device whose firmware you are going to update, click the "Configure" button

Click the "Configure" button to change the unit ID of the controller

Click the "Configure" button to change the unit ID of the controller

If you have any doubt about which controller you are updating, move over to the Test Lights tab and verify that the lights that come on are attached to the controller you intend to update (then switch back to the Configure tab). Now click the "Update" button next to the firmware version.

You will be prompted to select the firmware file - these files have an "lhx" extension. The files you initially see are ones that were installed as part of the Light-O-Rama Software Suite. If you downloaded a firmware file from the Light-O-Rama web site, you will need to navigate to the folder where you saved the download file. Select the file that corresponds to your controller. As soon as you click the "Open" button, the process of loading the file into the controller will begin. A progress bar will indicate how far along the load process is. Don't do anything else in the Control Panel until the load process is completed. If there are communication problems with the controller during the load process, the load process will automatically retry sending the data. The load process will only give up after multiple errors have been encountered.

Firmware in the process of being loaded

Firmware in the process of being loaded

Troubleshooting

If the download does not start within 15 seconds of hitting the "Open" button, check that the unit is powered and properly connected to the PC. If all else fails, power the unit on and off after you click the Open button and the PC is attempting to start the download.


Configuring Units

Some Light-O-Rama controllers have special options that can be configured. You can use the "Configure" tab of the Hardware Utility to do so, using the following steps:

·If you haven't already done so, plug a Light-O-Rama USB adapter into an available port. Connect a Cat5 or Cat6 cable from the adapter to the controller. Plug the unit into an AC outlet, and turn the unit on.

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·Find the device that you are going to configure/test and click the "Configure" button

Click the "Configure" button to access trigger configuration and test

Click the "Configure" button to access trigger configuration and test

·After clicking the "Configure" button, the next screen you see will depend on the type of controller you are configuring:

o Configuring AC Controllers

o Configuring Pixie Controllers (2, 4, 8 and 16), as well as CCR II Ribbons, Bulbs, Pixels

o Configuring Original Cosmic Color Ribbons, Bulbs, and Pixels

o Configuring ELL Radios

o Configuring Light-O-Rama MP3 Directors

Configuring AC Controllers

The Hardware Utility's Advanced Configuration screen can be used to set dimming curves for Gen3 controllers (e.g. CTB16PCg3, LOR800Wg3, LOR1600Wg3, and LOR1602Wg3), or for pre-Gen3 controllers that have Gen3 firmware installed.

Dimming curves determine the output of a channel versus the intensity setting of that channel. For example, the On/Off only curve has the output set at 100% for intensity values greater than 50% (or DMX 128), and the output at 0% for any other intensity value.

Each channel can be configured for a specific dimming curve. Gen3 firmware comes with three curves: "LOR standard" (which is normal for incandescent lights), "Dim Curve01" (which is a good curve for LED Lighting), and "On/Off only" (which is best with loads such as strobe lights that should never be dimmed).

AC configuration screen

AC configuration screen

Set the Minimum and Maximum Intensities

While active, the controller will not set its lights' intensities below the specified minimum. If, however, it loses communications with its director, it will turn them off (i.e. 0% intensity). The lights are not turned up to the minimum until the unit receives its first lighting command.

Setting a maximum intensity below 100% may be used to help prolong the life of bulbs, although there is an important exception: Retro LED C7 and C9 bulbs (also known as replacement LEDs) can be harmed by using them at any intensity other than 100% or 0%.

The initial values displayed in this section are read from the controller itself (although this is supported only for certain versions of firmware - your controller may need a firmware update in order to read the values from the controller).

Configuring Pixie Controllers (2, 4, 8 and 16), as well as CCR II Ribbons, Bulbs, Pixels

Pixie 2, 4, 8, and 16 controllers (the Pixie 2 is sometimes referred to as "CCR II") have their own configuration options unique to them.

Pixie Controller configuration screen

Pixie Controller configuration screen

For most users, simple mode will be all that is needed. Not all devices support all options. If a device does not support a particular option, that option is gray and cannot be used. Here is a description of each field:

·Pixel Type: Select the type of pixels connected to your Pixie controller. "WS2811 (800 Khz)" is the most common type - if you purchased your pixels from Light-O-Rama with your Pixie controller, this is the option you should choose. If you purchased your pixels elsewhere, check the documentation from your vendor.

·RGB Order: Each pixel uses 3 channels - one for red intensity, one for green intensity, and one for blue intensity. Pixel strings/strips from different manufacturers may have red, green, and blue channels set in a different order. Here you can set the order that matches the pixels you are using. RGB is the default. Selecting an option here will set ALL ports on the Pixie device to the same order; click the Advanced button if you have pixel strings with a mix of different channel orders.

·Pixels Per Port: the maximum number of pixels connected to any physical port of the Pixie controller. This can be any value 1-170. For example, if you have 50 pixels attached to each port, set this field to 50. If you have 50 on one port, and 150 on another, set this field to 150 (i.e. the maximum number you have on any one port of the controller).

Advanced Mode

If you press the 'Advanced' button, the dialog expands and shows the following:

Pixie controller: Advanced configuration

Pixie controller: Advanced configuration

·First Pixel is Status Indicator: For Cosmic Color devices, if this field is checked, for the first minute after the unit is powered up (or until a lighting command is received), the first pixel of the unit will act similarly to the unit's status indicator, blinking on and off if there is no communication, and holding on steady if there is.

·CMD24D (Dumb RGB) Emulation: Checking this box will make each string of pixels on the Pixie controller act as a single pixel, using just 3 channels (red, green and blue) to control the entire string. All pixels will still light up, but every pixel on a string will be the same color.

In the list of ports you will see 1 line for each port that your Pixie has. For example, if you are configuring a Pixie 4, you would only see ports 1-4. Depending on the firmware your Pixie has, you may not be able to change all of these. Only newer Pixie firmware allows for the configuration of per port RGB Order as well as prop selection. If your version of the firmware does not support these, the Advanced button will not be displayed.

For each port you can configure:

·RGB Order: Order of the Red Green and Blue channels for your pixel. RGB is the default. Selecting an RGB order effects only that port. That means each port on your Pixie can have a different RGB order.

·Reverse: Reverses the order of the pixels on the ribbon, or string connected to that port of the Pixie. Thus, when unchecked, pixel 1 is nearest the controller, and when checked, the highest pixel is nearest the controller.

·Prop: Pixie controllers can be configured to run certain available LOR props, like singing faces. Selecting the prop here will allow the pixie to control that prop on that and the next port. If you have a pixie 16, props are only supported on the first 8 ports. For more information, please see the manual that came with your LOR prop. For regular operation select 'no prop selected', otherwise select the name of the prop connected to that and the next port.

Configuring Original Cosmic Color Ribbons, Bulbs, and Pixels

Cosmic Color Ribbons, Bulbs, Pixels, have their own configuration options, unique to them.

There are currently 2 versions of Cosmic Color devices available, the 'Original' and the Cosmic Color 2 devices which are based on our Pixie controllers. The Hardware Utility can distinguish the difference between the two when connected to your computer and will present you the correct dialog.

When you press the "Configure" button with an Original Cosmic Color device selected, you will be presented the following window:

Cosmic Color Ribbon/Bulb/Pixel/Pixie configuration options

Cosmic Color Ribbon/Bulb/Pixel/Pixie configuration options

For details on these options, please refer to your device's manual (All of our hardware manuals are available on our website in PDF format here:http://www1.lightorama.com/documentation/ ). Not all devices support all options. If a device does not support a particular option, that option is grey and can not be used. Here is a brief overview of each:

·Unit ID Mode: In "Normal" mode, the Cosmic Color device will be a single unit ID, with 157 circuit IDs for a one-string CCD or 314 for a two-string. In "Legacy" mode, the Cosmic Color device will use up to ten sequential unit IDs per string (depending upon the configured resolution), with up to 16 circuit IDs for each unit ID. In "Dual Normal" mode, which is applicable for two-string CCDs, the device will have two contiguous unit IDs, each having 157 circuit IDs.

·Logical Resolution: The number of logical pixels that the Cosmic Color device will be. For example, setting it to 50 will give individual control over each of the 50 physical pixels, using 150 channels (one red, one green, and one blue for each pixel), while setting it to 1 will make all of the lights on the Cosmic Color device act as a single pixel, using three channels (red, green and blue).

Advanced Mode

If you press the 'Advanced' button, the dialog expands and shows the following:

Cosmic Color Ribbon/Bulb/Pixel/Pixie advanced configuration

Cosmic Color Ribbon/Bulb/Pixel/Pixie advanced configuration

·Reverse String #: Reverses the order of the pixels on the ribbon, or string of the Cosmic Color Device. Thus, when unchecked, pixel 1 is nearest the controller, and when checked, the highest pixel is nearest the controller.

·DMX Mode: Selects how the Cosmic Color device will appear in a DMX universe: just the RGB channels, just the Macro channels, or both.

·First Pixel is Status Indicator: For Cosmic Color devices, if this field is checked, for the first minute after the unit is powered up (or until a lighting command is received), the first pixel of the unit will act similarly to the unit's status indicator, blinking on and off if there is no communication, and holding on steady if there is.

·CCP Color Correction: Select this option if you are using Cosmic Color Pixels and notice that colors are slightly off, especially when compared to a Cosmic Color Bulb controller.


Configuring Easy Light Linkers

The Light-O-Rama Hardware Utility is used to change the default configuration of the Easy Light Linker (ELL) transceiver.

ELL radios cannot be part of an Enhanced LOR (ELOR) network. Their maximum speed is 115.2K. They do not support speeds of 500K or 1000K.

Before Scanning

Before scanning for ELL devices, check that:

·Only 1 ELL device is in the daisy-chained network hooked up to the USB adapter.

·The ELL has power:

oIf you are using a Light-O-Rama USB485B (adapter with booster), it will supply power to the device.

oIf there is also a LOR controller with accessory power in the daisy chain, then it can supply power.

Scan result for an ELL Radio

Scan result for an ELL Radio

Ready To Scan

Now that the ELL is connected properly:

1.Select the port that the ELL is attached to. Set Scan For to "ELL Radios"

2.Click the "Scan" button

3.Wait for results to appear at the bottom of the page

4.Click the "Configure" button next to the device you want to configure. This will open the page shown below.

ELL radio settings

ELL radio settings

Frequency

Use this section to control the frequency used by the wireless device. Note that the transmitter and any receivers for it must be set to use the same frequency.

You can also use this to set the frequencies of two different transmitters to different values, so that they will not interfere with each other; these different transmitters can then be placed far apart from each other, effectively increasing the range of your wireless network.

Finally, some other wireless source in your area may interfere with Light-O-Rama's wireless communications at certain frequencies, so if you notice problems with the controllers hooked up to your wireless devices, try changing the frequency that is used.

If you change this setting, make sure to click the "Update Configuration" button so that the change will be sent to the wireless device currently hooked up to the PC.

Speed

Use this section to control the communications speed used by the devices. The faster speed is typically the better, allowing more frequent lighting effects, unless your controllers are separated over large distances. In that case, if you notice problems with the higher speed, try changing to the lower speed.

Note that a transmitter and its receivers must use the same speed.

If you change this setting, make sure to click the "Update Configuration" button so that the change will be sent to the wireless device currently hooked up to the PC.

Power Level

If your transmitter and receivers are physically close to each other, using too much power might cause unintended effects. If you notice this, try setting a lower power level.

If you change this setting, make sure to click the "Update Configuration" button so that the change will be sent to the wireless device currently hooked up to the PC.

Reset Defaults

Clicking this button will reset the settings (such as frequency) of the wireless device currently hooked up to the PC back to their factory defaults.


Configuring MP3 Directors

You can use the Hardware Utility to scan for Light-O-Rama Directors.

Before Scanning

Before scanning for Directors, check that:

·Only 1 Director is attached to the USB adapter, and the cable from the adapter is plugged into Network 1 of the Director.

·There is no SD card in the slot

·The Director has power:

oIf you are using a Light-O-Rama USB485B (adapter with booster), it will supply power to the Director.

oIf there is also a LOR controller with accessory power in the daisy chain, then it can supply power.

oOtherwise, connect an external 12V DC power supply to the unit's barrel jack.

Scan result for a Director

Scan result for a Director

Ready To Scan

Now that the Director is connected properly:

1.Select the port that the Director is attached to. Set Scan For to "Directors"

2.Click the "Scan" button

3.Wait for results to appear at the bottom of the page

4.Click the "Configure" button next to the device you want to configure. This will open the page shown below.

2 and 4 port Directors have a clock and you can set their time from your computer

2 and 4 port Directors have a clock and you can set their time from your computer

If you have a 2 or 4 port Director, you will be able to set the device's time from the "Configure" page. Clicking the "Set director to current time" button will send your computer's time to the Director. The display on the Director should immediately reflect the updated time.


Test Lights (Hardware Utility)

The Control Panel has 2 ways to test the lights on your controllers:

1.Use the Test Lights function on the main menu if you are going to run the show from your computer, once you are confident you have your networks set up correctly. If you are going to run your show from a Light-O-Rama Director, then there is no need to set up networks, and you should test using method #2.

TestLightsHeadings

2.Use the "Test Lights" function in the Hardware Utility when you are configuring your controllers to verify your configuration is correct. Testing using this method is covered below.

HUTestLightsHeading

You can test the operation of Light-O-Rama controllers using the Hardware Utility by taking the following steps:

·If you haven't already done so, plug a Light-O-Rama USB adapter into an available port. Connect a Cat5 or Cat6 cable from the adapter to the controller. Plug the unit into an AC outlet, and turn the unit on.

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

oIf you do not remember the unit's current unit ID, or if the controller doesn't seem to be reacting to its current ID, select "Advanced (Unknown Id)" in the "Scan For" box. If you select this option, make sure that you have just one controller connected.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·For the device you are going to test, click the "Configure" button

Click the "Configure" button to change the unit ID of the controller

Click the "Configure" button to change the unit ID of the controller

·After clicking the "Configure" button:

oIf you are configuring a Pixie or Cosmic Color device, then you will have a Test Pixels tab

oFor all other devices, you will have a Test Lights tab

oThe Light-O-Rama Input Pup has no outputs and therefore no Test tab is displayed

Testing Pixie and Cosmic Color devices

Because of their high channel counts, output to Pixie and Cosmic Color devices, like Cosmic Color Bulb, Cosmic Color Pixel, and Cosmic Color Ribbon, are tested a little differently than other LOR Controllers.

The Test Pixels tab for Pixies and Cosmic Color Devices

The Test Pixels tab for Pixies and Cosmic Color Devices

·Activate the "Run Test" toggle to start running the test (sending data to the controller).

·Select the check boxes next to the strings you want to test. There is one check box for each output on the pixel controller. You can check and uncheck boxes while the test is running.

·In the "Color Cycle" box, select the colors you would like included in the cycle. The test will continuously cycle through all of the selected colors until the test is stopped. You can change the selected colors while the test is running. If you only choose a single color, the test will remain on that color. There is also the choice for a custom color - there is a block that shows the currently selected custom color, and to its right is a down-arrow which you click to change the custom color. After clicking the down-arrow, you can set the customer color by picking from a spectrum, from a palette, by setting the red, green, and blue values via sliders, or set the HSV values via sliders.

This box assumes the first channel in a 3-channel group is red, the second is green, and the third is blue. Depending on your controller configuration and pixels strings you have connected, this may not be the case. So selecting red may display a different color. You have 2 options here:

1.Go to the configuration tab and change the color order to match your pixel strings. If you selected the correct color order, when you return to the "Test Pixels" tab, selecting "Red" should turn your string red. Later, when you set up props that use this controller in your preview, you should set the color order in Prop Definition to "RGB".

2.Leave the controller configuration as it is and just understand that selecting "Red" may yield a different color on your pixel string. Then set the correct color order in Prop Definition.

·You can adjust the speed at which the test changes colors by using the "Color Cycle Speed" slider on the right.

·Turn off the lights by deactivating the "Run Test" toggle.

·When you are done, click the "Back" button at the upper left to return to the scan results.

If you would like to test individual circuits on a Pixie or Cosmic Color device, select Test Lights on the main menu, then select the Test Pixels tab.

Test All Other Units

Testing any unit other than a pixel controller will show the screen below. This screen is designed to test individual circuits.

The Test Lights tab

The Test Lights tab

·Activate the "Run Test" toggle to start running the test (sending data to the controller).

·Select the check boxes next to the circuit numbers you want to test. There is one check box for each output on the controller. You can check and uncheck boxes while the test is running.

·In the "Intensity" box, select how the intensity should change during each step in the test. The range slider at the bottom affects all choices.

o"Steady On" - turns the select circuits on to the maximum value on the range slider.

o"Fade Up" - starts the select circuits at the minimum value on the range slider, then fades up to the maximum value.

o"Fade Down" - starts the select circuits at the maximum value on the range slider, then fades down to the minimum value.

·In the "Effect" box, choose which lighting effect will be used during test.

o"All On" - during each step in the test, all selected circuits use the same intensity setting.

o"All Shimmer" - during each step in the test, all selected circuits shimmer and use the same intensity setting.

o"All Twinkle" - during each step in the test, all selected circuits twinkle and use the same intensity setting.

o"Chase" - during each step in the test, a single circuit is turned on using the intensity setting. The test moves from one circuit to the next in round-robin fashion.

·In the "Speed" box, move the slider to control how long each step of the test takes.

·Turn off the lights by deactivating the "Run Test" toggle.

·When you are done, click the "Back" button at the upper left to return to the scan results.


Triggers (Inputs)

Some Light-O-Rama controllers can be used, not only to control lights, but also to accept input that can be used to start a show, or to trigger a sequence or sequences in an interactive show. For example, your display might have several buttons for people to press, each of which will cause Light-O-Rama to play some particular song on demand. In the software, these inputs are referred to as "triggers".

The Hardware Utility can be used to configure and test trigger inputs on you controller. Not all controllers have trigger inputs - see the "Test Triggers" column in the Product Matrix to see which controllers have this feature.

Please note that triggers are not supported on LOR Enhanced networks. If your trigger is on a controller that is on an LOR Enhanced network, you will be able to test it in the Hardware Utility, but it will not work during your show.

You can also generate virtual triggers via an OSC message or the REST API. They have the same effect as a physical trigger from a controller input, but they are not tested here.

To configure and test trigger inputs from your controllers, follow these steps:

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·Find the device that you are going to configure/test and click the "Configure" button

Click the "Configure" button to access trigger configuration and test

Click the "Configure" button to access trigger configuration and test

·After clicking the "Configure" button, select the "Triggers (Inputs)" tab.

Trigger configuration and test

Trigger configuration and test

·The upper box is used to test the trigger inputs. If you have wired a switch into your controller, you can activate the switch and see the result on the screen. A circle will fill in when a trigger is received. The number of inputs varies by controller, and the screen will reflect the number of inputs available on the selected controller.

·The lower box is used to configure the trigger inputs.

oSet each input to "normally open" or "normally closed" based on the type of switch attached to the input, then click the "Update Switch Behavior" button.

oMost triggers (like switches and pressure mats) are "normally open" - they send a signal only when activated. Others (for example motion detectors) are "normally closed" - they STOP sending a signal when activated.

oIf a trigger is constantly filled in in the top box until you activate the input switch, then you have the input configured the wrong way


Standalone Sequences

The Standalone tab of the Light-O-Rama Hardware Utility can be used to send an animation sequence to a Light-O-Rama controller, which can later run that sequence independently, in "standalone" mode, without being hooked up to a computer running Light-O-Rama software.

When a unit runs a sequence in standalone mode, it not only executes the lighting commands in the sequence that are for that controller itself, but also, if the sequence contains any commands for other units, it will transmit them to the other units that it is connected to. In this way, a single controller can be downloaded with a sequence, and act as a "director" for several linked controllers.

It is important that only one controller in any mutually connected group act as a director. Downloading sequences to two separate controllers that are hooked up in a mutually connected group will have undesired results, as the commands transmitted by the two will interfere with each other. Similarly, it is important not to also control sequences from your computer while you have a controller hooked up to it acting in standalone mode, for the same reason.

Normally, the controller will execute the standalone sequence any time that it is powered on. However, some controllers have inputs that can serve as a trigger to start the sequence. If a controller supports triggers, it is input #1 that will start the sequence. See the Hardware Utility's Product Matrix to see which controllers support triggers and standalone sequences.

Note: The CTB08 (first generation) controller does not have transmit capability in standalone mode.

To load a sequence into a controller to be used in standalone mode, take the following steps:

· Create the Sequence

· Scan for the Controller

· Download the Sequence

You can also use this section of the Hardware Utility to choose the action that will start the sequence (for controllers that support this), to remove the standalone sequence from a controller, and to test a standalone sequence.

Create the Sequence

Using the Sequencer, create an animation sequence. Musical sequences can be loaded but the music will be ignored. When you create the sequence, associate it with a preview that has the appropriate unit IDs and circuit numbers, as normal.

Some controllers have very little storage space for sequences. Because size is a limiting factor, you should consider the following tips to keep your sequence's size at a minimum:

·Fade commands take up the most space.

·The least space is used when all lights on a controller are at either 100% or 0% intensity.

·When possible, place similar commands at the same time. For example, if you turn one circuit of a controller off and then, a tenth of a second later, turn another circuit on the same controller off, that will take about twice as much space as would turning both of them off at the same time.

·Different types of controllers have different maximum sequence sizes; controllers such as the CTB08 have little space and can handle only very simple animations.

Also, sequences to be used in standalone mode have some limitations:

·You can load sequences in the legacy format (.las) or in the modern format (.loredit)

·The sequence's preview should only contain props that are on the Regular LOR network; sequencing on other networks is ignored.

·The sequence cannot contain motion effects.

·The sequence cannot use loops.

· Timings are only supported on tenth-of-a-second boundaries (for example, 1 second, 1.1 seconds, 1.2 seconds). If any timings in the sequence are at some centisecond other than a tenth-of-a-second boundary (for example, 1.15 seconds), they will be considered to be at the next tenth-of-a-second boundary.

Scan for the Controller

·If you haven't already done so, plug a Light-O-Rama USB adapter into an available port. Connect a Cat5 or Cat6 cable from the adapter to the controller. Plug the unit into an AC outlet, and turn the unit on.

·Open the Light-O-Rama Control Panel and navigate to the Hardware Utility section.

·Make selections in the Ports to Scan and Scan For boxes.

oIf you do not remember the unit's current unit ID, or if the controller doesn't seem to be reacting to its current ID, select "Advanced (Unknown Id)" in the "Scan For" box. If you select this option, make sure that you have just one controller connected. Otherwise, all units that are connected to the PC will load the sequence.

·Click the "Scan" button

·Wait for results to appear at the bottom of the page

·Find the device that you are going to load the sequence into and click the "Configure" button

Click the "Configure" button to access standalone sequence options

Click the "Configure" button to access standalone sequence options

Download the Sequence

·After clicking the "Configure" button, select the "Standalone" tab.

·Click the "Open" button to select your sequence.

·If the sequence is too large, you will see a message indicating how much it is over. You will need to go back and edit your sequence to reduce the number of channels and/or the number of effects.

·Select the action that will start the sequence. Only controllers with "Yes" in the "Test Triggers" column of the Product Matrix support starting the standalone sequence on an input (see the controller's manual for information on wiring the input).

·Click the "Load" button to send the sequence to the controller. The progress bar will indicate how far along the load process is. Do not leave the Standalone page or close the Control Panel until the load has completed.

The Standalone Sequence tab

The Standalone Sequence tab

Testing the Sequence

After loading a sequence into a controller to be used in standalone mode, it is recommended that you test the sequence, using the buttons in the "Test Sequence" section. To start the sequence, click "Sequence ON"; to stop it, click "Sequence OFF".

Note that the "Sequence OFF" button will stop the sequence even if it was started automatically (by powering on or by schedule, as opposed to via the "Sequence ON" button).

Testing the sequence

Testing the sequence

Removing the Sequence

To remove a downloaded sequence from a standalone controller, use the "Delete" button in the "Remove Sequence" section:

Removing a sequence

Removing a sequence

Note: This does not actually remove the sequence from the controller; rather, it makes it so that the controller will no longer play the sequence. So, if you later decide to use the sequence again, you can simply change the start action, rather than downloading the sequence again.

Change Start Action

After loading a sequence into a controller, you can later change the action the starts the sequence. Simply select the start action on the left side of the screen, then click the "Update Start Action" button on the right.


PixCon16 Configuration

Open the PixCon16 Configuration page by clicking the "Configure a PixCon16 controller" button on the Control Panel's Controller Setup section. Make sure your PixCon16 controller is powered on and that it and your computer are connected to the same Ethernet network (the Ethernet connector on the PixCon16 is the silver connector).

The PixCon16 is a little different than other Light-O-Rama controllers when it comes to configuration and use. All configuration of the board is done while it is connected to a standard LAN. The PixCon16 can not be configured via the LOR RS485 mode. The PixCon16 however can run (i.e. control lights) in either E1.31 mode (via an Ethernet network), or as an LOR device on an LOR ENHANCED network at 500K (1000k if there are only Pixie and/or PixCon16 controllers on the network). If you would like to use the PixCon16 as an LOR device, be sure to select 'LOR Mode', explained below. When in LOR mode, the PixCon16 can be connected to an MP3 Director (G3 or later) if desired.

Main Window

Click the "Search" button in the PixCon16 Utility. After a few seconds, a list of the PixCon16 / E1.31 devices that were found will be shown.

After pressing the Search button

After pressing the Search button

To configure a particular board, double-click on it. The PixCon Configuration window should open.

Under some circumstances, the program may not be able to detect all of the controllers connected to your LAN. This can be due to multiple issues since the routing and configuration of TCP/IP can be tricky:

§Most Importantly: Please select the correct network adapter at the top of the window. You must select the network adapter that is directly connected to the same network the PixCon16 is connected to.

§The board may simply have missed the command for it to report in. Pressing "Search" again will usually find the missing controller. It could also be that the network is currently saturated with lighting commands. You should stop any running show before attempting to configure an E1.31 device.

§If this is the first time you are configuring a board, or if you changed the configuration of your network, the device may no longer be at an IP that you are expecting. In that case, you may want to reset the board to factory specifications. This will then place the board into 'DHCP' mode where it will request an IP from your network. This requested IP should then be able to be found with the program. Please note that resetting the board will clear all of your configuration information, and you will need to re-configure the board.

After configuring you controller using the PixCon Configuration window, then clicking OK to save your configuration and close the window, the list of controllers in the main window will NOT automatically update. You will need to press the Search button again. Be patient -- it may take a few seconds for the controller to update its configuration and reboot before it is able to respond to a search request.

PixCon Configuration Window

Use this window to configure a specific PixCon16 controller. After changing the settings, click the "OK" button at the bottom of the screen to save the changes; otherwise, click "Cancel" to leave the device configuration unchanged.

The "PixCon Configuration" window has 5 tabs:

· Network

· Control

· LEDs

· Test

· Misc

Network Tab

The Network Tab

The Network Tab

If you wish to let the controller be assigned an IP automatically by a router, select the ‘DHCP’ button. DHCP is the default mode of operation and will allow the controller to connect instantly to most home or corporate networks that have a router.

If you are connecting your controller directly to your PC or via a basic network switch on a network without a router, you will need to use a Static IP address.

To set a static address, select "Static" and then type in the IPV4 address you would like for the board, as well as the Subnet Mask. The address should be in the same range as the computer you are currently using to configure the board. The subnet mask should match the computer's as well. If you change the address to one that is not within the range of your local LAN, the board may 'disappear'. In that case you should reset the board to factory settings, search again for the board, and attempt to reconfigure it again.

Control Tab

The Control Tab

The Control Tab

Mode of Operation (Ethernet Protocol)

The PixCon16 can be run in 3 different modes:

·As an E1.31 controller on an Ethernet network. The Ethernet cable should be connected to the silver connector on the PixCon16.

·As an Art-Net controller on an Ethernet network. This mode is not currently supported by the Light-O-Rama Software Suite.

·As an LOR device on an LOR RS485 network. A Cat5 cable is attached to the "J3/J4 (DMX #1)" jack on the board and run (directly or indirectly) to a Light-O-Rama USB adapter. Be sure to also move the jumpers on the board from the ESTA side to the LOR side near J4.

Start Universe / Channel

In E1.31 and Art-Net mode, these 2 fields specify the universe and start channel for the first port. Normally, the channel should be set to 1.

In LOR mode, this specifies the Unit Id and Circuit of the first port. Normally, the channel (circuit) should be set to 1. Note that the Unit Id here is in decimal (base 10), whereas the unit id is hexadecimal (base 16) in all other parts of the software. See the Unit Id Values topic for a conversion table.

Pixels Per Output

Enter the number of pixels on the longest string attached to this PixCon16.

DMX512 Outputs

This section allows you to enable/disable the 4 DMX ports available on the board, as well as assign the universe each will control. These ports act as a bridge between E1.31 and a DMX universe. By using one or more of these ports, you can eliminate the use of one or more USB DMX adapters. These ports are not active when using the board in LOR mode.

Advanced - OFF

If the "Advanced" box is not checked, then the start universe (or unit id) and channel for ports 2-15 will be automatically assigned.

When using E1.31 mode and Advanced is off, then you should set up your Prop Definition similar to the following picture:

·Prop Definition's "Nodes per String" should match the PixCon16 Configuration "Pixels Per Output".

·Prop Definition's device type should be set to "DMX".

·Prop Definition's "Max Channel" should be set to 510.

·Prop Definition's Universe and Start Channel should match the corresponding PixCon16 Configuration.

·Prop Definition's "Enter channel on first row, auto-number the rest" should be selected.

·Prop Definition's "Separate Universe for each RGB string" should be unchecked.

When using LOR mode and Advanced is off, then you should set up your Prop Definition similar to the following picture:

·Prop Definition's "Nodes per String" should match the PixCon16 Configuration "Pixels Per Output".

·Prop Definition's device type should be set to "LOR".

·Prop Definition's Unit Id and Start Circuit should match the corresponding PixCon16 Configuration.

·Prop Definition's "Max Circuit" should be set to 510.

·Prop Definition's "Enter channel on first row, auto-number the rest" should be selected.

·Prop Definition's "Separate Unit Id for each RGB string" should be unchecked.

Advanced - ON

There are 2 modes available for setting up the pixel ports of a PixCon16, simple and advanced. For most users, simple mode is all that will be needed. For more complex configuration options, please use the advanced mode.

Here you can set:

·an individual start universe and channel for each string

·the number of pixels attached to each port

·the number of "null pixels". Null pixels allow the controller to ignore or skip a specified number of pixels at the beginning of an output. This is useful when you want to extend the distance between controller and your actual lights, as the data signals used by pixel chips are not designed to travel over long distances. Sometimes the signal between controller and first pixel gets degraded and causes problems such as flickering lights. In these cases inserting a “fake” (null) pixel between controller and first real pixel can help as they reproduce the signal on their output; remember that they will not actually light up as they are ignored by the controller. The PixCon16 treats null pixels as an entirely different parameter to normal pixels. So for example if you had 50 pixels in your pixel fixture and needed to insert 2 null pixels before the start, the ‘Null Pixels’ field for that output would need to be set to 2 and the ‘Num Pixels’ field would remain at 50 (even though there are 52 physical pixels in total on that output).

·Use of the Zig-Zig feature is not recommended. Instead, use one of the matrix shapes in Prop Definition and set the number of folds.

·Grouping allows the user to specify how many physical pixels are grouped together and treated as one single pixel to the outside world. For example, if you had a pixel strip with 150 physical pixels on an output and entered 10 in the grouping field for that output, it would effectively turn that strip of 150 individual pixels into a strip of 15 individual ‘pixels’. Each ‘pixel’ would now actually consist of a group of 10 physical pixels all grouped together as one single ‘pixel’ as far as your lighting control software or console is concerned.

·Intensity Limit allows the user to specify a value between 0 and 100% for the brightness level of the pixels on a given output. Note that the brightness output is scaled based on the input level provided to the controller. This is used in circumstances where the lights are too bright for your application. If you set the Intensity limit to 50% for example, the PixCon16 would halve all incoming data values. Reducing brightness also reduces the amount of power consumed by the pixel strings.

·Turning on the reversed option tells the controller to light up the pixels in reverse order to the way that they are physically connected. This means the first pixel to light will actually be the last physical pixel on that output instead of the first physical pixel. Usually, it is best to leave this setting disabled, as it is easier to take care of such situations in your Preview.

The Control Tab - Advanced

The Control Tab - Advanced

LEDs Tab

The LEDs Tab

The LEDs Tab

Pixel IC

Select your pixel string's chip-set here. The PixCon16 can support a variety of pixel driver chips -- which chips are supported depends on the firmware loaded to the board. Current Light-O-Rama pixel strings use the WS2811 chip (IC). This setting applies to all 16 outputs.

If in doubt, check the packaging:

Speed

Some pixel chip-sets have a low and high speed. If your chip-set supports high speed (current LOR pixel strings do), check the "Fast" box.

Controller Outputs

In most cases, select "Normal" here.

If using a controller that supports expanded mode and you select a pixel type that is a single wire protocol with no clock line (like WS2811), then you will have the option to select expanded mode. This mode allows the clock output on each of the pixel outputs on the control board to function as a data output instead of a clock line. This doubles the number of physical data outputs available and also increases the refresh rate. On a PixCon16 Mk2 for example, your data outputs will go from 16 to 32 in expanded mode and the max RGB pixels per data output will drop from 1020 to 510. In this mode, special care will be required in wiring your pixels to the connectors on the board.

LED Type

Some pixel drivers can operate RGB or RGBW LEDs. In this case, an option will be shown to select the type you are using. RGB LEDs use 3 channels and RGBW LEDs use 4 channels per pixel.

RGB Order

Under this tab you can also change the RGB (W) color order of all the outputs simultaneously, or change it for individual outputs separately. This is useful if the lights you are using are not physically wired in the standard red, green, blue order. To change the order of all outputs at once simply select the order from the drop-down box. To change specific outputs, click the ‘Advanced’ checkbox and then click the "Advanced" button to bring up the RGB (W) configuration window for individual outputs.

You can also set color order in Prop Definition. If your pixel strings are naturally in RGB order, then both the controller and Prop Definition should be set to RGB order. If not, set one to RGB and the other to the pixel string order. Things become very confusing if you try to change it both places!

Color Correction (Gamma)

These sliders allow you to adjust the relative amount of power supplied to each channel of a triplet attached to the 16 pixel ports of the board. Color Correction is typically used so that pixels attached to this board can be adjusted to more closely match pixels on other boards. Please note that this setting is for the entire board and not per port. Use the sliders to increase or decrease the amount of 'color' for each component.

Test Tab

The Test Tab

The Test Tab

This tab allows you to remotely select a number of different hardware test modes on the controller that can help to determine if your pixels are connected correctly and are working as they should. Simply select the test you wish to run from the drop-down box to turn it on, and select either an individual pixel output or all pixel outputs for the test to be applied to. Note: Before running the tests the pixel type and outputs should be configured correctly or it will not work.

Misc Tab

Nickname:

You should set the name of the board to something meaningful to you. For example, if this particular controller is used for a tree, you may want to name it 'Pixel Mega Tree' or the like.

Fan Control

Optionally, you can connect a fan to the PixCon16. When the board reaches the temperature specified here, the fan will be set to full on. If you don't have a fan connected, you can ignore this field. See the PixCon16 Hardware manual for more information.

Firmware Update:

To update the firmware, press the Update Firmware button. You will then be asked for the location of an LOR PixCon16 Firmware File. To ensure you have the latest firmware available, please check the Light-O-Rama website and download the latest available.

Once you have selected the correct file, the firmware update process will start. The process is typically safe to perform, however we recommend that you do not update firmware unless you are addressing a known problem, or need to add some new functionality that a new firmware offers.

When updating the firmware of a PixCon16, the power and status lights will flash on/off in different patterns. Do not power off the board while the update is in progress. If you are unsure if the update was applied properly or not, wait a few minutes and then observe the power and status lights. This will give the board enough time to reboot and stabilize. Also, pay attention to any instructions that may be shown on your screen.

Should the update process fail, the board could be in one of several states after the failure:

·If the status light is blinking and the power light is solid, this typically means the update was successful. However, it could also mean the board did not receive or it did not properly start the update process.

·If the power and status lights are alternating, then the board is currently in the boot-loader mode.

·If the power light is ON but the status light is OFF there was a problem with the firmware update.

In all cases after allowing the board to sit for a few minutes, power it off then back on. The board should return to normal operation at that time. If not, please refer to the hardware manual of the PixCon16 for additional troubleshooting information.


Find Web-based Controllers

The Light-O-Rama PixieLink controller is configured using a web page. The tricky thing about that is knowing the IP address of the controller so you can open the web page in a browser. This tool will take care of finding the IP address for you.

1.When you open the tool, it will display a list of network adapters attached to your computer. If your computer has WIFI only, you will probably only see 1 network listed. In the picture below, there are 3 networks. You need to select the network that will be scanned. In our example, we have selected the first network listed.

2.Click the Scan button. Depending on the number of devices on the network, it can take anywhere from 1 to 30 seconds to complete the scan.

3.After the scan is finished, the list of devices with web-based setup pages will be listed. You can click the IP address of the device you want to configure and this will open the web page in your default web browser.

4.After you are done with the scan page, click the Cancel button to return to the main Controller Setup view.

5.If you plug in a USB-to-Ethernet adapter after the Control Panel has started, you might need to click the "Refresh list of networks" button to see the new adapter in the list.


Networks

Light-O-Rama software running on a computer can control a wide variety of hardware devices and communicate with them via several different methods.

At lest 1 network must be defined here in order to use the Test Lights section or to play a show from this computer.

Light-O-Rama Adapters

In the simplest case, the devices/controllers are connected to your computer via a USB to RS485 adapter sold by Light-O-Rama.

Light-O-Rama USB Adapter

Light-O-Rama USB Adapter

Typically, Light-O-Rama controllers are connected to USB adapters, and up to 16 USB adapters can be connected to a single computer - that is, 16 different "networks". In many cases, a Light-O-Rama user will only need a single network -- that is, a single USB to RS485 adapter -- for all of his or her controllers: this is called the "Regular" network. Should additional networks be needed, 15 auxiliary networks ("Aux A", "Aux B", and so on, up to "Aux O") are also available, each of which would be controlled via a separate USB adapter.

DMX

If you have an Advanced or Pro license, the software also supports communication to:

·DMX devices via USB to DMX adapters,

·Ethernet-connected devices via the E1.31/sACN protocol.

·Ethernet-connected devices via the Art-Net protocol.

You can configure up to 999 DMX universes (although please note that, depending on your computer's capabilities, the software may not be able to adequately drive that many universes simultaneously).

The Network List

The Control Panel's Networks section let's you set up your lighting networks and see their connection status in real time. These networks are used by the Show Player when it plays your sequences. It is also used by the Sequencer when Control Lights is enabled. It is important that this information is correct or your lights will not turn on!

In the picture below, 6 networks have been defined. Each network has a name shown in bold font. A second line shows some of the connection parameters. And a third line shows the connection status -- a green check mark if things are OK, or a red X if there is an issue. In the first picture, all 6 networks are in a green status, and you can see the summarized status as a badge to the right of the "Networks" item in the menu.

·When green, all networks are functioning correctly and the badge displays the total number of networks (6).

·The badge turns red when an issue is detected with one or more networks, and the number will indicate the number of networks with an issue.

The same set of networks are shown below. However, this time a network cable has been removed from "Aurora #1". The status on the individual controller has turned red, and the badge on the network menu has also turned red. The badge color alerts you to the problem and the number changes to indicate the number of networks with an issue, even if you are in a different section of the program.

The badge color will turn red if the status of any network turns red, and return to green once all networks are back to a green status..

Using the buttons in the section heading (to the right of "Lighting Networks"), you can:

·Add a new network. You will be prompted for what kind of network to add:

o LOR adapter

o DMX adapter

o E1.31 controller

o Art-Net controller

·Edit the selected network (you can also double-click on a network in the list to edit it)

·Remove the selected network

· Import and export the complete network configuration (backwards compatible with files created using earlier versions of the software)

·View the network log


LOR Adapter

On this screen you define a Light-O-Rama network - one that uses a USB adapter (or a serial adapter on older computers).

Name

Use the name field as you see fit. Listing some of the key props on this network makes for a good name.

LOR Network

Select the Light-O-Rama network. If you have a single network, then choose "Regular". Networks that are already defined will be disabled in the drop-down, so you don't define the same network twice.

Serial Port ("Port")

In the drop-down box, chose the serial port that you wish to use for that network. Make sure that your selection does not conflict with another network, or with DMX adapters.

If you check the box to the right of the drop-down, only adapters currently connected to the computer will be shown in the drop-down. This will make it easier to identify the correct port.

If you are setting up multiple LOR networks, we recommend connecting and setting up one adapter at time, checking the "Only show ports..." box each time. After you are done setting up all of the adapters in Network Preferences, you can then plug all of the adapters into your computer.

Connection Speed ("Speed")

Light-O-Rama software can communicate with Light-O-Rama controllers using various communication speeds. These speeds can be set independently for each Light-O-Rama network:

·If you do not have extraordinary needs and the network is not enhanced, "57.6K" is suggested.

·If you have controllers that are hooked up to your computer using a very long or poor quality communications cable, you may need to set the speed to "19.2K (Slowest)".

·If you are using Light-O-Rama Easy Light Linkers (ELL) for wireless communication in your network, speeds will be limited to a maximum of 115.4K (57.6K for the older V4 ELL).

·If you have many circuits with very fast action, you may need to set the speed to "115.4K", or even "500K". Note that 500K is currently supported only on G3 controllers, Cosmic Color Ribbons, Cosmic Color Bulbs, Cosmic Color Pixels, Pixie Controllers, and the PixCon16. You may also have to upgrade your firmware to use 500K. See our Network Speeds web page for the latest information.

·If you are using enhanced LOR, then 500K is the recommended speed.

·If this network ONLY contains a combination of Pixie and Pixcon16 controllers running on an Enhanced LOR Network, you may select 1000K.

Enhanced LOR

Checking this box designates this network as an enhanced network. This optimizes the network for high channel counts, such as when using RGB pixels. Motion effects and SuperStar effects can only be played on enhanced LOR networks and DMX networks.

A Pro level license is required to use this feature. Not all controllers can be used on such a network, and some controllers may require firmware updates before they are able to be used on an enhanced network. Also, input triggers are not supported on LOR Enhanced networks.


DMX Adapter

On this screen you define a DMX network that uses a USB adapter.

Name

Use the name field as you see fit. Listing some of the key props on this network makes for a good name.

Universe

Set the universe that will be assigned to this adapter. When you create props in your preview that represent fixtures attached to this adapter, the universe assigned to those preview props must match the one you assign here.

DMX Adapter ("Adapter")

Select the communications port from the drop-down list of ports available on the system. Ports already assigned to an LOR adapter will not be shown.

Fixing Old Entries

Versions 6.3.12 and earlier displayed the adapter's serial number (not the port) in this field. If you run Control Panel version 6.3.14 or later without updating the Network setting, you will see the error message shown below. A sample serial number (set using an older version) is shown on the right.

To fix the error: make sure the adapter is connected to the computer, then simply double-click on the Network entry to edit it. The correct serial port will be automatically selected. Save the entry and the port should now connect.

DMX Protocol ("Protocol")

Different DMX adapters use different protocols. You must specify the correct protocol for the DMX adapter you wish to use:

Adapter Type | Protocol
DMXKing UltraDMX Micro | ENTTEC DMX Pro (or compatible)
DMXKing UltraDMX RDM Pro | ENTTEC DMX Pro (or compatible)
ENTTEC DMX USB Pro | ENTTEC DMX Pro (or compatible)
ENTTEC Open DMX USB* *: Some old ENTTEC Open devices, built in approximately 2008 or earlier, may not be supported | Open DMX (Raw)
LOR USB485 | Open DMX (Raw)
LOR USB485B | Open DMX (Raw)
LOR USB485-ISO | Open DMX (Raw)
Lynx (DIY) | ENTTEC DMX Pro (or compatible)

Other types of adapters may or may not work with LOR software. If they do, you may need to experiment to find the correct protocol to use.


E.31 (sACN) Controller

On this screen you define a group of DMX universes for a controller that uses the E1.31 (sACN) protocol. Please note that E1.31 configurations can be complex, and may require a firm grasp of networking, network topologies, and addressing. Such topics are beyond the scope of this document.

Name

Use the name field as you see fit. Listing some of the key props on this network makes for a good name.

Start Universe

The first DMX universe used by this controller.

End Universe

The last DMX universe used by this controller.

IP Address

Here, you must select the type of IP address you wish to use for this controller:

·Specify: Selecting this option will cause the universe to use unicast mode, and lighting commands for the universe will be received by a single E1.31 device, using the IP address that you specify.

·Multicast: Selecting this option will cause the universe to use multicast mode, allowing lighting commands for the universe to be received by multiple E1.31 devices. The actual IP address that will be used depends upon the universe number, in the manner described by the E1.31 standard. For example, universe 37 will use IP address 239.255.0.37, while universe 650 will use IP address 239.255.2.138.

·Local: This option will cause the universe to send lighting commands to the computer itself, using the local loopback address (127.0.0.1).

Port

The IP port that the remote device or devices will listen on for lighting commands should be specified here. In almost all cases, the standard value (5568) should be appropriate.


Art-Net Controller

On this screen you define a group of DMX universes for a controller that uses the Art-Net protocol.

Name

Use the name field as you see fit. Listing some of the key props on this network makes for a good name.

Start Universe

The first DMX universe used by this controller.

End Universe

The last DMX universe used by this controller.

Adjust Art-Net Universe

Turn this setting on for PixCon16 controllers.Turn it off for Aurora Core and PixieLink controllers. If you are using a third-party Art-Net controller, testing on your part may be required (if this setting is incorrect, data will be one universe off).

IP Address

Here, you must select the type of IP address you wish to use for this controller:

·Specify: Selecting this option will cause the universe to use unicast mode, and lighting commands for the universe will be received by a single Art-Net device, using the IP address that you specify.

·Local: This option will cause the universe to send lighting commands to the computer itself, using the local loopback address (127.0.0.1).

Port

The IP port that the remote device or devices will listen on for lighting commands should be specified here. In almost all cases, the standard value (6454) should be appropriate.


Export/Import

The Advanced and Pro versions of the software can export/import your entire network configuration to a file. This is useful if you would like to have multiple different configurations available, or if you use the software on multiple machines and want to move the configuration between them.

The Import/Export function works on ALL the parameters that can be changed in the Networks section of the Control Panel.

Please be careful when importing a network configuration from another computer. While the hardware and software give a best-effort to configure themselves the same way across physical machines, that is not guaranteed. This is especially true of COM port settings, and IP addresses. After importing a configuration, you should always check all values to ensure they are correct.

To export your configuration, press the Export button and give the file a name. The exported files are normally saved in the LOR Data path under "Network\SavedConfigurations". An exported file will have the .LIV extension.

To import a configuration, press the Import button and select the configuration to import.


Test Lights (Main Menu)

The Test Lights section of the Control Panel gives you 3 options to test your lights:

· Test props in a the selected preview

· Test channels

· Test pixels

At least 1 network must be defined in order for Test Lights to work. If no networks are defined, you will see this message:

Test Preview

Test Preview

Testing a preview can be really useful when you are setting up your display for the season and making sure each prop is working. This function can also be accessed from the mobile app, so you can test while outside during display setup.

Testing props in a preview is easy:

1.Select the desired preview from the drop-down list

2.Click on a prop. Note that props are listed in alphabetical order, but grouped by type -- so traditional props are listed together, pixels props are together, etc.

3.The test options will be displayed to the right of the prop list (see the 2 pictures below). Test options will vary by the type of prop (traditional, dumb RGB, pixels), but all will be similar.

4.The prop name, string description, number of channels or pixels, and the first channel will be listed on top. Below that will be a brightness slider. And to the right of the slider will be a list of tests (on/off, or red/green/blue).

5.Change the brightness or color as needed.

6.Once done, click on the next prop you would like to test.

When you leave the Test Lights section, the lights will turn off. When you come back to the section, the lights will turn back on, with the settings where you left them

Test for a traditional prop

Test for a traditional prop

Test for a pixel-based prop

Test for a pixel-based prop

Test Channels

Test channels

On the Test Channels tab, you can test channels in any LOR network or DMX universe that you have defined in the Networks section. No need for those channels to be defined in a preview

1.Select the network to test from the list

2.Select the number of channels

3.If testing an LOR network, select the unit id (these are hexadecimal numbers).

4.Leave the range at 0-100 unless you are testing DMX fixtures and need to set a precise value.

5.Now you can move the individual sliders up and down to adjust the brightness of each channel. You can also use the "All On" and "All Off" buttons to set all channels at once.

When you leave the Test Lights section, the lights will turn off. When you come back to the section, the lights will turn back on, with the settings where you left them.

Test Pixels

Test pixels

On the Test Pixels tab, you can test pixels in any LOR network or DMX universe that you have defined in the Networks section. There is no need for those pixels to be defined in a preview

1.Select the network to test from the list

2.Select the number of pixels

3.If testing an LOR network, select the unit id (these are hexadecimal numbers, 01 - F0).

4.Select whether you are testing pixels with 3 channels (RGB), or 4 channels (RGBW).

5.Select the color order of the string being tested. Often the first channel is red, the second channel green, and the third channel blue. But that is not always the case. If the colors on the sliders don't light up the expected colors, then try changing the color order until you get the expected results.

6.Now you can move the individual sliders up and down to adjust the color of each pixel. You can also use the "Red", "Green", "Blue", "White", and "All Off" buttons to set all pixels at once.

When you leave the Test Lights section, the lights will turn off. When you come back to the section, the lights will turn back on, with the settings where you left them.


Sequences

The Sequences section of the Control Panel provides convenient ways to access the Sequencer. This can be done in any of 3 ways:

·Click the "Sequencer" button at the top right. This will open the Sequencer, without opening any sequences. This is the preferred way if you need to edit a preview.

·In the "Start A New Sequencer" section, click the "New Musical Sequence" or "New Animation Sequence" buttons to start a new sequence.

·In the "Recent Sequences" section, double-click on one of the sequences listed.

The Sequences Section

The Sequences Section


Create Shows

The "Create Shows" section of the Control Panel is used to create, edit, schedule, and verify shows. A show is a group of sequences that will be played together. They can be played using the Show Player.

A list of 4 shows and their associated schedules

A list of 4 shows and their associated schedules

Each show in the list displays the show's name and some information about its schedule. Hovering your mouse over the schedule information will show more details in a tool tip.

Each show can be active or inactive. Only active shows will be scheduled by the Show Player. However, you can still play inactive shows using Show On Demand. Setting a show active or inactive can be done directly from the list of shows, or it can be set while editing a show (in the Dates & Times section).

The buttons at the top right allow you to:

· Add a new show

· Edit the selected show. You can also do this by double-clicking on a show in the list.

· Remove a show from the list

Create Shows menu

Create Shows menu

The menu button at the far right contains additional options:

· Update the playback readiness status

· Import a show

· Clean up playback files

If a show is displayed with a red icon in front of its name, it indicates that the show file (LSS file extension) cannot be found. If the file has been renamed or moved, you can double-click on the item and you will be prompted for the new show file location.

The show file is missing for this show

The show file is missing for this show

Add Or Edit A Show

To add a new show, click the Add button in the heading.

To edit a show, select a show from the list so that it is highlighted, then click the Edit button in the heading. Alternatively, you can double-click on a show to immediately open the Edit Show dialog. If you double-click, be sure to avoid the Active toggle, or you might change its setting inadvertently.

Either action will open the Show dialog where you can assemble the playlist and set the show's schedule.

Remove A Show

To remove a show, select it from the list, then click the Remove button. This will permanently remove the show's schedule and playlists from your computer -- so use with caution!

Import A Show

Clicking on the "Import" button at the upper right will prompt you to select an LOR Show file (LSS file extension). Shows files were created in prior versions of the software using the Show Editor, or the LOR Hub's "Simple PC Show" function, or the older Simple Show Builder program. The Import function allows you to bring shows built with these older tools into S6. Once the show has been imported, it will be displayed in the Edit Show dialog.

Show Readiness

After you have created (or purchased) your sequences and put them into a show, there is still one more step before the show can be played: the show must be prepared for playback. Show readiness status is listed on the right side of the entry for each show.

There is a button, and then to its right is the status. Here is what the status messages mean:

·Ready to play - the show has been prepared and is ready to play. There should be no delays when the show starts to play.

·Errors: <number> - the number indicates the number of sequences that cannot be played for one reason or another. Edit the show, then go to the Verifier section to see any problems.

·Needs prep: <number> - the number indicates the number of sequences that need preparation before they can be played. You can either:

ostart the preparation manually by clicking the button to the left of the status message, or

owait and let your show play, in which case the preparation will be done right before each sequence starts for the first time.

Preparing the Show

PrepareShowButton

If there are sequences in a show that need preparation, click this button to prepare them. The process will happen in the background so you can continue to use the Control Panel for other things. While preparation is running, the button will be replaced by a spinning icon and the status will change to a percentage, letting you know how far along the process is.

This picture shows preparation in progress, with the percent complete displayed:

How Long Does Preparation Take?

The length of time it takes to process a sequence depends on several factors including the length of the sequence, the number of channels it is controlling, the number of effects, and the speed of the computer. A 16 channel sequence can usually be processed in a few seconds. A long sequence for a display with thousands of pixels could take several minutes, or several hours, depending on its complexity.

How Often Does Preparation Need To Be Done?

A show needs to be prepared for playback any time one of these items change:

·Sequences are added to the show

·A sequence in the show is changed using the Sequencer

·A preview for any of the sequences in the show is changed

·In the Networks panel, an LOR network is changed from non-enhanced to enhanced (or vice versa).

The status shown in the list may not update automatically when any the above occurs. Therefore, you can use the "Update Status" button in the heading to get the latest status.

Clean Up Playback Files

Playback files are created during the preparation process and used when your show is playing. If you delete a file that is still needed, it will be regenerated automatically when you 'prep' the show or as your show starts. As your network settings change or your preview changes, you can end up with playback files that are no longer needed. Use this function to delete the unneeded files and reclaim disk space.

Clean Up Playback Files dialog

Clean Up Playback Files dialog


Add or Edit a Show

The Show dialog is reached from the Create Shows section of the Control Panel. It is used to create a show or to edit an existing one.

The Show dialog

The Show dialog

Down the left side of the Show dialog is a menu. The top portion of the menu is used manipulate the content of the show -- which sequences get played and in which order. The lower portion of the menu is used to define the schedule for the show -- when it will be played. The last item on the menu is the Verifier, which performs some checks on the show and will display warnings if something needs adjustment.

A show consists of several sections. Each section serves a different purpose - for example, the "startup section" is a list of sequences that will be played when the show begins, while the "animation section" is a list of animation sequences that will be played throughout most of the show's duration (after startup and before shutdown). All sections are optional.

On the left side of the dialog, there is a menu item for each section. For details on each of the sections, please refer to the following:

· The Startup Section

· The Main Section

· The Shutdown Section

· The Animation Section

· The Background Section

· The Interactive Section

After specifying the sequences in your show, you can continue down the menu and:

· Schedule your show

· Select options

· Verify your show

Editing A Playlist

Each section of the show has a playlist, except the Interactive section which consists of multiple playlists. A playlist is a list of sequences shown in the order that they may play. You can edit the playlist using the 5 buttons at the top right. Using them you can:

· Add one or more sequences

· Replace a sequence

· Cut

· Copy

· Paste

· Change sequence order

In addition to the information shown on the playlist, you can hover your mouse over a sequence name and a tool-tip will be displayed showing the sequence's full path.

There will be an additional column on right titled "Time Code" if Time Code Sync is enabled in Settings > Integration. See the Time Code Synchronization topic for more information.

For animation sequences with loops -- the Duration column will show the full length of the sequence, including loops.

Add A Sequence

To add a sequence to a section, click on that section's menu item, and then on the "+" button at the top. This will prompt you for the name of the sequence that you want to add (you can selected multiple sequences here if desired).

Remove One Or More Sequences

Select the sequences to remove, and then on the "-" button at the top. This is similar to the Cut function, but does not place anything on the clipboard.

Replace

To replace one sequence with a different (keeping the same place in the playlist), select the sequence to be replaced by clicking on its name, then click the Replace icon. This will prompt you for the name of the replacement sequence.

Cut

The Cut command copies the file names of the selected items to the clipboard, then removes those items for the list.

Copy

The Copy command copies the file names of the selected items to the clipboard. The content of the clipboard is formatted as text, one file (full path) per line. It can be pasted into the same playlist, another playlist, or a text editor (e.g. Notepad), or a spreadsheet.

Paste

The Paste command adds any items on the clipboard into the playlist. New items are added after the selected sequence. Use paste after a cut or copy from the current playlist, or another playlist. A cut followed by a paste allows you to move items from one playlist to another.

Change Sequence Order

A sequence can be moved up or down by simply dragging its handle on the left with your mouse and dropping it in the desired position. You can also reorder sequences by clicking on a sequence name and then clicking the up arrow or down arrow button. The up and down arrows also work when multiple sequences are selected (use Ctrl-click or Shift-Click to select multiple items). This generally affects the order that the sequences will be played in, but not always: For example, in the main section, you can select that the sequences will be played in the order listed, or in a random shuffle; if you choose the latter, it doesn't matter what order they are listed in. Similarly, in the animation section, you can select that the sequences be played simultaneously (as opposed to sequentially); if you do, their listed order does not matter.

Right-Click Context Menu

You can right-click on any sequence in the playlist to view a pop-up menu of additional actions. The pop-up menu consists of 3 items:

·The Sequence File sub-menu:

oOpen - opens the file in the Sequencer.

oOpen containing folder - opens the folder where the sequence is located in Windows File Explorer.

·The Media File sub-menu (not displayed for animation sequences):

oOpen containing folder - opens the folder where the media file is located in Windows File Explorer.

oCopy path to clipboard - copies the location of the media file to the clipboard

·The Cut command copies the file names of the selected items to the clipboard, then removes those items for the list.

·The Copy command copies the file names of the selected items to the clipboard. The content of the clipboard is formatted as text, one file (full path) per line. It can be pasted into the same playlist, another playlist, or a text editor (e.g. Notepad), or a spreadsheet.

·The Paste command adds any items on the clipboard into the playlist. New items are added after the selected sequence. Use paste after a cut or copy from the current playlist, or another playlist. A cut followed by a paste allows you to move items from one playlist to another.

·The Set Time Codes command will only be shown if Time Code Sync is enabled in Settings > Integration. See the Time Code Synchronization topic for more information.

Missing Sequence File

Sometimes a sequence file referenced by a show can get renamed, moved, or deleted. When this happens, a red document icon will be displayed to the left of the file name.

If the sequence is no longer needed in the show, you can remove it using the Remove or Cut buttons. To point the entry to the new location for the sequence, use the Replace button.

The sequence "Cannot Find Me" is missing

The sequence "Cannot Find Me" is missing

Missing Media File

Sometimes the media file associated with a sequence can get renamed, moved, or deleted. When this happens, a red music note icon will be displayed to the left of the file name.

If the sequence is no longer needed in the show, you can remove it using the Remove or Cut buttons.

To fix the sequence so it points to the correct media file:

·Right-click on sequence name and select Sequence File > Open from the pop-up menu.

·Once open in the Sequencer, select Sequence > Media File from its menu.

Media file is missing for the sequence "Bad Audio Path"

Media file is missing for the sequence "Bad Audio Path"

The Startup Section

When a show is started (at a time determined by the schedule), the sequences in its startup section will be played, one at a time, in order. After they all have finished, the main portion of the show will begin, consisting of the animation section and the main section.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

If your Light-O-Rama software license is for the Advanced or Pro level, you additionally have control over whether this section (and the rest of your show) starts immediately at its scheduled time, or upon an input trigger (for example, when someone hits a "start" button). See "Show Options" for details.

The Startup section, with 1 sequence

The Startup section, with 1 sequence

The Main Section

After a show's startup section has completed, its main section will begin (as will its animation section).

Only one sequence from the main section will play at a time. They can be played in the order listed in the playlist, or shuffled randomly. If shuffled randomly, you can also control two different aspects of how shuffling is done: Whether or not a sequence is allowed to be played a second time before all sequences have played once, and whether or not a sequence is allowed to play twice in a row (this latter does not apply if you have only one sequence in the main section - it will definitely be played back-to-back).

Play will continue until the show is shut down (at a time determined by the schedule). If the sequences are to be played in the order listed, and the end of the list is reached before the show is to shut down, play will loop back to the first sequence in the list.

Optionally, a "cleanup sequence" can also be specified in the main section. If so, that sequence will be played immediately after the completion of any sequence in the main section, before the next one begins. Also optionally, a delay can be specified between songs.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

The Main section, shuffled playback, with a 5 second delay between sequences

The Main section, shuffled playback, with a 5 second delay between sequences

The Shutdown Section

When the end of a show is reached (at a time determined by the schedule), its animation section and main section will end, and its shutdown section will begin. Sequences in the shutdown section will play, one at a time, in the order listed. After they all have completed, the show is truly finished.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

The Shutdown section

The Shutdown section

The Animation Section

Starting with version 6.3.14, this section is only available for existing shows that have sequences in the Animation section. It is not possible to create a new show with an Animation section. Use the Background or Main sections instead.

After a show's startup section has completed, its animation section will begin (as will its main section).

Sequences in the animation section can be played concurrently or sequentially. If you choose to play them sequentially, the first in the list will be played, and when it finishes, the next will be played, and so forth. After all of them have been played, the first in the list will be played again. This pattern will continue until the show is shut down (at a time determined by the schedule).

If they are played concurrently, all of them will be played at once, and whenever one reaches its end, it will simply loop back to its beginning and keep playing. Again, this will continue until the show is shut down.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

Typically, this section will contain animation sequences. If a musical sequence is used in this section, the media file will not be played and Warning #33 will be displayed in Verifier: Musical file used in non-audio section of show.

The Animation section, with 3 sequences that will play concurrently

The Animation section, with 3 sequences that will play concurrently

The Background Section

When a show is started, all of the sequences in the show's background section will start playing, simultaneously. When such a sequence reaches its end, it will simply loop back to its beginning and keep playing. All of these sequences will continue playing in this way until the show ends (also at a time determined by the schedule).

If your Light-O-Rama software license is for the Advanced feature level, you additionally have control over whether this section (and/or the rest of your show) starts immediately at its scheduled time, or upon an input trigger (for example, when someone hits a "start" button). See "Show Options" for details.

Typically, this section will contain animation sequences. If a musical sequence is used in this section, the media file will not be played. Using a musical sequence in this section will generate Warning #33 in the Verifier: Musical file used in non-audio section of show.

Channels controlled by a background sequence should be separate from the channels used by other sequences. This means that sequences in the background section should use a different preview than sequences in the other sections. If you have more than one background sequence, each background sequence must have a separate preview and control its own set of channels.

The Background section, with a single sequence

The Background section, with a single sequence

The Interactive Section

Some Light-O-Rama controllers can be used not only to control lights, but also to accept input from people, causing Light-O-Rama to play sequences on demand. For example, you could have a big red button as part of your display, which when pressed, will cause Light-O-Rama to start playing a particular song or songs.

This is controlled through the interactive section of the show. You can use this section to specify what sequences are to be played when particular inputs are triggered. Please see the separate topic on interactive groups for details.

Note that, unlike for the other sections of the show, the "Interactive" section actually lists groups of sequences, rather than directly listing sequences. Again, please see the page on interactive groups for details on how to create and modify these groups of sequences.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox, but unlike in other sections of the show, this setting is controlled individually for each interactive group, rather than for the section as a whole.

The Interactive section, with 1 group

The Interactive section, with 1 group

Schedule Dates & Times

A show's schedule is composed of schedule entries specifying when the show will run.

A newly created show does not have any schedule entries, and a show without schedule entries will NOT RUN. So it is important that you visit this section when creating a show!

Active / Inactive Toggle

Each show can be active or inactive. Only active shows will be scheduled by the Show Player. However, you can still play inactive shows using Show On Demand. Setting a show active or inactive can be done here while editing a show (top line), or directly from the list of shows.

Schedule Entries

A schedule entry specifies 3 things:

·When the show will play. This consists of a start time and an end time of your choosing. The time range could be 5pm to 10pm; or it can cross midnight, starting at 8pm and ending at 2am for example.

·What days of the week the show will play.

oThe Add button will default to running 7 days per week.

oThe Add Weekdays button will default to running Sunday through Thursday.

oThe Add Weekend button will default to running on Friday and Saturday.

·The date range for the show. After pressing the Add, Add Weekdays, or Add Weekend buttons, the start date will default to the current day and the end date will not be populated, meaning it will run on the specified days of the week from now to eternity.

The Show Player will only schedule a show to play when all 4 items are true:

1.The show is active, and

2.The current time is within the play time range, and

3.The current date is within the schedule's date range, and

4.The current day of the week matches days one of the selected days of week on the schedule.

A single schedule entry that will run from 5pm to 10pm for the month of December 2022

A single schedule entry that will run from 5pm to 10pm for the month of December 2022

The schedule above will run from 5pm to 10pm on a single day: 31 Oct 2022. Even though all days of the week are specified, the date range will constrain the schedule to a single day. Since 31 Oct 2022 is a Monday, this schedule would run the same if only Monday were checked. If Monday were not checked, the show would not run at all

To remove a schedule entry, click the trash can icon on the right edge of the entry. You can remove all entries at once by clicking the "Remove All" button at the top right.

A single schedule entry that will run from 5pm on 31 Oct 2022 until 2am on 1 Nov 2022

A single schedule entry that will run from 5pm on 31 Oct 2022 until 2am on 1 Nov 2022

Here is a similar schedule, except the end time is not until 2am the following day (Tuesday 1 Nov 2022). Note that this will run as expected until 2am on Tuesday 1 Nov 2022 even though Tuesday is not checked and the end date is 10/31/2022. That is because the date range and the days of the week constrain the start time, not the stop time.

The schedule after pressing the "Add Weekdays" and "Add Weekend" buttons

The schedule after pressing the "Add Weekdays" and "Add Weekend" buttons

You can create a quick schedule by clicking the "Add Weekdays" button and then the "Add Weekend" button. The resulting schedule is shown above. It will run from 5pm to 10pm Sunday through Thursday, and from 5pm to 11pm on Friday and Saturday. Because there are no end dates specified, this schedule will play at the schedule times whenever the Show Player is active.

Time Entry

To enter a time, click on the time field. You will have columns for hours, minutes, and AM/PM (or just hours and minutes if your regional settings in Windows are set to display a 24-hour clock). Each column can be scrolled independently - just move your mouse over the column to be changed and then use your mouse's scroll wheel to move to the desired value. When you have finished selecting the time, click the check mark icon at the bottom.

You can change the number of values shown in the minute column by setting the interval value in Settings > Misc.

Date Entry

You can either type a date directly into a date field, or you can click the calendar icon on the right side of the date field to pick a date from the calendar.

Schedule Relative To Sunrise / Sunset

NOTE: when scheduling relative to sunrise or sunset, you must first set your latitude and longitude in Settings > Misc. This will allow the Show Player to accurately calculate sunrise and sunset for your location.

When setting the Play Time, you can select the type of time you are entering:

·A specific time of day (default)

·A time relative to sunrise

·A time relative to sunset

Selecting the type of time

Selecting the type of time

If you select "Sunrise +" or "Sunset +", the time value you enter is the number of minutes after sunrise / sunset. You can enter a negative number so that the show starts before sunrise / sunset. In the following example, the show would start 10 minutes after sunset and stop 30 minutes before sunrise.

Show Options

If your Light-O-Rama software license is for the Advanced or Pro level, you have more control over exactly how your show will start up and end. Select the Options section, where you can set:

· Start Of Show Options

· End Of Show Options

Show Options section

Show Options section

Start Of Show Options

Start At Scheduled Time

In this mode, your show will begin immediately at its scheduled start time.

Start At Scheduled Time, but in the paused state

In this mode, your show will begin at its scheduled start time but will be paused. No sequences in the show will play until you click the resume button in the Show Player.

This option is NOT RECOMMENDED for regular use.

Start On Trigger

In triggered startup mode, your show will start when a specified circuit on a specified Light-O-Rama controller is triggered (as long as it is triggered during the show's scheduled run time). For example, you could hook up a big red button labeled "Start the Show" to a controller. Please note that triggers are not supported on LOR Enhanced networks.

Immediate Background Startup

In immediate background startup mode, your show's Background section will start immediately at the show's scheduled start time, but the rest of the show will not start until a specified circuit on a specified Light-O-Rama controller is triggered (as long as it is triggered during the show's scheduled run time). Please note that triggers are not supported on LOR Enhanced networks.

End Of Show Options

Stop After Current Song

This is the default and what you should use in most cases. When the show reaches its scheduled end time, the song that is currently playing is allowed to finish before the show moves to the shutdown section.

Stop Immediately

When the show reaches its scheduled end time, the show is immediately stopped. This can be useful if you have a long filler sequence at the end of your Main show section.

Verifier

In the Verifier section, you can check your show (and the sequences used in the show) for issues that might cause problems when it is played. Just click the "Check Show" button to get started.

When all checks have finished, you can refer to the List of Verifier Messages to find out more about a particular message.

Messages will either be warnings or errors. Errors should be addressed before the show is played. Warnings are for your information and taking action to correct them is optional.


Interactive Groups

Some Light-O-Rama controllers can be used not only to control lights, but also to accept input that can be used to trigger a sequence or sequences. For example, your display might have several buttons for people to press, each of which will cause Light-O-Rama to play some particular song on demand.

This is controlled through the Interactive Section of a show. Unlike the other sections of a show, the "Interactive" section displays not sequences, but groups of sequences, known as "interactive groups". Each group matches individual circuits on individual controllers with individual sequences to be played when those circuits are triggered.

Only one musical sequence can be playing at any given time. Therefore, if a musical sequence from an interactive group is triggered, any musical sequence that happens to already be playing will be stopped (for one exception to this, see the "Jukebox" type of interactive group, below).

The Interactive Section

The Interactive Section

In the Interactive section you see the list of interactive groups for the show. The group's name, type (Soundboard in the above example), and number of triggers are displayed for each item.

·To add a new group, click the Add button at the top of the list. This will open a new window where you can enter data for the group. See Choosing Sequences for a Group.

·To remove a group, click the trash can icon to the right of the group's name.

·To edit a group, double-click on the group's name, or click the Edit icon to the right of the trash can. This will open a new window where you can modify data for the group. See Choosing Sequences for a Group.

Types of Interactive Groups

There are 3 types of interactive groups:

· Jukebox

· Soundboard

· Magic Toy

Jukebox

"Jukebox" interactive groups allow you to define a group of sequences, each hooked up to be triggered by an individual circuit on some LOR controller, such that only one sequence in the group can be playing at any given time, and if one already is playing when another is triggered, the first will continue playing uninterrupted, and the trigger will be ignored.

If you assign more than one sequence to a single circuit in a single jukebox, then whenever that circuit is triggered, the "next" sequence in the list, round-robin, will be played.

Both musical sequences and animation sequences can be placed into a jukebox interactive group.

Soundboard

"Soundboard" interactive groups are similar to jukebox interactive groups in that only one sequence in the group can be playing at any given time. However, unlike jukebox interactive groups, triggering a sequence while another sequence from the group is currently playing will cause the playing sequence to stop, and the triggered sequence to start.

If you assign more than one sequence to a single circuit in a single soundboard, then whenever that circuit is triggered, the "next" sequence in the list, round-robin, will be played.

Both musical sequences and animation sequences can be placed into a soundboard interactive group.

Magic Toy

"Magic toy" interactive groups allow you to set up a group of sequences such that many of them can be started simultaneously by a single trigger. Any sequences already playing from the group will be stopped when the new set is started.

Only animation sequences (as opposed to musical sequences) can be placed into a magic toy interactive group.

Choosing Sequences for a Group

In the "Edit Interactive Group" screen:

·The list of trigger groups will be shown in the top half of the window, and

·Clicking on a particular trigger will show the sequence(s) for that trigger in the bottom half.

So define the trigger first, then add 1 or more sequences associated with that trigger.

An Interactive Group with a set of triggers. The first trigger is selected and is associated with the sequence "Little Drummer Boy".

An Interactive Group with a set of triggers. The first trigger is selected and is associated with the sequence "Little Drummer Boy".

Top Half

This section is titled "Interactive Group Properties".

·Enter a name for the interactive group in the text box in the top left.

·Select the interactive group type using the drop-down box at the upper right. A description of the selected type will be displayed below it.

·A list of trigger groups is listed on the left.

oTo add a new trigger, click the "Add" button above the list.

oTo remove a trigger, click the trash can on the right side of the list item.

oTo edit an item, simple select it, so that it is highlighted. The details for that trigger group will be displayed in the bottom half of the window.

·To turn the lights off when this interactive group finished playing, check the box below the interactive group type description.

Bottom Half

This section is titled "Selected Trigger Group Properties".

On the first line you define the trigger's network, unit, and circuit. You can also assign a name to the trigger: Some important notes:

·The network assigned to the trigger must be an LOR network that is NOT enhanced.

·You can test the trigger in the Hardware Utility using the Triggers function.

Below the trigger information is a playlist, where you can select the sequences that get played when that trigger is activated.


List of Verifier Messages

The following messages can be generated by the Show Verifier. For details on any given one, please refer to its individual help page.

· Message 1 (Info): No errors or warnings found

· Message 2 (Warning): Verification cancelled

· Message 3 (Error): Light-O-Rama is not fully installed

· Message 4 (Error): No registry entry for application path

· Message 5 (Error): Application directory does not exist

· Message 6 (Warning): Verifier not running from LOR application path

· Message 7 (Error): Application file does not exist

· Message 8 (Error): Unlicensed LOR demo version used

· Message 9 (Warning): Unsupported version of Windows Media Player

· Message 10 (Error): No registry entry for user data path

· Message 11 (Error): User data directory does not exist

· Message 12 (Warning): No registry entry for non-media data path

· Message 13 (Warning): Non-media data directory does not exist

· Message 14 (Warning): No registry entry for media data path

· Message 15 (Warning): Media data directory does not exist

· Message 16 (Error): Application file has unexpected version number

· Message 17 (Warning): Weekly schedule file does not exist

· Message 20 (Warning): No shows are scheduled

· Message 21 (Error): Show file does not exist

· Message 22 (Error): Error reading show file

· Message 23 (Error): Sequence file does not exist

· Message 24 (Error): Sequence file cannot be loaded

· Message 25 (Warning): Show has no sequences

· Message 26 (Error): Media file does not exist

· Message 27 (Warning): Conflicting channel settings in sequence

· Message 28 (Warning): Channel is completely off

· Message 29 (Warning): Sequence is completely off

· Message 30 (Warning): Channel is missing settings

· Message 31 (Warning): Channel uses undefined comm network

· Message 32 (Warning): Channel in tracks of conflicting length

· Message 33 (Warning): Musical file used in non-audio section of show

· Message 34 (Warning): Subsequences not supported

· Message 35 (Warning): Background sequences unsupported

· Message 36 (Warning): Startup sequences unsupported

· Message 37 (Warning): Shutdown sequences unsupported

· Message 38 (Warning): Interactive triggers unsupported

· Message 39 (Warning): Unsupported number of tracks

· Message 40 (Warning): Shell commands unsupported

· Message 41 (Warning): Shell command map file does not exist

· Message 42 (Warning): Shell command not set

· Message 43 (Warning): Channel conflict

· Message 44 (Warning): Old MC-P compatibility enabled

· Message 53 (Warning): Trigger uses undefined network

· Message 54 (Warning): Trigger uses LOR Enhanced network

· Message 60 (Warning): Time code not set

· Message 61 (Error): Time code is invalid

· Message 62 (Error): Time code overlap

· Message 63 (Error): Latitude and/or Longitude is missing


1: No errors or warnings found

Message Number: 1

Severity: Info

Summary: No errors or warnings found

If the Show Verifier does not find any errors or warnings (other than those you have told it to ignore), it will output this message.

Show Verifier

List of Verifier Messages


2: Verification cancelled

Message Number: 2

Severity: Warning

Summary: Verification cancelled

If you hit the cancel button while the Show Verifier is checking for problems, it will stop checking, display any issues that it has found to that point, and additionally display this message to warn you that there may be other issues that it would have found had it not been cancelled.

Note that it may not stop immediately when you hit the cancel button; it may finish its current check first.

Show Verifier

List of Verifier Messages


3: Light-O-Rama is not installed

Navigation: The Light-O-Rama Software Package > Control Panel > Create Shows > List of Verifier Messages >

Return to chapter overview

3: Light-O-Rama is not fully installed

Message Number: 3

Severity: Error

Summary: Light-O-Rama is not fully installed

The installation of Light-O-Rama is not complete. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


4: No registry entry for application path

Message Number: 4

Severity: Error

Summary: No registry entry for application path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry. You will not be able to use Light-O-Rama until this problem is resolved.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


5: Application directory does not exist

Message Number: 5

Severity: Error

Summary: Application directory does not exist

Details: The name of the directory that is missing

The Windows registry says that the Light-O-Rama program files, such as the Sequencer and the Hardware Utility, can be found in a certain directory, but that directory does not actually exist. You will not be able to use Light-O-Rama until this problem is resolved.

It is suggested to uninstall and reinstall Light-O-Rama.

Show Verifier

List of Verifier Messages


6: Verifier not running from LOR application path

Message Number: 6

Severity: Warning

Summary: Control Panel not running from LOR application path

Details #1: The name of the directory that LOR program files should be contained in

Details #2: The name of the directory that the Control Panel is running from

The various Light-O-Rama program files, such as the Sequencer and the Hardware Utility, are expected to be found in a certain Windows directory. The Control Panel itself is one such program. However, the copy of the Control Panel that you are running is actually contained in a different directory.

This may not be a problem, for example if you intentionally copied the Control Panel to a different directory and ran it from there.

However, it might indicate that you are using an old version of the Control Panel from a previous installation, and that old Control Panel may not be completely compatible with the current installation. Or, it might be indicative of a deeper problem with the installation of Light-O-Rama.

It is suggested that you run the Control Panel from the same directory where the Light-O-Rama program files are installed. If you are doing so, and still get this error, consider uninstalling and reinstalling Light-O-Rama.

Show Verifier

List of Verifier Messages


7: Application file does not exist

Message Number: 7

Severity: Error

Summary: Application file does not exist

Details: The expected directory and filename of the missing application file

One of the Light-O-Rama program files, such as the Sequencer or the Hardware Utility, cannot be found.

Depending upon exactly what is missing, your shows may still be able to play. However, they may not, and in any case, something is definitely wrong.

It is suggested that you uninstall and reinstall Light-O-Rama.

Show Verifier

List of Verifier Messages


8: Unlicensed LOR demo version used

Message Number: 8

Severity: Error

Summary: Unlicensed LOR demo version used

Your Light-O-Rama software has not been registered. Until you register it, it will not actually control your lights (and will have other limitations as well).

This may have occurred for various reasons - for example, it simply may be that you have not yet purchased a Light-O-Rama license. If you do have a license, though, you may not have entered it on this computer, or perhaps you have recently installed a new version of Light-O-Rama (in which case your license may or may not be valid for this new version). Or, perhaps your licensing information has been deleted from the Windows registry, perhaps by a registry cleanup tool.

If you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


9: Unsupported version of Windows Media Player

Message Number: 9

Severity: Warning

Summary: Unsupported version of Windows Media Player

The version of Windows Media Player installed on this computer is older than the minimum version required by Light-O-Rama, or, perhaps, Windows Media Player is not correctly installed.

You may still be able to use Light-O-Rama, but it will (at the very least) be severely limited - for example, musical sequences will not play. It is suggested that you install the latest version of Windows Media Player.

Show Verifier

List of Verifier Messages


10: No registry entry for user data path

Message Number: 10

Severity: Error

Summary: No registry entry for user data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Your shows will not run successfully until this problem is resolved.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


11: User data directory does not exist

Message Number: 11

Severity: Error

Summary: User data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find Light-O-Rama data files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Your shows will not run successfully until this problem is resolved.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


12: No registry entry for non-media data path

Message Number: 12

Severity: Warning

Summary: No registry entry for non-media data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


13: Non-media data directory does not exist

Message Number: 13

Severity: Warning

Summary: Non-media data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find Light-O-Rama sequence files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


14: No registry entry for media data path

Message Number: 14

Severity: Warning

Summary: No registry entry for media data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


15: Media data directory does not exist

Message Number: 15

Severity: Warning

Summary: Media data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find audio and video files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

Show Verifier

List of Verifier Messages


16: Application file has unexpected version number

Message Number: 16

Severity: Error

Summary: Application file has unexpected version number

Details #1: The name of the application file

Details #2: The expected version number of the application file

Details #3: The actual version number of the application file

A certain Light-O-Rama program file, such as the Sequencer or the Hardware Utility, has a version number other than the one that the Verifier was expecting.

This may be because you are using an old version of the Verifier from a previous installation, and that old Verifier may not be completely compatible with the current installation. Or, it might be indicative of a deeper problem with the installation of Light-O-Rama.

Make sure that you are running the copy of the Verifier that is in the same directory where your current version of Light-O-Rama is installed. If you are doing so, it is suggested that you uninstall and reinstall Light-O-Rama.

Show Verifier

List of Verifier Messages


17: Schedule file does not exist

Message Number: 17

Severity: Warning

Summary: Schedule file does not exist

Details: The name of the missing file

The file which is supposed to contain your show schedule does not exist.

If you do not intend to use the Show Player, this is not an issue. But if you do intend to have this computer play scheduled shows, they will not be played until this problem is resolved.

Perhaps the file was renamed out of the way, in which case you can rename it back to the expected name. Or, perhaps it was deleted; check your computer's Recycle Bin. If neither of these is the problem, a new file should be created when you exit the Control Panel.

Show Verifier

List of Verifier Messages


20: No shows are scheduled

Message Number: 20

Severity: Warning

Summary: No shows are scheduled

You have no shows scheduled. A show will play until you add one or more schedule entries to it.

Show Verifier

List of Verifier Messages


21: Show file does not exist

Message Number: 21

Severity: Error

Summary: Show file does not exist

Details: The name of the missing show file

You have a show scheduled, but the file that is supposed to contain that show does not exist. The show will not play until this problem is resolved.

If you do not want the show to play, this is not a problem, but you may want to remove it from the list of shows so that this error message does not appear in the future.

If you do want the show to play, perhaps its file was renamed, or deleted. If it was renamed, either rename it back, or else to the new name of the show file instead of the old name. If it was deleted, check your computer's Recycle Bin.

If these suggestions do not resolve the situation, you may have to recreate the show, using the Show Editor.

Show Verifier

List of Verifier Messages


22: Error reading show file

Message Number: 22

Severity: Error

Summary: Error reading show file

Details: The name of the show file

You have a show scheduled, but the show cannot be loaded. For example, perhaps the show's file has become corrupted. The show will not play until this problem is resolved.

If you have any backups of the show file, check to see if they work. Otherwise, you may have to recreate the show, using the Show Editor.

Show Verifier

List of Verifier Messages


23: Sequence file does not exist

Message Number: 23

Severity: Error

Summary: Sequence file does not exist

Details #1: The name of the missing sequence file

Details #2: The name of the show file that this sequence is referenced in

One of your scheduled shows refers to a sequence file that does not exist. The sequence will not play in the show until this problem is resolved.

If you do not want the sequence to play, this is not a problem, but you may want to remove it from the show (using the Show Editor) so that this message does not appear in the future.

If you do want the sequence to play, perhaps its file was renamed (or placed in a different directory), or deleted.

If it was renamed (or placed in a different directory), you can either rename it back, or else use the Show Editor to point to the new name instead of the old one.

If it was deleted, check your computers Recycle Bin, or any backups that you may have. Note that whenever you change a sequence and save it (using the Sequencer), Light-O-Rama automatically saves a backup copy of the file as it was before your changes, so you may be able to use that backup copy. It will be saved to the same directory as the original, with the file extension ".bak" appended to its name. For example, if your sequence is named "MySequence.las", the automatic backup will be named "MySequence.las.bak".

If none of these suggestions help, you may have to recreate the sequence, using the Sequencer.

Show Verifier

List of Verifier Messages


24: Sequence file cannot be loaded

Message Number: 24

Severity: Error

Summary: Sequence file cannot be loaded

Details: The name of the file

One of your scheduled shows refers to a sequence file that cannot be loaded. For example, perhaps the sequence file has become corrupted. The sequence will not play in the show until this problem is resolved.

If you have any backups of the sequence file, check to see if they work. Note that whenever you change a sequence and save it (using the Sequencer), Light-O-Rama automatically saves a backup copy of the file as it was before your changes, so you may be able to use that backup copy. It will be saved to the same directory as the original, with the file extension ".bak" appended to its name. For example, if your sequence is named "MySequence.las", the automatic backup will be named "MySequence.las.bak".

Otherwise, you may have to recreate the sequence, using the Sequencer.

Show Verifier

List of Verifier Messages


25: Show has no sequences

Message Number: 25

Severity: Warning

Summary: Show has no sequences

Details: The name of the show file

One of your scheduled shows has no sequences in it. This will not cause any problems - your other scheduled shows should play fine - but there isn't much point to scheduling a show without sequences, so this probably indicates a mistake.

If you want sequences to play in the scheduled show, go to the Control Panel's Create Shows section, select your show, then add sequences to it.

If you do not want any sequences to play in the scheduled show, consider making the show inactive, so that this message does not appear in the future.

Show Verifier

List of Verifier Messages


26: Media file does not exist

Message Number: 26

Severity: Error

Summary: Media file does not exist

Details #1: The name of the missing media file

Details #2: The name of the sequence file that refers to the missing media file

One of your scheduled musical sequences refers to an audio file or video file that does not exist. The sequence will not play until this problem is resolved.

It is possible that the file has been renamed, placed in a different directory, or deleted.

If it has been renamed or placed in a different directory, you can either move it back to its original location, or else use the Sequencer to modify the sequence so that it points to its new location.

If it has been deleted, check your computer's Recycle Bin, or for any backups that you may have of the file.

Show Verifier

List of Verifier Messages


27: Conflicting channel settings in sequence

Message Number: 27

Severity: Warning

Summary: Conflicting channel settings in sequence

Details #1: The name of the sequence having the conflict

Details #2: The track containing the first conflicting channel

Details #3: The name of the first conflicting channel

Details #4: The track containing the second conflicting channel

Details #5: The name of the second conflicting channel

One of your scheduled sequences contains two different channels that both are set up to control the same physical string of lights - for example, they are both set up to control circuit 3 of Light-O-Rama unit 7 on the regular Light-O-Rama network.

Your sequence will play, but these two channels will fight for control over the lights hooked up to the circuit, which may have make the lights behave in ways that you weren't expecting.

The cause of this may simply be that one of the two channels is set up with the wrong unit ID, circuit number, network, or device type. In this case, use the Sequencer to change the channel's settings appropriately.

If you do intend both channels to control the same string of lights, the lights may or may not behave as you expect. The suggested way to do what you probably want is not to have two different channels with the same settings, but to have a single channel that is contained in two different tracks:

Let's say that you have "Channel A" in the first track, and "Channel B" in the second track. These channels have the same physical settings as each other, but different effect events. Then to change this situation to the suggested way, use the Sequencer as follows:

First, copy Channel A from the first track to the second track.

Next, merge the effect events from Channel B into Channel A, so that Channel A contains the effect events from both channels.

Finally, delete Channel B.

This will leave you with a single channel - Channel A - which is contained in both tracks, and which contains all of the effect events that you wanted for its string of lights. Having this single channel in two tracks, instead of two different channels in the two tracks, will make the lights behave as you probably expect.

Show Verifier

List of Verifier Messages


28: Channel is completely off

Message Number: 28

Severity: Warning

Summary: Channel is completely off

Details #1: The sequence containing the channel

Details #2: The track containing the channel

Details #3: The name of the channel

One of your scheduled sequences contains a channel which is completely off for its entire duration.

Consider removing the channel from the sequence, using the Sequencer.

Show Verifier

List of Verifier Messages


29: Sequence is completely off

Message Number: 29

Severity: Warning

Summary: Sequence is completely off

Details: The name of the sequence file

One of your scheduled sequences has no lighting effects for any of its channels, except for having each of them off for the sequence's entire duration.

This may be intentional - for example, you may have scheduled a musical sequence so that a song plays while your lights are off. Otherwise, consider adding effects to the sequence, or removing the sequence from the show.

Show Verifier

List of Verifier Messages


30: Channel is missing settings

Message Number: 30

Severity: Warning

Summary: Channel is missing settings

Details #1: The name of the sequence file containing the channel

Details #2: The track containing the channel

Details #3: The name of the channel

One of your scheduled sequences has a channel which is missing a required part of its physical settings - for example, perhaps it does not have a unit ID set.

This may be intentional - for example, perhaps you have a channel that shows the beat of a song, which you intend to use to help build other channels rather than to actually control lights when your show plays. If not, though, use the Sequencer to set the channel's settings appropriately.

Show Verifier

List of Verifier Messages


31: Channel uses undefined comm network

Message Number: 31

Severity: Warning

Summary: Channel uses undefined comm network

Details #1: The sequence that the channel is in

Details #2: The track that that the channel is in

Details #3: The name of the channel

One of your scheduled sequences contains a channel which is set up to use a network which does not have a comm port defined for it. The channel will not control lights until this issue is resolved.

The channel could be for a Light-O-Rama controller, which can be set up to use one of four different networks.

It is possible that the channel's network (or device type) is simply set incorrectly. For example, perhaps a channel for a Light-O-Rama controller was accidentally set to use the Aux A network, whereas you only have a comm port assigned to the Regular network. Or perhaps a channel was accidentally set to control a Dasher controller, whereas it was intended to control a Light-O-Rama controller. In cases like these, use the Sequencer to change the channel's settings in Prop Definition.

Another possibility is that you do intend to use the network that the channel has assigned to it, but that network is not set up to use any comm port on your computer. In this case, use the Network Preferences program to specify a comm port for the network to use.

Show Verifier

List of Verifier Messages


32: Channel in tracks of conflicting length

Message Number: 32

Severity: Warning

Summary: Channel in tracks of conflicting length

Details #1: The sequence that the channel is in

Details #2: The name of the channel

Details #3: A track that the channel is in

Details #4: Another track that the channel is in

One of your scheduled sequences contains a channel which is in two different tracks, but those tracks are of different lengths. For example, one track is a minute long, while the other is two minutes long.

This will likely cause the lights hooked up to that channel to behave in a way that you don't expect, as different lighting effects from different parts of the same channel could be sent to the lights in an order that you were not expecting.

Unless you have done this intentionally, and understand the way that your lights will behave because of this, consider using the Sequencer to either remove the channel from one of the tracks or to change the tracks to be of the same length.

Show Verifier

List of Verifier Messages


33: Musical file used in non-audio section of show

Message Number: 33

Severity: Warning

Summary: Musical file used in non-audio section of show

Details #1: The sequence file

Details #2: The show file that refers to the sequence

Details #3: The section of the show that refers to the sequence

One of your musical sequences is scheduled in a section of a show that does not support audio or video. For example, perhaps a musical sequence is contained in the Background section of the show. The sequence will play at its scheduled time, but will only control lights; it will not play audio or display video.

Make sure that the sequence is in the section of the show that you intend it to be in. If it is not, use the Show Editor to move it to the appropriate section.

If it is in the section that you intended, consider using an animation sequence instead, to avoid possible confusion in the future.

Show Verifier

List of Verifier Messages


34: Subsequences not supported

Message Number: 34

Severity: Warning

Summary: Subsequences not supported

Details #1: The name of the subsequence

Details #2: The name of the parent sequence containing the subsequence

Details #3: The name of the channel in the parent sequence referencing the subsequence

One of your scheduled sequences contains a channel set up to be a subsequence, but your license does not support subsequences (or you are using the unlicensed demo version of the software). The parent sequence will play at its scheduled time, but the subsequence will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get the subsequence to play, you would have to upgrade to a higher license level which supports subsequences.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


35: Background sequences unsupported

Message Number: 35

Severity: Warning

Summary: Background sequences unsupported

Details: The name of the show file containing sequences in its Background section

One of your scheduled shows contains sequences in its Background section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


36: Startup sequences unsupported

Message Number: 36

Severity: Warning

Summary: Startup sequences unsupported

Details: The name of the show file containing sequences in its Startup section

One of your scheduled shows contains sequences in its Startup section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


37: Shutdown sequences unsupported

Message Number: 37

Severity: Warning

Summary: Shutdown sequences unsupported

Details: The name of the show file containing sequences in its Shutdown section

One of your scheduled shows contains sequences in its Shutdown section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


38: Interactive triggers unsupported

Message Number: 38

Severity: Warning

Summary: Interactive triggers unsupported

Details: The name of the show file using interactive triggers

Your scheduled show uses interactive triggers, either in an interactive group or as part of its startup options, but your license does not support interactive triggers. The show will play at its scheduled time, but its interactive triggers will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these triggers to work, you would have to upgrade to a higher license level which supports subsequences. If your triggers are used for interactive groups, you could also move the sequences in them to a different section of the show (but if so, they will play immediately, not upon being triggered).

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


39: Unsupported number of tracks

Message Number: 39

Severity: Warning

Summary: Unsupported number of tracks

Details #1: The name of the sequence using too many tracks

Details #2: The number of tracks the sequence uses

Details #3: The allowed number of tracks

One of your scheduled sequences uses more tracks than your license supports. The sequence will play at its scheduled time, but its excess tracks will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these tracks to play, you would have to upgrade to a higher license level which supports more tracks.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


40: Shell commands unsupported

Message Number: 40

Severity: Warning

Summary: Shell commands unsupported

Details: The name of the sequence using a shell command

One of your scheduled sequences is set up to use a Windows shell command, but your license does not support such commands. The sequence will play at its scheduled time, but the command will not be executed.

If you already have a license, and have registered Light-O-Rama on this computer, then to get the command to execute, you would have to upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

Show Verifier

List of Verifier Messages


41: Shell command map file does not exist

Message Number: 41

Severity: Warning

Summary: Shell command map file does not exist

Details: The expected name of the shell command map file

One of your scheduled sequences is set up to use a Windows shell command, but the command map file that defines the commands to execute does not exist. The sequence will play at its scheduled time, but the command will not be executed.

This could be because you created the sequence on one computer, and moved it to another computer to play in your show, but did not move the command map file. Light-O-Rama keeps these commands in the command map file, rather than in the sequences themselves, due to security concerns. Please see Sharing Sequences between Computers, and Security for details.

Show Verifier

List of Verifier Messages


42: Shell command not set

Message Number: 42

Severity: Warning

Summary: Shell command not set

Details: The name of the sequence file with the missing shell command

One of your scheduled sequences is set up to use a Windows shell command, but the command map file does not list a command to be executed by that sequence. The sequence will play at its scheduled time, but no command will be executed.

This could be because you created the sequence on one computer, and moved it to another computer to play in your show, but did not move the command map file. Light-O-Rama keeps these commands in the command map file, rather than in the sequences themselves, due to security concerns. Please see Sharing Sequences between Computers, and Security for details.

Show Verifier

List of Verifier Messages


43: Channel conflict

Message Number: 43

Severity: Warning

Summary: Channel conflict

Details #1: The name of the show containing the channel conflict

Details #2: One of the sections of the show containing a sequence with the conflicting channel

Details #3: The sequence file in that section containing the conflicting channel

Details #4: The track in that sequence containing the conflicting channel

Details #5: The name of the conflicting channel in that track

Details #6: Another section of the show containing a sequence with the conflicting channel

Details #7: The sequence file in that section containing the conflicting channel

Details #8: The track in that sequence containing the conflicting channel

Details #9: The name of the conflicting channel in that track

One of your scheduled shows contains sequences which could possibly play at the same time, but which each contain a channel representing the same physical string of lights. For example, perhaps the show contains one sequence in its Background section, and another in its Main section, which each contain a channel for Light-O-Rama unit 3 circuit 7 on the regular network. Since sequences in the Background section can play at the same time as those in the Musical section, this is a conflict.

The show, and its sequences, will play at the appropriate times, but the two channels may fight for control over the single string of lights that they are set up to use. This may lead to those lights behaving in a manner that you are not expecting.

It is suggested that you use the Sequencer to check whether the channels are set up properly - for example, perhaps the unit ID of one of the channels was mistakenly set to an incorrect value. Otherwise, consider removing the conflicting channel from one of the sequences, or moving one of the sequences to a different section of the show, where it could not be played at the same time as the other sequence.

Show Verifier

List of Verifier Messages


44: Old MC-P compatibility enabled

Message Number: 44

Severity: Warning

Summary: Old MC-P compatibility enabled

Details #1: The network on which old MC-P compatibility is enabled

One of your networks has MC-P compatibility enabled. This compatibility mode is required for certain controllers, but they are rare (Light-O-Rama MC-P controllers purchased prior to November 15, 2003). If you do not have any such controllers on this network, there is no reason to have this compatibility mode enabled, and in fact it can cause significant overhead on the network, potentially leading to lag in your lighting effects. It is suggested to turn this compatibility mode off (unless you have controllers that require it), which can be done by going to the Control Panel's Settings section, then selecting the "Comm" tab.

Show Verifier

List of Verifier Messages


53: Trigger uses undefined network

Message Number: 53

Severity: Warning

Summary: Trigger uses undefined network

Details #1: The name of the show containing the trigger

Details #2: The name of the undefined network that the trigger uses

Details #3: The name of the trigger

One of your triggers (either a show startup trigger or an interactive group trigger) uses a network that is not defined in Network Configuration. The trigger will not function during your show.

There are at least two different reasons why this warning may occur, and how to resolve the issue depends upon which one is the cause. First, there may be a mistake in the settings of the trigger itself; for example it may be set up to use network Aux B, whereas you intended it to use network Aux A. In this case, change the definition of the trigger (either in the show startup options or the interactive group, depending upon what kind of trigger it is). Second, the trigger may be set up to use the intended network, but that network might mistakenly not have a comm port defined for it. In this case, use the Network Configuration section to set the configuration of the network.

Show Verifier

List of Verifier Messages


54: Trigger uses LOR Enhanced network

Message Number: 54

Severity: Warning

Summary: Trigger uses LOR Enhanced network

Details #1: The name of the show containing the trigger

Details #2: The name of the LOR Enhanced network that the trigger uses

Details #3: The name of the trigger

One of your triggers (either a show startup trigger or an interactive group trigger) uses an LOR Enhanced network. Triggers are not supported on LOR Enhanced networks, and the trigger will not function during your show.

There are at least two different reasons why this warning may occur, and how to resolve the issue depends upon which one is the cause. First, there may be a mistake in the settings of the trigger itself; for example it may be set up to use the Enhanced network Aux B, whereas you intended it to use non-enhanced network Aux A. In this case, change the definition of the trigger (either in the show startup options or the interactive group, depending upon what kind of trigger it is). Second, the trigger may be set up to use the intended network, but that network might mistakenly be marked as Enhanced. In this case, use the Network Configuration section to change the configuration of the network.

Show Verifier

List of Verifier Messages


60: Time code not set

Message Number: 60

Severity: Warning

Summary: Time code for the sequence is 00:00:00

Details #1: The name of the sequence

Time code sync is enabled on the Settings > Integration tab, but the sequence is marked with the default time code of 00:00:00.

If the show is intended to be used with time code synchronization, then this should be considered an error. While 00:00:00 is a valid time code in a general sense, it is used to indicate the show is stopped within Light-O-Rama and should not be assigned to a sequence.

If the show is not going to be used with time code synchronization, then the message can be ignored.

Show Verifier

List of Verifier Messages


61: Time code is invalid

Message Number: 61

Severity: Error

Summary: Time code for the sequence is invalid

Details #1: The name of the sequence

Time code sync is enabled on the Settings > Integration tab, but the sequence is marked with a time code that is not valid.

In most cases, this message will be caused by assigning a time code close to 24:00:00, and when the duration of the sequence is added, the resulting time code is past 24:00:00 - which is invalid. For example, if a sequence is 20 minutes long and you assigned it the time code 23:45:00, the song would end at time code 24:05:00, which is invalid. To fix, assign the sequence an earlier time code.

Show Verifier

List of Verifier Messages


62: Time code overlap

Message Number: 62

Severity: Error

Summary: Time code for the sequence overlaps with another sequence

Details #1: The name of the sequence

Details #1: The name of the conflicting sequence

Time code sync is enabled on the Settings > Integration tab, and 2 or more sequences have conflicting time codes..

When you assign a time code to a sequence, you are assigning the starting time code. If sequence "A" is 5 minutes long and you assign it time code 01:00:00, then the sequence uses time codes 01:00:00 through 01:05:00. No other sequence can use that time code range. If sequence "B" is assigned time code 01:02:00, then it will conflict with sequence "A" and generate this error. To fix, arrange the time codes so they don't overlap. This is most easily accomplished by right-click on any sequence name and selecting Set Time Codes from the pop-up menu.

Show Verifier

List of Verifier Messages


63: Latitude and/or Longitude is missing

Message Number: 63

Severity: Error

Summary: Latitude and/or Longitude is missing

When using 'Relative to Sunrise' or 'Relative to Sunset' in a schedule, Latitude and Longitude must be set in Settings > Misc.

Show Verifier

List of Verifier Messages


Play Shows

The "Play Shows" section of the Control Panel:

This section can be in one of 6 modes. The 3 buttons on the right are only displayed when Time Sync is enabled in Settings > Integration.

·Disabled - no playback, not even scheduled shows

· Show Player - plays scheduled or on-demand shows created in the Create Shows section.

· Cue List Player - create a cue list, and then click Play to start each cue. Can be used as a jukebox.

· Show Player Sync Leader - plays scheduled or on-demand shows created in the Create Shows section. Transmits a time code signal that other systems can follow Only displayed when Time Sync is enabled in Settings > Integration.

· Cue List Player Sync Leader - create a cue list, and then click Play to start each cue. Can be used as a jukebox. Transmits a time code signal that other systems can follow Only displayed when Time Sync is enabled in Settings > Integration.

·Sync Follower - Receives a time code signal and keeps this system synchronized with the the one that is leading.

To go from Show Player to Cue List Player you must go back through disabled mode first.

Controls in the Heading

The controls in the heading stay the same no matter which mode you are in. There are 2 slider controls and 2 buttons in the heading:

·The first slider is the "Master Dimmer" which sets the maximum brightness level for all of the lights in the show. This allows you to manually dim your lights while a show is playing, or to fade them out completely. Props can be excluded from master dimming by clearing the "Master Dimming Applies" box in Prop Definition.

·The second slider is the volume control which allows you to increase or decrease the volume. The speaker icon to the left of the volume slider serves as a mute button. Click it once to mute the sound. Click it again to unmute.

·The Player Log button opens a separate window that displays a log of all of the sequences that have played while the Control Panel has been open.

·The "Disable Player" button turns off the mode you were in (i.e. it will stop the show if one is playing) and takes you back to the Playback Disabled screen shown above.

Play Shows Badge

In the menu on the left, the Play Shows icon will display a badge when a player is active. The badge will indicate whether the player is stopped, paused, or playing a sequence. No badge is displayed in Disabled mode. This allows you to work in another section of the Control Panel and still know what is going on in Play Shows.

The "Play" badge

The "Play" badge

The "Pause" badge

The "Pause" badge

The "Stop" badge

The "Stop" badge


Show Player

The Show Player plays scheduled or on-demand shows created in the Create Shows section.

Controls in the heading (master dimmer, volume, etc) were covered in the previous section.

The Show Player logs every sequence that it plays to the Player Log.

The Show Player screen is divided into several sections:

· Current Show

· Upcoming Shows

· Override Sequences

· Currently Playing

· Upcoming Sequences

If the media file for a musical sequence has cover art, the cover art will be displayed in the Current and Upcoming Sequence lists. Otherwise, a default icon is used.

Current Show

There are 3 rows of text in this section:

·The name of the show being played. If the show was started on-demand, the name will have a "!" prefix.

·The show status. If a sequence is being prepared for playback the first time, the status will show as "Initializing".

·The time range that the show is scheduled to play

In the heading are 4 buttons:

ShowPlayerButtonOnDemand | Clicking this button will open the Show On Demand dialog prompting you for a show to run.
ShowPlayerButtonPause | Clicking the Pause button will open a menu with 2 options: pause immediately, or after the current song. After the show is paused, this button will display a play icon. Click it to resume playback.
ShowPlayerButtonStop | Clicking the Stop button will open a menu with 2 options: stop immediately, or after the current song.
ShowPlayerButtonExtend | Clicking this button will open a dialog prompting you for how long you want to extend the show. You can choose from 15, 30, 45, or 60 minute presets, or you can set a specific end time. This extension is temporary -- it does not permanently change the show's schedule. However, it will change the end time displayed in the Current Show area.

Upcoming Shows

This section will display any shows scheduled to play in the next 7 days. Clicking the Play button next to a show opens the Show On Demand dialog for that show.

Override Sequences

The sequences listed in this section are not associated with a show. Typically you would use this area for special announcements -- clear out traffic, arrival of a VIP, etc. Click the "Add" button (upper right) to add a new one. For each sequence, you can designate that it should be played immediately or after the current song.

·Click the Play button to play the override sequence. If it is designated to play immediately, it will show up in the Currently Playing area. If it is designated to play after the current song, you will see it at the top of the list of Upcoming Sequences.

·Click the Prep button (diagonal arrows facing each other) to prepare the sequence for playback. The button is not displayed if the sequence is already prepared. If you click the Play button before a sequence that has been prepared, it will be prepared before playback starts.

·Click the Edit icon to modify the override (e.g. change Play Immediately to Play After Current Song).

·Click the Trash Can icon to remove the override from the list.

When adding or editing an override sequence, the following window will appear. If time code synchronization is enabled, there will also be a time code field displayed.

·Click the Browse button to choose the desired sequence.

·Choose how the sequence should be played

·Click the Add / Update button to save your choices.

The Override Sequence dialog

The Override Sequence dialog

Currently Playing

This section lists the currently playing sequences. While there can only be one musical sequence playing at a time, multiple animation sequences can play simultaneously (e.g. from the Background section of the show).

Above the progress bar, 3 times are shown:

·How much of the sequence has played so far

·The time the sequence started

·The amount of time remaining before the sequence ends

Click the "+" button if you want the sequence to play again. A copy of the song will be added to the top of the Upcoming Sequences list. If you want the current sequence to repeat 3 more times, click the button 3 times.

Click the Skip icon to stop the currently playing sequence. The next item in Upcoming Sequences will start playing.

Upcoming Sequences

This is the list of upcoming sequences. The item at the top is the next to play. The list is refreshed every time the player has cycled through all of the sequences in the main section of the show.

To move an item to the top of the list, click the Up Arrow icon. This does not move the item one position, it moves it directly to the top.

Clicking the Trash Can icon will remove the sequence from the current cycle. It will be put back into the list on the next cycle.

Show On Demand

The Show On Demand dialog

The Show On Demand dialog

Using this dialog, you can choose a show file to play immediately, or at a certain time, without needing to add it to your schedule. You can choose to let it play until a certain time, or else indefinitely, in which case it will not stop until you click either the "Stop" or the "Disable Player" button,

If a show is already playing at the time the on demand show is supposed to start, the playing show will be allowed to stop gracefully before the on demand show will start. That is, if a sequence from its Musical Section is currently playing, that sequence will be allowed to continue to play until its natural end; also, the sequences from its Shutdown Section, if any exist, will be played (after the current sequence from the Musical Section ends, or immediately if there is no current sequence from the Musical Section).


Cue List Player

Cue List Player is geared to controlling sequences at live events. Here you can create a cue list, and then click Play to start each cue at the appropriate time. It can also be used as a jukebox. Cue lists can be saved to disk and loaded back at a later time. Cue files have a file extension of LORCUE.

Access to Cue List Player requires a Pro license.

Controls in the heading (master dimmer, volume, etc) were covered in a previous section.

The Cue List Player logs every sequence that it plays to the Player Log.

The Second Row of the Heading

LivePlayerCueName | The cue list name. You can type directly in this box to change the name. The box will expand to fit the name. Click the Save button after you are done.
LivePlayerCueAdd | Adds one or more new cues to the list. You will be prompted to select the sequence file (or multiple sequence files) to add. The new cues will be added after the currently selected cue.
LivePlayerCueUp | Moves the selected rows up one.
LivePlayerCueDown | Moves the selected rows down one.
LivePlayerCueStop | Stops playback immediately.
LivePlayerCuePlayNext | Play next cue. If a cue is currently playing, it is stopped. Then playback starts on the cue after the one that was stopped.
LivePlayerNewList | Starts a new cue list. If changes have been made to the current cue list, you will be prompted to save it.
LivePlayerOpenList | Opens a previously saved cue list.
LivePlayerSaveList | Saves the current cue list.
LivePlayerSaveAs | Saves the current cue list with a new name.

Cue List Item

A cue that is not playing

A cue that is not playing

Across the first line of the cue is:

·The button to play the cue

·The cue number and name

·The edit button. Click to open the Cue dialog.

·The Trash Can icon. Click to remove the cue from the list. This action cannot be undone.

The second line shows the sequence duration, followed by options that were enabled in the Cue dialog.

A cue item while playing

A cue item while playing

When the cue is playing a progress bar is shown at the bottom. You can click the cue's play button to restart the sequence.

Editing a Cue

You can edit a cue by clicking the cue's edit icon, or by double-clicking on a cue in the list.

Editing a Cue

Editing a Cue

This dialog has the following fields:

·Name - this defaults to the name of the sequence, but you can change it if desired.

·Notes - the notes for the cue, for example when it should be started.

·Repeat Count - the number of times the sequence should be repeated. 0 means the sequence will be played once.

·Active - if checked the cue can be played. If unchecked, the cue will be skipped.

·Auto-Follow - if checked, once this cue finishes playing, the next cue in the list will automatically be started.

·Lights Off At End - if checked, lights used by this sequence will be turned off after the sequence finishes playing.


Player Log

The Player Log window is opened by clicking the "Player Log" button in Play Shows.It captures all songs played by the Show Player and Cue List Player. The window can be positioned and resized independently of the main Control Panel window. It can stay open while you perform other functions in the Control Panel.

The log of songs played is captured even if the window is not open. However, the information is only resident in memory and is lost when the Control Panel is closed.

You can close the log window by clicking the "X" in the upper right corner.

The Player Log

The Player Log

When the "Scroll to bottom" box is checked, the screen will automatically scroll to the latest messages in the log, which are at the bottom of the list.

The Clear button clears all entries from the log.

The Copy button copies the 3 columns of data to the clipboard. While this can be pasted into a text editor, it is more suitable for a spreadsheet program as shown below.

Player Log data pasted into a spreadsheet

Player Log data pasted into a spreadsheet


SD Cards

The Control Panel can create SD cards for all types of Director-based shows. This includes all generations of MP3 Directors, including the 4th generation (G4) directors that can be linked together.

To get started, go the SD Cards section of the Control Panel. You will go through a series of steps. After entering the information for current step, click the "Next" button to move on to the next step. Once you pass the first step, there will the "Cancel" and "Back" buttons to the left of the next button.

·"Back" will take you to the previous step, where you can make changes if needed.

·"Cancel" will take you all the way back to the first step.

If you remove your SD card before finishing the last step, you will automatically be taken back to the first step.

· Step 1 - Select SD Card

· Step 2 - Create or Edit

· Step 3 - Select Show Number

· Step 4 - Select Your Device (only when creating a new show)

· Step 5 - Select Number of Director Ports and Generation (only when creating a new show)

· Step 6 - Select Sequences

· Step 7 - Select When Show Plays

· Step 8 - Select How Show Plays

· Step 9 - Port Assignments

· Step 10 - Final Options

· Step 11 - Write Show To The Card

The initial step in the SD Cards section

The initial step in the SD Cards section

Step 1 - Select SD Card

If you haven't already done so, insert the SD card into your computer. It should be automatically detected by the program and displayed on the screen as shown above.

If you want to create the files for the SD card, but want to save the files somewhere else, you can uncheck the "Write directly to SD card" box. Unchecking the box is for advanced users only and NOT recommended.

Note that the last column shows how the SD card is formatted. Director units can only read cards that are formatted as "FAT" or "FAT32". Cards with other formats will be displayed in red and you will be unable to select them. If you have a card with the wrong format, you can reformat it in Windows File Explorer.

If you are editing a Multi-Director SD card show, you must insert the FIRST card of the show.

The program does NOT make a distinction between SD cards and flash drives. So make sure you don't pick a flash drive.

SD card inserted into a slot in computer

SD card inserted into a slot in computer

If your computer doesn't have an SD card slot, you can use a USB adapter:

SD Card USB Adapter

SD Card USB Adapter

Step 2 - Create or Edit

Select whether you are creating a new show or editing an existing show.

Step 3 - Select Show Number

A card where shows 1 already exist

A card where shows 1 already exist

Up to nine shows can be downloaded to an SD card, and each will be assigned a number between 1 and 9.

If you are creating a new show and pick a show number where a show already exists (as indicated by the "Last modified" date), you will then be asked to confirm that you intend to overwrite the existing show on the card.

If two shows are scheduled for the same time, the lower numbered show will be played. Mini Directors do not have a time clock and so the lowest show number will always be played. For this reason if you have a Mini Director, it is best to only ever create 'Show 1' to avoid confusion.

Step 4 - Select Your Device

If you are creating a new show, you will be asked to identify the type of device you are creating a card for. See our List of Directors If you need help identifying your device.

Step 5 - Select Number of Director Ports and Generation

If you are creating a new show, you will be asked to select the number of ports on your device and the product's generation. See our List of Directors If you need help identifying your device.

If you are creating a set of SD cards for Linked directors, the number of ports here is the number of total ports on your FIRST (Master) director. You will be able to add your additional directors in Step 9.

Step 6 - Select Sequences

Here you add the sequences that will be in your show. Click the "+" button to add your sequences to the playlist. Animation sequences with loops are allowed -- the Duration column will show the full length of the sequence, including loops. For additional help, see Create Shows > Edit Playlist.

Step 7 - Select When Show Plays

There are 3 choices for when the show will play:

·Whenever the Director has power

·According to a schedule (not available when using a mini-director)

·When a trigger is activated. This option is only available when the show number is less than or equal to the number of trigger inputs on the device (3 for Mini-Directors, 6 for MP3 Directors).

Set a Schedule

When you select "According to the daily schedule", the schedule will appear on the right side.

To modify the schedule:

·Check the boxes next to the days you want modified. As a shortcut, you can click the check box in the heading to toggle all check boxes on or off.

·Set the start and end times at the bottom of the table. Typing a time like "5pm" directly into the box is faster than using the drop-down to select the time.

·Click the "Update Selected Days" button.

·If the show should not play on certain days, check the boxes next to those days, then click the "Clear Selected Days" button.

Set Trigger

Selecting "When the trigger is activated" will cause the show to start whenever some external trigger happens (such as a circuit being closed or a motion detector being tripped). The input trigger for a show is the same as the show number.You will be able to choose whether the switch is normally open or normally closed.

Switches come in 2 different varieties - normally open and normally closed. For most switches, you select 'Normally Open'. That means there is no signal sent to the MP3 director until the switch is operated. There are some devices (usually motion detectors and other 'security' type devices) that are 'Normally Closed'. Normally Closed switches constantly send a signal back to the MP3 director, and once they are activated STOP sending that signal.

Step 8 - Select How Show Plays

When this show plays it will...

The first section controls what will happen once the show has started. Not all of these options are available for every type of show. For example, Round Robin play is only available for triggered shows.

·Loop continuously
This show will continue to run until told to stop. For shows that run when the director is powered, that would mean turning off the power. If you are using a schedule, the show will stop at the end time. If you are using a trigger, once the trigger condition is met, the show will continue to play until powered off.

·Play once from Start to End, then stop
The show will run once from top to bottom and then stop. Usually triggered shows use this option, but it can be used with the other two options as well. When used with a triggered show, the list plays and then stops at the end waiting again for the trigger signal.

·Repeat Every (10/15/30/60 minutes)
This option is only available for MP3 directors that have a real time clock. The show will play from start to end and then stop. At the time selected the show will start and run again from top to bottom. Note that the 'start' time is based on the 'clock' time. That is to say that a show that is set to run every 15 minutes will run on the hour and then at 15, 30, 45 past the hour. You should ensure that your show is no longer than the amount of time you select here. For example, if you show is 11 minutes long and you select every 10 minutes, the show will simply keep repeating.

·Play the next song in the list (Round Robin).
This option is only available for triggered shows. When the trigger is activated, the first sequence in the list will be played and then the show will stop. Every time after that when the trigger is activated the next sequence in the list will play and then will also stop. Once the last sequence is reached, the next trigger will start over with the first sequence again.

Between Shows The Lights Are...

Depending on your selection above, you may also be able to control what happens with your lights while the show is not playing. For every option except 'Loop Continuously' you can select if you lights are ON, OFF, or Running a filler sequence. If you use a filler sequence, the sequence that you select will loop continuously until the next event occurs. That could be a trigger, a repeat of the show at X minutes, etc.

Optional Startup Sequence

When set, the very FIRST thing the director will do is play the 'starter sequence'. It is played one time and one time only - at the very start of the show. Even if the show is set to loop, the starter sequence will only be played once.

Step 9 - Port Assignments

If you are using multiple Directors connected via "Director Link", click the box at the top. This will display additional controls that will allow you to add more directors to the list. See How to Use Director Link for more information.

The networks needed by your show are determined by analyzing the first 3 sequences in your show. Those networks are then assigned to ports using a priority system. You can change a port assignment or the network speed by double-clicking on an item. This will open the following dialog, allowing you to make changes:

In this example, the user double-clicked on port 2, which is indicated in the heading.

·Network/Universe: The LOR Network or DMX universe that this port will control. There is an option for "None" here, Use this option when a port is not going to be used.

·Protocol: The data protocol in use: LOR, ELOR (Enhanced LOR) or DMX.

·Speed: The speed of the network. DMX Universes run at a fixed speed and cannot be changed. The 1000K speed can ONLY be used with networks that only contain PixCon16 controllers or Pixie family controllers. No other LOR controllers support 1000K.

·Comment: User comment if desired.

More information about the protocols and speeds supported by various Light-O-Rama controllers is available on our web site.

Step 10 - Final Options

·Lock Step: If you have a very large display, selecting "lock step" may help the different controllers used in the display react with a higher degree of synchronization. This is not supported on all controller types, and the level of firmware in the controllers must be 3.0 or higher.

·Strip MP3 Header Information: Some MP3s may have a large data block before the actual music data. For example, an MP3 may have several high-resolution pictures in its ID3 Tags. The MP3 director will correctly ignore this data, however it does take time to find the actual start of the music file. Stripping this data will allow the MP3 director to start playing the sequence faster.

·Turned used lights off at the end of each sequence: Checking this box will cause all lights used by the sequence to be turned off when the sequence ends. If you leave a light on at the end of a sequence, that light will remain on until the start of the next sequence.

·Show can not be interrupted by input triggers: Once this show has started on the MP3 director, pressing a trigger input will not interrupt the show - it will run to completion.

·Set MP3 player's internal clock: If you wish to add a file to the SD card to set the MP3 director's internal clock, check the box that says so. You can also set the time using the Hardware Utility, or from the Director's front panel.

·NOT YET AVAILABLE IN S6: Advanced Throttling Options: The advanced options button will bring up an additional window that allows you to change parameters which relate to how data will be transmitted from your MP3 Director. Unless a specific issue is preventing your MP3 Director from working correctly, you should not change these options.

Step 11 - Write Show To The Card

At this point the Control Panel is ready to create your SD card show or SD card set. Press the "Write Show To Card" button, and the Control Panel will start the process. It can take some time to create an SD card show depending on the complexity of your sequences, number of networks, etc. Once the process is complete, the Control Panel will let you know.

Multi-Director SD card sets

The Control Panel will tell you the total number of SD cards that are required for your show. Please remember that these cards need to be placed into the correct directors and should be labeled to avoid confusion.

When it is time to change cards, the Control Panel will pause and let you know with a message on screen.


SD Card Priority System

MP3g3 Directors can control DMX Devices

In addition to LOR Devices, G3 and newer Directors can also drive DMX devices on one or both output ports. In order to control DMX devices, your G3 MP3 Director must have at least firmware version 5.28.

Network and Universe Priorities

New advanced MP3 Directors, like the Dual Port G3MP3 Director, or G4N4 4-Port can drive 2 or 4 separate physical networks of devices. These advanced directors can control LOR devices, DMX devices, or a combination of them on separate ports. For single (non-linked) directors, LOR Hub will automatically select which networks and/or universes in your sequence will be used by the director.

Only Advanced and Pro levels of the LOR software will allow for the creation of DMX output for a director. All other levels are limited to creating LOR output only.

Older Directors, like the DC-MP3-SHOWTIME, are limited to ONLY the LOR REGULAR network.

For Advanced Directors, LOR Hub uses a ‘priority system’ based on the contents of the FIRST sequence added to the show list. In order to prevent confusion, all sequences that are part of a single show should use the same preview. Shows that use Director Link use these rules as a default however the user has the ability to change them as they see fit.

1.If your license supports them, there is no difference between LOR Enhanced networks and normal LOR networks. Both are treated the same when it comes to priority.

2.LOR networks have priority over DMX universes.

3.The LOR REGular network has the highest priority, followed by AUX A through AUX O.

4.A lower number DMX Universe is higher priority than a higher number.

5.If the sequence contains more than 2 (or 4) networks, universes, or a combination thereof, those Networks and Universes are silently discarded.

6.If your director only has one port, then only the PORT 1 column applies. 4 port directors use the same rules and simply extend the table to 4 columns.

Examples assuming that you have the ‘Advanced’ level of the software:

Your sequence contains.... | PORT 1 on the director controls | PORT 2 on the director controls | Notes
1.LOR REG | LOR REG | (*) | Only one network, so it is placed on port 1. See note for port 2/3/4.
1.LOR REG 2.LOR AUX B | LOR REG | LOR AUX B | Two ports active with LOR See note for port 3/4.
1.LOR REG 2.LOR AUX A 3.LOR AUX B | LOR REG | LOR AUX A | Aux B is silently discarded for two port directors. Used as port 3 on 4 port directors.
1.DMX Universe 1 | DMX Universe 1 | (*) | DMX on port 1. See note for port 2..
1.LOR AUX A 2.DMX Universe 1 | LOR AUX A | DMX Universe 1 | LOR devices have priority over DMX, so AUX A is on port 1. See note for port 3/4
1.DMX Universe 1 2.DMX Universe 99 | DMX Universe 1 | DMX Universe 99 | DMX Universes are assigned in ascending order. See note for port 3/4
1.LOR REG 2.LOR AUX A 3.LOR AUX B 4.DMX Universe 1 5.DMX Universe 99 | LOR REG | LOR AUX A | LOR Devices have priority over DMX. REG has highest priority followed by AUX A. For 2 port directors all others are discarded. For 4 port directors, AUX B is on port 3, DMX Universe 1 is on port 4. All others are discarded.

* Please note that the dual network and 4 network directors will mirror the output of Port 1 onto Port 2 on a per-sequence basis - as well as any other empty ports. If you wish to have all controllers on port 2 stay dark during certain sequences, ensure that ALL of the sequences in that show use the same preview. That is to say, ensure all of your sequences contain channels for BOTH ports, even if those channels are all OFF for the duration of the sequence.

'Startup' sequences as well as 'Filler' sequences can also use LOR or DMX devices on advanced directors and the same rules apply to them.


How to Use Director-Link

4th Generation (G4) Directors have the ability to link up and control many more networks or DMX universes. These directors have a feature called 'Director Link'. To use Director Link you need:

1.Two or more directors that support Director Link. Only directors that specifically say they support director link can be used. No exceptions.

2.CAT 5/6 wired connections between all directors

3.A show that was created specifically for Linked Directors using multiple SD cards

In a multi-Director setup, the first director is considered the 'Master' director. In this director is placed the first card of the multi-card set. All other directors are considered secondary directors and while they can be connected in any order we strongly recommend you have a logical system in place. It can become very confusing remembering which director needs which SD card. The best way to do this would be to sketch out all your directors and all the networks you want attached to them. Label everything to reduce the confusion.

Linking up directors physically is very simple: They daisy-chain the same way that LOR lighting controllers do with a CAT 5 cable. From your first (master) director, run a cat 5 from Net 1 (Labeled G4 Link or just Link) to the next (secondary) MP3 director 's port 1. For a third director, connect to the OTHER jack on the secondary director labeled 'Link' or 'Net 1' to the third controller's Net 1/Link port. Continue on that way for any additional directors.

When using MP3 Directors in Link mode remember that NET 1 is reserverd ONLY for linking directors together. You can only attach other linkable directors to the link port, not lighting controllers. If you do attach a lighting controller while the director is being used in link mode, the controller will not work or will light random channels.

The connection between 2 directors' link ports can use ELLs. Please ensure that the ELLs that you use are on a different channel than any other ELL that may be in use for your show.

Assigning Ports

When you get to the port assignment step in SD card creation, it is important to check the box at the top: "I have MULTIPLE G4 Directors...". This gives you access to a menu that can add 2- and 4-port Directors to the configuration. You may add any number or combination of 2 and 4 port linkable directors to a show.

Please be aware that ALL directors MUST be Director-Link capable. You can not mix linkable and older non-linkable directors in the same show.

One 4-port Director

One 4-port Director

Selecting Director > Add 4-Port Director results in this:

After adding a second 4-port Director

After adding a second 4-port Director

To remove a Director, select any port (row) on that Director, then select Director > Remove.

You easily move networks to other ports using cut, copy, and paste.

·Cut copies the network setting for the port to the clipboard and then sets the port to unassigned.

·Copy copies the network setting for the port to the clipboard without changing the port.

·Paste copies the clipboard settings to the selected port.

There are 2 ways to perform cut, copy, and paste operations:

·You can select a row in the grid and then click the cut, copy, or paste button above the grid, or

·You can right-click on a row and select cut, copy, or paste from the pop-up menu

So in screen shown above, if we want to move Aux B from Director 1 to Director 2:

·Select the row for Director 1, port 4. Perform a cut (either using the right-click menu or clicking the Cut button). Port 4 will change to "unassigned".

·Select the row for Director 2, port 3. Perform a paste (either using the right-click menu or clicking the Cut button).

You should end up with the following assignments:

Aux B moved to Director 2, port 3

Aux B moved to Director 2, port 3

If you want to manually configure a port, double-click on its row to bring up the settings. Please remember that since Port 1 is the 'Link' connection between MP3 directors, you can not assign or change any of it's parameters.

In this example, the user double-clicked on port 3, which is indicated in the heading.

·Network/Universe: The LOR Network or DMX universe that this port will control. There is an option for "None" here, Use this option when a port is not going to be used.

·Protocol: The data protocol in use: LOR, ELOR (Enhanced LOR) or DMX.

·Speed: The speed of the network. DMX Universes run at a fixed speed and cannot be changed. The 1000K speed can ONLY be used with networks that only contain PixCon16 controllers or Pixie family controllers. No other LOR controllers support 1000K.

·Comment: User comment if desired.

More information about the protocols and speeds supported by various Light-O-Rama controllers is available on our web site.


Throttle Parameters

While writing your show to the SD card for an MP3 player,LOR Hub will automatically monitor how much bandwidth is required by your sequence every centi-second. When the bandwidth is exceeded, the program can 'compress' your data so that your music and lights stay better in sync. The advanced options window allows you to turn this functionality on/off or adjust its parameters.

Please note that changing these parameters can cause your show to fall out of sync, have unacceptable delays, or cause other issues. You should only change these if you are having issues with the defaults, and even then be prepared to restore to the defaults should your show fail. For 99.9% of shows, these defaults are already optimized.

The Advanced Parameters window

·Throttle Data Output for Improved Performance: It is recommended that this option remain ON (checked). When checked, your sequence is monitored. For each centi-second that passes, the program will compute the amount of bandwidth required and compare it to the amount available. If unchecked, no throttling is done - this is the same mode as versions previous to 3.12.0.

·Minimum Throttle Time in CS: If throttling is enabled, this is the minimum amount that the sequence must be behind before compression starts. For example, if this is set to 5 CS, then once the sequence is 5 or more centi-seconds behind the audio, compression will begin. Setting this higher will allow for more complex areas of your sequence to remain uncompressed at the expense of lagging further behind your audio. The default value is 1, and this means that as soon as the sequence falls behind, compression should begin.

·Buffer Flush Time in CS: This can be thought of as the 'resolution' that your MP3 Director will run at. Setting the value lower will increase resolution as well as network load. Setting the value higher will decrease network load at the expense of having more commands be compressed. The default value of 2 most closely emulates what a computer produces for output, either in the Sequencer or the Show Player, when running a sequence on your hardware. For versions before 3.12.0, this value was 1.

·MP3 Director Network Efficiency: MP3 directors will typically use 100% of the bandwidth that is available for a port. Setting this to a lower percentage reduces the amount of throughput, which will cause more throttling to happen. It may be best to think of this option as a reduction in the network speed. For example, if you set a port to 57.6K speed, and set this option to 70%, then the hardware utility will throttle the sequence as if it was for a network that runs at approximately 40.3K (57.6 * 70%).


License

The Light-O-Rama Software Package must be registered, with a valid license, before it can be used to its full potential. Without a license, Light-O-Rama can be used as a demo, but it will not actually control your lights.

There are several different license levels, each having different features available; please see the feature comparison for details.

To register Light-O-Rama first visit the Light-O-Rama store, and purchase a license. You will then be able to enter your license information:

·By going to the Sequencer's Help menu and selecting Register Or Upgrade Light-O-Rama, or

·By selecting the License section in the Control Panel

Both methods work similarly. The Control Panel's screen is shown below:

The Control Panel's license section

The Control Panel's license section

If your computer is connected to the internet, you can register simply by entering the name and license key from your license information, and clicking "Register Online" (the license name and key can be copied and pasted from the email in which they were sent to you). Light-O-Rama will then automatically verify your license information, and, if it is valid, register your computer.

You may then have to close any Light-O-Rama programs that are running, and then restart them, before all of your newly available features will be available.

If your computer is not connected to the internet, click on the "Register Offline" button in order to register offline.


Registering Offline

If your computer is connected to the internet, you can register Light-O-Rama directly in the License section. If not, you can still register while offline. Open the License section and click the "Register Offline" button.

Doing so will display the Offline Registration screen:

The Offline Registration Screen

The Offline Registration Screen

Once this dialog is opened, follow the instructions on it to register offline. A brief summary:

First, enter your license name and license key (these can be copied and pasted from the email in which they are sent to you).

Next,click "Show Offline Registration Key".

At this point, you will need to use your offline registration key to get an offline authorization key. There are two ways to do this:

First, if you have another computer, which is connected to the internet and which has Light-O-Rama installed, you can run the Offline Registration Utility on that computer. Make sure to have your license name, license key, and offline registration key available to enter onto that computer; the Offline Registration Utility will use them to create an offline authorization key.

If you do not have another computer that you can use to run the Offline Registration Utility, then you can obtain an offline authorization key by calling Light-O-Rama at the telephone number shown on their web site. Provide the person you speak to with your license name, license key, and offline registration key, and they will provide an offline authorization key to you.

After you have obtained an offline authorization key, type it into the boxes near the bottom of the form, and click "Register".

After you have successfully registered, you may need to close any Light-O-Rama programs that are running and restart them before all of your newly available features can be used.


Mobile App

Mobile App section

Mobile App section

The Light-O-Rama Control Panel has a companion mobile app so that you can control your lights without being in front of your computer. This connection is made through the "cloud" so that you can connect to your Control Panel from anywhere on planet! However, in order for it to work, your computer running the Control Panel must have an active Internet connection, and your phone running the Light-O-Rama mobile app must also have an active Internet/data connection. To enable the mobile app to connect to the Control Panel, make sure the box at the top is checked.

Display Number

Most people use their license to control a single display at a time, in which case you can leave this field set to "1". However, you might use your license to control multiple displays - for example, you have a display at your house, and a separate display at a church, business, or home of a family member.

In the case where you have multiple displays, you would assign a unique display number in the Control Panel for each display.

There is also a Display Number setting in the phone app. The display number set in the phone app must match the display number set in the Control Panel in order for the connection to work. While you can only control one display at a time from the phone app, you can connect to display 1, close the app, then connect to display 2, etc.


Settings

Settings is listed at the bottom of the Control Panel's main menu. Here you can set values that control the look or behavior of the program, but items you should seldom need to change.

Launch At Start-up

If you wish, you can set it up so that the Control Panel will automatically be run whenever your computer starts up (and therefore you won't have to start it via the Start menu anymore). To do this, select "Launch at Startup" in the Settings section header.

Launch at Startup

Launch at Startup

Settings Tabs

The Settings tabs

The Settings tabs

Settings are divided into 7 categories. Click on a tab to move to the desired category.

· Theme

· LOR Communications (Comm)

· Video

· Folders

· Integration

· Misc

· About

Theme

Theme selection

Using the Theme drop-down, you can choose between:

·System - follow the system's light/dark theme setting. For example, if you have set Windows to use a dark theme, then the Control Panel will also use a dark theme.

·Light - use a light theme - dark text on a light background.

·Dark - use a dark theme - light text on a dark background.

·High Contrast - high contrast mode is an accessibility feature that alters the colors used by the program to maximize legibility. It's popular among people with low vision or photosensitivity.

Click the "Use Custom Accent Color" check box to select an accent color different than the one defined in the system theme. Choose your desired color by clicking on one of the color blocks.

Selecting a custom accent color

Selecting a custom accent color

LOR Communications

Communication tab

Comm Listener Port

This section can be used to configure the IP port that the Control Panel listens on for lighting commands from the Sequencer and Hardware Utility. The default port of 8837 should work for nearly all users, but can be changed here if it conflicts with other software on your computer.

MC-P Controllers

If you are using Light-O-Rama MC-P controllers purchased prior to 2005, then you should enable MC-P compatibility mode by checking this box. If you do not check this box, then you will see odd behavior on circuits 9 through 16 of such controllers.

MC-P compatibility mode only affects controllers on the Regular LOR network; those on Aux networks are unaffected. Therefore, make sure to put all such controllers on your Regular network.

NOTE: Enabling MC-P compatibility mode may have a significant effect on communications speed for the regular network. It is therefore strongly recommended that you do not enable it without reason, and that if you do enable it, you should consider moving any other Light-O-Rama controllers (which do not need MC-P compatibility mode) off of the Regular network, and onto one or more auxiliary networks.

Video

Video tab

This setting controls how sequences with video media (e.g. AVI, WMV, or MP4) should be handled. If you select "Display videos in a window" or "Display videos full screen" in the top section, then you can select when the video window is displayed in the bottom section.

If you want video displayed full screen on a certain monitor or projector, follow these steps:

1.In the top section of Video Settings select "Display videos in a window" (first option).

2.In the bottom section of Video Setting, select "Whenever Play Shows is set to Show Player or Cue List Player" (second option).

3.Use Show on Demand to start your show with video media

4.Move the video window to the desired monitor by dragging the title bar with your mouse

5.Stop the show. The video window should still be open

6.Go to Settings > Video and select full screen. The existing window should immediately go full screen on the monitor it was on.

Your video settings will be saved automatically.

Folders

Folder tab

This tab lists key folders where your Light-O-Rama files are stored: sequences, audio/video, and previews. Clicking any of the directory names will open a new Windows File Explorer window displaying that directory.

Click the "Change Light-O-Rama Folder Location" button to change the default folder where your audio and sequence files are stored. This will display a message telling you to close ALL Light-O-Rama programs, and then re-open the Control Panel. At that point, you will have the opportunity to change the location of your Light-O-Rama folder.

You should back up your existing Light-O-Rama folder before initiating this action. Use with caution!

Integration

REST API

An application programming interface (API) is a way for two or more computer programs to communicate with each other. It is a type of software interface, offering a service to other pieces of software. [from Wikipedia]

The Control Panel's REST API allows other programs on the same local area network to control certain aspects of your show. If you don't use any third part tools that integrate with the Control Panel, then leave this option disabled (off). A complete list of messages can be found in the REST API Reference topic.

OSC (Open Sound Control)

Open Sound Control (OSC) is a protocol for networking sound synthesizers, computers, and other multimedia devices for purposes such as musical performance or show control. Learn more in the Wikipedia article. This is an optional feature meant for advanced users. It is not required to make you show run.

The Control Panel can listen for incoming OSC messages that will control certain aspects of your show. A complete list of messages can be found in the OSC Messages topic.

In this section you need to specify which network (IP address) and on which port the Control Panel will listen. The port listed here must match the OSC application that is sending the messages.

The "Respond to incoming OSC messages" check box turns this function on or off.

Time Code Sync

Time code synchronization allows multiple displays and third party systems to synchronize with one another using open standards. This is an optional feature meant for advanced users. It is not required to make you show run.

See the time code synchronization topic for more information.

Misc

·In Create Shows, you can enter scheduled start and stop times on 1, 5, 10, or 15 minute boundaries, which can reduce the number of minutes you must scroll through when entering a schedule start/stop time. Changing this setting has no effect on existing schedules.

·By default, the Show Player screen will update 1 once per second. A slower update rate (increasing the number of seconds between updates) reduces CPU usage. A slower rate also reduces the chance of uncontrolled memory consumption. This setting has no effect on the control of the lights in your display

·If you want to schedule shows relative to sunrise and/or sunset, the Control Panel needs to know location. Enter the latitude and longitude of your display. If you don't know it, you can click the "Get My Location" button and the program will estimate your location based on your IP address (you must have an Internet connection for this to work). Latitude values must be a decimal number between 0 and 90 for the northern hemisphere, and between 0 and -90 for the southern hemisphere. Longitude values must be decimal number between 0 and 180 for the eastern hemisphere, and between 0 and -180 for the western hemisphere. For example, Chicago is latitude 41.8818, longitude -87.6232.

An alternative to the "Get My Location" button is to look up your city at https://www.latlong.net/. The latitude and longitude values do not need to be exact in order to calculate sunrise and sunset; getting the values for a city or town near you should be fine.

·Lowest level of detail included in program log - use this drop-down to specify how much detail is included in the Control Panel's log file. Setting this to "Warning" or "Error" will keep your log files small. "information" is the recommended setting. If you have a help desk ticket, you might be directed by Light-O-Rama personnel to set this to "Debug", which will capture the maximum amount of detail.

·Show separate icons for musical and animation sequences in Recent Sequences - when this box is checked, separate icons are used for musical and animation sequences in Recent Sequences. Checking this box is normally OK. However, it can cause the Control Panel to take longer to open, particularly when the Light-O-Rama folder is on a network drive. Leave this box unchecked if the Control Panel is taking a long time to open.

About

About tab

The About tab shows information about the Control Panel program and some information about your computer. The "Copy" button can be used to copy this information to the clipboard. When creating a ticket with the Light-O-Rama Help Desk, copying and then pasting this information into your ticket can help Light-O-Rama personnel resolve your issue more quickly.


OSC Messages

When OSC message reception is enabled, the Light-O-Rama Control Panel will take action on the following messages.

​

Message | Parameters | Action
"/playindex n" | n is the cue number shown in Cue List Player mode | starts playing the specified cue
"/stop" |  | stops playback
"/dimmer n" | n is a floating point number between 0 and 1 | controls the master dimmer
"/volume n" | n is a floating point number between 0 and 1 | controls the playback volume
"/trigger n u c" | n is an integer between 0 and 15. 0 is the regular network, 1 is Aux A, etc. u is an integer between 1 and 240 and represents the unit id. c is an integer between 1 and 512 and represents the circuit. | Invokes the same action as the physical trigger. It can be a start trigger or a trigger for an interactive group.


REST API Reference

The REST API is a new feature and is subject to change. It will be finalized in a subsequent release.

The Control Panel's REST API allows other programs on the same local area network to control certain aspects of your show. It can be enabled and the network port specified from the Settings > Integration tab.

The REST API uses the HTTP protocol (not HTTPS). No authentication is required to access the API commands.

Queries requesting information use the GET verb and return a response in the JSON format.

Messages that update the player use the PUT verb. Any data that is required to complete the update (e.g. a sequence identifier) is embedded in the URL. The one exception is /v1/player/mainSequences/resetQueue which uses the POST verb.

You can test the API from the computer running the Control Panel by opening a tab in your web browser and going to this URL:

http://127.0.0.1:8001/swagger/index.html

Replace 8001 with the port you selected for the REST API on the Integration tab. Your web browser should display a screen that looks similar to this:

The Swagger web page

The Swagger web page

Status

GET /v1/player/status

Gets the current player status.

The status response includes mute status and audio volume, which can be controlled using commands listed in the Audio Volume section below.

The status response includes the master dimmer level, which can be controlled using commands listed in the Master Dimmer section below.

The Play Shows section of the Control Panel can be in one of 3 modes (indicated by the playerMode property in the response):

·Disabled (playerMode=disabled) - no playback, not even scheduled shows

· Show Player (playerMode=show) - plays scheduled or on-demand shows created in the Create Shows section.

oThe player may be playing a show (hasActiveShow=true), or waiting for a scheduled show (hasActiveShow=false).

oIf a show is playing, then playingQueue, upcomingQueue, and activeShow will be populated. The playbackState property will reflect whether sequences are playing or paused.

oTo make changes to the upcoming queue, see the commands in the Main Sequences section below.

o Override sequences can be retrieved or started using commands in the Override Sequences section below.

· Cue List Player (playerMode=live) - create a cue list, and then click Play to start each cue. Can be used as a jukebox.

oThe cueList array will be populated when in this mode. The cue list is also available separately - see the Cue List section below.

Sample JSON response:

{

"playerMode": "show",

"syncMode": "none",

"hasActiveShow": true,

"upcomingShows": [],

"playingQueue": {

"items": [

{

"id": "3a1ae119-fcf9-4819-a612-41e82643286d",

"itemId": "c5a28ee7-6676-492e-9b25-d7973b87d8c3",

"name": "Amazing Grace (Party Version)-Yule-SHORT",

"hasMediaFile": true,

"mediaFilename": "Amazing Grace (Party Version)-Yule-SHORT.mp3",

"sequenceSource": "showMusical",

"startTime": "2024-11-07T12:37:33.6098051-06:00",

"duration": "00:00:30.9000000",

"playedDuration": "00:00:10.6289825",

"remainingDuration": "00:00:20.2710175",

"isPauseOnStart": false,

"isPauseOnEnd": false,

"isTimeDelay": false,

"hasError": false,

"errorText": null

}

],

"duration": "00:00:30.9000000"

},

"upcomingQueue": {

"items": [

{

"id": "e15dbf80-7c4b-4d2a-b37e-713a4df0e1cb",

"itemId": "21fdf57f-c551-4cd6-b930-210c73dc21f3",

"name": "Carol Of The Bells-Pentatonix-SHORT",

"hasMediaFile": true,

"mediaFilename": "Carol Of The Bells-Pentatonix-SHORT.mp3",

"sequenceSource": "showMusical",

"startTime": "2024-11-07T12:37:44.4477552-06:00",

"duration": "00:00:22.7000000",

"playedDuration": "00:00:00",

"remainingDuration": "00:00:22.7000000",

"isPauseOnStart": false,

"isPauseOnEnd": false,

"isTimeDelay": false,

"hasError": false,

"errorText": null

},

{

"id": "281aba12-ddd5-4f5a-a91e-96bf2ea51e1e",

"itemId": "03d2b298-e307-4322-b1dd-1d94bb50d2c2",

"name": "Linus And Lucy-Vince Guaraldi-SHORT",

"hasMediaFile": true,

"mediaFilename": "Linus And Lucy-Vince Guaraldi-SHORT.mp3",

"sequenceSource": "showMusical",

"startTime": "2024-11-07T12:37:44.4477552-06:00",

"duration": "00:00:20.4000000",

"playedDuration": "00:00:00",

"remainingDuration": "00:00:20.4000000",

"isPauseOnStart": false,

"isPauseOnEnd": false,

"isTimeDelay": false,

"hasError": false,

"errorText": null

},

{

"id": "4bb1d03a-c4f1-43c0-aff0-65d88c07166f",

"itemId": "55055498-cd0b-4182-b87c-692933835875",

"name": "Music Box Dancer (Radio Version)-DJ Schwede-SHORT",

"hasMediaFile": true,

"mediaFilename": "Music Box Dancer (Radio Version)-DJ Schwede-SHORT.mp3",

"sequenceSource": "showMusical",

"startTime": "2024-11-07T12:37:44.4477552-06:00",

"duration": "00:00:13.4000000",

"playedDuration": "00:00:00",

"remainingDuration": "00:00:13.4000000",

"isPauseOnStart": false,

"isPauseOnEnd": false,

"isTimeDelay": false,

"hasError": false,

"errorText": null

}

],

"duration": "00:00:56.5000000"

},

"cueList": [],

"selectedCues": [],

"lastSelectedCueIndex": -1,

"playbackState": "playing",

"isPaused": false,

"isStopped": false,

"isLooping": false,

"isPlayingVideoMedia": false,

"isMuted": false,

"volumeLevel": 39,

"dimmingLevel": 97,

"pendingStopOption": null,

"onDemandShowActive": true,

"activeShow": {

"name": "2022 Florida",

"startTime": null,

"endTime": null,

"isShuttingDown": false,

"hasStarted": true,

"isInitialized": true,

"initializePercentComplete": 100,

"isPaused": false,

"isInterrupted": false,

"isStopped": false,

"isWaitingForStartTrigger": false,

"isOnDemandShow": true

},

"hasVideoMedia": false

}

Audio Volume

GET /v1/player/isMuted

Gets the mute state, true or false.

Sample JSON response:

{

"isMuted": false

}

PUT /v1/player/isMuted/{enabled}

Sets the mute state. The "enabled" parameter must be true or false.

GET /v1/player/volumeLevel

Gets the audio volume level, 0 to 100.

Sample JSON response:

{

"volumeLevel": 55

}

PUT /v1/player/volumeLevel/{volumeValue}

Sets the audio volume level. The "volumeValue" parameter must be an integer value in the range 0 to 100.

Master Dimmer

GET /v1/player/dimmingLevel

Gets the master dimmer level, 0 to 100.

Sample JSON response:

{

"dimmingLevel": 100

}

PUT /v1/player/dimmingLevel/{dimmerValue}

Sets the master dimmer level. The "dimmerValue" parameter must be an integer value in the range 0 to 100.

Playback Control

PUT /v1/player/stop/{stopOption}

Stops playback. The "stopOption" parameter must be either "immediately" or "aftersong".

·In the Show Player, this will initiate show shutdown.

·In the Cue List Player, this will stop playing the current cue.

PUT /v1/player/pause/{pauseOption}

Pauses playback. The "pauseOption" parameter must be either "immediately" or "aftersong".

PUT /v1/player/resume

Resumes playback after a pause.

PUT /v1/player/skipForward

Stops playing the current sequence and moves on to the next one.

·In the Show Player, the next item in the upcoming queue will be played.

·In the Cue List Player, the next cue in the list will be played. If at the end of the cue list, play will be stopped.

Main Sequences

The commands in this section only work when the Show Player is active.

GET /v1/player/mainSequences

Gets a list of all of the sequences in the Main Section of the show that is currently playing. Note that the itemId property is not permanent -- it changes every time the show is started.

Sample JSON response:

[

{

"itemId": "1556ce6a-5f80-469d-8d4d-e051cba7f80c",

"name": "A Mad Russians Christmas-TransSiberian Orchestra-SHORT",

"source": "showMusical",

"hasError": false,

"duration": "00:00:25.3100000",

"hasMediaFile": true,

"mediaFilename": "A Mad Russians Christmas-TransSiberian Orchestra-SHORT.mp3"

},

{

"itemId": "1b192cbd-180c-4f6b-b7e5-00fb40df69a7",

"name": "Amazing Grace (Party Version)-Yule-SHORT",

"source": "showMusical",

"hasError": false,

"duration": "00:00:30.9000000",

"hasMediaFile": true,

"mediaFilename": "Amazing Grace (Party Version)-Yule-SHORT.mp3"

},

{

"itemId": "c84d0997-8d96-450f-97c3-cda79e403340",

"name": "Carol Of The Bells-Pentatonix-SHORT",

"source": "showMusical",

"hasError": false,

"duration": "00:00:22.7000000",

"hasMediaFile": true,

"mediaFilename": "Carol Of The Bells-Pentatonix-SHORT.mp3"

},

{

"itemId": "d27d15e5-b975-4984-a3f1-bb4ca230b1cd",

"name": "Linus And Lucy-Vince Guaraldi-SHORT",

"source": "showMusical",

"hasError": false,

"duration": "00:00:20.4000000",

"hasMediaFile": true,

"mediaFilename": "Linus And Lucy-Vince Guaraldi-SHORT.mp3"

},

{

"itemId": "f29eaa1b-20e1-4afc-b16b-1ab510e33b88",

"name": "Music Box Dancer (Radio Version)-DJ Schwede-SHORT",

"source": "showMusical",

"hasError": false,

"duration": "00:00:13.4000000",

"hasMediaFile": true,

"mediaFilename": "Music Box Dancer (Radio Version)-DJ Schwede-SHORT.mp3"

}

]

PUT /v1/player/mainSequences/repeatCurrent

If there is a sequence from the main section of the show that is currently being played, this command ensures that the same sequence is also at the top of the upcoming queue. If the sequence being played is already at the top of the queue, no action is taken.

PUT /v1/player/mainSequences/playNext/{id}

This command ensures that the sequence with the specified id is at the top of the upcoming queue. If the sequence is already in the queue, it is moved to the top; otherwise a new entry is inserted at the top of the queue. The identifier used in this request must be an "itemId" property of one of the sequences listed in the GET mainSequences response.

POST /v1/player/mainSequences/resetQueue

Replaces the sequences in the upcoming queue (as shown in the GET status response) with the sequences supplied in this request. Identifiers used in this request are the "itemId" properties of sequences listed in the GET mainSequences response.

Sample JSON request:

{

"ids": [

"8e266d54-66f2-4830-8713-a79245b6484e",

"e6756ba0-3b22-4447-8f7c-0e0f3c0e2cf1"

]

}

Override Sequences

The commands in this section only work when the Show Player is active.

GET /v1/player/overrides

Gets a list of all Override sequences defined in the Show Player.

Sample JSON response:

[

{

"id": "c5589d1c-fc8d-4a6f-ba8d-e675454755df",

"name": "No Parking",

"type": "playImmediately",

"sequences": [

{

"id": "081615fb-5e0b-4d7f-b1bc-861bea20fb68",

"name": "No Parking",

"lightsOffAtEnd": true,

"runTimes": 1,

"repeatTimes": 1,

"markIn": null,

"markOut": null

}

]

}

]

PUT /v1/player/overrides/play/{id}

Plays the override sequence with the specified id. The identifier is the outer id property from GET overrides, not the one inside the sequences list.

Triggers

PUT /v1/player/trigger/{n}-{u}-{c}

Invokes the same action as the physical trigger. It can be a start trigger or a trigger for an interactive group.

·n is an integer between 0 and 15. 0 is the regular network, 1 is Aux A, etc. n can also be a string "Regular", "AuxA", "AuxB", etc. Case is ignored.

·u is a hex value between 01 and F0 and represents the unit id.

·c is an integer between 1 and 512 and represents the circuit.

Cue List

The commands in this section only work when the Cue List Player is active.

GET /v1/player/cueList

Gets the list of cues currently displayed in the Cue List Player.

Sample JSON response:

[

{

"id": "df0d9368-00f6-4e08-b125-65c4c7a04b38",

"name": "A Mad Russians Christmas-TransSiberian Orchestra-SHORT",

"isActive": true,

"notes": "Christmas Eve and Other Stories is the debut studio album by the American rock band Trans-Siberian Orchestra. It was released on October 15, 1996, through Lava Records and Atlantic Records. It is the first album in the band's \"Christmas trilogy\", with The Christmas Attic (1998) and The Lost Christmas Eve (2004) coming afterward. All three albums, as well as their The Ghosts of Christmas Eve DVD, were featured in the box set of The Christmas Trilogy. The album's cover art was created by Edgar Jerins.",

"lightsOffAtEnd": true,

"repeatTimes": 0,

"markIn": null,

"markOut": null,

"timeCode": null,

"autoFollow": false

},

{

"id": "0de6839c-721f-4c6c-923e-d3739325127b",

"name": "Amazing Grace (Party Version)-Yule-SHORT",

"isActive": false,

"notes": "\"Amazing Grace\" is a Christian hymn published in 1779, with words written in 1772 by the English poet and Anglican clergyman John Newton. ",

"lightsOffAtEnd": true,

"repeatTimes": 0,

"markIn": null,

"markOut": null,

"timeCode": null,

"autoFollow": false

},

{

"id": "85c99fd2-1ce2-4185-8151-160c9a88ca9a",

"name": "Carol Of The Bells-Pentatonix-SHORT",

"isActive": true,

"notes": "PTXmas is the second extended play album by the a cappella group Pentatonix. The album was digitally released on November 12, 2012, and physical versions were available from November 13, 2012. The deluxe edition was released on November 19, 2013 with 2 additional tracks.",

"lightsOffAtEnd": true,

"repeatTimes": 0,

"markIn": null,

"markOut": null,

"timeCode": null,

"autoFollow": true

},

{

"id": "8b35f351-7256-4b70-ab7f-b80070511ce0",

"name": "Linus And Lucy-Vince Guaraldi-SHORT",

"isActive": true,

"notes": "",

"lightsOffAtEnd": true,

"repeatTimes": 0,

"markIn": null,

"markOut": null,

"timeCode": null,

"autoFollow": false

},

{

"id": "fdb8ad13-730c-4cba-a0dd-f19804c443c1",

"name": "Music Box Dancer (Radio Version)-DJ Schwede-SHORT",

"isActive": true,

"notes": "",

"lightsOffAtEnd": true,

"repeatTimes": 1,

"markIn": null,

"markOut": null,

"timeCode": null,

"autoFollow": false

}

]

PUT /v1/player/cueList/play/{id}

Plays the cue with the specified id. The identifier is the id property from GET cueList above. Only cues where the isActive flag is true can be played.


Time Code Synchronization

Synchronize multiple computers running the Control Panel

Synchronize multiple computers running the Control Panel

Time code synchronization allows multiple computers running the Control Panel, as well as compatible third party systems, to synchronize with one another using open standards. The Control Panel supports 2 standards:

· Art-Net Time Code - this standard encodes the current sequence and its playback position into an Ethernet packet. One system is the "leader" and transmits the packets. Other systems are "followers" and receive the packets - playing the sequences in time with the leader. The packets are small and take little bandwidth on the network; therefore, they can be sent over wired or wireless Ethernet connections.

· SMPTE LTC - this standard encodes the current sequence and its playback position into an audio signal. One system is the "leader" and transmits the audio. Other systems are "followers" and receive the audio signal - playing the sequences in time with the leader.

For musical sequences, only the leader plays the music. Followers will control lights, but do NOT play music.

What Is A Time Code?

A time code represents a time, but not the actual time relative to the sun (like a clock in your house would). Rather, each sequence in a show (scheduled or cue list) is assigned an arbitrary start time. For example, "Jingle Bell Rock" might be assigned the starting time code of 4:00:00. All participating computers must have the same start code assigned to a sequence. So if the leader sends out the time code "4:01:50", all computers recognize we are 1 minute and 50 seconds into Jingle Bell Rock.

Time codes are 8 digits:

·The first 2 digits are hours, 0-23. Time codes always use a 24-hour clock, so no AM/PM.

·The next 2 digits are minutes, 0-59

·The next 2 digits are seconds, 0-59

·The last 2 digits are the frame number, 0-29. Each second is divided into a number of frames. The highest value depends on the frame rate which is explained below.

So 04:01:50:11 is 4 hours, 1 minute, and 50 seconds, in the 11th frame. In some places in the Control Panel, only 6 digits are displayed, in which case the frame number can be assumed to be 0.

The minimum time code is 00:00:00:00, and the maximum is 23:59:59:29. You cannot go beyond 24 hours.

Time code 00:00:00:00 should not be used as the starting time code for a sequence, as that time code is used to indicate that no sequence is currently playing. Start the first sequence at 01:00:00 instead.

Frame Rate

Time codes are sent at a specific frame rate. 24, 25, and 30 frames per second are supported in leader modes.

In follower mode, an additional rate of "29.97 DF" is supported. DF stands for "drop frame" which is an alternate way of counting frames. Drop frame should only be used when synchronizing with other equipment that supports it (usually broadcast video). When a drop frame time code is displayed, the last separator is a semi-colon instead of a colon. So "04:01:50;11" is a drop frame time code, and "04:01:50:11" is not.

If you are only synchronizing with other computers running the Control Panel, then we recommend choosing 24 frames per second. If you are synchronizing with a third party system, then use the frame rate supported by that system.

The leader and all followers must be set to the same frame rate.

Enabling Time Code Sync

Time Code Sync enabled

Time Code Sync enabled

Time code sync is enabled by activating the toggle on the Settings > Integration tab.

When enabled, fields and buttons are added to several screens in the Control Panel:

· When creating a show, you can assign time codes to each sequence

· When creating a cue in Cue List Player, you can assign time codes to each sequence

·When Play Shows is disabled, 3 additional play buttons are visible:

o Show Player Sync Leader

o Cue List Sync Leader

o Sync Follower

Playback Disabled screen - with Time Code Sync enabled

Playback Disabled screen - with Time Code Sync enabled

Connecting the various systems together requires attention to detail in order to achieve reliable synchronization.

· SMPTE LTC is an audio signal, and the audio signal from the leader must reach all followers

· Art-Net Time Code is sent over Ethernet. The data can be sent over wired Ethernet or WiFi.

Assigning Time Codes When Creating A Show

Show with time codes assigned

Show with time codes assigned

When you are creating a show and Time Code Sync is enabled in Settings > Integration, a "Time Code" column is added as the right-most column of the sequence list.

For your show to synchronize properly, every sequence in the Startup, Main, Shutdown, and Interactive sections must be assigned a time code. And if you have a cleanup sequence, it must be assigned a time code as well (see the bottom right field in the screen shown above). If you do not have a cleanup sequence, you can leave the "Cleanup time code" field at 0:00.

When you add a new sequence to a show, it's time code will be 00:00:00, which will need to be changed. We recommend adding all your sequences to a show first, get them in the desired order, then assigning time codes as a final step.

You can assign time codes to all sequences at once by right-clicking on any sequence name, then selecting "Set Time Codes" from the menu:

In the Set Time Codes dialog, you can leave all fields at their default values and all sequences in the section will get a time code. You will need to do this for each section that contains sequences. For example, if you have sequences in Startup, Main, and Shutdown, then you will need to set time codes in each playlist separately. For example, you might set Startup sequences in the 01:00:00 to 01:59:00 range, Main in the 02:00:00 to 22:59:00 range, and Shutdown in the 23:00:00 to 23:59:00 range.This would work as long as the total duration of sequences in the Startup and Shutdown sections are each less then 1 hour long.

If you set the interval to a small value, the program will give multiple intervals to a long sequence if needed. For example, if you set the interval for 5 minutes, it will give 10 minutes to a 7 minute sequence, and 15 minutes to 12 minute sequence.

If you have the same sequence in your playlist multiple times, all instances of that sequence can have the same time code.

Sequences in the Background section are not synchronized and do not need time codes. Similarly, sequences in the Animation section are not synchronized and do not need time codes if "Play Concurrently" is selected.

To set a time code for a single sequence, click on the cell for the time code you want to change. Then click on the time code 2 more times for the time picker to appear. Select the desired time code hour and minute with the picker, then click the check mark icon at the bottom to save your choice.

When time codes are enabled, the Verifier will check them to make sure the entries are valid and there are no overlaps.

Assigning Time Codes In Cue List Player

Time codes in Cue List Player

Time codes in Cue List Player

When Time Code Sync is enabled in Settings > Integration, time codes are displayed to the right of the duration in Cue List Sync Leader and Sync Follower modes.

For your show to synchronize properly, every cue must be assigned a time code. When you add a new sequence to a show, it's time code will be 00:00:00, which will need to be changed. We recommend adding all your cues to a show first, get them in the desired order, then assigning time codes as a final step.

You can assign time codes to all cues at once by right-clicking on any cue (you might need to right-click twice), then selecting "Set Time Codes" from the menu:

In the Set Time Codes dialog, you can leave all fields at their default values and all cues will get a time code. If you set the interval to a small value, the program will give multiple intervals to a long cue if needed. For example, if you set the interval for 5 minutes, it will give 10 minutes to a 7 minute cue, and 15 minutes to 12 minute cue.

If you have the same sequence in your cue list multiple times, all instances of that sequence can have the same time code.

To set a time code for an single cue, edit the cue and click on the time code field, which will cause the time picker to appear. Select the desired time code hour and minute with the picker, then click the check mark icon at the bottom to save your choice.

Sync Leader Settings

After clicking the Show Player Sync Leader or Cue List Sync Leader buttons, you will be taken to the "Sync Leader Settings" screen.

Sync Leader Settings

Sync Leader Settings

Set the Frame Rate. This is the rate at which time codes will be sent to followers. If you are only synchronizing with other computers running the Control Panel, then we recommend choosing 24 frames per second (fps). If you are synchronizing with a third party system, then use the frame rate supported by that system.

Next you choose between:

· Art-Net Time Code - this standard encodes the current sequence and its playback position into an Ethernet packet.

oIf you have a single follower, you can enter the IP address of the follower (you can find the follower's IP address on the "Sync Follower Settings" screen).

oIf you have multiple followers, click the "Set Broadcast IP Address" button, then select the network adapter that will be used to transmit the time code packets. The broadcast IP address will be populated for you.

· SMPTE LTC - this standard encodes the current sequence and its playback position into an audio signal. You choose the audio output where the signal is connected. This could be the computer's built-in headphone jack, or an external USB audio adapter. The Control Panel sends the audio signal on all channels of the selected output. So if you have a stereo output (2 channels), you can connect to either channel.

When you are done, click the "Start Player" button..

Show Player Sync Leader

In "Show Player Sync Leader" mode, the Show Player is the leader with all of its capabilities to play scheduled shows. Followers will play lights synchronized with the leader with the following exceptions:

·For musical sequences, only the leader plays the music. Followers will control lights, but do not play music.

·Sequences in the Background section of the show are not synchronized.

·Sequences in the Animation section of the show are not synchronized if "Play concurrently" is selected.

To start this mode, click the "Show Player Sync Leader" button on the Disabled Playback screen. This mode can only be accessed if Time Code Sync has been enabled.

After clicking the button, you will see the Sync Leader Settings screen where you can choose the correct sync settings for your display. Then click the "Start Player" button to start the Show Player. The Show Player will look the same, except for an additional line in the Currently Playing section which shows the current time code being transmitted to followers.

Show Player Sync Leader

Show Player Sync Leader

Make sure any shows you schedule in this mode have time codes set for all sequences. You can check that time codes are set correctly using the Verifier.

Creating the Follower cue list

Followers running the Light-O-Rama Control Panel must be running in Sync Follower mode. The cue list for the follower should have the same sequences that are in the leader's show. This is easy to do using Cue List Player's "Import Show" function.

Click the 3-bar menu button, then Import Show

Click the 3-bar menu button, then Import Show

Follow these steps to create the cue list:

·Make sure the time codes in the show for the leader are set correctly using the Verifier.

·Start Sync Follower mode. The cue list will be empty.

·Select "Import Show" from the 3-bar menu

·The "Import Show" screen will be displayed - where you can select which show to import from the drop-down box. You can also choose which sections of the show get imported, but you can leave the defaults. When you are done, click the "Import" button.

Import Show

All of the sequences in the show will now be in the cue list, including the time codes. It should be ready for use by followers. You can click the "Save" button - the cue list will be save in same folder as the show file, but with an .LORCUE extension.

Cue List Sync Leader

In "Cue List Sync Leader" mode, the Cue List Player is the leader with all of its capabilities to play interactive shows. Followers will play lights synchronized with the leader with the following exception:

·For musical sequences, only the leader plays the music. Followers will control lights, but do not play music.

To start this mode, click the "Cue List Sync Leader" button on the Disabled Playback screen. This mode can only be accessed if Time Code Sync has been enabled.

After clicking the button, you will see the Sync Leader Settings screen where you can choose the correct sync settings for your display. Then click the "Start Player" button to start the Cue List Player. The Cue List Player will look the same, except for an additional line in the heading which shows the current time code being transmitted to followers.

Cue List Sync Leader - playback in progress

Cue List Sync Leader - playback in progress

Make sure all cues have time codes set.

Followers running the Light-O-Rama Control Panel must be running in Sync Follower mode. The cue list for the follower should be the same one used for the leader. The time codes for leader and follower cues must match!

Sync Follower

In "Sync Follower" mode, the Cue List Player plays its cues according to the time codes it receives.

All computers participating in a time code sync have to agree on what a particular time code represents. For example, let's say the cue "Jingle Bell Rock" (which is 2:10 in length) is assigned the time code 04:00:00 in both the leader and follower. Followers will play Jingle Bell Rock when any time code is received that is between 04:00:00 and 04:02:10. When the time code leader sends out 04:01:50, all followers must recognize they are 1:50 into Jingle Bell Rock.

To start this mode, click the "Sync Follower" button on the Disabled Playback screen. This mode can only be accessed if Time Code Sync has been enabled.

Sync Follower Settings

After clicking the button, you will see the Sync Leader Settings screen where you can choose the correct sync settings for your display. The follower settings must match the settings of the leader.

Sync Follower Settings

Sync Follower Settings

Set the Expected Frame Rate to match the leader.

The follower relies on receiving a regular time code signal from the leader. If reception is lost, this tells the follower how long to play the current cue before stopping. If you have frequent loss of signal, then you might consider setting this to a higher value.

Next you choose between:

· Art-Net Time Code - this standard encodes the current sequence and its playback position into an Ethernet packet. You choose the network that is connected to the leader. For example, if you have both wired and wireless Ethernet ports on your computer, you will need to select the one where Art-Net time codes are being transmitted by the leader.

· SMPTE LTC - this standard encodes the current sequence and its playback position into an audio signal. You choose the audio input where the signal is connected. This could be the computer's built-in microphone jack, or an external USB audio adapter. The Control Panel mixes all channels on that input together, so make sure the signal is attached to one channel and all other channels are silent. For example, if the selected input has 2 channels (stereo), you can attach the SMPTE LTC audio to either channel, but make sure the other channel is silent.

Turn off "Audio Enhancements" in Windows settings. This is VERY IMPORTANT, or the received signal will be flaky.

Make sure a cable is plugged into the microphone jack.

In the Windows System Tray, right-click on the audio icon and select Sound Settings from the pop-up menu:
WindowsSoundSettings

In the Input section, click on the microphone input you are going to use for SMPTE. This will open a page with additional settings for that input:
WindowsMicrophoneSettings

Set the Input Volume to about 80 and set Audio Enhancements to Off:
WindowsSoundSettingsDetail

When you are done, click the "Start Player" button. Cue List Player will automatically start cues as the relevant time codes are received. As time codes are received, they will be displayed at the top of the screen. If no time codes are being received, then "--:--:--:--" is displayed.

Physical Connections: SMPTE LTC

If you are only connecting 2 computers together (1 leader, 1 follower), then you can simply connect the headphone output of the leader to the microphone input of the follower. If you have more than 1 follower, then you will need to run the audio from the leader to all followers, and you will need to take care that the audio signal does not get degraded. Using a device like an "Audio Distribution Amplifier" can help improve signal integrity over long runs. Light-O-Rama does not provide support for designing the distribution of your audio signal. Hiring a professional with experience in SMPTE LTC is recommended.

Physical Connections: Art-Net Time Code

The leader and all followers should be on the same Ethernet network. This can be a wired network, a wireless network, or a combination of both; however, it should be a single network (no jumping across a router with network address translation or NAT). If you are connecting several houses in your neighborhood, you probably don't want to extend your home WiFi a long distance because it could be a security risk. Instead, you should consider setting up a separate WiFI network, rated for outdoor use, that is only used for the show. Each computer running the Control Panel would connect to that dedicated network. Light-O-Rama does not provide support for designing or creating such a network; however, Light-O-Rama partners might be able to help. See the Light-O-Rama web site for our current list of partner companies.


Sequencer

The Light-O-Rama Sequencer is a tool used to create sequences, which are files that contain commands to be sent to controllers to produce various lighting effects - to turn lights on and off, make them twinkle or shimmer, fade up or down, and so forth.

There are several keys steps in the sequence process as shown in the flowchart below:

· Create a preview

· Create a sequence

· Save a sequence

The main Sequencer window is divided into several sub-windows. In the following picture it is shown with the sub-windows in their default positions; however, the layout of the sub-windows can be easily customized. Also, the Sequencer comes with several themes that control the background and text colors in the main window. In the configuration that is shown, the Playback Window is pinned, meaning it stays open (notice the pin icon in the upper right corner of the window). The Preview Management Window and Control Lights Window on the right side are all unpinned, meaning you can click on the name of the window to open it temporarily, but once you click on something else the window will close. To change a window from pinned mode to unpinned mode (or vice versa), just click the pin icon for that window.

The Start Page gives you links to quickly start a new animation or musical sequence, and to open sequences that have been recently viewed.

Sequences are displayed in the S5 Sequencer as a grid. Rows represent regular channels, RGB channels, motion effect rows, subsequences, beat channels or loops, and columns represent timings. Cells in the grid therefore represent the lighting effects that will happen on props at various points in time while the sequence is being played.

Regular channels, RGB channels, and motion effect rows are associated with props in the preview or with archived props. Motion effect rows can also be used with preview groups.

As an example, the following sequence has four props, each with a single channel. At the start of the sequence, the first prop's channel turns on. It stays on for half a second, then turns off, and the second prop's channel then turns on. Then it turns off, and the third turns on, and then the third turns off and the fourth turns on. This brings us two seconds into the sequence, at which point all four channels fade down, for a second. After that, the first and fourth channels start shimmering, while the second and third fade up:

A sequence with four channels, and various lighting effects

A sequence with four channels, and various lighting effects

Notice that one cell is highlighted with a thick yellow box - the cell of the first channel from 3 seconds to 3.5 seconds. That is the currently selected cell. Various tools can be applied to the selected cell (or cells), for example to change the lighting effect used on that channel at that time.

Before proceeding, you should understand what a sequence is and what a preview is.

For more detailed information about using the S5 Sequencer, please see the following topics:

· The Main Menu

· The Start Page

· The Previews Window

· Preview Design

· The Sequence Tab (editing a sequence)

· Motion Effect Generator

· Playback Window

· Control Lights Window

· Customizing Window Layouts

The Sequencer with an open sequence

The Sequencer with an open sequence


Menu Bar

The Light-O-Rama S5 Sequencer’s menu bar gives access to all of the program's major functionality. For detailed help, please refer to the help pages for each individual menu on the menu bar:

· File Menu

· Sequence Menu

· Tools Menu

· Window Menu

· Help Menu

The S5 Sequencer's menu bar

The S5 Sequencer's menu bar


File Menu

The Light-O-Rama Sequencer's File menu has menu items related to creating, opening, and saving sequences, as well as exiting the program.

Several of these menu items operate on the "currently selected sequence". Many sequences can be open simultaneously in the Sequencer, but only one is the currently selected sequence. Each open sequence has a tab that displays the sequence's name. The currently selected sequence's tab will be highlighted (the highlight color depends are which theme you are using). To select a sequence, simply click on its tab.

· New

· Open

· Recent Files

· Save

· Save As

· Save A Copy

· Export as LMS/LAS

· Export as Protected

· Export as FSEQ File

· Close

· Close All

· Exit

The File Menu

The File Menu

New

Selecting "New" on the Sequencer's File menu opens a sub-menu which gives you a choice between creating a new animation sequence or a new musical sequence. You can also initiate the creation of a new musical or animation sequence from the Start Page, or by right-clicking on a preview in the Previews Window.

"New Musical Sequence" has a keyboard hotkey: | key-dark32-Ctrl | key-dark32-N
"New Animation Sequence" has a keyboard hotkey: | key-dark32-Alt | key-dark32-N

Open

Selecting "Open" on the Sequencer's File menu opens a dialog that allows you to select a sequence file.

If you select an S5 sequence file (.LOREDIT file extension) the preview for the sequence will be checked. If the preview has been changed since the last time the sequence was opened, the Map New Preview To Sequence Dialog will open; and once you finish that dialog the sequence will open. If the preview has not changed, the sequence will immediately open on a new tab within the Sequencer.

If you choose a sequence file created in an older version like S4 (.LMS or .LAS file extension), then the Upgrade Legacy Sequence dialog will open, guiding you through the sequence upgrade process.

"Open" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-O

Recent Files

Selecting "Recent Files" on the Sequencer's File menu opens a sub-menu which lets you select from a list of the most recently opened sequences. The list of files on the "Recent Files" sub-menu are the same ones listed on the Start Page.

Save

Selecting "Save" from the Sequencer's File menu saves the changes that you have made to the currently selected sequence. If the sequence was newly created and has never been saved before, Save will also prompt you for a file name to use for the new sequence.

The Save function will be followed by a Save A Copy function if specified in Save Copy Preferences.

"Save" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-S

Save As

Selecting "Save As" from the Sequencer's File menu saves the current sequence to a new file name. The old file will still exist, but will not include any of the changes that you made to the sequence since the last time that you saved it.

Save A Copy

Selecting "Save A Copy" from the Sequencer's File menu saves the current sequence to a new file name. The old file will still exist, but will not include any of the changes that you made to the sequence since the last time that you saved it.

This function has a several options that control its behavior. See the Save Copy Preferences topic for details. In particular, this function can be used to make backup copies of the sequence when the "Date and Time" suffix is specified.

Export as LMS/LAS

Selecting "Export as LMS/LAS" from the Sequencer's File menu exports the current sequence to the legacy LMS/LAS format. A file with an LMS extension will be created for musical sequences; an LAS extension will be used for sequences without music. You will be prompted for the location of the export file. Files produced using this function are compatible with Light-O-Rama software versions 3.8.2 and later.

Data included in the export file:

· Regular channels

· RGB channels

· Beat channels

· Subsequences

· Loops in animation sequences

· All timing grids

·The "Show All Items" grid view -- converted to "Track 1" in the export file

Data NOT included:

· Motion effect rows

· Archived props

·Any grid view other than "Show All Items"

If you have a license that allows the creation of protected sequences, you can change the file type in the save dialog to a protected sequence if desired.

Setting the file type during the Legacy Export

Setting the file type during the Legacy Export

Export as Protected

Selecting "Export as Protected" from the Sequencer's File menu can be used to create a protected sequence based upon the current sequence. You will be prompted to enter some supplementary text that will be displayed to the user when they open the protected sequence in the Sequencer. The supplementary text is optional.

The supplementary text entry screen with some sample text

The supplementary text entry screen with some sample text

What the user sees when they open the protected sequence (with the supplementary text entered above)

What the user sees when they open the protected sequence
(with the supplementary text entered above)

Export as FSEQ File

Selecting "Export as FSEQ" from the Sequencer's File menu exports the current sequence to the FSEQ file format (version 1 or version 2). The function is only available at the PRO license level. The export only includes props with device type DMX in the export file. It finds the highest numbered DMX universe in your preview, and then includes universe 1 through that number. So if the highest numbered DMX universe in your preview is 36, the file will include universes 1 through 36; which is 36 * 512 = 18,432 channels. This is true even if there are some universes in that range that are not used. If you transfer the file to FPP, then what was universe 1 in your sequence will be channels 1-512 in FPP, universe 2 will be channels 513-1024, etc.

Light-O-Rama does NOT provide support on using FSEQ files or FPP

Close

Selecting "Close" from the Sequencer's File menu closes the currently selected sequence.

If the sequence has unsaved changes, you will be prompted on whether you wish to save the changes or not; if the sequence has never been saved before, and you choose to save it, you will also be prompted to select a filename for the new sequence.

Close All

Selecting "Close All" from the Sequencer's File menu closes all open sequences.

If any of the sequences have unsaved changes, you will be prompted on whether you wish to save them or not; if any of the sequences have never been saved before, and you choose to save them, you will also be prompted to select filenames for the new sequences.

Exit

Selecting "Exit" from the Sequencer's File menu closes the Sequencer. If any currently open sequences have changes that have not yet been saved, you will be prompted for whether or not you want to save them.


New Animation Sequence Dialog

The Sequencer's New Animation dialog is used to create a new animation sequence (a sequence with no music). The New Animation dialog can be reached several ways:

·Selecting File > New > Animation Sequence from the main menu

·Clicking the "New Animation Sequence" link on the Start Page

·Right-clicking on a preview in the Previews window and selecting "New Animation Sequence" from the pop-up menu

·Using the keyboard shortcut Alt-N

For detailed help, please refer to the following sections:

· Sequence Author

· Preview

· Sequence Length

· Use Loops

· Initial Timing Grids

· Number Of Motion Effect Rows For Pixel Props

· Save these choices as defaults.

The New Animation Sequence dialog

The New Animation Sequence dialog

Sequence Author

If you wish, you can put your name here. It will be saved with the sequence, and will be displayed on the Sequence Information screen. Once set, even if set to a blank value, it cannot be changed.

Preview

A preview is a representation of your light display. It specifies all of the props that you can apply effects to in your sequence. It also specifies all of the channels your sequence will be able to control.

Normally, you will select a preview that you have already created on the "Existing Previews" tab. However, you can use the Quick Preview feature to create a new preview on the fly.

After assigning a preview here, you may continue to update the preview and those updates will be automatically reflected in the sequence (for example, adding a new prop). You can also later assign a different preview to the sequence; although if you do that, the new preview should be substantially similar to the originally assigned preview.

Sequence Length

This allows you to specify the duration of the sequence. You will be able to change the value later, using Change Sequence Length in the Sequence menu.

The time can include hours, minutes, seconds, and hundredths of a second. For details on the format used to specify various lengths of time, please see Time Format.

Use Loops

If you check the "Use Loops" check box, the newly created sequence will automatically include a loop level, which can be used to insert loops into the sequence.

If you create an animation sequence without having selected "Use Loops", and you later decide that you do want loops in the sequence, you can add a loop level by selecting "Loop Level" from the Add New menu, available on the Sequence menu and the Grid View menu.

Initial Timing Grids

This allows you to tell the Sequencer to automatically insert timings into the new sequence. Timings are the spots in time where you can easily place lighting effects - for example, turn a string of lights on, or have it twinkle, or have it fade down.

If you don't know how far apart you want timings to be, just take a guess. You can always insert, delete, or move timings later. Note that although the New Animation dialog only allows you to set timings up at equal lengths from each other, timings in general can be any length from each other. For example, you could later add a timing three seconds away from another, and a third timing half a second away from that one.

If you select "Custom Interval", you can enter any length you want, rather than one of the defaults. This value must be entered using the standard Time Format.

Number Of Motion Effect Rows For Pixel Props

If you have a Pro level license, then you can use motion effects to sequence your props that utilize RGB pixels. You can also have multiple motion effects playing on a prop at the same time. This setting specifies how many motion effect rows should be created for every pixel-based prop. Typically 1 or 2 is a good choice to start. And then you can add more rows to specific props as your sequencing needs dictate.

Save These Choices As Defaults

If you turn this check box on, your answers to the questions in this dialog will be saved so that whenever you create a new animation sequence in the future, those answers will automatically show up in this dialog as the default answers.


New Musical Sequence Dialog

The Sequencer's New Musical Sequence dialog is used to create a new musical sequence (a sequence with an associated audio or video file). The New Animation dialog can be reached several ways:

·Selecting File > New > Musical Sequence from the main menu

·Clicking the "New Musical Sequence" link on the Start Page

·Right-clicking on a preview in the Previews window and selecting "New Musical Sequence" from the pop-up menu

·Using the keyboard shortcut Ctrl-N

After doing one of these things, but before the New Musical Sequence dialog opens, you will be prompted to select the audio or video file that will be used to build the new sequence. After you select the file, then the New Musical Sequence dialog will open.

Behind the scenes, the Sequencer will open the media file to determine its length. When the new sequence is created, its length will match that of the media file.

For detailed help, please refer to the following sections:

· Sequence Author

· Preview

· Music Information

· Initial Timing Grids

· Number Of Motion Effect Rows For Pixel Props

· Audio Information

· Save These Choices As Defaults

The New Musical Sequence dialog

The New Musical Sequence dialog

Sequence Author

If you wish, you can put your name here. It will be saved with the sequence, and will be displayed on the Sequence Information screen. Once set, even if set to a blank value, it cannot be changed.

Preview

A preview is a representation of your light display. It specifies all of the props that you can apply effects to in your sequence. It also specifies all of the channels your sequence will be able to control.

Normally, you will select a preview that you have already created on the "Existing Previews" tab. However, you can use the Quick Preview feature to create a new preview on the fly.

After assigning a preview here, you may continue to update the preview and those updates will be automatically reflected in the sequence (for example, adding a new prop). You can also later assign a different preview to the sequence; although if you do that, the new preview should be substantially similar to the originally assigned preview.

Music Information

If you wish, you can put the name of the artist, song, and album of the associated song here. It will be saved with the sequence, and will be displayed in the Sequence Information dialog.

Some media files have already been tagged with this information. If you utilize such a media file, the Sequencer will automatically discover those tags and populate the fields in this section (though you can still change or delete it if you wish).

You can change this information later in the Sequence Information dialog.

Initial Timing Grids

This allows you to tell the Sequencer to automatically insert timings into the new sequence. Timings are the spots in time where you can easily place lighting effects - for example, turn a string of lights on, or have it twinkle, or have it fade down.

In addition to placing timings a certain length of time apart (a tenth of a second, a half second, a second, or "Custom Interval"), add adding no timings at all ("Don't add any timings"), you can instruct the Sequencer to use various wizards to insert timings based upon the song itself:

·The MIDI File Wizard can insert timings and effects based upon the beat of a MIDI song, as well as based on the individual notes played by different instruments in the song.

·The Tapper Wizard allows you to tap the keyboard or mouse while the song plays, and will record the times at which you tap.

·The Beat Wizard attempts to determine the tempo of the song, and insert timings and effects based upon it.

·The VU Wizard looks for peaks in the song, much like a VU meter, and inserts timings and effects based upon them.

Not all of these wizards are available for every type of media file; for example, the MIDI File Wizard can only be used with MIDI files. Any wizards that cannot be used with the type of media file being used will be greyed out.

If you select "Custom Interval", you can enter any length you want, rather than one of the defaults. For details on the format used to specify various lengths of time, please see Time Format.

If you choose to have equally spaced timings, then you will be given the option to use a fixed timing grid or a freeform timing grid, by checking or unchecking the "Use a fixed timing grid" box. Otherwise, a freeform timing grid will be used.

Note that you can always insert, delete or move timings later, in a variety of ways.

Number Of Motion Effect Rows For Pixel Props

If you have a Pro level license, then you can use motion effects to sequence your props that utilize RGB pixels. You can also have multiple motion effects playing on a prop at the same time. This setting specifies how many motion effect rows should be created for every pixel-based prop. Typically 1 or 2 is a good choice to start. And then you can add more rows to specific props as your sequencing needs dictate.

Audio Information

If your license level is below Pro, then "Waveform Only" will be your only choice here. With any media file except MIDI, you will see a waveform displayed when the sequence is opened.

If you have a Pro license, you can also choose to see the audio as a spectrogram (see the Audio Settings topic for examples). The spectrogram takes some extra time to calculate, so sequences will take a little longer to load (the amount of time depends on the speed of your computer and the length of the media file). For a 3 minute song on a fast computer, it should only add a few seconds to the load time.

This setting also impacts the Audio motion effect. If you choose "Waveform Only", then many of the options in the Audio effect will not work.

You can change this setting later using the Sequence Information dialog.

Save These Choices As Defaults

If you turn this checkbox on, your answers to most of the questions in this dialog will be saved so that whenever you create a new musical sequence in the future, those answers will automatically show up in this dialog as the default answers.

The artist name, album name, and song name will not be saved as defaults (though if you use an MP3 tagged with this information, it will automatically be placed into that section).


Quick Preview

When creating a new sequence, you have the option of associating that sequence with an existing preview, or creating a "Quick Preview". To create a Quick Preview, click on the "Quick Preview" tab in the New Musical Sequence or New Animation Sequence dialog. It only requires 3 pieces of information:

1.Sequence Name. This defaults to today's date, but you can change it to whatever you want; however, it cannot be blank.

2.Tell it what kind of devices you are connecting to. This can be either be:

· Light-O-Rama devices, or

· DMX devices, or

·"I do not know what I am connecting to yet". If you choose this option, the sequence you create will not control any lights; but allows you to defer your decision for later. When you come to a decision and are ready to control lights, you will need to open this preview in Preview Design and change the props to another Device Type.

3.The number of channels the sequence will control.

The Quick Preview tab

The Quick Preview tab

Using the choices shown above would result in the following sequence. The 16 channels are listed down the left side. The name of the preview is shown to the right of the green check mark.

A sequence grid created using Quick Preview

A sequence grid created using Quick Preview

Using the choices shown above would result in the preview shown below. The 16 stars represent the 16 channels. If the Playback Window is visible when the sequence is played in the Sequencer, then the stars will turn on and off according to the effects in your sequence. The preview will be listed on the Previews Window just like any other the preview.

A preview created using Quick Preview

A preview created using Quick Preview


Sequence Menu

The Light-O-Rama Sequencer's Sequence Menu gives you access to a set of functions that operate on the currently selected sequence (the highlighted tab). If there is not any file open, then the Sequence Menu is disabled.

· Sequence Information

· File References

· View Sequence Folder

· Media File

· Convert Media to WAV file

· Convert to Animation

· Change Sequence Length

· Skew All

· Windows Command

· Preview Design

· Assign Different Preview

· Manage Archived Props

· Manage RGB Aggregates

· Manage Picture Effects

· Motion Row Cleanup

· Add New

· Smooth To Fades Level

· Grid Configuration

The Sequence Menu

The Sequence Menu

Sequence Information

This menu item opens the Sequence Information dialog, giving you visibility to key information about the current sequence, This includes who created the sequence and when, as well as information about the music (artist, title, and album).

File References

This menu item opens the File References dialog, giving you visibility to all files referenced by the current sequence.

View Sequence Folder

This menu item will open a Windows Explorer window with the current folder set to the folder containing the current sequence.

This might be of use if you want to see the file size of the current sequence, or to make a copy the sequence file. If you are going to make a copy, make sure and save it first!

Media File

This menu item allows you to specify the audio or video file that should be used with the current sequence. This may be useful, for example, if you have changed the directory that you store your media files in.

When used on an animation sequence, it will convert the animation sequence to a musical sequence.

Convert Media to WAV file

This menu item converts the media file associated with the sequence to the wave format (which has a WAV file extension).

Some media file formats do not position accurately when play back is started in the middle of the file. This can cause inaccuracies in sequencing - your lights would turn on at slightly different times depending on whether play back was started from the beginning of the sequence or the middle. MPG video files and variable bit rate MP3 files are most susceptible to this issue. Converting to a wave file can eliminate this problem.

Convert to Animation

This menu item will convert the current sequence from a musical sequence to an animation sequence.

Perhaps someone has sent you a sequence, but you don't have the media file to go with it. By converting the sequence to an animation, you can still play it back and watch the preview.

To convert an animation sequence to a musical sequence, use the Media File menu item.

Change Sequence Length

This menu item allows you to change the duration of the current sequence.

For information on the format used to specify an amount of time, please see the Time Format topic.

The Change Sequence Length dialog

The Change Sequence Length dialog

Skew All

Skewing a sequence will move all of its events, timings, and loops by some specified amount of time. A sequence can be skewed either to the left - i.e. shifting its events (and such) earlier in time - or to the right - i.e. shifting them later in time.

After selecting "Skew All" from the Sequence menu, a window will open up, allowing you to choose the size and direction of the skewing:

The Skew All dialog

The Skew All dialog

In most cases, you should leave the "Action" section with the default choices. However, if you have a special situation, you can turn off skewing of effects or timing marks as needed.

After completing this dialog, the sequence will be skewed by the amount, and in the direction, that you chose.

Here is an example of a simple sequence, before and after skewing to the right by one-quarter second:

A simple sequence, before skewing

A simple sequence, before skewing

The same sequence, after skewing to the right by 1/4 second

The same sequence, after skewing to the right by 1/4 second

Windows Command

This menu item will open the Windows Shell Command dialog which allows a command to be executed whenever the current sequence is run (whether by the Sequencer or by the Show Player).

Preview Design

This menu item opens the Preview Design window for the current sequence.

Assign Different Preview

This menu item allows you to associate a different preview to the current sequence. This function works best if the new preview started out as a copy of the original preview. However, the function will also look for matching prop names between the old preview and the new preview. Effects will be preserved for props and groups that match. Where there is no match, those items and their effects will be archived.

Manage Archived Props

This menu item will open the Manage Archived Props dialog which allows you to change archived props in the current sequence: delete them, turn them into preview props, or turn them into beat channels.

Manage RGB Aggregates

This menu item will open the Manage RGB Aggregates dialog which allows you to add, modify, and delete RGB aggregate channels. RGB aggregates allow you to combine any 3 existing channels (the colors don't need to be red, green, and blue necessarily), and the combination of the 3 is treated as an RGB channel for sequencing purposes.

Manage Picture Effects

This menu item will open the Manage Picture Effects dialog, which allows you to control where the image files used in the sequence's Picture motion effects are stored. The images can be stored inside the sequence file (making it easier to move your sequence from one computer to another), or they can be stored separately from the sequence.

Motion Row Cleanup

This menu item will open the Motion Row Cleanup dialog which allows you to permanently remove certain types of unused grid rows from the sequence. This menu item is only available to users with a Pro license.

The Motion Row Cleanup dialog

The Motion Row Cleanup dialog

Add New

This menu item opens a sub-menu, allowing you to add a new loop level, beat channel, subsequence, or RGB aggregate. "Add New" is also available on the Grid View menu.

Smooth To Fades Level

The "Smooth To Fades Level" sub-menu allows you to control whether adjacent effects are merged with one another. Being more aggressive may reduce the number of commands sent to your controllers. On the other hand, if you are sequencing DMX fixtures that require specific DMX values to control their functions, then you should probably set this to "None". Changing this setting only applies to new effects, it does not change effects already in the sequence. So you can change the setting back and forth as needed over the course of creating a sequence.

Each sequence can have its own value for this setting, and the current value is stored in the sequence file. By selecting "Make current setting the default for new sequences" you can set the default value for new sequences.

Grid Configuration

This item opens a sub-menu allowing you import or export the user-defined grid views in the sequence. The system-generated "Show All Items" grid view is not included in the export.

Grid Views in a sample sequence

Grid Views in a sample sequence

So in the example shown above, "View 1", "View 2", "View 3", and "View 4" would be included in the export file.

For Pro users, the export file will also include the properties of each motion effect row. This is useful if you have created motion rows for subsections of a prop or group.

The "Grid Configuration" sub-menu is also accessible from the Grid View menu.


Sequence Information Dialog

Selecting "Sequence Information" from the Sequencer's Sequence menu opens a dialog that displays key information about the sequence, allowing you to change some of it:

· Audio Information

· Created By

· Created At

· Modified By

· Music Artist

· Music Title

· Music Album

The Sequence Information dialog

The Sequence Information dialog

Audio Information

If your license level is below Pro, then "Waveform Only" will be your only choice here. With any media file except MIDI, you will see a waveform displayed when the sequence is opened.

If you have a Pro license, you can also choose to see the audio as a spectrogram (see the Audio Settings topic for examples). The spectrogram takes some extra time to calculate, so sequences will take a little longer to load (the amount of time depends on the speed of your computer and the length of the media file). For a 3 minute song on a fast computer, it should only add a few seconds to the load time.

This setting also impacts the Audio motion effect. If you choose "Waveform Only", then many of the options in the Audio effect will not work.

Created By

The creator of the sequence as specified in the New Animation dialog or the New Musical Sequence dialog. This value cannot be edited.

Created At

The date and time at which the sequence was created. This value cannot be edited.

Modified By

If you modify a file that was created by someone else, you can enter your name here, if you wish.

Music Artist

For musical sequences, the artist who performed the song.

Music Title

For musical sequences, the name of the song.

Music Album

For musical sequences, the name of the album that the song is from.


File References Dialog

Selecting "File References" from the Sequencer's Sequence menu opens a dialog that lists all files referenced by the sequence. This includes the media file, the background image for the preview, subsequences, and files used by motion effects (e.g. Movie and Picture effects).

Files that don’t exist at the specified location are listed with a prefix of “*** missing ***”. This is an indication that the file reference should be fixed.

You can resize this window, if needed, so you can more easily view the information.

The media file can be fixed using the Media File item on the Sequence menu. The Preview Background file can be fixed in Preview Design. Subsequence and motion effect references can be fixed using the Change Directory and Change File commands described below.

The File References dialog

The File References dialog

Change Directory

To specify a new location for one or more files, click the check box next to the filename(s), then click the Change Directory button. You will be prompted for the new location. Note that this function does not actually move the file(s), rather it updates the effects that reference those file(s). This can be useful if you move your sequence directory, or open the sequence on a different computer.

Change File

In some cases, your file hasn't moved, but rather has changed names. In the screen shot above, perhaps you edited "bw-guitar.gif" and the new version is "bw-guitar-2.gif". In that case, you will want to select the check box select to the file name, then click the "Change File" button. This will prompt you for the new file location (folder and file name).

Where Used

If you want to know where a file is used in the sequence, click the check box next to the file name, then click the "Where Used" button. A pop up message will show where the file is first used (not everywhere it is used). In the example below, "Raindrops.gif" is first used on the prop "candy cane2", on motion effects row "Effects 01", starting at 42.30 seconds and continuing until 1 minute, 0.60 seconds.

Copy

Clicking the "Copy" button will place a copy of the list of files used by motion effects onto the clipboard, so you can then paste the information into another document.


Windows Shell Command Dialog

When a sequence is started, Light-O-Rama can optionally also execute an arbitrary Windows command, running any program that you specify.

For example, some people broadcast the songs that play during their shows over radio, and would like the name of the song to be broadcast along with it, using the RDS ("Radio Data System") protocol, allowing people with RDS-enabled radios to see the name of the song that they are listening to. RDS is not directly supported by Light-O-Rama, but you could set up your musical sequences so that, whenever one of them is played, Light-O-Rama will tell Windows to tell your RDS program to broadcast the name of the song for that sequence.

To set up a sequence to execute a Windows command, select "Windows Command" from the Sequencer's Sequence menu. After that, whenever that sequence is played by the Show Player, the command will be executed. You can also choose whether the command is run when played in the Sequencer.

Important notes:

·the command will not be executed if the sequence it is associated with is used as a subsequence of another sequence.

·if the Show Player is running when you change the command associated with a sequence, you may have to stop and start the Show Player in order for this change to be picked up.

·This feature is available only at the Advanced feature level and higher.

Topics:

· Control Whether Commands Are Run When Played in the Sequencer

· Reuse Existing Command

· Create New Command

· Shell Command Variables

· Sharing Sequences between Computers, and Security

· Examples

The Windows Shell Command dialog

The Windows Shell Command dialog

Control Whether Commands Are Run When Played in the Sequencer

The commands you enter on this screen will be run when the sequence is played by the Show Player. Depending on your situation, you may or may not want these commands to run when they are played in the Sequencer. You can control this behavior on the Sequencer Preferences Playback tab.

Reuse Existing Command

Select the "Existing Command" radio button and choose a command from the drop-down list to use a command that was already set up for another sequence. Both sequences will run the same command when they start.

·The CopyButton button copies the selected existing command to the "new command" box so you can use an existing command as the basis for a new one.

·The DeleteButton button deletes the selected command. This will affect all sequences that use the same command; so be very certain that the command is no longer needed before deleting it. If your intent is that the current sequence no longer run a command, use the "No command" radio button instead.

Create New Command

Select the "New Command" radio button for creating an entirely new command, not used by any other sequence. If your command is an executable file or batch file (.EXE, .BAT, or .CMD extension), you can use the "Select" button to select the desired file and the full path to the file will be placed in the new command text box. Your command can also include special shell command variables as noted below.

Shell Command Variables

For the most part, a shell command will be executed exactly as you type it. You can, however, additionally use certain variables, which will be replaced at run-time with various information, such as the title of the song associated with the sequence. The following variables can be used (note: the exact result of using any of the date/time "DT_" variables may depend upon your computer system, so try them out if you need to rely upon an exact format):

Variable | Meaning
%% | A single percent character ("%")
%DT_a% | Day of week, abbreviated ("Mon")
%DT_A% | Day of week ("Monday")
%DT_b% | Month name, abbreviated ("Aug")
%DT_B% | Month name ("August")
%DT_c% | Date and time ("Sunday, March 09, 2008 4:05:07 PM")
%DT_d% | Day of month (01 through 31)
%DT_H% | Hour, 24 hour clock (00 through 23)
%DT_I% | Hour, 12 hour clock (01 through 12)
%DT_j% | Day of year (001 through 366)
%DT_m% | Month number (01 through 12)
%DT_M% | Minute (00 through 59)
%DT_p% | AM or PM
%DT_S% | Second (00 through 61)
%DT_w% | Day of week, number (0 through 6, Sunday being 0)
%DT_x% | Date ("11/29/10")
%DT_X% | Time ("16:32:37")
%DT_y% | Year, two digit ("10")
%DT_Y% | Year, four digit ("2010")
%ENV_something% | The value of your computer's environment variable "something"; for example, use %ENV_PATH% to get the value of your computer's PATH environment variable
%MEDIA_ALBUM% | The name of the album that this sequence's media file is from (if set in your sequence)
%MEDIA_ARTIST% | The name of the artist that this sequence's media file is by (if set in your sequence)
%MEDIA_FILENAME% | The name of the sequence's media file, without path information
%MEDIA_FILENAME_FULL% | The name of the sequence's media file, with path information
%MEDIA_FILENAME_NO_EXT% | The name of the sequence's media file, without path information and without the file extension (such as ".mp3")
%MEDIA_TITLE% | The name of the song that this sequence's media file is (if set in your sequence)
%SEQUENCE_AUTHOR% | The author of this sequence (if set in your sequence)
%SEQUENCE_CREATED_AT% | The date and time at which the sequence was created
%SEQUENCE_FILENAME% | The name of the sequence file, without path information
%SEQUENCE_FILENAME_FULL% | The name of the sequence file, with path information
%SEQUENCE_FILENAME_NO_EXT% | The name of the sequence file, without path information and without the file extension (such as ".lms")
%SEQUENCE_MODIFIED_BY% | The name of the person who has modified the sequence (if set in your sequence)

These variables were supported in prior versions, but are no longer supported in S5

Variable | Meaning
%DT_U% | Week of year, with the first Sunday of the year starting week 01 (00 through 53)
%DT_W% | Week of year, with the first Monday of the year starting week 01 (00 through 53)
%DT_Z% | Time zone ("EST")

Sharing Sequences between Computers, and Security

The ability to execute an arbitrary Windows command is very powerful, and even potentially harmful - for example, you could execute a command which will install spyware on your machine. Therefore, it would not be wise to execute whatever Windows command another person chose, unless you are absolutely sure that the command they chose is safe and harmless.

For this reason, Light-O-Rama imposes a security measure: The command to be executed is not stored directly in the sequence file itself. Instead, the sequence file contains a key for an entry in another file ("cmdmap.lcm", located in your Light-O-Rama sequences directory); that entry specifies the Windows command to be executed. If that file doesn't contain an entry for that key, Light-O-Rama simply does not execute any command when the sequence plays.

So, you can use sequences created by other people without fear of spyware or other harmful programs, as long as you continue to use your own version of cmdmap.lcm, not a copy of the other person's cmdmap.lcm.

However, this means that if you yourself use Light-O-Rama on two separate machines - for example one to create your sequences on, and another to run your shows on - you will have to copy your "real" version of cmdmap.lcm from one machine to the other if you want your sequences to execute Windows shell commands. You would typically do this at the same time that you copy your sequences themselves over from one machine to the other.

Examples

Update a File

The following command will write the media file name to a file called "NowPlaying.txt" in the your Documents folder.

cmd /c echo %MEDIA_FILENAME% > %USERPROFILE%\documents\NowPlaying.txt

Let's break this command down:

·"cmd /c" starts a Windows shell command processor. The "/c" is an option that tells the command processor to run the command that follows it and then terminate.

·"echo" is a command that outputs the text that follows it.

·"%MEDIA_FILENAME%" is one of the Light-O-Rama command variables noted above.

·">" redirects the output to a file.

·"%USERPROFILE%\documents\NowPlaying.txt" is the name of the file where the output gets written. "%USERPROFILE%" is a Windows environment variable that usually points to "C:\Users\Your-Account-Name".

Call a Batch File

In this example, we will pass the media title, artist, and album to a batch file for further processing. First, create a new batch file using Microsoft Notepad or a similar text editor. We suggest putting it in your Documents folder with the file name "NowPlaying.bat". Here is the contents, which you can copy/paste into your text editor. Feel free to modify it to suit your own needs.

rem Light-O-Rama batch file example

rem

rem This batch file accepts the media title, artist, and album as parameters

rem Get the path to this file

set MyPath=%~dp0

rem Get the parameters that were passed in

rem The tilde removes the double-quotes surrounding the parameter

set title=%~1

set artist=%~2

set album=%~3

echo Now playing %title% by %artist% from the album %album% > "%MyPath%\NowPlaying.txt"

This batch file accepts 3 parameters, formats the output nicely, and then saves it to a text file called "NowPlaying.txt" (located in the same folder as the batch file itself).

To create a command in the Sequencer that calls this batch file, follow these steps:

1.Click the "New Command" radio button

2.Click the "Select..." button

3.Once the Select File dialog opens, navigate to your batch file and select it, and then click the "Open" button.

4.The name of the batch file is now displayed in the text box. Append the following text to it (including the double-quotes):

"%MEDIA_TITLE%" "%MEDIA_ARTIST%" "%MEDIA_ALBUM%"


Manage Archived Props Dialog

Selecting "Manage Archived Props" from the Sequence menu opens a dialog where you can view all of the archived props in a sequence.

Check the boxes next to the archived props you want to take action on. You can use the "Select All" button to set or clear all of the boxes at once.

After you have selected the desired props, take action by clicking one of the 3 big buttons:

·"Move to preview" will convert the archived prop to a preview prop (i.e. it adds the prop to the preview). The prop is no longer archived and its sequencing will appear during preview playback and will control real lights.

·"Move to beats" will convert the archived prop to beat channels. While upgrading a sequence, a beat channel in the legacy sequence could get archived because it does not exist in the preview. This command will allow that issue to be corrected. This button is only enabled when working on a musical sequence.

·"Delete" permanently removes the selected archive props from the sequence. A legacy sequence might contain channels that were no longer used and those channels would get archived because they don't exist in the preview. There is no reason to keep such channels in an S5 sequence, so this command gives you an efficient way to remove them.

After you are done, click "Save" to close the dialog and make the actions permanent, or click "Cancel" to revoke the changes.


Manage RGB Aggregates Dialog

Selecting "Manage RGB Aggregates" from the Sequencer's Sequence menu opens a dialog where you can view all of the RGB aggregates in a sequence. From this dialog you can:

· Add a new RGB aggregate

· Modify an existing RGB aggregate

· Delete an RGB aggregate

The Manage RGB Aggregates dialog

The Manage RGB Aggregates dialog

Add a new RGB aggregate

Clicking the "+" icon will open a dialog allowing you to create a new RGB aggregate.

·Enter the name for the new aggregate.

·Use the filter box to narrow done the list of channels to choose from.

·Click on a channel name that will occupy the red slot in the aggregate, then click the "Set Red" button. The name of the selected channel will appear below the button.

·Click on a channel name that will occupy the green slot in the aggregate, then click the "Set Green" button. The name of the selected channel will appear below the button.

·Click on a channel name that will occupy the blue slot in the aggregate, then click the "Set Blue" button. The name of the selected channel will appear below the button.

·Click the "Create" button to create the aggregate.

It is not required to set all 3 slots. Setting only 1 or 2 of the slots is fine.

Creating a new RGB Aggregate

Creating a new RGB Aggregate

Modify an existing RGB aggregate

Double-clicking on an RGB aggregate name (or clicking a name to select it then clicking the pencil icon) will open a dialog allowing you modify the selected RGB aggregate. Here you can change the name, or change the channels assigned to any of the 3 slots. To change the channel assigned to a slot, use the same procedure described in creating an aggregate.

Modifying an RGB Aggregate

Modifying an RGB Aggregate

Delete an RGB aggregate

Click on an aggregate name to select it then click the red "X" icon to delete it. You can also use Shift-click and Ctrl-click to select multiple items before clicking the delete icon.


Manage Picture Effects Dialog

Picture motion effects display an image on your prop. You can use the Manage Picture Effects dialog to control where the image files used in the sequence's Picture motion effects are stored. Image files can either be stored within the sequence file (embedded), or stored on your computer's hard drive (external). From this dialog you can:

· Embed external files

· Extract embedded files

Embed External Files

Pressing the "Embed external files" button will copy all files listed in the "External picture files" section into the sequence file itself. This can make it easier to move your sequence from one computer to another -- since the images are stored inside the sequence file (.LOREDIT extension), the image files no longer need to be copied separately.

As part of this operation, the Picture effects in the sequence are updated to point to the new embedded file location.

You can also specify a maximum height and width in order to reduce the size of the embedded image. This helps keep the total size of your sequence file down. When scaling down your image, the image's aspect ratio is maintained. So if the maximum height/width is set to 256 (the default) and you embed an image that is 1000 pixels tall by 2000 pixels wide, then the embedded image will be 128 pixels tall and 256 pixels wide (in this example the image is wider than it is tall, so the width controlled the amount of scaling).

Here is an example from a sequence with 2 Picture motion effects:

Prior to embedding

Prior to embedding

Pressing the "Embed external files" button will embed the files and then update the dialog to reflect the new file location:

After embedding

The picture names are appended with a series of letters and numbers in order to ensure each name is unique.

Extract Embedded Files

Pressing the "Extract embedded files" button will move all files listed in the "Embedded pictures" section onto your computer's disk drive. This can allow you to use those files in other applications.

The files are placed in a new sub-folder, below the folder where the sequence is stored. For example, if your sequence file is "\Light-O-Rama\Sequences\MySequence.LOREDIT", then the image files will be placed in a folder called "\Light-O-Rama\Sequences\MySequence-Pictures".

As part of this operation, the Picture effects in the sequence are updated to point to the new file location.

Here is an example from a sequence with 2 Picture motion effects:

Before extracting

Pressing the "Extract embedded files" button will start the process. After the files are extracted, you will get a confirmation message. If a problem was encountered during the extraction, then this message will include some information about the error.

After clicking "OK" to close the message, the dialog will be updated to reflect the new location for the files.

After Extracting


Tools Menu

The Light-O-Rama S5 Sequencer's Tools Menu gives you access to a set of functions that are unrelated to a specific sequence.

· Motion Effect Generator

· Beat Wizard

· MIDI File Wizard

· Tapper Wizard

· VU Wizard

· Sequencer Preferences

· Keyboard Preferences

· Theme

· Zoom Preferences

The Tools Menu

The Tools Menu

Motion Effect Generator

This option on the Tools menu opens the Motion Effect Generator window.

·When no sequences are open, this menu item can be used to create motion effects and optionally save the one’s you like as favorites. In the Motion Effect Generator, you can freely switch the preview and prop down-down selections to see how your effect looks on any display element. You can do this at any license level.

·When a sequence is open, this menu item can be used to place a motion effect into the current grid selection See the Sequencing topic for more information on how to use the Motion Effect Generator when editing your sequences. Placing motion effects in a sequence requires the Pro license level.

Beat Wizard

This option on the Tools menu opens the beat-detecting audio wizard.

MIDI File Wizard

This option on the Tools menu opens the MIDI file audio wizard. This option is only enabled if the sequence's media file is a MIDI file (.MID file extension).

Tapper Wizard

This option on the Tools menu opens the Tapper audio wizard.

VU Wizard

This option on the Tools menu opens the VU audio wizard.

Sequencer Preferences

This option on the Tools menu opens the Sequencer Preferences dialog, which allows you to customize some of the look and behavior of the S5 Sequencer..

Keyboard Preferences

This option on the Tools menu opens the Keyboard Preferences dialog, which allows you to customize which keys trigger which actions. For example, you assign the key that creates a new "on" effect.

Theme

This option on the Tools menu allows you to choose among several themes (color schemes) for displaying the main window of the Light-O-Rama Sequencer

Zoom Preferences

This option on the Tools menu allows you to customize zoom preferences (default row height and time scale width) for new sequences.


Sequencer Preferences

The Sequencer Preferences menu item on the Light-O-Rama S5 Sequencer's Tools menu opens a dialog that allows you to customize the behavior of certain functions in the Sequencer. The dialog has several tabs:

· Tooltips

· Playback

· Motion Effects

· Channel Effects

· Previews

· Save Copy

· Video

· Cursors

· Start Up

The Sequencer Preferences Dialog

The Sequencer Preferences Dialog


Tooltip Preferences

The "Tooltips" tab is accessed by selecting Sequencer Preferences from the Sequencer's Tools menu. From here you can control how tool-tips are displayed on the sequence grid.

· Enable tooltips

· Seconds before opening

· Display RGB channels as percentages

· Seconds before closing automatically

· Manually close tooltips on mouseover

· Manually close tooltips on click

Sequencer Preferences - Tooltips Tab

Sequencer Preferences - Tooltips Tab

Enable tooltips

If this box is checked, when the mouse is over a sequence grid, a tool-tip displaying information about the cell being pointed to can be displayed.

Seconds before opening

If tool-tips are enabled, this text box controls how many seconds it will take before the tool-tip pops up, when the mouse is kept still over a sequence grid.

You do not have to specify a whole number; for example, you can set it to six tenths of a second by entering "0.6".

Display RGB channels as percentages

When this option is checked, the red, green, and blue components of RGB channels are displayed as 0 to 100%. When not checked, values are displayed in the range 0 to 255.

Seconds before closing automatically

If tool-tips are enabled, this checkbox and text box control whether or not they will automatically close themselves a certain amount of time after being opened. If the checkbox is checked, they will automatically close after the number of seconds specified in the text box.

You do not have to specify a whole number; for example, you can set it to three-quarters of a second by entering "0.75".

Manually close tool-tips on mouseover

If tool-tips are enabled, selecting this option will make them close when you roll your mouse over them. The other option is to make them close when you click on them.

Manually close tool-tips on click

If tool-tips are enabled, selecting this option will make them close when you click on them. The other option is to make them close when you roll your mouse over them.


Playback Preferences

The "Playback" tab is accessed by selecting Sequencer Preferences from the Sequencer's Tools menu. From here you can control:

· How color samples are displayed during playback

· How progress is indicated during playback

· Whether Windows Shell Commands are run during playback in the Sequencer

Sequencer Preferences - Playback Tab

Sequencer Preferences - Playback Tab

Color Sample Preferences

This option controls the width of the color sample area (just to the right of the channel names, as shown in the picture below). Choose "No color sample" to not display color samples at all.

Playback Progress Preferences

This option controls how the playback marker is displayed. The options are:

·Use a moving marker - this mode displays a marker at the current playback location, regardless of timing marks.

·Highlight the current column - this mode highlights the timing marks immediately before and after the current playback location.

·Highlight the current timing mark - this mode highlights a timing mark as the current playback position reaches it. When the playback position is between timing marks, nothing is highlighted. This mode is useful for verifying that your timing marks match the music.

·Use a moving marker and highlight the current timing mark - this mode displays the moving marker until it reaches a timing mark, at which point the timing mark is highlighted.

·Use a moving marker and highlight the current column - this mode is a combination of the first 2 modes.

Playback in Progress

Playback in Progress

Windows Shell Command Preference

This option controls whether Windows shell commands are run in:

·the Sequencer and Show Player, or

·only in the Show Player.


Motion Effect Preferences

The "Motion Effects" tab is accessed by selecting Sequencer Preferences from the Light-O-Rama S5 Sequencer's Tools menu. From here you can control:

· How motion effects are displayed in the sequence grid

The Sequencer Preferences - Motion Effects Tab

The Sequencer Preferences - Motion Effects Tab

How motion effects are displayed in the sequence grid

Motion effects can be displayed in the sequence grid 3 different ways. Use this selection to choose the one you prefer.

With any of the 3 options, you can see more detail about an effect by:

1.hovering your cursor over an effect to see the effect's name (requires tool-tips to be enabled)

2.double-click on the effect to open it in the Motion Effects Generator, or

3.single-click on the effect and it will be displayed in the playback window (assuming the playback window is not hidden).

Motion Effect Icons

This option displays motion effects using an icon. Each icon is specific to the unique effect - reflecting the palette and options chosen for that effect.

Icons get generated as the motion effects first scroll into view on the sequence grid. So it is expected that motion effects will briefly display using the alternating colors scheme, and then change to an icon.

To see the icons more easily, increase your sequence grid row height.

It is possible to get a completely black icon. If that happens, you can use any of the 3 actions listed above to get more information about the effect.

Motion Effect Names (4 letters)

Motion effects with naming enabled

Motion effects with naming enabled

This option is like the alternating colors option except that the first 4 letters of the effect's name are displayed on top of the effect color. This can help identify the effect without needing to hover over it to see the tool-tip. In the example above, you can see that the first row contains a series of Color Wash effects, the second contains Bars effects, and the third row contains Spiral effects.

Motion Effects With Alternating Colors

Motion effects with alternating colors

Motion effects with alternating colors

This options displays the motion effects using 2 alternating colors. Colors change where one effect stops and the next effect starts. The colors shown on the grid have nothing to do with the colors that are used in the effect. Use "Grid color 1" and "Grid color 2" to set the 2 colors displayed on the sequence grid for motion effect rows.

Motion Row Order

This option controls whether motion rows are listed foreground layer to background layer (first option) or background layer to foreground layer (second option). This is explained further in the section about layers.

Foreground Layer On Top

In this mode, the foreground layer is always shown on top and the background layer is always shown at the bottom - in Manage Motion Effect Rows and in the sequence grid. In this mode, you are not allowed to rearrange motion effect rows in the sequence grid.

Foreground Layer On Bottom

In this mode, the background layer is always shown on top and the foreground layer is always shown at the bottom - in Manage Motion Effect Rows and in the sequence grid. In this mode, you are not allowed to rearrange motion effect rows in the sequence grid.

Unstructured

In this mode, Manage Motion Effect Rows will show the foreground layer on top. However, you are free to arrange the motion rows in any order on the sequence grid. You can also organize the motion rows for a prop into grid view groups.


Channel Effect Preferences

The "Channel Effects" tab is accessed by selecting Sequencer Preferences from the Sequencer's Tools menu. From here you can control how channel effects are displayed on the sequence grid.

The Sequencer Preferences - Channel Effects Tab

The Sequencer Preferences - Channel Effects Tab

Fades

When fade or intensity lighting effects are displayed in the Sequencer, they are displayed in one of two ways: "as ramps" or "as colors". You can use the "View fades as ramps" check box to control which is used.

When viewed "as colors", fades and intensities will be displayed as gradually varying shades between light grey (which indicates that the channel is off, i.e. the intensity is zero) and the color assigned to the channel (which indicates an intensity of 100%, i.e. full brightness).

When viewed "as ramps", they are instead displayed as partially filling in their cells with the color of the channel, to a degree based upon the intensity.

Neither of these settings have any effect on the behavior of your actual lights; they only affect how the Sequencer displays these lighting effects in the sequence grid.

A sequence with fades viewed using colors

A sequence with fades viewed using colors

The same sequence, with fades viewed as ramps

The same sequence, with fades viewed as ramps

Split RGB Channels

The "Split RGB Channels" check box controls whether RGB channels are displayed with their red / green / blue sub-channels or not. Turning this option off can save memory, allowing larger sequences to be loaded. Note that this option is applied when a sequence is opened. Changing the option with sequences already open will not change the way the open sequences are displayed. To view those sequences with the new setting, close the sequences and then reopen them.

Split RGB Channels is enabled

Split RGB Channels is enabled

Split RGB Channels is disabled

Split RGB Channels is disabled

Channel Background Color

Regular channels and beat channels are displayed with a gray background on the sequence grid. However, you can control how light or dark you want the gray background to be. Use the slider to control the lightness. A sample is shown to the right of the slider.


Preview Preferences

The "Previews" tab is accessed by selecting Sequencer Preferences from the Light-O-Rama S5 Sequencer's Tools menu. From here you can control:

· How preview background images are handled

· The screen drawing quality

The Sequencer Preferences - Previews Tab

The Sequencer Preferences - Previews Tab

How preview background images are handled

This option determines whether the background image will be stretched to completely fill the playback window, or whether the image's aspect ratio (the ratio of the width to the height) will be maintained. Note that props are drawn in relation to the background image; so if you choose the option where the aspect ratio is maintained, then it will also be maintained for the all of the props in the preview. Maintaining the image's aspect ratio is highly recommended.

The screen drawing quality

If you are running the Sequencer on a game-rated computer (one that has a graphics card), then the Sequencer can take advantage of that hardware in Preview Design and while playing a sequence in the playback window. This is a performance versus display quality trade-off. If you choose a higher quality setting and then notice that playback lags, then you will want to return to this tab and choose a lower quality setting.

Changing the drawing quality will not take effect until the next time the Sequencer is started.

Hexagon-shaped bulbs at the lowest quality setting (enlarged to show detail):

Hexagon-shaped bulbs at the highest quality setting (enlarged to show detail):


Save Copy Preferences

The "Save Copy" tab is accessed by selecting Sequencer Preferences from the Light-O-Rama S5 Sequencer's Tools menu. From here you can customize the behavior of the Save A Copy item on the File menu. The available options are:

· Save A Copy During Regular Save

· Save A Copy Location

· File Name Suffix

The Sequencer Preferences - Save Copy Tab

The Sequencer Preferences - Save Copy Tab

Save A Copy During Regular Save

If this box is checked, then every time the user performs a regular Save operation it will be automatically followed by a Save A Copy operation. If unchecked, then Save A Copy will only be performed when the user selects it from the File menu.

Save A Copy Location

This option allows the user to specify the folder for Save A Copy operations.

File Name Suffix

This option allows you to customize the default suffix that is applied. Choosing the “Date and Time” option is particularly useful for making multiple backup copies of your sequence.

If you enter custom text, you can only use characters that are valid in Windows file names. These characters are forbidden: * . " / \ [ ] : ; | = ,


Video Preferences

Musical sequences are associated with a song or other sound effect, from either an audio file (such as an MP3) or a video file (such as an AVI, WMV, or MP4 file). If a musical sequence is associated with a video file, Light-O-Rama can display the video during play.

The "Video" tab is accessed by selecting Sequencer Preferences from the Sequencer's Tools menu and can be used to control whether and how video is displayed during playback. It only controls playback from the Sequencer. There is a similar setting in the Control Panel which determines how video playback is performed during a show.

You have these options:

· Display Videos in a Window

· Display Videos in Full Screen Mode

· Use Audio Track Only When Sequencing With Video Media

Not all modes are supported at all license levels. See the Feature Comparison page for more information.

The Sequencer Preferences - Video Tab

The Sequencer Preferences - Video Tab

Display Videos in a Window

In this mode, video will be displayed in a window. You can move the window and resize it as needed.

Display Videos in Full Screen Mode

In this mode, video will be displayed full screen. If you have multiple monitors, first select the Display Vidoes in a Window option. Play a sequence and position the video window on the desired monitor. Stop playback. Go back into Video Preferences and change the option to Full Screen Mode.

Use Audio Track Only When Sequencing With Video Media

In this mode, when a musical sequence with a video is played, only the audio track of the video will be played. There will be no video window.


Editing Preferences

The "Editing" tab is accessed by selecting Sequencer Preferences from the Light-O-Rama S5 Sequencer's Tools menu. From here you can control the:

· Double-click method

· Cursor style when editing

· Drag effect edges default

Sequencer Preferences - Editing Tab

Sequencer Preferences - Editing Tab

Double-Click Method

You can double-click on any effect on the sequence grid in order to modify it. There are 2 choices for making the double-click:

·Double-click with no extra keys. This is the easiest to use and the easiest to remember.

·Ctrl-Shift double-click. This requires holding the Ctrl and Shift keys down when you double-click. This is obviously a little more work, but the program is slightly more responsive in this mode. It should only be needed by users who do a lot of clicking very quickly.

When using the first option, make sure the "mouse double-click speed" value is set properly in Windows (you don't want it too slow). In Windows 10, open the Mouse Settings screen, then click on "Additional mouse options".

Windows 10 Mouse Settings

Windows 10 Mouse Settings

The double-click speed setting

The double-click speed setting

Cursor Style When Editing

From here you can customize the cursor that is displayed when:

·drawing light strings in Preview Design

·creating effects in the sequence grid -- when the toolbar "Select Action" is anything other than Select.

You have your choice of:

·Yellow pencil (default). Some users say the black tip of the pencil makes the exact location of the cursor hard to determine. Therefore, you can also choose...

·White pencil, or

·Up Arrow. This cursor is built into Windows. So if you have custom cursors loaded onto your system, the arrow may look slightly different than what is shown in the dialog.

The intent is that the Sequencer uses the default Windows arrow cursor for selection and a different cursor when drawing.

Drag Effect Edges Default

This option allows the Drag Effect Edges tool to be enabled by default when a sequence is opened.


Start Up Preferences

The "Start Up" tab is accessed by selecting Sequencer Preferences from the Light-O-Rama Sequencer's Tools menu. From here you can control:

·Whether Control Lights is automatically enabled if the Control Panel is already running when the Sequencer is started.

·Whether the Sequencer uses the default window arrangement when it starts, or restores the various windows to their last location. For some users with multiple monitors, the Sequencer refuses to start up when restoring windows to their last location. Deleting the file "\Light-O-Rama\LORInternal\sequencerlayout.xml" will allow the Sequencer to reopen. If this issue happens repeatedly, check the "Use default window arrangement at startup" box. If the box is checked, the Sequencer will no longer restore windows to their last location.

·Whether the Sequencer uses hardware accelerated graphics on certain screens. This makes the program more responsive. However, on some older computers (notably those with 2nd generation Intel Core processors), this can cause the program to crash. If the program crashes when the Prop Definition window is displayed, try clearing the "Use accelerated graphics" check box.

·Choose whether playback calculations use all processors (default, faster), or only a single processor (slower). Some complex combinations of motion effects might cause the Sequencer to crash when using multiple processors - which can be avoided by turning this option off.

·The paste mode that is selected when a sequence is opened.

·The maximum number files to display on the Start Page.

The Sequencer Preferences - Start Up Tab

The Sequencer Preferences - Start Up Tab


Keyboard Preferences

The Keyboard Preferences menu item on the Light-O-Rama S5 Sequencer's Tools menu opens a dialog that allows you to customize the actions that take place when you type a key on your keyboard. The built-in (default) mapping of keys to actions is listed in the Keyboard Shortcut Summary. Here are some examples where you might want to use this dialog to create a customized keyboard mapping:

·There might be some keys in the default mapping that don't seem intuitive to you.

·You frequently use a program that uses different keys to move and take action and you want the Sequencer to follow a similar behavior when those keys are struck.

·You want to make a single key perform multiple functions - for example, you could set up the "N" key to expand the selection to the right by three cells and down by two cells, and then turn the entire (newly expanded) selection on.

The Keyboard Preferences dialog

The Keyboard Preferences dialog

This dialog is resizable. In particular, you can make it taller so that you can see more key mappings at a time.

The Keyboard Preferences dialog has several sections:

·The "Active Keyboard Map" section allows you to choose what set of keyboard operations should be used.

·The "Maps" section allows you to define new sets of keyboard operations, or to delete existing sets.

·The "Keys" section allows you to define what keys should perform what operations in the currently active set of keyboard operations.

·Under that is displayed a list all keys in the current set of keyboard operations, and the operations that they perform. Click on a column heading to sort the list by that column. Double-click on a row to edit that entry. Only entries for custom maps are editable; however, you can double click on entries for the default mapping and see a read-only view of that map entry.

·Buttons at the bottom allow you to copy the list to the clipboard or to print the list.

Active Keyboard Map

The "Active Keyboard Map" section allows you to choose which keyboard map should currently be used. You can choose to use the default keyboard map for the current version of software, or to use a custom keyboard map that you have defined.

Use the Default Keyboard Map

Choosing this option will cause the Sequencer to use its default keyboard map. Moreover, if you have this option selected, and later upgrade to a new version of software which has a different default keyboard map, the Sequencer will then use that new default keyboard map.

Use a Custom Keyboard Map

Choosing this option will cause the Sequencer to use a keyboard map that you yourself have defined. Moreover, if you have this option selected, and later upgrade to a new version of software which has a different default keyboard map, the Sequencer will then continue to use the custom map that you have selected.

Your custom keyboard maps are automatically saved to your Light-O-Rama data directory, in the "CommonData\CustomKeyMaps.xml" file. If you would like to share your custom maps with another user, you can simply give them a copy of your "CustomKeyMaps.xml" file. When they place it into their own "CommonData" directory, it will be available for them as a custom keyboard map.

Note that this option is not available until you have defined at least one custom keyboard map, which you can do through either "Duplicate Map" or "New Empty Map".

Maps

The "Maps" section allows you to create new custom keyboard maps (either duplicating the current map or else creating an empty map), or to remove maps that you have previously created.

Duplicate Map

Using this button, you can create a new custom keyboard map which uses the exact same key mappings as the currently selected map does. You can then modify the key mappings as you desire, using "New Key", "Edit Key", or "Remove Key".

The new map will show up in the drop-down list under "Use a Custom Keyboard Map", and in fact will automatically be selected when you create it.

New Empty Map

Using this button, you can create a new custom keyboard map which does not contain any key mappings at all - that is, no key will cause anything to happen when you press it. You can then add keys to it via "New Key", and later edit or remove them via "Edit Key" or "Remove Key".

The new map will show up in the drop-down list under "Use a Custom Keyboard Map", and in fact will automatically be selected when you create it.

Remove Map

If you have currently selected a custom keyboard map (via "Use a Custom Keyboard Map"), pressing this key will delete the map.

Note that if there is a chance that you will want to use the custom keyboard map again in the future, you should not remove it. Instead, simply switch to using a different custom map, or to a default map, leaving the map in the "Use a Custom Keyboard Map" list, thus enabling you to switch back to it when you desire. If you remove it, you will not be able to switch back to it in the future.

Keys

If you have specified that a custom keyboard map should be used (via "Use a Custom Keyboard Map"), then the "Keys" section allows you to add new keys to it, edit existing keys within it, and remove existing keys from it.

New Key

This button (which is available only when a custom keyboard map has been selected, via "Use a Custom Keyboard Map") opens up the New Key Mapping dialog, which allows you to choose a key and set its operation or operations:

The New Key Mapping dialog

The New Key Mapping dialog

To use the New Key Mapping dialog, press the key that you want to use (and, if you want, the Alt, Ctrl, and/or Shift keys), and then select the operation that you want it to perform from the dropdown list:

The New Key Mapping dialog, having selected a key and an operation

The New Key Mapping dialog, having selected a key and an operation

In the above example, Alt-Shift-F7 has been mapped to "Move Right" - that is, to move the selection to the right one cell.

You can use the "Add Row" button to assign multiple operations to a single key. They will be executed in the order that you list them. In the following example, Alt-Shift-F7 has been mapped to "Move Right, Move Down, Apply Shimmer". That is, the selection will be moved one square to the right, then one square down, and then the Shimmer effect will be applied to the new selection.

The New Key Mapping dialog, having selected a key and multiple operations

The New Key Mapping dialog, having selected a key and multiple operations

To remove operations, click the check box next to each operation you want to delete, then click the "Delete Checked Rows" button.

Edit Key

This button allows you to change the operation or operations that are in use for a certain key. It is available only when a custom keyboard map has been selected (via "Use a Custom Keyboard Map") and a particular key mapping from that map has been selected (by clicking on it in the list of key mappings at the bottom of the Keyboard Preferences dialog).

Pressing the button (or double-clicking on a row) brings up the Edit Key Mapping dialog:

The Edit Key Mapping dialog

The Edit Key Mapping dialog

The Edit Key Mapping dialog can be used similarly to the New Key Mapping dialog.

Remove Key

This button allows you to remove a certain key from the current keyboard map. It is available only when a custom keyboard map has been selected (via "Use a Custom Keyboard Map") and a particular key mapping from that map has been selected (by clicking on it in the list of key mappings at the bottom of the Keyboard Preferences dialog).

Sorting the List

To sort the list of displayed key map entries, simply on a column heading. This sorting applies not only to the list as displayed on the screen, but also to the results of the Copy and Print buttons.

Copy

This button allows you to copy the list of keys and operations to your Windows text clipboard, so that you could (for example) paste it into a text document in Notepad. The list will be sorted as you specified in the "Sort By" section.

Print

This button allows you to print the list of keys and operations. The list will be sorted as you specified in the "Sort By" section.

Operations

The following operations can be assigned to keys in a custom keyboard map:

Operation | Description
Apply Chase | Apply the Chase tool to the current selection
Apply Chase Custom | Prompt the user for custom options and then apply the Chase tool to the current selection
Apply Current Tool | Apply the current tool to the current selection
Apply Fade Down | Insert the current effect into the selection as a Fade Down.
Apply Fade Up | Insert the current effect into the selection as a Fade Up.
Apply Fill | Apply the Fill tool to the current selection
Apply Intelligent Fade | Create a fade up if the selection was created in a left to right direction; otherwise create a fade down. Effects are create using the current effect and intensity range shown on the tool bar.
Apply Maximum | Insert the current effect into the selection at maximum intensity
Apply Minimum | Insert the current effect into the selection at minimum intensity
Apply Off | Delete any effects in the current selection
Apply On | Turn the current selection on using the Intensity effect.
Apply Shimmer | Apply the Shimmer effect to the current selection
Apply Superstar | Apply the SuperStar tool to the current selection
Apply Toggle | Apply the Toggle tool to the current selection
Apply Twinkle | Apply the Twinkle effect to the current selection when not playing back. Insert a timing mark when playback is running.
Audio Beats Wizard | Opens the Beat Wizard
Audio MIDI Wizard | Opens the MIDI Wizard (only valid if the audio file is in MIDI format
Audio Tapper Wizard | Opens the Tapper Wizard
Audio VU Wizard | Opens the VU Wizard
Clear Freeform Range | Clear the freeform play range (if one exists)
Copy | Copy the effects from the current selection
Copy Timing | Copy the timings from the current selection
Cut | Cut the effects from the current selection
Delete Selected Timings | Deletes any timing marks in the current selection
Expand All | Expands the selection to encompass the entire grid
Expand Column | Expands the selection to encompass the entire column
Expand Down | Expand the current selection down one channel
Expand Effect | Select the entire effect
Expand End | Expand the current selection to the last cell in the sequence.
Expand Left | Expand the current selection left one cell
Expand Page Down | Expand the current selection down one screen
Expand Page Left | Expand the current selection left one page
Expand Page Right | Expand the current selection right one page
Expand Page Up | Expand the current selection up one screen
Expand Right | Expand the current selection right one cell
Expand Row | Expands the selection to encompass the entire row
Expand Start | Expand the current selection to the first cell in the sequence.
Expand Up | Expand the current selection up one channel
File Close | Closes the current sequence
File Close All | Closes all open sequences
File Export Legacy | Exports the current sequence in legacy (LMS/LAS) format
File New Animation | Starts a new animation sequence
File New Musical | Starts a new musical sequence
File Open | Starts the file open dialog
File Save | Saves the current sequence
File Save As | Saves the current sequence under a new name
File Save Copy | Makes a backup copy of the current sequence
Help | Open the help file
Modify Effect | Apply the current effect to the current selection
Modify FadeDown | Applies a fade down intensity profile over the current selection
Modify FadeUp | Applies a fade up intensity profile over the current selection
Motion Effect Generator | Opens the Motion Effect Generator
Move Down | Move the current selection down one channel. During sequence playback, this will mark the current time as the start of a freeform play range.
Move End | Move the current selection to the last cell in the sequence.
Move Left | Move the current selection left one cell
Move Page Down | Move the current selection down one screen
Move Page Left | Move the current selection left one screen
Move Page Right | Move the current selection right one screen
Move Page Up | Move the current selection up one screen
Move Right | Move the current selection right one cell
Move Start | Move the current selection to the first cell in the sequence.
Move Up | Move the current selection up one channel. During sequence playback, this will mark the current time as the end of a freeform play range.
Paste | Paste from the current clipboard to the current selection
Paste Special | Paste clipboard contents using the Paste Special dialog
Paste Timing | Paste timings to the current selection
Playback Start Pause | Starts playback. If playback is already going, then playback is paused.
Playback Start Stop | Start/stop playback. Uses the freeform play range if one is defined.
Playback Stop | Stops playback
Prompt Effect FadeDown | Prompts for a new effect and inserts it into the current selection as a fade down
Prompt Effect FadeUp | Prompts for a new effect and inserts it into the current selection as a fade up
Prompt Effect Maximum | Prompts for a new effect and inserts it into the current selection at maximum intensity
Prompt Effect Minimum | Prompts for a new effect and inserts it into the current selection at minimum intensity
Prompt Effect Modify | Prompts for a new effect and applies it to existing effects in the current selection
Redo | Redo the last operation that was undone
Repeat | Apply the Repeat tool
Select Change Intensity | Make the Change Intensity tool be the current tool
Select Channel Effect | Make channel effects active
Select Chase | Make the Chase tool be the current tool
Select Color Fade | Make the Color Fade tool be the current tool
Select Create | Make the Create tool be the current tool
Select DMX Intensity | Make DMX Intensity the current effect
Select Fade Down | Make the Fade Down the current slope
Select Fade Up | Make the Fade Up the current slope
Select Fill | Make the Fill tool be the current tool
Select Intelligent Fade | Make the Intelligent Fade tool be the current tool
Select Intensity | Make Intensity the current effect
Select Maximum | Make the maximum the current slope
Select Minimum | Make the minimum the current slope
Select Motion Effect | Make Motion Effects effects active
Select Select | Make the Select tool be the current tool
Select Shimmer | Make shimmer the current effect
Select Superstar Effect | Make SuperStar effects active
Select Toggle | Make the Toggle tool be the current tool
Select Twinkle | Make twinkle the current effect
Sequencer Preferences | Opens the Sequencer Preferences dialog
Subdivide Timings | Prompts for the number of divisions, then divides each selected cell into equally-sized parts
Toggle Drag Edges | Toggles "drag edges" mode
Toggle Play Loops | Toggle looping playback
Toggle Playback Window | Toggles visibility of the playback window
Toggle View Fades As Ramps | Toggle viewing fades as ramps
Tooltip | Open up a tooltip appropriate to where the mouse cursor is currently pointing on the sequence grid
Undo | Undo the last operation
Zoom Rows In | Zoom in on rows (channels)
Zoom Rows In Fully | Zoom in on rows (channels) as far as possible
Zoom Rows Out | Zoom out on rows (channels)
Zoom Rows Out Fully | Zoom out on rows (channels) as far as possible
Zoom Time In | Zoom in on time (columns)
Zoom Time In Fully | Zoom in on time (columns) as far as possible
Zoom Time Out | Zoom out on time (columns)
Zoom Time Out Fully | Zoom out on time (columns) as far as possible


Themes

The Themes menu item on the Light-O-Rama S5 Sequencer's Tools menu opens a dialog that allows you to select a color scheme for the main Sequencer window.

Theme Selection Dialog

Theme Selection Dialog

There are 3 themes to choose from:

· Light

· Dark

· Blue

After selecting a theme, the Sequencer will need to be restarted in order for the new theme to take effect.

Light Theme

The Light Theme

The Light Theme

Dark Theme

The Dark Theme (with waveform colors customized)

The Dark Theme (with waveform colors customized)

Blue Theme

The Blue Theme

The Blue Theme


Zoom Preferences

When a sequence is displayed in the Sequencer, it is represented as a grid. You can zoom in or out of the grid in either the horizontal and vertical direction at any time. See the Scrolling and Zooming topic for more information.

Whenever save your sequence the zoom level is saved too. And when you re-open that sequence, the zoom level will be restored. However, whenever the Sequencer creates a new sequence, it will use some default zoom level settings. If you prefer some particular zoom level, you probably do not want to zoom in or out every time that you create a sequence. So, the Zoom Preferences sub-menu (of the Tools menu) allows you to save your current zoom level settings as defaults, by selecting "Save Zoom Preferences".

Later, when you create a new sequence, it will default to the zoom level settings that you had saved.

If you change the zoom level on a sequence and want to get back to your saved default zoom level settings, the Zoom Preferences sub-menu also provides a way to do this: by selecting "Apply Saved Preferences".

There is also a system default zoom level, and selecting "Apply System Defaults" will apply that to the active sequence.

Zoom Preferences Sub-menu

Zoom Preferences Sub-menu


Window Menu

The Window menu of the Light-O-Rama Sequencer enables you to hide or show certain Sequencer windows on your screen. Most importantly, it allows you to reset the position of all windows to their default locations.

The following menu items are available:

· View Start Page

· View Playback Window

· View Previews Window

· View Control Lights Window

· View Effect Samples Window

· View Audio Settings Window

· Float Current Window

· Reset Window Layout

View Start Page

Selecting this option on the Window menu unhides the Start Page. This menu item is only shown if the Start Page is currently hidden.

View Playback Window

Selecting this option on the Window menu unhides the Playback window. This menu item is only shown if the Playback window is currently hidden.

View Previews Window

Selecting this option on the Window menu unhides the Preview Management window. This menu item is only shown if the Preview Management window is currently hidden.

View Control Lights Window

Selecting this option on the Window menu unhides the Control Lights window. This menu item is only shown if the Control Lights window is currently hidden.

View Effect Samples Window

Selecting this option on the Window menu unhides the Effect Samples window. This menu item is only shown if the Effect Samples window is currently hidden.

View Audio Settings Window

Selecting this option on the Window menu unhides the Audio Settings window. This menu item is only shown if the Audio Settings window is currently hidden.

Float Current Window

This option on the Window menu floats the current window so that it can be moved and sized independently of the main Sequencer window. If you have multiple display monitors, you can move a floating window to a separate monitor. Only the Start Page, Playback, Preview, Motion Effects, Control Lights, Effect Samples, and Audio Settings windows can float. Sequence windows cannot float.

Reset Window Layout

This option on the Window menu resets the position of all windows to their default locations, as shown below.


Help Menu

The Help menu of the Light-O-Rama Sequencer brings up help and other information about Light-O-Rama.

The following options are available on the Help menu:

· Contents

· Index

· Search

· Shortcut Keys

· Visit Light-O-Rama on the Web

· About the Light-O-Rama Editor

· Register or Upgrade Light-O-Rama

Contents

This option on the Help menu opens up the main Sequencer topic in the Light-O-Rama help file.

It has a keyboard hotkey: F1

Index

This option on the Help menu opens up the index of the Light-O-Rama help file.

Search

This option on the Help menu opens up the search menu of the Light-O-Rama help file.

Shortcut Keys

This option on the Help menu opens up the Keyboard Shortcut Summary in the Light-O-Rama help file.

Visit Light-O-Rama on the Web

This option on the Help menu opens the Light-O-Rama website in your web browser.

About the Light-O-Rama Editor

This option on the Help menu brings up the Sequencer's About box, which displays some information about the program and your computer.

Register or Upgrade Light-O-Rama

Use this item on the Help menu to register your Light-O-Rama software, or to upgrade to a higher level license, unlocking various features.


About

Selecting "About" from the Light-O-Rama Sequencer's Help menu displays the version of the Sequencer that you are running, your Light-O-Rama license information, and information about your computer. When contacting Light-O-Rama for help with the Sequencer, being ready with the information displayed in the “About” window can assist in getting your problem resolved faster.

If you create a ticket with the Light-O-Rama Help Desk, you can use the "Copy to Clipboard" button to copy the information shown in the window so that your can paste it into your ticket. This will assist in getting your issue resolved faster.

The Sequencer's About Box

The Sequencer's About Box


Start Page

The Start Page provides you with some useful links to help you get started quickly. The Start Page can be docked in any location, floated, or hidden. If you don't see the Start Page, you can make it visible by selecting Window > View Start Page from the main menu.

The Start Page

The Start Page

How Do I Get Started?

If you are new to the Light-O-Rama software, click the "How Do I Get Started?" link. It will open the help file where you can learn what a sequence is, and then start learning how to use the Sequencer.

Start A New Sequence

In the second section, you can click the links to quickly start a new animation or musical sequence.

Recent Sequences

At the bottom of the page is a list of sequences that have been recently viewed. Click on a link to open the sequence. The recent sequences shown on the Start Page are the same ones listed on the File > Recent Files sub-menu, plus more (if you work with a lot of sequences).

You can control the number of recent sequences shown on the Start Page by going to Startup tab of Sequencer Preferences.

Cleanup

Sometimes you have sequences on the Recent Sequences list that you no longer use. You can remove these entries by clicking the "Clean Up" button.

The Clean Up Dialog

The Clean Up Dialog

The Clean Up dialog will list all of the files shown under Recent Sequences. Simply check the boxes next to the files you want removed from the list, then click OK.


Previews Window

A preview is a representation of your light display. It defines the lighting elements, how they are arranged, and what channels they use. From the "Previews" window you can create, modify, delete, and import/export previews. The "Previews" window is normally docked on the right side of the main Light-O-Rama S5 Sequencer. To keep the window open, click the pin icon in the upper right corner of the window.

· Add a New Preview

· Modify an Existing Preview

· Delete a Preview

· Copy a Preview

· Import or Export a Preview

· Right-Click on a Preview Name

Add a New Preview

Click the "+" icon to start a new preview. This will open an empty Preview Design window ready for you to create a preview from scratch.

Modify an Existing Preview

Click on a preview name and then click the pencil icon. This will open a Preview Design window with the selected preview loaded.

Alternatively, you can double-click on a preview name to edit it.

Alternatively, you can right-click on a preview name and select "Modify" from the pop-up menu.

Delete a Preview

Click on a preview name and then click the red “X” button. You will be prompted to confirm that you want to proceed with the deletion. Click “Yes” to delete or click “No” to cancel. If after deleting it you find that you want to get it back, assuming you have a sequence associated with that preview you can just open that sequence and the preview will be imported from it.

Alternatively, you can right-click on a preview name and select "Delete" from the pop-up menu.

Multiple previews selected

Multiple previews selected

You can delete multiple previews by using Ctrl-click and Shift-click to select multiple previews, and then clicking the red “X” button (or by selecting "Delete" from the right-click menu).

Copy a Preview

Click on a preview name and then click the “Copy” button. You will be prompted for the name of the new preview. If you keep a copy of a preview for each year of your display (recommended), then this is the command you should use to copy one year's preview to the next (e.g. 2018 to 2019).

Alternatively, you can right-click on a preview name and select "Copy" from the pop-up menu.

Import or Export a Preview

The Import/Export menu

The Import/Export menu

Click the Import icon to open a menu that allows you to:

· Import a Visualizer (LEE) file. You will prompted to select an LEE file and it will then be imported into a new preview. During the import process, Visualizer fixtures will be converted to props, and Visualizer props will be imported as preview groups.

· Import a Sequence Editor Animation. You will be prompted to select the LMS or LAS sequence file that contains the animation.

·Export an S5 preview. You will be prompted for the file name. This creates a file with an LORPREV extension. You can also perform this action by right-clicking on a preview name and selecting "Export" from the pop-up menu.

·Import an S5 preview. You will prompted to a select a file with an LORPREV extension.

Right-Click on a Preview Name

The right-click menu

The right-click menu

Right-click on a preview name to open a menu that allows you to:

·Modify the selected preview in a Preview Design window.

·Delete the selected preview. You will be prompted to confirm that you want to proceed with the deletion.

·Copy the selected preview. You will be prompted for the name of the new preview.

·Export the selected preview. You will be prompted for the file name. This creates a file with an LORPREV extension.

·Create a new musical sequence using the selected preview.

·Create a new animation sequence using the selected preview.


Preview Design

Creating a preview is the first step in using the Light-O-Rama S5 Sequencer. No sequencing can be done without a preview. While it is possible to create a preview outside of the Preview Design window (via import, or using the Quick Preview feature when creating a new sequence), any editing of a preview must be done in Preview Design.

A preview defines the lighting elements in your display and how they are arranged. It allows your sequences to be simulated during playback. A preview can be a quick rough sketch, or a detailed, highly realistic depiction of your display. It is up to you to decide how much effort you want to put in to it. In any case, the preview must accurately define every channel that will be controlled by your sequences.

You can access the Preview Design window from the Previews Window or by clicking the preview name on the sequence toolbar.

Props and Groups

The display elements in a preview are referred to as 'props'. You must add a prop to the preview for every display element that you want to control. A prop can be as simple as a single channel string of traditional lights, or as complex as a big pixel tree or matrix. When you create a prop, you define the type and color of lights that it uses, its shape, and the channels assigned to it. If one of the built-in shapes doesn't meet your needs, then you can define a custom shape.

A sample of some of the shapes that come built-in to S5

A sample of some of the shapes that come built-in to S5

Props can be grouped together.

·You might do this so that the props appear together in the sequence grid.

·You might also create a group so that you can apply an effect to the group instead of individual props. This enables things like sweeping a color across your entire display.

One Preview > Multiple Sequences

One preview can be associated with multiple sequences. Update the preview once, and the next time you open any sequence associated with that preview, the update will automatically be applied.

Using Preview Design

The Preview Design window showing a sample preview

The Preview Design window showing a sample preview

At the top of the Preview Design window are:

·Save button - saves any changes to the preview and closes the window. This also increments the revision number by 1.

·Cancel button - closes the window without saving any changes.

·Help button - opens the help file to the Preview Design topic.

·The Preview Name field. The name must be unique -- having 2 previews with the same name is not allowed. If a preview is already associated with one or more sequences and you change the preview name, the association with sequences will be preserved. See the topic on Naming Strategies for a deeper discussion of how to name previews.

·The Revision Number field. The number is maintained by the system and incremented by 1 every time the preview is saved. You cannot change it manually.

Below this there are 5 tabs:

· Design - this is where you will do most of your work, creating props and arranging them so that they match your display.

· Channel Conflicts & Bulk Changes - this tab will show a green check mark if everything is OK, or a warning sign if there are problems with the channels you have assigned to your props. The tab allows you to quickly identify the issues and resolve them. It can also be used to make changes that affect multiple props, such as when you change a controller's unit id (e.g. 01 to 11) or network (e.g. Regular to Aux A).

· Other Warnings - this tab will show a green check mark if everything is OK, or a warning sign if there are problems with prop definitions (e.g. a sub-prop is not assigned the same channels as its master prop).

· String Summary - this tab displays a table of all strings defined by every prop in the preview. If you want a print-out of your props and channel assignments to carry with you as you wire up your display, you can use this table, copy it to the clipboard, and paste it into any spreadsheet program. In the spreadsheet you can sort and filter the data, add and remove columns, and print it out.

· Statistics - this tab displays statistics about the preview: number of props, groups, pixels, channels, etc.


Design Tab

The Design tab of the Preview Design window is where you create props (display elements) and arrange them so that they match your display.

This is the first of 5 tabs on the Preview Design window. The others are:

· Channel Conflicts & Bulk Changes

· Other Warnings

· String Summary

· Statistics

The Design Tab

The Design Tab

The Design Tab is divided into 2 main sections:

On the left side:

·At the top is the list of props and groups that are in the preview.

·The bulb tab allows you to control the shape, size, and transparency of the bulbs that make up a prop.

·There are several ways to modify the size of a prop; the scale tab is one of those ways.

·The background tab allows you to choose a background image for your display.

On the right side:

·At the top is a toolbar that allows you to add and modify elements of your display.

·Below the toolbar is the visual design canvas - a representation of your display that will be used to simulate your lights during sequence playback.

Selecting Items

Items in the Prop and Group List can be selected by clicking on them. The prop or group that is selected will then be displayed in yellow on the design canvas to the right. You can also do the reverse: you can click on a prop on the design canvas and its name will be highlighted in the Prop and Group List.

You can also select more than one item at a time. This is often useful for moving several props at the same time or for creating groups. In the Prop and Group List, Ctrl-click on an item to select it in addition to items already selected. Use Shift-click to select a range of items in the list. When selecting items using the mouse on the design canvas, hold the Shift button down on the keyboard while clicking the mouse and that prop will be added to the ones already selected.

In the picture below, the “Gutter” prop has been selected – it is highlighted in the Prop and Group List and displayed in yellow on the design canvas.

Keyboard Shortcuts

The following keyboard shortcuts can be used on the design tab:

Shortcut

Action

key-dark32-Del

Deletes the selected prop or group. If you delete a prop by mistake, just click the Undo button (or use the Ctrl-Z shortcut).

Selects all props and groups

key-dark32-ArrowUp

key-dark32-ArrowLeft

key-dark32-ArrowDown

key-dark32-ArrowRight

Moves the selected props by a small amount

Makes the selected items larger. Hold the keys down longer to engage the keyboard auto-repeat if needed.

Makes the selected items smaller. Hold the keys down longer to engage the keyboard auto-repeat if needed.

Rotates the selected props counterclockwise

Rotates the selected props clockwise

Control-zero resets prop rotation to its default value (fixed prop shapes only)

undo the last operation

redo the last operation

Prop and Group List

The Prop and Group List is displayed on the left side of the design tab. Every prop and group in your preview will be listed here in alphabetical order. To help distinguish groups from props, groups will be listed with blue text. In the picture below, "01.Group 1 (roof)", "01.Group 2 (windows)", "01.Group 3 (columns)", and "01.Group 4 (bushes)" are groups, and the others are props. Props "02-Minitree A" through "02-Minitree D" are selected.

To select an item in the list, just click on it with the left mouse button. You can use shift-click to extend the selection, and ctrl-click to select additional items. More information is available in the Selecting Items section.

The Prop and Group List

The Prop and Group List

After selecting 1 or more items in the list, you can use the toolbar to select actions to perform, or you can right-click on them to view a menu that has many of the same options as the Edit menu.

·"Create Group With Same Members" will duplicate the selected group. The new group will have the same members as the original group. This is useful if want the new group to have a different arrangement than the original. Or perhaps you want the new group to have the same members as the original with a few exceptions - by copying the original group you now just need to fix those exceptions.

The Prop and Group List with right-click menu displayed

The Prop and Group List with right-click menu displayed

Bulb Tab

After selecting 1 or more props, you can change the bulb settings for the selected props. The default bulb shape is square, which uses the least amount of computer resources; however there are a variety of shapes available.

There are some specialized bulb shapes:

·Strobe 1 - a strobe that flashes about once per second

·Strobe 3 - a strobe that flashes about 3 times per second

·Snowfall Tube - simulates single color snowfall tubes (also known has drip tubes and meteor tubes).

·Flood - use for flood lights, single color or RGB.

Making the bulb size larger can make the prop easier to see on the computer screen. For strobes and floods you will almost always want to make the bulb size larger than the default in order to make them look realistic.

For most props, you will want to leave the bulb transparency setting at 0%. For floods, you may want something more transparent (> 0%). Adjust the transparency slider until you achieve the desired appearance.

An example of strobes on a megatree along with the associated prop definition:

Scale Tab

After selecting one or more props or groups, you can use the buttons on this tab to increase or decrease the size of the selected items. This can be useful for fine-tuning the size of an item. It also the best way to resize freeform prop shapes, as they do not display resize handles on the design canvas.

Click a button once to perform a small change, or hold the button down to continuously scale the selected items.

The "Change height and width" buttons have the following keyboard shortcuts:

Shortcut | Action
 | Makes the selected items larger. Hold the keys down longer to engage the keyboard auto-repeat if needed.
 | Makes the selected items smaller. Hold the keys down longer to engage the keyboard auto-repeat if needed.

Background Tab

Using a background image (such as a picture of your house) can be a great help in creating a realistic preview. Click the “Set Image” button to choose the image file. Clicking the “Clear Image” button will remove the image from the preview. You can adjust the brightness of the image from the toolbar.

Save Image with Preview

If this box is unchecked, then the image file will remain separate from your preview, and the sequences that use the preview.

If this box is checked, then the image file is stored with the preview. If you export such a preview and send the export file (LORPREV extension) to someone else, the background image will be included. The background image will also be included if you send a sequence to another user and the sequence uses such a preview.

When using this feature, we recommend selecting an image of a modest size - no more than 1920 x 1080 pixels.

Toolbar

The toolbar consists of (in order):

· Add button

· Draw string button

· Edit menu

· Format menu

· Undo and Redo buttons

· Background image brightness control (this will be disabled if a background image hasn't been assigned to the preview)

· Zoom control

· Capture the design canvas as a picture file button

· Options menu: gear3 icon

Toolbar - Add

Click the Add button to add Props and Groups to your preview. After saving the new prop or group, it will be added to the Prop and Group List and displayed on the design canvas on the right.

Create a new prop using one of the built-in shapes, or define a custom shape

This option opens the Prop Definition window, allowing you to create a prop from scratch. The wide variety of built-in shapes makes it easy to create many common display elements.

Some of the shapes that can be selected in the Prop Definition window

Some of the shapes that can be selected in the Prop Definition window

Create a new group from existing props and groups

This option opens the Group Definition window, allowing to create a new group. Any props and groups that are currently selected on the Design tab will be preselected on the Group Definition window as members of new group. Of course you can change the selections once you are in the Group Definition window.

Add a Light-O-Rama device (AC controller, Cosmic, Pixie, Pixcon, Flood, etc)

This option will create props according to the Light-O-Rama controller and unit id you specify. It is a good way to quickly create props that have accurate channel assignments. Flood lights created with this option will look realistic, but you may need to change the shape for props created for other controllers if you are going for realism in your preview.

Add a DMX device

This option can be used to create a generic DMX device that uses regular (single) or RGB channels. It is a quick way to create props that have accurate channel assignments; but if you are going for realism, use "Create a new prop" or one of the "online" options instead.

Add an RGB device (generic)

This option can be used to create RGB floods and "dumb RGB" props attached to Light-O-Rama controllers. Each prop will be created as single RGB bulb with a star shape. It is a good way to quickly create RGB props that have accurate channel assignments; but if you are going for realism, use "Create a new prop" or one of the "online" options instead.

Import an S5 prop file

This option loads props and groups into your preview from a file that had previously been exported. These files have an “.lpeprop” extension. You should review the channel assignments on any imported props to make sure they match your controllers – this can be done by double-clicking on the name of an imported prop to open the Prop Definition window. By default, an imported prop will be assigned the name that it had when it was exported. However, if that name is already being used in the preview, then a numeric suffix will be added to the name in order to make it unique.

Import a Visualizer file (fixture, prop, or complete visualization)

This option imports a file created with the S4 Visualizer. You will be prompted to select a Visualizer fixture file (.LFF extension), prop file (.LPF extension), or complete visualization file (.LEE extension). All of the fixtures and props defined in the selected file will then be loaded into the preview. Visualizer fixtures will become S5 props. Visualizer props will become S5 groups. You should review the channel assignments on any imported props to make sure they match your controllers.

Import an xLights model file (.xmodel)

This option allows you to import model files created by the xLights program. This feature only supports models that use the Custom and Star shapes. Most commercial props are modeled using the Custom shape.

Light-O-Rama props (online)

This option will open the Online Prop Import screen, allowing you to import props for items sold in the Light-O-Rama store, such as pixel trees and singing faces. It is recommended that you have internet access when using this option so that you see the latest available content (content will likely change over time). You should review the channel assignments on any imported props to make sure they match your controllers.

SuperStar (online)

This option will open the Online Prop Import screen, allowing you to import props that match sequences sold by SuperStar Lights. It is recommended that you have internet access when using this option so that you see the latest available content (content will likely change over time). You should review the channel assignments on any imported props to make sure they match your controllers.

Boscoyo Studio (online)

This option will open the Online Prop Import screen, allowing you to import props for items sold by Boscoyo Studio. You will need internet access when using this option so that you can retrieve the content. You should review the channel assignments on any imported props to make sure they match your controllers.

Prop definitions imported from this link were created by Boscoyo Studio. Light-O-Rama provides a connection to the data in order to make our software easier to use, but is not responsible for the content.

WowLights Productions (online)

This option will open the Online Prop Import screen, allowing you to import props for items sold by WowLights Productions. You will need internet access when using this option so that you can retrieve the content. You should review the channel assignments on any imported props to make sure they match your controllers.

Prop definitions imported from this link were created by WowLights Productions. Light-O-Rama provides a connection to the data in order to make our software easier to use, but is not responsible for the content.

Generic Props (online)

This option will open the Online Prop Import screen, allowing you to import props for some commonly used lights. It is recommended that you have internet access when using this option so that you see the latest available content (content will likely change over time). You should review the channel assignments on any imported props to make sure they match your controllers.

Toolbar - Draw String

DrawString clicking this icon allows you to draw a light string directly on the design canvas.

When you click the icon, the cursor will change to the edit cursor when moved over the design canvas. Click on the design canvas to start drawing your string. A single click of the left mouse button will insert a node (vertex) into the line and allow you to continue drawing the next segment. To stop drawing, double-click the left mouse button or use the ESC key. When you stop drawing, the Prop Definition window will open so you can adjust the number of bulbs in the string and also assign a channel.

Toolbar - Edit Menu

Most of the choices on the Edit menu are also available when you right-click on the Prop and Group List and also when you right-click on the design canvas.

Modify

You can double-click on an item’s name, or you can single-click on it and select “Modify” from the Edit Menu. Either method will open the Prop Definition window if a prop is selected, or the Group Definition window if a group is selected.

Copy

This command opens the Copy Prop Dialog, which is very helpful in creating a collection of props that all look the same, such as a series of arches or mini-trees.

Delete

Use this command to delete the selected props and groups. You will be asked to confirm before the delete actually takes place.

Export selected items

This command exports the selected props and groups to a file. You might do this so they can be imported into another preview or so they can be shared with other users. You will be prompted for a location to save the export file. Export files have the extension ".lpeprop". To import props, see the Add Item button.

Delete Groups With No Members

After making a lot of changes to your preview, you may end up with groups that no longer contain any members. This function will open a window listing all such groups and allow you to delete them with a single click. If you delete a group by mistake, you can always click the Undo button.

Layout View

Use this command open the Layout View window - a printable layout of the selected prop or group with channel information for every string or pixel. It is very useful for pixel-based props because it shows how the pixels are arranged when motion effects are applied. The layout view can be quite large depending on the number of channels/pixels involved.

Wiring View

This command opens the Wiring View window. It displays how pixel-based props are wired together - with every pixel labeled with its string and pixel number. This is particularly useful for props that have a "custom" shape.

Copy prop to advanced shape

This command is used to copy a pixel-based prop to a new prop with the same channel assignments and pixel locations but with the Advanced shape. This allows you to preserve the look of the prop, but rearrange each pixel's virtual location in the effect buffer (as shown in the Layout View).

Lock pixels on Advanced shapes

By default, the locations of pixels for props using the Advanced shape are locked - as indicated by the check mark next to the menu item. Unlocking pixels allows you to drag the individual pixels of the prop. Use with care, as you typically don't want to rearrange the pixels of an Advanced shape after it has been created.

Toolbar - Format Menu

All items on the Format menu are also available on the Design Canvas's right-click menu.

Align

If multiple props are selected, the items on this sub-menu allow you to align those props in various ways.

Make same size

If multiple props are selected, the items on this sub-menu allow you to resize the selected items such that they all have the same width, height, or both.

Horizontal spacing

If multiple props are selected, the items on this sub-menu allow you to make the horizontal spacing between them equal, or to remove any space between them (so they abut one another).

Vertical spacing

If multiple props are selected, the items on this sub-menu allow you to make the vertical spacing between them equal, or to remove any space between them (so they abut one another).

Rotation

After selecting 1 or more props, the actions listed under the “Rotation” menu allow you to rotate the selected items back to their default orientation (0 degrees), to 90 degrees right, or 90 degrees left. Selected props and/or groups can be rotated to any angle by dragging the rotation handle that is displayed when they are selected or using the keyboard shortcuts Ctrl-LeftArrow and Ctrl-RightArrow. Ctrl-0 (control key + zero key) is a shortcut for resetting rotation back to the default orientation (0 degrees). Note that freeform prop shapes do not have a default orientation, so the Rotation > 0 command has no effect on them.

Reset

After selecting 1 or more props, the actions listed under the “Reset” sub-menu allow you to reset the selected items back to their default position (centered), or default size (half of the canvas size), or both. Resetting the position is particularly useful because it is possible to drag items off the edge of the design canvas. When this happens, select the prop from the Prop and Group List, then choose Format > Reset > Position from the menu to make it visible again.

Toolbar - Undo/Redo

Prop adds, deletes, movement, scaling, and rotation can be undone and redone. Undo/redo does not apply to modifying props or groups.

clicking this icon undoes the last operation, and has the keyboard shortcut Ctrl-Z.

clicking this icon reapplies an operation that was previously undone, and has the keyboard shortcut Ctrl-Y.

Toolbar - Background Image Brightness

If you have assigned a background image to your preview, you can use this slider to adjust the brightness of the image. Move the Brightness slider to the left to dim the background image, simulating the view of your display during nighttime. The buttons on the left and right will modify brightness up or down one step at a time. Image brightness can also be changed from other areas of the program.

Toolbar - Zoom

You can zoom in on your props to make fine adjustments. The buttons on the left and right will zoom in or out one step at a time. Or you can use the slider to quickly move to the desired zoom level. If you are zoomed in, clicking on a prop in the Prop and Group List will cause the canvas to scroll so the selected prop becomes visible.

Toolbar - Capture Design As A Picture File

camera20x15 clicking this icon captures a snapshot of the design canvas and prompts you for a file name where the image can be saved (PNG format).

Toolbar - Options Menu

New prop defaults

This option allows you to set some defaults when the Prop Definition screen is used to create new props.

Preview Design Preferences

Preview Design Preferences

Pixel labels

This sub-menu controls how pixels are labeled on props that have a light type of "RGB Pixels." Labels are only displayed when a prop is selected. The labels are small, so you will need to zoom in to read them.

The sub-menu gives you 3 choices for pixel labels:

·None - don't display pixel labels.

Pixel labels set to: None

Pixel labels set to: None

·Pixel numbers - displays a number which indicates the order in which the pixels are (or should be) wired; however, it does not indicate which string the pixel is on.

Pixel labels set to: Pixel Numbers

Pixel labels set to: Pixel Numbers

·Row / Column - pixels are labels using RC notation, where "R" precedes the row number, and "C" precedes the column number. These numbers match the row and column numbers displayed in RGB channel names for pixel-based props, and also on the Layout View.

Pixel labels set to: Row / Column

Pixel labels set to: Row / Column

Set label color

This option allows you to change the color used to display pixel labels.

Design Canvas

In the picture above, there is 1 blue string, 2 red strings, and 5 RGB arches. The second arch is selected.

In the preview design window, traditional strings (incandescents, LEDs, strobes) are displayed with the color of the string (e.g. a string of red LEDs will show as red). RGB pixels and dumb RGB strings are displayed in white. Any string that has been selected, traditional or RGB, is shown in yellow.

The selected item is always shown in yellow and has 4 red scaling “handles” at the corners (lines just have 2 handles) and a rotation handle to the right. You can select multiple props using Shift-click on the design canvas, or Ctrl-click or Shift-click in the Prop and Group List. The selected prop(s) can be dragged around the design canvas using the mouse. They can be resized by dragging any one of the 4 red handles in the corners, or by using the Ctrl-UpArrow and Ctrl-DownArrow keyboard shortcuts. You can rotate them by dragging the handle on the right side, by using the Format > Rotation menu, or by using the Ctrl-LeftArrow and Ctrl-RightArrow keyboard shortcuts. If you have multiple props selected, you can align them in many ways using the Format menu.

You can double-click on a prop to open its Prop Definition.

Any movement, scaling, or rotation action can be undone by clicking the undo button or using the Ctrl-Z keyboard shortcut.

Right-Click Menu

Right-clicking on the design canvas opens the following menu:

Items in the top section of the menu allow you to:

·Add an item - this has the same effect as clicking the toolbar's Add Item button.

·Draw a new string - this has the same effect as clicking on the toolbar's Draw String button.

· Modify the selected prop (hidden if no prop is selected)

· Copy the selected prop (hidden if no prop is selected)

· Delete the selected props (hidden if no prop is selected)

Items in the middle section of the menu allow you to perform any of the operations available on the toolbar's Format menu.

Items in the bottom section of the menu allow you to:

· Capture a snapshot of the design canvas and save it as a picture file - same as clicking on the toolbar's camera20x15 icon

·Display the Layout View for the selected prop

·Display the Wiring View for the selected prop

· Export the selected props

Right-Click on Lines-Connected Vertex

With these menu options, you can add and remove line segments without opening the Prop Definition window.


Channel Conflicts & Bulk Changes Tab

The Channel Conflicts & Bulk Changes tab of the Preview Design window has 2 functions:

1.It can be used to quickly identify and resolve props with conflicting channel assignments

2.It can be used change the channel assignments for multiple props at once (i.e. bulk change); for example, moving multiple props from the Aux A network to the Aux B network, or from one DMX universe to another.

The tab will show a green check mark if everything is OK, and a warning sign if there are channels conflicts. A filtered list of props is displayed down the left side. Clicking on a prop will list its channel assignments in the "Channels" area, where they can be changed. When clicking on a prop with a channel conflict, the list of conflicts will be shown in the "Prop Warnings" area.

This is the second of 5 tabs on the Preview Design window. The others are:

· Design

· Other Warnings

· String Summary

· Statistics

The Channel Conflicts & Bulk Changes tab

The Channel Conflicts & Bulk Changes tab

Sorting The List

The list of props can be sorted by Name or Start Channel by clicking the column heading. Clicking the column heading a second time will reverse the direction of the sort.

Filtering The List

There are 3 filters that can be applied to the list of props. By default, the list is filtered to show only channel conflicts.

The "Show" Filter

From this drop-down box you can choose to display:

·All props in the preview

·All props with channel conflicts

·All props with device type "LOR" (as shown in the channel section of the Prop Definition window)

·All props with device type "DMX"

·All props with device type "Undetermined"

·Text starts with -- when using the Prop Name or Channel filters, compare the entered text with the start of the name or channel

·Text ends with -- when using the Prop Name or Channel filters, compare the entered text with the end of the name or channel

·Text contains -- when using the Prop Name or Channel filters, select the prop if the entered text appears anywhere within the name or channel. This is also the text comparison method used when any of the first 5 drop-down options is selected.

Prop Name Filter

Type some text into the "Name" box to filter the list by prop name. In the example below, only props with the word "star" in their name are shown. If the "Show" filter is set to "Text starts with" or "Text ends with", then only that part of the prop name will be matched; otherwise any prop name that contains the text that was entered will be matched.

Channel Filter

Type some text into the "Channel" box to filter the list by start channel. In the example below, only LOR props with the word "aux b" in their channel name are shown. If the "Show" filter is set to "Text starts with" or "Text ends with", then only that part of the channel name will be matched; otherwise any channel name that contains the text that was entered will be matched.

Resolving Channel Conflicts

Steps for resolving a channel conflict

Steps for resolving a channel conflict

1.Click on a row with a warningsign warning sign.

2.Note that conflict details shown in the "Prop Warnings" area. Multiple conflicts may be listed here if multiple props all have the same channel assigned, or the prop uses multiple channels and those channels conflict with other props.

3.Determine the new channel that should be assigned to this prop and make the changes in the "Channels" area. You might find a quick review of the information shown on the String Summary tab helpful in determining the correct channel. Alternatively, you could go back to the Design tab, double click on the prop name, and change the channel information in the Prop Definition screen (but that would take longer).

4.After changing the assigned channel, click the "Save Update" button to commit the change. If you go back to step 1 without performing this step, your changes will be lost.

Making Bulk Changes

"Bulk changes" means that you want to modify the channels assignments of many props at once. To do this, you first need to select all of the props that you are going to change. You could do this by clicking on the first prop, then Ctrl-Clicking on all of the other props that you want to change. However, it is often faster to use the Filter Tools to narrow the list of props to just those that need to change, then clicking the "Select All" check box to select them all.

After selecting the desired props, then you can select an action from the "Change" menu (these actions can also be accessed by right-clicking on the selected props). From the Change menu you can:

· Reorder Circuit/Channel Numbers

· Set the LOR Network

· Set the LOR Unit ID

· Set the DMX Universe

· Add Leading Zeros To Numbered Prop Names

· Replace Text In Prop Names

· Delete Props

The Change menu

The Change menu

Reorder Circuit/Channel Numbers

Selecting "Reorder Circuit/Channel Numbers" from the Change menu (or right-clicking on the prop list and selecting "Reorder Circuit/Channel Numbers") will open a dialog that will allow you to consecutively renumber the LOR circuits (or DMX channels) on the selected props. At the same time, you can change the selected props from LOR to DMX or vice versa.

When you renumber, the number of channels used by each prop is taken into account. For example, if you are renumbering 3 props and props 1 and 3 each require 1 channel, but the second prop requires 6 channels; then if you renumber starting at channel 9, the new channel numbers will be:

·First prop - channel 9

·Second prop - channels 10-15

·Third prop - channel 16

In this example, the wiring order of the arches is about to be made consecutive

In this example, the wiring order of the arches is about to be made consecutive

After pressing the Renumber Channels button

After pressing the Renumber Channels button

Set the LOR Network

The selected props will be moved to the LOR network you specify. For example, you could use this function to move props from the Regular network to Aux A.

Set the LOR Unit ID

The selected props will be moved to the LOR unit id you specify. For example, you could use this function to move props from unit 10 to unit 11.

Set the DMX Universe

The selected props will be moved to the DMX universe you specify. For example, you could use this function to move props from Universe 2 to Universe 12.

Add Leading Zeros To Numbered Prop Names

Any selected props that have a number in their name will have leading zeros added to the number. This can aid in sorting the props in the desired order on the sequence grid. For example, here are 12 arches sorted alphabetically -- the same order they would be displayed by default in the sequence grid.

Props not listed in the desired order

Props not listed in the desired order

Now click the "Select All" box, then select Change > Add Leading Zeros To Numbered Prop Names. You will be prompted for the number format to be used:

Choose number style

Choose number style

After clicking the OK button, the props now sort in the desired order:

After adding leading zeros, the props are now listed in the desired order

After adding leading zeros, the props are now listed in the desired order

Replace Text In Prop Names

This function gives you the ability to search for and replace text in prop names, just like you would in a word processor.

Here is an example of replacing the word "hoop" in the selected props with the word "arch". First we have filtered the list to show only props with the word "hoop" in their name, and then selected them all:

Before replacing text

Before replacing text

Next select Change > Replace Text In Prop Names from the menu (or right-click and choose it from the pop-up menu). A dialog window will open asking for the text to search for and the replacement text:

Replace "hoop" with "arch"

Replace "hoop" with "arch"

After clicking the OK button in the dialog window (and also clearing the name filter in this case), you will see the updated prop names:

After replacing text

After replacing text

Delete Props

The selected props will be permanently deleted from the preview. This can be useful if a preview contains items that are no longer needed and should be removed. Sometimes this situation can even be the source of channel conflicts.


Other Warnings Tab

The Other Warnings tab of the Preview Design window displays warnings that are not related to channel assignments. If there are warnings on this tab, any sequence that uses this preview cannot be played back while control lights is enabled. The tab will show a green check mark if everything is OK, and a warning sign if there are problems.

This is the third of 5 tabs on the Preview Design window. The others are:

· Design

· Channel Conflicts & Bulk Changes

· String Summary

· Statistics

The Other Warnings tab

The Other Warnings tab

Prop and group names are displayed as a link. Clicking the link opens the relevant prop / group definition window.

Warning Messages

Possible warnings that can appear on this tab include:

·A sub-prop is not assigned the same channels as its master prop. If you change the channels assigned to a master prop, you will also need to update the channel assigned to its sub-props.

·A group has no members. Either add some members, or delete the group. On the Design tab, you can select Edit > Delete Groups With No Members to quickly accomplish this task.

·A group has a circular definition (it includes itself as a member).

·Two or more groups share the same name. Each group should have a unique name.

·Two or more props share the same name. Each prop should have a unique name.

·A prop with a custom shape can be shrunk. Imported custom props are often defined with a very sparse matrix (lots of blank cells). This can cause the Sequencer to perform lots of unnecessary calculations while you are sequencing. To increase performance, it is beneficial to decrease the size of the Custom Grid as much as possible using its Shrink function.


String Summary Tab

The String Summary tab of the Preview Design window displays a table of all strings defined by every prop in the preview (props with device type "undetermined" are not included).

If you want a print-out of your props and channel assignments to carry with you as you wire up your display, you can use this table, copy it to the clipboard, and paste it into any spreadsheet program. In the spreadsheet you can sort and filter the data, add and remove columns, and print it out.

This is the fourth of 5 tabs on the Preview Design window. The others are:

· Design

· Channel Conflicts & Bulk Changes

· Other Warnings

· Statistics

The String Summary tab

The String Summary tab

The Toolbar

Filter by Device Type

The drop-down box allows you to filter the list by Device Type, so you can view just the LOR devices or just the DMX devices.

Copy to Clipboard

You can use the copy button CopyHS to copy the displayed information to the clipboard so that it can be pasted into a spreadsheet, where it can be sorted, filtered and printed. You can also do this by right-clicking on any cell in the grid and selecting "Copy grid to clipboard" from the pop-up menu.

The Grid

You can sort the grid by any column by clicking on the heading for that column. Clicking on a column heading once will sort it in ascending order; clicking on it again will sort in the reverse order. Particularly useful is clicking on the Device Type column heading, as this will sort first by Device Type, then by Network, then by Unit, and then by Start Circuit giving you list ordered by physical connection (which makes a good reference).

Adjacent rows with the same unit id / DMX universe, or strings in the same multi-string prop (e.g. a pixel tree). are displayed with the same background color.

Editing the Data

The right-click menu

The right-click menu

You can make limited edits from this tab. First select some grid cells by:

·dragging the cursor across one or more cells, or

·click on one cell, then Shift-click on the last cell you want to selected

You do not need to select all columns, or a particular column.You are just designating which props will be altered. In other words, the rows you select are important, but the particular columns don't matter. Next, right-click on the selection and choose the action from the pop-up menu. This menu allows you to change the bulb shape, dimming curve, or master dimmable flag for multiple props at once. Note that there is no "undo" function for these changes.

Select "Modify Prop" from the pop-up menu to open the item's Prop Definition screen. You can also do this by double-clicking on a cell .


Statistics Tab

The Statistics tab of the Preview Design window gives you statistics about the preview: number of props, groups, pixels, channels, etc. Of particular importance is the last section, which shows the number of channels assigned to each LOR network. This can help identify if a network is overloaded with too many channels. What constitutes "too many channels" will vary with network speed and the number of effects being sent to to the network.

This is the fifth of 5 tabs on the Preview Design window. The others are:

· Design

· Channel Conflicts & Bulk Changes

· Other Warnings

· String Summary

The Statistics tab

The Statistics tab

You can use the copy button CopyHS to copy the displayed information to the clipboard so that it can be pasted into other applications.


Prop Definition

A prop in the Sequencer allows you to define a single item that is in your display. This item could be simple, like a string of lights, or a wreath; or it could be complex, like a pixel tree or matrix. For every prop, you assign it a name and then define the type of lights that it uses, its shape, and its assigned channel(s).

Name

Each prop must have a name. The name must be unique within the preview.

Comment

This is an optional field for you to make notes about this prop.

Tag

Every prop in a Light-O-Rama "RGB Plus" sequence is assigned a tag. These tags are available in the Tag drop-down. You can assign tags to props in your own preview that are similar to props in an RGB Plus sequence. For example, if you have a pixel-based arch in your display, you could assign it to tag "RGB Arch 01".

Why go through the trouble of tagging?

If you purchase an RGB Plus sequence, open it in the Sequencer, and then assign your preview to the RGB Plus sequence, props and groups that are tagged will automatically match up. This can make customizing a purchased sequence to your display much easier.

Lights Section

Use this section to define the types of lights your prop consists of.

Type

Here you set the category of lights this prop will use:

·Traditional: Multicolor string 1 channel - for:

ostrings of LEDs or incandescent lights (single color or multicolor)

ostrobe lights

owire frames

orope lights

onet lights

osingle-color flood lights

·Traditional: Channel per color - for bundles of single color strings (sometimes referred to as "superstrings"). Select color(s) for the strings on the left. For each color you choose, that color will show up in the “Order” list on the right. The Sequencer will assign one channel for each color that you choose. If the channels for these strings are numbered consecutively, it is recommended that you use the up and down arrows on the right-hand side to put the colors in the order that their channels are assigned (click on a color to select it, then use the arrow buttons to move it into the correct position). This way, the channels will be assigned correctly without any additional action.

·Dumb RGB - for display elements that have a single red, green, and blue channel. This includes RGB floods and dumb RGB strips and nodes.

·Dumb RGBW - for display elements that have a single red, green, blue, and white channel. This includes RGBW floods and dumb RGBW strips and nodes.

·Pixels RGB - for Light-O-Rama Cosmic Color Devices and any other RGB pixel-based strips, nodes, bulbs, or panels where each pixel is 3 channels..

·Pixels RGBW - for RGBW pixel-based strips, nodes, bulbs, or panels where each pixel is 4 channels.

Dimming Curve

Some controllers have the ability to apply dimming curves in the hardware. This setting allows you to apply a dimming curve in software, for controllers that do not have the capability or where that capability is disabled. You do not want to have dimming curves enabled in both software and in the controller.

·Use the Linear Curves for traditional lights. The percentage at the end of the curve name indicates the maximum brightness.

·Use the Pixel Curves for RGB pixels. The percentage at the end of the curve name indicates the maximum brightness.

·Use the Strobe Curve for strobes. It will prevent intermediate values (e.g. 50%) from reaching the string.

Master Dimming Applies

If you are going to play your shows using the Control Panel, the Control Panel has a Master Dimmer control that can be used to dim your lights even as the show is playing. This works well for most lights, but there may be some items in your display that you won't want dimmed, such as strobes, motors for moving head lights, servos, fog machines, etc. For such items, leave the master dimming applies box unchecked.

Traditional Colors

Colors for your traditional string are defined on the left. Click the “Custom” button to choose a custom color. By default, the custom color is close to an incandescent warm white bulb; however, you can change the default custom color by selecting "New prop defaults" from the Design Tab's Options Menu.

RGB and RGBW Options

·The channel order should be set to reflect the way the red, green, and blue (and white for RGBW) channels are physically wired. If you are unsure, this may take some experimentation. This setting applies to: Dumb RGB, Dumb RGBW, RGB Pixels, and RGBW Pixels.

·Use the "Default Motion Rows" button to define default motion effect rows that will be incorporated into new sequences (this setting has no effect on existing sequences). The number in parentheses on the button reflects the number of default motion effect rows that have already been defined for the prop. The dialog for adding default motion rows to a prop works just the same way as the dialog for adding motion effect rows to an existing sequence. See the Motion Effect Rows Dialog topic for more information.

Shapes Section

Use this section to define how your prop looks on your computer screen during sequence playback. Defining the shape accurately is also very important for pixel-based props so that motion effects get displayed correctly.

In the Prop Definition window, choose a shape that most closely matches your prop. Use "Lines-Connected", "Lines-Unconnected", "Lines-Closed Shape", or "Custom" to define a shape that isn't listed. Any shape can be resized and rotated, so you are not limited to the traditional orientation of the shape.

The description of the numerical entries in the middle of the shape section will change depending on the shape that is selected and type of lights (traditional, RGB pixels, or dumb RGB). Many shapes will require you to specify the number of lights in the prop (or in a section of the prop). For props with traditional or dumb RGB lights, this number can be an approximation -- set it to a value that looks good on your computer screen. For RGB pixels, the value must be the exact number of physical pixels.

At the bottom will be diagram of your shape primarily intended to show channel number orientation for props with multiple channels.

Channels Section

In the right-most section of the window you define the channels assigned to the prop. This section should be filled in last because the entries will change automatically based on the values you enter in the “Lights” and “Shape” sections. Take care to enter this information accurately, or your lights will not come on.

The Channels section (LOR device type)

The Channels section (LOR device type)

The Channels section (DMX device type)

The Channels section (DMX device type)

Uses The Same Channels As

Normally, you can leave this field set to "<none>". However, if you connect more than one set of lights to the same channel, then you can create a "Master prop" and one or more "sub props" to model this configuration. For example, if you have several candy canes that are all connected to the same channel and turn on and off together, then you can create one candy cane as the Master Prop. The master candy cane will have the "Uses The Same Channels As" field set to "<none>" and it will appear in the sequence grid (as an example, assume this prop is named "Candy cane master"). The other candy canes will be "sub props" -- the "Uses The Same Channels As" field will be set to "Candy cane master" and the props will not appear in the sequence grid. In the Prop Definition for each of the sub-props, the channel section most specify one or more channels from the master prop.

Should you change the channel(s) assigned to the master prop, it is up to you to also update the related sub-props. If you fail to keep them synchronized, you will get a warning on the Other Warnings tab in Preview Design.

Device Type

Select the device type from the drop-down that matches your hardware.

·Use "LOR" for Light-O-Rama controllers using the Light-O-Rama protocol (or enhanced protocol). Note that the PixCon16 controller can use the Light-O-Rama protocol or E1.31 (DMX) protocol -- so your Device Type selection on the Prop Definition screen needs to match the way you have configured the controller..

·Select “DMX” for controllers that connect via the E1.31 protocol over Ethernet or connect via a DMX USB adapter..

·A device type of “Undetermined” is available for situations where the device type is not known. With this device type, lighting effects will be displayed during playback on the computer screen, but the prop cannot control real lights.

Max Circuit (or DMX Channel)

The number box at the top right defines how many channels are in each DMX universe or the maximum circuit number if LOR is selected. For DMX, you can leave this at the default value of 512, unless your pixel controller does not allow an RGB pixel to cross universe boundaries. In this case, set the DMX universe size to 510 (170 pixels per universe).

Channel Numbering

There are 2 options for channel numbering:

·Enter channel on first row, auto-number the rest: with this option, you must enter channel information for the first string only. Subsequent strings will be calculated automatically. This works well for many situations, but there are exceptions. For those exceptions you should use the second option.

This prop uses 4 consecutive channels

This prop uses 4 consecutive channels

·Enter a channel on every row: with this option, you enter channel information for every string.

This prop uses 2 channels on controller 05 and 2 channels on controller 06

This prop uses 2 channels on controller 05 and 2 channels on controller 06

Separate Unit ID (or DMX Universe) for each RGB String

This check box will cause each string to start at circuit 1 of the subsequent Unit ID (or DMX Universe) from the previous row. If this box is unchecked, then each row starts from the last Unit ID and circuit from the previous row.

Channel Grid

It is very important that the values you enter in the channel grid match your controller settings. The values you enter depend on the device type that was selected:

·For LOR: enter the network (Regular, Aux A, etc), Unit ID as a hexadecimal value (01 to F0), and the circuit (between 1 and the Max Circuit)

·For DMX: enter the universe number (1 to 999) and channel (between 1 and the Max Circuit)

·For Undetermined: there is nothing to enter

End Unit ID/Circuit (End Universe/Channel for DMX)

When defining LOR props, the End Unit ID will be the same as the Start Unit ID is most cases. Similarly for DMX props, the End Universe will be the same as the Start Universe. However, pixel-based props often have many channels per string, and when that number exceeds Max Circuit, the channels will carry over to the next unit id.

Let's say you have an E1.31-based pixel controller, such as the Light-O-Rama PixCon16, and you have 200 pixels connected to one port. 200 pixels requires 600 channels (200 * 3) which does not fit into a single DMX universe.

600 channels on a DMX pixel  string

600 channels on a DMX pixel string

In this example, Max Channel is set to 510, so there are 90 channels that do not fit in universe 1 (600- 510 = 90). These 90 channels will be assigned to the next universe - 2 in this example.

Pixels | Universe | Channels
1 - 170 | 1 | 1 - 510
171 - 200 | 2 | 1 - 90

The most important thing is that you configure the channels in this grid so that they match the settings in your controller!


Prop Shapes

Prop shapes can be separated into 2 categories: freeform shapes which allow you to manipulate the shape directly; and scalable shapes, where the position of all of the individual light bulbs are fixed in relationship to one another.

For many shapes, you will specify a "starting location". This is the location of the first string or first pixel. The starting location may contain the abbreviations "CW" and "CCW".

·CW stands for "clockwise" and means the strings proceed in a clockwise direction when looking down from the top of the prop.

·CCW stands for "counter-clockwise" and means the strings proceed in a counter-clockwise direction when looking down from the top of the prop

These are the freeform shapes:

· Bulb Shape

· Icicle Shape

· Lines-Connected

· Lines-Unconnected

· Lines-Closed Shape

· Matrix-Horizontal-Quad

· Matrix-Vertical-Quad

· Advanced Shape

These are the fixed shapes:

· Arch

· Arch Opposing Strings

· Candycane-Left, Candycane-Right

· Circles Nested

· Custom

· Cylinder

· Cylinder spiral

· Fan

· Firestick

· Globe 8 Rows

· Hidden

· Matrix-Horizontal-Rectangle

· Matrix-Vertical-Rectangle

· Picture

· Snowflake

· Sphere

· Spokes

· Star

· Stars Nested

· Tree 90, 180, 270

· Tree 360 wedges

· Tree 360 tiers

· Tree 360 panels

· Tree 360 up&over

· Tree 360 spiral

· Tree Custom Angle

· Window Frame

· Wreath

Freeform Shapes

Freeform shapes display handles that allow you to manipulate the shape directly. There are no scaling handles; if you wish to scale them you must use the Scale Tab or the Ctrl-UpArrow / Ctrl-DownArrow keyboard shortcuts. Also these shapes can be rotated, but they do not have a natural orientation so Format > Rotation > 0 has no effect.

Bulb Shape

In a bulb shape, every light is displayed with a red handle, allowing each one to be moved independently of one another.

Bulb shape with 3 lights

Bulb shape with 3 lights

Icicle Shape

The Icicle shape has 4 corners that can be dragged so that the icicles can follow a horizontal gutter or a sloped eave. This shape can be used to define icicle strings that use traditional lights (single color) or pixels (RGB). When defining the Icicle shape, you define the total number of drops on the string, and also the pattern of drops. For example, if the string has 15 drops, but the pattern is 3 pixels, then 4 pixels, then 5 pixels, you only need to define the 3-4-5 pattern once. The pattern will be repeated as many times as needed to fill the specified total number of drops. When defining the pattern, drops with a length of 0 are ignored.

3 icicle props using a 4-3 pattern

3 icicle props using a 4-3 pattern

Pixel-based icicles can be wired either of 2 ways:

·Straight down the first drop, then straight down the next.

·Starting at the top of the drop, populate every other hole going down, then fill the remaining holes on the way back up (i.e. "skip wiring").

The last option for the Icicle shape allows you to choose between these 2 wiring patterns.

Lines-Connected

In a Lines-Connected shape, each vertex can be moved independently of one another. This makes it great for drawing regular strings of lights. You can draw a Lines-Connected shape interactively by right-clicking on the design canvas and selecting Draw New String from the pop-up menu.

Lines-Connected

Lines-Unconnected

In a Lines-Unconnected shape, the string is modeled as series of line segments, each of which can be moved independently of one another.

A Lines-Unconnected shape with 5 segments

A Lines-Unconnected shape with 5 segments

Lines-Closed Shape

A Lines-Closed Shape is modeled as a polygon with each vertex movable.

Lines-Closed Shape

Matrix-Horizontal-Quad

The Matrix-Horizontal-Quad shape is like the Matrix-Horizontal-Rectangle, except that the corners are movable. This shape supports alternate node pixel wiring.

Matrix-Horizontal-Quad shape

Matrix-Vertical-Quad

The Matrix-Vertical-Quad shape is like the Matrix-Vertical-Rectangle, except that the corners are movable. This shape is useful for creating "CCR Trees" like the one shown below. Two props, each with a Matrix-Vertical-Quad shape and 6 strings of 50 RGB pixels, are used to represent the ribbons. This shape supports alternate node pixel wiring.

12 Ribbon CCR Tree

12 Ribbon CCR Tree

Advanced Shape

With an advanced shape you can move each individual pixel as needed by dragging them on the design canvas. When moving pixels you should enable the display of pixel numbers so you know which pixel you are moving.

You can also change how the pixels are arranged in the effects buffer by clicking the "Edit Advanced Buffer Layout" button. As the name implies, this is is an advanced function, but can be used to create pixel props that cannot be represented by other shapes.

In the next picture, a preview has been created with a background image of a snowflake. The pixels have been arranged (with pixel numbers showing) to match how the prop is wired.

Snowflake prop with pixel numbers shown

Snowflake prop with pixel numbers shown

Next, the buffer layout for the snowflake is defined such that each arm of the snowflake is 4 columns in the grid. Each number in the layout grid corresponds to the pixel number shown above. For help in using the buffer layout grid, see the Custom Shape Light Placement grid topic (it works the same way). With this buffer layout, motion effects that move left or right will go around the snowflake. Motion effects that move up will expand from the center, and effects the move down will go from the outside of the snowflake inward.

The buffer layout for the snowflake

The buffer layout for the snowflake

This preview contains just one prop; but this prop would be one of many in someone's display. So the final step would be to export this prop from this preview, and then import it into the preview containing the full display.

Fixed Shapes

Every shape that is not a "freeform shape" is a "fixed shape" -- the position of all of the individual light bulbs within the shape are fixed in relationship to one another. Fixed shapes display scaling handles when selected -- you can drag any of the 4 red handles to make the prop bigger or smaller. These shapes also have a natural orientation, so you can use Format > Rotation > 0 to reset the prop to that orientation.

Selected prop showing 4 scaling handles and a rotation handle

Selected prop showing 4 scaling handles and a rotation handle

Arch

The arch shape can be used for:

·an arch with traditional light strings

·a segmented arch with traditional light strings

·a pixel-based arch

The arch shape prompts for the number of segments. This value should be set to 1, unless you are modeling a segmented arch with traditional light strings.

Arch shape

Arch Opposing Strings

The "Arch Opposing Strings" shape is intended for large, pixel-based arches that have controllers on both sides of the arch. The pixel strings run up both sides and meet at the top of the arch.

Pixel Numbering: Arch vs. Arch Opposing Strings

Pixel Numbering: Arch vs. Arch Opposing Strings

Candycane-Left, Candycane-Right

These shapes can be used to represent candy-canes of various sizes. When used with multiple columns of pixels, the pixel strings are assumed to be run vertically.

Candy-cane shapes

Circles Nested

The "Circles Nested" shape allows you to model concentric rings as might be used in a wreath. When creating the prop, you specify the number of lights in each ring - each ring can be different. The center ring can have a single light if desired, as shown in the example on the left. When used with pixels, the prop is assumed to be wired ring by ring - see the pixel numbers in the examples below. If your prop is wired in a zigzag pattern inside to outside or vice versa, then use the wreath shape instead.

Circles Nested shapes

Circles Nested shapes

Custom

A custom shape allows you to define where the lights are using a grid. If you are using traditional lights, you will have more flexibility defining your prop by using one of the freeform shapes. However, for pixel-based props, a custom shape can be an easy way to define the arrangement of those pixels. See the Custom Shape Light Placement topic for more information using the grid to define your custom prop.

Here is an example of a candy cane defined using a custom shape with traditional strings.

·a "1" in a grid cell identifies lights on the first string

·a "2" in a grid cell would identify lights on the second string

·a "3" in a grid cell would identify lights on the third string, and so on

Custom Candy Cane-Traditional Lights

Custom Candy Cane-Traditional Lights

Next is an example of a candy cane defined using a custom shape with pixels.

·"1" in a grid cell identifies the first pixel of the first string

·"2" in a grid cell identifies the second pixel of the first string, and so on up to 999

·"1001" in a grid cell identifies the first pixel of the second string

·"1002" in a grid cell identifies the second pixel of the second string, and so on up to 1999

·"2001" in a grid cell identifies the first pixel of the third string

·"2002" in a grid cell identifies the second pixel of the third string, and so on up to 2999

The next example shows 1 string of 12 pixels.

Custom Candy Cane-Pixels

Custom Candy Cane-Pixels

Cylinder

The cylinder shape allows you to model lights placed on a column. The lights can go completely around the column, or you can specify 1/4, 1/2, or 3/4 coverage. If you choose partial coverage, be sure choose the Starting Location entry carefully. When used with pixels, the pixel strings are assumed to run vertically. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights. This shape supports alternate node pixel wiring.

The column shape: 1 full coverage, and 2 half coverage examples

The column shape: 1 full coverage, and 2 half coverage examples

Cylinder spiral

The Cylinder Spiral shape models one or more strings wrapped around a column. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights.

Cylinder Sprial Shapes with 1 and 2 strings

Cylinder Sprial Shapes with 1 and 2 strings

Fan

The fan shape models a 180 degree fan. This shape supports alternate node pixel wiring.

2 fan shapes with differing numbers of lights

2 fan shapes with differing numbers of lights

Firestick

The firestick shape models a single vertical column of lights. When used with pixels, the "# of Sections" parameter should be set to 1.

Firestick Shape

Globe 8 Rows

The Globe 8 Rows shape models the spherical tree-topper sold by SuperStar lights. However, you could also use the shape with traditional lights to model a single-color sphere. The number of lights on this shape is fixed at 200. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights.

The Globe 8 Rows shape

The Globe 8 Rows shape

Hidden

Use the Hidden shape to model items that are assigned channels but don't have any lights. This could include macro channels on Light-O-Rama's Cosmic Color Ribbons, or control channels on a DMX fixture.

Matrix-Horizontal-Rectangle

The Matrix Horizontal Rectangle shape models a set of lights arranged in a rectangle, where the strings run horizontally. If the matrix needs to be skewed in some way, use the Matrix Horizontal Quad shape instead. When modeling a pixel string on a gutter or eave, use this shape with the number of strings set to 1. This shape supports alternate node pixel wiring.

A Matrix Horizontal Rectangle shape with 16 strings

A Matrix Horizontal Rectangle shape with 16 strings

Matrix-Vertical-Rectangle

The Matrix Vertical Rectangle shape models a set of lights arranged in a rectangle, where the strings run vertically. If the matrix needs to be skewed in some way, use the Matrix Vertical Quad shape instead. This shape supports alternate node pixel wiring.

A Matrix Vertical Rectangle shape with 16 strings

A Matrix Vertical Rectangle shape with 16 strings

Picture

This shape can only be used with traditional lights. It is useful for representing:

·blow-molds

·plywood cutouts that are lit with a flood light

As the prop's channel fades down, the picture becomes dimmer.

A prop with a picture shape

A prop with a picture shape

Snowflake

This shape can be used to efficiently model pixel snowflakes, or almost any shape with radial symmetry. Motion effects that move left or right will spin around the snowflake - it makes it much easier to sequence.

When defining the shape, you specify the number of arms/spokes.Then you define lights on a single arm -- like defining a custom shape, except you are defining just one arm.

Let's use a Boscoyo 48 pixel flake as an example.

Boscoyo 48 pixel snowflake, Wiring view - front

Boscoyo 48 pixel snowflake, Wiring view - front

Notice the first arm circled in yellow. We will use this section to model the arm in the LOR snowflake shape. Note that this is the FRONT wiring view.

Snowflake Prop Definition

Snowflake Prop Definition

Now we start a new Prop Definition, selecting RGB pixels on the left, the Snowflake shape with 6 spokes in the middle, and "Separate Unit ID for each RGB string" is unchecked. We've set the Inner Radius and Arm Spacing to visually match the Boscoyo prop -- these 2 settings were adjusted by trial and error. The starting location is set to "Inside-CCW" since the Boscoyo prop is wired in a counter-clockwise direction.

Snowflake spoke definition

Snowflake spoke definition

Boscoyo First Arm

Boscoyo First Arm

The Boscoyo snowflake has 48 pixels. If we divide that by 6 arms, that means there are 8 pixels per arm. Here we have arranged the 8 pixels to match the area circled in yellow in the wiring view.

Here is the result in the preview window:

And here is the Wiring view for the LOR Snowflake shape.The snowflake shape defines each arm as a separate string. However, if you uncheck the box for "Separate Unit ID for each RGB string", then the channel assignments match.

LOR Snowflake wiring view

LOR Snowflake wiring view

Sphere

The cylinder shape allows you to model lights placed on a spherical object. The lights can go completely around the sphere, or you can specify 1/4, 1/2, or 3/4 coverage. If you choose partial coverage, be sure to choose the Starting Location entry carefully. When used with pixels, the pixel strings are assumed to run vertically. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights. This shape supports alternate node pixel wiring.

The sphere shape: 1 full coverage, and 2 half coverage examples

The sphere shape: 1 full coverage, and 2 half coverage examples

Spokes

The spokes shape models strings radiating from a central point. Wiring for all spokes is assumed to originate from the center, as illustrated by the pixel numbers in the picture below. If wiring for your pixel-based spokes alternates outside-in then inside-out, use the wreath shape instead. This shape supports alternate node pixel wiring.

The Spokes shape: 6 spokes with pixel numbers on the left, 12 spokes on the right

The Spokes shape: 6 spokes with pixel numbers on the left, 12 spokes on the right

Star

The Star shape can model a single star with any number of points.

4, 5, and 6-pointed stars

4, 5, and 6-pointed stars

Stars Nested

The Stars Nested shape models 5-pointed stars that are nested one within the other. Up to 10 nested stars are supported (versions prior to 5.5.0 were limited to 6 nested stars). It looks best when the number of lights in each star is divisible by 10.

The Stars Nested shape

The Stars Nested shape

Tree 90, 180, 270

These shapes model trees that are not a complete circle. Whether you choose 90 degrees, 180 degrees, or 270 degrees is a matter of preference - how it looks on the preview -- it does not change the effects on the actual lights. Strings are assumed to run vertically up and/or down the tree. These shape supports alternate node pixel wiring.

90, 180, and 270 degree trees

90, 180, and 270 degree trees

Tree 360 wedges

The Tree 360 Wedges shape models the most common type of lighted tree -- one where all sides of the tree are lit. Strings are assumed to run vertically up and/or down the tree. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights. This shape supports alternate node pixel wiring.

The Tree 360 shape

The Tree 360 shape

Tree 360 tiers

The Tree 360 Tiers shape divides the tree into layers and is sometimes referred to as a "z tree". Each layer is activated by a different channel. This shape does not support pixels.

Tree 360 Tiers shape parameters and diagram

Tree 360 Tiers shape parameters and diagram

Tree 360 panels

Commercial trees are often built with panels or branches that are placed around each layer of the tree. When creating a panel tree you:

1.define the arrangement of lights on a single panel, and then

2.specify how many panels there are on each layer of the tree.

There is a limit of 999 lights per panel.

Tree 360 up&over

In a Tree 360 Up & Over shape, a string of lights goes up one side of the tree and down the opposite side. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights.

Tree 360 Up & Over shape parameters and diagram. The diagram is a view from the top.

Tree 360 Up & Over shape parameters and diagram. The diagram is a view from the top.

Tree 360 spiral

Tree 360 Spiral shapes model a tree where the strings spiral up around the outside of the tree. The "revolutions" parameter can be positive or negative -- the sign controls the direction of the wrapping. Lights facing away from the viewer are shown at a lower intensity in the preview; however, this does not affect the actual lights.

Spiral Trees: 1 with 3 strings, and 2 with 1 string

Spiral Trees: 1 with 3 strings, and 2 with 1 string

Tree Custom Angle

This shape supplements the Tree 90, 180, 270, and 360 wedges shapes. The advantage of this shape is that you can specify a custom coverage angle and a custom angle to the audience.

Window Frame

You can use the Window Frame shape to model windows and doors. When modeling a door, set the "# of lights at the bottom" to 0.

Using the Window Frame shape to model a window and a garage door

Using the Window Frame shape to model a window and a garage door

Wreath

Use the Wreath Shape to model any circular prop. When used with pixels, the pixels are assumed to be wired outside to inside, and then continuing back to the outside, then inside, etc. If your pixel prop is wired a ring by ring, then use the Circles Nested shape instead.

2 Wreaths, one with pixel numbers displayed

2 Wreaths, one with pixel numbers displayed


Custom Grid

When using a Custom shape, Advanced shape, or Tree 360 Panels shape on the Prop Definition window you will click a button to open the Custom Grid Window:

·For a Custom shape, you are using the grid to define the placement of your lights.

·For an Advanced shape, you are using the grid to define the placement of pixels in the effect buffer.

·For a Tree 360 Panels shape, you are defining the location of lights on a single panel.

Button that opens the Custom Grid Window

Button that opens the Custom Grid Window

Custom Grid Window

Custom Grid Window

Entering Grid Data

To define the shape, place a number in each cell where there is a light or pixel. A number can be entered into a cell by:

·Clicking on a cell and entering the number using the keyboard

·Using the cut, copy, and paste buttons

·Using the auto-numbering feature

Traditional & Dumb RGB Lights

For props that use traditional strings or dumb RGB lights, the number you enter in the custom grid is the string number. So if you were defining a candy cane made using a single incandescent string or a single dumb RGB string, then all of the numbers in the grid would be “1”, as in the picture below.

If this prop had a second string connected to another channel, you would use the number "2" to represent that string.

Custom Candy Cane-Traditional Lights

Custom Candy Cane-Traditional Lights

RGB Pixels

The picture below shows a candy cane with 12 RGB pixels. For RGB pixels, the number you enter is the pixel number: 1 for the first pixel, 2 for the second pixel, etc.

Custom Candy Cane-Pixels

Custom Candy Cane-Pixels

Multiple Pixel Strings

When you have multiple strings of RGB pixels: numbers 1-999 represent pixels on the first RGB string; 1001-1999 represent pixels on the second RGB string; 2001-2999 represent pixels on the third RGB string, etc. You cannot represent a string with more than 999 pixels when using a Custom shape, Advanced shape, or Tree 360 Panels shape.

A pixel matrix with 4 strings of 10 pixels each

A pixel matrix with 4 strings of 10 pixels each

The Toolbar

Cut, Copy, Paste

Within the custom grid you can use the cut, copy and paste buttons (or their keyboard shortcuts) to move blocks of data around the grid. You can also use them to move data to and from an external spreadsheet (like Microsoft Excel).

Grid Menu

The Custom Grid Menu

The Custom Grid Menu

From this menu you can:

·Select All - selects all grid cells

·Add Offset To Selection - prompts for a number (can be positive or negative), and then adds that number to the selected cells. This can be used to change the string assigned to the selected cells.

·Flip Selection Vertical - flips the selected cells vertically. Using the example at the beginning of this topic: a right-side-up candy cane will become an upside-down candy cane.

·Flip Selection Horizontal - flips the selected cells horizontally. Using the example at the beginning of this topic: a candy cane facing left will become a candy cane facing right.

·Transpose - flips the entire grid so that the rows become columns and the columns become rows. Here is the original candy cane example transposed:

·Crop - deletes any blank rows at the top or bottom, and any blank columns on the left or right

·Divide Pixels Into Strings - prompts for the number of pixels per string, and then renumbers the prop. So if a prop as 250 pixels numbered 1-250, and you specify 100 pixels per string, then pixels 1-100 would remain the same, 101-200 would be changed to 1001-1100 (string 2), and 201-250 would be changed to 2001-2050 (string 3).

·Reverse Order - this function reverses the existing pixel numbers.

·Convert To Traditional String (all 1's) - this function sets any cell with a number in it to 1. Some coro props can be ordered with holes for traditional lights. This allows you to download the pixel model, and then apply this function to make it represent a single string of traditional lights.

·Shrink 50% - imported custom props are often defined with a very sparse matrix (lots of blank cells). This can cause the Sequencer to perform lots of unnecessary calculations while you are sequencing. To increase performance, it is beneficial to decrease the size of the grid as much as possible. Use the Crop function first. Then try the Shrink function -- this will reduce the number of cells in the grid by 50% in both width and height. Then try the Shrink function again. It is often possible to use it several times to greatly reduce the number of cells. If it is not possible to reduce further, it will display a message.

Grid Size

The grid size controls

The grid size controls

Using these controls you can:

·Change the width of the grid - adds or removes columns

·Change the height of the grid - adds or removes rows

·Change the size of the grid cells - make them smaller or larger

Using a Background Image

Using a background image can make placing the numbers in the grid much easier. Simply click the Load Picture button to load a picture of your prop. The selected picture will be used as the background of the grid. Acceptable file formats are JPG, PNG, and BMP. Then adjust the Transparency slider so that the background image and the numbers you type in can both be seen.

A background image made partially transparent, and numbers entered for part of the outline

A background image made partially transparent, and numbers entered for part of the outline

Auto-numbering

When auto-numbering is active (i.e. the Active box is checked), you can just click on a cell with the left mouse button to insert a number. If Auto Increment is checked, then the pixel number will automatically increment after every mouse click. In general, Auto Increment should be unchecked when creating a custom grid for traditional lights, and checked when creating a custom grid for pixel-based props.

Validation

In the lower left corner of the window, you will see 2 boxes that summarize the pixel numbers used in the grid. The upper box lists the pixel ranges that have been used. The lower box lists any duplicate pixel numbers - each entry is followed by a number in parentheses indicating the number of duplicates. The contents of these boxes are updated automatically after each number is entered into the grid.

A grid with an error. There are 2 entries for 11 and none for 10.

A grid with an error. There are 2 entries for 11 and none for 10.

Keyboard Shortcuts

Use these shortcut keys to navigate and modify the grid.

Key

Action

key-dark32-ArrowUp

key-dark32-ArrowLeft

key-dark32-ArrowDown

key-dark32-ArrowRight

Use the arrow keys to move one cell in the direction of the arrow

key-dark32-Home

Move to the first cell in the current row

key-dark32-End

Move to the last cell in the current row

key-dark32-PgUp

Move up 1 screen

key-dark32-PgDn

Move down 1 screen

key-dark32-Shift

Expand the selection by holding down the shift key while using any of the keys listed above

key-dark32-Del

Deletes the contents of the selected cells

key-dark32-Ctrl

key-dark32-A

Selects the entire grid

key-dark32-Ctrl

key-dark32-X

Cut

key-dark32-Ctrl

key-dark32-C

Copy

key-dark32-Ctrl

key-dark32-V

Paste


Alternate Node Wiring

When wiring a pixel prop, pixels are normally arranged sequentially - one pixel to the next:

However, in some situations you may want to use a method known as "alternate node wiring". For example, imagine filling a pixel strip starting at one end and filling every other hole. When you get to the end of the strip, you reverse course and fill in the remaining holes. For a strip with 10 pixels, it would look like this:

The same pattern occurs when you take a pixel string and fold it in half such that the pixels are interleaved.

Folding a string on itself

Folding a string on itself

Alternate node wiring is supported on the following shapes: Tree 90, Tree 180, Tree 270, Tree 360 Wedges, Matrix-Horizontal-Quad, Matrix-Horizontal-Rectangle, Matrix-Vertical-Quad, Matrix-Vertical-Rectangle, Cylinder, Sphere, Fan, and Spokes. To enable it, set the "Alternate Nodes" value to "1".


Group Definition

In Preview Design, you can create groups of props. This enables you to apply effects to the entire group. For example, if you have 4 arches in row, you could put them in a group. A curtain effect applied to the group will be different than the same curtain effect applied to each prop individually.

Preview Group Definition Window

Preview Group Definition Window

Items In The Group

Place a check mark next to each prop that you want included in the group. You can use the Select All button to check all of the boxes, and the Clear All button to clear all of the boxes.

Arrangement

There are different ways to group props. In the arch example above, you would set the arrangement to “horizontal stack” because arches are usually arranged horizontally. There is also a “use preview” arrangement setting which applies effects according to the way the props are laid out in the preview. You can even put all of your RGB elements in a single preview group and then apply effects to that group and your entire display will appear to move together.

None

The group will only be used to keep items together in the sequence grid. You cannot create motion effect rows for groups with an arrangement of "none".

Horizontal Stack Align Bottoms

Members of the group are arranged side-by-side. If there are members with varying heights, they will be arranged using the bottom as a reference.

Horizontal Stack Align Tops

Members of the group are arranged side-by-side. If there are members with varying heights, they will be arranged using the top as a reference.

H Stack, V Fill

Members of the group are arranged side-by-side. If there are members with varying heights, items with shorter heights are stretched to match the tallest item.

Vertical Stack

Members of the group are arranged bottom to top. If there are members with varying widths, they will be arranged using the left side as a reference.

Nested

Members of the group are arranged bottom to top. If there are members with varying widths, items with shorter widths are stretched to match the widest item.

V Stack, H Fill

This is like the "nested" arrangement, except that when items are stretched, pixels are repeated in the buffer so that there are no gaps.

Custom

When you click the "Custom" button, 2 additional columns are added to the member grid: Top and Left. You can use these columns to specify where the effect buffer should be placed. Specifying 0, 0 will place the effect buffer for that group in the upper left corner. This arrangement can be useful for who users who want to sequence all of their props at the same time in SuperStar.

Custom Arrangement

Use the "Channel Layout" button to visualize how the props are arranged. Here is a portion of the layout for the custom arrangement shown above:

The Channel Layout

The Channel Layout

Use Preview

Pixels are arranged according to their placement in the preview. The slider associated with this arrangement can be used to adjust the granularity of the placement. Coarser (low res) granularity results in faster performance, but might make your effects look "blocky" if you have many pixels. Finer (high res) granularity will eliminate the "blockiness" but takes more memory and takes longer to calculate the effects.

The "Treat props as dumb RGB" option is a special case, where each prop in the group gets a single color when a motion effect is applied. Different props can be different colors, but all of the pixels in a single prop will be the same color. For example, if the group has 50 small props of 10 pixels each and you apply a butterfly effect to the group, each prop will be a different color, but the 10 pixels that make up a single prop will all be the same color.

Channel Layout

Use the channel layout to view the results of the arrangement setting. This is the pixel configuration that will be used when motion effects are applied.

Motion Effect Rows

Use the "Default Motion Rows" button to define default motion effect rows that will be incorporated into new sequences (this setting has no effect on existing sequences). The number in parentheses on the button reflects the number of default motion effect rows that have already been defined for the group. The dialog for adding default motion rows to a group works just the same way as the dialog for adding motion effect rows to an existing sequence. See the Motion Effect Rows Dialog topic for more information.

Tag

Every group in a Light-O-Rama "RGB Plus" sequence is assigned a tag. These tags are available in the Tag drop-down. You can assign tags to groups in your own preview that are similar to props in an RGB Plus sequence. For example, if you have a pixel-based matrix in your display, you could assign it to tag "LOR Group-RGB Matrix 20x40".

Why go through the trouble of tagging?

If you purchase an RGB Plus sequence, open it in the Sequencer, and then assign your preview to the RGB Plus sequence, props and groups that are tagged will automatically match up. This can make customizing a purchased sequence to your display much easier.


Copy Dialog

Preview Design's Design Tab has a “Copy” command which is very helpful in creating a collection of props that all look the same, such as a series of arches or mini-trees. You can access this command by:

·Right-clicking on a prop or group in the Prop and Group List and selecting Copy from the menu

·Selecting a prop or group and then selecting Copy from the Edit Menu

·Selecting a prop, then right-clicking on the Design Canvas and choosing Copy from the menu

Any of these actions will open a dialog window where you can specify how many copies should be made. If the source name has a numeric suffix, then that number will be automatically incremented for each copy. After the “Make Copies” button is pressed the new copies will be displayed.

While less common, you can also use the Copy command to make a copy of a group. Whether copying a prop or a group, the Copy Dialog works the same way.

Here is the process for copying a prop:

·Select the prop in the item list that will be the source of the copy. For props with a numeric suffix, this prop’s name should end with “1”, “01”, “001”, “(1)”, “(01)”, or “(001)”. If you have created 5 arches and then decide you need more, you can select the last one (e.g. “Arch 05”) and the Copy command will continue your number sequence from there.

·Select “Prop”, then “Copy” from the menu. This will open the Copy window. See the picture below for an example.

·The “Base Name” field should already be filled in for you. If you are creating a non-numeric sequence such as “Left”, “Center”, “Right”, then you might want to edit the base name to remove the suffix in the source prop’s name.

·Select the number of copies to make. The New Names list on the right will automatically update as this value is changed.

·If the source prop’s name has a numeric suffix, then the “Starting Number” field should be set automatically.

·The “Suffix” field should be set automatically, but can be changed if desired. For example, if your source prop does not have a numeric suffix, but you want the copies to be numbered, then change this field to the desired number format.

·You can change the automatically generated names by double-clicking any entry in the “New Names” list and making edits as desired.

·After making all of your edits, click the “Make Copies” button. This will close the Copy window and the new copies should appear in the preview design window.

·When copying a prop, the channel information in the copies will be set automatically -- incremented from the source prop. However, after the copy completes, you should double-click on the name of each copied prop in the list and when the Prop Definition window opens, verify that the channel information for that prop is correct.

·When copying a group, you will end up with copies of each prop that make up the group. The channel information in the new props will be the same as the original props -- resulting in channel conflicts. After the copy has completed, you should switch to the Channel Conflicts tab and resolve these -- giving the new props their own unique channel settings.

The picture below shows the Copy command being applied to a prop named “Arch 01”. The numeric suffix is automatically detected and the fields set accordingly. The only action is to set the desired number of copies (4 in this example).

About to make 4 copies

About to make 4 copies

Result of making 4 copies

Result of making 4 copies


Naming Strategies

The Sequencer comes with an empty preview called “Default”. If you want to keep things simple, you can create all of your props in the Default preview and associate all of your sequences with Default:

Another approach is to create a preview for each holiday for which you have a light show. For example, you could have previews called “Valentines”, “Halloween”, and “Christmas”. If your display were to change from year to year, you would update the props in the preview for the relevant holiday.

Finally, you can create a preview for each display, for each year. So you might start with a preview called “2018 Christmas” associated with all of your sequences for 2018. Then in 2019, you would archive your 2018 sequences for reference, and make copies that you would work with for your 2019 show. Something like this:

·Copy all of your 2018 sequences to a new folder for 2019.

·In the Sequencer, copy the “2018 Christmas” preview to “2019 Christmas”. This would make a copy of the preview’s visual layout as well as make a copy of every prop in the preview.

·Open each sequence in the 2019 folder and change the sequence’s preview to “2019 Christmas” (with the sequence open, select Sequence > Assign Different Preview from the menu).

·With that complete, you could proceed with adding and removing props in the “2019 Christmas” preview and revising the 2019 sequences as desired

The Advantage of this approach is that it gives you a history of your old sequences and those sequences can be opened in the Sequencer and viewed using the preview in effect for that year.


Online Prop Import

There are several online repositories of prop definitions that you can access from the Sequencer and import directly onto the Preview Design canvas. To start an online import, click the Add Item button on the Design Tab. This will open the following window:

Preview Design's Add New Item dialog

Preview Design's Add New Item dialog

Notice that the last 6 items have "(online)" as a suffix. This means that their content resides online and requires an Internet connection to access them. If you select one of them and then click the "Continue" button (or just double-click on one), then you will see the following window (the content will vary depending on which item you clicked on).

Online Prop Import

Online Prop Import

Importing A Prop

To import a prop, click on a prop's name on the left side. The details about that prop will be displayed on the right side. If the information looks good, then click the "Add Prop" button.

Depending on the source, the items on the left may be grouped into categories and sub-categories. Simply click the "+" icon to expand a category.

Filtering The List

You can filter the list by entering text into the box labeled "Filter". The list will change with each character you type. To see all items, remove all text from the filter box.

Find Out More About The Prop

Click on a prop's name on the left side. The details about that prop will be displayed on the right side. The number of lines in the Prop Details section will vary depending on which online source you are viewing. A "View Product Page" link may also be displayed. If it is, then you can click on the link and the product page for that item will open in your web browser.

All content displayed on this page is provided by the seller. Contact the seller if you encounter inaccurate information, missing product pictures, or links to product pages that don't work.


Layout View

This window displays a printable layout of the selected prop or group with channel information for every string or pixel. It is very useful for pixel-based props because it shows how the pixels are arranged when motion effects are applied.

What is a "node"?

The Layout View displays an arrangement of nodes. A "node" is either:

·a single channel, or

·an RGB channel (for Dumb RGB or RGB pixels), or

·a group of single-colored strings (a bundle). These are often used for megatrees made of traditional lights.

Each node is labeled with 2 lines of text:

·"n1s1" means the node 1, string 1

·"u01c1" means unit id 01, circuit 1 for LOR devices. "u1c1" means universe 1 channel 1 for DMX devices.

If the node has multiple channels, only the first channel is listed. Refer back to the Prop Definition screen to determine the other channels in the node.

Prop - Single Channel

The shows a sample layout for a prop with a single channel. At the top are the name, shape, string type, and device type used by the prop. This example has single node representing a single channel. The bottom of the Layout View shows the arrangement of all of the nodes (in this case just 1).

Prop - Dumb RGB

This example shows the layout for a dumb RGB floodlight. It looks very similar to the first example, except the String Type is different.

Prop - RGB Pixel Tree

This example shows the layout for the Light-O-Rama 16x25 pixel tree. In this tree, there are 8 pixel strings that are each folded in half. Nodes for odd-numbered strings are shown with a light blue background, and even-numbered strings are shown with a green background. This makes the strings easy to distinguish. You can follow the channel numbering for the first string up the first column and down the second column. The other strings follow the same pattern.

Columns and rows are identified with a number. These numbers match the row and column numbers displayed in RGB channel names for pixel-based props.

The "Show empty cells" option is useful when viewing a prop with a custom shape. It can make identifying the row and column numbers easier.

Printing

You can print the layout using the Print button. However, this has the limitation of only printing 1 page wide. If your prop is larger than a single page width, use the "Save Image" button to save the entire layout to a PNG file. You can then open the PNG file is Microsoft Paint (or a similar program) and use its print function -- it will use multiple pages if necessary to print large images.


Wiring View

This window displays a diagram showing how pixel-based props are wired together - with every pixel labeled with its string and pixel number. This can be useful for props with predefined shapes where the pixel order may not be clear - candy canes, spokes, and wreaths for example. But it is most useful for custom pixel props from companies like Boscoyo Studios, where determining which pixel to put into which hole can be confusing. The Wiring View clearly shows the path that the pixel string will take through any prop.

The first line of the dialog shows the prop's name - "cc2" for the example below. That is followed by the toolbar.

Front View of a Right-Facing Candy Cane Prop

Front View of a Right-Facing Candy Cane Prop

The Toolbar

You can customize the Wiring View using the toolbar controls.

View

You can view you prop from the front or the back. It is very important that you have this set correctly, or you might wire you prop in reverse! Normally when assembling a prop, you are pushing pixels in from the back. In that situation, the Rear view will be most helpful because you can just follow the diagram shown on the screen without having to do any translations in your head.

Background

You can set the background color to dark or light. If viewing the on the screen, you probably want the dark background. However, if you take a snapshot and intend to print it, you might want to set the background to "light" first; as snapshots with a white background will print using a lot less ink.

Text Size

You can vary the text size by dragging the slider in order to make the labels on each pixel more readable.

Zoom

Large props will be too big to view all at once. Use the Zoom slider to enlarge the wiring diagram, then use the scroll bars to move around to your area of interest.

Snapshot

camera20x15 clicking this icon captures a snapshot of the current wiring view and prompts you for a file name where the image can be saved (PNG format). You can then open that image with another program, such as a photo viewer, in order to print it.

Zoom Example

Here is an example where we have zoomed in to see the wiring detail on a complex prop from Boscoyo Studios. Without zooming in, it would be impossible to follow the pixel order.

Zooming in to see the detail

Zooming in to see the detail


Sequence Tab

This section will describe the various parts of an open sequence tab, and how you go about editing a sequence. Before proceeding, you should understand what a sequence is and the high-level description of the S5 Sequencer.

To start sequencing, open an existing sequence or start a new one.

·To open an existing sequence:

oselect File > Open or File > Recent Files from the main menu, or

oclick on one of the recent files listed on the Start Page.

·To start a new sequence:

oselect File > New from the main menu, or

oclick New Animation Sequence or New Musical Sequence on the Start Page, or

oright-click on a preview in the Previews Window and select New Animation Sequence or New Musical Sequence from the pop-up menu.

The sequence will be displayed in its own tab. Normally, you view only one sequence tab at a time; however, you can view sequences side-by-side as described in the Customizing Window Layouts topic.

To change the active sequence, simply click on the desired tab, avoiding the "X" on the right side of the tab. You can also use the Ctrl+Tab shortcut to move to the next tab to the right. Ctrl+Shift+Tab will move to the next tab to the left. These are the same shortcuts used in most web browsers.

The Sequencer with an open musical sequence

The Sequencer with an open musical sequence

Each sequence tab has several sections:

·At the very top, the tab displays the sequence name. The name is preceded by an asterisk "*" if there are unsaved changes. Hovering your cursor over the tab will display a tool-tip showing the full path to the sequence file. After the name is an "X", which when clicked will close the sequence.

· The Toolbars - there are 3 toolbars which contain command buttons for saving, playing, and modifying the sequence.

· Grid Views and the Grid View Menu - which control the content of the item list

·The Timeline - displays the time dimension of the sequence. It shows where you are in your sequence time-wise.

· The Waveform - if this is a musical sequence, the audio waveform can be displayed to help place effects so that they are synchronized to the music.

· Item List - the list of preview props, preview groups, grid view groups, subsequences, archive props, RGB aggregates, beat channels (in musical sequences), and loops (in animation sequences) shown to the left of the sequence grid.

·Sequence Grid - there is a row in the sequence grid for every item in the item list. Cells in the grid display the lighting effects that will happen on an item at various points in time while the sequence is being played.

·The Status Bar displays the total length of the sequence, as well as information about the selected region of the grid.

Areas within the Sequence Tab

Areas within the Sequence Tab

For more information on using the Sequence Tab, please see the following topics:

· Scrolling & Zooming

· Item List

· Grid Rows

· Grid Views

· Grid View Menu

· Selecting Cells

· Intensity Range

· Adding Effects

· Modifying Effects

· Deleting Effects

· Cut/Copy/Paste/Repeat

· Toolbars

· Right-Click Context menu

· Freeform Play Range

· Playback

· Audio Waveform

· Audio Wizards

· Tooltips

· Loops in Animation Sequences


Scrolling & Zooming

Your sequence grid is often larger than your display. To access all parts of your sequence, you will need to be able to:

· Scroll the grid in any direction

· Zoom in and out of the grid both horizontally and vertically

Scrolling

There are several was to scroll the grid.

Scroll Bars

You can click on the scroll bars to scroll the grid. There are 2 vertical scroll bars on the right edge: one scrolls the beat channels section and the other scrolls the main section. If there are no beat channels displayed, the beat channel scroll bar will be hidden. Also, the beat channel scroll bar will only need to be used if you have defined more beat channels than can be displayed at one time. The maximum number of beat channels displayed at one time defaults to 10, but you can change this value from the grid view menu.

Sequence Grid Scroll Bars

Sequence Grid Scroll Bars

Mouse Wheel

You can scroll the grid vertically using the mouse wheel on your mouse.

Using a mouse wheel makes it easier to scroll

Using a mouse wheel makes it easier to scroll

If you are using a laptop and only have the built-in touch pad available, you can use 2 fingers to scroll vertically; though this tends to not work as reliably as a mouse with a mouse wheel

Using a touch pad to scroll

Using a touch pad to scroll

key-dark32-Shift

MouseWheel

Hold the shift key down while using the mouse wheel to scroll horizontally.

Some mice allow you to tilt the mouse wheel left and right. This will scroll the grid left and right.

Keyboard

As you move the selected area of the grid using the arrow keys, home, end, page up, or page down, the grid will scroll so the current cell is always visible.

Zooming

You can zoom in or out in the sequencing grid:

Zoom The Timescale (horizontal)

ZoomIn

Click the Zoom Time In button on the toolbar

ZoomOut

Click the Zoom Time Out button on the toolbar

key-dark32-Ctrl

key-dark32-Plus

Zoom in using Ctrl +

key-dark32-Ctrl

key-dark32-Minus

Zoom out using Ctrl -

key-dark32-Ctrl

key-dark32-Alt

key-dark32-Plus

Zoom in fully

key-dark32-Ctrl

key-dark32-Alt

key-dark32-Minus

Zoom out fully

key-dark32-Ctrl

MouseWheel

Hold the Ctrl key down while using the mouse wheel to zoom in and out

WaveformSelect

Zoom in by dragging the mouse pointer across the audio waveform

TimelineContextMenu

Right click on the time scale or on the wave form.

·The first 2 options on the menu allow you to zoom the time scale in and out.

·The next 3 options zoom to a fixed time scale: 5, 10, or 15 seconds wide. These can quickly take you to a reasonable time scale if you have zoomed in too far.

Zoom The Row Height (vertical)

Click this toolbar button to make the height of each grid row shorter

Click this toolbar button to make the height of each grid row taller

key-dark32-Alt

key-dark32-ArrowUp

Make the height of each grid row shorter

key-dark32-Alt

key-dark32-ArrowDown

Make the height of each grid row taller

key-dark32-Alt

key-dark32-PgUp

Make the height of each grid row as short as possible

key-dark32-Alt

key-dark32-PgDn

Make the height of each grid row as tall as possible

Zoom Preferences

Zoom Preferences (under the Tools menu) allows you to set a preferred horizontal and vertical zoom level and to restore it when desired.


Item List

The "item list" is the list of preview props, preview groups, grid view groups, subsequences, archive props, RGB aggregates, beat channels (in musical sequences), and loops (in animation sequences) shown to the left of the sequence grid. For every item in the list, there is a corresponding row immediately to its right in the sequence grid.

Between the item list and the sequence grid is a thick gray vertical bar. Dragging the bar left or right changes the width of the item list.

Areas within the Sequence Tab

Areas within the Sequence Tab

The item list and sequence grid are divided into 2 sections:

·An upper part for beat channels (in musical sequences), and loops (in animation sequences). This part is fixed (frozen) at the top of the sequence grid so that loops and beat channels always remain visible.

·A lower part for all other items: preview props, preview groups, grid view groups, subsequences, archive props, RGB aggregates. You can create subsets of props and groups that you want to display in this section by using Grid Views.

If there are no beat or loop channels, then the upper part will be hidden. However, if both sections are shown then each will have its own vertical scroll bar on the far right.

In this section you can learn more about:

· The various types of grid rows that are displayed in the sequence grid (regular channels, RGB channels, motion rows, subsequences, beat channels, and loop rows).

· How to use the item list

· Creating grid views

· Using the grid view menu

· Grid view groups

· Creating motion effect rows

· Adding props and groups to the current view


Grid Rows

When a sequence grid is displayed on your screen, each row in the grid will be of a certain type. Different row types can hold different kinds of effects.

· Regular channels

· RGB channels

· Motion Effect Rows

· Subsequences

· Beat channels

· Loop Rows

Some row types are displayed with a symbol as a prefix to help identify the type of grid row. Here is a summary of the symbols that are used:

Regular Channels (non-RGB)

A channel is assigned to a prop, which belongs to the preview associated with the sequence. A sequence can only control the channels defined in its associated preview. In order to add a channel to a sequence, you must edit the preview using the Preview Design screen. Channel names and colors are also derived from the preview, so changing the name or color requires a change to the preview.

The Sequencer is used to assign effects to channels, to make the lights turn on and off, fade, shimmer, twinkle, and so forth.

In the Sequencer, channels are represented as horizontal rows. On the left side of a row is the channel name; on the right side is a grid showing what effects are assigned to the channel at what times. The grid for a regular channel is displayed with a gray background. For example, the following sequence has 4 channels, and they are named "Window", "Door", "Eaves", and "Gutter". Each one of them has an "on" effect that turns the respective channel on at 100% intensity for 1/2 of a second.

A sequence with 4 channels

A sequence with 4 channels

See the Adding Effects topic for more details. To change an existing effect on a regular channel row, just double-click on the effect and a pop-up window will prompt for the new effect. For example, you can use this to change a twinkle to a shimmer.

Double-clicking on a channel's name brings up the Prop Definition dialog (which is part of the preview). This allows modifications to various things like the channel's name, color, unit, and circuit:

Prop Definition screen for the Window prop

Prop Definition screen for the Window prop

Right-clicking on a channel's name brings up a popup menu with various channel-related tools:

Right-click menu

Regular channel rows can be dragged up and down to rearrange their order. This has no effect on your lights; it only affects the order that they are displayed in the Sequencer. Each grid view can display channels in a different order - changing the order in the currently displayed grid view does not change the order in any other grid view.

When you play a sequence in the Sequencer, the area just to the right of the channel name flashes with the color that you selected as it turns on and off; it will also fade up and down, shimmer, twinkle, and so forth, just as your lights will. You can change the width of the "color sample" area in the Sequence Grid Preferences dialog.

RGB Channels

An RGB channel is a group of three channels - a red channel, a green channel, and a blue channel - which can be combined to produce any color. A device may have a single RGB channel, like an RGB flood light; or it can have many RGB channels, like a Cosmic Color Ribbon. In the Sequencer, an RGB channel is displayed with a black background. Lighting effects on an RGB channel are represented in the row as colors:

8 RGB channels, the first one expanded

8 RGB channels, the first one expanded

It is important to note that the colors displayed on your computer's screen in the Sequencer are not necessarily the same colors that will appear on your actual lights, and in some cases may actually be very different. Different RGB devices may produce different colors when their constituent red, green, and blue channels are set to the exact same intensities. So, you may have to experiment a bit to figure out colors as displayed in the Sequencer that wind up looking the way you want on your actual RGB devices.

The primary tool for applying colors to an RGB channel is the Color Fade tool. This tool allows you to specify a start color and an end color; when applied to a time range in the RGB channel, it will cause that time range to gradually fade from the start color to the end color.

Another tool which may be particularly useful for RGB channels is the Fill tool, which (on a normal channel) allows you to click an empty area and cause it to become a fade from the preceding intensity to the following intensity. For example, if you have a normal channel which has a fade up from 40 to 60, followed by the lights being off, followed by a fade down from 80 to 20, then applying the Fill tool to the area where the lights are off will cause that area to become a fade up from 60 to 80 (because the effect preceding the empty area ended at intensity 60, and the effect following the empty area started at 80). On an RGB channel, the Fill tool will instead cause a color fade from the preceding color to the following color, allowing you to quickly set up smooth color transitions across several different colors.

The Chase and Repeat tools may also be of particular use on RGB channels. The Chase tool causes the lighting effects in a single channel (or RGB channel) to be applied through a range of following channels (or RGB channels), offset in time a bit with each passing row, so that the effect seems to be "chasing" through the channels (or RGB channels) as time passes. The Repeat tool causes one or more copies of the lighting effects in your selection to be applied immediately following your selection.

Other tools, such as Max Intensity or Fade Up or Fade Down, can also be applied to RGB channels. Doing so will cause the tool to be applied using the current color shown on the toolbar. For example, if the toolbar color is solid blue, applying the Fade Up tool, with intensities 0 to 100, to an RGB channel will cause the toolbar blue to fade up from 0 to 100, thus making the RGB channel itself fade from black to blue.

To edit an effect on an RGB channel row, just double-click on the effect and a pop-up window will prompt for the new colors and effect.

Double-clicking on an RGB channel's name brings up the Prop Definition dialog (which is part of the preview). This allows modifications to various things like the channel's name, unit, and circuit:

The RGB Channel Settings dialog

Right-clicking on an RGB channel's button will open up a popup menu with various channel and RGB channel-related tools:

Right-click menu

RGB channel rows can be dragged up and down to rearrange their order. This has no effect on your lights; it only affects the order that they are displayed in the Sequencer. Each grid view can display channels in a different order - changing the order in the currently displayed grid view does not change the order in any other grid view.

When you play a sequence in the Sequencer, the area just to the right of the RGB channel name is filled with the color of the current effect; the same color as your lights will display. You can change the width of the "color sample" area in the Sequence Grid Preferences dialog.

RGB channels are added to the sequence by adding props to the preview associated with the sequence.

Motion Effect Rows

Motion Effects

Motion effects are moving color patterns applied to props (or groups of props) built with RGB pixels. For example, there are motion effects for spirals, snowflakes, fireworks, pictures, text, etc. See the Motion Effect Reference for a complete list.

Motion effects can also be applied to a group of props that use traditional lights, or dumb RGB lights, or any combination of props using traditional, dumb RGB, and pixel lights.

You can only add motion effect rows to a sequence if you have a Pro level license.

Motion effect on a pixel tree

Motion effect on a pixel tree

Motion effects can be created using the Motion Effect Generator or the SuperStar Sequencer. The SuperStar Sequencer requires a separate license. To edit an existing effect on a motion effect row, just double-click on the effect -- the Motion Effect Generator or SuperStar Sequencer will open and allow you to make changes to the effect.

Motion effects can be displayed on lights connected to Enhanced LOR networks, as well as DMX networks. They cannot be displayed on LOR networks that are not enhanced. Furthermore, they cannot be used in a stand-alone sequence that is loaded into a controller.

Creating and Deleting Motion Effect Rows

Motion effects are placed on motion effect rows. Typically, you will create 1 or 2 motion effect rows for each group or pixel-based prop; though they can have as many as 1,000.

Motion effect rows can be created in 2 places:

1.You can create motion effect rows directly in the sequence grid. Right-click on the name of a prop or group, or on an existing motion effect row. See Using The Item List for more information.

AddModifyMotionEffectRows

2.You can create motion effect rows in the preview using the "Default Motion Rows" button on the Prop Definition and Group Definition screens. The default motion effect rows defined in the preview will be incorporated into new sequences; they have no effect on existing sequences. Updates to default motion effect rows can be incorporated into existing sequences using the Merge Defaults function.

DefaultMotionRowsButton

Use the right-click menu to delete one motion effect row at a time. If you need to do a larger cleanup, select Sequence > Motion Row Cleanup from the main menu.

Motion Row Order

When a prop or group has multiple motion effect rows, those rows are combined (rendered) in a specific order: the order shown in the Motion Effect Row dialog. You can choose from:

·Foreground Layer On Top - the dialog and the sequence grid will both show the foreground layer first. The user cannot reorder the motion effect rows in the sequence grid.

·Foreground Layer On Bottom - the dialog and the sequence grid will both show the foreground layer last. The user cannot reorder the motion effect rows in the sequence grid.

·Unstructured - like Foreground Layer On Top, but the user is free to reorder and group motion rows in the sequence grid. The order in the grid can be totally different than the rendering order. For advanced users only.

Your preference is set on the Tools > Sequencer Preferences > Motion Effects tab and applies to all sequences.

Motion Rows in the Sequence Grid

Motion row names will have one of 2 prefixes: rows created from a default are shown with a triangle with a bar underneath. Motion rows not associated with a default have a "Δ" prefix.

Motion effect rows are displayed with a black background. The motion effects can be displayed with an icon representing the actual effect, or with alternating colors. See the Motion Effect Preferences tab for an explanation of the available options.

Motion effects displayed as icons

Motion effects displayed as icons

Motion effects displayed as alternating colors

Motion effects displayed as alternating colors

Subsequences

A subsequence is a sequence that is used as a part of another sequence (its "parent sequence", or "the main sequence"). Subsequences are displayed with a "§" prefix in the sequence grid.

A subsequence

A sequence grid row for a subsequence can be turned on and off, using the Sequencer, in the same ways that other channels can be. When the channel in the main sequence is turned on, the subsequence will begin playing, from its beginning. It will continue playing for as long as the channel remains on; if play of the subsequence reaches its end before the channel has been turned off in the main sequence, the subsequence will simply loop back to its beginning and continue playing.

When the channel in the main sequence is turned off, the subsequence will stop playing. If the channel is subsequently turned back on, the subsequence will start playing again, from its beginning (not from the last point that it left off at).

In S5 and later, the effects contained in a subsequence will be displayed in the playback window while the sequence is being played. This is different from older versions.

Tip: Do not set up the same physical unit and circuit to be a channel in a sequence and a channel in a subsequence of that sequence (or two channels in two different subsequences of a sequence). Doing so will likely cause unexpected and undesired results, as the two channels compete for control over the same physical circuit.

Note: If a sequence with a Windows shell command is used as a subsequence, that command will not be executed. Only the shell command associated with the main sequence (if any) will be executed.

A subsequence can be created by selecting "Subsequence" from the "Add New" item on the Sequence menu or on the Grid View menu.

Right-click on a subsequence's name and select "Modify Subsequence" to change its name, color, or referenced sequence file.

Right-click on a subsequence's name and select "Delete Subsequence" to remove it completely from the sequence.

Beat Channels

Beat channels are intended to hold sequence effects related to the beat of the music; however, you can put any regular channel effect anywhere you want in a beat channel. Beat channels can only be added to musical sequences and are shown with a "♪" symbol as a prefix. Beat channels are not shown in the playback window when the sequence is played and they cannot control real lights. Beat channels stay frozen at the top of the sequence grid so they are always visible. You can add as many beat channels as you want to a sequence, there are no limits.

If you have many beat channels in a sequence, you might not want to see all of them at one time - as it could take up a lot of valuable screen space. You can control this by selecting the Beat Channel Row Count item from the Grid View menu.

2 beat channels at the top of a sequence

2 beat channels at the top of a sequence

Beat channels can be created:

·Within any of the 4 audio wizards.

·By right-click on an existing beat channel name and selecting "Add Beat Channel" from the pop-up menu.

·By selecting "Beat Channel" from the "Add New" item on the Sequence menu or on the Grid View menu. Here you can add multiple beat channels at once by entering 1 channel name per line. All channels will be assigned the same color.

BeatChannelAdd

Right-click on a beat channel's name and select "Modify Beat Channel" to change its name and/or color.

Right-click on a beat channel's name and select "Delete Beat Channel" to remove it completely from the sequence.

You can copy sequencing from a beat channel to other areas of your sequence using copy/paste.

Loop Rows

An animation sequence (but not a musical sequence) can contain loops. When the Show Player or the Sequencer plays a sequence with loops, when the end of a loop is reached, the sequence will go back to the beginning of the loop. This will happen a certain number of times (which you specify), after which the sequence will continue on past the end of the loop.

Each time through a loop, you can have the sequence speed up, slow down, or remain at the same speed.

A sequence can contain many loops. Loops can be nested - that is, a loop can contain other loops.

Loop rows are shown with a white background are fixed to the top of the sequence grid. They do not scroll away when the rest of the sequence is scrolled vertically.

For example, the following picture shows a sequence with a loop starting at 1 second and ending at 2 seconds. The number of times the loop will repeat is shown in the middle of loop (1 in this case). If the loop were to speed up after each pass, then the repeat count would be followed by a "+" symbol. If the loop were to slow down after each pass, then the repeat count would be followed by a "-" symbol. In this case the loop speed is set to stay the same, so no symbol is displayed.

A sequence with a loop starting at 1 second and ending at 2 seconds

A sequence with a loop starting at 1 second and ending at 2 seconds

See the Loops in Animation Sequences topic for more information.


Using The Item List

The item list appears to the left of the sequence grid.

Areas within the Sequence Tab

Areas within the Sequence Tab

Subjects covered in this topic:

· Item List Hierarchy

· Condensed Mode

· Item List Double-Click

· Reordering The Item List

· Item List Right-Click Menu

· X'ed Out Rows

Item List Hierarchy

The item list is a hierarchical tree where items in the list can have child items, and those children can in turn have children. Items in the hierarchy with child items below them will be displayed with a "+" or "-" symbol inside a small box to the left of the name:

·a "+" symbol means the children are hidden; clicking on the "+" will expand the tree node and display the children

·a "-" symbol means the children are displayed; clicking on the "-" will collapse the tree node and hide the children.

·You can right-click on a collapsed item (one with a "+" button next to it) and select "Expand" from the pop-up menu to display all children at all levels below the item that was clicked.

·You can right-click on an expanded item (one with a "-" button next to it) and select "Collapse" from the pop-up menu to hide all children at all levels below the item that was clicked.

·You can select Expand All from the Grid View Menu to display all children for every item in the Item List.

·You can select Collapse All from the Grid View Menu to hide all children for every item in the Item List.

Preview Props

Preview props that have a single regular channel, RGB channel, or motion effect row will be displayed as a single row in the sequence grid.

A prop with a single string of lights (such as a bush):

An RGB flood light:

A pixel-based arch with 1 motion effect row and the channel level disabled (motion effect rows require a Pro license):

Preview props that have more than one regular channel, RGB channel, or motion effect row will be displayed as a tree in the item list. The examples below are shown with Condensed Mode off.

A mini-tree with multiple strings of lights, and each string color is assigned to a separate channel:

A megatree built with strings of traditional lights (c01 is the first string, c02 the second, etc):

A pixel-based arch with 3 motion effect rows and the channel level disabled (motion effect rows require a Pro license):

Preview Groups

Preview groups can generate a hierarchy because they can have motion effect rows (if the group's arrangement setting is not "none"). Members of the group (props and/or other groups) are also listed under the group.

Note: motion effects on groups allow you to do some amazing things, like color sweeps across several props or even your entire display.

As an example, here are 3 pixel arches combined into a group.

Group Definition

The first motion effects row is for the group - effects created here will act as if the combined arches are one big prop. This is followed by motion effect rows for each individual prop.

Group displayed in the sequence grid

Group displayed in the sequence grid

Grid View Groups

A grid view group is a set of regular channels or RGB channels or Motion Effect rows or beat channels (or, conceivably, other grid view groups) that is nested together, so that it can be collapsed down to a single row in the sequence grid, or expanded to show all of its members.

In this example, the grid view group "Unit ID 06: Strobes" has been expanded. The other grid view groups are collapsed.

RGB Aggregates

RGB aggregates have 3 channels that are displayed as children in the hierarchy.

"Hoop 2" is an RGB Aggregate

"Hoop 2" is an RGB Aggregate

RGB Channels on Pixel Props

If you have a Pro license, pixel-based props are displayed with motion effect rows by default. You can display the RGB channels by right-clicking on the prop name and selecting "Enable Channel Level on Pixel Prop" on the pop-up menu. Later, if you decide that you no longer need the channel level, you can right-click on the prop name and select "Remove Channel Level on Pixel Prop". If you don't have a Pro license, then RGB channels are always displayed (motion effect rows are not available at these license levels).

As an example, here is a pixel-based arch with the channel level enabled (only the first 5 RGB channels are included in the picture). With these settings, the prop can be sequenced using motion effects and channel effects interchangeably. Channel names use a "Rxx Cyy" notation, where xx is the row number and yy is the column number. If the prop only has 1 row, the row number is omitted. If the prop only has 1 column, the column number is omitted You can find out which pixel is which by setting Pixel labeling to "Row / Column" in Preview Design and then selecting the prop in question. The row and column numbers shown in the channel description also correspond to the rows and columns shown in the Layout View.

Condensed Mode

The item list hierarchy can be displayed such that all levels of the tree are displayed, or a "condensed" mode where higher levels of the tree are hidden when lower levels are displayed.

Turning condensed mode off makes it easier to understand the item list hierarchy, but it leaves "blank" rows (the ones with X's) in the sequence grid.

Condensed Mode OFF

Condensed Mode OFF

Turning condensed mode on mimics the behavior of the S4 Sequence Editor, and uses the screen space more efficiently. This is the same example as above; however, with condensed mode enabled, the "Roofline ALL", "Motion Effects", and "Member Props" items have been hidden because their children are visible.

Condensed Mode ON

Condensed Mode ON

You can turn condensed mode on or off via the Grid View Menu.

Item List Double-Click

Double-clicking on an item name brings up the Prop Definition or Group Definition or Beat Channel Definition, depending on the type of item that was clicked. If a prop or group definition is modified in this way, the sequence grid will be updated to reflect the changes and the preview will be saved to disk.

Reordering The Item List

You can reorder the list by clicking and dragging items. In the picture below, "01.07-Window C" is being dragged to a new position. You can also use this technique to move items in and out of grid view groups.

You cannot change the order of motion rows. Their order is set in the Motion Effect Rows Dialog.

Other ways of reordering the item list include:

· Right-clicking on a channel name and selecting "Sort Channels" from the pop-up menu.

·Selecting Sort Item List from the Grid View Menu.

Item List Right-Click Menu

Right-clicking on an item name brings up a context menu of actions you can take with that item. The content of the menu is highly dependent on the type of item that was clicked.

Menus for regular channels, RGB channels, motion effect rows, and preview groups

Menu for a regular channel or RGB channel in the "Show All Items" grid view

Menu for a regular channel or RGB channel in the "Show All Items" grid view

Menu for a regular channel or RGB channel in a user grid view

Menu for a regular channel or RGB channel in a user grid view

Menu for a motion effect row

Menu for a motion effect row

Menu for a preview group

Menu for a preview group

Menu for a grid view group

Menu for a grid view group

As you can see from the examples above, not all menu items are available in every situation. However, here is a compilation of the menu items you will encounter:

·Prop Definition - opens the Prop Definition window for the prop

·Group Definition - opens the Group Definition window for the group

·Use This Prop (or Group) in the Effect Samples Window - by default, effect samples displayed in the Effect Samples Window use a 50 by 50 matrix. However, with this command you can have the samples generated using the selected prop or group.

·Expand - expands all levels of the selected prop or group, such that all child items are displayed.

·Collapse - collapses all levels of the selected prop or group, such that all child items are hidden.

·Insert Preview Props and Groups - adds additional props or groups to the current grid view via the Insert Props And Groups Dialog. This menu item is for user grid views only (not the "Show All Items" grid view).

·Convert to Grid View Group - opens a dialog that allows you to move the clicked item, and optionally those below it, into a new grid view group.

·Duplicate Children to New Group - allows you to copy the children of the current grid view group into a new group.

·Degroup - removes the selected grid view group, but leaves the members of the group in its place.

·Change Grid View Group Name - allows you to change the name of the selected grid view group.

·Remove Item from This Grid View - removes the selected item for the current grid view. The item is not deleted, it is simply no longer visible in the current view. This menu item is for user grid views only (not the "Show All Items" grid view).

·Copy Item to Another Grid View - opens a dialog that allows you to make the selected item visible in another grid view (an existing grid view or a new one).

·Hide group members - by default, when you include a preview group in a grid view, you will see "member props" and/or "member groups" nodes below the group node. Use this menu option to hide those "member" nodes. This can be useful If you are at the Pro license level and using motion effects to sequence the preview group - you may not want to see the members of the group.

·Sort Channels - Sort all of the channels on the same hierarchy level by name, channel color, row number within the prop layout, column number within the prop layout, physical channel settings, or reverse the current order.

·Set Channel Name - sets the channel name. This menu item is only available on props with multiple strings (e.g. megatrees).

·Manage Motion Effect Rows - allows you to add new motion effect rows and/or modify existing ones via the Motion Effect Rows Dialog.

·Add Motion Effect Row - adds a new motion effect row.

·Subdivide into Sections - opens the Subdivide dialog.

·Delete Motion Effect Row - if the row contains 1 or more effects, a confirmation message is displayed before removal. If there are no effects on the row, it is removed without confirmation. If you need to delete multiple rows, see the Sequence > Motion Row Cleanup option on the main menu.

·Enable Channel Level on Pixel Prop - enables channel level sequencing on pixel-based props. If the channel level has already been enabled, this entry will be "Remove Channel Level on Pixel Prop" - which will remove the RGB channels and allow motion effects sequencing only.

Menu for a beat channel

Options on this menu include:

·Add Beat Channel - opens a dialog that allows you to add a new beat channel to the sequence.

·Modify Beat Channel - open a dialog that allows you to change the name and/or color for the selected beat channel.

·Delete Beat Channel - displays a confirmation message, and then deletes the selected beat channel.

·Beat Wizard - opens the Beat Wizard.

·Tapper Wizard - opens the Tapper Wizard.

·VU Wizard - opens the VU Wizard.

Menu for a loop row

Menu when right-cliicking on a loop name

Menu when right-cliicking on a loop name

These items are described in the Loops in Animation Sequences topic.

X-ed Out Rows

If a row is displayed with an "X" pattern, it is a placeholder in the item list and cannot have effects applied to it. This most often occurs when Condensed Mode is off -- the placeholder rows can be hidden by turning Condensed Mode on.

A placeholder row

A placeholder row


Grid Views

A grid view is an ordered collection of grid rows. A grid view can contain any type of grid row except loop rows and beat channels. Loop rows (in animation sequences) and beat channels (in musical sequences) are fixed to the top of the sequence grid and do not change when the grid view is changed.

A sequence can contain multiple grid views, and there is a grid view selector that allows you to quickly flip between them. To the right of the grid view selector, is a button that opens the grid view menu.

There is a system grid view named "Show All Items" which automatically displays all items in the sequence. If an item is added to the preview, it is automatically added to the "Show All Items" grid view. You can change the order of items in the "Show All Items", but you cannot add, remove, or copy items within it. All other grid views are user created, and you have complete control over their content. You might have a grid views for lights in your yard and another for lights on your house. Or you might have one grid view for props with traditional lights and another for ones that have pixels. Creating grid views is optional; you can stick with the "Show All Items" grid view and leave it at that.

Areas within the Sequence Tab

Areas within the Sequence Tab

All sequences are initially created with a "Show All Items" grid view. There are a few ways to add another grid view using the Sequencer:

·From the Grid View menu:

·"Add New View" will add a grid view and let you pick the props and groups that appear in it

·"Save View As" will create a new grid view with the same props and groups as the current grid view. This can also be used to copy the "Show All Items" system grid view to a user grid view, which you can more extensively customize.

· Right-click on a channel, prop, or group name on the left side of the grid and select "Copy to Other Grid View". This will allow you to add the item to an existing grid view or to a brand new grid view.

Import/Export

It can make the process of sequencing easier if your props and groups are listed in the same order in every sequence. You can do this by setting up the desired order in one sequence, and perhaps categorize the props into several grid views. To make your grid views available in other sequences you export then from the original sequence and import them into the others. See the "Grid Configuration" item on the Grid View menu (also available on the Sequence menu).

Note: the "Show All Items" grid view is excluded from the export/import process because it is system-generated. Use the "Save View As" item on the Grid View menu to copy it to a user view, which will be exported.


Grid View Menu

The Grid View Menu is opened by clicking the icon just to the right of the Grid View selector. The icon is marked with a red box in the following picture:

When opened, the menu displays options to control the grid view:

· Add New View

· Rename View

· Save View As

· Delete View(s)

· Append Items To View

· Reset Displayed Props And Groups

· Reset Displayed Beat Channels

· Add New Sub-menu

· Sort Item List

· Condensed View

· Show Tree Lines

· Expand All

· Collapse All

· Beat Channel Row Count

· Grid Configuration Sub-menu

Add New View

This menu item prompts for the name of a new grid view. It then opens the Insert Props And Groups Dialog so that you can select the items that will be in the grid view.

Rename View

This menu item allows you to enter a new name for the current grid view

Save View As

This menu item prompts for the name of a new grid view. It then copies the current grid view into the new one.

Delete View(s)

This menu item displays a displays a dialog where you can choose one or more grid views to delete from the sequence. Click the check boxes next to the grid views you wish to delete.The current grid view will be checked by default. Clicking the "Select All" check box will select all grid views. Clicking it again will clear all check boxes.

You cannot delete the "Show All Items" grid view, as it is system-generated.

The Delete Grid Views dialog

The Delete Grid Views dialog

Append Items To View

This menu item opens the Insert Props And Groups Dialog, and then appends the selected items to the bottom of the current grid view. Does not apply to the "Show All Items" grid view.

Reset Displayed Props And Groups

This menu item opens the Insert Props And Groups Dialog, and then replaces the items in the current grid view with the ones selected in the dialog. Does not apply to the "Show All Items" grid view.

Reset Displayed Beat Channels

This menu item opens a dialog that allows you to select amongst the beat channels defined in the sequence. The newly selected beat channels replace any that are currently displayed in the grid.

Add New Sub-menu

This menu item opens a sub-menu that allows you to add a new a loop row, subsequence, beat channel, or RGB aggregate. "Add New" is also available on the main menu at Sequence > Add New.

Sort Item List

This menu item opens the sort dialog, allowing you to reorder the item list. It sorts the top level of the item list. For each category of item, click the radio button according to your desired sort priority. "1" means it sorts to the top; "6" means it sorts to the bottom. Items at the same sort priority will be intermixed and sorted together alphabetically.

The Sort Item List Dialog

The Sort Item List Dialog

Other ways of reordering the item list include:

· Dragging an item and dropping it in its new position in the list.

· Right-clicking on a channel name and selecting "Sort Channels" from the pop-up menu.

Condensed View

This menu item toggles the condensed mode on and off.

Show Tree Lines

This menu item toggles the display of tree lines in the item list.

Expand All

This menu item causes all children for every item in the item list to be displayed.

Collapse All

This menu item causes all children for every item in the item list to be hidden.

Beat Channel Row Count

This menu item opens a dialog that allows you to modify the maximum number of beat channels that are displayed. The default is 10.

Grid Configuration Sub-menu

The "Grid Configuration" sub-menu is the same as the one at Sequence > Grid Configuration. See that topic for more information.


Grid View Groups

A grid view group is a set of regular channels or RGB channels or Motion Effect rows or beat channels (or, conceivably, other grid view groups) that is nested together, so that it can be collapsed down to a single row in the sequence grid, or expanded to show all of its members.

Note that the Sequencer has 2 ways to create groups: Preview Groups and Grid View Groups. Preview Groups are often the preferred method of creating groups, as they are automatically shared by all of the sequences using the same preview. On the other hand, Grid View Groups can only be shared with another sequence by exporting the grid configuration from one sequence and importing it into another.

When a grid view group is first created, the grid view group is shown as a single row:

Several collapsed grid view groups

Several collapsed grid view groups

Click the "+" button on the left to expand the group, and the "-" button to collapse it.

The "Strobes" group has been expanded

The "Strobes" group has been expanded

Notice that the "Unit ID 06: Strobes" row has been hidden in the picture above because this is the sequence grid's condensed view. Sequences often have many rows and it is usually important to display as many rows as possible to make sequencing go faster. This is the purpose of the condensed view -- to show as many grid rows as possible. So when a parent (the grid view group) is expanded, the parent node is hidden and only the child nodes (the channels) are displayed. For new users this can sometimes be confusing, so the Sequencer allows condensed mode to be turned off. Condensed mode is turned on or off from the Grid View menu.

Condensed mode off, Show tree lines on

Condensed mode off, Show tree lines on

In the picture above, condensed mode has been turned off and now you can see both the parent "Unit ID 06: Strobes" and its 4 children, which makes clear the parent/child relationship. Now you can see that a grid view is a hierarchical tree!

But what happened to the sequence grid on the right -- it is showing an "X" pattern? Well, that is the other thing that condensed mode does: collapsed parent rows (where a "+" button is at the beginning of the row) display the effects for their first child in the grid. So in the top picture, the grid row for "Unit ID 06: Strobes" was actually showing the effects for "06.01-Strobes-A". When condensed mode is turned off, there is nothing to be displayed for the parent, which is what the "X" pattern indicates.

The rest of this topic will show the sequence grid with condensed mode enabled.

So again, when a grid view group is collapsed, the effects displayed on its row are the events of its first member (be it a regular channel, RGB channel, or motion effect row). However, applying a tool to the row actually applies it to ALL of its members. For example, with the grid view group collapsed, if you apply the Fade Up tool to its first cell, the result will look like this:

Fade Up tool applied while group was collapsed

Fade Up tool applied while group was collapsed

But when you expand the grid view group, it becomes apparent that the Fade Up tool was applied to all of the grid view group's members:

The same group, expanded

The same group, expanded

If you then collapse the grid view group, and apply the Chase tool to it while it is collapsed, no change will be evident from what is displayed:

After applying the Chase tool, while collapsed

After applying the Chase tool, while collapsed

But a change did happen - the Chase tool was applied to the entire grid view group. The only reason that no change is evident from what is displayed is because when the grid view group is collapsed, only the effects of the first channel are displayed, and the Chase tool did not alter the effects of the first channel. Expanding the grid view group reveals the change:

Expanded, after a chase

Expanded, after a chase

You can convert existing channels (and RGB channels, etc.) so that they become part of a new grid view group, by right-clicking on a channel, prop, or group name on the left side of the grid and select "Convert to Grid View Group" on the pop-up menu. You can also "degroup" a group -- that is, remove the group node and leave the group's children in its place -- by using "Degroup" on that same pop-up menu.

Menu for a grid view group

Menu for a grid view group

The complete menu is described in the Item List topic.


Motion Effect Rows Dialog

This dialog window serves 2 distinct purposes:

·When right-clicking on a prop or motion effect row in a sequence's Item List and selecting "Add/Modify motion effect rows" from the pop-up menu, you add or modify motion effect rows in the sequence. Any changes made while in this dialog will be applied to the sequence after clicking the "OK" button.

·When clicking on the "Default Motion Rows" button in Prop Definition or Group Definition, you can define motion effect rows that will be applied when new sequences are created. It does not change existing sequences.

Motion effect rows do not have to apply to all of the pixels in a prop (or group). Using this dialog, you can specify that a motion effect row applies to:

·all of the pixels in a prop or group (subsection=none)

·a rectangular subsection of the prop's pixels (subsection=rectangle). For example, you could divide a pixel tree into tiers.

·a custom set of pixels chosen by you (subsection=custom). For example, you could draw a face.

When motion effect rows are displayed in a sequence's Item List, the row name is displayed with a square icon suffix to indicate those rows apply to a subsection of the prop or group. Rows with subsection=none are displayed without the suffix, indicating they apply to the entire prop or group.

Motion effect rows in a sequence

Motion effect rows in a sequence

In the window, the current set of motion effect rows are listed in the table on the left, and the prop's pixels are shown on the right. If you click on a row in the table on the left, then the pixels used by that entry will be graphically represented on the right.

Within this dialog you can:

· Add A New Row

· Change Row Name

· Add Rows By Subdividing

· Manually Specify a Rectangular Subsection

· Create a Custom Subsection

· Set the Motion Row Combination Mode

· Copy/Paste the Motion Row Configuration

The Motion Effect Rows Dialog

The Motion Effect Rows Dialog

The first column identifies each layer -- from background (Back) to foreground (Front). You can choose whether the background layer is listed first or last on the Sequencer Preference's Motion Effects tab.

Add A New Row

Clicking the "Add Row" button will add a new motion effect row to the table. The new row will use all of the pixels in the prop or group (the Subsection field will be set to "none").

Change Row Name

By default, motion effect rows are named "Effects 01", "Effects 02", etc. You can change the name of a row by clicking on the name in the table, and then typing the new name.

Add Rows By Subdividing

Using the "Subdivide" button, you can divide the pixels into rows and columns, creating a separate motion effect row for each section.

The following picture shows a 16x50 pixel tree subdivided into 2 columns and 2 rows. There will be 4 new motion effect rows created, with each subsection being 8x25 pixels

Note that the new motion row names are listed on the right. You can modify those names by changing the fields on the left:

·Base name - controls the beginning of the name

·Row prefix - controls how rows are identified. Try "r" if you like short names, or "row" if you prefer longer names.

·Column prefix - controls how columns are identified. Try "c" if you like short names, or "col" if you prefer longer names.

·Suffix - controls whether a suffix is added that reflects the total number of rows and/or columns being created. This is important if you subdivide a prop multiple times - for example into 2 rows, 4 rows, and 8 rows. Adding a suffix will allow you to identify which motion rows belong to which group.

Subdividing a pixel tree into 2 columns and 2 rows

Subdividing a pixel tree into 2 columns and 2 rows

The next picture shows the result after clicking "OK" in the Create Subsections dialog.

·The "r" in the name stands for "row" and the "c" stands for "column".

·The new rows are added as foreground layers. The original row remains as the background.

·Clicking on a row in the table graphically displays the subsection on the right.

Result of subdividing the pixel tree into 4 sections

Result of subdividing the pixel tree into 4 sections

Manually Specify a Rectangular Subsection

While the "Subdivide" button is very convenient for creating equally sized subsections, you might have need to manually specify a subsection. You can do this by making sure the "Subsection" drop-down is set to "rectangle" for the motion effect row, and then manually typing the values for left, top, width, and height.

Creating a Custom Subsection

Custom subsections allow you to do things like define singing faces on a pixel matrix or pixel tree. You can also use it to define sections of a pixel-based custom shape -- for example arms of a snowflake. In the picture below, we've defined a new motion row called "Edge" that just contains pixels on the outer edge of the prop.

Defining a custom set of pixels to be controlled by the motion effect row

Defining a custom set of pixels to be controlled by the motion effect row

Creating the "Edge" custom section

1.Click the "+ Add" button to add a new row.

2.Click on the new row to select it. The "Name" and "Subsection" fields will be displayed to the right of the motion row list.

3.In the "Name" box, change the entry to "Edge". Notice that as you type, the name in the motion row list changes immediately.

4.Change the Subsection drop-down to "custom". Once that is done, the Custom Subsection Toolbar on the right side will be enabled.

5.Click the pencil icon on the Custom Subsection Toolbar to enter freehand drawing mode.

6.Move your cursor over the black squares. Press and hold the left mouse button. As you drag across the black squares they will turn white, indicating they are now part of the custom subsection. Select the pixels on the edge as shown in the screen shot above.

7.If you select some wrong pixels by mistake:

a.Release the mouse button

b.Hold down the Shift key on your keyboard (either the left or right Shift keys is OK). The cursor will change to the "erase" cursor.

c.Click on a white pixel you wish to remove from the custom subsection. You can hold the left mouse button down and drag across the region to erase multiple pixels if needed.

8.Repeat steps 6 and 7 until you have created the desired pattern of pixels.

The Custom Subsection Toolbar

·Use the "Pencil" tool to turn pixels on (make them part of the subsection) as you drag the cursor. Left-click on a pixel in the diagram to turn a single pixel on, or drag across the diagram with the left mouse button depressed to select multiple pixels at a time. Hold the Shift button down while performing the same actions to turn pixels off.

·Use the "Rectangle" tool to turn on a rectangular section pixels (make them part of the subsection). Press the left mouse button to start the selection, then drag to the other corner of the selection. When you release the mouse button, all of the pixels within that area will be selected. Hold the Shift button down while performing the same actions to turn pixels off.

·Use the "Move" tool to reposition the selected (on) pixels.

·Use the "Flip Horizontal" tool to reverse the enabled pixels left to right.

·Use the "Flip Vertical" tool to reverse the enabled pixels top to bottom.

·After creating a custom subsection in Add/Modify Motion Effect Rows for a prop with a custom shape and then subsequently changing the custom layout, it is possible to end up with nodes in the custom subsection that are no longer on a pixel.

oUse the "Move off-grid marks to nearest pixel" menu item to move all off-pixel nodes onto a pixel.

oUse the "Delete marks not on a pixel" menu item to clean up such nodes.

·Use the "Delete all marks" menu item to turn off all of the pixels. This is useful if you want to start over with your custom selection.

·Use the "Show All" check box to show all of the motion effect rows with a "custom" subsection on the diagram at the same time. For example, if you are drawing a face on a pixel matrix, you might first draw the outline of the head on one motion effect row. Then you might draw the eyes on another row. While drawing the eyes, it is useful to see where the outline of the head is, so you would keep "Show All" enabled.

·Depending on the size of the prop and the size of your computer display, the individual pixels may be very small and difficult to select. Click the magnifying class icons to zoom in or out if needed. The number between the 2 icons is the zoom level.

Motion Row Combination Mode

When this dialog is opened from the sequence grid using the "Add/Modify motion effect rows" right-click menu item, an extra drop-down box is displayed in the middle of the toolbar. When a prop or group has more than one motion effect row, this setting controls how the rows are combined.

Motion Row Combination Mode

Motion Row Combination Mode

Blend Mode

In Blend mode, the maximum brightness for each pixel is taken from the effects across all motion rows. This mode is backward compatible with prior versions, including the S4 Pixel Editor.

In the following example, the tree is on the first motion row, Santa is on the second motion row, and a Marquee effect is on the third motion row. Notice that Santa's left arm gets lost in the tree, and the tree mixes with the marquee effect at the bottom. For Picture effects, blend mode doesn't work very well.

Blend mode

Overlay Mode

In Overlay mode, motion rows are overlaid one on top of the other using alpha blending (i.e. effects can have areas that are transparent). The first row listed in this dialog is used as the background, then successive rows are layered on top of it. Note that you can use the up and down arrows on the toolbar to change the order of the rows, thus changing the order in which rows get overlaid. Overlay mode is the default for new sequences.

Using the exact same sequence as the Blend mode example, you can see that Overlay mode produces a much better result -- the tree is in the background, Santa is in front of the tree, and the marquee is in the foreground.

In the Motion Effect Rows dialog, notice that the first column clearly labels each layer -- from background to foreground. You can choose whether the background layer is listed first or last on the Sequencer Preference's Motion Effects tab.

Overlay mode

Edit Menu

The Edit Menu

The Edit Menu

Merge Defaults from Prop or Group Definition

The first item on the Edit menu is the "Merge Defaults" button. The menu item will be disabled if the preview prop or group does not have any motion row defaults defined. Clicking on this item will cause the program to look for new or updated motion row defaults on the Definition screen for this prop or group. If any updates are found, they will be merged into the list of motion rows.

Motion row defaults are automatically applied to new sequences, but this button allows you to quickly load them into existing sequences.

Create Combined Row

Use this menu item to create a new motion row that contains all of the selected pixels from 2 or more motion rows that contain subsections. These motion rows could contain custom subsections or rectangular subsections or a combination of both. It will give an error if you try to include a motion row where the subsection is set to "none". Select the motion rows you want to combine first, then select Edit > Create Combined Row. You will be prompted for the name of the new row.

In this example, we will create a new motion that is the combination of several motion rows we created above.

·First, click on the "Edge" row, then Ctrl-click on the "Effects r1/2, c1/2" row, then Ctrl-click on the "Effects r2/2, c2/2" row.

·Select Edit > Create Combined Row

·Give the new row a name when prompted. Here we used "Edge+Upper Left+Lower Right"

3 rows selected

3 rows selected

·And here is the result:

Result of combining the 3 rows

Result of combining the 3 rows

Reverse

There are 2 items on the sub-menu: the first will reverse the order of the selected motion rows, the second will reverse the entire list. In Overlay mode, this will change which row is the background and which is the foreground; likely changing the way your motion effects are rendered.

Copy/Paste the Motion Row Configuration

You can copy the contents of the motion effect row table to the clipboard, and then use the paste button to append the data into the Motion Effect Row dialog for another prop. This can be useful when you want to:

·copy motion effect rows defined in a sequence to the motion effect row defaults for a prop or group, so they will be applied whenever a new sequence is created.

·copy motion effect row defaults you just created on a prop or group into existing sequences.

·copy motion effect rows defined in one sequence to the motion effect rows for a same prop or group in another sequence.

·copy motion effect rows defined on one prop to other props with the same shape and dimensions. For example, you might define some motion effect rows for a pixel-based mini-tree and copy those rows into your other mini-trees.

Let's take the second situation as an example -- you added motion effect row defaults to a prop. New sequences will use those defaults, but you need to get them into an existing sequence. Here are the steps to follow:

1) open the existing sequence

2) double click on the name of the prop to open Prop Definition

3) click on the "Motion Effect Rows" button in Prop Definition

4) click on the first motion row

5) shift-click on the last motion row, which should select all rows

6) click the "Copy" button

7) click "Cancel" to close the Default Motion Rows window

8) click "Cancel" to exit Prop Definition

9) back in the sequence, right-click on the prop name and select "Add/Modify motion effect rows" from the menu

10) click the "Paste Append" button. All of the rows copied in step 6 should now appear in the list

11) click the "Save" button to return to the sequence


Insert Props And Groups Dialog

This dialog is opened when you select "Add New View", "Append Items to View", or "Reset Displayed Props and Groups" from the Grid View menu. It is also opened after you select "Insert Props and Groups" from the Item List's right-click menu. It allows you to choose preview props, preview groups, and archived props that will become part of a grid view.

Check the boxes next to the items you want to include. The selected items will appear in the list on the right. Only items listed on the right side will be applied to the grid view after you click the "OK" button.

Selecting Items (left side)

Check the boxes next to the items you want to include. The selected items will appear in the list on the right. Clicking the box for "Preview Props" will cause all props to be selected. The check boxes for "Preview Groups" and "Archived Props" work the same way.

Applying a Filter

You can enter some text into the Filter box and the list on the left side will only show items that contain that text in their name. The list is automatically filtered as you type each character. In the example below, only props and groups with the word "window" in their name will be listed:

If you subsequently click the box next to "Preview Props", then all of the props with "window" in their name will be selected and appear in the list on the right.

Using the "Select..." button

If you have special selection requirements, you can click the "Select..." button, which opens the following window:

·Select items that contain this text - enter some text in the box at the top of this dialog, then click the "OK button. All of the items that contain the text that was entered will be selected. You can get the same functionality by using the Filter box on the main dialog.

·Select items that start with this text - enter some text in the box at the top of this dialog, then click the "OK button. All of the items that start with the text that was entered will be selected.

·Select items that end with this text - enter some text in the box at the top of this dialog, then click the "OK button. All of the items that end with the text that was entered will be selected.

·Select All - selects all of the items that are currently listed on the left side.

·Clear All - clears all of the items that are currently listed on the left side.

·Select props that are not members of any selected group - if you select some or all of your preview groups first, you can then use this function to select props that are not members of any group. This ensures that the grid view you are creating will contain all of your props: props that are members of a group and those that are not.

Sorting Items (right side)

You can re-order items on the right side so that they are in the desired order when added to the sequence grid. You can move individual items by clicking and dragging them up or down.

You can also click the sort icon at the upper right to sort items alphabetically. It will open the following dialog:

·Sort alphabetically - props and groups intermingled - this option sorts all of the items in the list on the right according to their name. Props and groups are intermingled.

·Sort alphabetically - props on top, groups at bottom - this option sorts all of the items in the list on the right according to their name, except props are sorted to the top, leaving groups at the bottom.

·Sort alphabetically - groups on top, props at bottom - this option sorts all of the items in the list on the right according to their name, except groups are sorted to the top, leaving props at the bottom.

·Move props to top - this option leaves the order of items intact, except that props are moved to the top of the list, leaving groups at the bottom.

·Move groups to top - this option leaves the order of items intact, except that groups are moved to the top of the list, leaving props at the bottom.


Selecting Cells

A cell, or a range of cells, can be selected in the sequencing grid, allowing you to apply various tools to it (such as specifying what lighting effects should be placed in that cell). You can recognize the currently selected cell (or cells) by a thick dashed yellow border. For example, in the following sequence, a cell on the first row is selected between 3.00 seconds and 3.50 seconds:

A cell on the first row is selected

A cell on the first row is selected

In the sequencing grid, you can select an area using the:

· mouse

· keyboard shortcuts

· right-click context menu

When using the mouse, the area that gets selected depends on the Selection Mode.

Selection Modes

There are 5 selection modes: cells, effects, effect segments, rows, and freeform. The selection mode determines the area of the sequence grid that gets selected when you use your mouse. The selection mode is always "cells" when using the keyboard.

You can designate one of the 5 modes as the Primary Selection Mode and another mode as the Secondary Selection Mode:

·The primary selection mode is invoked when selecting with the mouse and the Ctrl key is not pressed.

·The secondary selection mode is invoked when selecting with the mouse and the Ctrl key is pressed.

Thus, you have 2 selection modes that are quickly accessible: chosen by whether or not you hold the Ctrl key down while selecting with the mouse.

You can set the primary and secondary selection modes by clicking on the small down arrow to the right of the Select Tool on the toolbar. Use the first 5 options on the menu to choose the primary selection mode. Use the 5 options under the "With CTRL key" sub-menu to select the secondary mode.

The "Save as defaults" menu option saves the current primary and secondary modes as defaults. These will be used as the initial settings whenever you open a sequence.

The Selection Mode menu

The Selection Mode menu

Select Cells

When the selection mode is set to "Cells", the grid selection always starts and stops on a timing mark. In the following picture, the sequence has a fixed timing grid with timings every half second. No matter where you click between 1.0 and 1.5 seconds, the selection will start at 1 second and stop at 1.5 seconds - on the timing marks.

The Door channel is selected between 1.0 and 1.5 seconds

The Door channel is selected between 1.0 and 1.5 seconds

Click and drag the mouse to select a larger area:

Selecting multiple cells

Selecting multiple cells

Select Effects

When the selection mode is set to "Effects" and you click on an effect, the entire effect is selected - the selection is not constrained by the timing marks. In the following example, a chase runs across 8 rows and clicking on any part of an effect will select the entire effect.

You can also expand the current selection to encompass the entire effect (or effects) by using the "E" shortcut key or choosing Select > Effect from the sequence grid's right-click context menu.

"Effects" selection mode - mouse click

"Effects" selection mode - mouse click

"Effects" selection mode - mouse drag

"Effects" selection mode - mouse drag

"Effects" selection mode - mouse drag

"Effects" selection mode - mouse drag

Note that the logic for "Select Effect" only selects the first effect in each row of the initial selection. So if the initial selection is this:

Then the "Select Effect" logic will only select the first effect:

Select Effect Segments

The "Select Effects" mode (described above) will include any fade up or fade down in the selection. The "Select Effect Segments" is similar, but the selection will stop at a fade up or fade down.

Select Effect Mode vs. Select Effect Segment Mode

Select Effect Mode vs. Select Effect Segment Mode

Select Rows

When the selection mode is set to "Rows", clicking anywhere on a row will select the entire row. In the following example, clicking on a single cell of the "01.02-Roof B" channel results in the entire row being selected. This mode can be especially useful when copying and pasting the sequencing from one channel to another.

You can also expand the current selection to encompass the entire row (or rows) by using the "R" shortcut key or choosing Select > Row from the sequence grid's right-click context menu.

"Rows" selection mode - mouse click

"Rows" selection mode - mouse click

"Rows" selection mode - mouse drag

"Rows" selection mode - mouse drag

Freeform Selection

When the selection mode is set to "Freeform", your selection is not constrained by the timing marks - the selection starts where you pressed the left mouse button and stops where you released it. In the following example, the mouse button was pressed at 0.3 seconds and released at 1.3 seconds.

"Freeform" selection mode

"Freeform" selection mode

Grid Selection Using The Mouse

Click On The Grid

MouseLeftClick

When you click on the sequence grid, a portion of the channel you clicked on will get selected. Exactly which portion gets selected depends on the Selection Mode (as described above). If you select a motion effect, that effect starts playing in the Playback Window.

Click And Drag

Select multiple cells by clicking on a cell and then dragging the mouse across the range.

MouseLeftClick-Drag

If you drag with the left mouse button depressed, what happens after the button is released depends on the Primary Selection Mode and which tool is selected on the toolbar. For example:

Select Select – the area is selected, but no effect is applied

Max Intensity – will apply the current effect, as listed on the toolbar, to the selected area at the maximum intensity shown on the toolbar.

FadeUp Fade Up – will apply the current effect, as listed below the Effect Generator button, to the selected area. The effect is ramped up from the minimum intensity at the left-most selected cell to the maximum intensity at the right.

FadeDown Fade Down – will apply the current effect, as listed below the Effect Generator button, to the selected area. The effect is ramped down from the maximum intensity at left-most selected cell to the minimum intensity at the right.

MouseRightClick-Drag

If you drag with the right mouse button depressed, after the button is released the grid's context menu will open

key-dark32-Ctrl

MouseLeftClick-Drag

Holding the Ctrl key down while dragging switches to the Secondary Selection Mode. This allows you to quickly switch between 2 different selection modes - just by holding the Ctrl key down or not.

Expanding the Selection

key-dark32-Shift

MouseLeftClick

Expand the selection by shift-clicking on a cell.

Double-Click Selection And Edit

MouseDoubleClick

Double-clicking on any portion of an effect in the sequencing grid will select the entire effect, then open a dialog window that allows the effect to be modified:

·Regular Channels - effect can be changed from intensity, shimmer, twinkle, or DMX intensity

·RGB Channels - colors can be modified

·SuperStar Effects - SuperStar is opened, allowing the effect to be edited

·Other Motion Effects - the Motion Effect Generator is opened

·Loops - the repeat count and speed can be modified

If the effect is modified and the user clicks “OK”, then those modifications are applied to the selected cells. In the following picture, one of the cells in the second row was double-clicked, causing all of the cells for that effect to be selected (including the ramp up and ramp down portions).

There is a user preference option that switches how this action is invoked to Ctrl-Shift Double-Click.

Keyboard Selection

The keys listed here are part of the default mapping. You can change the key mapping by selecting Tools > Keyboard Preferences.

Key

Effect

key-dark32-ArrowUp

key-dark32-ArrowLeft

key-dark32-ArrowDown

key-dark32-ArrowRight

Use the arrow keys to move one cell in the direction of the arrow

key-dark32-Home

Move to the first cell in the current row

key-dark32-End

Move to the last cell in the current row

key-dark32-PgUp

Move up 1 screen

key-dark32-PgDn

Move down 1 screen

key-dark32-Shift

Expand the selection by holding down the shift key while using any of the keys listed above

key-dark32-E

If part of an effect is selected, then "E" will expand the selection to encompass the entire effect

key-dark32-C

"C" will expand the selection to the entire column

key-dark32-R

"R" will expand the selection to the entire row

key-dark32-Ctrl

key-dark32-A

Ctrl-A will select the entire grid.

Right-Click Context Menu, Select sub-menu

Right-clicking in the sequencing grid provides many options, including grid selection. From the Select sub-menu, you can expand the current selection to encompass:

· any partially selected effects

· the entire row or rows

·the entire column or columns

·the entire sequence grid

Right-click context menu with Select sub-menu shown

Right-click context menu with Select sub-menu shown


Intensity Range

Many commands in the Sequencer take into account the intensity range displayed on the toolbar (part of the Intensity Range & Slope section). When you open a sequence the intensity range will be set at "0" and "100". This means that :

·the "Max Intensity" tool will create effects at 100% (maximum brightness)

·the "Min Intensity" tool will create effects at 0% (since 0% is completely off, this erases any effects where it is applied)

·the "Fade Down" tool will create effects that go from 100% to 0%

·the "Fade Up" tool will create effects that go from 0% to 100%

The intensity settings consists of 3 parts:

1.The first intensity value

2.The second intensity value

3.The Presets menu, opened by clicking the icon

It doesn't matter which order you enter the 2 intensity values. "100" and "0" is the same as "0" and "100".

The full intensity range is normally 0 to 100. However, if the toolbar effect is set to DMX Intensity, then the full intensity range is 0 to 255 and the intensity is set with the DMX Intensity fields.

DMX Intensity Range

DMX Intensity Range

Entering Values

There are 3 ways to change an intensity value on the toolbar:

·You can type numbers for the desired intensity range directly into the number boxes.

·You can increment and decrement the intensity values by clicking on the small buttons to the right of the number.

·Clicking the "Presets" button to the right of the number boxes will open a menu where you can select from some predefined ranges. You can also create your own ranges from this menu by choosing Manage Intensity Presets.

Presets Menu. Upper and lower half are built-in, the quarters are presets.

Presets Menu. Upper and lower half are built-in, the quarters are presets.

Managing Presets

Selecting the "Manage Intensity Presets" item from the toolbar's Intensity menu, will open the "Manage Intensity Presets" dialog:

The Manage Intensity Presets dialog

The Manage Intensity Presets dialog

You can use the arrows keys to navigate around the grid, or left-click on any cell using your mouse pointer. Click the OK button to save your changes when you are done.

Add a Preset

Start adding your information on the last row of the grid - the one marked with a "*" in the left margin. As soon as you start typing, a new empty row will be created, but keep entering data on the row you started. Enter data in all 3 columns. Use the Tab key after finishing the entry in one cell - it will move you to the next cell. After entering data in the last column, you can you use the Tab or Enter key to finish the entry for that row.

Adding a new preset

Adding a new preset

Modify a Preset

To start editing a cell, left-click on it using the mouse pointer, or use the F2 shortcut key if the desired cell is already highlighted. To commit the change, type the Enter key. To cancel the change, use the Esc key.

Delete a Preset

Click in the left margin of the row you want to delete, then use the Delete key.


Adding Effects

Light-O-Rama gives you the tools to make your lights do amazing things. In addition to simply turning them on and off, you can turn them on to varying levels of brightness, have them fade up or down, shimmer, or twinkle. You can make RGB lights change to any color. And with motion effects, you can apply colorful patterns to pixel-based props.

The process involves assigning these effects to grid rows in a sequence using the Sequencer. The sections below will describe how to create effects using the toolbar. However, most tools also have a shortcut key, which will be noted below. In addition, most tools can be accessed using the grid's right-click context menu.

To summarize, you can add effects by using any of the following methods:

· the toolbar

· keyboard shortcuts

· the right-click context menu

When using the toolbar, only one Select Action can be active at a time. Click on the icon for the tool in order to make it active. The active tool will have a border drawn around it.

·When the Select tool is active, the standard mouse pointer is displayed when you move the mouse over the grid, and the mouse can be used to select grid cells.

·When any other tool is active, the mouse pointer specified in Cursor preferences is displayed, and effects will be placed in cells that are selected.

When using keyboard shortcuts or the right-click context menu to create effects, the Select Action on the toolbar is ignored.

Basic Operations: Max Intensity, Min Intensity, Fade Up, and Fade Down

To start adding effects to a sequence using the toolbar, the first step is to set the Select Action to "Create". This is important! If you leave the Select Action as "Select", then no effects will be created.

Now set the Intensity Range. The range defaults to 0-100, which is usually fine for starting out. If you want different values, then type the numbers into the 2 boxes. The order of the numbers does not matter: entering 0 in the first box and 50 in the second has the same effect as entering 50 in the first box and 0 in the second. You can use the "Presets" button to quickly set common ranges.

Now choose the "Slope".

Slope Tool | Button | Action
Max Intensity |  | Applies the selected effect at the maximum value in the intensity range
Min Intensity |  | Applies the selected effect at the minimum value in the intensity range. If the minimum intensity is 0%, this will erase any existing effects where it is applied.
Fade up | ToolsToolbarFadeUp | Ramps the selected effect from the minimum value in the intensity range to the maximum value in the intensity range
Fade down | ToolsToolbarFadeDown | Ramps the selected effect from the maximum value in the intensity range to the minimum value in the intensity range

Now choose the Effect Type:

Effect Type | Description
ChannelEffect Channel Effect | Simple effects originally meant to control AC-powered lights. However these effects can also be applied to RGB lights and pixels.
Color Fade | Applies a color transition to an RGB light. However, these effects work equally well on RGB pixels.
spiral16d Motion Effect | an effect intended for pixel-based display elements created by the Motion Effect Generator or the SuperStar Sequencer. The motion effect that will be applied when drawing on the grid is the one currently displayed in the Playback Window. Motion Effects can only be placed on Motion Effect Rows, and require a Pro level license. Furthermore, motion effects can only be displayed on lights connected to Enhanced LOR networks, or DMX networks. They cannot be displayed on LOR networks that are not enhanced. Lastly, they cannot be used in a stand-alone sequence that is loaded into a controller.
SuperStar Effect | These effects are created using the SuperStar Sequencer, but the data is stored in the Sequencer's file.

For a channel type, choose the specific effect:

Channel Effect | Description
On | the light is turned on (no shimmer or twinkle)
Shimmer | causes your lights to quickly vary between on and off at a constant high rate.
Twinkle | causes your lights to quickly vary between on and off at a random rate.
DMX Intensity | this is useful for sending DMX commands to DMX devices that require specific DMX values (like some moving head lights). The DMX protocol supports intensities from zero to 255, and so this effect gives you precise control over the DMX intensities sent to a device. Please note that not all Light-O-Rama controllers support this functionality; DMX intensity events sent to a controller that does not support them will simply be ignored. To check whether any particular controller supports it, please refer to that controller's documentation.

After making those choices and then moving your cursor over the sequence grid, your cursor will change to a pencil PencilCursor indicating that you are in "effect drawing mode". Click the left mouse button and drag over some cells. When you release the mouse button those cells will be filled with the effect you chose, at the intensity range you chose, and reflecting the tool type you chose.

In the example above, an effect was applied to a regular channel row. However, this technique applies equally well to RGB channel rows. The only difference is that RGB channel rows need a color. If the Effect Type is set to Color, then the color currently shown on the toolbar's Sample button is used; otherwise, white is used.

In the example above, a color effect was applied to an RGB Channel Row. This technique applies equally well to Motion Effect Rows. When you do, it will apply the color to all of the pixels in the prop (a ColorWash motion effect). The only difference is the way the resulting motion effect is displayed in the grid. In the picture below, the display of motion effect names option is enabled.

You can even use the same technique to create loops in animation sequences. Loops don't use color, so it is more like the first example.

Each channel effect (on, shimmer, twinkle, and DMX intensity) has its own pattern when displayed on the sequence grid. This makes it easy to identify what your sequence is doing without even playing it back. The patterns are applied to both regular channel rows and RGB channel rows.

Keyboard Shortcuts for Basic Operations

All of the actions listed above can be performed using keyboard shortcuts. The actions listed below are also available on the right-click context menu.

Tool | Shortcut Key | Action
Max Intensity | key-dark32-A | applies the selected toolbar effect at the maximum value in the intensity range
Min Intensity | key-dark32-I | applies the selected toolbar effect at the minimum value in the intensity range
Fade up | key-dark32-U | ramps the selected toolbar effect from the minimum value in the intensity range to the maximum value in the intensity range
Fade down | key-dark32-D | ramps the selected toolbar effect from the maximum value in the intensity range to the minimum value in the intensity range
On | key-dark32-N | set selected cells to the ON effect at max toolbar intensity (ignores the toolbar effect selection)
Shimmer | key-dark32-S | set selected cells to the SHIMMER effect at max toolbar intensity (ignores the toolbar effect selection)
Twinkle | key-dark32-T | set selected cells to the TWINKLE effect at max toolbar intensity (ignores the toolbar effect selection)
Any | key-dark32-Enter | Use the currently selected tool (from the toolbar) on the grid selection

Intelligent Fade Tool ToolsToolbarIntelligentFade

When using your mouse, the intelligent fade tool will create a:

·Fade Up when you use it by clicking and dragging left-to-right

·Fade Down when clicking or dragging right-to-left

· Fill if you click without dragging

This tool is not available when using the keyboard. Use the shortcuts for fade-up, fade-down, and fill instead.

Fill Tool ToolsToolbarFill

Shortcut Key:

key-dark32-F

The Fill tool can be used to create smooth fades from one effect to another. For example, if a fade up from 10% to 40% is followed by the lights being off, which is followed by a fade up from 20% to 80%, then applying the Fill tool on the area where the lights are off will make it into a fade down from 40% to 20%:

Before a fill...

Before a fill...

... and after a fill

... and after a fill

It can also be used in a similar manner on RGB channels to smoothly fade from one color to another.

Before a fill...

Before a fill...

... and after a fill

... and after a fill

The Fill tool can also be used on Motion Effect Rows.

Before a fill...

Before a fill...

... and after a fill

... and after a fill

With motion effects, the Fill tool tries to perform a cross-fade. However, you will achieve better results by creating the cross-fade yourself (which requires a second motion effects row):

Cross fading the 2 effects using a second motion effect row

Cross fading the 2 effects using a second motion effect row

The Fill tool does not do anything when used on cells that contain an effect.

The Intelligent Fade tool and the Color Fade tool can also be used to apply fills in certain situations.

Chase Tool ToolsToolbarChase

Shortcut Key:

key-dark32-H

The Chase tool can be used to take a pattern and "chase" it through several channels over a time range. For example:

Before a chase...

Before a chase...

... and after a chase

... and after a chase

Exactly what is chased, and where it is chased to, depends upon how you click-and-drag (or, if using the keyboard, how you expanded the selection). The lighting effects in the corner that you started dragging from will be chased to the corner that you finished dragging to so that, for example, you could chase effects "up" or "down" through channels.

The effects that are chased will include everything up to and including the last lighting effect in the channel that you start dragging from (or, if dragging backwards, everything from the first lighting effect).

The Chase tool can also be used on RGB channels:

Before an RGB chase...

Before an RGB chase...

... and after an RGB chase

... and after an RGB chase

The Chase tool can also be used on Motion Effect Rows:

Before a motion effect chase...

Before a motion effect chase...

... and after a motion effect chase

... and after a motion effect chase

The Chase tool has additional options that can be accessed by clicking on the small down arrow to the right of the chase button.

The Chase Options menu

The Chase Options menu

·Row Mode:

·Auto: chase each prop if the effect being chased is a motion effect and that motion row applies to the entire prop (not a subsection); otherwise chase each row

·Chase Each Row: perform the chase on each row in the selected area

·Chase Each Prop: perform the chase on the first row of each prop in the selected area (makes a difference on pixel props with multiple motion effect rows)

·Clear Selection First: clears the chase area of any existing effects before placing the new effects that are part of the chase.

·Same Row Type: if selected, the chase will only occur on rows of the same type as the first row. For example, if the first row is a regular channel, any RGB channels or motion effect rows will be skipped. If there is no check mark next to this option, then the chase will proceed through all selected rows, regardless of type.

For example, consider the following sequence, and imagine that you want to chase the second fade up in the first channel:

Before chasing the second fade

Before chasing the second fade

If you had "Clear selection first" turned on, the chase would overwrite the ends of the existing fades in some of the other channels:

After chasing the second fade, with "Clear selection first" enabled

After chasing the second fade, with "Clear selection first" enabled

But with "Clear selection first" turned off, the existing effects are kept in place:

After chasing the second fade, with "Clear selection first" disabled

After chasing the second fade, with "Clear selection first" disabled

Motion Effect Tool spiral16d

After selecting one or more cells on a motion effect row with this tool active, the Motion Effect Generator will open. Create your effect and then click the OK button to close the Motion Effect Generator. The new effect will be placed in the selected cells. This tool requires a Pro level license.

SuperStar Tool

After selecting one or more cells on a motion effect row with this tool active, the SuperStar Sequencer will open. After you finish your sequencing in SuperStar, close SuperStar by clicking on the Red X in the upper right of the program (there is no need to use SuperStar's save function). You will then be returned to the Sequencer and your new SuperStar effects will be automatically saved as part of the S5 Sequencer's sequence. They will be displayed in the selected cells as a single effect at the maximum value in the toolbar's intensity range, This tool requires a Pro level license.

Color Fade Tool

Shortcut Key:

key-dark32-O

Note: the colors displayed on your screen will not necessarily match those shown by your actual RGB lights; you may have to experiment to determine colors that wind up looking the way you want, and different RGB devices may show different colors when sent the same intensities.

The Color Fade tool can be used to apply colors to RGB channels and Motion Effect Rows. Setting the Effect Type to "Color" on the toolbar displays a set of buttons that enables you to specify the colors to be used:

With the Color Fade tool selected, clicking and dragging an area of an RGB channel or multiple RGB channels will cause that area to become those colors:

Applying a color fade to an RGB channel

If you drag backwards, however, the colors will be applied in reverse order (this also happens if you are using the keyboard, and expand the selection from right to left instead of left to right):

Applying a color fade to an RGB channel by dragging backwards

If the "On Click - Fill" box is checked in the window and you click on an empty cell (as opposed to clicking-and-dragging) will cause the Color Fade tool to perform a fill, smoothly fading from the preceding color to the following color:

Before clicking the empty area... ... and after clicking the empty area

If the "On Click - Fill" box is not checked and you click on an empty cell, then the color sample will be applied to the cell that was clicked.

The Color Fade toolbar buttons give several ways to select the colors to be used:

·The "Choose" buttons on either side will open a color picker dialog to specify the color for that side

·The "Copy" button on either side will copy the color from the opposite side

·The "Swap" button will move the two colors to their opposite sides

·The "Random" buttons on either side will apply a random color for that side

·The "Random" button in the "Both Colors" section will apply random colors to both sides

The Color Fade tool takes into account the selected effect on the toolbar. For example, here is a twinkling color fade:

A twinkling color fade


Modifying Effects

This section covers techniques for modifying existing effects.

·One simple way to edit your sequence is to place new effects over the old ones -- if that is what you want to do, then see the Adding Effects topic.

·You can also use cut, copy, paste, and repeat to modify a sequence -- which is covered in the clipboard topic.

Covered in this topic are:

· Double-Click Selection And Edit

· Nudge Tools

· Changing Colors

· Changing Intensity

· Prompt For New Effect

· Toggle Tool

A condensed list of keyboard shortcuts for modifying a sequence can be found in the Keyboard Shortcut Summary.

Double-Click Selection And Edit

This section refers to "double-clicking". However, whether it is a "plain double-click" or a "Ctrl-Shift double-click" is controlled by the Double-Click Preference.

MouseDoubleClick

Double-clicking on an effect in the sequencing grid will select all of the cells for that effect, then open a dialog window that allows the effect to be modified:

·Regular Channels - effect can be changed from intensity, shimmer, twinkle, or DMX intensity

·RGB Channels - colors can be modified

·SuperStar Effects - SuperStar is opened, allowing the effect to be edited

·Other Motion Effects - the Motion Effect Generator is opened

·Loops - the repeat count and speed can be modified

If the effect is modified and the user clicks “OK”, then those modifications are applied to the selected cells. In the following picture, one of the cells in the second row was double-clicked, causing all of the cells for that effect to be selected (including the ramp up and ramp down portions).

Nudge Tools

The nudge tools allow you to make small adjustments to existing effects in the grid. By default, each click of the button moves effects in 0.05 second increments. However, if you hold the Ctrl key down while clicking the button, effects will move in 0.25 second increments.

Effects can also be moved left or right by using the Skew Selection command.

Nudge tools on the toolbar

Nudge Effect Left

When you click on this button, any effects completely or partially within the selected area will be moved to the left.

Nudge Effect Right

When you click on this button, any effects completely or partially within the selected area will be moved to the right.

Shorten Effect

When you click on this button, any effects completely or partially within the selected area will be shortened. The starting time of the effect remains the same.

Lengthen Effect

When you click on this button, any effects completely or partially within the selected area will be lengthened. The starting time of the effect remains the same.

Display Drag Handles GrabHandleToggle16

When you click this button, all effects (except RGB effects) display a drag handle on each side of the effect. Dragging the red part of the handle with your mouse will move the edge of the effect. Dragging the green part of the handle will create a fade. When your cursor is over the green part of the handle the cursor will change to an angle. The direction of the angle will indicate whether you are creating a fade in or a fade out.

Changing Colors

You can change the colors of RGB Channel effects by:

·setting Effect Type to "Color" and select the new color

· selecting an area of the grid that contains the effects to be changed. These must be RGB Channel rows.

·right-click on the area, then opening the Existing Effects (foreground) Sub-menu, then selecting Apply Toolbar Color or Apply Toolbar Hue.

Changing Intensity

Tools to change the intensity of existing effects are accessed by right-clicking on the sequence grid, then opening the Existing Effects (foreground) Sub-menu.

You can also change the intensity of existing effects by using the "Change Intensity" select action on the toolbar. To use the tool, set the intensity range and slope to the desired values, then select a region of the grid containing effects you want to change.

Prompt For New Effect

You can modify a group of effects to all be a new effect that you choose. First select an area that contains effects you wish to modify, then either:

·right-click on the selection, open the Prompt For New Effect Sub-menu and select Modify Existing Effects, or

·use the Shift-M keyboard shortcut

This works with regular channels, RGB channels, and motion effect rows.

Toggle Tool

This command will toggle the effects in the selected area between on and off. Any that had been off will be turned on; all others will be turned off (note that this includes not just those that had been on, but also, for example, those that had been shimmers or fades).

You can invoke it by:

·Selecting the Toggle select action ToolsToolbarToggle on the toolbar, then selecting an area of the grid to toggle.

·Selecting an area on the grid, then right-clicking and select "Toggle" on the Advanced Tools sub-menu.

·Selecting an area on the grid, then using the "G" shortcut key

Before Toggle

After Toggle


Deleting Effects

To delete existing effects in the grid, select an area, then:

·Click the Cut button on the toolbar, or

·Use the Delete keyboard shortcut, or

·Select Clear from the right-click menu

·Use the Min Intensity tool when the minimum intensity is set to 0%


Clipboards & Cut/Copy/Paste/Repeat

In the S5 Sequencer, the sequence grid supports cut, copy, and paste operations on 2 types of data:

·The copying and pasting of timing marks is covered in the Timing Mark sub-menu topic.

·The copying and pasting of lighting effects is covered in this section.

The Sequencer supports basic cut, copy, and paste operations on lighting effects. But it also supports more advanced operations. All operations can be accessed from the toolbar.

Clipboard section of the Toolbar

Clipboard section of the Toolbar

From the toolbar you can:

· Select And Manage Clipboards

· Choose The Paste Mode

· Cut

· Copy

· Paste

· Paste Special

· Repeat

Cut, copy, paste, and paste special can also be accessed using keyboard shortcuts or from the right-click menu.

Select And Manage Clipboards

Clipboards are used to copy (or cut) and paste lighting effects from one area of the sequence grid to another. In the Sequencer, you can have multiple different clipboards, allowing you to keep several different sets of effects available to be pasted. However, only one clipboard can be active at any given time.

You can also lock clipboards so that they cannot be copied into (thus preventing accidental overwriting of their contents):

unlock | Unlocked clipboard
lock | Locked clipboard

The default clipboard is named "Std Clipboard" and it cannot be locked. The active clipboard is shown on the toolbar with an icon to indicate whether it is locked or unlocked.

The active clipboard

The active clipboard

Click on the name of the active clipboard to open the Clipboard Management window.

Choose The Paste Mode

When pasting in the sequencing grid, use the paste mode selector on the toolbar to choose the desired mode before you paste. There are 4 different paste modes:

· Paste By Cell

· Paste By Time

· Stretch to Fit

· Repeat to Fit

Paste Mode selector on the toolbar

Paste Mode selector on the toolbar

Paste By Cell

Paste by Cell pastes effects based upon the relative durations of the copied cells and the cells where they will be pasted.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Effects to be copied

Effects to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

Where they will be pasted to

If "Paste by Cell" is selected, then there will be a fade up from 5 to 7, and a fade down from 7 to 7.5:

After pasting by cell

After pasting by cell

Paste By Time

Paste by Time pastes effects based upon their durations as they were copied.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Effects to be copied

Effects to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

Where they will be pasted to

If "Paste by Time" is selected, then there will be a fade up from 5 to 6, and a fade down from 6 to 7. The timings at 7 and 7.5 are ignored; only the original lengths of the events are used:

After pasting by time

After pasting by time

Stretch to Fit

Stretch to Fit stretches (or compresses) effects to fit into the area that you have selected, without regards to any timings within that area.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Effects to be copied

Effects to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

Where they will be pasted to

If "Stretch to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, each effect will be stretched to 125% of its original length (since 2.5 seconds is 125% of 2 seconds). Therefore, there will be a fade up from 5 seconds to 6.25 seconds, and a fade down from 6.25 seconds to 7.5 seconds:

After stretching to fit

After stretching to fit

Repeat to Fit

Repeat to Fit repeats (or cuts off) effects to fit into the area that you have selected, without regards to any timings within that area.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Effects to be copied

Effects to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

Where they will be pasted to

If "Repeat to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, there will be one full copy of the copied effects for the first two seconds, followed by the first half second of a second copy of the effects. That is, there will be a fade up from 5 seconds to 6 seconds, a fade down from 6 seconds to 7 seconds, and the first half of a fade up from 7 seconds to 7.5 seconds:

After repeating to fit

After repeating to fit

Cut tsCut

The Cut command removes the selected effects from their original position in the grid and stores those effects on the current clipboard. If the current clipboard is locked, an error message is displayed.

"Cut" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-X

Copy CopyHS

The Copy command copies the selected effects onto the current clipboard. If the current clipboard is locked, an error message is displayed.

"Copy" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-C

Paste paste-plain

The Paste command copies the effects in the current clipboard onto the selected area of the grid, taking into account the current paste mode. The source row doesn't necessarily need to be of the same type as the destination row, as shown in the table below.

Copy From: | Paste Into:
 | Regular Channel or Beat Channel | RGB Channel | Motion Effects Row
Regular Channel or Beat Channel | Fully supported - no change to the effect | "on", "twinkle", and "shimmer" are preserved. The RGB channel effect takes on the color of the source channel. | "on", "twinkle", and "shimmer" are recreated as motion effects. The motion effect takes on the color of the source channel.
RGB Channel | "on", "twinkle", and "shimmer" effects are created at 100% intensity, wherever those RGB channel effects existed in the source. Color information is not used in conversion. | Fully supported - no change to the effect | "on", "twinkle", and "shimmer" are recreated as motion effects. The motion effect takes on the color of the source effect.
Motion Effects Row | A twinkle motion effect is converted to a twinkle channel effect. All other motion effects get converted to the "on" channel effect. Start and end intensity of the source motion effect are preserved in the destination channel effect. | A twinkle motion effect is converted to a twinkle channel effect. All other motion effects get converted to the "on" channel effect. The first selected color of the motion effect is used as the color for the RGB channel effect. That color is dimmed according to the source motion effect's starting and ending intensity values. | Fully supported - no change to the effect

"Paste" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-V

Paste Special paste-star

The Paste Special command will open a dialog window, allowing you to specify additional options when pasting.

The Paste Special dialog

The Paste Special dialog

"Paste Special" has a keyboard hotkey:

key-dark32-Ctrl

key-dark32-Alt

key-dark32-V

Paste Mode

The paste mode down-down box is initially set from the value shown on Toolbar #2. However, you can change the value here before pasting. Changing the value here does not update the value shown in Toolbar #2.

Repeat Across Time (Horizontally)

Specify the number of times the clipboard data should be repeated horizontally.

The Spacing entry can be used to control the spacing between copies as shown in the picture below. If pasting by cell, then the spacing value is the number of cells. For all other paste modes, the spacing is specified in seconds and fractions of a second. Every time you open the Paste Special dialog, spacing will initially be set to 0, regardless of any value you might have entered before.

Checking the Flip Horizontal box will cause the clipboard data to be pasted in reverse (horizontally). In the example below, the 3 by 3 section on the left was copied to the clipboard. Then Paste Special was used with the Flip Horizontal option checked, with the result shown in the selected area.

Flip Horizontal

Repeat Across Channels (Vertically)

Specify the number of times the clipboard data should be repeated vertically.

Checking the Bottom Up/Flip Vertical box will cause the clipboard data to be pasted from the bottom of the selection first -- the first row in the clipboard will be pasted into the bottom row of the selection. This will reverse the clipboard vertically if the clipboard data and the selection have the same number of rows. In the example below, the 3 by 3 section on the left was copied to the clipboard. Then Paste Special was used with the Flip Vertical option checked, with the result shown in the selected area.

Flip Vertical

Source and Destination

The "Source" box controls which portions of the copied effects will be pasted:

·"Background" means that only areas that are completely off will be pasted;

·"Foreground" means that only effects will be pasted;

·"Both", which is the default, means that off areas as well as effects will be pasted (i.e. foreground and background).

For example, consider the following portion of a sequence, and imagine that the simple chase on the left will be copied and pasted on top of the twinkle effects on the right:

Before pasting the chase on top of the twinkling

For now, assume that the "To" box (which we will discuss momentarily) is set to "Both". Then if the "From" box is also set to "Both", then the entire copied area - including the off effects - will be pasted:

After pasting, from Both to Both

But if "From" is set to "Foreground", then the empty areas are not pasted, leaving some of the cells twinkling:

After pasting, from Foreground to Both

Or if "From" is "Background", then only the off areas are pasted:

After pasting, from Background to Both

The "To" box is similar, but it controls which of the cells in the area being pasted into will actually be overwritten. For example, if "From" is set to "Both":

Before pasting

After pasting, from Both to Background

After pasting, from Both to Foreground

After pasting, from Both to Both

You can even combine "From" and "To". For example:

Before pasting

After pasting, from Foreground to Foreground

Repeat StandardToolbarRepeat

The Repeat tool can be used to automatically place a copy of the selected area immediately after the selected area. For example, consider the following:

Before repeating

Then pressing the Repeat button will make the following:

After repeating once

And you can repeat as many times as you like thereafter; for example, pressing Repeat three more times will make the following:

After repeating four times

"Repeat" has a keyboard hotkey:

key-dark32-Plus


Clipboard Management

Clipboards are used to copy (or cut) and paste lighting effects from one area of the sequence grid to another. In the Sequencer, you can have multiple different clipboards, allowing you to keep several different sets of effects available to be pasted. However, only one clipboard can be active at any given time.

You can also lock clipboards so that they cannot be copied into (thus preventing accidental overwriting of their contents):

unlock | Unlocked clipboard
lock | Locked clipboard

The default clipboard is named "Std Clipboard" and it cannot be locked, renamed, or deleted. The active clipboard is shown on the toolbar with an icon to indicate whether it is locked or unlocked.

The active clipboard (enlarged)

The active clipboard (enlarged)

Click on the name of the active clipboard on the toolbar to open the Clipboard Management window.

The Clipboard Management Window

The Clipboard Management Window

Setting the Active Clipboard

To select the active clipboard (the one that will be used for cut, copy, paste, and repeat operations), simply click on its name in the Clipboard Management window so that the desired row is selected, then click the OK button to close the window. The toolbar will update to reflect your selected clipboard.

Adding New Clipboards

By default, the Sequencer has a single clipboard. However, the "Add New" button can be used to quickly create multiple clipboards. After clicking the button, you will be prompted for the new clipboard name.

Renaming a Clipboard

Click on a clipboard in the list, then click the Rename button. You will be prompted for the new name.

Deleting a Clipboard

Click on a clipboard in the list, then click the Delete button. The deletion will happen immediately -- you will not be prompted to confirm.

Locking and Unlocking Clipboards

A clipboard can be locked or unlocked; a locked clipboard cannot be copied into (though it can still be pasted from). This prevents accidentally overwriting copied effects that you want to keep available. If you attempt to copy to a locked clipboard, you will get a pop-up message:

To lock a clipboard, click on its name to select it, then click the Lock button. To unlock a clipboard, click on its name to select it, then click the Unlock button.

Adding Clipboard Files Created by External Applications

There are some third-party tools that can create clipboard files (files with an LCB extension). You can make these available in the Sequencer by moving or copying the file into the Clipboards folder. Once the file is in that folder, the file name will appear the Clipboard Management window.


Toolbars

Each sequence tab in the Light-O-Rama Sequencer has its own set of toolbars. The toolbar selections on one tab can be different than the selections on another tab. For example, the current intensity range and current effect can be set differently for each sequence.

Command buttons for saving, playing, and modifying the sequence are organized into 3 toolbars:

· Toolbar #1 is fixed at the top. If you right-click on this toolbar, you can choose from 2 display options:

oTiming Toolbar - Left

oTiming Toolbar - Right

· Toolbar #2 is positioned immediately below Toolbar #1. If you right-click on this toolbar, you can choose from 3 display options:

oLarge - display large icons and text, if space permits

oMedium - display small icons and text, if space permits

oCompact - display small icons without text (recommended for experienced users)

· Toolbar #3 is positioned immediately below Toolbar #2. You can right-click on this toolbar to choose among 3 display options:

oIcon and text

oText only

oIcon only (recommended for experienced users)

Areas within the Sequence Tab

Areas within the Sequence Tab

Toolbar #1

Toolbar Item

Description

loading2

icon-circle-check-green

pause20

Calculation Status: certain data is calculated in the background in order to facilitate on-screen playback. When calculations are in progress, this icon spins and the playback buttons on the toolbar are disabled. Once calculations are completed, the green check mark icon is displayed and playback is enabled.

Click on the green check-mark and it will change to a pause icon. While the pause icon is displayed, background calculations will not be performed, allowing you to change motion effects without any delays. When you play the sequence, data will be calculated at that point. You can click the pause icon to return to the green check-mark at any time. Calculations will then be performed after every change to the sequence.

ToolbarPreviewName

Shows the name of the Preview assigned to the sequence. Click on the name to open the sequence's preview for editing in the Preview Design window.

Timing Grid

ToolbarTimingMenu

Click here to open the toolbar's Timing Grid Menu

lock

unlock

Indicates whether the timing marks are locked or unlocked. Click the icon to toggle the mode. When unlocked, you can change the location of a timing marks in freeform timing grids by hovering over its line with your mouse (which will change your mouse cursor from a "pointer" cursor to an "east-west" cursor), and clicking and dragging the line to the left or the right. When in this mode, right-clicking on the grid shows only the Timing Mark sub-menu, which can save time. You can specify whether effects should move when adjacent timing marks are moved using the last option on the Timing Grid Menu.

ToolbarTimingGridSelect

Shows the current Timing Grid and allows you to change it

Toolbar #2

Toolbar Item | Description
 | Save Button
 | Undo / Redo
StandardToolbarUndo | Undo Button. This will undo the last modification to the sequence grid.
StandardToolbarRedo | Redo Button. This re-applies the last action performed by the Undo button.
 | Clipboard Cut / Copy / Paste
tsCut | Cut Button
CopyHS | Copy Button
paste-plain | Paste Button
paste-star | Paste Special Button -- opens a dialog that allows you to specify additional options when you paste
StandardToolbarRepeat | Repeat Button
ToolbarClipboardFile | Shows the name of the active clipboard (the one that will be used for cut, copy, paste, and repeat operations). To the left of the clipboard name is an icon that indicates whether the clipboard is locked or unlocked. Cut and copy operations can only be performed with an unlocked clipboard. Click the clipboard name to open the Clipboard Management window.
ToolbarPasteMode | Shows the current Paste Mode, and allows you to change it.
 | Playback Control
PlayAllIcon | Play the full sequence
PlayHereToEndIcon | Play from the left edge of the visible sequence grid to the end of the sequence
PlayBeginningToHereIcon | Play from the beginning of the sequence to the right edge of the visible sequence grid
PlayVisibleIcon | Play the visible portion of the sequence
PlaySelectionIcon | Play the current selection. If there is a freeform play range defined then that is played; otherwise the current grid selection (dashed yellow outline) is played.
PauseIcon | Pause playback. Press again to resume
StopIcon | Stop playback
RepeatPlaybackIcon | Repeat playback. When enabled, this will cause playback to repeat until the Stop Playback button is pressed. When disabled, this icon will have a red slash through it.
PlaybackSpeed | Shows the current Playback Speed and allows you to change it. Playback speeds other than normal may not be supported on some types of media files.
 | Nudge Tools
 | Nudge Effect Left
 | Nudge Effect Right
 | Shorten Effect
 | Lengthen Effect
GrabHandleToggle16 | Show handles on the edge of every effect that can be dragged to resize the effect
 | Zoom Control
StandardToolbarZoomChannelsOut | Zoom row height shorter
StandardToolbarZoomChannelsIn | Zoom row height taller
StandardToolbarZoomTimeOut | Zoom time out (total number of visible seconds will increase)
StandardToolbarZoomTimeIn | Zoom time in (total number of visible seconds will decrease)
 | Visibility Toggles
StandardToolbarViewAnimation | Toggle playback window visibility
StandardToolbarViewWaveform | Toggle waveform visibility

Toolbar #3

Toolbar Item | Description
 | On Mouse Click - only 1 action can be active at a time
ToolsToolbarSelect | Select tool. If this effect tool is enabled, then clicking on a cell or cells in a sequence's grid will simply select those cells. No lighting effect will be applied, nor will any be applied by hitting the enter key.
seqgrid16 | Create an effect. This will cause the effect specified in the Effect Type area to be placed in the sequence grid.
ToolsToolbarToggle | Toggle tool. If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid will turn individual parts of the selection on or off. Each portion of the selection that had been on will be turned off, and every other portion will be turned on. Note that the latter includes not just portions of the selection that had been off, but also those that had been twinkles, fades, shimmers, and intensities.
ToolsToolbarFill | Fill
ToolsToolbarChase | Chase. Click the down arrow next to the button to specify chase options.
 | Change Intensity. This tool allows you to change the intensity of existing effects, using the intensity range and slope specified on the toolbar.
 | Intensity Range & Slope
ToolbarIntensityRange | Shows the current Intensity Range and allows you to change it by: 1) typing new numbers into the boxes, or 2) using the up and down arrows to adjust the current values. Valid values are from 0 to 100.
 | Click here to open the Intensity Menu, which will allow you to choose from a list of preset intensity ranges.
 | Maximum Intensity. Inserts the current effect (as shown on the toolbar) into the grid - at the maximum intensity shown on the toolbar.
 | Minimum Intensity. Inserts the current effect (as shown on the toolbar) into the grid - at the minimum intensity shown on the toolbar.
ToolsToolbarFadeUp | Fade Up
ToolsToolbarFadeDown | Fade Down
ToolsToolbarIntelligentFade | Intelligent Fade
 | Effect Type - only 1 effect type can be active at a time
ChannelEffect | Channel Effect
 | Color Fade Effect
spiral16d | Motion Effect (only displayed with a Pro license)
 | SuperStar Effect (only displayed with a Pro license)

The icons that appear next on the toolbar depend on which Effect Type is selected.

Toolbar #3 - Channel Effect

Toolbar Item | Description
 | Channel Effect - only 1 effect can be active at a time
 | On effect
 | Shimmer effect
 | Twinkle effect
 | DMX intensity effect. Selecting this effect will cause a pair of numeric entry boxes to appear where you can specify the starting and ending DMX values (0-255)

Toolbar #3 - Color Fade Effect

Toolbar Item | Description
 | Channel Effect - only 1 effect can be active at a time
 | On effect
 | Shimmer effect
 | Twinkle effect
 | Start Color
color-swatch16 | Select the start color
RandomColor16 | The system chooses a random start color
double-arrow-left16 | Copy the end color to the start color
 | Color Sample
ToolbarColorSample | Displays a sample of the color that will be placed in the grid. You can also click on the left side of the sample to set the start color, or the right side to set the end color.
 | End Color
color-swatch16 | Select the end color
RandomColor16 | The system chooses a random end color
double-arrow-right16 | Copy the start color to the end color
ToolbarIgnoreEndColor | When checked, the end color is ignored and only the start color is used. In other words, you are specifying a solid color, not a color transition.
 | Both Colors
RandomColor16 | The system chooses a random start and end color
 | Swaps the start and end colors
 | Favorite
 | Save the current color sample as a favorite
 | On Click
ToolbarFillOnClick | When checked and you click on an empty cell in the grid, the system will attempt to perform a matching fill. When unchecked, the system will place the color sample in the selected cell.

Toolbar #3 - Motion Effect Source (Pro license only)

Toolbar Item | Description
 | Source of motion effect that will be placed in the sequence
 | Prompt for new effect (opens the Motion Effect Generator)
 | Insert the effect displayed in the Playback Window
external-link-16 | Insert the selected effect in the Effect Samples Window

Toolbar #3 - SuperStar Source (Pro license only)

Toolbar Item | Description
 | Source of SuperStar effect that will be placed in the sequence
 | Prompt for new effect (opens SuperStar)


Toolbar Timing Grid Menu

The Timing Grid menu is the second-to-last item on the toolbar. This menu can be used to create, rename, and delete timing grids. You can also create timing grids in a Musical Sequence using the audio wizards. Use the Right-Click Timing Mark Sub-menu to manipulate timing marks within a timing grid.

From this menu you can:

· Change Timing Grid Name

· Add New Fixed Grid

· Add New Freeform Grid

· Duplicate to New Freeform Grid

· Import Timings

· Export Timings

· Delete Timing Grid

· Drag Events with Timings

The Toolbar's Timing Grid Menu

The Toolbar's Timing Grid Menu

Change Timing Grid Name

This menu item can be used to change the name of the current timing grid. The main purpose of giving a timing grid a name is to make it easier to distinguish when it is listed on the toolbar.

Add New Fixed Grid

This menu item can be used to add a new fixed timing grid to the sequence. After you select this item, you will be asked to specify the length of time between timings - for example, to make the timings a quarter second apart, enter "0.25".

Add New Freeform Grid

This menu item can be used to add a new freeform timing grid to the sequence. After you select this item, you will be prompted to enter a name for the new timing grid.

Duplicate to New Freeform Grid

This menu item can be used to create a new freeform timing grid, initially populating it with the same timings that are in the current timing grid.

Note that this can be done regardless of whether the current timing grid is a freeform grid or a fixed grid.

Import Timings

This menu item opens a dialog that allows you to import timing marks from several sources.

Timing grid import - source selection

Timing grid import - source selection

S5 Timing File

You can import an S5 timing file which has an LORTIME extension -- one created using Export Timings.

S5 Sequence

This option will import all freeform timing grids from the selected S5 sequence. This eliminates the need to first export the timings from the source sequence.

One difference between this option and the previous one is that when you export timings, you have the option to include beat channels. Using this option to import timings directly from a sequence does not include the beat channels.

LMS or LAS Sequence

You can import timings from an LMS or LAS file. Typically you would upgrade one of these sequences, which would bring in the timings and the effects; but this function is available if you just need the timing marks.

Audacity Label File

An Audacity label file. Audacity is a free audio editing and analysis program available from https://www.audacityteam.org/. It has the ability to analyze beats and notes in music. As an example:

1.Start the Audacity program

2.Open your music file in Audacity

3.Open the Analyze menu and choose a tool, for example "Bar and Beat Tracker: Bars". After the analysis is run, you should see a label track with some markers in it.

Audacity screen with timing labels at the bottom

Audacity screen with timing labels at the bottom

4.Select File > Export Labels from the Audacity menu. Choose a file name and location. The file extension will be TXT.

5.In the S5 Sequencer, select Import Timings from the toolbar's Timing Grid menu.

6.Select the "Import from Audacity label file" option

7.Select the timing grids to import, then click the "Import" button

Export Timings

This menu item will open a dialog allowing you to choose the freeform timing grids and beat channels to be included in the export file. After choosing the items to include in the file, click the "Select File" button. Select a name for the file and click "Save". By default, these files will be saved to the ImportExport folder, but you can change the folder if desired. Files created by this method will have an LORTIME extension.

The Timing Export dialog

The Timing Export dialog

Delete Timing Grid

This menu item can be used to delete the current timing grid from the sequence. There must be at least one timing grid in a sequence, so this menu item will be unavailable if there is only one timing grid.

Drag Events with Timings

When a timing grid is unlocked, the timings in a sequence can be dragged with the mouse to change their location. If "Drag Events with Timings" is turned on, and any effects start or end at the same time as the timing mark being dragged, the edges of those adjacent effects will be dragged along with the timing mark. If not, only the timing mark will move, and the adjacent effects will remain unchanged.

Note that the effects of archived props are never moved with the timing mark.

Highlight Timings on the Second

If this option is enabled and a fixed timing grid is active, timing marks that fall on exact seconds (1.00, 2.00, etc) are displayed a shade lighter, making them easy to pick out and use as a reference.

This option affects all open sequences, and its state is remembered from the last time the Sequencer was run.


Right-Click Context Menu

Right-clicking on the sequence grid brings up a pop-up menu. This menu contains items which allow you to modify the currently selected cells, in a variety of ways. For example, you can insert lighting effects, cut, copy, and paste (both effects and timings), and delete or resize timings. Some items on the menu may be hidden depending on the type of grid row you click on and your license level.

The Right-Click Context Menu

The Right-Click Context Menu

The following items are available on this right-click context menu:

· Insert On Effect

· Insert Twinkle Effect

· Insert Shimmer Effect

· Insert Motion Effect

· Insert SuperStar Effect

· Insert Toolbar Effect as Fade Down

· Insert Toolbar Effect as Fade Up

· Insert Toolbar Effect at Max Toolbar Intensity

· Insert Toolbar Effect at Min Toolbar Intensity

· Chase

· Custom Chase

· Matching Fill

· Clear

· Prompt For New Effect sub-menu

· Empty Areas (background) sub-menu

· Existing Effects (foreground) sub-menu

· Advanced Tools

· Select sub-menu

· Cut, Copy, Paste

· Paste Special

· Timing Mark sub-menu

· Audio Wizards

· Undo and Redo

Insert On Effect

Inserts an "on" effect into the currently selected cells at the maximum value in the toolbar's intensity range. It does this regardless of the currently selected effect on the toolbar.

ON effect (with intensity range 50-100%)

Insert Twinkle Effect

Inserts a "twinkle" effect into the currently selected cells at the maximum value in the toolbar's intensity range. It does this regardless of the currently selected effect on the toolbar.

TWINKLE effect (with intensity range 0-100%)

Insert Shimmer Effect

Inserts a "shimmer" effect into the currently selected cells at the maximum value in the toolbar's intensity range. It does this regardless of the currently selected effect on the toolbar.

SHIMMER effect (with intensity range 0-100%)

Insert Motion Effect

This command only appears on the menu if you have selected one or more cells on a motion effect row. It opens the Motion Effect Generator, where you can create an effect. After clicking the OK button in the Motion Effect Generator, the effect that was created will be inserted into the selected cells at the maximum value in the toolbar's intensity range,

To edit the motion effect, just double-click on the effect in the sequence grid and the Motion Effect Generator will re-open.

This command requires a Pro level license.

Insert SuperStar Effect

This command only appears on the menu if you have selected one or more cells on a motion effect row. It opens the SuperStar Sequencer, where you can create one effect, or many effects, or load a purchased sequence. After you finish your sequencing in SuperStar, close SuperStar by clicking on the Red X in the upper right of the program (there is no need to use SuperStar's save function). You will then be returned to the S5 Sequencer and your new SuperStar effects will be automatically saved as part of the S5 Sequencer's sequence. They will be displayed in the selected cells as a single effect at the maximum value in the toolbar's intensity range,

To edit the SuperStar effect, just double-click on the effect in the S5 Sequencer's grid and SuperStar will re-open.

This command requires a Pro level license.

Insert Toolbar Effect as Fade Down

Inserts the current effect into the selected cells as a ramp from the maximum value in the toolbar's intensity range to the minimum value in the toolbar's intensity range.

Fade Down (ON effect with intensity range 0-100%)

Insert Toolbar Effect as Fade Up

Inserts the current effect into the selected cells as a ramp from the minimum value in the toolbar's intensity range to the maximum value in the toolbar's intensity range.

Fade Up (ON effect with intensity range 0-100%)

Insert Toolbar Effect at Max Toolbar Intensity

Inserts the current effect into the selected cells at the maximum value in the toolbar's intensity range

Max Intensity (ON effect with intensity range 50-100%)

Insert Toolbar Effect at Min Toolbar Intensity

Inserts the current effect into the selected cells at the minimum value in the toolbar's intensity range

Min Intensity (ON effect with intensity range 50-100%)

Chase

Creates a chase across the selected cells.

Custom Chase

Opens the Custom Chase dialog, then creates the chase across the selected cells with the options specified in the dialog.

The Custom Chase dialog

The Custom Chase dialog

·Row Mode:

·Chase Each Row: perform the chase on each row in the selected area

·Chase Each Prop: perform the chase on the first row of each prop in the selected area (makes a difference on pixel props with multiple motion effect rows)

·Clear existing effects: clears the chase area of any existing effects before placing the new effects that are part of the chase.

·Same Row Type: if selected, the chase will only occur on rows of the same type as the first row. For example, if the first row is a regular channel, any RGB channels or motion effect rows will be skipped. If there is no check mark next to this option, then the chase will proceed through all selected rows, regardless of type.

Matching Fill

Creates a matching fill across the selected cells.

Clear

Deletes any effects in the selected area of the grid.

Prompt For New Effect sub-menu

Opens the Prompt For New Effect sub-menu.

Empty Areas (background) sub-menu

Opens the Empty Areas (background) sub-menu.

Existing Effects (foreground) sub-menu

Opens the Existing Effects (foreground) sub-menu.

Advanced Tools

Opens the Advanced Tools sub-menu.

Select sub-menu

This sub-menu displays items to expand the grid selection to encompass:

·the entire effect

·the entire row

·the entire column

·the entire grid

Cut, Copy, Paste

These items perform standard cut, copy, and paste functions. See the Clipboards & Cut/Copy/Paste/Repeat topic for more information.

Paste Special

Opens a dialog window that allows you to select additional options when you are pasting. See the Clipboards & Cut/Copy/Paste/Repeat topic for more information.

Timing Mark sub-menu

Opens the Timing Mark sub-menu.

Audio Wizards

Opens a sub-menu that allows you to initiate an Audio Wizard.

Undo and Redo

These allow you to undo and redo changes that you make to a sequence. A wide variety of changes can be undone and redone - changing lighting effects, moving timings, and many more. If there is no action to be undone, the "Undo" menu item will not be shown. If there is no action to be redone, the "Redo" menu item will not be shown.

There is a limit to how many changes will be remembered for the purposes of undo and redo, so if you make many changes to a sequence and then start undoing them all, you may eventually reach a point where you can't undo any more, even though you haven't undone all of the changes that you made.

Undo and redo have keyboard shortcuts: Ctrl-Z and Ctrl-Y, respectively.


Right-Click Prompt For New Effect Sub-menu

A variety of tools for adding new effects are available by right-clicking on the sequence grid and then opening the "Prompt For New Effect" sub-menu. As the name implies, you will be prompted for the effect first, and then the chosen effect will be inserted into the selected area of the grid.

From "Prompt For New Effect" sub-menu you can:

· Create new Fade Down, Fade Up, Max Intensity, or Min Intensity effects

· Modify Existing Effects

Right-click menu with the Prompt For New Effect sub-menu open

Right-click menu with the Prompt For New Effect sub-menu open

Fade Down, Fade Up, Max Intensity, Min Intensity

These items will open a dialog that allows you to choose the type of effect to be inserted. The particular dialog that is opened will depend on the type of grid rows in the selection. The dialog for each row type is shown below. After clicking the OK button in the dialog, the entire selection will be filled with the chosen effect at the intensity level specified by the menu item.

The result of Prompt For New Effect > Fade Down, and then choosing the Shimmer effect from the dialog

The result of Prompt For New Effect > Fade Down, and then choosing the Shimmer effect from the dialog

Regular Channels and Beat Channels

When used on Regular Channels and Beat Channels, these menu items will open the following dialog:

RGB Channels

When used on RGB Channels, these menu items will open the following dialog:

Motion Effect Rows

When used on Motion Effect Rows, these menu items will open the Motion Effect Generator.

Modify Existing Effects

This menu item will open the same dialogs shown above. However, after clicking the OK button in the dialog, only existing effects in the grid selection will be changed, and the intensity of those effects will remain the same.

For example, if the grid contained this:

Before Modify Existing Effects

Before Modify Existing Effects

Selecting Prompt For New Effect > Modify Existing Effects, then selecting Shimmer from the dialog, would result in this:

After Modify Existing Effects

After Modify Existing Effects


Right-Click Empty Areas (background) Sub-menu

The "Empty Areas (background)" sub-menu contains a list of functions that are applied to empty parts of the selected area. These functions do not make any changes to grid cells that already contain effects.

The effects that are created using these tools depend on the Intensity Range and current effect that are shown on the toolbar. For RGB channels and motion effect rows, the toolbar color will also be used. For a more detailed explanation of the toolbar settings, see the Adding Effects topic.

Toolbar settings

Insert Toolbar Effect as Fade Down

Adds the currently selected effect to empty portions of the selected area. This function applies the maximum intensity in the intensity range to the left side of the selection, and ramps down to the minimum intensity on the right.

Before Insert

After Insert with twinkle effect, intensity range 0-100%

After Insert with twinkle effect, intensity range 0-100%

Insert Toolbar Effect as Fade Up

Adds the currently selected effect to empty portions of the selected area. This function applies the minimum intensity in the intensity range to the left side of the selection, and ramps up to the maximum intensity on the right.

Before Insert

After Insert with twinkle effect, intensity range 0-100%

After Insert with twinkle effect, intensity range 0-100%

Insert Toolbar Effect at Max Intensity

Adds the currently selected effect to empty portions of the selected area at the maximum intensity in the toolbar intensity range.

Before Insert

After Insert with twinkle effect, intensity range 0-100%

After Insert with twinkle effect, intensity range 0-100%

Insert Toolbar Effect at Min Intensity

Adds the currently selected effect to empty portions of the selected area at the minimum intensity in the toolbar intensity range.

Before Insert

After Insert with twinkle effect, intensity range 50-100%

After Insert with twinkle effect, intensity range 50-100%


Right-Click Existing Effects (foreground) Sub-menu

The "Existing Effects (foreground)" sub-menu contains a list of functions that are applied to existing effects in the selected area. These functions do not make any changes to grid cells that are empty.

The available functions are:

· Fade Down Across Selection

· Fade Up Across Selection

· Fade Down Each Effect

· Fade Up Each Effect

· Set to Max Intensity

· Set to Min Intensity

· Apply Toolbar Effect

· Apply Toolbar Color (RGB channels only)

· Apply Toolbar Hue (RGB channels only)

· Lower to Max Intensity (cap)

· Raise to Min Intensity (floor)

· Increase Intensity

· Decrease Intensity

· Scale Intensity

Fade Down Across Selection

Resets intensities on existing effects in the selected area. This function applies the maximum intensity in the intensity range to the left side of the selection, and ramps down to the minimum intensity on the right. This is useful for fading out your lights at the end of a sequence.

Before Fade Down

Before Fade Down

After Fade Down, intensity range 0-100%

After Fade Down, intensity range 0-100%

Fade Up Across Selection

Resets intensities on existing effects in the selected area. This function applies the minimum intensity in the intensity range to the left side of the selection, and ramps up to the maximum intensity on the right. This is useful for fading in your lights at the beginning of a sequence.

Before Fade Up

Before Fade Up

After Fade Up, intensity range 0-100%

After Fade Up, intensity range 0-100%

Fade Down Each Effect

Resets intensities on existing effects in the selected area. This function applies the maximum intensity in the intensity range to the left side of each effect, and ramps down to the minimum intensity on the right side of the effect.

Before Fade Down

Before Fade Down

After Fade Down, intensity range 0-100%

After Fade Down, intensity range 0-100%

Fade Up Each Effect

Resets intensities on existing effects in the selected area. This function applies the minimum intensity in the intensity range to the left side of each effect, and ramps up to the maximum intensity on the right side of the effect.

Before Fade Up

Before Fade Up

After Fade Up, intensity range 0-100%

After Fade Up, intensity range 0-100%

Set to Max Intensity

Resets intensities on existing effects in the selected area. This function applies the maximum intensity in the intensity range to each effect.

Before Max Intensity

Before Max Intensity

After Max Intensity, intensity range 0-100%

After Max Intensity, intensity range 0-100%

Set to Min Intensity

Resets intensities on existing effects in the selected area. This function applies the minimum intensity in the intensity range to each effect.

Before Min Intensity

Before Min Intensity

After Min Intensity, intensity range 25-50%

After Min Intensity, intensity range 25-50%

Apply Toolbar Effect

Changes existing effects in the selected area to be the effect on the toolbar. It does not change the intensity.

Regular Channels

Before "Apply Toolbar Effect"

Before "Apply Toolbar Effect"

After "Apply Toolbar Effect", effect on toolbar was SHIMMER

After "Apply Toolbar Effect", effect on toolbar was SHIMMER

RGB Channels

On RGB channels, the color is maintained; only the toolbar effect is applied.

Before "Apply Toolbar Effect"

Before "Apply Toolbar Effect"

After "Apply Toolbar Effect", effect on toolbar was SHIMMER

After "Apply Toolbar Effect", effect on toolbar was SHIMMER

Motion Effect Rows

In order to use this tool with motion effect rows:

1.Left-click on a motion effect that you want to apply to another area. This makes the effect you clicked on the "current effect", and it will be displayed in the playback window.

2. Using the right-click and drag technique, drag over the destination and select this menu item from the pop-up menu.

3.Any existing motion effects in the selected area will be changed to the source effect, while leaving the intensity of those effects unchanged.

Before "Apply Toolbar Effect" (Bars)

Before "Apply Toolbar Effect" (Bars)

After "Apply Toolbar Effect" (Snowflakes)

After "Apply Toolbar Effect" (Snowflakes)

Apply Toolbar Color

Replaces the color of selected RGB channel effects with a new color. The new color will be taken from the Color Fade Tool if it is open; otherwise the color on the color fade button on the toolbar will be used.

Before "Apply Toolbar Color"

Before "Apply Toolbar Color"

After "Apply Toolbar Color" (green)

After "Apply Toolbar Color" (green)

Apply Toolbar Hue

Replaces the hue of selected RGB channel effects with a new hue. The new color will be taken from the Color Fade Tool if it is open; otherwise the color on the color fade button on the toolbar will be used. The difference between this tool and "Apply Toolbar Color" is that this tool will maintain any place there is a fade to black.

Before "Apply Toolbar Hue"

Before "Apply Toolbar Hue"

After "Apply Toolbar Hue" (green)

After "Apply Toolbar Hue" (green)

Lower to Max Intensity (cap)

The Cap operation imposes a maximum upon the intensities in the selected area. This function applies the maximum intensity in the intensity range to each effect. The starting and ending effect intensities are treated independently. For example, using a percent of 80, any intensities above 80% of the effect type's maximum will be reduced to 80%, and any intensities that are already at or below 80% will be left unchanged.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity above 80 will be reduced to 80". However, the DMX intensity effect has a maximum value of 255, not 100, so for it, capping with a percent of 80 means capping at a value of 204 (i.e. 80% of 255).

Before "Lower to Max Intensity"

Before "Lower to Max Intensity"

After "Lower to Max Intensity", intensity range 0-80%

After "Lower to Max Intensity", intensity range 0-80%

Raise to Min Intensity (floor)

The Floor operation imposes a minimum upon the intensities in the selected area. This function applies the minimum intensity in the intensity range to each effect. The starting and ending effect intensities are treated independently. For example, using a percent of 80, any intensities below 80% of the effect type's maximum will be increased to 80% of the maximum, and any intensities that are already at or above 80% will be left unchanged.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity below 80 will be increased to 80". However, DMX intensity effect has a maximum value of 255, not 100, so for it, imposing a floor with a percent of 80 means imposing a floor at a value of 204 (i.e. 80% of 255).

Before "Raise to Min Intensity"

Before "Raise to Min Intensity"

After "Raise to Min Intensity", intensity range 80-100%

After "Raise to Min Intensity", intensity range 80-100%

Increase Intensity

The Increase operation increases all intensities in the selected area by the specified percent of the effect type's maximum value. For example, using a percent of 20, a fade up from 0 to 60 will be changed to a fade up from 20 to 80.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity will be increased by 20". However, the DMX intensity effect has a maximum value of 255, not 100, so for it, increasing with a percent of 20 means increasing by a value of 51 (i.e. 20% of 255).

If the increase pushes any intensity above the effect type's maximum possible value, it will be set to that maximum. For example, using a percent of 20, a fade up from 50 to 90 will be changed to a fade up from 70 to 100.

Before "Increase Intensity"

Before "Increase Intensity"

After "Increase Intensity" by 20

After "Increase Intensity" by 20

Decrease Intensity

The Reduce operation decreases all intensities in the selected area by the specified percent of the effect type's maximum value. For example, using a percent of 20, a fade up from 50 to 60 will be changed to a fade up from 30 to 40.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity will be reduced by 20". However, the DMX intensity effect type has a maximum value of 255, not 100, so for it, decreasing with a percent of 20 means decreasing by a value of 51 (i.e. 20% of 255).

If the decrease pushes any intensity below zero, it will be set to zero. For example, using a percent of 20, a fade up from 10 to 90 will be changed to a fade up from 0 to 70.

Before "Decrease Intensity"

Before "Decrease Intensity"

After "Decrease Intensity" by 20

After "Decrease Intensity" by 20

Scale Intensity

The Scale operation scales all intensities in the selected area by the specified percentage. For example, a percent of 200 means doubling; a fade up from 30 to 40 will become a fade up from 60 to 80. A percent of 50 means halving; a fade up from 30 to 40 will become a fade up from 15 to 20.

If the scaling pushes any intensity above the effect type's maximum possible value, it will be set to that maximum. For example, using a percent of 200, a fade up from 30 to 80 will become a fade up from 60 to 100.

Before "Scale Intensity"

Before "Scale Intensity"

After "Scale Intensity" by 50%

After "Scale Intensity" by 50%


Right-Click Advanced Tools Sub-menu

The "Advanced Tools" sub-menu contains a list of functions that are valuable in specific circumstances.

The available functions are:

· Insert at Sound Level (musical sequences only)

· Skew Selection

· Toggle

· Fade Down Each Cell

· Fade Up Each Cell

Insert at Sound Level

This command inserts a series of ON effects into the selected area, whose intensity reflects the sound level of the music. The command finds the loudest sound across the selection and uses that sound level as the 100% intensity level. All other effects being added are scaled using that loudest sound.

Before "Insert at Sound Level"

Before "Insert at Sound Level"

After "Insert at Sound Level"

After "Insert at Sound Level"

Skew Selection

This command will allow you to move effects and/or timing marks to the left or right. It opens a dialog with fields that allow to specify how the effects and timing marks in the selected area should be moved.

Also see the Nudge Tools for a similar function.

The Skew Selection dialog

The Skew Selection dialog

After you click the OK button, the actions you specify will be applied to the selected area of the sequence.

Before Skew Selection

Before Skew Selection

After Skew Selection, effects but not timing marks, to the right by 0.15 seconds

After Skew Selection, effects but not timing marks, to the right by 0.15 seconds

Toggle

This menu item applies the Toggle function to the selected area of the sequence grid.

Fade Down Each Cell

Creates a fade down effect in each selected cell using the toolbar intensity range and toolbar effect.

Before Fade Down Each Cell

Before Fade Down Each Cell

After Fade Down Each Cell, intensity range 0-50%, ON effect

After Fade Down Each Cell, intensity range 0-50%, ON effect

Fade Up Each Cell

Creates a fade up effect in each selected cell using the toolbar intensity range and toolbar effect.

Before Fade Up Each Cell

Before Fade Up Each Cell

After Fade Up Each Cell, intensity range 0-100%, TWINKLE effect

After Fade Up Each Cell, intensity range 0-100%, TWINKLE effect


Right-Click Timing Mark Sub-menu

A variety of tools to modify timing marks in freeform timing grids are available by right-clicking on the sequence grid and then opening the "Timing Mark" sub-menu.

From the "Timing Mark" sub-menu you can:

· Insert Timing at X.XX

· Insert Timing at ...

· Insert Timing at Selection (Left, Right, or Both)

· Insert Multiple Timings

· Subdivide Timings

· Delete Timing near X.XX

· Delete Selected Timings

· Resize Timing(s) to ...

· Resize Timings to Equal Times

· Copy Timing

· Paste Timing at X.XX

· Paste Timing at ...

· Paste Multiple Timings

· Lock Timings

· Drag Events With Timings

Right-click menu with the Timing Mark sub-menu open

Right-click menu with the Timing Mark sub-menu open

Insert Timing at X.XX

This menu item can be used to insert a timing into the sequence. It opens a dialog asking you for the time that you want to insert a timing at (defaulting to the time that you right-clicked when opening the context menu). Please see Time Format for details on how to enter times.

Insert Timing at ...

This menu item can be used to insert a timing into the sequence at the time that you right-clicked when opening the context menu.

Insert Timing at Selection (Left, Right, or Both)

If you make a selection that does not start or end on a timing mark (perhaps by using the Ctrl key while dragging the mouse), you can use this function to add timing marks where the selection starts and/or ends.

Insert Multiple Timings

This menu item can be used to insert multiple timings into the current selection by dividing it into equally-sized parts. For example, if you select an area whose time range is from 6 to 8 seconds, and use "Insert Multiple Timings" to insert 3 equally spaced timings, then the new timings will be inserted at 6.5, 7, and 7.5 seconds, splitting the selection into four equally spaced parts of half a second each.

Before applying Insert Multiple Timings

Before applying Insert Multiple Timings

After applying Insert Multiple Timings

After applying Insert Multiple Timings

Also see Subdivide Timings, which divides each selected cell into equally-sized parts, as opposed to dividing the entire selection into equally-sized parts.

Subdivide Timings

This allows you to insert multiple timings into the current selection, dividing each selected cell into equally-sized parts. For example:

·if you select 2 cells: from 6 to 7.3 seconds, and 7.3 seconds to 8 seconds,

·then use "Subdivide Timings" to subdivide each original cell into two new cells,

·then you will end up with 4 cells: from 6 to 6.65, 6.65 to 7.3, 7.3 to 7.65, and 7.65 to 8.

Before applying Subdivide Timings

Before applying Subdivide Timings

After applying Subdivide Timings

After applying Subdivide Timings

Also see Insert Multiple Timings, which divides the entire selection into equally-sized parts, as opposed to dividing each selected cell into equally-sized parts.

Delete Timing near X.XX

This item can be used to delete the timing closest to where you right-clicked when opening the context menu.

Delete Selected Timings

This item can be used to delete the timings inside the currently selected cells. Note that the two timings on the edges of the currently selected cells are not deleted.

Resize Timing(s) to ...

This item can be used to change the duration of time between the selected timings. It will not allow any of the timings to be pushed beyond the next timing in the sequence. Please see Time Format for details on how to enter times.

Note that the length of the sequence will not be affected, nor the positions of the timings past the selected range. So, if you choose to resize some timings such that their total length decreases, this will cause the cell just past them to increase in size (since the last selected timing is moved earlier, while the next timing remains the same).

Resize Timings to Equal Times

This item can be used to change the duration of time between the selected timings so that all such durations are equal (or as close to equal as possible). For example, if you select two cells with durations of 0.2 seconds and 0.8 seconds, and use "Resize Timings to Equal Times", they will both change to 0.5 seconds.

Copy Timing

After selecting an area on the grid, you can use "Copy Timing" function to record the timing marks within the selection. After that, you can paste the timings to another point in the sequence (or even to another sequence) using any of the "Paste Timing" functions. Note that this copies only the timings, not any lighting effects (see Clipboards & Cut/Copy/Paste/Repeat for information on copying lighting effects).

For example, if you copy timings that are at 3 seconds, 3.5 seconds, and 5 seconds, and paste those timings starting at 7 seconds, you will wind up with timings at 7 seconds, 7.5 seconds, and 9 seconds.

Paste Timing at X.XX

This menu item can be used to paste copied timings into the sequence, starting at the time that you right-clicked when opening the context menu.

Paste Timing at ...

This menu item can be used to paste copied timings into the sequence. It opens a dialog asking you for the time that you want to paste the timings to (defaulting to the time that you right-clicked when opening the context menu). Please see Time Format for details on how to enter times.

Paste Multiple Timings

This item can be used to paste copied timings into the sequence, multiple times in a row.

Lock Timings

Each timing in a sequence is a particular point in time (since the beginning of the sequence), and is represented by a vertical gray line. If "Lock Timings" is off (unchecked), and the current timing grid is a freeform timing grid, you can change the time of a timing by hovering over its line with your mouse (which will change your mouse cursor from a "pointer" cursor to an "east-west" cursor), and clicking and dragging the line to the left or the right.

If "Lock Timings" is on (checked), you cannot do this. This prevents you from accidentally changing the time of a timing while you're trying to modify the lighting effects in a cell between two timings.

See also Drag Events with Timings, which controls whether or not effects that start or end at the dragged timing will be dragged along with it.

Drag Events With Timings

Timings in a sequence can be dragged with the mouse to change the time that they are at (unless the Lock Timings option is turned on). If "Drag Events with Timings" is turned on, and any effects start or end at the same time as the timing being dragged, they will be dragged along with it. If not, only the timing will move; the effects will remain unchanged.


Freeform Play Range

What Is A Freeform Play Range?

A freeform play range is a user selected time range within a sequence. There can be at most one freeform play range specified at any given time.

A freeform play range is displayed with a dimmed area on the timeline and dashed vertical red lines running through the sequence grid at the beginning and end of the range.

A sequence with a freeform play range from 1 to 3 seconds

A sequence with a freeform play range from 1 to 3 seconds

Setting the Range

A freeform play range can be created using any of these techniques:

·By clicking and dragging across the time scale (not the waveform area). This is the quickest way to create a range -- as long as the desired start and end times are both visible.

·During sequence playback, pressing the keyboard's down arrow will mark the current time as the start of a "freeform play range". Later pressing the up arrow will mark the current time as the end of the freeform play range.

·After right-clicking on the timeline, select the "Set Play Range Start" or "Set Play Range End" menu items to create or extend a freeform play range.

Clearing the Range

Once created, you can clear the range by:

·Clicking on the timeline, being careful not to move your mouse when you click.

·Right-clicking on the timeline and selecting "Clear Freeform Play Range" from the popup menu.

Using the Range

As the name implies, a freeform play range can be used to play back the specified region of the sequence using the Play Selection button.

You can also zoom to the selected play range by right-clicking on the timeline and selecting "Zoom To Play Range" from the popup menu.


Playback

You can play back your sequence in the Light-O-Rama Sequencer. If the playback window is open, it will show a simulation of your display. The simulation is based on the preview associated with the sequence.

· Calculating Preview

· Sequence Playback

· Playback in Action

Calculating Preview

When opening your sequence, the simulated preview is calculated in memory, which can take some time. A spinner will be displayed and the play buttons disabled until the calculations are complete:

Calculations in progress

Calculations in progress

Once complete, a green check mark is displayed next to the preview name. Any subsequent changes to the sequence will cause the preview for the affected props to be recalculated; the play buttons will again be temporarily disabled until the recalculation is complete.

Calculations complete

Sequence Playback

Playback Using The Toolbar Buttons

There is a set of playback buttons on the Sequence Tab's toolbar, and another set on the Playback Window. You can use the buttons in either location to start and stop playback. These are the toolbar buttons that control sequence playback:

PlayAllIcon | Play the full sequence
PlayHereToEndIcon | Play from the left edge of the visible sequence grid to the end of the sequence
PlayBeginningToHereIcon | Play from the beginning of the sequence to the right edge of the visible sequence grid
PlayVisibleIcon | Play the visible portion of the sequence
PlaySelectionIcon | Play the current selection. If there is a freeform play range defined then that is played; otherwise the current grid selection (dashed yellow outline) is played.
PauseIcon | Pause playback. Press again to resume playback
StopIcon | Stop playback
RepeatPlaybackIcon | Repeat playback. This icon will have a red slash through it if repeat is disabled
PlaybackSpeed | Playback speed. Playback speeds other than normal may not be supported on some types of media files.

Playback Using The Spacebar

Play the sequence using the space bar

Play the sequence using the space bar

Sequence playback can also be started and stopped using the spacebar.

If playback is currently stopped, then pressing the spacebar will:

·Play the freeform play range if one is defined, otherwise it will

·Play starting with the current selection (yellow outline) and continue to the end of the sequence if a grid selection exists, otherwise it will

·Play starting at the left edge of the visible sequence area and continue to the end of the sequence

If the sequence is playing when the spacebar is pressed, playback will be stopped and the grid column where playback was stopped will be selected. Pressing the spacebar again will restart playback at approximately the place where you had stopped it. This can be used to effectively pause and un-pause play.

key-dark32-Shift

key-dark32-Spacebar

Pressing shift and spacebar together will clear any freeform play range, and then perform the same action as pressing the spacebar without the shift key.

Playback in Action

During playback, color samples will be displayed real-time, immediately to the right of the channel name. The color samples will be displayed for traditional channels and RGB channels. They will not be displayed for motion effect rows. A playback marker will move as play progresses. You can change the width of the color samples and the behavior of the playback marker in Playback Preferences.

Playback in progress

Playback in progress


Audio Waveform & Timeline

For most musical sequences, the Sequencer can display a waveform or spectrogram of the audio at the top of the sequence grid. This can be useful for visually matching up timings and events to the sound. The Waveform Display supports a wide range of media types, including video media. However, not all types of media or media containers are supported (for example, midi files are not supported).

In addition to the waveform itself, a vertical bar is displayed in the waveform area at the time corresponding to your mouse location.

Note that control of the waveform or spectrogram display is done from the Audio Settings window. You can quickly open the Audio Settings windows by double-clicking on the waveform.

Right-clicking timeline will open a menu that allows you to:

· Zoom in and out

· Set the freeform play range

· Show the Audio Settings window

·Change the playback marker

The right-click menu of the timeline

The right-click menu of the timeline

When a freeform play range has been selected, the menu changes: you can now zoom to the play range or clear the play range. Setting the start or end of the range here modifies the existing range.

Menu with play range selected

Menu with play range selected

Zooming In And Out

The first 2 options on the menu allow you to zoom the time scale in and out.

The next 3 options zoom to a fixed time scale: 5, 10, or 15 seconds wide. These can quickly take you to a reasonable time scale if you have zoomed in too far.

If you have created a freeform play range, you can use this menu to zoom to that range.

See the Zoom topic for more ways to zoom the sequence grid in and out.

Setting The Freeform Play Range

The "Set Play Range Start" and "Set Play Range End" menu items can be used to create or extend a freeform play range.

Showing The Audio Settings Window

This menu item makes the Audio Settings window visible (if it isn't already); although it is faster to just double-click on the waveform, which does the same thing. From Audio Settings, you can control the content, colors, and filtering of the audio display area. It can give you valuable insight on how to align your lighting effects to the music.

Change The Playback Marker

This sub-menu item provides a quick way to change the playback marker style without having to open Sequencer Preferences.


Audio Wizards

There are 4 audio wizards that you can use to convert the beat of the music to timing marks and/or channel effects:

· The Tapper Wizard

· The Beat Wizard

· The VU Wizard

· The MIDI File Wizard (can only be used on MIDI files)

They can be accessed from:

·the Tools menu

·by right-clicking on the sequence grid

·by right-clicking on the name of a beat channel in the sequence grid


The Tapper Wizard

The Light-O-Rama Sequencer's Tapper Wizard is a tool that lets you populate a musical sequence with timings and lighting effects simply by tapping along with the song, on your keyboard or your mouse. The Tapper Wizard will remember the moments in the song that you tapped at, and will insert timings and effects into the sequence at those times.

The Tapper Wizard is available as an option when creating a new musical sequence, and can be accessed later by selecting Tools > Tapper Wizard from the main menu, by right-clicking on a beat channel name, or by right-clicking in the sequence grid and opening the Audio Wizards sub-menu.

Note that you can insert timing marks into the sequence grid without using the Tapper Wizard. Simply start playing the sequence, then use the "T" shortcut key to insert timing marks.

The Tapper Wizard has the following sections and controls:

· Play Options

· What to Do with Taps

· Input Options

· Start and Stop

· Play Back

· Tap

· Apply

· Undo and Redo

· Apply and Exit

· Exit

The Tapper Wizard

The Tapper Wizard

Play Options

This section of the Tapper Wizard lets you control how the song will be played while you are tapping. You can select to play the entire song, or just a certain time range of the song. You can also choose the speed at which the song will be played: half speed, normal speed, or double speed.

Whenever the sequence is opened, this option will be set to "Play the entire song". If you change this to "Play part of the song", that option will be used as long as the sequence is open, or until you change it back to "Play the entire song".

The time range will be set as follows:

·If there is a freeform playback range defined, that range will be used, otherwise

·If there is a selection on the sequence grid, its time range will be used, otherwise

·The currently visible time range will be used

What to Do with Taps

This section lets you tell the Tapper Wizard what you want it to do with your taps. You can choose the freeform timing grid to apply the taps to (or create a new timing grid to use), and then choose to insert timings into the timing grid, or to insert lighting effects into a channel, or both.

If you choose to insert lighting effects into a channel, you can either have the channel briefly turn on for each tap, or you can choose to have it toggle on with one tap, off with the next, on with the third, and so forth. If you choose to have it turn briefly on for each tap, you can additionally choose to have it fade off after the tap (otherwise it will simply turn off).

You also have the option to "snap to existing events". If you select this option, and you tap at a point in time that is near an existing timing (with "near" meaning within the number of hundredths of a second that you specify here), instead of using the exact time that you tapped, the Tapper Wizard uses the time of that timing. This makes it easier to cleanly use the Tapper Wizard multiple times on the same sequence (for different channels), without introducing minor timing errors based upon your reaction time.

After you have done your tapping, and used this section to tell the Tapper Wizard what to do with your taps, click "Apply", or "Apply and Exit" to apply them to the sequence. If you clicked "Apply" rather than "Apply and Exit", then the Tapper Wizard will remain open. At this point, you could change your settings in this section to apply your existing taps in a different way (such as to a different channel, or with different types of effects), or you could tap again (by hitting "Start" again) to collect new taps. You could also undo and redo any changes that the Tapper Wizard made to your sequence.

Input Options

This section of the Tapper Wizard allows you to control how you will tap.

You can use the mouse, or the keyboard, or both.

If you use the mouse, you have two options: pushing the mouse button down and then letting it up count as two separate taps, or as a single tap. To use the mouse, you must click on the Tap button.

If you use the keyboard, you can tap with practically any key, or even multiple keys.

You can also choose whether to use a countdown or not; if you do, then when you start the song (by clicking Start), a countdown will be displayed before the song begins, rather than starting immediately. This may give you time to get ready after clicking "Start".

Start and Stop

Use these buttons to start playing the song (or to start the countdown before play), and to stop the song. When the song begins, the Tap button will become enabled. When the song ends, you do not have to use the Stop button; the Stop button is for stopping the song in the middle, for example if you are unhappy with the taps that you made.

After the song ends (or after you hit Stop), you can click Start again in order to redo your taps. This will wipe out any previously recorded taps. You will be warned that they will be wiped out, and will be given an option to cancel.

You can also redo your taps after having applied them to the sequence. This lets you use different sets of taps for different purposes, all without closing the Tapper Wizard.

Tap

While a song is playing, the Tap button is enabled. Every time that you tap (whether by mouse or by keyboard), it will provide feedback by briefly flashing.

Play Back

After you have recorded taps, you can click "Play Back" to play the song over again. The Tap button will flash at the points in time that you tapped. You can use this to double check that you are satisfied with your taps before entering them into the sequence (by clicking the Apply button); if you are not satisfied with them, you can wipe them out and try again by hitting the Start button again.

Apply

After you have tapped, and have told the Tapper Wizard what to do with the taps, click the Apply button to apply those taps to your sequence.

Note that you can then change the settings in the "What To Do with Taps" section, and click Apply again; this will apply the new settings, using the same taps, to the sequence.

Or, you could click Start again, to collect new taps. Your old taps will be deleted when you do this, but any timings or effects that you inserted into the sequence based on them will remain. In this way, you can use different sets of taps to do different things, all without closing the Tapper Wizard.

Undo and Redo

After applying your taps to the sequence, you can use these buttons to undo and redo any such applications, without exiting from the Tapper Wizard.

Apply and Exit

Clicking the Tapper Wizard's Apply and Exit button will apply your taps to the sequence, in the manner that you specify in the "What To Do with Taps" section, and then exit from the Tapper Wizard.

If you want to apply your taps without exiting the Tapper Wizard, so that you can apply them again using new settings, or so that you can collect different taps, use the Apply button instead.

Exit

This button simply exits from the Tapper Wizard, without applying your taps to the sequence. Note, though, that if you have already applied your taps (using the Apply button), they will remain in your sequence; using this button (instead of Apply and Exit) will prevent your taps from being applied again.

For example, if you apply your taps, then change the settings in the What To Do with Taps section, and then click Exit, your applied taps, based on your original settings, will remain in the sequence, but your taps will not be reapplied based on the changed settings.


The Beat Wizard

The Light-O-Rama Sequencer's Beat Wizard can analyze the song associated with a musical sequence to try to determine its tempo, and can insert timings and lighting effects into the sequence based upon it. These are not necessarily inserted exactly the same distance apart from each other; rather, the Beat Wizard attempts to match them up with peaks in the audio that are near the tempo. This is to allow for subtle variation in the speed of the song.

The Beat Wizard is available as an option when creating a new musical sequence, and can be accessed later by selecting Tools > Beat Wizard from the main menu, by right-clicking on a beat channel name, or by right-clicking in the sequence grid and opening the Audio Wizards sub-menu.

The Beat Wizard supports a wide range of media types, including video media. However, not all types of media or media containers are supported. If the Beat Wizard cannot be used with the media file associated with your sequence, you will be presented with a message box alerting you to that fact. Also, the Beat Wizard may not be able to be used with very large media files.

· Selecting the Time Range

· Selecting the Tempo

· Previewing

· What To Do with Beats

The Beat Wizard

The Beat Wizard

Selecting the Time Range

The Beat Wizard can try to determine the tempo of a song as a whole, or of just a portion of the song. Use the "Time Range" settings to tell it which to try. If you select a portion of the song, be sure to click the "Update" button after changing the "From" or "To" times.

Choosing a portion of the song is useful if the song's tempo changes; the Beat Wizard will be more accurate if it only is asked to operate on a section with a near-constant tempo throughout. It may also be useful if the Beat Wizard has a problem with a certain portion of a song; if the beats seem off in a particular spot, you may want to try running the Beat Wizard on that spot individually.

Whenever the sequence is opened, this option will be set to "Play the entire song". If you change this to "Play part of the song", that option will be used as long as the sequence is open, or until you change it back to "Play the entire song".

The time range will be set as follows:

·If there is a freeform playback range defined, that range will be used, otherwise

·If there is a selection on the sequence grid, its time range will be used, otherwise

·The currently visible time range will be used

Selecting the Tempo

The Beat Wizard shows its best guess as to the tempo of the selected portion of the song. You can choose to use that tempo, or faster or slower related tempos - for example, three times as fast, or twice as slow. Depending upon the song, one of the related tempos may seem more natural when you preview it.

Another use of related tempos is to simply insert more timings, allowing for faster lighting effects to be used that are still synchronized to the beat of the song. For example, it is unlikely that a "10x Faster" tempo will seem "more natural" in any sense, because it will probably be too quick to count along with. However, selecting it will, for example, let you set up a lighting effect with ten different channels that looks like the lights are quickly chasing each other to the beat of the music.

If a slower related tempo is chosen, you must also choose a "beat offset" to determine which beats of the "best guess" tempo will be selected: You might feel that the best guess tempo is actually twice as fast as it should be - that you would count along to it as "one - and - two - and" instead of "one - two - three - four", for example. If you therefore choose a "2x Slower" tempo, the Beat Wizard will use only every other beat from its "best guess" tempo, but it doesn't know whether to use every first beat or every second beat. So, you can let it know which to use by selecting the "beat offset".

Previewing

After you choose a tempo to use in the Beat Wizard, you can get an idea of what it will make your lights look like by using the controls in the "Preview" section. Simply click "Start" to start the preview.

The boxes to the right of the button will light up sequentially, in time with the tempo. Only the white boxes will be used; the greyed out boxes will not. However, you can choose how many white boxes there are by selecting the radio button under one of the boxes.

This allows you to make the preview section look more natural - for example, the boxes lighting up sequentially in a song that you count along with as "one, two, three, one, two, three" will look most natural if you select three boxes - doing so will make the same box light up every time you count the same number.

Clicking directly in one of the boxes will reset it so that that box lights up at that moment (and the other boxes follow sequentially from there). This is also useful for making the preview seem more natural - for example, the third box might be lighting up every time that you count "one", and if so, it might look more natural if you reset it so that the first box lights up at that time instead.

None of this has any effect on the timings or lighting effects that will be inserted into the sequence when you decide what to do with beats - it is merely to help you see how the selected tempo looks in relation to the song.

Finally, if you are unsatisfied with the selected tempo, simply choose another tempo, or choose a different portion of the song to analyze.

What To Do with Beats

When you have selected a time range and a tempo for the Beat Wizard to use, and are satisfied with it after previewing it, you can use the controls in the "What To Do with Beats" section to insert timings, lighting effects, or both, based upon the selected tempo into the sequence .

If you choose "Turn on a channel every so many beats", you will also have to specify the channel, the number of beats, and a "beat offset". For example, to make a set of four channels chase each other in time with the beat, you could:

·Select the first channel, four beats, and a beat offset of zero;

·Click "Apply";

·Select the second channel, four beats, and a beat offset of one;

·Click "Apply";

·Select the third channel, four beats, and a beat offset of two;

·Click "Apply";

·Select the fourth channel, four beats, and a beat offset of three;

·Click "Apply and Exit".

Note that you can apply multiple effects to different channels, all in the same use of the Beat Wizard, by using "Apply" multiple times. You can even apply effects based on different portions of the song or different tempos, all without leaving the Beat Wizard.


The VU Wizard

The Light-O-Rama Sequencer's VU Wizard can analyze the song associated with a musical sequence to try to find peaks in the audio - much like a VU meter - and can insert timings and lighting effects into the sequence based upon them.

The VU Wizard is available as an option when creating a new musical sequence, and can be accessed later by selecting Tools > VU Wizard from the main menu, by right-clicking on a beat channel name, or by right-clicking in the sequence grid and opening the Audio Wizards sub-menu.

The VU Wizard supports a wide range of media types, including video media. However, not all types of media or media containers are supported. If the VU Wizard cannot be used with the media file associated with your sequence, you will be presented with a message box alerting you to that fact. Also, the VU Wizard may not be able to be used with very large media files.

· Selecting a Time Range

· Attack and Decay Settings

· The Peak Threshold

· Preview

· What To Do with Peaks

The VU Wizard

The VU Wizard

Selecting a Time Range

You can choose to let the VU Wizard look for audio peaks throughout the entire song, or limit it to a specific portion of the song. If you choose to use only a portion of the song, be sure to hit the "Update" button after setting the "From" and "To" times.

Whenever the sequence is opened, this option will be set to "Play the entire song". If you change this to "Play part of the song", that option will be used as long as the sequence is open, or until you change it back to "Play the entire song".

The time range will be set as follows:

·If there is a freeform playback range defined, that range will be used, otherwise

·If there is a selection on the sequence grid, its time range will be used, otherwise

·The currently visible time range will be used

Attack and Decay Settings

These two values determine how quickly the VU Wizard will react to changes in the audio volume. "Attack" is how quickly it reacts to increased volume, and "Decay" is how quickly it reacts to decreased volume. The higher the number, the more slowly it reacts to changes.

You can enter specific numbers (make sure to hit "Update" if you do), or you can use one of the "Preset" buttons to simulate common types of audio meters:

·"VU Meter" simulates a standard VU meter, as often found on home stereo systems.

·A "Peak Program Meter" reacts very quickly to increased volume, but very slowly to decreased volume. This causes peaks to last longer.

·A "Peak Meter" reacts instantaneously to changes in volume.

Peak Threshold

Using the Peak Threshold section, you can tell the VU Wizard to look for audio peaks on either the left stereo channel or the right stereo channel, or on the sum of the two.

The track bar (slider) represents the threshold for what will be considered a peak. Above the slider's handle is a peak; below the handle is not. The handle can be slid left and right to increase and decrease the threshold.

The "Time On" percentage displayed in this section shows the percentage of the selected time range that is above the specified peak. Updating any of the settings such as the peak threshold, the attack and decay, or the time range will cause the "Time On" percentage to be automatically updated as well, taking the new settings into account.

When you play the song (using the "Preview" section), the rows will pulse along with the audio volume, showing blue starting at the left and continuing rightwards based upon how loud the audio is at any given point in time. When the selected stereo channel (or channels) is above the threshold, it will turn red instead of blue.

Note that this is strongly affected by the attack and decay settings - lower values will cause the pulsing to react more slowly to the music, and higher values more quickly. Try playing with the various "Preset" buttons to see this.

Preview

Clicking the Start button in the VU Wizard's Preview section plays the song, and pulses the rows in the Peak Threshold section along with the audio. It also flashes the box in the Preview section whenever the pulse is above the selected threshold.

You can change both threshold settings and the attack and decay settings during preview, and the VU Wizard will react instantly to such changes. However, only the final settings will be used when you apply the peaks to the sequence (using the "What To Do with Peaks" section).

What To Do with Peaks

Once you are satisfied with the peaks found using your chosen attack and decay settings and peak threshold settings, you can apply the peaks to the sequence using the "What To Do with Peaks" section of the VU Wizard. You can insert a timing every time the threshold is crossed (no matter whether from below or from above), or turn a selected channel on whenever above the threshold, and off whenever below, or both.

You can reuse the VU Wizard for multiple channels (and multiple settings) without closing it by clicking "Apply" rather than "Apply and Exit".


The MIDI File Wizard

The Light-O-Rama Sequencer's MIDI File Wizard can be used to automatically populate beat channels based on a the notes in the MIDI file.

The MIDI File Wizard is available (for musical sequences based on MIDI files) as an option when creating a new musical sequence, or can be accessed later via any of the methods listed in the Audio Wizards topic.

The MIDI Wizard window

The MIDI Wizard window

Select Which Instruments to Include

The window lists all of the instruments used in the song. For each instrument it lists:

·how many total notes are played by the instrument

·the number of distinct notes played by the instrument

Check the boxes next to the names of the instruments you wish to include.

Combine Instruments?

Click the radio button that indicates how you want the beat channels created:

·One channel for each note -- combining the notes for all selected instruments

·One channel for each note and instrument (this can produce a lot of beat channels)

Channel Color

Choose the color that the new beat channels will use when displayed on the sequence grid.

Replace Existing Beat Channels?

The MIDI wizard can create a lot of beat channels. By checking this box, you can have the existing beat channels deleted and replaced with the new set you are creating. Leave the box unchecked if you want to keep the existing beat channels -- the new ones will be appended to the list.

Finish

Click the "Create Beat Channels" button to create the new beat channels and close the window.

Create Timing Marks

Unlike the other audio wizards, the MIDI wizard does not create timing marks. However, after closing the wizard, follow this procedure:

·From the Timing Menu, select Add New Freeform Grid

·Select "Add marks at event boundaries for all items in the sequence", then under that check "include effects in beat channels".

·Clicking OK should then create a timing grid with marks at the beginning and end of each MIDI note.

Adding a new freeform grid for MIDI notes

Adding a new freeform grid for MIDI notes


Tooltips

When hovering over a cell in the Sequencer's sequence grid, a tool-tip can be displayed which shows information about the grid cell and any effect it might contain.

Tool-tips can be turned on or off. There are also options for how long to hover before they are displayed and how they should be closed. These settings can be changed in Sequence Grid Preferences.


Loops in Animation Sequences

An animation sequence (but not a musical sequence) can contain loops. When the Show Player or the Sequencer plays a sequence with loops, when the end of a loop is reached, the sequence will go back to the beginning of the loop. This will happen a certain number of times (which you specify), after which the sequence will continue on past the end of the loop.

Each time through a loop, you can have the sequence speed up, slow down, or remain at the same speed.

A sequence can contain many loops. Loops can be nested - that is, a loop can contain other loops.

Loop rows are shown with a white background are fixed to the top of the sequence grid. They do not scroll away when the rest of the sequence is scrolled vertically.

For example, the following picture shows a sequence with a loop starting at 1 second and ending at 2 seconds. The number of times the loop will repeat is shown in the middle of loop (1 in this case). If the loop were to speed up after each pass, then the repeat count would be followed by a "+" symbol. If the loop were to slow down after each pass, then the repeat count would be followed by a "-" symbol. In this case the loop speed is set to stay the same, so no symbol is displayed.

A sequence with a loop starting at 1 second and ending at 2 seconds

A sequence with a loop starting at 1 second and ending at 2 seconds

More than one loop can be in a sequence. For example, here is the same sequence, with a second loop added, from 2.5 seconds to 3 seconds:

Two loops in a sequence

Two loops in a sequence

Subjects covered in this topic:

· Adding a Loop Row

· Adding A Loop

· Modifying a Loop

· Deleting a Loop

· Right-Clicking on the Loop Name

Adding a Loop Row

Loops can contain loops; this is represented by having multiple rows of loops. For example, in the following picture, a second loop level has been added, and a loop was put into it from 0.5 seconds to 3 seconds, thus containing both of the loops of the lowest loop level.

A loop containing loops

A loop containing loops

To create a loop row, select "Loop Level" from the "Add New" menu present on both the Sequence menu and the Grid View menu. You can also right-click on the name of an existing loop to add additional levels. The bottom loop level in a sequence is always labeled "Loop 1"; the one immediately higher than that is labeled "Loop 2", and so on.

Adding A Loop

To add a loop to a loop row, select the desired time range on the row, then either right-click and select "Insert Loop" or use the "shift-A" shortcut key.

The Loop Context menu

The Loop Context menu

You will then be prompted for how many times the loop should loop back and whether (and by how much) it should increase, decrease, or remain the same speed in each pass through the loop:

Loop Effect dialog

Loop Effect dialog

Modifying a Loop

To modify a loop, just double-click on it -- the Loop Effect dialog will open, allowing you to make changes.

Deleting a Loop

To delete a loop, select it, then either right-click on the selection and choose "Clear" from the pop-up menu, or use the "Delete" shortcut key.

Right-Clicking on the Loop Name

Menu when right-cliicking on a loop name

Menu when right-cliicking on a loop name

Right-clicking on a loop name, such as clicking on "Loop 2" in the picture above, opens the Loop Context menu.

Add Loop Level Above

This item on the Loop Context menu can be used to add another loop level to the sequence, above the selected loop level. Loops on the new (higher) level can contain loops within the preexisting (lower) level.

Add Loop Level Below

This item on the Loop Context menu can be used to add another loop level to the sequence, below the selected loop level. Loops on the preexisting (higher) level can contain loops within the new (lower) level.

Remove Loop Level

This item on the Loop Context menu can be used to delete the entire selected loop level, including all loops on it.

If you wish to delete all of the loops on a level, but to keep the level itself, use Remove All Loops on Level instead.

Remove All Loops on Level

This item on the Loop Context menu can be used to delete all of the loops on the selected loop level, but to keep the loop level itself.

If you wish to additionally delete the loop level itself, use Remove Loop Level instead.


Sharing Sequences

Sequences created using the S5 Sequencer can be shared with fellow lighting enthusiasts. To share a sequence, you would send the other person your LOREDIT file. This file includes a copy of the preview for that sequence. However, your sequence may also need other files to play back properly. To see a list of those files, select Sequence > File References from the main menu.

Conversely, if a person shares a sequence with you, they should send you their LOREDIT file and potentially other files. The first time you open their file in the Sequencer, you will receive a pop-up message indicating that the preview was imported. The new preview will have a name like “Imported from JingleBells.loredit on 6/17/2018”. After the sequence opens, you should then check File References to make sure the sequence can find any other files it needs, and make corrections if necessary.


Mouse Double-Click Speed

The S5 Sequencer responds to both single clicks and double clicks on the sequence grid. Therefore, it is important to set your mouse's double-click time carefully -- this setting is what distinguishes a single click from a double click. To adjust it in Windows 10, follow these steps (content from Microsoft):

1.Open the Settings app by pressing the Windows logo key WindowsKey + I on the keyboard or via Start Menu > Settings.

2.In the Settings app, select Devices.

3.On the next screen, select Mouse in the left column.

4.Under Related settings in the right column, click Additional mouse options.

5.In the Mouse Properties window that appears, select the Buttons tab.

6.In the Double-click speed section adjust the speed slider to set a more comfortable speed.

7.You can test your setting by double-clicking on the folder icon.

8.When you are happy with your settings click the X close button in the top-right of the window


Motion Effect Generator

The Motion Effect Generator is the tool used to create and modify motion effects in the Light-O-Rama Sequencer.

The Motion Effect Generator window has three parts. The left and right sides can each independently generate an effect. The result of those two effects is mixed in the middle. This middle portion is what gets saved to the grid when you click OK to close the Motion Effect Generator window.

· Opening the Effects Generator

· Creating an Effect

· Using the Effect Slider

· Mixing Two Effects

· Favorites

· Effect Length

· Bulb Size

· Motion Effect Reference - a description of every setting for every motion effect


Opening the Motion Effect Generator

The Light-O-Rama S5 Sequencer’s Motion Effect Generator can be opened in several ways:

·From the Tools menu.

oThis menu item can be used when no sequences are open to test effects and optionally save the one’s you like as favorites. You can do this at any license level.

oWhen a sequence is open, this menu item can be used to place a motion effect into the current grid selection See the Sequencing topic for more information on how to use the Motion Effect Generator when editing your sequences. Placing motion effects into a sequence requires the Pro license level.

·Double-click on a motion effect on the sequence grid. This will select the entire motion effect and then open the Motion Effect Generator set to this effect. If you make changes and click OK, the changes will be saved back to the selected effect on the grid. This is the fastest way to modify existing motion effects in your sequence.

·Select an empty set of cells on a motion effect row, and then right-click and select Insert Motion Effect from the pop-up menu. Or you can use one of these shortcut keys: shift-A (max intensity), shift-U (ramp up), or shift-D (ramp down). The Effect Generator will open allowing you to choose a new effect. When closed, the new effect will be applied to the selected cells.

·Select a range of cells containing one or more effects on the grid, right-click in the selected area, and choose Prompt For New Effect > Modify Existing Effects from the pop-up menu (or shortcut key shift-M). In this case, the new effect will overwrite the existing effects in the selection. However, the intensity (for example 100% on, ramp up, or ramp down) of the existing effects will be preserved.

·With a sequence open, click the Motion Effect button spiral16d on the toolbar. The pointer will change to the edit cursor when positioned over the sequence grid. Drag the edit cursor over some cells on a motion effect row. The Motion Effect Generator will open, allowing you to build a motion effect.

·Double-click on a thumbnail in the Motion Effects window. The Motion Effects window can only displayed when you have a Pro license.


Creating an Effect

When creating an effect in the Sequencer’s Motion Effect Generator, the left and right sides operate identically. However, it is recommended to always start on the left side, just to be consistent.

Creating an motion effect can be as simple as selecting the type of effect, picking some colors, and then modifying the effect controls to your liking. This can all be done from the Effect Settings Panel. Read through the topics below to learn more:

· Select an effect

· Select colors from the current palette

· Modify effect parameters

· Changing Color Order

· Using The Effect Toolbar

· Reset Effect Parameters

· Manage Color Palettes

· Copy/Paste Effect Panel Settings

Effect Settings Panel

Effect Settings Panel

Select An Effect

The first step in creating an effect is selecting the effect from the drop down list. The list is grouped by effect author/publisher.

See the Motion Effect Reference for detailed information on each effect.

Mirror Settings

The mirror settings work with any effect - reflecting the effect horizontally and/or vertically.

Mirror Controls

It can turn the Butterfly effect from this:

Butterfly Effect - No Mirror

Butterfly Effect - No Mirror

to this:

Butterfly Effect - Horizontal & Vertical Mirror

Butterfly Effect - Horizontal & Vertical Mirror

Select Colors From The Current Palette

Choose the colors for the selected effect by clicking the checkboxes next to the desired colors. Not all effects use every chosen color. For example, the Color Wash effect only uses the first selected color. The Picture effect doesn’t use any. If you haven’t selected any check boxes, the color defaults to white.

The Toolbar and Color Palette

The Toolbar and Color Palette

The size of the palette is fixed at 6 entries, but each palette entry can be set to a color of your choosing. Simply click on the color (not the check box), and the Select Color Transition window will open allowing you to choose a previously saved color, a custom color, a random color, or transparent.

Selecting the Single Color mode will cause the selected color to be used for the entire duration of the effect. Save the current color by clicking the "+" button at the top right. Select a saved color by clicking on one in the list on the right side. Delete a saved color by clicking on one in the list and then clicking the "X" button.

The Select Color Transition Window (single color mode)

The Select Color Transition Window (single color mode)

Selecting a color transition will cause the color to change over the course of the effect, starting with the color on the left and ending with the color on the right. The double-arrow button in the center will swap the left and right colors. The Random button on the left will change the starting color. The Random button on the right will change the ending color. The Random button in the center will change both.

The Select Color Transition Window (color transition mode)

The Select Color Transition Window (color transition mode)

The Transparent color is shown with a gray and white checkerboard pattern:

In some cases, the color Black and Transparent will produce the same effect. However, Transparent is different when you are using the Alpha Blend mix mode -- Transparent will let the other effect be visible, whereas Black will hide it. The same is true when you set the mode for combining Motion Rows to Overlay. In the following example, the Transparent color allows the Butterfly effect on the right to show through.

Combining effects with the Transparent color

Combining effects with the Transparent color

Modify Effect Parameters

Example of Effect Controls

Example of Effect Controls

Below the palette area will be a set of buttons, sliders, and other controls that are specific to the type of effect you have chosen in the drop down. Each time you select a different effect type, these buttons, sliders, and other controls will change. Modifying a control will change how the effect is displayed. The sliders in particular have a lot of options and their use is detailed in the Using the Effect Slider topic.

Feel free to experiment with all of the options. That is part of the fun of the Motion Effect Generator – seeing all of the different effects you can make!

Changing Color Order

For some effects, color order is important. Color order can be changed by dragging a color to a new location.

Then drop it on top of another color square. When you do, the colors will rearrange.

To start dragging, click on the color you want to move (blue in this example). Avoid the check box.

Now drag...

And drag some more...

Now release the mouse button to drop. Blue moves to the front of the line!

Using The Effect Toolbar

Using the Effect Toolbar you can:

· Reset Effect Parameters

· Manage Color Palettes

· Copy/Paste Effect Panel Settings

· Motion Effect Help

Reset Effect Parameters

Sometimes after making adjustments to the effect controls, you might get to the point where you want to start over. Clicking the toolbar icon shown above will reset the effect parameters to their default values (for the selected effect).

Shift-clicking on this icon will set the effect to None.

Manage Color Palettes

The current palette (6 colors) can be saved for later reuse. In fact, you can have an entire collection of color palettes. Manage your palettes or select a saved one by clicking the toolbar icon shown above. This will open the following dialog:

The Palette List dialog

The Palette List dialog

In the Palette List dialog, each palette is listed by name. Following the name are the 6 palette entries. If an entry is split into 2 parts, the left part is the color at the start of an effect and the right part is the color that applies at the end of an effect.

Replace the current palette with one in the list by double-clicking on an entry. Or you can single-click on an entry and then click the Select button.

UpArrow DownArrow Click on an entry to select it, then use the up or down arrows to move it to a new position in the list.

SortHS Click the sort icon to alphabetize the list.

"Add Current" adds the current palette to the list. You will be prompted for the name.

Click on an entry and then click the "Rename" button to give it a new name.

Click on an entry and then click the "Delete" button to remove it.

Click on an entry and then click the "Copy" button to make a copy of it. You will be prompted for the name.

Some web sites curate color palettes and will have the colors in a palette listed in HTML format. Look for text like this (the letters and numbers may be different):

#F4F4F4,#9BA657,#F0E5C9,#A68C69,#594433

You can select this text with you mouse, copy it to the clipboard, then click the "Paste HTML" button. This will add a new palette with the colors you selected on the web page.

· https://www.colourlovers.com/palettes - the text is on the palette detail page in the box titled "USE IN A SLACK THEME"

· https://coolors.co/palettes/ - click the 3 dot menu next to a palette, select "Export palette", click the "Code" button, select the text under "With #".

· http://colormind.io/ - select all 5 values listed under the palette colors.

· https://mycolor.space/ - select all 6 values listed under the palette colors. Start selecting far left of the first color value; otherwise you will only be able to select the first color.

Copy/Paste Effect Panel Settings

There is a special clipboard that can hold effect panel settings. The settings include the current effect, the current palette, and the effect parameters. A single clipboard is shared by the left and right panels. The value stored in the clipboard does not go away when the Motion Effect Generator is closed. It stays there for as long as the Sequencer program remains open.

Here is a simple example to demonstrate how this works. In the mixer area of the Effect Generator, there is a "Copy left effect to the right" button (right arrow icon). You can use these copy and paste buttons to perform the same task. Click the copy button on the left panel, then click the paste button on the right panel. The effect you have on the left panel is now also on the right panel.

More importantly, you can use these buttons to combine the left side of one effect with the right side of another effect. If you have a sequence open, double-click on a motion effect to open it in the Motion Effect Generator. Click the copy icon on the left side. Close the Motion Effect Generator. Now double-click on a different effect. Click the paste icon on the right side. You have just copied the left side of the first effect into the right side of the second effect. You can use the same technique when creating motion effect favorites -- instead of double-clicking on motion effects in the sequence, you would be double-clicking on entries in the motion effect favorites tree.

Motion Effect Help

Clicking the "?" icon will display help about the currently selected effect.


Using the Effect Slider

Basic Operation

In the Sequencer’s Motion Effect Generator, the top of the effect slider is green, indicating the value that will be used when the effect begins. The bottom of the slider is red, indicating the value that will be used when the effect ends. By default, the red and green handles are locked together, which is indicated by the lock icon SliderLock. In this mode, the value does not change during the course of the effect, and the value can be changed by dragging the top or bottom handle using your mouse or changing the value in the text box.

Speed fixed at 12

Speed fixed at 12

However, if you double-click anywhere along the effect slider, the handles will become unlocked and you can set the start and stop values independently. The icon at the right changes to a diagonal line, indicating that the value will change linearly over the course of the effect. In the example below, the speed will start out fast and then get slower as the effect progresses. To re-lock the start and stop positions, just double-click on the slider again.

Speed starts at 31 and slows to 12

Speed starts at 31 and slows to 12

Keyboard Operation

After clicking on a slider using your mouse, the slider will have "focus", meaning that the value can be adjusted using the left and right arrows on your keyboard. A slider with focus will have a box drawn around it, as shown below. You can move focus to the next control using the tab key. You can move focus to the previous control using the shift-tab keyboard combination.

A slider with focus

A slider with focus

Direct Number Entry

You can enter a value directly in the text box and the slider will move to the value you entered. A value that is out of range will be ignored and the text in the box will turn red. If slider is set to a range, you can modify the start value and/or the end value, but be careful not to delete the " to " text between the 2 values because you can't re-enter it. To recover from an invalid entry, modify the slider with your mouse, then you can try to re-enter your value in the text box.

Customizing the Transition

You can customize how the value transitions from the start value to the end value by clicking on the icon to the right of the slider. This will open the window shown below.

·The slider being customized is shown in the window title

·At the top of the window you can set the transition mode - just click on any of the icons. The current mode will have a border around it.

·Below that is a description of the current mode.

·Then there is a graph that shows visually how the slider value will change over the course of the effect.

·Then there is a group of 5 fields, each with its own slider to adjust the value. Not all fields apply to every transition mode. Fields that don't apply to the current mode will be grayed out.

oStart Value is the starting value of the transition. This corresponds to the top (green) handle of the slider you are customizing.

oEnd Value is the ending value of the transition. This corresponds to the bottom (red) handle of the slider you are customizing.

oStart Of Transition controls the point in time when the transition starts. It is expressed as a percentage of the total effect length.

oEnd Of Transition controls the point in time when the transition ends. It is expressed as a percentage of the total effect length. It must be greater than or equal to the Start Of Transition value.

oAcceleration / Frequency - For the speed up and slow down modes, this controls the transition acceleration. For oscillating modes, this controls the frequency of the oscillation.

Customizing a slider transition. Here we are customizing Arm Length (as shown in the window title).

Customizing a slider transition. Here we are customizing Arm Length (as shown in the window title).

Icon | Mode
SliderLock | Slider is locked. The start and end values are always the same.
SliderMusicNote | Slider value changes with the loudness of the music. The start value corresponds to low volumes, and the end value corresponds to high volumes.
SliderLinear | Slider value ramps from the start value to the end value (linear).
SliderLinearHold | A linear ramp until the Start Of Transition time, then holds its value until the End Of Transition time, at which point it resumes its linear ramp.
SliderSlow | The transition starts slowly and then speeds up.
SliderFast | The transition starts quickly and then slows down.
SliderStep | The transition happens all at once (step).
SliderSaw | The slider value ramps from start value to end value and then returns back to the start value.
SliderSine | The slider value smoothly transitions from start value to end value and back to the start value
SliderDampedOsc | Slider value starts oscillating between the start and end values, but dampens to the mid-point between the start and end values when the effect finishes.
SliderOscillate | Slider value smoothly oscillates between the start value and the end value (sine wave).
SliderTriangle | Slider value ramps back and forth between the start and end values (triangle wave).


Mixing Two Effects

In the Sequencer’s Motion Effect Generator, you can use just the left side of the window to create your effects. But for even more creative possibilities, you can create a second effect on the right and see the mixed result in the middle. Controls below the middle window adjust how the left and right sides are mixed. You can select the type of mixing with the drop down, then control the strength (more left or more right) using the slider. You can also adjust the brightness of the result using the Brightness Mode drop down.

· Mix Types

· Copy/Swap Buttons

· Sparkle

· Brightness Modes

· Masking Effects on One Side

· Masking Effects on Arbitrary Rows or Columns

Mixer Section of the Motion Effect Generator

Mixer Section of the Motion Effect Generator

Mix Types

Mix Types

Mix Average

The combined effect is a weighted average of the effect on the left side with the effect on the right side. The weighting is determined by the slider below the Mix Type selector. Setting the slider all the way to the left will result in the combined effect being the same as the left effect. Setting the slider all the way to the right will result in the combined effect being the same as the right effect. Setting a transition mode on the slider can be a used to smoothly transition between the left and right effects.

A 50% mix of left and right, leaves both effects dimmed in the combined effect.

A 50% mix of left and right, leaves both effects dimmed in the combined effect.

Mix Overlay

Areas that are completely black on one side, will be replaced by the corresponding area on the other side. Areas that are not black on both sides will behave like Mix Average.

In Mix Overlay mode, the transparency of the meteor tails is not taken into account.

In Mix Overlay mode, the transparency of the meteor tails is not taken into account.

Mix Alpha Blend

Darkened areas of effects are treated as partially transparent (or completely transparent if black). The combined effect overlays the left effect on top of the right effect, blending the areas that are partially transparent.

With Mix Alpha Blend, the tails of the green meteors are properly blended with the blue background.

With Mix Alpha Blend, the tails of the green meteors are properly blended with the blue background.

Note that the Picture effect also supports transparency:

·GIF images can have a single color that is designated as the transparent color, and any pixels with that color are treated as transparent. Thus pixels in a GIF image are either fully transparent or fully opaque.

·PNG images support partial transparency -- any pixel in the image can be fully transparent, fully opaque, or somewhere in between.

PNG image blended with a blue color wash. The picture on the left is white across the top and gradually fades out to black across the bottom; transparency goes from completely transparent on the left to completely opaque on the right.

PNG image blended with a blue color wash. The picture on the left is white across the top and gradually fades out to black across the bottom; transparency goes from completely transparent on the left to completely opaque on the right.

Mix Alpha Left Color Right

The combined effect takes the alpha (transparency) value from the left effect and the color (RGB) information from the right side.

The transparency of the twinkle effect on the left is applied to the colors of the Butterfly effect on the right

The transparency of the twinkle effect on the left is applied to the colors of the Butterfly effect on the right

Mix Maximum

For each pixel in the combined effect, the pixels from both sides are used to achieve maximum brightness. This is calculated as the maximum of the red values from each side, the maximum of the green values from each side, and the maximum of the blue values from each side.

In Mix Maximum mode, the meteor tails get blended, but produce the wrong color (teal instead of green).

In Mix Maximum mode, the meteor tails get blended, but produce the wrong color (teal instead of green).

Mix Bottom / Top

The left effect is used on the bottom portion of the combined effect, and the right effect is used on the top portion. The split between bottom and top is controlled by the slider below the Mix Type selector.

Mix Bottom / Top example

Mix Bottom / Top example

Mix Left / Right

The left effect is used on the left portion of the combined effect, and the right effect is used on the right portion. The split between left and right is controlled by the slider below the Mix Type selector.

Mix Left / Right example

Mix Left / Right example

Mix Right Hides Left

The combined effect is the left effect, except where there are non-black pixels on the right. In other words, the right side creates a hole in the left side.

Mix Right Hides Left example

Mix Right Hides Left example

Mix Right Reveals Left

The combined effect is the left effect, only where there are non-black pixels on the right.

Mix Right Reveals Left example

Mix Right Reveals Left example

Mix Vertical Center / Edges

The left effect is used on the center portion of the combined effect, and the right effect is used on the left and right edges. The split between the center and edges is controlled by the slider below the Mix Type selector.

Mix Vertical Center / Edges example

Mix Vertical Center / Edges example

Mix Horizontal Center / Edges

The left effect is used on the middle portion of the combined effect, and the right effect is used on the top and bottom edges. The split between the middle and edges is controlled by the slider below the Mix Type selector.

Mix Horizontal Center / Edges example

Mix Horizontal Center / Edges example

Mix Center / Edges

The left effect is used on the center portion of the combined effect, and the right effect is used on all edges. The split between the center and edges is controlled by the slider below the Mix Type selector.

Mix Center / Edges example

Mix Center / Edges example

Mix Odd / Even Columns

The left effect is used on odd-numbered columns of the combined effect, and the right effect is used on even-numbered columns.

Mix Odd / Even Columns example

Mix Odd / Even Columns example

Mix Odd / Even Rows

The left effect is used on odd-numbered rows of the combined effect, and the right effect is used on even-numbered rows.

Mix Odd / Even Rows example

Mix Odd / Even Rows example

Overlay From Top

This does an alpha blend on the top and the right effect on the bottom. The split between bottom and top is controlled by the slider below the Mix Type selector.

Overlay From Top example

Overlay From Top example

Overlay From Bottom

This does an alpha blend on the bottom and the right effect on the top. The split between bottom and top is controlled by the slider below the Mix Type selector.

Overlay From Bottom example

Overlay From Bottom example

Overlay From Left

This does an alpha blend on the left and the right effect on the right. The split between left and right is controlled by the slider below the Mix Type selector.

Overlay From Left example

Overlay From Left example

Overlay From Right

This does an alpha blend on the right and the right effect on the left. The split between left and right is controlled by the slider below the Mix Type selector.

Overlay From Right example

Overlay From Right example

Dissolve Bottom / Top

This is like Mix Bottom / Top, except that the transition area is blended.

A transition from the left effect to the right effect, with a blended area in the middle.

A transition from the left effect to the right effect, with a blended area in the middle.

Dissolve Left / Right

This is like Mix Left / Right, except that the transition area is blended.

A transition from the left effect to the right effect, with a blended area in the center.

A transition from the left effect to the right effect, with a blended area in the center.

Dissolve Blocks

This divides the effect area into 9 sub-blocks (3 x 3) and transitions one block at a time.

Here, 4 of the 9 blocks have completely transitioned, and the 5th block (center) is partially transitioned.

Here, 4 of the 9 blocks have completely transitioned, and the 5th block (center) is partially transitioned.

Copy/Swap Buttons

In some cases, you might want to copy an effect from one side to the other, or to swap them. This can be done using the buttons to the right of the mix type selector. If the buttons are not displayed, try making the Motion Effect dialog wider by dragging the left or right edge of the dialog.

Button | Action
 | Copies the effect on the right side to the left side.
 | Swaps the effects on the left and right sides.
 | Copies the effect on the left side to the right side.

Sparkle

The Sparkle slider does what it says: move it to the right to add some sparkle to the combined effect. Move it farther to the right and sparkles will be created at a faster rate.

Sparkle applied to a red Color Wash effect

Sparkle applied to a red Color Wash effect

Brightness Modes

Brightness Modes

Full

The "Full" mode displays the effect at maximum brightness. Note that with the brightness mode set to "Full", the effect can still be dimmed by placing the effect in the sequence grid at less than 100% intensity.

Manual

Switching to "Manual" mode will display a slider below the Brightness Mode selector, allowing you to manually adjust the brightness of the combined effect. Move the slider to the left to make the effect dimmer; move it to the right to make it brighter.

Manual brightness example

Manual brightness example

In a musical sequence, switching the lock icon to the note icon will cause the intensity of the effect to vary with the loudness of the music.

Brightness varies with music loudness

Brightness varies with music loudness

Strobe

The "Strobe" mode will cause the combined effect to flash with a short "on" time and long "off" time. A slider below the Brightness Mode selector allows you to adjust the flash rate. Move the slider to the left to make the flash rate slower; move it to the right to make it faster.

Strobe example

Fade In And Out

The "Fade In and Out" mode will cause the combined effect to smoothly fade in and out. A slider below the Brightness Mode selector allows you to adjust the fade rate. Move the slider to the left to make the fade rate slower; move it to the right to make it faster.

Fade In And Out example

Fade In And Out example

Blink In Unison

The "Blink In Unison" mode will cause the combined effect to flash with equal on and off times. A slider below the Brightness Mode selector allows you to adjust the blink rate. Move the slider to the left to make the blink rate slower; move it to the right to make it faster. Effects with the same blink rate on multiple props will result in those props blinking in unison (i.e. the blinking will be synchronized).

Blink In Unison example

Blink In Unison example

Masking Effects on One Side

If you just want effects displayed on the left or right side of your prop, set the mixer to "Mix_Left_Right". If you want an effect on the left side of your prop, use the effect selection on the left side of the Effect Generator and make sure the right side effect is set to "none". If you just want the effect on the right side of your prop, use the effect selection on the right side of the Effect Generator and make sure the left side effect is set to "none". Use the slider below the Mix selection to determine where the separation between left and right occurs.

The same technique can be used if you want an effect only displayed at the top or bottom. Just set the mixer to "Mix_Bottom_Top".

Masking Effects on Arbitrary Rows or Columns

Sometimes you just want to light up certain rows or columns on your display element (e.g. a pixel tree or matrix). In this topic we show you how. Here are the steps:

1.Open Microsoft Paint (you can use other paint programs, but you will have to adapt these instructions for your preferred paint program).

2.Type Ctrl-E to open the image properties. Set the units to "Pixels" and the Colors to "Color". Set the width and height to exactly match the dimensions of your prop. Click "OK" to save the changes.

ImageProperties

3.Zoom in as much as possible to make it easier to see your new image.

4.Make the current color black. Use the fill tool (the paint can icon) to turn the entire image black.

5.Make the current color white. Use the pencil tool to draw white in the rows and/or columns where you will want effects displayed. The example shown below is 5 pixels wide by 10 pixels high. Columns 2 and 4 have been painted white. When used as a mask in the following steps, this will only allow effects to be displayed in those two columns.

MSPaintColumns

6.Save the result as a PNG image (BMP is OK too), and then close Microsoft Paint. Remember where you save it.

7.Open the Motion Effect Generator.

8.On the right side, select the prop you generated the mask for.

9.Change the right effect to "Picture". Click the "Choose" button and select the image file that was created above. Uncheck "Scale Image".

10.In the middle, set the mix to "Mix Rt. Reveals Lt."

11.Change the left effect to the desired effect. Only the rows or columns you enabled (turned white) in your image will light up in the middle (result) window.

12.You can enable the opposite columns by changing the mix to "Mix Rt. Hides Lt.".

13.You can make the mask move by changing the "Movement" setting on the picture effect.

The result is shown below. The bars effect is used in this example, but the technique works with any effect selected on the left.


Favorites

In the Sequencer’s Motion Effect Generator, if you create an effect and want to save it for later use, you can save it to the Favorite Effects area (bottom center). Motion effect favorites can also be viewed in the Effect Samples Window.

There are 2 main sections in the favorites "tree":

·Effects created by you. These are stored under "My Favorites" and you have full control over these.

·Effects created by Light-O-Rama. These are stored under "LOR Shared Favorites". You can double-click on these effects to load them into the Motion Effect Generator; however, you cannot save or import effects into this section. Light-O-Rama may occasionally update the shared favorites. Updates are downloaded automatically, so you could see additional effects appear here from time to time.

·To save the current Effect Generator settings as a favorite: first click on a folder in the favorites tree where the effect should be saved (the first time click on “Favorites”), then click Save.

·To recall a favorite (i.e. load it into the Effect Generator), just double click on it.

·To move an entry up or down: select an entry by left-clicking on it, then use the up and/or down arrows on the toolbar to move it to the desired position. You may find dragging and dropping items in the tree a faster method to move items around.

Right-Click Menu

Right-click menu

Right-click on a folder or effect to view additional actions you can take. No menu will be displayed if you right-click on "LOR Shared Favorites" or any folder below it.

·Move to top - makes the selected item (effect or folder) the first one in its branch of the tree.

·Move to end - makes the selected item (effect or folder) the last one in its branch of the tree.

·Rename - used to rename an effect or folder. You will be prompted for the new name.

·Copy - used to make a copy of an exiting favorite effect. You will be prompted for the name of the copy.

·Delete - used to delete an effect or an entire branch of the tree.

·New Subfolder - used to add a new branch to the tree. You will be prompted for the name of the new folder.

·Sort folder - used to alphabetize the items in a folder.

·Import - used to import favorites from a file. You will be prompted for the file to import (must have an LPEFAV extension). Imported favorites will become children of the selected folder. Use this function to import favorites sent to you by another user.

·Export - used to export favorites to a file. You will be prompted for the directory and file name. All children of the selected folder will be exported. This file will have an LPEFAV extension. Use this function to send some of your favorites to another user.

Drag And Drop

A drag operation in progress

A drag operation in progress

·You can drag existing favorites up or down to reorder them. You can also drag them into another folder to reorganize your tree.

·You can drag folders up or down to reorder them. Or you can drop them onto another folder to reorganize your tree.

·You cannot drag anything under the "LOR Shared Favorites" folder.

·You can make a copy of a favorite by holding the Ctrl down as you drag.


Playback and Muting

In the Sequencer, every effect on the sequence grid has a length. Even when you open the Motion Effect Generator with no sequence open, effects are displayed with a default length of 5 seconds. Over the course of the effect, palette colors and parameter values can change:

·You can set a color transition for a palette entry. The effect will begin with the starting color and smoothly transition to the ending color.

·For slider controls, you can set a starting and ending value or have the value change with the loudness of the music.

Playback

In the Motion Effect Generator, the current effect can be played back once or continuously. Click the Loop button to toggle continuous mode on or off.

Continuous Mode

In continuous mode, once playback reaches the end of the effect it will restart at the beginning of the effect. A progress bar shows the playback status. Shift-click on the Play button to restart playback from the beginning.

Continuous playback. 1.4 seconds into a 2.0 second effect.

Continuous playback. 1.4 seconds into a 2.0 second effect.

Playback can be paused by clicking the Play button. The button will then display the pause icon. Click the button again to resume playback.

Playback has been paused

Playback has been paused

Play Once Mode

With continuous mode disabled, the effect will play once and then stop. While playback is in progress, clicking the Play button will pause it. Click the button again to resume from where you left off, or Shift-click to restart playback from the beginning. After playback has finished, you can click or Shift-click to play the effect again.

Play once mode (loop button has a slash through it)

Play once mode (loop button has a slash through it)

Mute Button

When editing effects in musical sequences, a mute button is displayed so you can choose to hear the music that goes with the effect, or not. The mute button is not displayed when editing an animation sequence.

Sound enabled

Sound disabled

Change Effect Duration

If there is no sequence open when you open the Motion Effect Generator, the effect duration defaults to 5 seconds. You can change this by clicking the up/down arrows next to the duration, or typing a new value into the box. Any change will be saved and used the next time the Motion Effect Generator is opened without a sequence open.

Change effect duration (value in the red box)

Change effect duration (value in the red box)

This does not apply when editing motion effects in a sequence. The effect duration will be displayed, but it cannot be changed.


Bulb Size

The Sequencer’s Motion Effect Generator has a bulb size setting that is separate from the preview bulb size. To change the bulb size for the prop currently displayed in the Motion Effect Generator, move the slider next to the OK/Cancel buttons.


Motion Effect Reference

Each effect in the Motion Effect Generator is listed here along with details about the effect's associated controls.

· Archimedes Spiral

· Audio

· Bars

· Blended Bars

· Butterfly

· Color Wash

· Countdown

· Curtain

· Fire

· Fireworks

· Garland

· Hatch Pattern

· Hold

· Lightning

· Marquee

· Meteors

· Morph

· Movie

· Moving Shapes

· Mystify

· None

· Picture

· Picture XY

· Pinwheel

· Plasma

· Ripple

· Scanner

· Sketch

· Simple Shape

· Single Block

· Snowflakes

· Spin Fade

· Spinner

· Spirals

· Starfield

· Straight Lines

· Text

· Text PE

· TextXY

· Twinkle

· Wave

Archimedes Spiral

·Palette Repeat - If the value of this slider is 1, then one spiral arm will be drawn for each color selected. Setting this value to 2 doubles the number of arms, 3 triples the number of arms, etc.

·Arm Width - The value of this slider determines the thickness of each arm.

·Arm Length - The value of this slider controls the length of the spiral arms. A value of 100 will usually cover the entire drawing area.

·Speed - The value of this slider determines how fast the spiral rotates. A negative value rotates in one direction and a positive value rotates in the opposite direction. A value of 0 will stop the rotation.

·Reverse Spiral - When this box is unchecked, the spirals are drawn in a clockwise direction from the center. When the box is checked, the spirals are drawn in a counter-clockwise direction.

·Highlight - if this box is checked, then a thin white line is drawn between each arm.

·Left / Right - The value of this slider controls the center of the spiral along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the spiral along the vertical axis.

Audio

·Style - This controls how the audio is displayed.

o"Spectrum" shows a spectrogram, similar to an audio equalizer display.

o"Wave Outline" displays a continuous outline of the waveform.

o"Wave Fill" is similar to "Wave Outline" except that the waveform is filled in.

o"Color Organ Freq" uses data from the spectrogram to control the intensity of rows or columns.

o"Color Organ Pitch" is similar, but uses data from the spectrogram with pitch detection.

o"Color Intensity" displays a color blend of the chosen palette colors and varies the intensity of the blend based on the intensity of sound in the selected frequency range.

o"Color Selector" displays a single color chosen from the range defined by the selected palette colors; the color choice is based on the intensity of sound in the selected frequency range.

·Baseline - This selects the orientation of the selected display style. Note that the baseline can be altered using the "Flip Vertical" and "Flip Horizontal" boxes.

·Color varies - When multiple colors are selected, this controls whether the resulting color blend runs horizontally or vertically.

·Scale - This controls how sensitive the display is to the music.

·Freq Range (Hz) - This controls the range of frequencies used in controlling the display. Many times you may want the full frequency range, which is the default. However, if you just want it to respond to percussion, change the range to 40-100 Hz or so.

·Flip Vertical - Checking this box flips the display top to bottom.

·Flip Horizontal - Checking this box flips the display left to right.

Bars

·Direction - This setting controls the direction of the bars. Selecting "default" moves the bars along the longest axis.

·Palette Repeat - If the value of this slider is 1, then one bar will be drawn for each color selected. Setting this value to 2 doubles the number of bars, 3 triples the number of bars, etc.

·Speed - The value of this slider determines how fast the bars move. A value of 0 will stop the movement.

·Center - If the direction is set to expand or compress, this slider controls the center of the expansion or compression. A value of 0 places the center in the middle of the prop.

·Highlight - control hows the leading edge of each bar is drawn:

o"none" - no highlight. Leading edge is the same as the rest of the bar.

o"white" - the leading edge is white.

o"use last selected color" - the last (right-most) selected color in the palette is used to draw the leading edge.

·Show 3D - If checked, then the trailing edge of each bar fades to black.

Blended Bars

·Direction - This setting controls the direction of the bars. Selecting "default" moves the bars along the longest axis.

·Bar Width - The value of this slider controls the width of each bar.

·Speed - The value of this slider determines how fast the bars move. A value of 0 will stop the movement.

·Center - If the direction is set to expand or compress, this slider controls the center of the expansion or compression. A value of 0 places the center in the middle of the prop.

Butterfly

·Style - This selects the overall style of the effect: linear (shown above), radial, blocks, or corner.

·Colors - This selects whether colors should be generated automatically (rainbow), or chosen from the user-selected colors (palette).

·Chunks - When the value of this slider is greater than 1, empty areas are created in the patter. The greater the number, the more empty areas are created.

·Skip - When chunks is greater than 1, the value of this slider alters which areas are empty.

·Direction - When speed is greater than 0, you can use this setting to reverse the direction of motion.

·Corner - This setting controls the orientation of the effect.

·Hue Shift - The value of this slider will alter all colors displayed in the effect.

·Speed - The value of this slider determines how fast the effect moves. A value of 0 will stop the movement.

Color Wash

·Mode - This selects the overall style of the effect.

o"single color" displays the first selected color on the palette across the entire prop.

o"dither" displays all selected palette colors in a pattern. The top left pixel is assigned the first color, the pixel to its right is assigned the second color, etc.

o"horizontal gradient" displays all selected palette colors as a smooth gradient from left to right.

o"vertical gradient" displays all selected palette colors as a smooth gradient from bottom to top.

o"diagonal down gradient" displays all selected palette colors as a smooth gradient from top left to bottom right.

o"diagonal up gradient" displays all selected palette colors as a smooth gradient from bottom left to top right.

o"color cycle" starts with the first selected color, then smoothly transitions to the next color, then the next, until all selected colors have been displayed.

o"color cycle return" is similar to "color cycle" except that there is a final transition back to the first color.

·Horizontal Fade - This selects how the color fades out on the horizontal axis.

·Vertical Fade - This selects how the color fades out on the vertical axis.

Countdown

Decrements the count once per second. Make sure the effect is at least as long as the "Seconds To Count" parameter. If the effect is exactly as long as the "Seconds To Count", then 0 will not be displayed.

·Seconds To Count - The number of seconds to count down.

·Time Format - The format of the displayed numbers: either total seconds, or "mm:ss" (where "mm" is the number of minutes and "ss" is the number of seconds).

·Font Name - The font used to display the numbers. The fonts listed will depend on the fonts that are installed on your system.

·Font Size - The size of the font used to display the numbers. A value of 100 uses the full height of the prop.

·Left / Right - The value of this slider controls the center of the number along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the number along the vertical axis.

·Smooth - If enabled, then the text is drawn with some pixels partially on to make it look smoother (anti-aliased).

Curtain

·Curtain Edge - This specifies where the curtain edge is located. Values of Left, Center, and Right create horizontal movement. Values of Bottom, Middle, and Top create vertical movement.

·Movement - This specifies whether the curtain should open, close, open and then close, or close and then open. The "chase" option moves both edges of the curtain in the same direction. This works particularly well for leaping arches.

·Swag Width - The value of this slider controls the size of the swag at the bottom. A value of 0 causes the curtain to be displayed with no swag.

·Repeat Mode - This setting determines whether the effect repeats. "Once fit to duration" means that the speed of the curtain movement is automatically calculated based on the length of the effect.

·Speed - If "Repeat Mode" is set to a value other than "Once fit to duration", then the value of this slider determines how fast the effect moves. A value of 0 will stop the movement.

·Progress - If "Repeat Mode" is set to "Once fit to duration", then this controls the the timing of the transition. For example, if this is set to vary with the music, the curtain will open and close in time with the music volume.

Fire

Fire effect with the style set to "original"

Fire effect with the style set to "original"

·Style - choose between the original fire style (shown in the picture above) and "fire2".

·Height - The value of this slider controls the height of the flames.

·Hue Shift - The value of this slider will alter all colors displayed in the effect.

·Hue Variation - The value of this slider will alter the range of colors displayed in the effect. A value of 0 will produce fire with a single hue; larger values will result in fire with a wider range of hues. Values near the default value of 4 result in a pleasant looking fire.

·Base Saturation - The value of this slider controls the saturation of colors near the base of the fire. Smaller values will result in whiter, washed out tones; larger values will result in more vivid/pure tones.

·Sides - This controls which sides the flames emanate from.

Fireworks

·Explosion Rate - The value of this slider controls how fast explosions occur.

·Rate Change - This setting controls whether the explosions occur randomly or all at the beginning of the effect.

·Particles In Explosion - The value of this slider controls how many particles are in each explosion.

·Particle Velocity - The value of this slider controls how fast the particles move.

·Particle Fade - The value of this slider controls how fast the particles fade out.

·Explosion Pattern - This setting controls the pattern of the explosion - normal, cross, or ring.

Garland

·Garland Type - The value of this slider selects the shape of the falling garland. A value of 0 specifies a straight line.

·Garland Fill - This specifies the direction from which the garlands fill the space.

·Spacing - The value of this slider controls the spacing between each falling garland.

·Repeat Mode - This setting determines whether the effect repeats. "Once fit to duration" means that the speed is automatically calculated based on the length of the effect.

·Speed - If "Repeat Mode" is set to a value other than "Once fit to duration", then the value of this slider determines how fast the garlands fall. A value of 0 will stop the movement.

Hatch Pattern

·Pattern - The selected pattern is displayed using the first palette color. Each one of the 52 patterns is based on an 8-by-8 matrix of alternating on/off pixels.

·Invert - If checked, this inverts the selected pattern.

·Horizontal Speed - The value of this slider controls how fast the pattern moves left and right. Negative values move the pattern left. Positive values move the pattern right.

·Vertical Speed - The value of this slider controls how fast the pattern moves up and down. Negative values move the pattern up. Positive values move the pattern down.

Hold

·When used in the sequence grid, this effect freezes the effect that immediately precedes it.

·If the same effect precedes and follows the Hold, the Hold effect can appear to stop motion. Some effects will start over after a Hold; these include the Movie effect and effects that are "fit to duration".

·A Hold effect that does not immediately follow another effect will not turn on any lights.

Lightning

·Start Position - The value of this slider controls where the bolt originates from (left to right).

·End Position - The value of this slider controls where the bolt finishes (left to right).

·Number Of Strikes - The value of this slider controls the number of lightning strikes.

·Strike Speed - The value of this slider controls the amount of time it takes the bolt to travel from the top to the bottom of the prop.

·Thickness - The value of this slider controls the width of the lightning bolts.

·Flash Brightness - The value of this slider controls the brightness of the flash that occurs when the bolt reaches the bottom of the prop.

Marquee

·Spacing - The value of this slider controls the distance between lights in the marquee.

·Filled Space - The value of this slider controls how much of the space between marquee lights is filled in. A value of 100 means completely filled in.

·Size - The value of this slider controls the thickness of the marquee. It starts on the outside and grow towards the middle as the size increases.

·Speed - The value of this slider controls how fast the lights in the marquee move around the prop.

·Sides - This controls which sides of the marquee the lights appear on.

·Fill Corners - This controls whether lights are displayed in the corners of the marquee.

Meteors

·Color Scheme - This selects whether colors should be generated automatically (rainbow), or to treat the user-selected colors as specifying the end-points of a range, or to only use the user-selected colors (palette).

·Meteor Count - The value of this slider controls the number of new meteors that get created.

·Tail Length - The value of this slider controls the length of each meteor's tail.

·Tail Width - The value of this slider controls the width of each meteor's tail.

·Meteors Effect - This selection controls the direction the meteors move. Setting this to "Icicles" causes the body of the meteor to be gray, and only the head of the meteor takes on a color.

·Drop Mode - This selection controls the pattern of meteor drops.

·Swirl Intensity - The value of this slider controls how much the meteors swirl.

·Speed - The value of this slider controls the rate at which the meteors fall.

·Speed Mode - "Pixel Rate" means that, for a given speed, the meteor will fall across the same number of pixels over a given time regardless of prop size. "Scaled Rate" means that speed is relative to the size of the prop. "Scaled Rate" is recommended for effects that get applied to props of varying sizes, or in sequences that will be shared with others.

Morph

In the Motion Effect Generator, this effect is listed in the SuperStar section at the bottom of the list.

In the Morph effect, you specify a start line and an end line. The effect smoothly moves the line from the start position to the end position. The effect is always "fit to duration". The moving line is referred to as the head. As the head moves, it can display a tail. In the picture above the head is red, the tail start color (the part of the tail closest to the head) is white, and the tail end color (the part of the tail farthest from the head) is transparent.

The head is displayed using the first palette color. If the first color is a transition, then the color of the head will change over the course of the effect. If there is only 1 color selected, the tail will be the same color as the head. Otherwise the tail will be the second color selected.

If the second color is a transition, the start color will apply to the part of the tail closest to the head, and the end color will apply to the part farthest from the head. The tail colors won't change over the course of the effect. To get a fading tail, set the end color of the transition to transparent.

Setting The Start And End Lines

A diagram of the line movement is shown on the left. The numeric values expressed as percentages are shown on the right -- the X value is the first column, and the Y value is the second column.

The green line between points A and B is the start line. The red line between points C and D is the end line.

The start and end lines can be changed in several ways:

·from the numeric entry boxes

·by dragging the A, B, C, and D letters around on the diagram.

·create a new start line by dragging with the left mouse button

·create a new end line by dragging with the left mouse button while holding down the shift key

·some additional options are available by right-clicking on the diagram, such as preset paths and swapping points.

Other Settings

·Head Length - The value of this slider controls the size of the head. A value of 0 means no head is displayed. A value of 1 will always result in a head size of at least 1 pixel. By default, this slider is unlocked (the start and end values are set independently). To lock the start and end values together, double-click on it.

·Show Entire Head At Start - if this value is unchecked, the head will gradually appear at the start of the effect. If the box is checked, the head will appear all at once.

·Acceleration - A value of 0 means the head moves at a constant velocity over the course the effect. Negative values will cause the head to decelerate toward the end of the effect. Positive values will cause the head to accelerate toward the end of the effect.

·Tail Length (sec) - The value of this slider controls the length of the tail.

·Tail Style - The tail can be displayed:

onormal - without shimmer or twinkle

oshimmer - pixels in the tail flicker between the tail color and off/black.

otwinkle - the red, green, and blue channels in the tail are randomly turned on and off. A twinkle can result in multiple colors being displayed in the tail.

·Tail Shimmer Speed - The value of this slider controls the flicker rate when the tail style is set to shimmer.

·Tail Twinkle Speed - The value of this slider controls the flicker rate when the tail style is set to twinkle.

·Tail Start: use head color - If checked, the tail start will be displayed using the head color. If the head color is a transition, the tail start will transition with it.

·Tail End: use head color - If checked, the tail end will be displayed using the head color. If the head color is a transition, the tail end will transition with it.

Movie

Image from https://pixabay.com/illustrations/grinch-character-christmas-5849048/

·Movie File - Click the "Choose" button to select the movie file. AVI and WMV formats are supported, although certain variants cannot be read and you will receive a message if the file you have selected falls into this category.

Movie files often have much higher resolution than needed and can cause slowdowns when using the Sequencer. For example, a full HD movie (1080p) has a resolution of 1920 x 1080, whereas a 16 strand ribbon tree is often just 16 x 50 pixels. There are many programs available (some free) that will reduce the resolution of a video. Using such a tool to reduce the resolution of your movie file to 320 x 240 or less will improve the performance of the Sequencer and not affect the look on your pixels. Finally, if your video conversion program has an option to change the frame rate, changing it to 20 frames per second (fps) will slightly improve how your video looks on your pixels.

·Scale Image - When enabled, this option scales the movie frames to fit the prop.

·Repeat - If this option is selected and the movie clip is shorter than the effect, the movie is repeated as necessary to fill the effect.

·Movie Length Matches Sequence Length - If this option is selected, then the timing of the movie will match the timing of the sequence. For example, if the movie effect starts at 10.0 seconds and ends at 20.0 seconds in the sequence, then the frames in the movie clip from 10 to 20 seconds will play in the effect. If you copy that effect and paste it such that the new movie effect starts at 40.0 seconds and ends at 50.0 seconds, then the frames in the movie clip from 40 to 50 seconds will play in the effect.

Moving Shapes

·Shape - Sets the shape used in the effect.

·Movement -

oRandom Bounce - the shapes move in random directions and bounce when they reach the edge.

oRandom Wrap - the shapes move in random directions and wrap when they go off-screen.

oDirectional Wrap - shapes start in a random position and move according to the Direction slider.

oPolka Dots - shapes are arranged in a polka dot pattern and move according to the Direction slider.

·Color Mode -

o"Rainbow" assigns random colors to shapes.

o"Palette" assigns the selected palette colors to the shapes.

o"Metaball banded" - every shape is drawn using all selected palette colors. Colors are drawn in bands around the shape: the left-most color is used for the outside band.

o"Metaball blend" - every shape is drawn using all selected palette colors. Colors are blended from the center to the outside of the shape: the left-most color is used for the outside edge.

·Style - Sets how the shapes are drawn - solid, highlighted, outline, etc.

·Count - The value of this slider controls how many shapes are visible. When movement is set to polka dots, the count is approximate; for other modes the count is an exact figure.

·Size - The value of this slider controls the size of every shape.

·Speed - The value of this slider controls how fast the shapes move.

·Direction - The value of this slider controls which direction the shapes move. Doesn't apply to Random Bounce.

·Tail Length - The value of this slider controls the length of the shape's tail. Does not apply when movement is set to polka dots.

·Tail Taper - The value of this slider controls how much the end of the tail tapers off. When all of the way to the left, the tail is the same size as the head (no taper). When all of the way to the right, the tail tapers to a point. Does not apply when movement is set to polka dots.

·Metaball Edge - When the Color Mode is set to "Metaball Banded" or "Metaball Blend", the value of this slider controls the edge of each shape. A value of 0 results in a hard, rough edge. A value of 100 results in soft edges.

·Rotation Mode - not enabled if the shape is a circle.

oNone - shapes don't rotate

oWobble - shapes wobble as they move

oManual Rotation - shapes rotate according to the Rotation/Wobble Amount slider

oContinuous Rotation - shapes rotate continuously according to the Rotation/Wobble Speed slider

·Rotation/Wobble Amount - In Wobble mode, this slider controls the amount of wobble. In Manual Rotation mode, this slider controls the amount of rotation.

·Rotation/Wobble Speed - In Wobble mode, this slider controls the wobble speed. In Continuous Rotation mode, this slider controls the speed of rotation.

·Synchronized Rotation - If unchecked, shapes wobble or rotate individually. If checked, shapes wobble or rotate in unison.When movement is set to polka dots, wobble or rotate is always in unison.

Mystify

·Polygons - The value of this slider controls how many polygons are drawn (not including history).

·Corners - The value of this slider controls how many corners each polygon has.

·History - The value of this slider controls the number of prior locations of the polygon that are drawn.

·Speed - The value of this slider controls how fast the polygons move.

·Smooth - when unchecked, the lines are drawn with jagged edges.

·Fade - when checked, the polygon's prior locations fade out over time.

None

·This effect leaves all of the pixels off. When creating effects that use just one side of the Motion Effect Generator, the effect on the other side should be set to "None".

Picture

Files used by the Picture effect can exist as a stand-alone file, or can be stored within the sequence file (i.e. embedded). You can move picture files from stand-alone files to embedded, or vice versa by selecting Sequence > Manage Picture Effects from the menu. Storing them inside the sequence file makes sequences easier to move to another computer and share with other users.

Because JPG files are a "lossy format", areas that appear black on your computer screen may actually light up dimly on real lights. Therefore, PNG files (which are loss-less) are preferred over JPG images.

Images look best when your prop is set to use the "Pixel Curve" dimming curve in Prop Definition

·Picture File - Click the "Select File" button to select a picture file stored on your computer. PNG, BMP, JPG, GIF, and TIFF formats are supported. GIF files may contain a single image or an animation. Click "Embedded Picture" to select an image that is embedded in any sequence that is currently open.

·Numbered Sequence - Some programs can separate movie files and GIF animations into their individual frames, resulting in an "image sequence". An image sequence has a separate file for each frame, and a numeric suffix in the file name to indicate the frame number. Enable this box if you are using the effect for an image sequence.

When using this option, set the file name to the first image in the sequence. It detects number suffixes in 3 formats:

1.the first image ends in 0, e.g. "Image_0" or "Image 0" or "Image0"

2.the first image ends in 0000, e.g. "Image_0000" or "Image 0000" or "Image0000"

3.the first image ends in -1, e.g. "Image-1"

In this mode there is no speed adjustment. Images in the sequence will be played at 20 frames per second.

·Movement - This selection indicates whether the picture will move, and if so, in what direction. The "peek-a-boo" options designate from which side the image will enter, and the "Peek-A-Boo Hold Time" and "Peek-A-Boo Exit" parameters further refine that movement.

·Repeat - This setting determines whether the effect repeats. "Once fit to duration" means that the speed of the image movement is automatically calculated based on the length of the effect.

·Pre-scale Image - This setting determines whether an initial scaling operation is applied before Scale Width and Scale Height are applied. This is very useful with higher resolution pictures so that Scale Width and Scale Height give you finer grain control.

·Scale Width - The value of this slider adjusts the width of the image - after the Pre-scale setting has been applied. A value of 100 leaves the width unchanged.

·Scale Height - The value of this slider adjusts the height of the image - after the Pre-scale setting has been applied. A value of 100 leaves the height unchanged.

·Speed - If "Repeat" is set to a value other than "Once fit to duration", then the value of this slider determines how fast the effect moves. A value of 0 will stop the movement.

·Position Offset - The value of this slider controls the position of the picture orthogonal to the direction of movement.

·Peek-A-Boo Hold Time - If "Movement" is set to one of the peek-a-boo settings, then the value of this slider will control how long the picture remains in the center of the prop, and also how long it remains hidden.

·Peek-A-Boo Exit - If "Movement" is set to one of the peek-a-boo settings, then the value of this slider will control on which side the image will exit.

·Flip Horizontal - flips the picture horizontally.

FlipHorizontal

·Flip Vertical - flips the picture vertically.

FlipVertical

·Red Level - Adjusting this slider can increase or decrease the red tones in the picture. A value of 100 keeps the red tones at the same level they were in the original picture.

·Green Level - Adjusting this slider can increase or decrease the green tones in the picture. A value of 100 keeps the green tones at the same level they were in the original picture.

·Blue Level - Adjusting this slider can increase or decrease the blue tones in the picture. A value of 100 keeps the blue tones at the same level they were in the original picture.

·Opacity - The value of this slider adjusts the transparency of the picture. A value of 100 keeps the picture's original transparency. Moving the slider closer to 0 increases the transparency.

Picture XY

Because JPG files are a "lossy format", areas that appear black on your computer screen may actually light up dimly on real lights. Therefore, PNG files (which are loss-less) are preferred over JPG images.

Images look best when your prop is set to use the "Pixel Curve" dimming curve in Prop Definition

This effect is always "fit to duration", meaning any movement is always scaled to the effect's duration.

·Picture File - Click the "Select File" button to select a picture file stored on your computer. PNG, BMP, JPG, GIF, and TIFF formats are supported. GIF files may contain a single image or an animation. Click "Embedded Picture" to select an image that is embedded in any sequence that is currently open..

·Width - The value of this slider adjusts the width of the image. A value of 100 means the image is scaled to exactly fit the width of the prop.

·Height - The value of this slider adjusts the height of the image. A value of 100 means the image is scaled to exactly fit the height of the prop.

·Left / Right - The value of this slider controls the position of the picture along the horizontal axis.

·Top / Bottom - The value of this slider controls the position of the picture along the vertical axis.

·Rotation angle - The value of this slider controls the rotation of the image. The value is the rotation in degrees. 0 is no rotation. The center of rotation is controlled by the Anchor setting.

·Anchor - This setting controls how the image stretches when width and height are changed. It also controls the center of rotation.

oIf "L" is checked but not "R", then adjusting the width moves the right edge of the image. The center of rotation will be on the left side.

oIf "L" is not checked but "R" is, then adjusting the width moves the left edge of the image .The center of rotation will be on the right side.

oIf "L" and "R" are both checked or both unchecked, then adjusting the width moves the both the left and right edges of the image, but the center of the image does not change. The center of rotation will be the center of the image.

oIf "Top" is checked but not "Bottom", then adjusting the height moves the bottom edge of the image. The center of rotation will be on the top edge.

oIf "Top" is not checked but "Bottom" is, then adjusting the height moves the top edge of the image. The center of rotation will be on the bottom edge.

oIf "Top" and "Bottom" are both checked or both unchecked, then adjusting the height moves the both the top and bottom edges of the image, but the middle of the image does not change. The center of rotation will be the middle of the image.

·Flip Horizontal - flips the picture horizontally.

FlipHorizontal

·Flip Vertical - flips the picture vertically.

FlipVertical

·Red Level - Adjusting this slider can increase or decrease the red tones in the picture. A value of 100 keeps the red tones at the same level they were in the original picture.

·Green Level - Adjusting this slider can increase or decrease the green tones in the picture. A value of 100 keeps the green tones at the same level they were in the original picture.

·Blue Level - Adjusting this slider can increase or decrease the blue tones in the picture. A value of 100 keeps the blue tones at the same level they were in the original picture.

·Opacity - The value of this slider adjusts the transparency of the picture. A value of 100 keeps the picture's original transparency. Moving the slider closer to 0 increases the transparency.

Pinwheel

·Number of Arms - The value of this slider controls the number of arms in the pinwheel.

·Arm Width - The value of this slider controls the width of each arm.

·Arm Length - The value of this slider controls the length of each arm.

·Arm Bend - The value of this slider controls how much each arm bends.

·Curvature - The value of this slider controls the sharpness of the arm bend.

·Color Mode - This select specifies how colors are to be used when drawing the pinwheel.

·CCW - When unchecked, the pinwheel spins in a clockwise direction. When checked, in spins in a counter-clockwise direction.

·Speed - The value of this slider controls the rate at which the pinwheel spins.

·Left / Right - The value of this slider controls the center of the pinwheel along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the pinwheel along the vertical axis.

Plasma

·Color Mode

oSingle - uses only the first selected color on the palette.

oDual - uses the first 2 selected colors on the palette.

oBlended - blends all of the selected colors into the effect.

·Style - The value of this slider controls the way the plasma pattern moves.

·Density - The value of this slider controls the number of color transitions across the prop -- the higher the number, the more color transitions there are.

·Speed - The value of this slider controls the rate at which the plasma pattern changes.

Ripple

·Shape - This selects the shape of the ripple.

·Repeat Count - The value of this slider controls how many ripples are created during the course of the effect. Moving the slider all the way to the right will generate continuous ripples.

·Ring Width - The value of this slider controls the width of each ripple.

·Spacing - The value of this slider controls the spacing between each ripple.

·Speed - The value of this slider controls the rate at which the ripples move out from the center.

·Left / Right - The value of this slider controls the center of the ripple along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the ripple along the vertical axis.

·Highlight Angle - The value of this slider controls the direction of a highlight across the ripples. A value of 0 turns off highlighting.

·Outer Limit - When the ripples move outward, the value of this slider controls where the ripples disappear. When moving inward, this controls where the ripples start. Note that this slider can be set well outside the visible bounds of the prop.

·Inward - This controls the direction of the ripples: outward or inward.

Scanner

·Pattern - This sets the scanner pattern.

·Size - The value of this slider controls the size of the bar (height when moving horizontally, width when moving vertically).

·Offset - The value of this slider controls the position of the bar orthogonal to its movement.

·Tail Length - The value of this slider controls the length of the bar's tail.

·Speed - The value of this slider controls the rate at which the bars move from side to side.

·Solid Color - If this box is checked, then the effect will be displayed as a solid color, rather than with a tail that fades out.

Sketch

A sketch effect consists of paths and groups A path is a collection of points that are connected by lines. The lines connecting the path points can be straight or curved, or a mix of both. A group is a collection of 0 or more paths. Sketch groups can only contain paths (a group cannot contain a group). You can draw and edit the points in a path; however, colors, dashes, morphing, etc. are set at the group level.

The controls for the sketch effect are divided into 5 sections:

1.Controls for the position, scale, and rotation of the overall sketch. These apply to all groups.

2.A canvas where you can draw and edit the paths

3.A toolbar that has a menu and buttons that allow you to manipulate the sketch

4.A tree listing all of the groups and the paths they contain

5.Controls to change the selected group's color, line properties, animation, and fill.

This makes for are a lot of controls! If you maximize the Motion Effect Generator window on a 1080p monitor (windows scaling set to 100%), the drawing canvas, toolbar, and tree will move side-by-side, reducing the amount of scrolling required to access the controls. Maximizing the Motion Effect Generator on an even larger monitor (e.g. a 1440p aka 2K aka QHD) will cause the group settings to move along side the canvas and the tree, reducing the need to scroll even more.

Starting a new sketch

There are 4 ways to start a sketch:

1.Click the [image] icon on the toolbar to enter drawing mode, then click on the canvas to add points on your new path. As you add points, your path will turn into a smooth curve. Don't drag the mouse - just click to add more points. To finish your path, click the End on the toolbar (or use the escape key or space bar) to leave the path open (the start and end points are in separate locations). Or you can click the close button (or return key) to close your path.

2.From the toolbar menu you can import a shape - any of the shapes available in the Simple Shapes and Moving Shapes effects.

3.From the toolbar menu you can import a character from any font on your system. You can select any letter, number, or symbol - even from fun fonts like Wingdings.

4.From the toolbar menu you can import an SVG file. SVG stands for Scalable Vector Graphics - learn more on the SVG Wikipedia page. It's best to use simple graphics as most pixel props are low resolution. A good source of free SVG files is SVG Repo.

Controls for the position, scale, and rotation of the overall sketch

·Width - The value of this slider adjusts the width of the overall sketch. A value of 100 scales the sketch to the width of the prop..

·Height - The value of this slider adjusts the height of the overall sketch. A value of 100 scales the sketch to the height of the prop.

·Left / Right - The value of this slider controls the position of the sketch along the horizontal axis.

·Top / Bottom - The value of this slider controls the position of the sketch along the vertical axis.

·Rotation angle - The value of this slider controls the rotation of the overall sketch. The value is the rotation in degrees. 0 is no rotation. The center of rotation is controlled by the Anchor setting.

·Anchor - This setting controls how the sketch stretches when width and height are changed. It also controls the center of rotation.

oIf "L" is checked but not "R", then adjusting the width moves the right edge of the sketch. The center of rotation will be on the left side.

oIf "L" is not checked but "R" is, then adjusting the width moves the left edge of the sketch .The center of rotation will be on the right side.

oIf "L" and "R" are both checked or both unchecked, then adjusting the width moves the both the left and right edges of the sketch, but the center of the sketch does not change. The center of rotation will be the center of the sketch.

oIf "Top" is checked but not "Bottom", then adjusting the height moves the bottom edge of the sketch. The center of rotation will be on the top edge.

oIf "Top" is not checked but "Bottom" is, then adjusting the height moves the top edge of the sketch. The center of rotation will be on the bottom edge.

oIf "Top" and "Bottom" are both checked or both unchecked, then adjusting the height moves the both the top and bottom edges of the sketch, but the middle of the sketch does not change. The center of rotation will be the middle of the sketch.

Sketch canvas

The sketch canvas is where you can draw and modify paths.

There are 3 types of paths: smooth (default), straight lines, and mixed (curves and lines). You can change the type of path that will be drawn by clicking the down arrow next to the [image] icon. Make your selection before you start to draw.

If a single path is selected in the tree, then individual points on the path will be highlighted and can be moved. The first point is green and the last point is red. For closed paths, only the start point is shown. Control points for curves in mixed paths are blue.

A mixed path with 3 segments: a straight line, followed by a curve with 1 control point, followed by a curve with 2 control points

A mixed path with 3 segments: a straight line, followed by a curve with 1 control point, followed by a curve with 2 control points

If more than one path is selected, then selected paths will be shown in black (without points) and unselected paths will be gray.

Adding a new path

·Click the down arrow next to the [image] icon and pick the desired type for the new path from the menu (optional).

·Click the [image] icon on the toolbar to enter drawing mode.

·A new path under the selected group will be created. If no group exists, a new group is automatically created.

·The End and Close buttons on the toolbar will be enabled.

·Now click on the canvas to add points on your new path. When drawing a mixed path: a plain click will add a line, a shift-click will add a curve with one control point, and control-click will add a curve with 2 control points.

·To finish your path, click the End button on the toolbar (or use the escape key or space bar) to leave the path open (the start and end points are in separate locations). Or you can click the close button (or return key) to close your path.

Extending an existing path

·Select a path in the tree (only one)

·Click the down arrow to the of the [image] icon and select Extend from the menu.

·Click to add more points.

·Finish drawing the path the same way you would when drawing a new path.

Moving individual points

·Select a single path in the tree.

·Move your mouse cursor over a point. This can be a regular point or a control point. The cursor should change to a 4-way arrow, similar to this: ArrowCursor4way

·Press the left mouse button and drag the point.

Inserting and deleting points

·Select a path in the tree (only one)

·Move your mouse cursor over a point on that path (not a control point). The cursor should change to a 4-way arrow, similar to this: ArrowCursor4way

·Click the right mouse button and select the desired action from the menu.

Moving the selected path (or group of paths)

·In the tree, select one or more paths or groups to be moved. Click on the first item in the tree, then Ctrl-click or Shift-click to select additional items.

·Drag your mouse across the canvas to move the items. You can also use the arrow keys on your keyboard.

Sketch Toolbar

On the Sketch toolbar from left to right are:

·The menu button (details below)

·The start drawing button. The down arrow to its right opens the drawing menu.

·The End and Close buttons to finish drawing a path

·The Undo and Redo buttons - undo or redo the last operation.

The menu contains the following items:

·Add shape - allows you to select one of the shapes available in the Simple Shapes and Moving Shapes effects, and imports that shape into the sketch.

·Add character or symbol from font - allows you to select a character from any font on your system. You can select any letter, number, or symbol - even from fun fonts like Wingdings.

·Add SVG - allows you to import an SVG file into your sketch. SVG stands for Scalable Vector Graphics - learn more on the SVG Wikipedia page. It's best to use simple graphics as most pixel props are low resolution. A good source of free SVG files is SVG Repo.

Note that SVG files sometimes have elements that have a black background. Such elements will be displayed on the sketch canvas but will be invisible on your lights or in the preview. To fix this, click on the groups in the tree one by one and look to see if the selected color in group settings is black. If it is, then un-check the black color box - this should make it visible in the preview.

·Add group - prompts for the new group's name and then adds an empty group to the sketch tree.

·Duplicate - makes a copy of the selected path or group

·Rename - allows you to rename the selected path or group

·Delete - deletes the selected path(s) or group(s). Click the Undo button if you mistakenly delete an item.

·Format - opens a sub-menu that allows you align and equally space items (similar to the format menu in Preview Design).

·Scale & Rotate - opens a pop-up window that allows you to scale and rotate the selected items.

·Stagger Groups - if you have groups that perform morphs or chases, you can use this command to stagger when those actions happen over the course of the effect. Note that Stagger modifies the Progress setting for each group.

·Convert to - converts the selected paths to a different path type. You can convert paths to straight lines or curves, but not mixed.

·Temp Background - allows you to put a background image on the canvas so that you can use it as a guide for drawing paths. You can also use this menu item to dim the image if needed. Note that the background image is temporary, and not saved with the sketch.

·Clear all - deletes all groups, clearing the sketch. Select this when you want to start over. Note that you cannot Undo this action.

Path and Group Tree

Groups reside at the first level of the tree, and paths reside under a group. Groups are listed with their name, and then their Combine Paths option in parentheses.Paths are list with their name, then their path type in parentheses.

You can select multiple paths or groups in the tree using Ctrl-click or Shift-click. All selected items must have a common parent in the tree. You can move things around in the tree using drag/drop with your mouse.

After selecting one or more items in the tree, you can right-click on the selection to view a menu of quick actions: Duplicate, Rename, Delete.

Note that the sketch is rendered from top to bottom as shown in the tree. So the first path in the first group is the bottom layer. This is important if you have paths that overlap.

A sketch imported from an SVG file with the right-click menu open

A sketch imported from an SVG file with the right-click menu open

Group Settings

The controls in the Group Settings section allow you to change how the paths in the selected group are rendered. If a path is selected in the tree, group settings are applied to the group that is the parent of the selected path. You can only alter the settings for one group at a time.

·Color Palette - this works just like the regular color palette, except there are only 3 colors and the color selection only applies to the selected group. One other difference is that you can't rearrange the color order here by dragging the color boxes.

·Color Pattern - if more than one color is selected, this controls how the colors are used to draw or fill the path.

oNone - the path is drawn with the first selected color. Any additional colors are ignored.

oRadial - the first selected color is used to draw the center of the path, and then it transitions to the other selected colors in a circular pattern.
SketchRadialGradient

oRadial Mirror - the first selected color is used to draw the center and outer part of the path, and the other selected colors are used to fill in between in a circular pattern.
SketchRadialGradientMirror

oLinear - the first selected color is used to draw the start of the path, and then it transitions to the other selected colors towards the end of the path.
SketchLinearGradient

oLinear Mirror - the first selected color is used to draw the start and end of the path, and the other selected colors are used to fill in between.
SketchLinearGradientMirror

oSweep - colors sweep around the center and vary by angle.
SketchSweepGradient

·Pen width - controls the width of the path. A width of 0 draws a line 1 pixel wide. This setting does not apply to filled paths.

·Dash on size / off size / speed - use these controls to create a dashed path. With a non-zero speed, the dashes will be move.If you select multiple colors, the dashes will incorporate them. If the "on size" is 0, then the result depends on the pen width and line cap:

oRound line cap: dashes will be round circles, with the size of the circle dependent on the pen width.

oSquare line cap: dashes will be squares, with the size of the square dependent on the pen width.

oButt line cap: no dashes will be drawn - the path will not be visible.

A sketch that uses dashed paths

A sketch that uses dashed paths

·Chase type - this controls how much of the path is visible during the course of the effect. The timing of the chase is affected by the Progress control, meaning the chase will finish when the Progress control reaches 100%. Chase works with any kind of path: open, closed or filled.

oNone - the entire path is always drawn. Chase length has no effect.

oFill start to end - the path fills in from the starting point to the end.

oFill end to start - the path fills in from the ending point to the start.

oFill inside out - the path fills in from the mid-point to the ends.

oFill outside in - the path fills in from the ends to the mid-point.

oChase start to end - the path fills in from the starting point to the end, and then erases itself from the starting point to the end.

oChase end to start - the path fills in from the ending point to the start, and then erases itself from the ending point to the start.

oChase inside out - the path fills in from the mid-point to the ends, and then erases itself from the mid-point to the ends.

oChase outside in - the path fills in from the ends to the mid-point, and then erases itself from the ends to the mid-point.

·Chase length - this controls how much of the path is visible during a chase. 50% means that, at most, half of the path will be visible at any time (less than half will be visible at the beginning and end of the effect).

·Blur - this blurs the path. The higher the blur value, the fuzzier the path.

·Progress - this controls the progression of chases and morphs. By default, this is a linear transition from 0% to 100%, and should be left this way for most effects. Running the stagger function on the toolbar menu will modify this setting.

·Combine Paths - this controls how paths within a group are treated. It has no effect if there is only 1 path in the group.

oNone - all paths are independent. When applying a chase, the chase will be run simultaneously on all paths in the group.

oMorph - paths morph from one to the other over the course of the effect. This can be applied to any path: open, closed, or filled. Morph could be something simple like having the path move from one place to another within the sketch, or it could be more complex, like have a circle morph into a star. The timing of the morph is controlled by the Progress setting.

oAppend - this treats all paths in the group as one long path. For example, a chase will start on the first path, then go on to the second path, one after the other.

·Line cap - this controls how the ends of the path are drawn.

SketchLineCaps

·Miter limit - this control is important when you are drawing straight lines with sharp corners.

The red M has a miter limit of 0 - notice the chopped off corners. The blue M has a miter limit of 4 so the corners are fully formed.

The red M has a miter limit of 0 - notice the chopped off corners. The blue M has a miter limit of 4 so the corners are fully formed.

·Fill - this will fill the path rather than drawing it's contour. Dash and pen width controls don't apply to a filled path. For purposes of filling unclosed paths, a straight line is assumed to exist between the start and end points of the contours.

It is possible to carve a "hole" out of your filled shape. For this to work:

oThe outer shape (the one to be filled) should be the first shape in the group

oEnable Fill for the group

oSet Combine Paths to "Append"

oAdd the path that will serve as the hole. If this doesn't produce a hole, the points need to be reversed by selecting Format > Reverse from the toolbar menu.

The star cuts a hole in the outer circle

The star cuts a hole in the outer circle

Sketch Keyboard Shortcuts

The following keyboard shortcuts can be used in a sketch:

Shortcut

Action

Selects all groups

key-dark32-ArrowUp

key-dark32-ArrowLeft

key-dark32-ArrowDown

key-dark32-ArrowRight

Moves the selected paths by a small amount

Makes the selected items larger. Hold the keys down longer to engage the keyboard auto-repeat if needed.

Makes the selected items smaller. Hold the keys down longer to engage the keyboard auto-repeat if needed.

Rotates the selected paths counterclockwise

Rotates the selected paths clockwise

undo the last operation

redo the last operation

Simple Shape

·Use Picture - If checked then use a picture file, otherwise draw a shape.

·Shape - This selects the shape that will be drawn (if Use Picture is unchecked).

·Select File - If Use Picture is checked, then click the "Select File" button to select a picture file stored on your computer. PNG, BMP, JPG, GIF, and TIFF formats are supported. GIF files may contain a single image or an animation. Click "Embedded Picture" to select an image that is embedded in any sequence that is currently open.

·Color Mode - This controls how color is applied to the shape. "fade inner outer" is shown in the example above.

·Width - The value of this slider controls the width of the shape. A value of 100 should fill the prop.

·Height - The value of this slider controls the height of the shape. A value of 100 should fill the prop.

·Rotation Mode - This can be set to manual or continuous, and changes what the Rotation Angle/Speed setting does.

·Rotation angle/speed - When Rotation Mode is set to manual, the value of this slider controls the rotation angle of the shape. When Rotation Mode is set to continuous, the value of this slider controls the rotation speed of the shape.

·Horiz Count - The value of this slider controls the number times the shape will be repeated horizontally.

·Vert Count - The value of this slider controls the number times the shape will be repeated vertically.

·Left / Right - The value of this slider controls the center of the shape along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the shape along the vertical axis.

·No Flicker - If the shape moves during the effect (e.g. Left/Right transitions from one value to another), then in some cases flickering can occur during the movement. This is most pronounced when the Color Mode is set to outline. In this case, enabling the No Flicker option will solve the issue. It is best to leave No Flicker off unless you notice a problem.

Single Block

The single block effect draws a rectangle that is divided into 3 sections: head, body, and tail. The head is the leading section and its color fades in (green in the picture below). The body is the middle section and has a solid color (blue in the picture below). The tail is the trailing section and its color fades out (white in the picture below). You have control over the size of each section.

The speed of the block is always "fit to duration" - meaning that its speed is dependent on the length the effect. The block will reach its final position at exactly the time the effect ends.

·Direction - This setting controls the direction of the block. Selecting "default" moves the block along the longest axis.

·Color Mode - This setting controls how colors on the palette are applied to the block.

·Head Length - The value of this slider controls the size of the head section. A value of 0 eliminates the head section.

·Body Length - The value of this slider controls the size of the body section. A value of 0 eliminates the body section.

·Tail Length - The value of this slider controls the size of the tail section. A value of 0 eliminates the tail section.

·Position - If the Direction is set to "vertical" or "horizontal", then the value of this slider controls the movement of the block.

·Size - The value of this slider controls the size of the block (height when moving horizontally, width when moving vertically).

·Offset - The value of this slider controls the position of the block orthogonal to its movement.

Snowflakes

The Snowflake effect uses at most 2 colors: 1 for the inner part of the flake and 1 for the outer part.

·Snowflake Count - The value of this slider controls the number of snowflakes that fall.

·Snowflake Type - The value of this slider controls the shape of the snowflakes that fall. The last value creates a mix of all of the other types.

·Direction - The value of this slider controls the direction that snowflakes are blown: 0 is straight down (no wind), negative values blow to the left, and positive values blow to the right.

·Speed - The value of this slider controls how fast the snowflakes fall.

·Accumulation - The value of this slider controls how much snow is allowed to accumulate at the bottom. A value of 0 prevents any snow from accumulating.

Spin Fade

The number of arcs drawn to create the spinner is set by the number of colors selected on the palette. In the picture below, 2 colors have been selected (white and blue).

·Style - This selection determines how the spinner is drawn: with wedges, circles, or spheres.

·Inner Radius - The value of this slider controls the inner radius of the spinner.

·Speed / Rotation - The value of this slider controls the rate of rotation, unless Style is set to "sweep arc", in which case it sets the angle of rotation.

·Arc Width - The value of this slider controls the length of each arc used to draw the spinner.

·Fade Steps - The value of this slider controls how many steps are used to draw each arc.

·Reverse Fade - Enabling this option reverses the order of the fade steps.

·Width - The value of this slider controls the width of the shape. A value of 100 should fill the prop.

·Height - The value of this slider controls the height of the shape. A value of 100 should fill the prop.

·Left / Right - The value of this slider controls the center of the shape along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the shape along the vertical axis.

Spinner

·Style - This selection determines how the spinner is drawn.

·Color Mode - This setting controls how colors on the palette are applied to the spinner.

·Number of Arms - The value of this slider controls the number of arms in the spinner.

·Arm Width - The value of this slider controls the width of each arm.

·Inner Radius - The value of this slider controls the inner radius of the spinner.

·Arm Bend - The value of this slider controls how much each arm bends. This setting only applies to the pinwheel styles.

·Curvature - The value of this slider controls the sharpness of the arm bend. This setting only applies to the pinwheel 1 and 2 styles.

·Speed / Rotation - The value of this slider controls the rate of rotation, unless Style is set to "sweep arc", in which case it sets the angle of rotation.

·Width - The value of this slider controls the width of the spinner. A value of 100 should fill the prop.

·Height - The value of this slider controls the height of the spinner. A value of 100 should fill the prop.

·Left / Right - The value of this slider controls the center of the spinner along the horizontal axis.

·Top / Bottom - The value of this slider controls the center of the spinner along the vertical axis.

Spirals

·Palette Repeat - If the value of this slider is 1, then one spiral arm will be drawn for each color selected. Setting this value to 2 doubles the number of arms, 3 triples the number of arms, etc.

·Direction - This sets the direction of spin.

·Rotation - The value of this slider controls the tightness of the spirals. When applied to a pixel tree, it controls how many times the spiral wraps around the tree.

·Thickness - The value of this slider controls the thickness of each arm.

·Thickness Change - The value of this slider controls variations in the thickness of each arm. A value of 0 creates no variation.

·Speed - The value of this slider controls the rate of rotation.

·Show 3D - This selects whether the arms fade out.

·Blend - If enabled, the selected colors will be blended vertically, rather than being applied to each arm of the spiral.

Starfield

·Shape - Sets the shape of the stars.

·Pattern - Controls where new stars are placed, along with the New Star Location parameter.

·Color Mode - "Rainbow" assigns random colors to stars. "Palette" assigns the selected palette colors to the stars.

·Style - Sets how the stars are drawn.

·Density - The value of this slider controls how many stars are visible.

·Growth Rate - The value of this slider controls how fast the stars grow and sets their maximum size when they exit the field of view.

·Speed - The value of this slider controls how fast the stars accelerate towards you.

·Tail Length - The value of this slider controls the length of every star's tail.

·Arms - When the Pattern parameter is set to "arms continuous" or "arms once", the value of this slider controls the number of arms in the star field.

·Rotation - The value of this slider controls how fast the star field rotates about the center. Values greater that zero cause the stars to rotate in a clockwise direction. Values less than zero cause rotation in the counter-clockwise direction.

·New Star Location - The value of this slider controls how far from the center new stars are created. When the Pattern parameter is set to "random", this sets the minimum distance from the center.

Straight Lines

·Direction - This setting controls the direction of movement of the lines. Selecting "default" moves the lines along the longest axis.

·Line Count - The value of this slider controls how many lines are created during the course of the effect. Moving the slider all the way to the right will generate continuous lines.

·Spacing - The value of this slider controls the spacing between each line.

·Filled Space - The value of this slider controls how much of the space between lines is filled in. A value of 100 means completely filled in.

·Speed - The value of this slider controls how fast the lines move.

Text

·Text - The text to be displayed is entered into a box where you can control the font and color of each character. You can also make characters bold, underline, or italic.

·Font Size - The value of this slider controls the size of the text.

·Movement - This selection indicates whether the text will move, and if so, in what direction. The "peek-a-boo" options designate from which side the text will enter, and the "Peek-A-Boo Hold Time" and "Peek-A-Boo Exit" parameters further refine that movement.

·Speed - If "Repeat" is set to a value other than "Once fit to duration", then the value of this slider determines how fast the text moves. A value of 0 will stop the movement.

·Position Offset - The value of this slider controls the position of the text orthogonal to the direction of movement.

·Peek-A-Boo Hold Time - If "Movement" is set to one of the peek-a-boo settings, then the value of this slider will control how long the text remains in the center of the prop, and also how long it remains hidden.

·Peek-A-Boo Exit - If "Movement" is set to one of the peek-a-boo settings, then the value of this slider will control on which side the text will exit.

·Repeat - This setting determines whether the effect repeats. "Once fit to duration" means that the speed of the text movement is automatically calculated based on the length of the effect.

·Wrap Text - If enabled and the text is wider than the prop, then the text is wrapped to fit the available width.

·Smooth - If enabled, then the text is drawn with some pixels partially on to make it look smoother (anti-aliased).

Text PE

This effect works exactly like the Text effect in the S4 Pixel Editor. It is included for backward compatibility.

·Text - The text to be displayed is entered into a box where you can control the font and color of each character. You can also make characters bold, underline, or italic.

·Font Size - The value of this slider controls the size of the text.

·Movement - This selection indicates whether the text will move, and if so, in what direction. The "peek-a-boo" options designate from which side the text will enter and exit, and the "Peek-A-Boo Hold Time" further refines that movement.

·Speed - The value of this slider determines how fast the text moves. A value of 0 will stop the movement.

·Position Offset - The value of this slider controls the position of the text orthogonal to the direction of movement.

·Peek-A-Boo Hold Time - If "Movement" is set to one of the peek-a-boo settings, then the value of this slider will control how long the text remains in the center of the prop, and also how long it remains hidden.

·Bounce - The value of this slider controls how much the text bounces as it moves. A value of 0 prevents any bouncing.

·Repeat - If the enabled, the text repeats its movement until the effect ends.

TextXY

This effect gives you complete control over the size, placement, and rotation of text. Whereas the Text effect allows you to choose between smooth or jagged text, the text in this effect is always smooth.

This effect is always "fit to duration", meaning any movement is always scaled to the effect's duration.

·Text - The text to be displayed is entered into a box where you can control the font and color of each character. You can also make characters bold, underline, or italic.

·Width - The value of this slider adjusts the width of the text. A value of 100 leaves the width unchanged.

·Height - The value of this slider adjusts the height of the text. A value of 100 leaves the height unchanged - which should be about the height of the prop (varies slightly depending on the font used).

·Left / Right - The value of this slider controls the position of the text along the horizontal axis.

·Top / Bottom - The value of this slider controls the position of the text along the vertical axis.

·Rotation angle - The value of this slider controls the rotation of the text. The value is the rotation in degrees. 0 is no rotation. The center of rotation is controlled by the Anchor setting.

·Anchor - This setting controls how the text stretches when width and height are changed. It also controls the center of rotation.

oIf "L" is checked but not "R", then adjusting the width moves the right edge of the text. The center of rotation will be on the left side.

oIf "L" is not checked but "R" is, then adjusting the width moves the left edge of the text .The center of rotation will be on the right side.

oIf "L" and "R" are both checked or both unchecked, then adjusting the width moves the both the left and right edges of the text, but the center of the text does not change. The center of rotation will be the center of the text.

oIf "Top" is checked but not "Bottom", then adjusting the height moves the bottom edge of the text. The center of rotation will be on the top edge.

oIf "Top" is not checked but "Bottom" is, then adjusting the height moves the top edge of the text. The center of rotation will be on the bottom edge.

oIf "Top" and "Bottom" are both checked or both unchecked, then adjusting the height moves the both the top and bottom edges of the text, but the middle of the text does not change. The center of rotation will be the middle of the text.

·Wrap Text - If enabled and the text is wider than the prop, then the text is wrapped to fit the available width.

Twinkle

·Density - The value of this slider controls how many pixels are twinkling at any given time.

·Rate - The value of this slider controls how fast the pixels turn on and off for each twinkle.

·Mode - This controls how the pixels twinkle or flash.

·Layout - This sets whether the pixels that twinkle are at random positions, or at fixed intervals.

·Min Intensity - The value of this slider controls the minimum intensity of the twinkles.

·Max Intensity - The value of this slider controls the maximum intensity of the twinkles.

Wave

·Wave Shape - Sets the wave shape: sine, triangle, square, or sawtooth.

·Direction - This setting controls the direction the wave moves.

·Change Colors - This setting controls how colors are applied to the wave.

·Color Mode - This selects whether colors should be generated automatically (rainbow), or taken from the selected palette colors.

·Wave Count - This sets how many waves should be drawn.

·Repeat Mode - Sets whether the wave moves according to the speed setting or fits the duration off the effect.

·Amplitude - The value of this slider controls how tall the waves are.

·Frequency - The value of this slider controls how close together the wave peaks are.

·Phase Shift - The value of this slider controls the phase of the wave when the effect starts.

·Position - The value of this slider controls the position of the wave orthogonal to the direction of movement.

·Thickness - The value of this slider controls the thickness of the waves.

·Speed - The value of this slider controls how fast the wave moves when the Repeat Mode is "Repeat at Speed".


Playback Window

The "Playback" window is normally docked to the top of the main Light-O-Rama S5 Sequencer program window. It can also be dragged and dropped such that it "floats" outside of the main window.

The playback window has 2 purposes:

1. Display a simulation of your lights during sequence playback

2. Display a motion effect when one is selected in the sequence grid

Sequence Playback

The primary purpose of the playback window is to display a simulation of your lights while the sequence is playing in the Sequencer. If you have a second display monitor, this is a good window to float and drag to the other monitor. That way you can sequence on one monitor and view playback on the other.

Note that there are certain items that are not displayed during sequence playback. These include:

·props with a shape of "hidden"

· archived props

· beat channels

The Playback Window displaying a simulation of the lights while the sequence is being played

The Playback Window displaying a simulation of the lights while the sequence is being played

Toolbar

Playback Control

The Playback Window has a set of toolbar buttons that allow you to start and stop sequence playback. The Sequence Tab's toolbar also has a set of playback buttons -- you can control playback using either set.

 | Playback Control
PlayAllIcon | Play the full sequence
PlayHereToEndIcon | Play from the left edge of the visible sequence grid to the end of the sequence
PlayBeginningToHereIcon | Play from the beginning of the sequence to the right edge of the visible sequence grid
PlayVisibleIcon | Play the visible portion of the sequence
PlaySelectionIcon | Play the current selection. If there is a freeform play range defined then that is played; otherwise the current grid selection (dashed yellow outline) is played.
PauseIcon | Pause playback. Press again to resume
StopIcon | Stop playback

Background Image Brightness

If your preview has a background image, the first slider (and the buttons on either side) can be used to change the brightness of the image. If there is no background image, then this section will be disabled.

 | Background Image Brightness
brightness20black | Decrease brightness
brightness20white | Increase brightness

Zoom

You can zoom in on the preview while playback is occurring in order to view it in more detail. Use the second slider on the toolbar (and the buttons on either side of it) to control the zoom level. Then use the scroll bars on the bottom and right side of the window to move to your area of interest.

Zoom

Zoom out

Zoom in

You can also perform zoom and scroll actions using the mouse wheel. The mouse pointer must be positioned over the playback area in order for these to work.

key-dark32-Ctrl

MouseWheel

Hold the Ctrl key down while using the mouse wheel to zoom in and out

MouseWheel

Use the mouse wheel by itself to scroll vertically

key-dark32-Shift

MouseWheel

Hold the Shift key down while using the mouse wheel to scroll horizontally

Volume

The right-most slider controls volume if you are playing a musical sequence. You can drag the slider directly, or use the buttons on either side of it to move the volume up or down a notch.

 | Volume
speaker16off | Decrease the volume
speaker16on | Increase the volume

Displaying Motion Effects

If you have the Pro version and are using motion effects, the playback window has a second purpose: it displays the currently selected motion effect. So if you use a lot of motion effects, you will want to keep the playback window visible at all times. This allows you to click on any motion effect in the grid and have it play in the playback window. This makes it much faster to identify motion effects on the sequence grid.

The Playback Window displaying a motion effect

The Playback Window displaying a motion effect


Effect Samples Window

The "Effect Samples" window displays Color Fade favorites as well as thumbnails for motion effects. It is normally docked on the right side of the main Light-O-Rama S5 Sequencer program window. To keep the window open, click the pin icon in the upper right corner of the window. It can also be dragged and dropped such that it "floats" outside of the main window.

The Effect Samples window displaying motion effects

The Effect Samples window displaying motion effects

The Effect Samples window displaying color transition favorites

The Effect Samples window displaying color transition favorites

The Effect Samples window displaying solid color favorites

The Effect Samples window displaying solid color favorites

Choosing What Is Displayed

Select one of the 3 motion effect buttons to display:

·built-in effects

·favorites saved in the Motion Effect Generator

·motion effects used in the current sequence (perhaps you want to re-use one)

There may be a hierarchical tree of motion effects, in which case the tree will be displayed between the buttons on top and the effect samples below. You can click on any node in the tree to just display favorites under that section of the tree. The motion effect buttons are only displayed at the Pro license level.

Select one of the 2 color favorites buttons to display:

·Favorite color transitions

·Solid color favorites

Using A Sample In Your Sequence

This is the easy part: just click on a sample, then select a region on the sequence grid. The selected region will be filled in with the selected sample.

Removing Color Favorites

Perhaps you have some color favorites that you no longer need. To delete them, click the check-box in the upper left corner of each color sample to be removed, then click the "Delete" button up top. Be careful, this operation cannot be undone.

Motion Effect Options

There are a couple of options that control how thumbnails are displayed. To access then, click the down arrow next to the word "Motion Effects"

Show thumbnails using 50x50 matrix

By default, thumbnails are displayed using a 50 by 50 matrix. However, this can be overridden by selecting "Use This Prop (or Group) For Thumbnails" from the pop-up menu when you right-click on an item in the item list. This menu item will restore the default.

Set image for generic Picture effect

When displaying "Basic Motion Effects", the Light-O-Rama Picture effect will be displayed as a blank. This option allows you to select a picture file to use for the thumbnail.

Motion Thumbnail Double-Click

When you double-click on a motion effect thumbnail, the Motion Effect Generator is opened and the selected motion effect is displayed.

This can be used to:

· Modify a motion effect favorite

· Create a new favorite based on an existing one

· Set the current effect based on one shown in the window

Modify a motion effect favorite

·Set the selection to Motion Effect: Favorites

·Double-click on a thumbnail of a favorite

·Modify the effect the in the Motion Effect Generator

·The name of the favorite should already be highlighted in the Favorites area of the Motion Effect Generator, so click the "Save" button on the Favorites toolbar to update it. You will be asked if you want to overwrite the existing favorite.

Create a new favorite based on an existing one

·Set the selection to Motion Effect: Favorites

·Double-click on a thumbnail of a favorite

·Modify the effect the in the Motion Effect Generator

·Click on a folder name in the Favorites area of the Motion Effect Generator, then click the "Save" button on the Favorites toolbar.

Set the current effect based on one shown in the window

·Double-click on a thumbnail

·Modify the effect the in the Motion Effect Generator

·Click "OK" to close the Motion Effect Generator

·The new effect will start playing in the Playback window, the toolbar effect will be changed to "Motion Effect", the current tool on the toolbar will be changed to Max Intensity, and the mouse pointer will change to the edit cursor when it is moved over the sequence grid

Now when you click and drag the edit cursor over some cells in a motion effect row, the new effect will be added to those cells.


Control Lights Window

The "Control Lights" window is normally docked on the right side of the main Light-O-Rama S5 Sequencer program window. To keep the window open, click the pin icon in the upper right corner of the window. It can also be dragged and dropped such that it "floats" outside of the main window.

From the Control Lights window you can:

· Control whether the effects in your sequence are sent to real lights

· Specify whether lights will be turned off when playback stops

· Turn all lights off immediately

· Access Light-O-Rama Network Preferences

· Specify which networks are enabled when controlling lights

Control Lights Check Box

If the Control Lights box is checked, then the Sequencer will control your lights. This setting applies to all open sequences.

When the Control Lights box is checked, the Sequencer will send out data to:

·A prop when an effect for that prop is selected in the sequencing grid

·A prop when you double click on the prop’s name (or right-click on the prop name and select one of the play options)

·All props when you click one of the play buttons above the sequencing grid.

If the Control Panel is not running and the “Control Lights” box is checked, you will get this message:

Turn Lights Off When Playback Stops

This check box specifies whether lights should be turned off whenever playback stops. This only affects playback in the sequencer; it does not affect playback in a scheduled show.

Lights Off Now

This will turn off all lights on the networks being controlled.

Networks Being Controlled

Check the boxes next to each network that you want to control. Each Light-O-Rama network will be listed separately. If you have DMX universes defined, they will be grouped together into a single line item.

Why Aren't My Lights Turning On?

Before trying to control your lights, make sure these steps are done first:

·Connect LOR and/or DMX USB adapters to the computer where the Sequencer is running.

·Make sure your light controllers are initialized correctly with the correct unit IDs (for the LOR protocol) and DMX universes (for the DMX protocol).

·Make sure the firmware for your controllers is up-to-date.

·Define the LOR and DMX lighting networks in the Light-O-Rama Network Preferences tool.

· Motion Effects (including SuperStar effects) can only be sent to enhanced LOR networks and DMX networks.

·Connect your light controllers to the USB adapters (or to your Ethernet network in the case of E1.31 devices).

·Ensure all lights and controllers have power.

·Start the Light-O-Rama Control Panel if you haven't already done so.

·No shows should be currently scheduled or playing. Check the Control Panel's Play Shows section.​

·The Hardware Utility should be closed while the Sequencer is running.

​

·Make sure the props you have created in your preview have the correct network, unit IDs, and circuit numbers defined (they must match the hardware settings).


Audio Settings Window

The Audio Settings window gives you control over the content, colors, and filtering of the audio data displayed at the top of the sequence grid. It can give you valuable insight on how to align your lighting effects to the music.

The "Audio Settings" window is normally docked on the right side of the main Light-O-Rama Sequencer program window. To keep the window open, click the pin icon in the upper right corner of the window. It can also be dragged and dropped such that it "floats" outside of the main window. You can quickly open Audio Settings by double-clicking on the audio waveform or spectrogram of an open sequence.

From the Audio Settings window you can:

· Choose the audio data to be displayed

· Alter the audio display area's height

· Choose the colors used to display the audio data

· Scale and filter the waveform

· Zoom in on the spectrogram and change its intensity

Choosing The Audio Data To Be Displayed

At any license level, including demo, the music for your sequence can be displayed as:

·a waveform

With a Pro license, you can also display the music for your sequence as:

·a spectrogram where the frequencies are shown using a linear scale. This format is useful because the frequency data has not been "stretched" or otherwise manipulated -- lines representing the notes being played will be clean and sharp. However, you will see a note's harmonics, and because the vertical scale is linear, the harmonics will be spaced more closely at the lower frequencies and farther apart at the higher frequencies.

·a spectrogram where the frequencies are shown using a logarithmic scale. In this format, harmonics are evenly spaced.

·a spectrogram with pitch detection applied. Pitch detection tries to find the actual notes being played in a song and eliminates many of the harmonics that clutter a typical spectrogram. Please note however, that pitch detection is not perfect, and you may still end up with a cluttered spectrogram for music passages with lots of percussion or where many instruments and/or voices are playing at the same time.

All spectrograms are limited to a frequency of 3000 Hz at the high end. This should be satisfactory for all popular music; you would only miss the top 6 keys on a standard 88-key piano keyboard.

The screen-shots that follow show the same section of the song "Dueling Jingle Bells" displayed using each method. Color scheme is "Argo". In the spectrograms, the lower, middle, and upper frequencies are shown on the left side of the display along with the note that is closest to that frequency.

Audio displayed as waveform

Audio displayed as waveform

Audio displayed as a spectrogram with a linear vertical scale (requires Pro license)

Audio displayed as a spectrogram with a linear vertical scale (requires Pro license)

Audio displayed as a spectrogram with a logarithmic vertical scale (requires Pro license)

Audio displayed as a spectrogram with a logarithmic vertical scale (requires Pro license)

Audio displayed as a spectrogram with pitch detection applied (requires Pro license)

Audio displayed as a spectrogram with pitch detection applied (requires Pro license)

Altering The Display Area's Height

The height of the audio display area can be set to 0 (hidden) by dragging the "Display Height" slider all the way to the left. Move the slider to the right to make the display area taller. A taller audio display allows you to see more detail -- which is especially useful when viewing a spectrogram. Keeping the display height short allows you to see more channels in the sequence grid. The audio display height is stored with the sequence. Each sequence can have a separate audio display height.

StandardToolbarViewWaveform You can also click on the waveform icon on the toolbar to hide or unhide the audio display area.

Choosing The Colors

You can choose your colors for the waveform and spectrograms in the "Colors" section. The first option in the drop-down allows you to select custom colors. The others are the built-in color schemes. The color scheme you choose here is applied to all open sequences, and is remembered for the next time you open the Sequencer.

The built-in colors schemes do a great job of highlighting the detail in spectrograms.

Custom Colors

When you select "<custom colors>" from the drop-down, 3 additional color boxes are displayed. "Foreground" is the color of the waveform or spectrogram; "background" is the field that it is drawn behind it; "highlight" is the vertical bar showing the position of the mouse. Click a colored button on the left to set a color. As you change each color, the audio data will be redisplayed with the newly selected color.

The Sequencer will remember the colors that you chose so that waveforms in other sequences will automatically be displayed using those colors.

Built-in Color Schemes

A variety of built-in color schemes are available. Below the drop-down box is a color sample of your selection.

When viewing spectrograms, our favorites are "Argo" and "Grayscale Reversed". "High Contrast" is also useful at eliminating some of the clutter in the spectrogram when used in combination with the Brightness slider.

Scaling And Filtering The Waveform

The Sequencer will automatically scale the audio waveform vertically so that it fills the entire height of the waveform area. By default, all audio frequencies are displayed.

You can scale the waveform up or down, or apply a frequency filter using the controls in the lower part of the Audio Settings window. These controls are only visible when the Audio Data selection is set to "Waveform".

No Filter

The following screens are taken from a sequence that uses a specially constructed audio file. The audio consists of 5 tones, each 2 seconds long and each one an octave higher than the previous tone (10 seconds total). The first 2 seconds have a 110 Hz tone (A2), followed by 2 seconds at 220 Hz (A3), followed by 2 seconds at 440 Hz (A4), followed by 2 seconds at 880 Hz (A5), followed by 2 seconds at 1760 Hz (A6). Here is what the waveform looks like with no audio filtering:

Emphasize Low Tones

Here is the same sequence with the low tones emphasized. Notice that the frequency cut-off for the filter is adjustable using the slider.

Emphasize Mid Tones

Here is the same sequence with the middle tones emphasized. Notice that the mid-point frequency for the filter is adjustable using the slider.

Emphasize High Tones

Here is the same sequence with the high tones emphasized. Notice that the frequency cut-off for the filter is adjustable using the slider.

Scaling the Waveform

You can use the "Waveform Scaling" section to scale up low level audio signals to see more detail. The following example shows how this can be used to see where the beats are more clearly.

Increasing the vertical scale of the waveform

Increasing the vertical scale of the waveform

Controlling the Spectrogram Display

You can zoom in on the spectrogram, or change its brightness using the controls in the lower part of the Audio Settings window. These controls are only visible when the Audio Data selection is set to one of the "Spectrogram" options. By default, all frequencies are displayed.

Zooming In

To zoom in on a note, uncheck the "All Frequencies" box, then choose the note of interest using the "Center Frequency" slider. The selected note is shown below the slider, and also on the middle label of the spectrogram display. The level of vertical zoom is controlled using the "Frequency Range" slider. Move the slider to the left to zoom in, or to the right to zoom out.

Once you have zoomed into your area of interest, you can switch among the 3 spectrogram types and the zoom settings will stay the same -- allowing you to easily compare the data shown in the 3 formats.

Adjusting Brightness

Sometimes the spectrogram will show too much information, perhaps overwhelmed with harmonics or percussion. Move the "Brightness" slider to the left to tone things down. Of if there are details that are faint and you want to see more clearly, then move the "Brightness" slider to the right.


Customizing Window Layouts

In the S5 Sequencer, you can customize the position, size and behavior of windows to create window layouts that work best for your computer setup. When you customize the layout, the Sequencer remembers it. For example, if you change the docking location of the Playback window and then close the Sequencer, the next time that you start, the Playback window will be docked in that same location.

Windows That Can Float

The Playback Window, Previews Window, Control Lights Window, Motion Effects Window, and Start Page can be docked in any position within the main program window, or they can float outside the program window. Note that the Motion Effects Window is only displayed when you have the a PRO license.

·Clicking the "X" in the upper right corner of one of these windows will hide it. Hidden windows will appear on the the Window menu. Selecting the name of a hidden window on the Windows menu will unhide it.

The Window menu with all options displayed

The Window menu with all options displayed

StandardToolbarViewAnimation If a sequence is open, you can click on this toolbar icon to hide and unhide the Playback Window.

·Any of these windows that is docked inside the main windows can be pinned so that they stay open, or unpinned so that they automatically hide themselves after use.

Unpinned Window

Pinned Window

·These windows can float outside of the main program window. If you have multiple display monitors, the floating windows can be moved onto them, giving you lots of space to do your sequencing.

There are several ways to float a window:

·To float the current window (the one whose title bar is highlighted), select Window > Float Current Window from the main menu, or

·Click on the title bar of a window and drag it away from the main window, or

·Double-click on the title bar of a window

Likewise, there are several ways to dock a window that is floating:

·Click on the title bar of a floating window and drag it back over the main window. As you are dragging, landing spot icons will appear -- release the mouse button when the cursor is over one of the landing spots to finish the docking, or

·Double-click on the title bar of a floating window, or

·Select Window > Reset Window Layout from the main menu, which will dock all windows

An example with 3 floating windows

An example with 3 floating windows

Sequence Windows

Sequence windows can only be docked within the main program window; they cannot float or be hidden. Each sequence window has a tab at the top which displays the name of the sequence. Hovering your cursor over a tab will display a tool-tip with the full path to the sequence file.

·To the right of the name is an "X", which when clicked, will close the sequence. If you close the sequence and there are unsaved changes, you will be asked whether you want those changes saved or discarded.

·While sequence tabs cannot float outside of the main window, the tab can dragged and docked to other sequences. This allows for sequences to be viewed side by side or one below the other. Select Window > Reset Window Layout from the main menu to restore the sequence tabs and all other windows to their default locations.

How to view sequences side by side

How to view sequences side by side


Background Image Brightness

If you have set a background image for your preview, you can change the image's brightness at any time to suit your needs (for example to simulate nighttime). Changing the brightness of the background image for a preview changes the image's brightness for all sequences that use that preview. There are 2 places where the background image brightness can be changed:

· in the Playback Window

· in Preview Design

Change Background Brightness in the Playback Window

Drag the Brightness slider to adjust the background image in the Playback window. You can also click the Darker and Lighter buttons on either end of the slider to make an incremental adjustment.

Change background image brightness from the Playback window

Change background image brightness from the Playback window

Change Background Brightness In Preview Design

Drag the Brightness slider to adjust the background image in the Preview Design window's Design tab. You can also click the Darker and Lighter buttons on either end of the slider to make an incremental adjustment.

Change background image brightness from Preview Design

Change background image brightness from Preview Design


Keyboard Shortcut Summary

These shortcuts apply to the sequence grid. There are separate lists of keyboard shortcuts for:

·Preview Design's Design tab

·Prop Definition's Custom Grid window

All keyboard shortcuts that can be used in the main Sequencer window are listed below. This is the default keyboard mapping. A custom mapping can be created in Keyboard Preferences.

Main Menu

Key

Action

key-dark32-Alt

key-dark32-F

Alt-F opens the File menu

key-dark32-Alt

key-dark32-S

Alt-S opens the Sequence menu

key-dark32-Alt

key-dark32-T

Alt-T opens the Tools menu

key-dark32-Alt

key-dark32-W

Alt-W opens the Windows menu

key-dark32-Alt

key-dark32-H

Alt-H opens the Help menu

Once the menu is opened, the arrow keys can be used to navigate around the menu and open sub-menus. Once you have reached the desired menu item, use the Enter key to activate it.

Sequence Open / Close / Save

Key

Action

key-dark32-Ctrl

key-dark32-N

create a new musical sequence

key-dark32-Alt

key-dark32-N

create a new animation sequence

key-dark32-Ctrl

key-dark32-O

open existing sequence

key-dark32-Ctrl

key-dark32-W

close the current sequence

key-dark32-Ctrl

key-dark32-S

save the current sequence

key-dark32-Ctrl

key-dark32-Shift

key-dark32-S

save as (current sequence takes on the new name)

key-dark32-Ctrl

key-dark32-Alt

key-dark32-S

save a copy (make a backup)

key-dark32-F1

help

key-dark32-Ctrl

key-dark32-Tab

Switch to the next sequence tab to the right.

key-dark32-Ctrl

key-dark32-Shift

key-dark32-Tab

Switch to the next sequence tab to the left.

Sequence Grid Navigation and Selection

Key

Action

key-dark32-ArrowUp

key-dark32-ArrowLeft

key-dark32-ArrowDown

key-dark32-ArrowRight

Use the arrow keys to move one cell in the direction of the arrow

key-dark32-Home

Move to the first cell in the current row

key-dark32-End

Move to the last cell in the current row

key-dark32-PgUp

Move up 1 screen

key-dark32-PgDn

Move down 1 screen

key-dark32-Ctrl

key-dark32-ArrowLeft

Move left 1 screen

key-dark32-Ctrl

key-dark32-ArrowRight

Move right 1 screen

key-dark32-Shift

Expand the selection by holding down the shift key while using any of the keys listed above

key-dark32-E

If part of an effect is selected, then "E" will expand the selection to encompass the entire effect. If multiple rows are selected, then the selected area will expand to encompass the entire effect on every selected row.

key-dark32-C

"C" will expand the selection to the entire column

key-dark32-R

"R" will expand the selection to the entire row

key-dark32-R

key-dark32-C

"R" followed by "C" will select the entire grid.

key-dark32-Ctrl

key-dark32-Plus

zoom in on time scale

key-dark32-Ctrl

key-dark32-Minus

zoom out on time scale

key-dark32-Ctrl

key-dark32-Alt

key-dark32-Plus

zoom in fully on time scale

key-dark32-Ctrl

key-dark32-Alt

key-dark32-Minus

zoom out fully on time scale

key-dark32-Alt

key-dark32-ArrowUp

Make the height of each grid row shorter

key-dark32-Alt

key-dark32-ArrowDown

Make the height of each grid row taller

key-dark32-Alt

key-dark32-PgUp

Make the height of each grid row as short as possible

key-dark32-Alt

key-dark32-PgDn

Make the height of each grid row as tall as possible

Sequence Modification

Key

Action

key-dark32-A

Set the selected cells to the current toolbar effect at MAX toolbar intensity

key-dark32-Ctrl

key-dark32-A

modify existing effects in the selected cells to MAX toolbar intensity

key-dark32-I

set selected cells to toolbar effect at MIN toolbar intensity

key-dark32-Ctrl

key-dark32-I

modify existing effects in the selected cells to MIN toolbar intensity

key-dark32-U

set selected cells to FADE UP using the current toolbar effect and intensity range (overwrites existing effects)

key-dark32-Ctrl

key-dark32-U

modify existing effects in the selected cells to FADE UP using the toolbar intensity range

key-dark32-D

set selected cells to FADE DOWN using the current toolbar effect and intensity range (overwrites existing effects)

key-dark32-Ctrl

key-dark32-D

modify existing effects in the selected cells to FADE DOWN using the toolbar intensity range

key-dark32-M

apply current settings to selected effects

key-dark32-Shift

SHIFT plus any of the keys above, will prompt for a new effect then fill the selection

key-dark32-F

fill selected cells

key-dark32-G

toggle selected cells

key-dark32-H

create chase in selected cells

key-dark32-Del

clear selected cells

key-dark32-O

open the color fade selector

key-dark32-Enter

Use the currently selected tool (from the toolbar) on the grid selection

key-dark32-N

set selected cells to ON effect at max toolbar intensity

key-dark32-T

Set selected cells to TWINKLE effect at max toolbar intensity. If there is no selection and the current timing grid is a freeform grid, "T" inserts a timing mark where the mouse pointer is located.

key-dark32-S

set selected cells to SHIMMER effect at max toolbar intensity

key-dark32-L | or
key-dark32-Shift | key-dark32-L

activate the Select Tool

key-dark32-Shift

key-dark32-S

insert a SuperStar effect into the selected area (requires a Pro license)

key-dark32-Plus

the repeat function

Use "+" without any modifier keys from the numeric keypad.

PlusEquals Use Shift and "+" from the main keyboard.

key-dark32-Ctrl

key-dark32-X

cut

key-dark32-Ctrl

key-dark32-C

copy

key-dark32-Ctrl

key-dark32-V

paste

key-dark32-Ctrl

key-dark32-Alt

key-dark32-V

paste special

key-dark32-Ctrl

key-dark32-Z

undo last operation

key-dark32-Ctrl

key-dark32-Y

redo

Sequence Playback

Key

Action

key-dark32-Spacebar

Start and stop playback

key-dark32-Shift

key-dark32-Spacebar

Clear the freeform play range, then start playback

key-dark32-ArrowDown

key-dark32-ArrowUp

During sequence playback, pressing the keyboard's down arrow will mark the current time as the start of a freeform play range. Later pressing the up arrow will mark the current time as the end of the freeform play range.

key-dark32-T

During playback, "T" inserts a timing mark

If you have media keys on your keyboard (like the ones shown above), then you can:

·Use the play/pause button (shown in blue) to start and pause playback. If there is a freeform play range, then this button will play that range; otherwise, it will play the visible portion of the sequence.

·Use the stop button (shown in red) to stop playback.

·Use the mute and volume keys to adjust the volume.

Other Shortcuts

Key

Action

key-dark32-Ctrl

key-dark32-E

toggle the drag edges tool on and off

key-dark32-Ctrl

key-dark32-R

toggle the view fades as ramps setting

key-dark32-P

display a sequence grid tooltip


Map Preview To Sequence Dialog

The "Map Preview To Sequence" dialog can appear in 2 instances:

1.If you modify a preview by adding and/or removing props or groups and then open a sequence that uses that preview, or

2.If you assign a different preview to your sequence

The dialog shows you what does not match between the items in the sequence and the items in the preview. It also gives you a chance to match up items manually if needed. The dialog features 4 lists. The lists on the left are for items in the sequence. The lists on the right are for items in the preview. Props are shown in the lists on top and groups are shown in the lists on the bottom.

The Map Preview To Sequence dialog

The Map Preview To Sequence dialog

In the example above, 4 props have been removed from the preview (Bush A, Bush B, Bush C, and Bush D) and replaced with 4 new ones (Bush 01, Bush 02, Bush 03, and Bush 04). The 4 old ones are shown in the list in the upper left, and the 4 new ones are shown in the list in the upper right.

Scenario 1

In this scenario:

·Bush 01 is meant as a replacement for Bush A

·Bush 02 is meant as a replacement for Bush B

·Bush 03 is meant as a replacement for Bush C

·Bush 04 is meant as a replacement for Bush D

If the user takes no action on this screen and clicks Continue, the 4 props on the left will be archived (sequencing preserved, but can no longer control lights) and the 4 props on the right will be added to the sequence with their channels empty (no sequencing). The user would need to copy the sequencing from each of the 4 archived props and paste it into the new props. At that point, the old props would no longer be needed and the user would have to open the Manage Archived Props screen to delete the 4 old props.

By matching the props manually in this dialog, the user can save some time. Manual matching is done by double-clicking on an item in any of the 4 lists and then selecting its match in the drop-down. In the picture below, we have double-clicked on Bush A and matched it to Bush 01. The Archive/Delete setting only matters for items that are unmatched; since we are matching in this case, the setting doesn't matter. After clicking Save, Bush A and Bush 01 are removed from their respective lists because they are now matched (remember the dialog only shows items that don't match).

Manual Match dialog

Manual Match dialog

After using the same procedure to match Bush B to Bush 02, Bush C to Bush 03, and Bush D to Bush 04, green check marks will appear in the upper 2 boxes - indicating that there are no more items that need matching. The user can then click Continue and the 4 new bushes will replace the 4 old bushes. The sequencing will be preserved and nothing will be archived.

Scenario 2

In this scenario:

·The new bushes will have entirely new sequencing.

·The old bushes and their sequencing can be discarded.

If the user takes no action on this screen and clicks Continue, the 4 old props will be archived and they will need to be deleted using the Manage Archived Props screen.

To save a little time, the user can double click on each of the old bushes in the upper left list and change the archive setting to delete. In the picture below, Bush B has been marked for deletion. You would do the same thing for Bush A, Bush C, and Bush D. Clicking the Continue button would then result in Bush 01, Bush 02, Bush 03, and Bush 04 added to the sequence with empty sequencing rows; Bush A, Bush B, Bush C, and Bush D would be removed from the sequence. This may seem like a very small gain in efficiency, but consider what happens when you need to perform this same task on multiple sequences. Using this dialog, you can save your match settings for the first sequence, then you can simply load those settings for the rest of the sequences -- the time savings add up!

Bush B has been marked for deletion

Bush B has been marked for deletion

Auto-Match By Name

Pressing this button will automatically match items with the exact same name. Case is ignored, so "My Prop" will match "MY PROP". However, this function will fail to match if an item has an extra space in its name, so "My␣Prop" will not match "My␣␣Prop".

After the auto-match runs, the button will be disabled because there is no use in running this function more than once.

Auto-Match By Channel

Pressing this button will automatically match items with the exact same physical channel settings (device type, network, unit id, and circuit).

After the auto-match runs, the button will be disabled because there is no use in running this function more than once.

Save And Load Match Settings

Your show may consist of many sequences that share the same preview. To avoid having to create the same mapping over and over, you can simply save the mapping you create for the first sequence, then load those settings back in as you update subsequent sequences.

Number Of Motion Effect Rows For New Pixel Props

If you have a Pro level license, then you can use motion effects to sequence your props that utilize RGB pixels. You can also have multiple motion effects playing on a prop at the same time. This setting specifies how many motion effect rows should be created for every new pixel-based prop or group (the new items listed on the right-hand side). Typically 1 or 2 is a good choice to start. And then you can add more rows to specific props as your sequencing needs dictate.

Version Numbers

The S5 software maintains a preview version number. The number is incremented by 1 every time the preview is saved. This screen shows the name of the preview and its version number. It also shows the version number of the preview stored with the sequence. You can view the current revision number for any preview on the Preview Design screen.

Import As New Preview

This function is used to import the preview stored in the sequence file as a new preview. The sequence you are opening will then be associated with the imported preview. After pressing the button, the screen will update with the name of the imported preview. The version numbers should then be the same and there should no unmatched props listed. Next, click the Continue button to open the sequence. This action has no effect on other sequences.

Revert (or Update) Preview

This function is used in the rare case where you have made changes to a preview but want to go back to the version stored in the sequence file. Using this function will cause you will lose the most recent changes to the preview, will affect any other sequences associated with that preview.

The button will be labeled "Revert" if the version in the sequence file is older. It will be labeled as "Update" if the version in the sequence file is newer.


Upgrading Sequences

Sequences in S5 and later versions are stored in a different format and have a different file extension than in prior versions.

 | S5 and later | Older Versions
Musical Sequences | LOREDIT | LMS
Animation Sequences | LOREDIT | LAS

Sequence File Extensions

Therefore, sequences created with prior versions must be upgraded. You do this by selecting File > Open from the main menu, and then selecting the LMS or LAS file you want to upgrade. After opening the file, you will be presented with the following dialog:

The Upgrade Legacy Sequence Dialog

The Upgrade Legacy Sequence Dialog

The name of the sequence being upgraded is shown at the upper right. The 3 steps that make up the upgrade process are shown across the top of the dialog. The current step shown with regular text, and the other steps are grayed out. You move from one step to the next by clicking the red "Next Step" button. There is no "back" button -- if you need to return to a prior step, click the "Cancel" button and start over.

Your goal should be to end up with no items in the "Not Matched" list. You can do this by:

·choosing a preview in step 1 that matches all of the channels in the sequence being upgraded, or

·adding the unmatched channels to the preview in step 2

If there are still channels listed in the in the "Not Matched" list when you go to step 3, those channels will get "archived". Archived channels cannot control lights, but they preserve the effects that were in the original sequence. You will get a message at the end of the upgrade process listing any channels that were archived. For more information on archived props, see the Archived Props and Manage Archived Props Dialog topics.

The 3 steps are described in more detail below:

1. Choose a preview for the sequence

2. Modify the preview if needed

3.Create the S5 sequence. Moving to this step closes the Upgrade window, processes your inputs, and displays the upgraded sequence in a tab of the main program.

If the resulting S5 sequence doesn't turn out the way you expected, you can always go back and try upgrading the sequence again - adjusting the process to achieve a better result.

A Brief Word About Previews

S5 sequences require a preview - this is new to S5. A preview specifies all of the channels that will be used in the sequence (among other things). You can create a preview during the upgrade process or you can create one ahead of time.

One preview can be associated with multiple sequences.

So if you had 3 sequences in your 2018 show that you are upgrading to S5, you only need one preview that will be shared with all 3 sequences.

Step 1: Choose a Preview for the Sequence

Step 1: Choose a preview

Step 1: Choose a preview

The first step is to decide whether you will upgrade the sequence using an existing preview, or start from scratch and create a new preview. If you decide to create a new preview, the preview name field defaults to the name of the sequence, but you can change this to anything you want.

Try selecting several different previews from the existing previews list. As each one is selected, the "Matched" and "Not Matched" lists will be automatically updated to show you how well the preview matches up to the sequence you are upgrading.

If you choose to create a new preview, you don't have to start from scratch. You can easily import Visualizer files, an SE block-style animation, and/or a Pixel Editor preview into the new preview to help you get a quick start.

If you create a new preview during the upgrade process, you only need to do that for the first sequence you upgrade. Subsequent sequences will likely use the same set of channels, so you should select the preview you created while upgrading the first sequence.

Step 2: Modify The Preview If Needed

Your goal when modifying the preview should be to end up with an empty "Not Matched" list. You can shrink the "Not Matched" list by:

·Importing a Visualizer file, SE animation, and/or Pixel Editor preview that contains channels that match the sequence, or

·Selecting an unmatched channel and drawing it as a light string on the design canvas, or

·Selecting an unmatched channel and drawing it as a flood light on the design canvas, or

·Selecting one or more unmatched channels and designating them as beat channels

·Selecting one or more unmatched channels and having the tool auto-generate props for them

There are many tools on this screen to help you modify your preview. To help keep things organized, we've broken the down this topic into sections:

· Add a background image and adjust its brightness

· Importing

· Import a Visualizer file

· Import the block-style animation stored in the legacy sequence (if there is one)

· Import the Pixel Editor preview (if there is one)

· Unmatched Channels

· Select one or more channels

· Sort the channel list

· Draw a string for the selected channel

· Draw a flood light for the selected channel

· Auto-generate props for the selected channels

· Designate channels as "beat channels" that don't control lights, but mark the beat of the music

· Using the Design Canvas

· Select, move, and resize items on the Design Canvas

· Zoom in and out

· Align items using the Format menu

· Delete items

· Undo/Redo

After you have modified the preview here, you can always make further modifications later using the Preview Design tool.

Modify The Preview: Add a Background Image

Click this button to add a background image to your preview. This can help with placement of your light strings and make your preview look more realistic.

If you have assigned a background image to your preview, you can use this slider to adjust the brightness of the image. Move the Brightness slider to the left to dim the background image, simulating the view of your display during nighttime. The buttons on the left and right will modify brightness up or down one step at a time. Image brightness can also be changed from other areas of the program.

Modify The Preview: Importing

Click one of the buttons to start an import. If the sequence being upgraded doesn't have a block-style animation, the Animation button will be disabled. If the sequence doesn't have an associated Pixel Editor file, the Pixel Editor button will be disabled.

Import an S3 / S4 Visualizer file

If you have created a Visualizer file that defines all (or some) of the channels in the sequence being upgraded, you can select this option. You can also use this option to import Visualizer prop and fixture files.

A sample Visualizer file

A sample Visualizer file

Import a block-style animation created with the Sequence Editor

If the sequence you are upgrading has an animation in it that you created with the Sequence Editor, it can be imported into the preview. If there is no animation in the sequence file, then this option will be grayed out.

A sample animation in the Sequence Editor

A sample animation in the Sequence Editor

Import the Pixel Editor preview

If the sequence you are upgrading has an associated Pixel Editor file, you can import the Pixel Editor preview.

A sample Pixel Editor preview

A sample Pixel Editor preview

Modify The Preview: Unmatched Channels

Toolbar for the Unmatched List

Toolbar for the Unmatched List

Select one or more channels

Click on an item in the Unmatched list to select it. Ctrl-click on addition channels to add them to the selection. Or you can use Shift-click to add a range.

The Select Menu

The Select Menu

From the Select menu you can:

·Select all items in the list

·Select channels with a particular word in their name. You will be prompted for the word.

·Clear the selection

Sort Channel List

Click the top of a heading to sort the items by the values in that column. Click the the column heading a second time to reverse the sort order.

Draw a string for the selected channel

Select a channel in the Unmatched list, then click this icon. Then move your mouse pointer over the design canvas and notice cursor change to the edit cursor. Click on the design canvas to start drawing your string. A single click of the left mouse button will insert a node (vertex) into the line and allow you to continue drawing the next segment. To stop drawing, double-click the left mouse button or use the ESC key. When you stop drawing, the Matched and Not Matched lists will update.

Select the string you have drawn by clicking on or near it, then you can drag the nodes (small red squares) around to change the shape of your string.

If you don't like the string you have drawn and want to start over, just click the Undo button.

Draw a flood light for the selected channel

Select a channel in the Unmatched list, then click this icon. Then move your mouse pointer over the design canvas and notice cursor change to the edit cursor. Click once on the design canvas to place the flood light. The Matched and Not Matched lists will then update.

Select the flood light you have drawn by clicking near the center of it. Once selected, you can drag it around to adjust its position, or use the arrow keys to make finer adjustments.

If you don't like the flood light you have drawn and want to start over, just click the Undo button.

Auto-generate props for the selected channels

Auto

The fastest way to create a preview is to select all of the unmatched channels, then click the Auto button. The preview won’t look like your house, but channel information will be set correctly and it will allow you to get started with your sequencing right away.

Note that you can auto-generate the preview for a subset of channels if needed. Just select the desired channels, then click the Auto button.

A sample Sequence Editor file (left), and the corresponding auto-generated preview (right)

A sample Sequence Editor file (left), and the corresponding auto-generated preview (right)

Beat Channels

Beat channels are new to S5. In the S4 Sequence Editor, when you wanted to represent the musical beat, you just used a regular channel to do that. In S5, beat channels are a separate row type in the grid. They are intended to hold sequence effects related to the beat of the music; however, you can put any regular channel effect anywhere you want in a beat channel. Beat channels can only be added to musical sequences.

To designate one or more channels as beat channels, select them in the Unmatched list, then click the music note button. They will not be shown on the design canvas, but they will be listed in the "Matched To Preview" section with the Preview Prop column showing "<Beat Channels>".

Modify The Preview: Using the Design Canvas

The Design Canvas and Toolbar

The Design Canvas and Toolbar

Select, move, and resize items on the Design Canvas

In the picture above, there is 1 blue string, 2 red strings, and 5 RGB arches. The second arch is selected.

In the preview design window, traditional strings (incandescents, LEDs, strobes) are displayed with the color of the string (e.g. a string of red LEDs will show as red). RGB pixels and dumb RGB strings are displayed in white. Any string that has been selected, traditional or RGB, is shown in yellow.

The selected item is always shown in yellow and has 4 red scaling “handles” at the corners (lines just have 2 handles) and a rotation handle to the right. You can select multiple props by holding the Shift key down while clicking additional items.

If a single prop is selected, its name will be displayed just above the design canvas. If multiple props are selected, this area will show "<Multiple>".

The selected prop(s) can be dragged around the design canvas using the mouse. They can be resized by dragging any one of the 4 red handles in the corners, or by using the Ctrl-UpArrow and Ctrl-DownArrow keyboard shortcuts. You can rotate them by dragging the handle on the right side, by using the Format > Rotation menu, or by using the Ctrl-LeftArrow and Ctrl-RightArrow keyboard shortcuts. If you have multiple props selected, you can align them in many ways using the Format menu.

Any movement, scaling, or rotation action can be undone by clicking the undo button or using the Ctrl-Z keyboard shortcut.

Zoom in and out

You can zoom in on your props to make fine adjustments. When zoomed in, use the scroll bars to move around the preview.

Format Menu

Align - If multiple props are selected, the items on this sub-menu allow you to align those props in various ways.

Make same size - If multiple props are selected, the items on this sub-menu allow you to resize the selected items such that they all have the same width, height, or both.

Horizontal spacing - If multiple props are selected, the items on this sub-menu allow you to make the horizontal spacing between them equal, or to remove any space between them (so they abut one another).

Vertical spacing - If multiple props are selected, the items on this sub-menu allow you to make the vertical spacing between them equal, or to remove any space between them (so they abut one another).

Rotation - After selecting 1 or more props, the actions listed under the “Rotation” menu allow you to rotate the selected items back to their default orientation (0 degrees), to 90 degrees right, or 90 degrees left. Selected props can be rotated to any angle by dragging the rotation handle that is displayed when they are selected or using the keyboard shortcuts Ctrl-LeftArrow and Ctrl-RightArrow. Ctrl-0 (control key + zero key) is a shortcut for resetting rotation back to the default orientation (0 degrees). Note that freeform prop shapes do not have a default orientation, so the Rotation > 0 command has no effect on them.

Reset - After selecting 1 or more props, the actions listed under the “Reset” sub-menu allow you to reset the selected items back to their default position (centered), or default size (half of the canvas size), or both.

Add Items

Click on the plus icon to add a Light-O-Rama controller to the preview. After adding the controller, its channels will automatically be matched up with those in the sequence.

Delete items

You can delete one or more items by selecting them on the design canvas, and then clicking the delete button or pressing the Delete shortcut key. If you delete an item by mistake, you can always click the Undo button.

Undo/Redo

Adds, deletes, movement, scaling, and rotation can be undone and redone.

clicking this icon undoes the last operation, and has the keyboard shortcut Ctrl-Z.

clicking this icon reapplies an operation that was previously undone, and has the keyboard shortcut Ctrl-Y.


SuperStar Sequencer

SuperStarIcon

The Light-O-Rama SuperStar Sequencer can be used as a sort of front end to the Light-O-Rama Sequencer, to create sequences for Cosmic Color Ribbons or other lights visually instead of using a channels-versus-time grid. For more information, please see the following pages:

· Welcome

· Overview

· Instant Sequences

· Custom Sequences

· Summary of Commands and Keyboard Accelerators

· Purchased Sequences


Welcome

Launching SuperStar in S6

To launch SuperStar from the S6 Sequencer you must have the Pro license. Once you have the Pro license you can create motion effect rows. If you do not plan on purchasing the Pro license then it is recommended that you use S4. The version of SuperStar that is in S4 has all the same features as the version that is in S6.

Once you have the Pro license then the way to use SuperStar in S6 is to do the following:

1.Select some of all of a motion effect row (To select all of a row do right click on the row and select “Select” and then select “Row”).

2.Right click on the region you just selected and select Insert SuperStar Effect

3.Wait a few seconds and SuperStar will launch.

4.Do your sequencing. There are several ways to do your sequencing as listed below:

Load in a Purchased Sequence

Click on the “File” menu and select “Open” and open a .sup file that you have purchased. The effects will be loaded into the SuperStar screen and you can play them to the screen. Note that you should be using a preview that matches the layout that the sequence was designed for.

Instant Sequences

Create sequences in seconds using the “Instant Sequence” feature by simply doing the following:

·Press Ctrl+I to launch the Instant Sequence dialog box, use the 3 buttons in the lower left of the dialog box

·Click on the “Open Audio File” button to open your audio file

·Click on the “Sequence All” button

·Click on the “Play/Stop All” button

Custom Sequences

Create Super Sequences like the ones at www.superstarlights.com

These sequences were created using scenes, morphs, images, and text actions. Learn more about how to do this in the Custom Sequences topic.

Auto Sequence

In the Scene, Morph, Smooth Effects, Image, and Text dialog boxes you can click on the button that has a car on it and add an Auto Sequence Effect. SuperStar will automatically move the effect with the music. It takes a little longer to learn to do Auto Sequence than Instant Sequence but it is more versatile and allows individual creativity in applying your effects. For complete instructions visit the Auto Sequence topic.

5.After doing your sequencing in any of the ways listed in step 4, simply shut down SuperStar by clicking on the Red X in the upper right of the program. You will be returned to the S6 Sequencer and the the sequencing that you did will automatically get saved into the S6 Sequencer. Click on the “Play” button in the S6 Sequencer and the sequencing will be played to the S6 computer screen.

6.If you wish to edit your sequencing, double click on the sequencing in the S6 Sequencer motion effect row, SuperStar will launch and the effects that you saved will be in SuperStar and you can edit the effects and then shut down superstar and those changes will automatically be saved.

Starting SuperStar from the Windows Start menu (not via the Sequencer) will result in SuperStar running in Demo mode.


Overview

This page gives an overview of the Light-O-Rama SuperStar Sequencer:

· Launching SuperStar in S5

· Exporting a sequence

· Exporting in the legacy format

· Exporting in the new intensity data format

· Playing a sequence exported as intensity data

· Floating windows

Launching SuperStar in S6

To launch SuperStar from the S6 Sequencer you must have the Pro license. Once you have the Pro license you can create motion effect rows. Then you do the following:

1.Select some of all of a motion effect row (to select an entire row, right click on the row, open the “Select” sub-menu, and then select “Row”).

2.Right click on the region you just selected and select “Insert SuperStar Effect”

3.Wait a few seconds and SuperStar will launch.

4.Do your sequencing

5.Shut down SuperStar by clicking on the Red X in the upper right of the program. You will be returned to the S6 Sequencer and the the sequencing that you did will automatically get saved into the S6 Sequencer. Click on the “Play” button in the S6 Sequencer and the sequencing will be played to the S5 computer screen.

Note:

If you have the Demo version of SuperStar the sequence is still saved, but you will not be able to play the SuperStar Sequencing to the S6 Preview nor will you be able to play the SuperStar sequencing to your actual lights. But everything else in SuperStar will be fully functional.

Exporting a Sequence

In S6, “Export to Sequence Editor” is allowed but not recommended. The only reason you would use it would be to export the sequence so it can be played in the S4 Sequence Editor.

To export a sequence so you can play it in the S4 Sequencer, click on the File menu and select "Export to Sequence Editor". The "Export to Sequence Editor" dialog box will appear.

·"Export in Legacy Format": Legacy format is the format that was always used prior to the S4 release. Use this option to export in the same way that was always used prior to the release of S4.

·“Include Macro Channels for Cosmic Color Devices”. Light-O-Rama Cosmic Color Devices have seven macro channels. Superstar does not use the macro channels, but the default is to include them in the export. If you use copy/paste into a main sequence, the main sequence will have the macro channels and it is important for the source and destination of the copy/paste to match. If you are using RGB pixel devices not made by Light-O-Rama they will not have macro channels. If you are using copy/paste to get the exported sequence into the RGB pixels you will not want the macro channels in the export.

·"Export in New Format (as Intensity Data)": This option will export in the new format as intensity data. All of the exported data will appear as one line at the bottom of the sequence in the Sequencer. The new intensity data format is designed to better support large numbers of channels and pixels. The intensity data format is also very handy because it automatically gets merged in with your main sequence and will play alongside your main sequence. Please note that you must have a Pro level license in order to use intensity data.

·"Add Intensity Data to Existing Sequence": Choose this option if you already have a main sequence and you want to add the exported data to the existing main sequence.

·"Add Intensity Data to New Sequence": Choose this option if you want to add the intensity data to a new sequence. SuperStar will create a new Sequencer sequence with a main body that is empty and will add the intensity data to it. You can then play the sequence. This is a way to play the exported sequence as a "stand alone"sequence.

Exporting in the Legacy Format

If the name of your SuperStar sequence was “MyAwesomeSequence.sup” then the default name for the exported sequence will be “MyAwesomeSequence_sup.lms.” You can change the name if you wish.

When use the legacy format you can play it as a stand-alone sequence in the S4 Sequence Editor.

Exporting in the New Intensity Data Format

Intensity data gets placed on a line at the bottom of an S4 Sequence Editor sequence. The intensity data is played alongside the rest of the sequence so it automatically gets merged with the rest of the sequence. Note that the intensity data should not send commands to any of the same channels that are in the main sequence.

Playing a Sequence Exported as Intensity Data

·Launch the Light-O-Rama S4 Sequence Editor

·Click on the “Existing Sequence” tab

·Select the file you exported

·Click on the “Ok” button

·Click on the “Play” button in the Light-O-Rama Sequence Editor

Floating Windows

When using a large number of CCRs, the sequencing grid and/or the visualization in SuperStar can become small. You can put the sequencing grid and the visualization each in their own window. That way you can place them where you want, and size them how you want. And if you have two monitors, you can put one of them in each monitor.

To activate floating windows, click on the "View" menu and select "Floating Windows".


Instant Sequences

Using the Light-O-Rama SuperStar Sequencer, you can now create a sequence in seconds using the "Instant Sequence" feature. This is a first for the home light show industry.

· Creating an instant sequence

· Timing map description

· Apply different sets of theme, color, and movement to different parts of the song

Creating an Instant Sequence

Click on the Tools menu and select "Instant Sequence..." (or you can press Ctrl+I), which will open the Instant Sequence dialog. In the lower left of the Instant Sequence dialog, click on the "Open Audio File" button. Then click on the "Sequence All" button. The effects for a sequence will appear in the time layers. Click on the "Play/Stop All" button.

Was that totally awesome or what! The timing marks were created by analyzing the audio file. The sequence was created using the timing marks and the theme, color and movement variations that you see in the dialog box. Now let's create another sequence:

Click on the "Roll Dice" button to get a random set of theme, color, and movement variations. Click on the "Sequence All" button; it will ask you if you want to erase the current sequence without saving (answer "Yes"). Click on the "Play/Stop All" button.

"Roll Dice" is the easiest way to try different TCM ("theme, color, movement") settings, but you can set them manually also:

·Theme: The theme contains one or more effects. These effects are placed at each trigger. For example, "3 Segs" is made of three scenes that will place segments onto the ribbon, with segments having gaps between them. "1 Morph Full Length" has one morph in it which is always assigned to span the entire length of the ribbon. "Morphs colliding" is two morphs, each morph being half the length of the ribbon, with the two morphs coming towards each other and stopping when they meet each other. The best way to see what each morph is is to try it out and play it back.

·Color: This setting controls the colors assigned to the theme:

·Native: The theme uses the colors that the effect was created in. Most themes were created using red. If the theme has more than one effect, then it may have other colors. For example, the three segments in "3 Segs" were created using red, green, and blue, and so using Native for "3 Segs" will result in all of the effects being red, greeen, and blue.

·RGBW by group: This setting will take each group of effects in the theme and assign red, then green, then blue, then white to them. For example, if using the "3 Segs" theme, all three scenes in the theme will be red the first time the theme is triggered, green the second time, blue the third time, and white the fourth time. The fifth time, it will cycle back to red.

·RGBW by effect: This setting will take each effect in the theme and assign red, then green, then blue, then white to them. For example, if using the "3 Segs" theme, the first time the theme is triggered, the first scene will be red, the second green, and the third blue. The second time the theme is triggered, the first scene will be white, the second red, and the third green. The end result is that RGBW by effect results in more colors than RGBW by group. Note that if the theme has only one effect in it, there will be no difference between RGBW by group and RGBW by effect.

·Color wheel by group: This works similarly to RGBW by group, except it cycles through 21 different shades of colors in the color wheel when assigning a color to the group of effects in a theme.

·Color wheel by effect: This works similar to RGBW by effect except it cycles through 21 different shades of colors in the color wheel when assigning a color to individual effects in a theme.

·Custom Colors by group: This works similar to RGBW by group except it cycles through the custom colors chosen for this TCM. For example, to choose the custom colors for TCM 1 click on the “Set Custom Colors 1” button.

·Custom Colors by effect: This works similar to RGBW by effect except it cycles through the custom colors chosen for this TCM. For example, to choose the custom colors for TCM 1 click on the “Set Custom Colors 1” button.

·Red, Orange, Yellow, White, Green, Blue, Purple: Select any of these colors to make all effects in the theme be that color

·Color by time: This setting can only be used when color is set to RGBW by group, RGBW by effect, Color wheel by group, or Color wheel by effect. With this setting, you choose a length of time for all of the effects in the theme to change color. For example, if you select "every 4 seconds", then instead of changing color at each trigger, the theme will change every four seconds.

·Movement: This setting controls the start and end point of the effects in the theme.The first drop-down list is the movement type. The second drop-down list is the movement speed:

·None: The theme will start and end at the same location every time it is triggered. Note that "None" does not mean that the theme will have no movement; it just means that the start and end of its movement does not change.

·Right same row: Move the start and end points of a theme to the right every time it is triggered. When a start or end point reaches the end of the ribbon it wraps around to the beginning. The themes that contain effects that span the entire length of the ribbon are special cases. For those effects assigning any movement other than “None” will make them alternate directions. “1 morph full length” is an example of a theme that always spans the entire length of the ribbon.

·Left same row: Same as “Right same row” except the start and end points of the theme move to the left.

·Up same column: Same as “Right same row” except the start and end points of the theme move up.

·Down same column: Same as “Right same row” except the start and end points of the theme move down.

·Pass by: The start: point is moved at a faster pace than the end point so that it “passes by” the end point.

·Random same row: The start and end points are random on the same row

·Right multi-row: The start and end points move to the right. When the end of a row is reached, the point moves down to the next row. When the end of the bottom row is reached it wraps back up to the top row.

·Left multi-row: The start and end points move to the left. When the left end of the row is reached the point moves up to the next row. When the end of the top row is reach it wraps down to the bottom row.

·Up multi-column: The start and end points move up. When the top column is reached it wraps to the next column to the right. When the top of the last column is reached it wraps to the first column on the left.

·Dn multi-column: The start and end points move down. When the bottom column is reached it wraps to the next column to the left. When the bottom of the beginning column is reached it wraps to the last column on the right.

·Snake up: The start and end points move to the right and then when the end of the row is reached it moves to the next row up, and then moves to the left until it reaches the beginning of that row and then moves up and starts moving to the right and so on.

·Snake dn: The start and end points move to the right and then when the end of the row is reached it moves to the next row down, and then moves to the left until it reaches the beginning of that row and then moves down and starts moving to the right and so on.

·Random Rows: The start and end points move to random rows. In other words, the start and end points will always be on the same row, but the row they are on will be random.

·Random Points: The start point is at a random location, and the end point is at a random location.

·VU Meter: Makes the triggers behave like a VU Meter at the top of the ribbons. A VU Meter is a meter like what you might see on a stereo that has an equalizer. When using VU Meter as the movement, you should use “1 Pixel” as the Theme.

·Movement Speed: This is the number of pixels moved at every trigger. For example, a value of 1.0 will move 1 pixel every trigger. A value of 0.2 will move 0.2 pixels every trigger, but since fractional pixel movement cannot be seen on the screen, it will move 1 pixel for every 5 triggers.

·Intensity: This setting controls the intensity of the color assigned to the theme.

·Trigger: This is the trigger type.

·Normal: This is the only trigger type that Instant Sequence originally had. It produces one trigger every time the strength of the sound at the Frequencies chosen go above and below a certain threshold.

·Rapid Fire: Think of this trigger type as the “scoot along” trigger. This is a new trigger type that is designed to work better for visualization sequences, especially those with low numbers of channels. Rapid Fire produces a trigger for each of the Frequencies chosen. If there are many frequencies chosen for a ribbon in the timing map, then many triggers can get produced. The result is that the effects “scoot along” with the music. You should use “1 Pixel” as the Theme when using Rapid Fire. You can use other Themes but realize that since it produces so many triggers, you can end up with thousands of effects. It is recommended to use Rapid Fire on only one or two of the ribbons.

To get "Rapid Fire" to respond to all frequencies in the song, click on the Timing Map button and set "All Freqs" for the row that corresponds to the row assignment of the TCM that is using "Rapid Fire". For example:

·Set "Rapid Fire" for TCM 1.

·In "Row Assignments to TCM (Theme/Color/Movement)", set TCM 1 to Row 1. Set all other rows to "None".

·Click on the "Timing Map" button.

·In the Timing Map dialog box, set "All Freqs" under Row 1.

·In the Instant Sequence dialog box, click on the "Sequence All" button, then the "Play/Stop All" button.

Ribbon assignments to TCM: Across the top are the ribbon numbers. On the left is TCM1, TCM2, TCM3, TCM4, and None. By clicking on the grid of circles, you can assign a TCM to each ribbon. For example, if you have four ribbons, you could assign TCM1 to Ribbons 1 and Ribbons 2 by clicking on the two upper left circles. Then you could assign TCM2 to Ribbon 3 and Ribbon 4 by clicking on the circles in the second row that are underneath the numbers 3 and 4. You can choose "Non" to make no effects be assigned to a ribbon.

To increase or reduce the number of effects being created, you can change the sensitivity. Do this by clicking on the "Timing Map" button and changing the Sensitivity setting in the upper left of the Timing Map dialog box. Click on the "Sequence All" button in the "Instant Sequence" dialog box to create a new sequence using the new sensitivity setting.

The sensitivity setting may be the only setting that you ever change in the Timing Map dialog box, but if you are adventuresome and want to experiment with the other Timing Map settings, read the next section.

Timing Map Description

Click on the "Timing Map" button in the Instant Sequence dialog box. A large dialog box entitled "Timing Map" will appear. This dialog box gives you control over the mapping of the frequency spectrum to the ribbons, which is how the timing marks get created:

· Freq 1 through Freq 32

· Beat, Both, Left, Right

· Sensitivity

· Length of Effects

· Extend Length of Effects

· Apply Sensitivity as

· Default Freq Settings

· Change the Timing Map

Freq 1 through Freq 32

Note that there are check marks showing that Freq 1 and Freq 2 are mapped to Ribbon 1. Freq 3 and Freq 4 are mapped to Ribbon 2, and so on. On the right side of the dialog box is a piano keyboard which shows which notes the Freqs map to. The default is to have the low frequencies assigned to ribbon 1 and asign higher frequencies to each ribbon thereafter, with the highest frequency assigned to the highest number ribbon that you have.

One reason you might want to change these settings is if your high number ribbons are not getting many effects assigned to them. This would happen if the song does not have many high notes in it. So, to get more action on the high number ribbons, you can assign more frequences to them.

Beat, Both, Left, Right

The default setting is "Both", meaning both the left and right channels of the stereo sound will be used when creating effects. You can also set "Left" or "right" to use the left or right channel of the stereo sound. Click on "Beat" to use the beat when creating effects.

Sensitivity

Sensitivity can be set to values from 1 to 10. The default is 5. Setting to a higher number will create more effects. Setting to a lower number will create fewer effects.

Length of Effects

Length of Effects can be set to values from 1 to 10. The default is 5. Setting to a higher number will make some of the effects last longer. Setting to a lower number will make some of the effects shorter. You can also think of this as the "Ritalin" setting, in that a higher number will sedate hyperactive sequences and make them more mellow.

Extend Length of Effects

This option extends the length of each effect. The length of each effect will extend up to the start of the next effect. This makes the instant sequence less "blinky".

Apply Sensitivity as

·Volume Relative: This is the default. With this setting, the sensitivity is applied by looking at the overall volume of the song. In essence, it raises and lowers the sensitivity to more nearly match the volume of the song at each point in the song. This helps even out the number of effects that are triggered even in the quieter parts of the song. Note, however, that the quieter parts of the song will still have fewer effects triggered than the louder parts of the song.

·Freq Relative: With this setting, the sensitivity is applied by looking at the volume for an individual frequency and adjusting the sensitivity for each frequency to more nearly match the volume of the song for that frequency at that point in the song. This helps even out the number of effects that are triggered for all frequencies. For example, if the song has a strong bass part in it and has some distinctive higher notes that are not as strong, this setting will help trigger those higher frequencies even though their volume is weaker. Note that it helps even out the number of effects in all frequencies, but the weaker frequencies will still have fewer effects triggered than the louder frequencies.

·Absolute: With this setting, the sensitivity is applied "as is". In other words, the louder parts of the song and the louder frequencies will get triggered more than the weaker parts of the song, and no attempt is made by the software to level out the number of effects that are triggered.

Default Freq Settings

There are seven default freq settings that you can use. For example, click on "Stereo Low to High" and then click on "Set Freq Spectrum", and you will see the check marks and radio buttons change in the timing map so that the left and right channels of the stereo sound are used.

You can choose to "Include Beat" in the generation of effects.

By default, "Set Theme, Color, and Movement" is selected, meaning that when you click on the "Set Freq Spectrum" it will also set some default values for the Theme, Color, and Movement. If you want to keep the Theme, Color, and Movement settings that you have, then you would uncheck "Set Theme, Color, and Movement".

Change the Timing Map

In the "Default Freq Settings" area, click on "Stereo Low to High", and then click on "Set Freq Spectrum". Go back to the "Instant Sequence" dialog box and click on "Sequence All". It will ask you if you want to overwrite your existing timings; answer "Yes". It will ask you if you want to erase the existing sequence without saving; answer "Yes". Click on "Play/Stop All".

Notice that the ribbons on the left half have effects applied based on the left stereo channel, and the ribbons on the right half have effects applied based on the right stereo channel.

Apply Different Sets of Theme, Color and Movement to Different Parts of the Song

By default, you sequence the entire song each time you click on "Sequence All". To add more variation to your sequence, you can just do a portion of the song. To do this:

·Launch the "Instant Sequence" dialog box by pressing Ctrl+I.

·Near the top of the dialog box, click on the "Sequence the Selection Only" radio button.

·Use the Rewind or Forward buttons on the toolbar to scroll to the beginning of the region you want to sequence.

·Use a single left mouse click to mark the beginning of the region.

·Use the Forward or Fast Forward buttons on the toolbar to scroll to the end of the region you want to sequence.

·Use a single right mouse click to mark the end of the region.

·Before clearing the region, it is a good practice to click on "Unique Save As". This button is a quick way to save the current state of the sequence to a unique file name so that you can go back to it if you need to.

·If the region is not already cleared, click on "Clear Selection without Saving".

·Click on "Roll Dice", or set the theme, color, and move variations manually.

·Click on "Sequence Selection".

Note that "Clear Selection without Saving" uses the beginning of an effect to decide if it should be deleted. In other words, all effects whose start time falls within the selection region will be deleted.


Custom Sequences

What you won't see in the Light-O-Rama SuperStar Sequencer is the giant grid that the traditional Sequencer uses; instead, effects are added by:

1.Setting time ranges in the time scale.

2.Selecting squares in the Green Pixel grid (also referred to as the sequencing grid).

3.Using the Scenes, Morphs, Images, and Text dialog boxes in the Tools menu.

For more information, please refer to the following sections of this help file:

· Creating a Scene

· Creating a Morph

· Creating an Image Action

· Import Image

· Creating an Animation

· Creating Text

· Smooth Effects

· Groups of Effects

· Select One or More Rows

· Transfer Effects from One Sequence to Another

· Load/Save Clipboard

· Change to 10 Pixels per Ribbon

· "Star Rays", "Wide Grid", and "Thin Grid"

· The Layout Dialog Box

· The Preferences Dialog Box

· Configure Controller Unit IDs Using the Light-O-Rama Hardware Utility

· Configure Controller Unit IDs in the SuperStar Sequencer

· Select All, Select All Left, and Select All Right

· Importing a Timing Grid and up to 3 Timing Channels


Creating a Scene

In the Light-O-Rama SuperStar Sequencer, a "scene" is a set of pixels that have the same start color, the same end color, a start time, and an end time.

· Initialize the Screen

· Launch the Scene Dialog Box

· Select Some Pixels in the Pixel Grid

· Add the Scene

· Play the Scene

· Create a Scene that Has an End Color

· Play the Scenes

· Change Some Settings

· Modify a Scene

· Play the Scenes Again

· Why Did the First Scene Go from Red to Purple to Blue?

· Undo and Redo Your Modification

· Group Select

· Group Modify

· Using Group Modify to Clone

· Pause and Freeze Frame

· Add Some More Scenes of Your Choosing

· Save the Scenes You Have Created

· Normal, Shimmer and Twinkle

Initialize the Screen

Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the Start color as red, and set the time duration to 1.00-2.00 seconds.

Launch the Scene Dialog Box

Click on the Tools menu and select "Scenes". The Scene dialog box will launch. Whenever the scene dialog box is launched, the "Monochrome" mode is automatically selected and the toolbar button with a black and red rectangle will depress.

Select Some Pixels in the Pixel grid

While in "Monochrome" mode, you can color pixels in the pixel grid using the left mouse button. You can use single click or click and drag. You can erase pixels in the pixel grid using the right mouse button. Ctrl + right mouse button will erase the entire grid. Since the Start color is already set to red, the pixels will become red as you select them.

Add the Scene

In the Scene dialog box, click on the "Add" button to add the scene.

Play the Scene

Click on the play button in the toolbar (the button with a triangle pointing to the right). Note that at 1.00 seconds, the group of pixels you selected will turn red.

Create a Scene that Has an End Color

The default is for the "Start"and "End" color to both be red. Let's change that and create another scene:

·Set the start and end time to 2.00 to 3.00 seconds. You can select the time with the mouse by selecting a region in the time scale, or you can type into the fields in the dialog box.

·Color some pixels.

·The left red control is already at 100%; the selected pixels will turn red.

·Set the right red control to 0%; this represents the "End" color. When you set the "End" color it does not appear in the pixel grid, but it does appear as a number in the Scene dialog.

·Click on the "Add" button to add this scene.

Play the Scenes

Click on the Play button in the toolbar. At 1.00 seconds the first group of pixels will turn red and stay red. At 2.00 seconds, the second group of pixels will turn red and fade to black.

Change Some Settings

In the Scene dialog box, there is a list box listing the scenes you have added. They are listed chronologically by their start times. Select the first scene in the list. Note that the time, colors, and pixels for that scene appear in the main screen. The "End" color for this scene is black. Set 100% Blue for the end color. You can do this with the right Blue color control, or by manually typing 100 into the field in the Scene dialog box.

Note: Right click on the colored box above the color controls to bring up a "Color Picker" dialog.

Modify a Scene

Click on the "Modify" button. This will apply the new settings to the currently selected scene.

Play the Scenes Again

Click on the Play button. at 1.00 seconds, the pixels in the first scene will turn red, fade to purple, and then fade to blue by 2.00 seconds. At 2.00 - 3.00 seconds, the second scene will play, same as it did before.

Why Did the First Scene Go from Red to Purple to Blue?

You probably already figured this out: What you really did was set a red ramp that started at 100 and ended at 0. You also set a blue ramp that started at 0 and ended at 100. So in the middle, red was at 50 and blue was at 50, and the red and blue mix to make purple.

Undo and Redo Your Modification

Click on the Edit menu and select "Undo Scene Modify". Then click on the Edit menu and select "Redo Scene Modify".

If you do an Add, Modify, or Delete, and change your mind, you can undo your change. You can undo up to ten actions. After undoing up to ten actions, you can also redo them.

Group Select

There are two ways to use the mouse to select both of the scenes:

1.Click and hold the left mouse button and drag the selection rectangle to contain both of the scenes in the time layer area.

2.Click on the first scene to select it, then press and hold the Ctrl key while clicking on the second scene.

Group Modify

Set the start color to yellow, by setting 100% red and 100% green (red and green mix to make yellow). Click on "Group Modify" in the Scene dialog box. A popup box will appear, entitled "Scene Group Modify".

Because you changed the start color, "Modify Start Color" will already be selected. Click on "OK". Note that the start color of both the scenes has changed to yellow.

Using Group Modify to Clone

Click on "Group Modify" again; because you have not changed anything, none of the boxes are selected. However, you can select any or all of the checkboxes to clone the attributes of the first scene onto all the selected scenes. For example, select "Modify End Color", then click "OK". The End color will be cloned onto the second scene.

Group Modify is a very powerful tool that can save a lot of time as you fine tune a sequence. It allows you to change an attribute across an entire group of effects just to see how it looks. As with other features, you can undo and redo a group modify.

Pause and Freeze Frame

To the left of the stop button on the toolbars is the pause button. When you press the pause button, a white line appears at the time selection point. While paused, the rewind and forward keys will step through the sequence in "freeze frame" manner. You can also click anywhere on the timeline to reposition the location of the freeze frame. This is very useful while developing sequences, to better see what each frame of the sequence will look like.

Unpause by clicking on the pause button again, or by clicking on the stop button.

Add Some More Scenes of Your Choosing

Go ahead and add some more scenes and play with the different settings. The times of the scenes can overlap. however, scenes that share the same time period should not share the same pixels. This creates a "pixel collision", and currently the results are not predictable (in the future, the SuperStar Sequencer will detect and prevent collisions).

Save the Scenes You Have Created

Click on the File menu and select "Save As". Save the scenes you have created as a file named "MyScenes.sup".

Normal, Shimmer and Twinkle

·Normal – Displays the effect normally without any shimmer or twinkle

·Shimmer – Turns the lights off and on quickly to create a shimmer effect. There is a shimmer speed control that defaults to 10. You can slow the shimmer down by reducing the speed.
Note: For pixels all channels in the pixel will be turned on and off together meaning that a white pixel will shimmer white.

·Twinkle – Turns the lights off and on slowly to create a twinkle effect. There is a shimmer speed control that defaults to 5. The speed can be set to any value from 1 to 10.
Note: For pixels the channels will be turned on and off individually. For example, in a white pixel the red, green, and blue channels will be turned off individually giving a multicolored twinkle. If you want a twinkle that is not multicolored then use shimmer and reduce the speed to 5 or below.


Creating a Morph

In the Light-O-Rama SuperStar Sequencer, a "Morph" consists of the following:

·Layer: Defines priority if there are collisions (future)

·Acceleration: The morph can accelerate as it goes from "State 1" to "State 2"

State 1 and State 2 each consist of:

1.Start point and end point of a line

2.Head color

3.Time

4.Head length

Tail consists of:

1.Color, which can be determined in one of two ways:
(a) Start Color and End Color
(b) Use the Head Color

2.Time length

Here is an example of how to create a morph:

· Get a new screen

· Launch the Morph dialog box

· Observe the default settings

· Add first morph

· Play the morph

· Set a simple morph with a different start and end color

· Modify the morph

· Play the morph

· Add a trail length

· Modify the current morph

· Play the morph again

· Change the State 1 line to a vertical line

· Change the State 2 line to a vertical line

· Set color of the State 2 line to 100% green

· Set the time to 2.00 to 3.00

· Add a second morph

· Play the morph

· The morph twist

· Save your morph

· Morph summary

· Normal, Shimmer and Twinkle

· Show Entire Head at Start

· Acceleration

· The length of a morph

Get a new screen

Click on the toolbar button that has a picture of a piece of paper on it.

Launch the Morph dialog box

Click on the Tools menu and select Morph. The Morph dialog box will launch, and the Scene dialog box will automatically be shut down. Whenever the Morph dialog box is launched, the "Morph" mode is automatically selected, and the black toolbar button with horizontal lines on it will be depressed.

Observe the default settings

By default, a red line for State 1 will be at the top of the pixel grid, and a red line for State 2 will be at the bottom of the pixel grid. The time duration will be 1.00 to 2.00 seconds. The Tail start color will be red, and the time length will be 1.00 seconds.

Add first morph

Press the "Add" button to add the morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, a red line will start from the top and go down to the bottom, leaving a trail that fades to black in one second.

Set a simple morph with a different start and end color

Leave the start color at red. Set the end color to blue. Set the Tail Time length to 0.00.

Modify the morph

Press the "Modify" button to modify the selected morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, a red line will start from the top and go down to the bottom. The line will change from red to purple and then to blue by the time it reaches the bottom at 2.00 seconds.

Add a trail length

The trail length defaults to 1. Make the morph leave a trail by typing in a number in the Trail Length field. For this exercise, change the State 1 Trail Length to 2, and change the State 2 Trail Length to 10.

Modify the current morph

Click on the "Modify" button. This applies your changes to the currently selected morph in the morph list.

Play the morph again

This time, the morph will leave a trail of two lines at the top, and will change to leaving a trail of 10 lines at the bottom.

Change the State 1 line to a vertical line

The State 1 line is defined using a click and drag with the left mouse button. Note that one end of the State 1 line is labeled "1a"and the other end is labeled "1b". The start of the mouse drag will be "1a" and the end will be "1b". Make a vertical line by dragging on the left side of the pixel grid. Make your selection from top to bottom. When you are done, the top of the line should be labeled "1a", and the bottom of the line should be labeled "1b".

Change the State 2 line to a vertical line

The State 2 line is defined using a click and drag with the right mouse button. Note that one end of the State 2 line is labeled "2a" and the other end is labeled "2b". The start of the mouse drag will be "2a" and the end of the drag will be "2b". Make a vertical line by dragging on the right side of the pixel grid. Make your selection from top to bottom. When you are done, the top of the line should be labeled "2a" and the bottom of the line should be labeled "2b".

Set color of the State 2 line to 100% green

The color of the State 2 line is controlled by the right color controls. Set the right Blue control to 0% and the right Green control to 100%. This will change the State 2 line color from blue to green.

Set the time to 2.00 to 3.00

You can do this with the mouse on the time scale, or you can type the values into the dialog box. State 1 time is the start time, and State 2 time is the end time.

Add a second morph

Press the "Add" button to add the second morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, the first morph will play as it did before. At 2.00 seconds, the second morph will start from the left and end at the right.

The morph twist

Set the Tail Time Length back to 1.00 seconds. The Tail start color should be 100% red. Redefine the State 1 line by doing a mouse drag from bottom to top. Now "1a" will be on the bottom, and "1b" will be on the top. Click on the "Modify" button. Play the morph.

This time, the line will twist as it travels across. The effect will be that the line will become shorter in the middle and then get bigger. This is because as the morph progresses, point "1a" moves to point "2a", and point "1b" moves to point "2b".

Save your morph

Click on the File menu and select "Save As". Save the morphs you have created as a file named "MyMorphs.sup". Note that files can contain any combination of scenes and morphs. In this example, you saved them separately, but you could have saved your scenes and morphs together into a file of any name you choose.

Morph summary

Are morphs cool or what? You can do a lot with morphs. In the exercise, we morphed between two horizontal lines and between two vertical lines. You can also morph between diagonal lines.

Head Length and Tail Time Length can end up giving similar effects, but are applied differently. Head Length leaves a head that is a certain number of pixels long. Tail Time Length is applied after the Head effect, and is on for a certain amount of time. Experiment with different Head and Tail Time Length settings to get a feel for how they work.

Also, realize that when you specify a Tail Time Length to use the Head Color, it means to use the colors specified for the head. If the State 1 and State 2 head colors are different, then the Tail will use the appropriate intermediate color for the tail for the length of the tail. When you specify "Use Head Color", the intermediate color is determined by the location of the Tail along the morph, whereas when you specify a start and end color for the Tail in the Tail section, the intermediate color is determined by the time since the morph started.

Normal, Shimmer and Twinkle

·Normal – Displays the effect normally without any shimmer or twinkle

·Shimmer – Turns the lights off and on quickly to create a shimmer effect. Only the tail will shimmer. There is a shimmer speed control that defaults to 10. You can slow the shimmer down by reducing the speed.
Note: For pixels all channels in the pixel will be turned on and off together meaning that a white pixel will shimmer white.

·Twinkle – Turns the lights off and on slowly to create a twinkle effect. Only the tail will twinkle. There is a shimmer speed control that defaults to 5. The speed can be set to any value from 1 to 10.
Note: For pixels the channels will be turned on and off individually. For example, in a white pixel the red, green, and blue channels will be turned off individually giving a multicolored twinkle. If you want a twinkle that is not multicolored then use shimmer and reduce the speed to 5 or below.

Show Entire Head at Start

This setting allows you to start with the entire head being visible from the start. For example, if the morph travels 50 pixels, you can set State 1 Head Length to 50 and set State 2 Head Length to 0, and the morph will be 50 pixels long right from the start, and will get shorter and disappear at the end.

Acceleration

An acceleration of 0 means no acceleration. A positive number means accelerate from a slower speed to a faster speed. A negative number means decelerate from a faster speed to a slower speed. Try making a morph that travels downward and give it an Acceleration of 5. The morph will look like gravity is accelerating it downward. Try making a morph that travels upward and give it an Acceleration of -5. The morph will look like gravity is slowing the morph down as it travels upwards.

The length of a morph

Most people won't care about the details of the total length of a morph. But for those that really want to know, there are three parts to a morph:

1.Root: This is the time for the leading edge of the morph to travel from State 1 to State 2.

2.Head Length: The State 2 Head Length will add the length of the head at the end of the morph. This head will take some time to travel past the end location of the morph.

3.Tail Length: The tail length is in seconds, and is applied after the Root and Head.

The length of the Head and the Tail are displayed on the timeline as a narrow rectangle. Note that only the root can be selected. Clicking on the head or the tail will not do anything.


Creating an Image Action

In the Light-O-Rama SuperStar Sequencer, an "image action" will move an image from a start point to an end point. At the end, a ramp can be applied. An image action consists of:

·Layer: Defines priority if there are collisions (future)

·Acceleration: The image can accelerate or decelerate as it goes from point A to point B (future)

·Image: A bitmap

·Start point

·End point

·Ramp

Ramp consists of:

·Time length

·Start color (future)

·End color (future)

Here is an example of how to create an image action:

· Get a new screen

· Launch the Image Action dialog box

· Observe the default settings

· Draw an image

· Add an image name

· Add the image

· Observe the default image action values

· Type an image action name

· Add the image action

· Play the image action

· Add another image action

· Play the image actions

· Stop at the right edge

· PreRamp and PostRamp

· Manipulate Selected Image

· Normal Image, Silhouette Mask, Silhouette Mask Adjacent Effects Only

· View the image actions on a square grid

· Play it again

Get a new screen

Click on the toolbar button that has a picture of a piece of paper on it.

Launch the Image Action dialog box

Click on the Tools menu and select "Images". The Image Action dialog box will launch, and the Morph dialog box will automatically be shut down. Whenever the Image Action dialog box is launched, the "Draw" mode is automatically selected and the toolbar button with a pencil on it will be depressed.

Observe the default settings

By default, the left red color control will be set to 100%. The time duration will be 1.00 to 2.00 seconds. All pixels in the pixel grid will be black.

Draw an image

Leave the left red color control at 100%. Set the left green color control to 100%. The start color will now be yellow. When drawing an image, only the start color is used; the end color is not used.

Click on the pixel grid to draw a smiley face at the top of the pixel grid. Single clicks will draw one pixel; click and drag will leave a trail of pixels. Right click erases pixels. Ctrl-right click will clear the entire grid.

Add an image name

At the top of the dialog box is the Image group. In the "Name" field of the Image group area, type "Smiley Face".

Add the image

In the Image group at the top of the dialog box, click on the Image "Add" button.

Observe the default image action values

The default start point (x,y) is (0,0), and the default end point (x,y) is (0,50). The default start and end times are 1.00 and 2.00. Leave these settings at their default values.

Type an image action name

In the Image Action group at the bottom of the dialog box, type "Smiley down".

Add the image action

In the Image Action group at the bottom of the dialog box, click on the Image Group "Add" button.

Play the image action

Play the image action. at 1.00 seconds, your image will start from the top and travel downward, disappearing off the bottom of the ribbons.

Add another image action

We will use the same image again, and this time move it horizontally.

For the time, select 2.00 to 3.00. For the start point, type (-12, 10) (enter minus twelve so that the start point and end point are different). For the end point, type (12, 10). For the Image Action name, type "Smiley right" in the bottom name field. Click on the bottom "Add" button.

Play the image actions

At 1.00 to 2.00 you will see the first image action, which goes from top to bottom. At 2.00 to 3.00, the second image action will move from left to right across the ribbons.

Stop at the right edge

Select the image action that goes from left to right. Keep the start point at (-12, 10), but change the end point to (0, 10). At the bottom of the dialog box, enter a "Post Ramp Time" of 1.00. Click the Modify button.

Play the image actions and you will see the first image action go from top to bottom. The second image action will move from the left to the right edge and then fade for 1.00 seconds at the right edge.

PreRamp and PostRamp

"PreRamp Time" will fade the image in. Selecting "Make Brighter" with a "PreRampTime" will fade the image in brighter. It gives the effect of "poof" and the image appears.

"PostRamp Time" will fade the image out. Selecting "Make Brighter" with a "PostRamp Time" will make the image brighter and then fade to black. It gives the effect of "poof" and the image disappears.

Manipulate Selected Image

Click on the “Manipulate Selected Image” and you can Rotate, Flip Left-Right, or Flip Up-Down. After drawing an image, “Add” it as an image in the image list and then you can select it and click on “Manipulate Selected Image”

Normal Image, Silhouette Mask, Silhouette Mask Adjacent Effects Only

·Normal Image – Displays a normal image.

·Silhouette Mask – Any non-black pixel is used as a mask. The mask will be applied to any effects within the time range of the mask Effects on a lower number layer will be applied to the background. Any effects on a higher numbered layer will be applied to the foreground.

·Silhouette Mask Adjacent Effects Only – Any non-black pixel is used as a mask. The mask will be applied only to effects on time layers that are adjacent to the time layer of the mask. For example, if the mask is on time layer 5 then effects on layer 4 will be applied to the background. Effects on layer 6 will be applied to the foreground. This allow multiple masks to be used at the same time and have them be applied to their respective effects. This can be useful with complex Boxcoyo images. You can make a mask for different parts of the image and apply effects to only that part of the image.

View the image actions on a square grid

At the right end of the toolbar are three buttons. If you hover the mouse over the buttons you will see they are called "Star Rays", "Wide Grid", and "Thin Grid". Currently the "Star Rays" button is pressed. Click on the "Wide Grid" button.

Play it again

Play the image actions again and you will see how they look when the ribbons are parallel to each other and form a grid of pixels.


Import Image

On the right half of the Image Setup dialog box is the Import Image section. This section is used to import image files such as .jpg, .gif, .bmp, .png, and .ico files. To import an image file, do the following:

·Click on the Tools menu and select "Images..."

·In the Import Image section, click on the "Import image File (JPG, GIF, BMP, PNG, ICO, etc)" button

·If you are in CCR Mode, the sequencing grid will become larger and will be 64x50 pixels in size. This allows you to define a large image if you want. You can manipulate the image by using the following controls:

· Move Origin X Y

· Squish/Stretch X Y

· Rotation Angle

· Enlarge/Shrink

· Clip Grid Bitmap

· Images on a Small Grid

· Images on a Grid Larger than Your Actual Lights

· Copy/Paste a Portion of an Image

Move Origin X Y

This control will move the origin of the image. Use the arrow buttons to move it left, right, up, or down.

Squish/Stretch X Y

This control will squish or stretch the image in the X or Y direction. Using this control will change the aspect ratio of the image.

Rotation Angle

Use this control to rotate the image. A positive angle will rotate the image clockwise; a negative angle will rotate it counterclockwise.

Enlarge/Shrink

Use this control to enlarge or shrink the image.

Clip Grid Bitmap

While manipulating the image, you can click on "Clip Grid Bitmap" and set a clipping rectangle on the sequencing grid using "Shift + Left Mouse Button". Then when you click on "Set Grid Bitmap from Image File", only the pixels within the clipping rectangle will get set.

After you have manipulated the image to the location, angle, and size that you want, click on the "Set Grid Bitmap from Image File" button. This will set the pixels on the sequencing grid to represent the original imported image. At this point you can manually edit the image if you wish. Note that you can set the color controls to the color of a pixel in the sequencing grid by moving the mouse to a pixel and then doing a Shift + Left mouse click. To set a pixel, set the color controls to the color you want and then click on one or more pixels.

After you have the image the way you want it, type in a name in the Image section and click on the "Add" button in the Image section.

Images on a Small Grid

For example, if you have 12 CCRs and you are in CCR mode, then you have a grid of 12x50 pixels to work with. However, when you import the image, the grid will become larger and will be 64x50 pixels in size. If you want your image to fit within your 12x50 pixels that you have, then you will need to shrink the imported image and move it to the left so that it will fit within the first 12 columns of pixels. Then you can click on the "Set Grid Bitmap from Image File" button. You can then set the Grid Mode to "Standard", and the sequencing grid will become the standard size of 12x50 pixels.

Images on a Grid Larger than Your Actual Lights

For example, if you have 12 CCRs and you are in CCR mode, then you have a grid of 12x50 pixels in your actual display. However, when you import the image, the Grid Mode will automatically be set to "Large" and the grid will become large and will be 64x50 pixels in size. Even though your actual lights are only 12x50 pixels in size, you can create a larger image and move the image through your 12x50 pixels. This allows you to display large images on a small grid. To do this, do the following:

·In the Import Image section, click on the "Import Image File (JPG, GIF, BMP, PNG, ICO, etc)" button.

·The sequencing grid becomes larger and will be 64x50 pixels in size.

·Manipulate the image but keep it large so that it uses most or all of the 64x50 pixels.

·Click on the "Set Grid Bitmap from Image File" button.

·If you want, manually edit the pixels further.

·In the image section, type in a name and click on the "Add" button.

Now you want to add an image action that will move the image through your 12x50 pixels, so do the following:

·Set the Grid Mode to "Standard". This will change the grid to be the size of your actual display.

·In the time ruler at the top of the screen, set the time length to something long, such as 4 seconds.

·In the Image Action section, set Start x, y to 12, 0, and set End x, y to -64, 0.

·In the Image Action section, click on the "Add" button.

·Click on the "Play 8 seconds" button to play the Image Action. You should see the Image move through your 12 CCRs from right to left.

·To make the image move from left to right, set Start x, y to -64, 0, and set End x, y to 12, 0. Note that these values assume your image is 64 pixels wide. If it is not that wide, then you would use smaller values.

Copy/Paste a Portion of an Image

Do the following to copy a portion of an image and paste it to another location or to another image.

·Click on the “Tools” menu and select “Image…”

·In the upper left of the “Image Setup” dialog box is the list of images. Select an image.

·Use Alt + Left Mouse Drag to select a portion of the image. The selection automatically gets copied.

·Use Left Mouse Drag to move the copied portion of the image

·Press the “Paste” button in the toolbar to Paste

·You can move the selection again and “Paste” multiple times if you want

·Once the image appears the way you want, click on the “Modify” button in the Image list

·You can also click on the image list and choose a different image, then drag the selection to the location desired and click on the “Paste” button

·Once you are done pasting press the Esc key to cancel the selection


Creating an Animation

Using the Light-O-Rama SuperStar Sequencer, you can create an animation using a series of stationary images. Here is an example of how to create an animation:

· Load some pre-drawn images

· Launch the Image dialog box

· Select "Apply x,y in Preview (for animations)"

· Add the first image

· Add the second image

· Add the third image

· Add the fourth image

· What are those boxes under the timeline?

· Check your work

· How does cut/copy/paste work?

· Copy/paste four images

· Image group modify

· Copy/paste 8 images

· Image group modify

· Copy/paste 16 images

· Image group modify

· Copy/paste 13 images

· Image group modify

· Play the animation

· Nudge the animation to the left

· Play on "Wide grid" and "Narrow Grid"

· Save your animation

· Add an eye to Pac Man

· Play it again, Sam

Load some pre-drawn images

Click on the File menu, select "Open...", and open the file "PacManImages.sup", located in the "Samples" directory of your SuperStar Sequences directory. Be sure to load PacManImages.sup, not PacManAnimation.sup.

Launch the Image dialog box

Click on the Tools menu and select "Images...". Click on each image in the image list box to view them.

Select "Apply x,y in Preview (for animations)"

Select the checkbox labeled "Apply x,y in Preview (for animations)". This applies the (x,y) coordinate in the preview of the image and it also disables the "End x" and "End y" edit fields (for animation images, the start (x,y) and end (x,y) are the same).

Add the first image

·In the image list box, select "01 Circle".

·In the Time Line, select from 1.00 to 1.10 seconds.

·In the Image Action x,y Start, type "0" and "44"

·In the Image Action name field, type "Mouth shut".

·In the Image Action section, click the "Add" button.

"1.00 Mouth shut" should appear in the Image Action list box.

Remember: If you make a mistake, you can always undo your mistake by clicking on the Edit menu and selecting Undo.

Add the second image

·In the image list box, select "02 Half open".

·In the timeline, select from 1.10 to 1.20 seconds.

·In the Image Action x,y Start, type "0" and "42".

·In the Image Action name field, type "Mouth half open".

·In the Image Action section, click the "Add" button.

"1.10 Mouth half open" should appear in the Image Action list box.

Add the third image

·In the image list box, select "03 Full open".

·In the timeline, select from 1.20 to 1.30 seconds.

·In the Image Action x,y Start, type "0" and "40".

·In the Image Action name field, type "Mouth full open".

·In the Image Action section, click the "Add" button.

"1.20 Mouth full open" should appear in the Image Action list box.

Add the fourth image

·In the image list box, select "02 Half open".

·In the timeline, select from 1.30 to 1.40 seconds.

·In the Image Action x,y Start, type "0" and "38".

·In the Image Action name field, type "Mouth half shut".

·In the Image Action section, click the "Add" button.

"1.30 Mouth half shut" should appear in the Image Action list box.

What are those boxes under the timeline?

Under the yellow timeline, you should see four light gray boxes. These boxes are the four image actions you just added. Click on the first of the four boxes and it wil highlight the first image action, labeled "Mouth shut". Click on the second and it will highlight the second image action, "Mouth half open". You can also highlight the image action in the list box, and it will highlight the corresponding box under the timeline.

Check your work

It is easy to make a mistake while adding the image actions. Click on the first image action, labeled "Mouth shut", in the image action list box. Use the down arrow key to step through the image actions. The y coordinate should step through 44, 42, 40, and 38, and the top of the image should step up two pixels each time. If the image is not moving, make sure you have "Apply x,y in Preview (for animations)" selected.

How does cut/copy/paste work?

The fourth, fifth, and sixth buttons on the toolbar are the Cut, Coyp, and Paste buttons. By default, the objects you paste will be placed in the first open layer, so that effects do not end up on top of each other. if you wish the pasted objects to stay in their original layers, press the Shift key while clicking on the Paste button.

Copy/paste four images

·Select all four of the light gray boxes under the yellow timeline.

·Click on the "Copy" toolbar button. The selected effects will be copied to the clipboard.

·Click on the timeline just after the light gray boxes, which will be at 1.40 seconds.

·Click on the Paste toolbar button. The effects in the clipboard will be pasted starting at 1.40 seconds.

Remember, if you make a mistake you can click on the Edit menu and select Undo.

Image group modify

·You should now have eight image actions on the timeline. Select the last four.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-8" into the second field. Click on "OK". This will subtract 8 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 8 images

Select all of the eight light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 16 image actions on the timeline. Select the last eight.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-16" into the second field. Click on "OK". This will subtract 16 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 16 images

Select all of the 16 light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 32 image actions on the timeline. Select the last 16.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-32" into the second field. Click on "OK". This will subtract 32 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 13 images

Select the first 13 light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 45 image actions on the timeline. Select the last 13.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-64" into the second field. Click on "OK". This will subtract 64 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Your animation is now complete.

Play the animation

Click on the Play button. You should see Pac Man chase the red ghost up the ribbons.

Nudge the animation to the left

The chomping sound starts before you see the animation start. To synchronize the appearance of the animation with the start of the chomping sound, select all of the image actions under the timeline. Click on the "Nudge Left" toolbar button (the button with an hourglass and a left arrow on it). All the image actions should move left by 0.05 seconds. Nudge left three or four more times and the animation should be more in sync with the sound.

Play on "Wide Grid" and "Narrow Grid"

Click on the "Wide Grid" toolbar buton and play the animation.

Click on the "Narrow Grid" toolbar button and play the animation.

Save your animation

Click on the file menu, and select "Save As...". Save the file as "MyPacManAnimation.sup".

Note: There is already a file named PacManAnimation.sup in the Samples directory. You can compare your animation with this animation.

Well, it was a bit tedious, but it was worth the effort: You now have a cool Pac Man animation!

Add an eye to Pac Man

Even after the image actions are all defined, you can still modify the images that they use. For example, you could add an eye to the yellow Pac Man. Note that to change the images, you will be working in the upper Image section of the image dialog. Do not click on anything in the lower Image Action section.

·Select "01 Circle" in the Image list box.

·Use the right mouse button to erase some pixels on the yellow Pac Man to make an eye.

·Click on the Image "Modify" button in the upper Image section (not the lower Image Action "Modify" button).

·Repeat the same process for "02 Half open" from the Image list box.

·Repeat the same process for "03 Full open" from the Image list box.

Play it again, Sam

Play the animation again, and you will see the eye in the entire animation.


Creating Text

In the Light-O-Rama SuperStar Sequencer, text can be stationary or can move in any direction. At the end of the movement, the text can be stopped and displayed stationary for a specified period of time. Different size fonts can be used, and you can choose the text color or let the text be rainbow colored. Text can be treated as a positive mask or a negative mask. Let's get started!

· Select Wide Grid or Thin Grid

· Set Layout to 24 ribbons

· Get a new screen

· Launch the Text dialog box

· Observe the default settings

· Add a text action

· Play the text action

· Change the color of the text

· Modify and play the text action

· Change Rotation to 0 degrees and set Direction of Motion to left

· Try different rotations and directions of motion

· Rainbow

· Rainbow start color

· Change the start color

· Try a different font and change the text

· Discussion on fonts

· Custom fonts

· PreRamp and PostRamp

· Discussion

· What is a text mask?

· Try some positive mask text

· Apply a background effect

· Understanding a positive text mask

· It works with morphs too!

· Move the morph to the foreground

· Negative text masks

· Discussion

· Applying normal text to the background of a text mask

· Summary

Select Wide Grid or Thin Grid

At the right end of the toolbar are three buttons that control how the ribbons are laid out. The text will be harder to read if you have "Star Rays" selected. Select "Wide Grid" or "Thin Grid" and the text will be easier to read.

Set Layout to 24 ribbons

Click on the Tools menu and select Layout. In the layout dialog box, set the Number of Ribbons to 24. We may not actually have 24 ribbons, but for the sake of this exercise, let's pretend we do!

Get a new screen

Click on the toolbar button that has a piece of a paper on it.

Launch the Text dialog box

Click on the Tools menu and select "Text". The Text Setup dialog box will launch. Whenever the Text Setup dialog box is launched, "Text" mode is automatically selected and the toolbar button with "ABC" on it will be depressed.

Observe the default settings

By default, the color is white, font is "8-8x8 Thin - System", time duration is 1.00 - 5.00 seconds, text is "ABCDEF", text mode is Normal, rotation is 90 degrees, direction of motion is Up, and Stop at Edge is unselected.

Add a text action

In the Text Action group, click on the "Add" button.

Play the text action

Click on the Play button. You should see "ABCDEF" scroll like a marquee from the bottom to the top of the ribbons.

Change the color of the text

Currently, the text is white. Leave the red color control at 100, but change the green and blue color controls both to 0. The text preview will now be red.

Modify and play the text action

In the Text Action group, click on Modify, then play the text action again. Red text will scroll from the bottom to the top.

Change Rotation to 0 degrees and set Direction of Motion to left

Set Rotation to 0 degrees and set Direction of Motion to Left. Click on Modify, and play the text action. Red text will scroll from right to left across the ribbons.

Try different rotations and directions of motion

You can mix and match the rotation and direction of motion. Try some different combinations. Remember to always click on Modify and then to click on Play to see the results of your new settings. Also, try "Stop at Edge" to see what it does.

Rainbow

In the Color/Mask group, select Rainbow. Each character of the text now becomes a different color. Click on Modify, and play the text action with rainbow colors.

Rainbow start color

You can set the start color of the rainbow. For this exercise, use the following settings:

·Set Color to Rainbow

·Leave Mask at Normal

·Set Rotation to 90 Degrees

·Set Direction of Motion to Center

·Unselect Stop at Edge

·Set Start time to 1.00 seconds and End time to 2.00 seconds

Click on Modify and play the text. The rainbow text will be centered on the ribbons and will not move.

Change the start color

·Set Start time to 2.00 seconds and End time to 3.00 seconds.

·Set the start color to orange.

·Click on Add. You will now have two text actions.

·Click on Play.

The rainbow colors will display with red as the start color from 1.00 to 2.00 seconds, and then the text will display with orange as the start color from 2.00 to 3.00 seconds.

By continuing to add text actions one after another with different start colors, you can make the colors move across the characters!

Try a different font and change the text

·Delete any text actions that you currently have. You can do this by clicking on Delete until all text actions in the Text Action list box are gone.

·In the Font list box, select "10-12x12 Bold - System". The text will become larger.

·In the Text field in the middle of the dialog box, change "ABCDEF" to "Merry Christmas!"

·Set the start time to 1.00 seconds and the end time to 5.00 seconds.

·Set Color to Rainbow.

·Set Start Color to whatever color you want.

·Set Rotation to 270 Degrees.

·Set Direction of Motion to Down.

·Unselect Stop at Edge.

Click on Add and play the text action. "Merry Christmas!" will scroll from top to bottom in rainbow characters.

Discussion on fonts

We just used the font "10-12x12 Bold - System". The first number in the name is the pixel height of a capital letter. The second and third numbers are the character cell width and height. In this font there are two pixels reserved for the lower case descenders (for example, the bottom tail of a "y"). This is why the height of the character cell, 12, is greater than the height of a capital letter, 10.

Note that in the smaller fonts, the cell height is the same as the capital letter height. This is because there are not enough pixels to reserve room for lower case descenders. In those fonts, the tail of a "y" does not go below the bas line.

As mentioned, the second number is the font character cell width, but realize that this is an average width. The width of any individual character may be different.

Custom fonts

In the font list, there are five system fonts and five custom fonts. The custom fonts are shipped identical to the system fonts. The only difference is that system fonts are not allowed to be modified, while the custom fonts are. If you wish to tweak some of the characters in a font, you can do so in any of the custom fonts. For example, let's say we want to make the exclamation point bigger in the "10-12x12 Bold - Custom" font. To do this, do the following:

·In the central area of the dialog box, select the radio button labeled "Font Character Entry".

·In the font list, select "10-12x12 Bold - Custom". It should be the second to last font in the list. The Modify button in the Chars group will become enabled.

·In the Char list, select the "!" character (the second character in the list.

·The char cell width is 4; change this to 6 and click on the Modify button immediately below the Char list. Note that the yellow line indicating the char cell width changed from 4 to 6.

·The current "!" character is two pixels wide. Redraw the pixels to make a fatter 4 pixel wide "!" character.

·Click on the Char List Modify button again.

·Now click on the Save button immediately below the Font list. This saves your change to a file.

·Click on the Text Action Entry radio button.

·Type the word "Merry!" as the text.

·In the font list, select "10-12x12 Bold - Custom". You should see the new exclamation point that you customized.

PreRamp and PostRamp

"PreRamp Time" will fade the text in. Selecting "Make Brighter" with a "PreRamp Time" will fade the text in brighter. It gives the effect of "poof" and the text appears.

"PostRamp Time" will fade the text out. Selecting "Make Brighter" with a "PostRamp Time" will make the text brighter and then fade to black. It gives the effect of "poof" and the text disappears.

Discussion

You now know how to control many features of a text action. You can move the text, have it stand still, rotate the text, change its color, change the font, and even customize the characters within a font. But there is more.

What is a text mask?

In the Color/Mask group, there are three radio buttons, labeled "Normal", "Pos Mask", and "Neg Mask". So far we have done everything with the "Normal" setting. Normal means that there is no mask applied, and the text will behave normally. "Pos Mask" and "Neg Mask" are advanced features that allow you to apply any effect to the background and/or foreground of text.

Try some positive mask text

·Delete any text actions that you have by clicking on the Delete button until all text actions are gone from the list.

·Set the start time to 1.00 seconds and the end time to 5.00 seconds.

·Type the word "Merry" as the text.

·Select font "10-12x12 Bold - System".

·Set Color/Mask to Choose Color.

·Set Color to red by setting red to 100, green to 0, and blue to 0.

·Set Pos Mask.

·Set Rotation to 270 Degrees.

·Click on Add.

·Play the text action.

The word "Merry" appears in red in the center of the ribbons. Nothing special yet...

Apply a background effect

·Click on Tools and select Scenes.

·Set the start time to 2.00 seconds and the end time to 4.00 seconds.

·Set the start and end colors to blue.

·Set all the pixels in the pixel grid by pressing the Ctrl key and then clicking with the left mouse button on the pixel grid. All the pixels in the pixel grid should be blue.

·Click on Add.

·Play the text action.

You should first see the red "Merry", and then at 2.00 seconds the background should become blue.

Understanding a positive text mask

In the time layer area, there should be a red bar going from 1.00 seconds to 5.00 seconds. This bar is the Text mask. Click on this bar and the Text dialog should launch.

There is a box in the lower right area of the dialog box labeled "Mask Diagram". As the diagram shows, the effects above a text mask appear in the background, and the effects below a text mask appear in the foreground. So, let's try moving the scene from the background to the foreground.

·Select the blue bar in the time layers.

·Locate the "Move Effects Down" button in the toolbar. It is the fourth button from the right.

·The "Move Effects Down" button changes the layer of the effect. Click on it until the scene effect is below the mask.

·Click on Play.

This time the scene gets applied to the foreground and the text becomes purple from 2.00 to 4.00 seconds. Note: If the scene fails to get applied to the foreground, make sure the Positive Text Mask color is set to pure red - i.e. set red to 100, green to 0, and blue to 0.

It works with morphs too!

·Click on the scene and delete it.

·Click on the Tools menu and select Morphs. The Morph dialog box will launch.

·Set the start time to 2.00 seconds and the end time to 3.00 seconds.

·Set the start and end colors to green.

·Set the tail time length to 0.50 seconds.

·Set the ramp start color to green and leave the ramp end color as black.

·Click on Add and then Play.

The text should appear and then the morph will be applied to the background. Text masks are cool!

Move the morph to the foreground

Click on the green bar in the time layers and move it to the other side of the mask. Click on Play.

This time the morph gets applied to the foreground of the text. Note: If the morph fails to get applied to the foreground, make sure the Positive Text Mask color is set to pure red - i.e. set red to 100, green to 0, and blue to 0.

Negative text masks

We started out using a positive text mask. Let's try a negative text mask.

·Leave the morph on the foreground side of the text mask.

·Click on the red bar in the time layers; the Text dialog box appears.

·Select "Neg Mask". A message box appears recommending that you set the text color to white when using negative masks. Answer "Yes" to the message box"; the text color will then be automatically set to white.

·Click on the Modify button and then Play. This time, you will see nothing until the morph gets applied to the text foreground.

·Move the morph to the background side of the text mask, and play. This time, you will see nothing until the morph is applied to the background.

Discussion

The weird thing about negative masks is that they are invisible until other effects are applied to their foreground and/or background. This seems weird at first, but it is the key to their power. You can apply multiple effects on either side of the mask. You can even apply image actions and normal text to the background or foreground. But you cannot apply a mask to a mask.

Applying normal text to the background of a text mask

·Move the morph to the foreground side of the mask.

·Set the morph start time to 1.00 and the end time to 2.00.

·Increase the tail time to 3.00.

·Click on Play. You should see the morph applied to the foreground of the text mask.

·Click on the white bar in the time layer area; the Text dialog box is launched.

·Type "Christmas" for the text.

·Leave Rotation at 270 degrees.

·Click on Normal.

·Set Direction of Motion to DownRt.

·Set the color of the text to red.

·Set the start time to 2.00 seconds and the end time to 5.00 seconds.

·Click on Add.

·The red bar in the time layers represents the normal text you just added. Move it to the background side of the text mask.

·Click on Play.

The morph should play across the word "Merry", and "Christmas" should move across the background.

This same sequence is stored as a sample file named "TextMaskMerryChristmas.sup".

Summary

Text masks take some time to learn, but are well worth the effort. With all the other effects, the time layers were just a way to view the effects. With text masks, the layers have a new meaning. This tutorial explored only a few of the variety of text effects that are now possible. Cosmic Color Ribbons have been taken to a whole new level!


Smooth Effects

Smooth Effects look best on a large matrix of RGB lights. They are designed to change large areas of lights in a smooth flowing manner.

There are four types of smooth effects:

· Shockwave

· Spiral

· Fan

· Sine Wave

Common Settings

These settings are common across all of the smooth effects.

Stretch/Shrink X Y

These settings stretch or shrink in the X and Y direction. This could also be called the aspect ratio. Normally you will want to leave these set at 1.000. These settings will become something other than 1.000 if you use the Scale feature in the “Move or Scale Selected Effects” dialog box.

Colors

All of the smooth effects can have 1-8 colors. Click on “Nbr of Colors” to select how many colors you want. You can change the colors by clicking on the color squares underneath the “Nbr of Color” control.

Blend Colors – Select this to make the colors blend into each other more smoothly. Note that you can select “Blend Colors” and set the last color to black to make the effect fade to black.

Normal, Shimmer and Twinkle

·Normal – Displays the effect normally without any shimmer or twinkle

·Shimmer – Turns the lights off and on quickly to create a shimmer effect. There is a shimmer speed control that defaults to 10. You can slow the shimmer down by reducing the speed.
Note: For pixels all channels in the pixel will be turned on and off together meaning that a white pixel will shimmer white.

·Twinkle – Turns the lights off and on slowly to create a twinkle effect. There is a shimmer speed control that defaults to 5. The speed can be set to any value from 1 to 10.
Note: For pixels the channels will be turned on and off individually. For example, in a white pixel the red, green, and blue channels will be turned off individually giving a multicolored twinkle. If you want a twinkle that is not multicolored then use shimmer and reduce the speed to 5 or below.

Shockwave

After launching the Smooth Effects dialog box, click on the "Shockwave" tab.

· Center Point and Radius

· Angle

· Width

· Acceleration

Center Point and Radius (Shockwave)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the shockwave. The line ending with an arrow head marks the radius. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the shockwave. You should see a shockwave effect start from the center and end where the arrow head was.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button starting at the end of the arrow line and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another shockwave effect and play it, and you should see a shockwave start big and contract to a smaller size.

Angle (Shockwave)

The Start Angle and End Angle are grayed out, because Shockwave does not use them.

Width (Shockwave)

There is a Start Width and an End Width. The Start Width is the width of the "leading edge"of the shockwave. The End Width is the width of the "trailing edge" of the shockwave. Click on the Up or Down Arrow buttons next to the Start Width or End Width to change their values.

Acceleration (Shockwave)

Setting a positive number will make the shockwave start slowly and increase in speed as it travels. Setting a negative number will make the shockwave start quickly and slow down as it travels.

Spiral

After launching the Smooth Effects dialog box, click on the "Spiral" tab.

· Center Point and Radius

· End Angle

· Width

· Tail Time Length

· Acceleration

Center Point and Radius (Spiral)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the spiral. The line ending with an arrow head marks the radius and start angle. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the spiral. You should see a spiral effect start from the center and end where the arrow head was.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button starting at the end of the arow line and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another spiral effect and play it. You should see a spiral start at the outside and spiral inward, ending where the arrow head was.

End Angle (Spiral)

The end angle of the spiral can be changed by changing the value in the End Angle field. Changing the value of the Revolutions field will also change the value in the End Angle field. The default is an end angle of 360 degrees and 1.00 revolutions. The default setting will make a spiral that travels clockwise from 0 degrees to 360 degrees. Set Revolutions to 2.00 to make the spiral go around two times. Setting a negative number for End Angle or Revolutions will make the spiral travel counterclockwise.

Width (Spiral)

There is a Start Width and an End Width. The Start Width is the pixel width at the start of the spiral. The End Width is the pixel width at the end of the spiral.

Tail Time Length (Spiral)

This is the time length the spiral will stay on screen before it erases itself.

Acceleration (Spiral)

Setting a positive number will make the spiral start slowly and increase in speed as it travels. Setting a negative number will make the spiral start quickly and slow down as it travels. Setting acceleration to zero means do not accelerate, but even with acceleration set to zero, spiral effects will have a natural acceleration if the start width is smaller than the end width, and a natural deceleration if the start width is bigger than the end width.

Fan

After launching the Smooth Effects dialog box, click on the "Fan" tab. Fan uses a series of Spiral effects that can look like a fan.

· Center Point, Radius and Start Angle

· Width

· Blades

· Blade Width

· Revolutions Per Second

· Element Angle

· Element Step Angle

· Acceleration

· Show Entire Blade at Start

Center Point, Radius and Start Angle (Fan)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the fan. The line ending with an arrow head marks the radius and start angle. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the fan. You should see a fan effect start from the start angle and rotate at the default speed of 0.25 revolutions per second.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button, starting at the end of the arrow line, and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another fan effect and play it. The fan will start from the start angle and rotate at the default speed of 0.25 revolutions per second as it did before, except this time each element of the fan will travel inward instead of outward.

Width (Fan)

There is a start width and an end width. The start width is the pixel width of the start of each element of the fan. The end width is the pixel width at the end of each element of the fan.

Blades (Fan)

This is the number of blades in the fan. The default is two. You can set the number of blades from 1 to 16.

Blade Width (Fan)

This is the width of each blade in the fan. 50% means the blade width will be 50% of the distance to the next blade. Note that the blades start out being thin and get thicker as they rotate until they get to their Blade Width setting.

Revolutions Per Second (Fan)

This is the rotation speed of the fan. The default is 0.25 revolutions per second. This means it will rotate one quarter of a revolution in one second, meaning it will take four seconds to make one full revolution. Positive numbers will rotate clockwise; negative numbers will rotate counterclockwise. With a setting of 0, the fan will build from the center outward and will not rotate.

Element Angle (Fan)

The fan is built using a series of spirals. Each spiral is an element of the fan. Changing the element angle wil change the angle of each one of the spirals that make up the fan. Setting an angle of 0 will make straight elements. Setting a large angle will make the fan look sort of like a spinning galaxy.

Element Step Angle (Fan)

This is the spacing between each element of the fan. Each element is a spiral. An element step angle of 10 means that each spiral will be built at intervals of 10 degrees. Setting a large element step angle will add space between the spirals.

Acceleration (Fan)

Setting 0 means do not accelerate. Setting a positive number will make the fan start slow and increase in speed as it travels. Setting a negative number will make the fan start quickly and slow down as it travels. Note that if you use acceleration in a fan, the width of the fan will change as it accelerates or decelerates.

Show Entire Blade at Start (Fan)

This means build the entire width of the blade of the fan all at once, so that the entire blade width is seen from the start to the finish.

Sine Wave

After launching the Smooth Effects dialog box, click on the “Sine Wave” tab. Sine Wave produces a wiggly line that is known as a sine wave. It can be useful for creating a wiggly line across or down a tree that will look like tree garland.

· Start and End

· Height

· Cycle Angle and Cycles

· Width

· Tail Time Length

· Show Entire Sine Wave at Start

· Acceleration

Start and End (Sine Wave)

In the green sequencing grid will be a small circle and a line ending with an arrow head. The small circle marks the start of the sine wave. The tip of the arrow head marks the end of the sine wave. To change the start and end do a click and drag with the left mouse button.

Height (Sine Wave)

There is a Start Height and an End Height. The height is also known as the amplitude of the sine wave. Note that you can make the sine wave be a straight line by setting the start and end height to 0.

Cycle Angle and Cycles (Sine Wave)

There is a Start Cycle Angle and an End Cycle Angle. The Start Cycle Angle sets how far into the sine wave you will be at the start of the sine wave. One cycle of a sine wave is 360 degrees. This means the “first top hump” is 0-180 degrees and the “second bottom hump” is 180-360 degrees. When you change the End Cycle Angle setting the Cycles setting will automatically change. Also, when you change the Cycles setting the End Cycle Angle setting will automatically change. In summary, increasing the number of cycles will increase the number of wiggles in the line.

Width (Sine Wave)

There is a Start Width and an End Width. The Start Width is the starting width of the line in pixels. The End Width is the ending width of the line in pixels. Increasing these values makes the line thicker.

Tail Time Length (Sine Wave)

The Tail Time Length is the number of seconds the sine wave stays on the screen.

Show Entire Sine Wave at Start (Sine Wave)

When this setting is unselected the sine wave will get drawn from the start point to the end point. After it is drawn the sine wave will stay still. When this setting is selected the entire sine wave will appear on the screen all at once and then it will wiggle for the duration of the Tail Time Length.

Acceleration (Sine Wave)

With Acceleration set to a positive number the sine wave will be drawn slowly at first and will be drawn faster as time goes on. With Acceleration set to a negative number the sine wave will be drawn fast at first and will be drawn slower as time goes on.

Modify Selected Effects

This dialog box is used to modify attributes that are shared by all types of effects. Currently it supports modification of the Clip Rectangle in all the effects that are selected. The “Undo” feature is not supported for this dialog box. So it is a good practice to rename your sequence before performing this function. That way you will keep the original file before you changed it. So the steps you want to follow are:

1.Click on the “File” menu and select “Save As” and rename your sequence

2.Select the effects you want to modify. To select all effects, click on the “Edit” menu and select “Select All”

3.Click on the “Tools” menu and select “Modify Selected Effects…” or click on the “Modify Selected Effects” button on the Toolbar

4.In the “Modify Selected Effects” dialog box you can choose the types of effects you want modified. It defaults to all of them being modified.

·Manual Clip Rectangle

Select “No Clip” if you do not want the effects to have a clip rectangle

Select “Manual Clip” and then press the “Shft” key while doing a mouse drag on the sequencing grid. This will define the clip rectangle on the sequencing grid. Click on the “Modify Selected Effects” button.


Auto Sequence Effects

Auto Sequence effects are a cross between standard effects and Instant Sequence. You create the effect and then give it Auto Sequence settings and the effect moves and/or blinks with the music. In the lower left of each effect dialog box is and button with an image of an automobile in it. This is the “Auto Sequence” button. Click on the “Auto Sequence” button and the “Auto Sequence” dialog box will appear. Click on “Add” in the effect dialog box and you will see an Auto Sequence appear in the time layers. “Auto Sequence” effects have an image of an automobile on them.

Click on the “File” menu and select “Open Audio File”.

· Scenes

· Morphs

· Smooth Effects

· Image Actions

· Text Actions

Scenes

Bring up the “Scene Setup” dialog box.

Click on the squares in the green sequencing grid to create the scene pixels

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Scene Setup” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the scene move with the music

Morphs

Bring up the “Morph Setup” dialog box.

Click on the squares in the green sequencing grid and create a small morph. It will be easier to see the movements of a small morph.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Morph Setup” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the morph move with the music

Smooth Effects

Bring up the “Smooth Effects” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Smooth Effects” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the smooth effect move with the music

Image Actions

Bring up the “Image Setup” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Image Setup” dialog box and a message box will appear saying, “When adding an Auto Sequence Image Action it is recommended that the start point be 0,0 and end point be 0,0 and "Apply X,Y in Preview (for animations)" be selected. Set start point be 0,0 and end point be 0,0 and select "Apply X,Y in Preview (for animations)" ?”

Click on the “Yes” button in the message box and.an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the Image move with the music

If you want to change the starting position of the Image you can change to start point and end point. With “Apply X,Y in Preview (for animations)” selected the start point and end point will be forced to be the same. Having them be the same value is normally what you will want for Auto Sequence Image Actions, otherwise the movement will be “jerky” because every time Auto Sequence moves the Image Action it will also move from the start point and end point of the effect. If you want the movement to be “jerky” then deselect “Apply X,Y in Preview (for animations)” and make the start point and end point be just a few pixels different.

Text Actions

Bring up the “Text Setup” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Text Setup” dialog box and a message box will appear saying, “When adding an Auto Sequence Text Action it is recommended that the text be set to the center and "Apply X,Y in Preview (for text that does not move)" be selected.

Set text to the center and select "Apply X,Y in Preview (for text that does not move)" ?”

Click on the “Yes” button in the message box and.an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the Text move with the music

If you want to change the starting position of the Text you can change to start point and end point. With “Apply X,Y in Preview (for text that does not move)” selected the start point and end point will be forced to be the same. Having them be the same value is normally what you will want for Auto Sequence Text Actions, otherwise the movement will be “jerky” because every time Auto Sequence moves the Text Action it will also move from the start point and end point of the effect. If you want the movement to be “jerky” then unselect “Apply X,Y inPreview (for text that does not move)” and make the start point and end point be just a few pixels different.


Auto Sequence Dialog Box

The Auto Sequence dialog box is launched by clicking on the button with an automobile in it. The automobile button will be in the lower left of each of the effect dialog boxes. The Auto Sequence dialog box has settings that will control the movement and color of the effect as it is moved with the music. If the Auto Sequence dialog box is visible then when you click on the “Add” button of the effect dialog box then an Auto Sequence effect will be added to the time layers. The Auto Sequence effect will have a picture of an automobile in it.

The following are the settings in the Auto Sequence dialog box.

· Sensitivity

· Trigger Type

· Movement

· Direction Angle

· Speed

· Don’t Use Music

· Use Native Color of the Effect

· Cycle Through Colors Below

· Freqs (Frequencies)

· Creating A Sequence using Auto Sequence Effects

Sensitivity

This setting sets the sensitivity to the audio file. It is like a volume control. If you are not getting much movement from the song then try increasing the sensitivity. But if you set it too high it could also be less responsive. For most songs, setting the sensitivity to 4, 5, or 6 will work best.

Trigger Type

“Rapid Fire” is the default and is typically what you will want to use. The more Freqs you have selected in the Auto Sequence dialog box, the more triggers will be produced and the effect will move more

“Single Fire” is good if you want slower movement. Even with many Freqs selected only one trigger will fire. This can be good for effects that have a lot of movement in them such as smooth effects.

Average the Time Length of Effects – Select this option to smooth out the length of effects. Unselect this option and places where the music is strong to cause effects to linger.

Movement

This is the Movement pattern that will be done on the effects. The movement will happen within the clip rectangle for that effect.

Skip Inactive Grid Squares – Select this option to have the movement skip inactive squares on the green sequencing grid

No Movement – The effect will happen in the same location every time it is triggered

Wrap Around – The effect will move and will wrap around to the other side of the screen when it reaches the each of the clip rectangle for that effect.

Ricochet – The effect will move and will bounce off the edges of the clip rectangle for that effect. The movement is like a billiard ball bouncing off edges of a billiard table.

Folding Ricochet – Images will fold on themselves as they bounce off the edges of their clip rectangle.

Bounce and Retrace – The effect will move and bounce off the edge of the clip rectangle and will return to its original position and will keep going back and forth along that path.

Burst and Return – The effect will move until the end of a trigger burst and then will return to its original position. If the movement goes beyond the edge of the clip rectangle before the end of the burst then it goes back to its original position.

Snake Up, Snake Down – The effect will move until it hits the edge of the clip rectangle for that effect, and then it will move up or down a pixel and reverse direction. This movement is best used with direction angles of 0, 90, 180, and 270 degrees. It will make the effect move in path as if it is a lawn mower going back and forth until all the region has been mowed and then it reverses direction and keeps mowing. Also, this movement is recommended for displays with traditional lights. For example you can make a scene made of one pixel automatically traverse the entire display.

Direction Angle

The setting controls the direction angle of the movement. The angle can be set in 5 degree increments. The angle is shown with an orange arrow at the center of the green sequencing grid. Note that this controls only the direction angle. The original location of the effect is controlled by the location of the native effect that you create.

Speed

This controls the speed of the movement in pixels. For example, with the speed set at 1.00 the effect will move one pixel each time it is triggered.

Don’t Use Music

Use this setting if you don’t want the effect to move to the music. With this setting set the effect will move at a constant speed. You can set the speed to values between 1 pixel per second and 100 pixels per second. This is useful for moving an image continuously or for making snow fall continuously.

Use Native Color of the Effect

The effect will always be rendered using the native color of the effect.

Cycle Through Colors Below

Use this setting to cause the effect to change colors as it moves. You number of colors for it to cycle through can be set to 1-8. Click on a color square and a Color Picker dialog box will appear. Note that even though there are many colors you can choose from, it will always set the color to one of the 8 basic colors, red, orange, yellow, green, blue, purple, white and black. Also note that when setting black it is really a very dark gray.

Freqs (Frequencies)

This setting controls the frequencies that the effect will be responsive to. Click and drag with the mouse to set or erase multiple freqs. Note that when an instrument in a song plays a musical note, the frequencies are strongest at the note but there can be strong harmonics on either side of the note as well. The result is that any note played in a song can get “splattered” across the freq spectrum. The “splatter” will be wider with higher sensitivity.

These freqs are equivalent to the freqs in the Timing Map dialog box. If you click on the Tools menu and select “Timing Map” you will see the Timing Map dialog box which has a picture of a piano keyboard and shows how the freqs map to a piano keyboard.

Creating a Sequence using Auto Sequence Effects

You can use different Auto Sequence effects throughout your song. The typical approach is to use the same set of Auto Sequence effect for 10-30 seconds of a song and change to another set of Auto Sequence effects at a point where the song changes.

In SuperStar you can only see 8 seconds of the song at a time, so if you want to add or modify Auto Sequence effects that are longer than 8 seconds then do the following:

Select the effects you want to change the time range of. Scroll to the start time that you want and mark it with a left click on the time ruler. Then scroll to the end time that you want and mark it with a right click on the time ruler. Then click on the “Set Group Time Range” button. The “Set Group Time Range” button is on the toolbar and looks like an hour glass with down arrows on either side of the hour glass.


Auto Sequence Singing Faces

This feature can automatically move the mouth of a singing face to match the singing in a song! It will also blink the eyes every 2-4 seconds, and make the ribbon/bow light up whenever the face is singing.

To access this feature, either:

1.From the “Tools” menu, select “Auto Sequence Singing Faces…”; or

2.Click on the “Image Setup” button on the toolbar. In the “Image Setup” dialog box click on the “Launch Auto Sequence Singing Faces Dialog Box” button in the lower left corner.

If it is the first time you have launched “Auto Sequence Singing Faces” for this sequence then the “Load Default Singing Face Images” dialog box will appear. It will have the following options:

·Load Single Pixel Images for 1-4 Light-O-Rama Singing Faces – If you are using 1-4 of the Light-O-Rama singing faces such as Elden, Felix, Ralphie, or Zuzu then you can use this option to load default images.

There are also three options when you select “Load Single Pixel Images for 1-4 Light-O-Rama Singing Faces.” To determine which of the three options to select, count the number of green squares in the vertical direction of the grid. It will be 14 or 8. Then click on the bottom square in the green grid. The “Tree Body” or the “Star” will light up in the Preview in superstar.

o14 Elements, Star Element at Bottom of Grid – If you are using the new Light-O-Rama singing faces that were released in the Fall of 2022 then you should select this option. The new singing faces have 10 mouth elements and 4 other elements for a total of 14 elements.

o8 Elements, Star Element at Bottom of Grid – If you are using the Light-O-Rama singing face that was in use prior to the fall of 2022 and you downloaded your Prop after the Fall of 2022 then use this option.

o8 Elements, Body Element at Bottom of Grid – If you are using the Light-O-Rama singing face that was in use prior to the fall of 2022 and you downloaded your Prop before the Fall of 2022 then use this option.

·Load Matrix Images for 4 Standard Singing Faces – If you have a matrix of pixels that is at least 12 pixels wide and 25 pixels tall then you can use this option to load default face images for the matrix

·Load Coro Type Default Face Elements – If you have a coro type face such as those from Boscoyo or Gilbert Engineering then you can use this option to load the predefined face elements. You may need to use copy/paste to combine face elements to get the different mouth images such as “Mouth ½ Open.”

Singing Faces on a Pixel Matrix

In the “Singing Faces” dialog box there are settings for “Body or Outline,” “Star or Bow,” “Eyes Open,” “Eyes Closed,” and the five mouth positions, “Mouth Closed,” “1/4 Open,” “1/2 Open,” “3/4 Open,” and “Mouth Full Open." The first time you launch the “Singing Face” dialog box default images will load and those images will appear in the mouth image settings. The images will default to a position at the top half of a 16x50 pixel matrix.

There is a field that shows the “Audio File to Use to Auto Sequence the Singing Face.” This will default to the audio file that is loaded for the sequence you are making. If the words to the song are prominent then you can use this song. Merely click on “Auto Sequence the Singing Face” and it will create image effects at the top of the image layers for the singing face. Click on the “Play All” button in the toolbar to play the effects that were created

But normally to get the best results you will want to record the words using your own voice.

Recording your own voice

For best results, make a recording of your own voice by doing the following:

·Plug in some earphones into your computer

·Plug in a microphone into your computer

·Click on “Start Voice Record”

·While listening to the song in the headphones sing or speak the words of the song into the microphone

·If it is difficult to say the words in the song you can just say “blah, blah, blah” in place of the words and it will still make the mouth move to the words of the song.

·When the song reaches the end the recording will stop. The recording will automatically become the “Audio File to Use to Auto Sequence the Singing Face”

·Click on “Auto Sequence the Singing Face”

·Click on the “Play All” button in the toolbar to play the sequence

More Singing Faces

·At the top of the “Singing Faces” dialog box is a setting labeled “Which Singing Face?” To sequence a second singing face set this setting to “2”

·The default images for face 2 will appear in the images for each mouth

·You can record your voice using words to a different singer in the song

·Click on “Auto Sequence the Singing Face” and effects will appear on the time layers. The effects for Face 2 will appear below the effects for Face 1.

·Click on the “Play All” button to play both faces

To use the default images for more than two faces, click on the “Tools” button and select “Layout.” Set the number of ribbons to 32. You can now do sequencing for face 3 and face 4.

If you want to use 6 singing faces using the default images then set the number of ribbons to 48.

Standard Singing Faces

Standard singing faces have a face with four channels for the mouth. One channel is for the closed mouth, another channel for the half open mouth, another channel for a full open mouth, and a channel for an “O” mouth.

Setting up the Preview for 1-4 Light-O-Rama Singing Faces

·In Preview Design, click on the “Add Item” button

·In the list of items, select “Light-O-Rama Props (online)”

·If you have the new singing trees that were released after the fall of 2022, then choose one of trees that has “V2” in the name

·If you have the singing trees purchased before the fall of 2022, then choose one of trees that does NOT have “V2” in the name

·Select one of the singing trees and click on “Add Prop”

·There should be a group for each tree. For example, there should be an “Elden the Tree (RGB)” group

·Double click on “Elden the Tree (RGB)” make sure “Vertical Stack” is selected for the “Arrangement,” click on “Save”

·If you have more than one singing tree, you can make a group containg all the trees. Click on “Add Item” and select “Create a new GROUP from existing props and groups”

·In the “Preview Group Definition” dialog box select each tree group. Then set “Horizontal Stack Align Bottoms” for the “Arrangement,” name the group something like “Singing Trees,” click on “Save”

·In the “Preview Design” dialog box click on “Save”

·In the main screen of the “Sequencer” find the “Singing Trees” group, expand it so you can see the motion effects row.

·Right click on the motion effects row and click on “Select,” then click on “Row”

·Right click on the motion effects row again and select “Insert SuperStar Effect”

·SuperStar will launch

Auto Sequencing the Light-O-Rama Singing Faces in SuperStar

After creating a Preview in the Sequencer and you have launched SuperStar do the following:

·Bring up the “Image Setup” dialog box and click on “Launch Auto Sequence Singing Faces Dialog Box…”

·Click on the “Load Single Pixel Images for 1-4 Light-O-Rama Singing Faces” button.

·32 images will load and be placed at the bottom of the Image List. Scroll to the end of the Image List and the last 8 images should be:

·Zuzu(4) Mouth Closed

·Zuzu(4) 1.2 Open

·Zuzu(4) Mouth Full Open

·Zuzu(4) Eyes Closed

·Zuzu(4) Eyes Open

·Zuzu(4) Body

·Zuzu(4) Bow

Scroll the list up until you see the images that start with “Elden(1) Mouth Closed”. The images for Elden will have already been automatically set in the “Singing Faces” dialog box.

Click on “Elden(1) Mouth Closed” image in the image list. To make the mouth elements easier to see click on the “View” menu and select “Floating Windows”

Your screen should now look like this:

If you want the singing faces to be larger you can click and drag on an edge of the singing face window.

At this point if you want to see what is generated using the audio file you can click on “Auto Sequence the Singing Face” and effects will appear in the time layers. Click on the “Play All” button to play the sequence. If the voices in the song are prominent you may be happy with using what you see. But for best results you should record only the words of the song using your own voice using these steps:

·Plug in some earphones into your computer

·Plug in a microphone into your computer

·Click on “Start Voice Record”

·While listening to the song in the headphones sing or speak the words of the song into the microphone

·If it is difficult to say the words in the song you can just say “blah, blah, blah” in place of the words and it will still make the mouth move to the words of the song.

·When the song reaches the end the recording will stop. The recording will automatically become the “Audio File to Use to Auto Sequence the Singing Face”

The “Singing Faces” dialog box should look like this:

·Click on “Auto Sequence the Singing Face”

·Effects should appear in the first 5 layers of the time layers

·Click on the “Play All” button in the toolbar to play the effects that have been created for the singing face

If the mouth is not responding well to the voice, you can increase the sensitivity or increase the number of Freqs selected but normally you can leave Sensitivity set at 5, and Freqs 8-16 selected.

Set Images for the next Singing Face

·In the Singing Faces dialog box set “Which Singing Face?” to “2”

·Using the same steps you used for Tree 1, you can use the images that were automatically set or you set add images to the image list for Tree 2 and set them into the “Singing Faces” dialog box.

·You can record your voice again and this time you can speak words that match a different singer in the song.

·Click on “Auto Sequence the Singing Face” and effects will appear on the time layers for Tree 2. The effects for Tree 2 will be below the effects for Tree 1

·Click on the “Play All” button on the toolbar and both singing faces will play

You can do the same for tree 3 and tree 4

There are online software products that will extract the voice from a song. They charge a fee but it may be worth it. If the files they create are not .wav files then you must convert them to .wav files. In the “Singing Faces” dialog box you can click on the “…” button below the text that says “Audio File to Use to Auto Sequence the Singing Face”and select the audio file.


Move or Scale Selected Effects

This feature is used to move or scale the selected effects according to the settings in the dialog box. Note that you cannot undo the changes done by this dialog box so it is recommended that you save the sequence to a new name prior to using this dialog box. For example if you are moving all the effects two pixels to the right you would do the following:

1.Click on the File menu and select “Save As” and save the sequence to something like “MySequence_movedRight2Pixels.sup”

2.Click on the Edit menu and select “Select All”

3.Leave “Move Origin” selected and set “Left/Right” = 2

4.Click on the OK button

5.Click on any effect and you should see that it has been moved to the right by 2 pixels

This feature is also useful for converting a sequence to different dimensions. For example, if you want to stretch a 12 CCR sequence to be a 16 CCR sequence you would do the following:

1.Click on the File menu and select “Save As” and save the sequence to something like “MySequence_16CCR.sup”

2.Click on the Edit menu and select “Select All”

3.Click on “Scale”

4.Set:

Source Width = 12 | Dest Width = 16
Source Height = 50 | Dest Height = 50

5.Click on the Ok button

6.Click on any effect and you should see that it has been stretched to fit onto a 16 CCR layout

Selected Effects to Modify

This defaults to all effect types being selected. But if, for example, you only want to modify the selected “Scenes” then you would uncheck all the effect types and leave “Scenes” selected

Move Origin

Select this if you want to move the effects left, right, up, or down, the number of pixels set in the Left/Right control and the Up/Down control

Scale

Select this if you want to scale the effects. Scale means to stretch or squish. The “Source Width” and “Source Height” is the original width and height of the sequence. The “Dest Width” and “Dest Height” is the destination width and height, or in other words, the width and height that you want the sequence to become.

Do Scene Thinning

This setting is used when “Scale” is selected. It is easiest to explain this setting by using the example of a scene that is random pixels that look like stars in the sky. If you shrink the stars and have “Do Scene Thinning” selected then some of the stars will get removed or “thinned” out so that the density of stars in the shrunken sky stays the same. If you shrink the stars and have “Do Scene Thinning” unselected then all of the stars will be kept, and in the shrunken sky the density of stars will be greater. In the extreme case, if you shrunk the sky a lot then there would be no space between the stars anymore.

Change Intensity

Select this if you want to increase or decrease the intensity of the color of all selected effects. Note this change is always relative to the current intensities.

For example, if you set 50% then all color intensities will be reduced by 50%. If you then select the same effects and reduce the intensity by 50% again, then the intensities will be 25% of what they were before you did any changes.

As another example, if you set 200% then color intensities of 50 and lower will get doubled. All values 50 and greater will become 100. This means that increasing the color intensities by 200% and then decreasing them by 50% will not necessarily get you back to the original intensities.

Change Orientation

If the orientation of your visualization is different than the orientation of your sequence then you can change the orientation of the effects in the sequence by using “Change Orientation.”

For example, let us say you have a horizontal sequence designed for a 50 wide by 16 tall horizontal display where the strings of lights run horizontally. But you have a display that is 50 wide by 16 tall and the strings of lights run vertically.

The default is for SuperStar to see the display as a vertical display because the strings run vertically. And when the sequence is played, the sequence will look rotated by 90 degrees. So to get it to look right on the display you can change the orientation by doing the following:

1.Click on the “File” menu and select “Open” and open the sequence

2.Click on the “File” menu and select “Save As” and save the sequence to a name such as “MySequence_horizontal.sup”

3.Click on the “Edit” menu and select “Select All”

4.Click on the Tools menu and select “Move or Scale Selected Effects”

5.Select “Change Orientation”

6.Select “Rotate 90° Left (Vert to Horz)

7.Click on “OK”

The effects in the sequence should now all be rotated to the right and should play properly to your display.

Note: Another way to address the problem of orientation of the grid being different than the orientation of the sequence is to change the orientation of the grid. To do this click on “Tools” menu and select “Preferences” and then change the orientation of the grid.


Groups of Effects

· Make a Group

· Ungroup

· Expand Group

· Compress Group

Make a Group

·Do a right mouse click and drag to select a group of effects (you can add or remove effects by doing Ctrl+Right mouse click).

·After doing a right mouse click and drag, a popup menu will appear.

·In the popup menu, choose "Grouping", and then choose "Group Selected Effects into a Group".

·The "Edit Name of Group" dialog box will appear, allowing you to name the group if you wish.

·After clicking on "Ok" in the "Edit Name of Group" dialog box, the selected effects will be compressed into one "Group" effect.

Ungroup

·Do a right mouse click on a group effect.

·In the popup menu, shoose "Grouping", and then choose "Ungroup Selected Group into Separate Effects".

·The "Group" effect will disappear, and the grouped effects will become separate effects.

Expand Group

·Do a right mouse click on a "Group" effect.

·In the popup menu, choose "Grouping" and then choose "Expand Selected Group". Alternatively, you can select a "Group"effect and hit the "+" key.

·All the other effects in the sequence will become hidden, and only the effects in the group will be displayed. You can now modify the existing effects, add new effects, or delete effects. Anything you do will become the new state of the group.

Compress Group

·While a group is expanded, do a right mouse click anywhere in the time layers.

·In the popup menu, choose "Compress Group". Alternatively, you can press the "-" key.

·All the effects currently displayed will be compressed back into the group. You will now see the "Group" effect displayed along with all the other effects in the sequence


Select One or More Rows

Open a sequence or create a bunch of effects. Do a right click on a row in the Time Layers. For example, you could do a right click on Row 3 in the Time Layers.

In the popup menu that appears, select "Row 3" and then select "Select All", "Select All Left", or "Select All Right", and the selection will be applied only to Row 3.

You can also do a right mouse click and drag across more than one row. For example, you could do a right mouse click and drag across Rows 3-6.

In the popup menu that appears, select "Rows 3-6" and then select "Select All", "Select All Left", or "Select All Right", and the selection will be applied only to Rows 3-6.


Transfer Effects from One Sequence to Another

In the Light-O-Rama SuperStar Sequencer, using the clipboard, you can transfer effects from one sequence to another, as in this example:

·Open the file "JingleBellRock_24sec.sup", located in the Samples directory of the SuperStar Sequences directory.

·Scroll to the 16.00 second mark and you will see a stack of six white boxes in the time layers.

·Select the stack of boxes.

·Click on the Copy button.

·Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the start color as red, and set the time duration to 1.00-2.00 seconds.

·Click on the Paste button, and the stack of boxes gets pasted to the new file.


Load/Save Clipboard

In the Light-O-Rama SuperStar Sequencer, there are 20 sample effects that can be loaded into the clipboard. Once the effects are loaded into the clipboard, you can paste them into your sequence. Anything that you copy to the clipboard can also be saved to a file.

· Start with a new sequence

· Launch the Load/Clip dialog box

· Load a sample file into the clipboard

· Paste the clipboard into your sequence

· Play the pasted effects

· Save your own clipboard effects

· Discussion

Start with a new sequence

Click on the "New" button on the toolbar, which looks like a piece of paper.

Launch the Load/Clip dialog box

Click on the Edit menu, then select Load/Save Clipboard. You can also launch the dialog using Ctrl+B.

Load a sample file into the clipboard

At the top of the dialog box is a list of the saved clip files ("clip" is short for "clipboard"). All of the sample files start with "Sys -", meaning they are a system file that can be loaded but not saved to. Select the "SharkFinForHorizontalRibbons.scb" file, then click on "Load Clipboard from File".

Note that the lower half of the dialog box is now populated. In the description area are the description and instructions on how to modify the effects.

Paste the clipboard into your sequence

Once the clipboard is loaded, you can paste the effects into your sequence. There are four ways to do this:

1.Use the Paste button in the dialog box.

2.Use the Paste button on the toolbar.

3.Put the focus on the work area by clicking on the time layers area, and then press Ctrl-V.

4.Click on the Edit menu and select Paste.

Play the pasted effects

A shark fin will travel lengthwise across the ribbons, first one direction and then the other. The water underneath the shark fin will shimmer.

For demonstration purposes, the shimmering water is done in two different ways: The first time, it is done with scenes that fade between two intensities. The second time, it is an animation done with images. The description of this effect in the Load/Save dialog box describes how to modify the shark fin and the water.

Save your own clipboard effects

Any effects you have modified our created can be saved to file by doing the following:

·Select what you want to save.

·Click on the "Copy Effects" button on the toolbar.

·Press Ctrl-B to launch the Load/Save Clipboard dialog.

·In the Clipboard Name filed, type your filename (such as "MyAwesomeEffects").

·Click on the "Save Clipboard to File" button.

Note that your file is now in the list of saved clip files.

Discussion

The load/save of the clipboard is a powerful feature! You can now store and easily transfer effects from one file to another. The shark fin effect shows how a shaded object can be drawn as an image action. Artists will have fun with this, and non-artists will be grateful they can copy and paste these images!

Currently the SuperStar Sequencer does not support importing .gif or .jpg images. However, realize that even if you have twelve CCRs, you only have 12x50 pixels to work with. This is very low resolution by computer standards. Import of images would typically not look good at such low resolution. The best images will always be those that are carefully tailored to the low resolution that we must work with.


Change to 10 Pixels per Ribbon

Cosmic Color Ribbons default to having 50 pixels per ribbon. Each pixel is actually a group of three LEDs with red, green, and blue elements. You will normally want to keep the ribbons in 50 pixel mode.

You can, however, change the number of pixels per ribbon to 25, 10, 5, or 1, using one of the macro commands built into the ribbons. The reason you may want to do this is to reduce the number of channel commands, making the effect more instantaneous. For example, a white morph that goes the full length of 12 ribbons will generate 12x50x3 = 1800 commands. If the morph is fast, and tries to do this in a short period of time, like 0.4 seconds or less, you may perceive some lag in the ribbons. In a fast effect, you will get better results by using 10 pixels per ribbon, because it will use 1/5 the number of channel commands and so will eliminate the lag, and since it travels fast, it will still look good in 10 pixel resolution.

Here is an example of how to use both 10 pixel and 50 pixel resolution in the Light-O-Rama SuperStar Sequencer:

· Initialize the screen

· Launch the Macro dialog box

· Add a "10 pixel per ribbon" macro

· Add a scene inside the macro region

· Add a morph inside the macro region

· Add a morph outside the macro region

· Try to add a morph that straddles the macro

· Discussion

Initialize the screen

Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the start color to red, and set the time duration to 1.00 to 2.00 seconds.

Launch the Macro dialog box

Click on the Tools menu and select Macro.

Add a "10 pixel per ribbon" macro

·Set "Pixels Per Ribbon" to 10.

·Set the time duration to 1.00 to 3.00 seconds.

·Click on the Add button.

A bracket should appear in time layer 6.

Add a scene inside the macro region

·Click on the Tools menu and select Scene.

·Set the time duration to 1.00 to 2.00 seconds.

·Set some pixels at the top of the pixel grid.

·Click the Add button.

A scene should appear in time layer 1. Note that the scene only has ten pixels per ribbon in the pixel grid. Also note that the ribbons still display as if they were in 50 pixel mode, but when playing the sequene to the real Cosmic Color Ribbons, they will be in 10 pixel mode.

Add a morph inside the macro region

·Click on the Tools menu and select Morph.

·Set the time duration to 2.00 to 3.00 seconds.

·Click on the Add button.

A morph should appear in time layer 2. Note that the morph has ten pixels per ribbon in the pixel grid.

Add a morph outside the macro region

·Set the time durationto 5.00 to 6.00 seconds.

·Click on the "Add" button.

Note that the morph has 50 pixels per ribbon in the pixel grid.

Try to add a morph that straddles the macro

·Set the time duration to 2.00 to 4.00 seconds.

·Click on the Add button.

An error message will appear.

Discussion

When playing the sequence to the Cosmic Color Ribbons, the ten pixel macro will send a command 1/100th of a second before the macro time duration to set each ribbon in 10 pixel mode. It will send a command 1/100th of a second after the macro time duration to set each ribbon back to 50 pixel mode. No effects should be active when these commands are sent.

Note that at 32.45 in the sample file CarolOfTheBells.sup, there is a morph that uses 10 pixel mode. In this morph, all the ribbons burst downward into a flash of white. In normal 50 pixel per ribbon mode, this would require 1800 channels to be turned on in a very short period of time. Using 10 pixel per ribbon mode requires only 360 channel commands, and can make the effect more instantaneous.


"Star Rays", "Wide Grid", and "Thin Grid"

In the Light-O-Rama SuperStar Sequencer, there are three buttons at the right end of the toolbar that will set the ribbons into "Star Rays", "Wide Grid", or "Thin Grid":

Star Rays

In this layout, morphs that come from the top to the bottom should accelerate, and the trail should get longer. Typical settings might be a start trail of 2 and an end trail of 12.

Scenes that come from the top to the bottom should get larger. The yellow perspective marks on the right side of the pixel grid are designed to help you do this.

Wide Grid

This view spaces the ribbons to give square pixels. That is, the space between the ribbons is equal to the height of each pixel. If you are using the ribbons primarily for animations and text, you will probably use a layout like this.

Thin Grid

This view spaces the ribbons closer together. The quality of the animations will improve, but it will take more ribbons to cover the same amount of area.


The Layout Dialog Box

In the Light-O-Rama SuperStar Sequencer, the layout settings get saved into each .sup file. The layout you set also gets saved as a default layout. This default layout will be used for new sequences that you create.

· CCR Mode

· Number of Ribbons (1-24)

· Ribbon Orientation

· Ribbon Shape

· Ribbon Length

· Visualization Mode

· Visualization Files

· Pixel Extender

CCR Mode

In CCR mode, the screen will use the layout you have selected in the lower part of the Layout dialog box. The unit ID and configuration information will be obtained from the Configuration dialog box, and this information will be used when exporting the file to the Sequencer.

Number of Ribbons (1-24)

This will set the number of rows of ribbons if in horizontal view, or the number of columns of ribbons if in vertical view. Note that if you are using half ribbons, this setting is the number of rows, not the number of ribbons.

Ribbon Orientation

Setting "Vertical" will display the ribbons vertically in columns.

Setting "Horizontal" will display the ribbons horizontally in rows. Note that the star is not supported in the horizontal view.

Ribbon Shape

Setting "Straight" will display the ribbons in straight lines. This is the common way to display the ribbons.

Setting "Circle" will display the ribbons in circles. The start of the ribbon will be at the left center of each circle. This allows for a variety of circular patterns. Sequencing circles can be a challenge, but the results can be amazing. An example can be seen on the Light-O-Rama website with Deck the Halls for 2 CCRs and for 4 CCRs.

Ribbon Length

Setting "Full" will display the ribbons as a full length 50 pixel ribbon. This is the normal setting.

Setting "Half" will display the ribbons as a half length 25 pixel ribbon. The common use of this setting is to allow a matrix with fewer ribbons. For example, using 4 CCRs you can create a matrix of 8 rows with 25 pixels in each row. You can cut the ribbons per the instructions that come with the CCRs, but if you do this, you void the warranty. Another option is to loop the ribbons back without cutting them. You will lose some pixels in the loop, but you will not void the warranty.

When using half ribbons you must lay out your ribbons as diagrammed below:

· Location of Ribbon Controllers when Ribbon Length is set to Half and Ribbon Orientation is set to Horizontal

· Location of Ribbon Controllers when Ribbon Length is set to Half and Ribbon Orientation is set to Vertical

Location of Ribbon Controllers when Ribbon Length is Set to Half and Ribbon Orientation is Set to Horizontal

·Set "Left" if your CCR controllers are on the left end of your ribbons.

·Set "Right" if your CCR controllers are on the right end of your ribbons.

·Note that for a horizontal layout, the first controller should be at the bottom, and the last controller at the top.

Location of Ribbon Controllers when Ribbon Length is Set to Half and Ribbon Orientation is Set to Horizontal

·Set "Top" if your CCR controllers are on the top of your ribbons.

·Set "Bottom" if your CCR controllers are on the bottom of your ribbons.

·Note that for a vertical layout, the first controller should be at the left, and the last controller should be at the right.

Visualization Mode

In visualization mode, the screen will use the row visualization file you have imported. All unit ID and configuration information is obtained from the real visualization file, and this information will be used when exporting the file to the Sequencer.

Visualization Files

This area shows the names of the row visualization and the real visualization. The row visualization should be laid out in rows, and is used when SuperStar maps the fixtures to the sequencing grid. The real visualization should be laid out the way your light display actually appears, and is used when playing the sequence and when exporting the sequence. Note that the row visualization and the real visualization will be the same file if you do "Import Visualization" in the File menu. If you do "Import Visualization Pair" in the File menu, then you can specify different files for the row visualization and the real visualization.

Pixel Extender

The Pixel Extender allows you to stretch or shrink the pixels in a region of a sequence done on a visualization. While you can stretch or shrink the pixels, the most common use is to stretch or extend the pixels. For example, it allows you to convert a sequence written for 25 or 50 pixels on strings that have 100 or 150 pixels.

·Enable Pixel Extender: Select this to enable the Pixel Extender.

·X Origin: The X origin of the region to be extended.

·Y Origin: The Y origin of the region to be extended.

·Width: The width of the region to be extended.

·Length: The length of the region to be extended.

·Stretched/Shrunk Length: The new length after the region has been stretched or shrunk.

Pixel Extender Example

Make a visualization of your CCP Tree that has 50 pixels per strand.

Load the standard sequence made for a CCP Tree with 25 pixels per strand.

Import your visualization of your CCP Tree that has 50 pixels per strand.

Set the Pixel Extender as follows:

·X Origin: 0

·Y Origin: 16 (this is because the Globe is at the top of the sequencing grid and the CCP Tree starts at row 16)

·Width: 24

·Length: 25

·Stretched/Shrunk Length: 50

At this point, you can play the sequence to your visualization and see the stretched pixels play to your visualization.


The Preferences Dialog Box

The Light-O-Rama SuperStar Sequencer has the following choices in the Preferences dialog:

· Color Mode (Balanced vs. Full Range)

· Color Temperature (Cool White vs Warm White)

· Enable Time Layer Priority Feature

· Smooth Ramps

· Export Raw Color Values

· Grid Orientation

· Wrap Around

· Display Waveform

· Display First 3 Timing Lines

Color Mode (Balanced vs. Full Range)

If you use the Light-O-Rama Hardware Utility to try various setting for the RGB values of CCR pixels, you will find three important characteristics:

1.The brightness is not linear. For example, a setting of 100 is only a little brighter than a setting of 50, but 50 is significantly brighter than 25.

2.The red, green, and blue elements are not balanced. For example, on a computer screen, setting red to 100 and green to 100 will result in yellow, but on a CCR pixel, it will be more of a greenish yellow. This is because the CCR's green element is stronger than the red element. Setting red and blue to 100 will result in a bluish purple, because the blue element is stronger than the red element.

3.The LEDs are so bright that the perceived colors will not be as deep as what you see on the computer screen. This must be taken into account when comparing the colors on the computer screen with what you will get on the ribbons. For example, red 100 and green 50 will give a bright orange; red 60 and green 30 will give a dim orange that will show as a muddy orange on the computer screen, but on the Cosmic Color Ribbons it will still be a fairly bright orange.

Making the brightness linear

The Light-O-Rama SuperStar Sequencer automatically adjusts the start and end settings to make them linear. For example, a start setting of 50 in the SuperStar Sequencer will export to a setting of 25 in the Sequencer. This gives the proper intensity for the start and end color of an effect. But realize that a ramp that goes from 100 to 0 will not go from 100 to 0 smoothly: The hardware will bring the voltage down from 100% to 0% smoothly, but the brightness will go down slowly at first, then quickly at the end. The SuperStar Sequencer simulates this fast drop off when it plays the sequence onto the ribbons. Note that this fast drop off can be solved using the "Smooth Ramps" setting.

Balanced Color Mode

The SuperStar Sequencer defaults to "Balanced Color Mode". In this mode, the red element is used in its full range, but the green and blue elements are limited to less than full brightness. So, for example, if you set red to 100 and green to 100, you will get a true yellow on the ribbon.

Full Range Color Mode

To set this mode, go to the Tools menu and select Configuration. When in Full Range Color Mode, the color controls will have the following ranges:

·Red: 0-100

·Green: 0-120

·Blue: 0-130

In this mode, setting red, green, and blue all to 100 will give the same results as in Balanced Color Mode. Setting red to 100, green to 120, and blue to 130 will give a bluish white. The SuperStar Sequencer simulates this color shift, but to do so it must "dim down" the settings that are 100 and below in order to support simulation of the colors that are at 100 and above. Realize that even though the colors on the screen are dimmed down, the colors on the Cosmic Color Ribbon will not be.

Go Back to Balanced Color Mode

When going back to Balanced Color Mode, the SuperStar Sequencer advises that any settings greater than 100 will automatically be adjusted down to 100. Note that after going into Balanced Color Mode, the next time you click on a color control, a warning box may appear that says "Enter an Integer between 0 and 100." This is a bug which will be fixed in the future. Click "OK" on the warning box; if another warning immediately appears, click "OK" on that also. These warnings can be ignored.

Color Temperature (Cool White vs Warm White)

Most Cosmic Color Ribbons have “cool white” LEDs which means they are bluish white when Red, Green, and Blue are completely “on.” But some batches of Cosmic Color ribbons have “warm white” LEDs which means they are a true white when Red, Green and Blue are completely “on.” Although they are a true white, when held next to a “cool white” pixel that is completely “on” they will look yellowish.

The same is true for DMX ribbons and strings. Some of them are “cool white” and some are “warm white.” Choose the setting that matches your particular lights and the colors on the lights will more nearly match the colors that you saw on the computer screen when you made the sequence.

Enable Time Layer Priority Feature

When this checkbox is not selected all effects are transparent. This means that effects that where effects of different colors overlap the colors will mix. For example, , if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

When this checkbox is selected the effects on low time layers will render in front of effects on higher time layers. For example, if you place a morph on time layer 1 and you place a scene on time layer 3, then if the morph goes across the same area as the scene then the morph will render on top of the scene. In other words it will look like the morph is above the scene.

For backward compatibility sequences created before this feature was available will have this feature unselected.

Each of the effect dialog boxes has the options Transparent, Semi-Transparent, and Solid. Their behavior is as follows:

·Transparent – The effects are transparent. For example, if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

·Semi-Transparent – The colors in an effect that are dim will be transparent, but the colors in the effect that are the full color of the effect will be solid. For example, if a green morph with a tail is placed above a red scene, then the green head of the morph will be solid but the tail will be transparent. This is probably the setting you will want to use for scenes, morphs, and smooth effects.

·Solid – All colors in the effect will appear solid. This is probably the setting you will want for use with images, and text.

Smooth Ramps

As discussed in the Color Mode (Balanced vs. Full Range) section, the start and end setting of each color is adjusted by the Light-O-Rama SuperStar Sequencer so that the brightness is linear. However, on a single fade, the SuperStar Sequencer cannot control the rate at which the brightness changes in between the start and the end. To get around this, the SuperStar Sequencer can use "smooth ramps". In smooth ramps mode, ramps that are one second long or longer are actually treated as ten short ramps. In this way, the SuperStar Sequencer gains control of the rate of change of the ramp.

The fast change of ramps is not easily perceived for short ramps, but with very long ramps you will notice it. To see the difference, try the following:

1. Set Smooth Ramps mode

·Click on the Tools menu and select Configuration.

·Select Smooth Ramps in the Configuration dialog box.

2. Add a non-smooth ramp

·Launch the Scene dialog box.

·Select pixels 0-10 on the pixel grid.

·Set the time duration to 1.00 to 1.95 seconds.

·Set the start color to red = 100.

·Set the end color to red = 0.

·Click on the Add button.

The scene will be added to layer 1.

3. Add a smooth ramp

·Select pixels 11-20 in the pixel grid.

·In the scene dialog box, set the time duration to 1.00 to 2.00 seconds.

·Leave the start color at red = 100.

·Leave the end color at red = 0.

·Click on the Add button.

The scene should be added to layer 2 so that they both are stacked on top of each other.

4. What are we doing?

Both of the scenes cover almost the same time range. The two scenes should be stacked on top of each other. The pixels you selected should not collide (that is, each scene should turn on a different set of pixels).

5. Observe the difference

Click on the Play button. The first scene added is of a duration less than one second, so the ramp will not be smoothed. The second scene is a second long, and so the ramp will be smoothed.

Note that the top pixels (belonging to the first scene) will not drop in brightness as fast as the bottom pixels (belonging to the second scene).

6. Summary

When in Smooth Ramps mode, only ramps 1.00 second long and longer are smoothed. Even if you are in Smooth Ramps mode, smoothing is not done for ramps less than 1.00 second. This is because the smoothing of short ramps is not easily perceptible to the eye. Realize that any ramp that is smoothed gets chopped up into ten ramps, and thus the number of commands is ten times greater, and the length of the exported sequence file is ten times greater for that effect. This is why smoothing of short ramps is not done.

Smooth Ramps mode defaults to off, but you can turn it on, and then the setting gets stored in both your launch configuration file and in the .sup file. It affects the export of a Light-O-Rama .lms or .las file, and as mentioned, exported files using smoothed ramps will be larger.

Export Raw Color Values

When exporting a sequence, SuperStar will adjust the color values so they appear best on your lights. This is because LED lights require adjusted values in order to get them to best match the colors that you see on the computer screen. The result is that the colors you see in the exported file in the Sequencer may look a bit different than in SuperStar, but they will look good on your actual lights.

If you do not want SuperStar to adjust the exported values, then select “Export Raw Color Values.” This will make the colors in the exported file match what you saw on the computer screen in superstar, but the colors will not look as good on your actual lights.

Grid Orientation

Use this setting to change the orientation of the sequencing grid between Horizontal and Vertical

Wrap Around

Use this setting to change between Normal and Wrap Around. Wrap Around mode is designed for 360 degree trees. When in wrap around mode there will be two copies of the green sequencing grid side by side. This makes it easier to do effects that wrap around the tree.

Display Waveform

With this setting selected the audio waveform will be displayed below the time ruler.

Display First 3 Timing Lines

With this setting selected the first three timing lines of the timings will be displayed below the time ruler.


Configure Controller Unit IDs Using the Light-O-Rama Hardware Utility

After purchasing Cosmic Color Ribbons, you must configure them using the Light-O-Rama Hardware Utility. There are instructions on how to do this in the manual that comes with the ribbons. You will assign a unit ID to each controller, the same as you would with any other controller.

In addition, the Hardware Utility has a Cosmic Color Ribbon Configuration screen. Be sure to use the following settings on it:

·Unit ID Mode: Normal (single ID).

·Channel Mode: Triples (RGB, RGB, ...)

·Resolution: 50 pixels

·Strips: 1

·DMX Mode: Both macro and RGB channels

The "Standalone Speed" setting does not matter with respect to the Light-O-Rama SuperStar Sequencer.


Configure Controller Unit IDs in the SuperStar Sequencer

After setting the unit ID for each of your Cosmic Color Ribbons with the Light-O-Rama Hardware Utility, you then must let the Light-O-Rama SuperStar Sequencer know which unit IDs you assigned.

Note that a Light-O-Rama unit ID is a hexadecimal number from 01 to F0. If they were decimal numbers, the ID would be from 1 to 240, but since they are hexidecimal, the IDs are 01, 02, 03, 04, 05, 06, 07, 08, 09, 0A, 0B, 0C, 0D, 0E, 0F, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 1A, 1B, 1C, 1D, 1E, 1F, 20, and so on.

· Launch the Configuration dialog box

· Set the unit ID of the star controller

· Set the unit ID of the first ribbon controller

· Number of DMX pixels

· Network settings

· Examples

· Do I need more hardware to use more than one network?

· Setting more than one network in the Light-O-Rama Sequencer

Launch the Configuration dialog box

Launch the SuperStar Sequencer, click on the Tools menu, and select Configuration.

Set the unit ID of the star controller

If you are not using a star, select "No" underneath "Star in Use". The Unit ID field will be dimmed, indicating that no unit ID for a star controller will be used.

If you are using a star, select "Yes" underneath "Star in Use". Set the unit ID of the Light-O-Rama controller for the star using the dropdown list.

The typical Light-O-Rama controller has 16 channels. Note that if you use the star, you must use the first 6 channels of the controller for it. The remaining 10 channels will not be used by the SuperStar Sequencer, which means you can use them in your main sequence if you choose to do so.

Set the unit ID of the first ribbon controller

Set the unit ID of the first ribbon controller using the dropdown list. The remaining ribbon controllers must be assigned unit IDs that are in successive numeric order, keeping in mind that they are hexidecimal numbers. For example, if you have four ribbons, and the first ribbon has unit ID 18, then the next three ribbons must have unit IDs 19, 1A, and 1B.

If you have DMX pixels then select "DMX" and set the Universe and Channel of the first pixel of your first ribbon/string. There are three DMX addressing options to choose from:

·Tightly Packed: All 170 pixels are used in each Universe. After all pixels in the first string are assigned, the first pixel of the second ribbon/string will use the next available DMX channel. When all the available channels of a Universe are used then the addressing moves to channel 1 of the next Universe. This is done until all pixels of all ribbons/strings are defined.

·Semi-Packed: As many full strings as possible are put into each Universe. For example, if each string has 50 pixels, then 3 strings will fit into the 170 pixels available in one Universe. So the first 3 strings will use the first Universe; strings 4, 5, and 6 will use the Universe after that. With Semi-Packed, a transition to another Universe will never happen in the middle of a string.

·Not Packed: Each string has its own universe. This means that each string will start with pixel one of a Universe.

Number of DMX Pixels (10-170)

Set the number of DMX pixels that are in each of your DMX pixel strings. For example, if your strings have 150 pixels in each string, set 150, and when the sequence is exported it will expand the 50 pixel sequence into 150 pixels. This is an important feature! It makes sequences written for 50 pixels transportable to DMX strings of any length between 10 and 170.

Network settings

Generally speaking, Light-O-Rama supports up to 16 Light-O-Rama networks, but the SuperStar Sequencer currently only supports up to four of them. The default setting for the SuperStar Sequencer is to use one network (the Standard network), with the other three networks (Auxiliary Networks A, B, and C) disabled. When using one network (the Standard network), you must set the first and last unit IDs that are controlled by the network.

If using more than one network, enable the auxiliary networks you are using and set the first and last unit IDs controlled by each auxiliary network.

Examples

· Setting up one network for the star and 12 ribbons

· Setting up one network for the star, 8 ribbons, and other lights

· Setting up four networks with no star, 24 ribbons, and other lights

Setting up one network for the star and 12 ribbons

Let's say we have a star, 12 ribbons, and no other lights. We are controlling the star with a standard 16 channel Light-O-Rama controller that has unit ID 01, and the twelve ribbons are controlled by their respective controllers with unit IDs 02 through 0D. Then we would use the following settings:

·Star in Use: Yes

·Unit ID of Star Controller: "01"

·Unit ID of First Ribbon Controller: "02"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "0D"

·Auxilliary Networks: Disabled

Setting up one network for the star, 8 ribbons, and other lights

Let's say we have a star and 8 ribbons, and will be running them alongside other lights. We are controlling the star with a standard 16 channel Light-O-Rama controller that has unit ID 01. We also have three other 16 channel Light-O-Rama controllers, with unit IDs 02, 03, and 04. The eight ribbons are controlled by their respective controllers with unit IDs 05 through 0C. Then we would use the following settings:

·Star in Use: Yes

·Unit ID of Star Controller: "01"

·Unit ID of First Ribbon Controller: "05"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "0C"

·Auxiliary Networks: Disabled

Setting up four networks with no star, 24 ribbons, and other lights

Let's say we have no star, but 24 ribbons, and will be running them alongside other lights. We have 256 channels for other lights, which are controlled by 16 standard 16 channel Light-O-Rama controllers with unit IDs 01 through 10. We have 24 ribbons controlled by their respective controllers, with unit IDs 11 through 28. We want to run the various ribbons on four different networks. Then we could use the following settings:

·Star in Use: No

·Unit ID of Star Controller: Disabled

·Unit ID of First Ribbon Controller: "11"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "10"

·Auxiliary Network A: Enabled

·Auxiliary Network A, Unit ID of First and Last Controller: "11" "18"

·Auxiliary Network B: Enabled

·Auxiliary Network B, Unit ID of First and Last Controller: "19" "20"

·Auxiliary Network C: Enabled

·Auxiliary Network C, Unit ID of First and Last Controller: "21" "28"

Do I need more hardware to use more than one network?

If you have one USB485 connector plugged into one USB port of your computer, then you are using one network. To use more than one network, you must first purchase other USB485 connectors (one for each additional network). Plug in each USB485 connector to a different USB port on your computer. Then plug in the Cat 5 cable coming from each USB485 connector into the first controller of the network group you are going to control with that network.

Setting more than one network in the Light-O-Rama Sequencer

·Launch the Light-O-Rama Network Preferences program.

·Select a comm port for each network that you plan to use.


Select All, Select All Left, and Select All Right

In the Light-O-Rama SuperStar Sequencer, you will find these actions in the Edit menu. "Select All" will select all effects in the SuperStar sequence; "Select All Left" will select all that are left of the time selected in the time scale; "Select All Right" will select all to the right of the time selected in the time scale.

Select All is useful for adding some blank space to your SuperStar sequence: If you needed to create a small amount of blank space at the beginning of a sequence, you could Select All, then use the Nudge Right button. To create a large amount of space, you could Select All, press the Cut button, select a time on the time scale, and then press the Paste button.

Similarly, Select All Right is useful for creating some blank space in the middle of your SuperStar sequence: You could Select All Right, Cut, then Paste at the desired new location.


Importing a Timing Grid and up to 3 Timing Channels

In the Light-O-Rama SuperStar Sequencer, you can create a timing grid and timing marks by clicking on the Tools menu and selecting "Create Timings". However, if you already have a timing grid and some timing channels that you have created in the Light-O-Rama Sequencer, you can import one timing grid and up to three timing channels from a sequence file:

·Launch the SuperStar Sequencer.

·Click on the Tools menu, select Layout, and set the number of CCRs that you have.

·Click on the File menu, and select Import Timings.

·Uncheck "Import First Freeform Timing Grid".

·Type the name of the timing grid to import.

·Type the name of the first timing channel to import.

·Type the name of the second timing channel to import.

·Type the name of the third timing channel to import.

·Click on the "..." button and select the sequence file that you wish to import timings from.

·Click on OK.

The timing grid and timing marks will appear at the top of the time layers.


Summary of Commands and Keyboard Accelerators

The following pages in this help file summarize various commands and keyboard accelerators in the Light-O-Rama SuperStar Sequencer:

· Toolbar Summary

· Toolbar Buttons that have Keyboard Modifiers

· Timeline and Effect Object Selection

· Top Part of Color Controls

· Color Picker Dialog Box

· Bottom Part of Color Controls

· Sequencing Grid Commands for Scenes

· Selection Grid Commands for Morphs

· Sequencing Grid Command for Images


Toolbar Summary

The following is a summary of the various buttons in the toolbar of the Light-O-Rama SuperStar Sequencer:

New Sequence, Open Sequence, Save Sequence, Cut, Copy, Paste

Delete a selected group, Fast Rewind, Rewind, Pause or Freeze Frame, Stop, Play 8 seconds, Forward, Fast Forward, Play All

Note: The space bar is an accelerator for "Play All".

Scene Mode, Morph Mode, Smooth Effect Mode, Image Mode, Text Mode

Set Group Time Range, Nudge Left, Nudge Right, Nudge Length Left, Nudge Length Right, Move Effects up, Move Effects Down

Star Rays, Wide Grid, Narrow Grid

Select Props, Select Fixtures

Time Line

To create a selection on the Time Line of 8 seconds or less – Do a click and drag to select a region on the time line.

To create a selection on the Time Line that is longer than 8 seconds - Scroll to where you want the selection to start and mark the start of the selection with a left mouse click. Scroll to the region where you want the selection to end and mark the end of the selection with a right mouse click.

Set Group Time Range – Create a selection on the Time Line, Select a group of effects, and then click on the “Set Group Time Range” button. All the selected effects will be set to the time range on the Time Line.

See also Toolbar Buttons that have Keyboard Modifiers.


Toolbar Buttons that have Keyboard Modifiers

The following is a summary of toolbar buttons that have keyboard modifiers in the Light-O-Rama SuperStar Sequencer:

Shift + ToolbarPaste = Paste and keep all effects in their original locations

Ctrl + ToolbarRewind = Fast rewind to beginning

Ctrl + ToolbarFastForward = Fast forward to end

ToolbarPause = Freeze frame mode: Use the left and right arrow keys to step through the sequence.

Ctrl + ToolbarNudgeLeft = Big nudge left

Ctrl + ToolbarNudgeRight = Big nudge right

Ctrl + ToolbarNudgeLengthLeft = Big nudge length left

Ctrl + ToolbarNudgeLengthRight = Big nudge length right

See also Toolbar Summary.


Timeline and Effect Object Selection

The timeline and selecting effect objects in the Light-O-Rama SuperStar Sequencer:

Timeline and Effect Object Selection

Dragging the mouse on the gray area of the timeline will select the time duration. Selecting an object will also set the time duration in the timeline.

To set a timeline selection longer than eight seconds, mark the beginning of the timeline selection with a left mouse click, scroll the timeline as necessary, and then mark the end of the timeline selection with a right mouse click.

Ctrl+mouse click on an unselected object will add that object to the selection group.

Ctrl+mouse click on a selected object will remove that object from the selection group.

Ctrl+mouse drag on unselected objects will add those objects to the selection group.

Ctrl+mouse drag on selected objects will remove those objects from the selection group.


Top Part of Color Controls

The top part of color controls in the Light-O-Rama SuperStar Sequencer:

Top part of color controls

Left click on a color box, or on "Main" or "Tail" = Step through the 8 basic color wheel colors.

Right click on a color box, or on "Main" or "Tail" = Launch the Color Picker dialog box.


Color Picker Dialog Box

The Color Picker dialog box of the Light-O-Rama SuperStar Sequencer:

The Color Picker dialog box

Select a color and click OK to set the color.

Note that the eight basic colors of the color wheel are already among the custom colors.


Bottom Part of Color Controls

The bottom part of color controls in the Light-O-Rama SuperStar Sequencer:

Bottom part of color controls

Bottom part of color controls

Mouse click on the control to set the intensity. Mouse drag will also set the intensity.

Double click on the first color to set the second and third colors also. For example:

Before a double click on the first color

Before a double click on the first color

After a double click on the first color

After a double click on the first color

This feature exists because setting the first three colors is commonly done when working with morphs

Ctrl + Double Click on the first color will set all four colors


Sequencing Grid Commands for Scenes

Sequencing grid commands for scenes in the Light-O-Rama SuperStar Sequencer:

Sequencing grid for scenes

·Left mouse click = Set a pixel.

·Right mouse click = Clear a pixel.

·Left mouse drag = Set pixels.

·Right mouse drag = Clear pixels.

·Shift + left mouse click = Toggle pixel.

·Shift + left mouse drag = Toggle pixels.

Example of a toggle:

Before Shift+left mouse drag

After Shift+left mouse drag


Selection Grid Commands for Morphs

Selection grid commands for morphs in the Light-O-Rama SuperStar Sequencer:

Selection grid for morphs

Left mouse drag to set the State 1 line: "1a" marks the beginning of the left mouse drag; "1b" marks the end.

Right mouse drag to set the State 2 line: "2a" marks the beginning of the right mouse drag; "2b" marks the end.

When the morph is performed, "1a" morphs to "2a", and "1b" morphs to "2b".


Sequencing Grid Commands for Smooth Effects (Shockwave, Spiral and Fan)

Sequencing Grid commands for Smooth Effects (Shockwave, Spiral, Fan, and Sine Wave) in the Light-O-Rama SuperStar Sequencer:

Use left mouse drag to set the center point and start angle. For example, Screen Shot A was created with a left mouse drag that started at the circle and ended at the arrow head.

Use right mouse drag to modify the radius. For example, Screen Shot B was created with a right mouse drag that started at the base of the line and ended at the arrow head of the line.

Use right mouse drag to modify the direction of the radius. For example, Screen Shot C was created with a right mouse drag that started at the base of the line and ended at the arrow head of the line.


Sequencing Grid Command for Images

Sequencing grid commands for images in the Light-O-Rama SuperStar Sequencer:

Sequencing grid for images

·Left mouse click = Set a pixel

·Right mouse click = Clear a pixel

·Left mouse drag = Set pixels (draws like a pencil)

·Right mouse drag = Clear pixels (clears like an eraser)

·Ctrl + left mouse drag = Set pixels

·Ctrl + right mouse drag = Clear pixels

·Shift + left mouse click = Set the color control to the color of the pixel

·Shift + left mouse drag = No action performed

·Double Click = Set a Pixel plus set all the other non-black pixels as well.


Purchased Sequences

Sequences purchased from SuperStar lights are archive files and will have the word "archive" at the end of the file name. For example:

WizardsInWinter_12CCRs_archive.sup

Archive files can be exported by any license level of the SuperStar Sequencer, including the free demo version. However, if you add, delete, or modify any of the effects in the file, then it is no longer an archive file and will only export if you have the appropriate license level.

Note that you can change the following in an archive file and it will still export with any license level:

·You can open an audio file

·You can set unit ID information and any other information in the Configuration dialog box

·You can set the location of the controllers and any other information in the Layout dialog box


ServoDog Utility

ServoDogIcon

The Light-O-Rama ServoDog Utility can be used to configure the Light-O-Rama ServoDog, which is a fourteen channel digital controller that can perform digital input, digital output, servo control and PWM ("Pulse Width Modulation") dimming.

For details on how to use the ServoDog Utility, please refer to your ServoDog manual. This can be downloaded from the Light-O-Rama Support page.

The Light-O-Rama ServoDog Utility


Mobile App

What is the Light-O-Rama Mobile App?

The Light-O-Rama companion mobile app allows you to control your lights without being in front of your computer. This connection is made through the "cloud" so that you can connect to your Control Panel from anywhere on planet! However, in order for it to work, your computer running the Control Panel must have an active Internet connection, and the device running the Light-O-Rama mobile app must also have an active Internet/data connection. Make sure the Mobile Status (the cloud icon next to the Help button) in the Control Panel is turned on.

Using this feature is optional, but is provided by Light-O-Rama at no extra cost - it is included with your license.

Installing the Light-O-Rama Mobile App

1. In the Google Play or Apple Store, search for 'Lightorama.' Our app has a blue light bulb with a white background.

2. Enter your license information after the app has downloaded.

Google Play Store: https://play.google.com/store/apps/details?id=com.lightorama.LightORama

Apple Store: https://apps.apple.com/us/app/lightorama/id1638163176

Press "OK" after clicking either of the above links on your mobile device to navigate away from the help files and to the app store.

Mobile App Basic Functions

For details on each of the main pages of the mobile app please refer to the following:

· Login - everything related to setting up your light controllers.

· Testing - test your lights to make sure they are working

· Player - control your shows

· Network - see the status of your lighting networks in real time

Cloud Connection

Cloud Status Icon and Button

At the top right of the app is a cloud status icon. The icon reflects the real-time status of your cloud connection.

Icon | Name | Meaning
 | DISCONNECTED | The mobile app is not connect to the cloud. Either you have not logged in on the mobile app or or there is a problem with the cloud service.
 | UNPAIRED | The mobile app is connected to the cloud, but the Control Panel on the show computer is not connected.
 | PAIRED | The mobile app is connected and the Control Panel is connected.

The cloud icon is also a button. Tapping the icon will manually refresh the connection.

Help

Selecting the help icon at the top right of the mobile app will open up the mobile help for the current page.

Settings

settings

Button at the top right of the mobile app that when selected will open up the settings page.


Login

Logging In

If you have not logged in before, you will see a Name field and License field which are required to login.

The Name and License are the same Name and License used to register the software on the show computer.

The data used to register can be found in the Control Panel on the Licensing tab.

Once the Name and License has been entered, select the LOGIN button to login.

If the login fails, the red text below the LOGIN button shows the error that occurred.

If the login succeeds the Name and License used to login will be saved, and that info will be used to automatically login the next time the app is started.

Testing, Player, and Network Options

Once you have successfully logged and are connected to your show computer the START TESTING, SHOW PLAYER, and NETWORK STATUS buttons will appear.

·The START TESTING button will allow you to run tests on connected hardware.

·The SHOW PLAYER button will allow you to control shows on the connected show computer.

·The NETWORK STATUS button will allow you to view the current network configuration.

Display

This is used to change the display that you are controlling. Most users should not change the display, only do this if you have multiple show computers.

The default Display is 1, the first display in the list.

If you change the display, you must make sure the show computer you are trying to control is also set to the same display number.

This is set in the Mobile App section of the Settings on the Light-O-Rama Control Panel.

If you change the display, you will need to login again to control that display.

Next to the Display, it will say “Currently Controlling:” if you are actively controlling a display, or it will say “Login to Control:” if a login is required.

edit

The edit button next to the Display name can be used to change the name of the currently selected display.

Change Login Info

If you have already logged in, you can enter a new Name and License by selecting the CHANGE LOGIN INFO button.

Load Saved Login Info

Each time a login is successful, that login info is automatically saved if it is unique. To load a previously used login profile, select the LOAD SAVED LOGIN INFO button. A page will appear with all saved login profiles, showing the Name and first 2 characters of the License used to login. Currently you can save up to 9 different login profiles.

Select the LOAD button next to the login profile you want to login with.

Select the X button next to the login profile you want to clear.


Testing

Previews

This contains a list of all previews create on the connected show computer.

Select a preview from the list to view the props in that preview.

Select the PREVIEW button to hide/show the list of loaded previews.

Props

This contains a list of all props in the selected preview.

Props are sorted alphabetically and are separated into 4 categories: Traditional, RGB, Dumb RGB, and Dumb RGBW.

Select a prop from the list to view more info about the prop and the available tests you can perform on that prop.

Select the PROPS button to hide/show the list of loaded props.

Tests

This contains the info on the selected prop and the available tests you can perform on that prop.

From here you can select a test from the drop down to run it or change the max brightness of the prop.

Select the TESTS button to hide/show the available tests and prop info.


Player

Playback Disabled

If playback is disabled, you will see a screen where you can select the Player type.

Currently there are 2 supported player types: Show Player (standard shows) and Cue List Player.

This screen can be reached by selecting the DISABLE PLAYER button in the top toolbar.

Move the bar next to the Light Bulb icon to change the max brightness for all Player types.

Move the bar next to the Speaker icon to change the max volume for all Player types.

Select the Speaker icon to mute/unmute the Player.

Show Player

Compatibility Note: Show On Demand and Override Sequence functionality requires 6.1.4 and above installed on the connected show computer

When the Show Player state is selected, you will see either the Current Show and a list of all Upcoming Shows or you will see the Currently Playing sequence, Upcoming Sequences, and Override Sequences.

Select the ! button to start a Show On Demand. A page will appear where you can select a show from the drop down and then you can select when the show will start and end.

If the start time is set to "Start at this time" and is before the current time, the show will start at that time on the next day.

This is also true of the end time if the "Play until this time" option is selected.

Select the SHOW CONTROLS button to view the Current Show and a list of all Upcoming Shows.

Select the SEQUENCE CONTROLS button to view the Currently Playing sequence, Upcoming Sequences, and Override Sequences.

The following options are only useful when a show is active:

Icon | Name | Meaning
 | Adjust | Adjust the current show's end time
 | Back | Restart the current sequence
 | Skip | Skip the current sequence
 | Play | Play the current sequence
 | Pause | Pause the current sequence. When pausing, by default a choice will appear to either pause immediately or to pause after the current sequence ends. This behavior can be changed in the Settings Page to not show the choice and instead always pause immediately/after.
 | Stop | Stop button to stop the current show. When stopping, by default a choice will appear to either stop immediately or to stop after the current sequence ends. This behavior can be changed in the Settings Page to not show the choice and instead always stop immediately/after.
 | Play Next | Select the Play Next button to the right of a sequence to make it the next sequence to play in the show
 | Remove | Select the X button to the right of a sequence to remove it from the upcoming sequences list

Cue List Player

When the Cue List Player state is selected, you will see a list of all the cues in the loaded cue list.

Cue lists must be loaded from the show computer.

The following options are only available when a cue list is loaded:

Icon | Name | Meaning
 | Skip | Skip the current cue and play the next cue in the list
 | Stop | Stop the cue that is playing
 | Play | Select the Play button to the right of a cue to make that cue play immediately


Network

Configuration

This page contains a list of all networks create on the connected show computer and their status in real time.

This list is read only so all changes to the network settings must be made on the show computer.


Diagnostic

The Light-O-Rama Diagnostic tool can be used in troubleshooting. It shows a snapshot of your Light-O-Rama configuration, such as registry settings and the version numbers of the various Light-O-Rama programs.

When the Light-O-Rama Diagnostic tool starts up, it may take several seconds before it displays your configuration information. During this time, it will tell you to please wait while Light-O-Rama gathers information.

After the configuration information has been displayed, you can copy the results to the Windows clipboard via the "Copy" button, or save them to a disk file via the "Save" button. There is also an "Advanced" button, which can be used to collect additional information that LOR Diagnostic does not collect by default.

The Light-O-Rama Diagnostic tool


Offline Registration Utility

The Offline Registration Utility is a program that you can use to help register the Light-O-Rama Software Package on a computer which is not connected to the internet. It must be run on another computer, which is connected to the internet. If you do not have another computer which is connected to the internet, you can still register an offline computer by calling Light-O-Rama.

Please see the help file page "Registering Offline" for details.

The Offline Registration Utility


Registry Wiper

The Light-O-Rama Registry Wiper tool deletes your Light-O-Rama configuration from your computer's registry. This is for use in troubleshooting severe cases.

IMPORTANT: After running the Light-O-Rama Registry Wiper tool, your Light-O-Rama software will not run. You will need to reinstall Light-O-Rama. Also, even after having reinstalled, you will have lost certain preferences settings that you may have previously set.

The Registry Wiper tool is not a standard part of the Light-O-Rama software package. It is available from Light-O-Rama via the Help Desk, for troubleshooting severe cases.

The Registry Wiper tool should not be used except in extreme situations.

The Light-O-Rama Registry Wiper tool

If you have previously registered your copy of Light-O-Rama, after selecting "Wipe", you may be presented with a choice of whether to keep your licensing information (such as your license name and license key) in the registry or not. If you choose not to, your copy of Light-O-Rama will run in Demo mode afterwards, until you re-register. Note, though, that you will still be able to re-register using your exact same licensing information.


Enable Time Layer Priority

When this checkbox is not selected all effects are transparent. This means that effects that where effects of different colors overlap the colors will mix. For example, , if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

When this checkbox is selected the effects on low time layers will render in front of effects on higher time layers. For example, if you place a morph on time layer 1 and you place a scene on time layer 3, then if the morph goes across the same area as the scene then the morph will render on top of the scene. In other words it will look like the morph is above the scene.

For backward compatibility sequences created before this feature was available will have this feature unselected.

Each of the effect dialog boxes has the options Transparent, Semi-Transparent, and Solid. Their behavior is as follows:

Transparent – The effects are transparent. For example, if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

Semi-Transparent – The colors in an effect that are dim will be transparent, but the colors in the effect that are the full color of the effect will be solid. For example, if a green morph with a tail is placed above a red scene, then the green head of the morph will be solid but the tail will be transparent. This is probably the setting you will want to use for scenes, morphs, and smooth effects.

Solid – All colors in the effect will appear solid. This is probably the setting you will want for use with images, and text.